Bienvenue

Bienvenue sur l’aide Adobe FrameMaker. Plongez dans les points de départ suivants pour vous familiariser avec tous les détails de FrameMaker :

  • Prise en main

  • Concepts de base de FrameMaker

  • Mise en page et modèles

  • Modification de contenu

  • Tableaux

  • Graphiques et objets

  • Projets, livres et documents longs

  • Contenu de source unique

  • Révision et collaboration

  • Création de contenu structuré

  • Création de contenu structuré à l’aide de DITA

  • Imprimer et publier

  • Traduction

  • Systèmes de gestion de contenu

  • Création de scripts dans FrameMaker

  • Annexe

  • Informations juridiques


Prise en main

Lancez-vous avec FrameMaker et apprenez-en davantage sur les puissantes possibilités que vous offre FrameMaker pour la rédaction et la publication de contenu.

Adobe FrameMaker est une solution complète de rédaction de contenu conçue pour prendre en charge les environnements de rédaction complexes et les besoins en termes de publication.

Avant de commencer à vous servir de FrameMaker, prenez le temps de lire la présentation relative à l’activation et aux nombreuses ressources à votre disposition. En plus des informations données dans ce guide, vous avez accès en ligne à des vidéos d’explication, des modules externes, des modèles, des communautés d’utilisateurs, des séminaires, des didacticiels, des flux RSS et bien plus encore.

Pour accéder à un large éventail de ressources FrameMaker, visitez la Page de ressources d’aide FrameMaker.

  • Présentation de FrameMaker
    FrameMaker est une solution polyvalente qui vous permet de créer des documents structurés ou basés sur des modèles, d’examiner et de collaborer avec plusieurs systèmes de gestion de contenu et de publier sur une multitude d’appareils.
  • Modes de création de contenu
    Découvrez les différents environnements de création de contenu dans Adobe FrameMaker pour le contenu non structuré et structuré et l’édition (XML), et comment choisir entre ces options.
  • Nouvelles fonctions d’Adobe FrameMaker
    Découvrez les nouveautés de la version de septembre 2022 d’Adobe FrameMaker.
  • Autres fonctionnalités de la version FrameMaker (été 2020)
    Découvrez d'autres fonctionnalités de la version de FrameMaker (été 2020) qui vous aideront à créer et à publier facilement vos documents.
  • Configuration requise
    En savoir plus sur la configuration système requise pour l’installation d’Adobe FrameMaker.
  • Installation et enregistrement
    Suivez les instructions suivantes pour vous familiariser avec FrameMaker sur votre ordinateur.
  • Ressources d’apprentissage
    Accédez aux dernières ressources d’apprentissage d’Adobe FrameMaker.


Présentation de FrameMaker

FrameMaker est une solution polyvalente qui vous permet de créer des documents structurés ou basés sur des modèles, d’examiner et de collaborer avec plusieurs systèmes de gestion de contenu et de publier sur une multitude d’appareils.

Dans ce sujet

  • Introduction

  • Création et enrichissement de contenu

  • Gestion et collaboration

  • Publication dans plusieurs canaux

  • Logiciel pris en charge

Introduction

Si vous cherchez un outil polyvalent qui prend en charge tous vos besoins en termes de création de contenu et de publication, FrameMaker est la solution :

  • Si vous souhaitez créer un document qui applique une structure étroite ou que vous envisagez une approche se basant sur un modèle, FrameMaker offre des outils puissants et les rend les plus accessibles possibles aux particuliers et aux équipes.

  • Avec les capacités avancées de révision et de collaboration que propose FrameMaker, vous pouvez intégrer et envoyer des commentaires de révision en toute simplicité.

  • FrameMaker vous permet d’associer vos fichiers à Adobe Experience Manager, OpenText Documentum, Microsoft SharePoint, DitaExchange et à tout système de gestion de contenu de votre choix sans effort.

  • Un ensemble important d’options de publication vous permet de personnaliser et de livrer du contenu à plusieurs périphériques.

Fonctionnalités de Frame Maker

Création et enrichissement de contenu

Alors que la nature de certains documents nécessite une création de contenu structuré, vous pouvez utiliser le mode libre pour la création de contenus de documents différents. Les graphiques, les tableaux et les objets au contenu multimédia enrichi ne constituent que quelques exemples des manières dont vous pouvez enrichir du contenu. FrameMaker vous donne la flexibilité pour choisir votre mode de création de contenu, ainsi que plusieurs options d’amélioration de contenu.

Options de création structurée et non structurée dans Frame Maker

Gestion et collaboration

La vitesse et la précision sont d’une importance primordiale pour que votre contenu reste actuel et pertinent. Vous disposez de plusieurs options pour effectuer des révisions de contenu et assurer une collaboration étroite avec les membres de l’équipe. Utilisez les barres de modification, activez le suivi des modifications de texte ou définissez les révisions de fichiers PDF partagés selon vos besoins. Vous pouvez également utiliser FrameMaker pour accéder directement à un système de gestion de contenu et y transférer des actifs.

Utilisation d’un CMS avec FrameMaker

Pour plus de détails, reportez-vous à la section Création de contenu structuré.

Publication dans plusieurs canaux

Les demandes actuelles de publication de contenu nécessitent la prise en charge d’un nombre sans cesse croissant de formats et de périphériques. FrameMaker répond à vos besoins de publication complexe de la façon la plus facile d’utilisation et la plus efficace. Vous pouvez générer des formats de sortie tels que PDF, Responsive HTML5 ou des sorties pour périphériques Kindle, entre autres. La modification des styles et des thèmes, le paramétrage de modèles, l’activation du codage, ou la définition d’options de recherche de contenu vous permettent de personnaliser votre sortie. Génération d’un format de sortie unique ou de formats multiples en une seule fois

Options de publication multicanal dans FrameMaker

Pour plus de détails, reportez-vous à la section Publication multicanaux.

Logiciel pris en charge

FrameMaker prend en charge les logiciels suivants dans ses processus :

  • Microsoft® Word 2013, 2010 ou Office 365 (uniquement les documents téléchargés depuis Office 365)

  • Acrobat Desktop Application versions XI, Pro (2017 release), dernière version

  • OpenText EMC Documentum

  • Microsoft® SharePoint Online ou 2013

  • Microsoft SharePoint Online

  • Adobe Experience Manager 6.5, 6.4 ou 6.3

  • Adobe XML Documentation for Adobe Experience Manager

Parent topic: Prise en main


Modes de création de contenu

Découvrez les différents environnements de création de contenu dans Adobe FrameMaker pour le contenu non structuré et structuré et l’édition (XML), et comment choisir entre ces options.

Dans ce sujet

  • Introduction

  • Choix d’un mode de création de contenu

  • Mode FrameMaker

  • Mode FrameMaker structuré

Introduction

Adobe FrameMaker offre les modes de création suivants :

  • Mode FrameMaker

  • Mode FrameMaker structuré

  • Editeur de code source XML

Selon que vous adoptez l’approche structurée ou non structurée de la création de contenu ou si vous souhaitez modifier du code source XML, vous pouvez choisir un mode de création approprié pour votre contenu.

Choix d’un mode de création de contenu

La première fois que vous ouvrez FrameMaker, le mode de création par défaut est défini sur FrameMaker structuré. Vous pouvez changer le mode dans la boîte de dialogue Préférences :

  1. Sélectionnez Edition > Préférences pour ouvrir la boîte de dialogue Préférences.

  2. Dans la boîte de dialogue Préférences, sélectionnez Global > Général.

  3. Dans la liste déroulante Interface du produit, sélectionnez le mode FrameMaker et cliquez sur OK.

Vous êtes invité à redémarrer FrameMaker pour que les modifications prennent effet.

L’interface utilisateur de FrameMaker fournit une transition en tout simplicité entre une création de contenu FrameMaker structuré et non structuré. Les options du menu et les autres éléments de l’interface sont cohérents entre les deux modes. Toutefois, les options sont spécifiques au mode choisi pour la création de contenu.

Mode FrameMaker

Mode de création de contenu non structuré Adobe FrameMaker

Le mode FrameMaker est idéal pour la création de contenu qui ne doit pas être associé à une structure rigide. La création à base de style s’appuie sur un modèle pour définir la présentation du contenu. Les styles de paragraphe, de caractère, de tableau et d’objet sont souvent basés sur des guides de style et des règles pour l’écriture de contenu spécifiés par des éditeurs. En tant qu’auteur, vous pouvez décider du flux et du formatage du contenu. Par exemple, vous pouvez inclure des intitulés suivis soit de paragraphes soit de graphiques, selon la nature du contenu. Cela signifie que dans un flux de production de création de contenu non structuré, il est possible de créer des documents basés sur une narration relativement libre.

Une procédure typique de création de contenu standard dans FrameMaker comprend les tâches suivantes :

  • Créer des documents uniques.

  • Compiler plusieurs documents dans un livre.

  • Spécifier comment le contenu est présenté en définissant les styles de paragraphe, de caractère, de tableau et d’objet.

  • Créer des modèles fournissant des styles prédéfinis, pouvant être échangés avec plusieurs auteurs.

  • Utiliser la fenêtre Document pour créer le contenu.

  • Travailler dans l’un des formats pris en charge : documents standard (.fm), documents Maker Interchange Format (.mif), et livres (.book).

Note: En mode FrameMaker, vous ne pouvez pas ouvrir de documents XML et structurés.

Mode FrameMaker structuré

Mode de création de contenu structuré Adobe FrameMaker

Utilisez le mode FrameMaker structuré pour les documents qui doivent adhérer à une structure. La structure est définie par les éléments et les attributs qui sont disponibles ainsi que l’emplacement valide de ces éléments dans la structure.

Tout objet d’un document, par exemple un paragraphe, une section, une rubrique ou un tableau, s’exprime sous la forme d’un élément. Lorsque vous créez un document structuré, vous devez vous assurer que chaque élément est présent à un emplacement structurellement valide. La création de contenu assure la cohérence d’une structure pour plusieurs éléments de contenu.

Voici quelques exemples de règles structurelles :

  • Une liste à puces doit contenir au moins trois éléments.

  • Une section doit commencer par un titre.

  • Un intitulé doit être suivi d’un paragraphe.

  • Un tableau doit avoir une ligne d’intitulé.

  • Un graphique doit avoir une légende.

Une procédure typique de création de contenu structuré dans FrameMaker comprend les tâches suivantes :

  • Créer des documents structurés individuels ou inclure plusieurs documents dans un mappage DITA ou dans un livre.

  • Utilisez les exemples structurés existant ou créez une structure personnalisée à partir des EDD et DTD.

  • Inclure les éléments de droite pour définir le flux de contenu. Certains éléments comprennent aussi les informations de formatage que vous pouvez utiliser pour spécifier des styles.

  • La structure sous-jacente assure la cohérence pour un contenu dans un environnement multi auteurs.

  • Utilisez le catalogue Eléments ou les raccourcis clavier pour insérer de nouveaux éléments pour des textes, des images, des tableaux et autres objets.

  • Utilisez la Vue de la structure pour naviguer dans votre structure et déplacer des éléments à l’intérieur. La Vue de la structure indique également la validité de votre document par rapport à la structure sous-jacente.

  • Créer dans l’un des formats pris en charge : documents structurés (.fm), documents XML (.xml, .dita) et des livres (.book, .ditamap).

Voir une vidéo sur Introduction à FrameMaker structuré.

Note: Vous pouvez également choisir d’utiliser des éléments non structurés dans le mode Structuré. Toutes les fonctionnalités du mode FrameMaker sont disponibles en mode Structuré.
Parent topic: Prise en main


Nouvelles fonctions d’Adobe FrameMaker

Découvrez les nouveautés de la version de septembre 2022 d’Adobe FrameMaker.

Adobe FrameMaker propose un certain nombre de nouvelles fonctionnalités, de mises à jour et d'améliorations dans tous les domaines clés, notamment la plate-forme, la création, la révision, le système de gestion de contenu et la publication. Cette rubrique vous offre un aperçu de tout ce qui a changé dans la version principale de FrameMaker. D'une manière générale, cette version de FrameMaker apporte de nouvelles fonctionnalités et des améliorations dans presque tous les principaux domaines de la création, tels que l'introduction du retrait droit de la dernière ligne, la prise en charge transparente du nombre total de pages d'un livre, l'amélioration de la capacité à travailler avec des tableaux, l'introduction du style d'objet et du texte de marquage dans la liste des options de modification, l'amélioration significative des performances de la publication PDF et de la fonction de recherche (pour DITA), ainsi que des opérations telles que l'archivage, l'enregistrement et l'annulation de l'archivage spécifiques au connecteur AEM, et des corrections de bogues concernant la sortie HTML5 et PDF.

Tip: Regardez cette vidéo d’introduction http://www.adobe.com/go/learn_fm_16_intro_en sur FrameMaker.

Jetons un œill à ce qui a changé dans la version principale de FrameMaker :

Retrait droit de la dernière ligne

Désormais, FrameMaker offre une expérience plus unifiée en alignant les intitulés dans la table des matières. Une table des matières peut contenir de longs intitulés qui s'étendent sur plusieurs lignes, écrasant les numéros de page. Cela peut vous empêcher de lire ou localiser les numéros de page de ces longs intitulés. Vous pouvez utiliser la fonction de retrait droit de la dernière ligne pour aligner les longs intitulés et faire apparaître les numéros de page séparément et clairement.

Les captures d'écran suivantes montrent comment le retrait de la dernière ligne peut contribuer à rendre les longs intitulés clairs et facilement lisibles.

Figure 1. Longs intitulés sans le retrait de dernière ligne | Figure 2. Longs intitulés avec le retrait de dernière ligne

Comme pour une table des matières, vous pouvez utiliser cette fonction pour aligner les articles d'une liste de prix dont certains ont des noms plus longs. Grâce à cette fonction, vous pouvez épingler les prix à droite. Ainsi, ils sont séparés du reste et faciles à lire. Pour plus d'informations sur la manière d'utiliser le retrait de la dernière ligne, reportez-vous à Appliquer le retrait droit de la dernière ligne.

Publication PDF plus rapide du contenu DITA

La publication PDF a été améliorée et rendue beaucoup plus rapide et transparente pour un document composite et un livre avec les composants FrameMaker.

Vous pouvez désormais générer rapidement un livre composite grâce à un flux de travail nettement amélioré. Le document composite est un PDF de base qui ne contient ni titres, ni tables des matières, listes des figures et autres composants. Les documents composites nécessitent généralement l'importation de nombreux documents et fichiers multimédias, ce qui se fait désormais beaucoup plus rapidement. La génération de l'espace de touche et la résolution du contenu sont également effectuées avec une grande efficacité avant que le PDF ne soit généré.

Grâce au nouveau flux de travail amélioré, vous pouvez également générer le PDF via le livre avec l’itinéraire des composants FrameMaker (hiérarchie de livre plat), où vous obtenez la page de titre, la table des matières, le recto, le verso, la liste des figures ou des tableaux, et d'autres composants du livre. Pour générer le livre à l'aide de composants FrameMaker, vous pouvez choisir la fonction Enregistrer au format PDF via un livre avec l’itinéraire de composants dans l’onglet Options DITA.
Figure 3. Onglet Options DITA dans Paramètres de publication

Selon les références utilisées dans votre mappage DITA, les performances de la génération de PDF ont été multipliées par 5 par rapport aux versions antérieures de FrameMaker, de sorte que vous pouvez désormais générer un document composite ou un livre avec des composants FrameMaker avec une grande efficacité. Pour plus d’informations sur la sortie PDF et les paramètres PDF, consultez Sortie PDF

Amélioration des performances de la recherche DITA

La recherche de texte dans un mappage DITA est désormais beaucoup plus rapide. FrameMaker a encore amélioré la fonction de recherche de texte dans vos documents. Vous pouvez désormais effectuer beaucoup plus efficacement une recherche simple ou une recherche basée sur l'expression régulière. Par rapport aux versions précédentes, les performances de recherche sont 15 fois plus performantes que dans la dernière version.

Si une balise personnalisée a été définie dans la DTD, vous devez ajouter la balise dans le fichier .json pour une recherche efficace. Pour en savoir plus sur la façon d'ajouter une balise personnalisée, consultez Définir une balise personalisée pour filtrer la recherche.
Figure 4. Trouver du texte à l’aide de la boîte de dialogue Chercher/Remplacer

Pour plus de détails sur la recherche de texte, consultez Boîte de dialogue Chercher/Remplacer.

Afficher le nombre total de pages d'un livre

FrameMaker offre désormais la possibilité d'afficher le nombre total de pages d'un document non structuré. Vous pouvez désormais utiliser la variable Nombre de pages du livre pour afficher le nombre total de pages d’un livre entier.
Figure 5. Nombre de pages total d’un livre

Vous pouvez sélectionner la nouvelle case à cocher de Variables de livre dans la boîte de dialogue Mettre à jour un livre pour rapidement mettre à jour le nombre total de pages d’un livre.
Figure 6. Mettre à jour les variables du livre à partir d'une boîte de dialogue Mettre à jour le livre

Pour en savoir plus sur l'affichage du nombre total de pages d'un livre, reportez-vous à Nombre total de pages d’un livre.

Mettre les variables en évidence dans un document

Les variables sont utiles pour définir des valeurs qui peuvent ensuite être réutilisées dans un document. Lors de la rédaction, il est important de définir des variables dans un document et de modifier leurs valeurs en fonction des besoins. FrameMaker permet désormais d’identifier plus facilement les variables d'un document.
Figure 7. Variables mises en évidence dans un document

Vous pouvez désormais mettre en évidence les variables utilisées dans un document FrameMaker et les séparer facilement du texte dans un document. Par exemple, vous avez créé une variable « Numéro de la version » pour le numéro de version actuel de votre ou vos documents. Vous pouvez mettre la variable en surbrillance et l’examiner avant de modifier sa valeur facilement dans le(s) document(s). Pour plus d'informations sur la mise en évidence des variables, consultez Mettre en évidence les variables dans un document.

Amélioration de la performance du connecteur AEM

FrameMaker a encore amélioré les performances du connecteur AEM. Vous pouvez désormais gérer vos documents de manière beaucoup plus efficace grâce au connecteur AEM. Grâce à cette amélioration, vous bénéficiez de performances nettement supérieures lors de l'enregistrement, du retrait ou de l'annulation de l'enregistrement de vos documents par lot. Les performances ont été multipliées par 10, de sorte que les opérations sur les fichiers en vrac (tant au niveau des dossiers que des fichiers) sont beaucoup plus rapides et fluides.
Figure 8. Opérations de fichiers via le connecteur AEM

Pour plus de détails sur l'exécution d'opérations de fichiers via le connecteur AEM, consultez Travailler avec des fichiers.

Interface utilisateur redéfinie pour l’écran d’accueil

L’écran d’accueil a été amélioré et constitue l’endroit idéal pour commencer à consulter votre documentation. Dans la version de septembre 2022 de FrameMaker, vous pouvez travailler en toute transparence avec une toute nouvelle interface utilisateur minimaliste mais robuste. L’écran d’accueil possède désormais deux icônes sur la gauche : Accueil et Apprendre.

L’affichage Accueil permet d’accéder rapidement aux documents sur lesquels vous avez récemment travaillé, aux modèles de documents, aux préréglages FrameMaker, et bien plus. FrameMaker propose également deux nouveaux modèles et échantillons : « Modern Energy » et « Ship Guide ».

Tip: Vous pouvez accéder à ces modèles à l’aide de l’icône Nouveau fichier à partir d’un modèle sur l’écran d’accueil.

Désormais, le panneau Eléments récents apparaît et affiche les fichiers ou projets récents uniquement si vous avez récemment travaillé sur des documents.

Figure 9. Affichage Accueil de l’écran d’accueil

L’affichage Apprendre vous permet d'explorer les webinaires, les tutoriels, les vidéos de démonstration, les mises à jour de produits, les cours d'apprentissage, le contenu marketing, etc., dans un navigateur.
Figure 10. Affichage Apprendre de l’écran d’accueil

Pour plus d’informations, consultez Ecran d’accueil.

Fonctionnalité de modification des balises style d’objet

Les styles d’objet vous permettent de conserver une apparence cohérente sur vos objets tels que les images, les graphiques, les équations et les cadres ancrés. FrameMaker propose désormais un processus efficace et unifié pour modifier les styles d'objets de plusieurs objets dans un document. Vous pouvez très facilement modifier en une seule fois des objets avec des styles d'objets spécifiques dans des documents .fm structurés et non structurés.

Si vous importez fréquemment des documents Word dans FrameMaker, cette fonctionnalité vous sera très utile. Par défaut, aucun style d'objet n'est appliqué aux objets dans Word, mais vous pouvez utiliser cette fonctionnalité pour appliquer des styles d'objet en masse et maintenir la cohérence dans l'ensemble de votre document importé.

Par exemple, des images dans votre document se voient appliquer la balise de style d’objetMyRed (avec une couleur de remplissage rouge). En utilisant la boîte de dialogue Chercher/Remplacer, vous pouvez facilement modifier la balise de style d’objet existante MyRed (avec une couleur de remplissage rouge) par une autre balise de style d’objet MyGreen (avec une couleur de remplissage verte).
Figure 11. Modifier les balises de style d'objet à partir de la boîte de dialogue Chercher/Remplacer

Utilisez également cette nouvelle amélioration pour trouver les objets qui n'ont pas de balise de style d'objet et leur appliquer un nouveau style d'objet. Par exemple, vous pouvez trouver les cadres ancrés qui n'ont pas de balise de style d'objet et appliquer la balise de style d'objet MyGreen (avec une couleur de remplissage verte).

Pour plus d’informations sur les styles d’objet, consultez Styles d’objet. Pour en savoir plus sur la manière d'appliquer des styles d'objets en masse, reportez-vous à Chercher et remplacer les styles d’objet.

Fonctionnalité de modification du texte du marqueur

Les marqueurs vous permettent de marquer ou de baliser du contenu spécifique dans votre document. FrameMaker utilise des marqueurs pré-définis pour les références croisées, l’indexation, les balises conditionnelles, les équations, les glossaires et autres. Pour plus de détails, consultez Marqueurs.

Chaque marqueur contient une description ou un texte de marqueur. Désormais, FrameMaker offre la possibilité de modifier facilement les marqueurs avec un texte de marqueur spécifique dans les documents .fm (structurés ou non). Vous pouvez modifier le texte complet ou même partiel du marqueur. Cette nouvelle fonctionnalité est pratique pour changer les marqueurs d'une marque ou d’un produit spécifique dans un long document et les remplacer par une autre marque ou un autre produit. Par exemple, vous pouvez modifier le texte de marqueur « Adobe FrameMaker » en « FrameMaker ».

Figure 12. Trouvez le texte de marqueur et modifiez-le à l'aide de la boîte de dialogue Chercher/Remplacer

Figure 13. Marqueurs avec le texte modifié

Pour en savoir plus sur la modification du texte de marqueur, consultez Modifier un texte de marqueur.

Qualité améliorée des graphique dans une sortie PDF

Les graphiques sont un élément clé de votre sortie PDF. Dans cette versioon, les graphiques de vos documents structurés et non structurés en format PDF ont été considérablement améliorés. Divers objets graphiques tels que les lignes pointillées, les arcs, les formes et les courbes sont dessinés de manière très uniforme et les bords sont nettement définis. Les coins et les courbes des objets sont nets et clairs. Contrairement aux versions précédentes, la qualité n’est pas compromise, même lorsque vous effectuez un zoom sur la sortie.

Les captures d'écran suivantes montrent comment les objets graphiques de la sortie PDF de la version de septembre 2022 de FrameMaker ont été améliorés par rapport à la version précédente.

Figure 14. Sortie PDF dans FrameMaker 2020
Figure 15. Sortie PDF dans FrameMaker 2022

Pour plus de détails sur le dessin d'objets dans FrameMaker, consultez Dessiner des objets.

Support amélioré pour les tableaux

Les tableaux sont très utiles pour organiser les informations. La dernière version offre de nombreuses fonctionnalités qui vous permettront de travailler de manière très fluide avec les tableaux :
  • Dans les versions précédentes de FrameMaker, si vous importez ou créez un tableau dans votre document qui ne contient pas d’en-tête ou de pied de page, vous ne pourrez pas en ajouter par la suite. Dans la dernière version, vous pouvez facilement convertir n'importe quelle(s) ligne(s) du corps du tableau en ligne(s) d'en-tête ou de pied de page. Cette fonctionnalité est pratique lorsque vous travaillez avec des tableaux longs importés ou créés, où vous pouvez convertir les lignes du corps en lignes d'en-tête ou de pied de page. Pour plus d’informations sur la conversion de lignes de corps en lignes d’en-tête ou de pied de page, consultez Convertir des lignes de corps en lignes d’en-tête ou de pied de page.
    Figure 16. Convertir les lignes du corps en lignes d'en-tête ou de pied de page

  • Faire glisser les cellules ou les lignes pour les sélectionner n’est pas toujours une expérience fluide, surtout dans un long tableau. À présent, FrameMaker vous offre également la possibilité de sélectionner rapidement les cellules, les lignes, les colonnes, les lignes d'en-tête, les lignes de pied de page, les lignes de corps et même le tableau à partir du menu contextuel.
    Figure 17. Menu contextuel pour un tableau

  • Une autre amélioration de cette version est la couleur unique pour un en-tête ou un pied de page. Vous avez maintenant la possibilité de définir deux couleurs différentes pour l’en-tête et le pied de page. Pour plus d’informations, consultez Configurer les règles et les ombres dans un style de tableau.
    Figure 18. Possibilité d'avoir des couleurs différentes pour les lignes d'en-tête et de pied de page

  • Il se peut que vous deviez modifier la hauteur de la ligne pour que le texte puisse y tenir. Vous pouvez désormais facilement redimensionner les lignes d’un tableau en les faisant glisser. Pour plus d’informations, consultez Redimensionner une ligne en la faisant glisser.
Parent topic: Prise en main


Autres fonctionnalités de la version FrameMaker (été 2020)

Découvrez d'autres fonctionnalités de la version de FrameMaker (été 2020) qui vous aideront à créer et à publier facilement vos documents.

Guillemets intelligents spécifiques à chaque langue

FrameMaker est une solution de création et de publication multilingue. Il est très fréquent de voir un même document rédigé et publié dans plusieurs langues. Chaque langue a ses propres systèmes de syntaxe, de sémantique et d’alphabet. Pour vous donner un meilleur contrôle lors de la création, FrameMaker vous permet de spécifier des guillemets ouvrants/fermants spécifiques à la langue.

Vous pouvez définir les guillemets simples et doubles que FrameMaker doit utiliser lors de la création. Un nouvel ensemble de paramètres Guillemets ouvrants/fermants a été introduit dans la boîte de dialogue Préférences de FrameMaker pour vous permettre de spécifier les guillemets en fonction de votre langue. Pour accéder aux paramètres Guillemets ouvrants/fermants, accédez à Edition > Préférences > Orthographes > Guillemets ouvrants/fermants. Une fois cela défini, FrameMaker utilise dans votre document les guillemets que vous avez définis pour votre langue dans les paramètres Guillemets ouvrants/fermants ou la langue définie dans le style de paragraphe.

Figure 1. Paramètres Guillemets intelligents dans la boîte de dialogue Préférences

Pour plus d’informations, voir Guillemets ouvrants/fermants.

Voir une vidéo sur Utilisation de guillemets intelligents spécifiques à la langue.

Mise en forme des phrases

Par défaut, FrameMaker fournit de nombreuses fonctionnalités de mise en forme du texte qui vous aident à créer rapidement vos documents FrameMaker.

Figure 2. Option Casse de la phrase dans la barre d’outils Formatage de texte

Vous pouvez simplement sélectionner le texte et appliquer les formats de votre choix en un seul clic. Des formats comme gras, italique, augmentation ou diminution de la taille de la police, modification de la casse en minuscules, en majuscules et autres sont disponibles dans la barre d’outils Formatage de texte.

Avec la version principale de FrameMaker, vous pouvez facilement appliquer Casse de la phrase à des phrases ou des paragraphes sélectionnés. Casse de la phrase et d’autres options de mise en forme du texte sont disponibles dans la barre d’outils Formatage de texte. Pour ouvrir la barre d’outils Formatage de texte, sélectionnez Affichage > Barres d’outils > Formatage de texte.

Figure 3. Fichier CSS avant et après l’importation dans l'EDD

Pour plus d’informations, voir HTML avec feuilles de style en cascade.

Voir une vidéo sur Prise en charge du style CSS3.

Toute nouvelle vue Structure

La vue Structure est l’une des fonctionnalités les plus utilisées dans un document FrameMaker structuré. Dans la version principale de FrameMaker, cette fonctionnalité a été encore améliorée et rendue beaucoup plus puissante. La nouvelle vue Structure est maintenant également disponible lorsque vous utilisez la Vue XML. Cela signifie que la fonctionnalité Arborescence est maintenant remplacée par la nouvelle Vue Structure.

Avec la nouvelle vue Structure améliorée, vous pouvez effectuer les tâches suivantes (dans la vue XML d’un document) :

  • Effectuer une recherche par élément, attribut ou contenu.

  • Naviguer dans le code XML en cliquant sur n’importe quel élément de la vue de la structure.
  • Utiliser le menu contextuel pour couper, copier, coller et supprimer des éléments.
  • Insérez un élément avant ou après tout élément à l’aide du menu contextuel.
  • Afficher et modifier les attributs directement à partir de la vue de la structure proprement dite.
Figure 4. Nouvelle vue de la structure dans la vue XML d'un document

Pour plus d’informations, voir Vue XML.

Support de 2FA/SSO dans le connecteur Adobe Experience Manager

Adobe Experience Manager est une solution complète de gestion de contenu pour la création de sites Web, d’applications mobiles et de formulaires. Adobe FrameMaker est livré avec l’intégration native à l'aide d'Adobe Experience Manager. Avec le connecteur CMS de FrameMaker, vous pouvez facilement vous connecter à Adobe Experience Manager pour créer et fournir votre contenu technique et marketing.

Avec des fonctionnalités telles que l’archivage automatique des fichiers lors de leur fermeture ou leur extraction automatique lors de leur ouverture, Adobe Experience Manager n’aurait pas pu être plus convivial pour les utilisateurs de FrameMaker. D’autres commandes telles que l'archivage et l'extraction de plusieurs fichiers et l'annulation de l'extraction vous facilitent le travail en toute transparence avec Adobe Experience Manager.

Si votre organisation utilise l’authentification à deux facteurs (2FA) ou l’authentification unique (SSO), utilisez l’option SSO dans le gestionnaire de connexion pour démarrer votre serveur AEM.

Figure 5. Paramètres de connexion Adobe Experience Manager avec l’option SSO

Pour plus d’informations, voir Configuration du connecteur Adobe Experience Manager.

Voir une vidéo sur Intégration native avec Adobe Experience Manager.

Performances de fichier plus rapides

Grâce aux améliorations apportées aux opérations sur les fichiers et au moteur de publication, vous bénéficiez d’une meilleure expérience lorsque vous exécutez une opération de fichier ou une tâche de publication. Des opérations telles que l’ouverture et l’enregistrement d’un fichier sont beaucoup plus rapides et plus fluides. Le temps nécessaire pour ouvrir ou publier des fichiers au format PDF ou HTML5 est beaucoup plus rapide.

Voir une vidéo sur Performances de fichier plus rapides.

Amélioration de la gestion des images

L’insertion de plusieurs images à la fois a été une tâche difficile dans FrameMaker. Cependant, avec cette version, vous serez en mesure d’importer des centaines d’images dans votre document sans aucun retard. Avec le nouveau processus de traitement d’image, le défilement de votre document lourd se passera de manière fluide.

Voir une vidéo sur Amélioration de la gestion des images.

Prise en charge du nouveau dictionnaire Duden

La prise en charge des dictionnaires allemands a été complètement revue. Depuis le dictionnaire Hunspell précédent, FrameMaker prend désormais en charge le dictionnaire Duden pour les utilisateurs allemands. Le dictionnaire Duden est régulièrement mis à jour et est l’un des plus utilisés par les utilisateurs allemands.

Voir une vidéo sur Prise en charge du nouveau dictionnaire Duden.

Plus de contrôle sur les fichiers PDF

La nouvelle génération de PDF propose des paramètres de publication complets. Les paramètres de publication PDF sont divisés en cinq catégories : Général, Repères et fonds perdus, Modèle DITA et Options DITA.

Les paramètres généraux vous permettent de configurer le préréglage de sortie, la norme PDF, la compatibilité, les options d’affichage, etc. Le paramètre Repères et fonds perdus peut être utilisé pour définir les paramètres de recadrage, de fond perdu, de repères de montage et de ligne-bloc. Les paramètres des modèles DITA sont utilisés pour configurer les modèles que vous voulez utiliser pour publier le document. Enfin, si vous souhaitez enregistrer le PDF via l’itinéraire Livre, vous pouvez choisir ce que vous souhaitez inclure ou exclure du PDF publié dans les paramètres Options DITA.

Pour plus d’informations, voir Sortie PDF.

Sortie couleur WYSIWYG

Lorsque vous générez une sortie PDF, vous n’avez plus besoin de sélectionner les paramètres de couleur RVB ou CMJN. La nouvelle technologie de génération de PDF publie les mêmes couleurs de texte et d’images que celles que vous voyez lors de la création. Cela vous donne une apparence cohérente de votre document, que vous soyez en train de créer ou de visualiser la sortie publiée.

Outil de création de package amélioré

Le gestionnaire de packages a été amélioré pour créer rapidement des packages avec l’aide du nouveau moteur d’analyse. Vous pouvez facilement créer un package autonome de vos documents, livres ou mappages DITA, en incluant tous les fichiers, images et configurations référencés.

Pour plus d’informations, voir Créer des packages.

Voir une vidéo sur Outil de création de package amélioré.

Parent topic: Prise en main


Configuration requise

En savoir plus sur la configuration système requise pour l’installation d’Adobe FrameMaker.

Avant d’installer FrameMaker, assurez-vous que vous disposez du matériel et des logiciels requis :

  • Processeur Core i5 ou plus rapide

  • Version 64 bits de Microsoft® Windows® 11 ou 10

  • 4 Go de RAM ou plus (recommandé)

  • 5 Go d’espace disque disponible pour l’installation ; espace libre supplémentaire requis pendant l’installation (installation impossible sur un volume qui utilise un système de fichiers sensible à la casse ou sur des périphériques de stockage Flash amovibles).

  • JRE 8 (est nécessaire pour le processus de publication)

Note: Résolution d’écran maximale prise en charge : 4K (3 480 × 2 160, 8,3 mégapixels, format 16:9)

Ce logiciel ne fonctionne pas sans activation. Il est nécessaire de disposer d’une connexion Internet et de s’enregistrer pour activer les logiciels, valider les souscriptions et accéder aux services en ligne.

Note: L’activation par téléphone n’est pas possible.

Langues d’interface utilisateur disponibles

FrameMaker est disponible dans les langues suivantes :

  • English

  • Français

  • Allemand

  • Japonais

Parent topic: Prise en main
Related information
  • Configuration système requise détaillée


Installation et enregistrement

Suivez les instructions suivantes pour vous familiariser avec FrameMaker sur votre ordinateur.

Le programme d’installation FrameMaker est basé sur la toute dernière technologie d’installation d’Adobe. L’installateur a besoin de moins d’espace et est rapide.

Pour installer FrameMaker :

  1. Téléchargez le programme d’installation de FrameMaker à partir du site du produit https://www.adobe.com/fr/products/framemaker/download-trial/try.html.

  2. Fermer toutes les applications Adobe et Microsoft.

  3. Dans le dossier de téléchargement, localisez le fichier Set-up.exe et double-cliquez dessus pour démarrer le processus d’installation.

    Suivez les instructions qui s’affichent à l’écran pour terminer l’installation.

  4. Après avoir terminé le processus d’installation, lancez FrameMaker.

Lors du processus d’installation, votre logiciel Adobe contacte un serveur Adobe afin d’achever le processus d’activation de la licence. Aucune donnée personnelle n’est transmise.

Pour plus d’informations sur l’activation du produit, visitez le site Web d’Adobe à https://helpx.adobe.com/fr/download-install/kb/activate-deactivate-products.html

Note: Si vous souhaitez désactiver votre instance FrameMaker pour une raison quelconque, cliquez sur Aide > Déconnexion. Vous serez invité à enregistrer tout document non enregistré avant de fermer l’application FrameMaker.

Vous pouvez installer plusieurs versions de FrameMaker sur votre ordinateur.

Le chemin d’installation FrameMaker par défaut sur un système 64 bits est :

C:\Program Files\Adobe\Adobe FrameMaker 2020

Dans ce guide, l’emplacement d’installation par défaut de FrameMaker est désigné sous le nom de <Fm_install_location>.

Parent topic: Prise en main


Ressources d’apprentissage

Accédez aux dernières ressources d’apprentissage d’Adobe FrameMaker.

Ressource | URL
Guide de l'utilisateur Adobe FrameMaker (PDF) | http://www.adobe.com/go/learn_fm_2022_ug_pdf_en
Guide de démarrage Adobe FrameMaker | https://helpx.adobe.com/framemaker/get-started.html
Introduction à Adobe FrameMaker | https://my.adobeconnect.com/introduction-to-framemaker
Didacticiels vidéo | https://helpx.adobe.com/fr/framemaker/video-hub.html
Foire aux questions | http://www.adobe.com/go/learn_fm_faq_fr
Configuration requise | http://www.adobe.com/go/learn_fm_sys_req_fr
Forum des utilisateurs d'Adobe FrameMaker | https://community.adobe.com/t5/framemaker/bd-p/framemaker
Blog Adobe TechComm | http://blogs.adobe.com/techcomm/
Adobe TechComm sur Twitter | https://twitter.com/adobetcs
Adobe TechComm sur Facebook | https://www.facebook.com/adobetcs/
Adobe TechComm sur YouTube | https://www.youtube.com/user/AdobeTCS/
Groupe LinkedIn Adobe TechComm | https://www.linkedin.com/groups/2381149/
Groupe LinkedIn Adobe FrameMaker | https://www.linkedin.com/groups/2204291/
Partenaires de formation et de conseils Adobe | https://partners.adobetechcomm.com
Plugins/modules complémentaires tiers | https://partners.adobetechcomm.com//view_all_downloads
Parent topic: Prise en main


Concepts de base de FrameMaker

Prise en main avec introduction aux concepts de base d’Adobe FrameMaker.

Adobe FrameMaker dispose d’une interface utilisateur étendue qui vous permet d’effectuer toutes les tâches de création et de publication en toute simplicité.

Découvrez les différents éléments de l’interface utilisateur de FrameMaker, comment débuter en créant un document et comment utiliser du contenu bidirectionnel.

  • Interface utilisateur
    Découvrez comment travailler avec l’interface utilisateur d’Adobe FrameMaker
  • Accessibilité
    Connaître les fonctionnalités offertes par FrameMaker pour améliorer l’accès aux utilisateurs ayant une déficience visuelle.
  • Documents
    Comprendre les différentes méthodes pour créer des documents dans FrameMaker. Utilisez les modèles intégrés pour créer vos documents.
  • Direction d'un document
    Familiarisez-vous avec la façon dont Adobe FrameMaker vous permet de créer des documents avec un sens de lecture de gauche à droite (« LTR » pour « Left-To-Right ») ou de droite à gauche (« RTL » pour « Right-To-Left"), par exemple pour l’arabe, l’hébreu ou le farsi.
  • Prise en charge des langues asiatiques
    FrameMaker fournit un support avancé pour l’édition et la publication des langues asiatiques. Le moteur de mise en page peut être spécifié au niveau du paragraphe en spécifiant le compositeur de paragraphe asiatique.


Interface utilisateur

Découvrez comment travailler avec l’interface utilisateur d’Adobe FrameMaker

Plus d’informations sur l’interface utilisateur dans les sous-rubriques.

  • Écran d'accueil
    Comprendre l’écran d'accueil dans FrameMaker, connaître les tâches qui peuvent être effectuées selon l’option correspondante choisie sur l’écran de bienvenue.
  • Espaces de travail
    Comprendre l’agencement des éléments et des panneaux dans FrameMaker, connaître les types d’espaces de travail et leurs fonctionnalités.
  • Fenêtre de document
    Familiarisez-vous avec la fenêtre de document et les documents onglets dans Adobe FrameMaker.
  • Panneaux
    Découvrez les panneaux Adobe FrameMaker livres et les dispositions possibles dans un espace de travail.
  • Barres d’outils
    Découvrir les types de barres d’outils, les icônes de barres d’outils, les préférences et la personnalisation des barres d’outils dans Adobe FrameMaker.
  • Catalogues dynamiques
    Découvrez comment utiliser un catalogue dynamique dans Adobe FrameMaker.
  • recherche de commande
    Découvrez comment utiliser la fonctionnalité Recherche de commande dans Adobe FrameMaker.
  • Barre d’état
    Découvrez comment utiliser la barre d’état dans Adobe FrameMaker.
  • Options d'affichage
    En savoir plus sur les différentes options de visualisation et d’affichage dans Adobe FrameMaker.
  • Préférences de FrameMaker
    Apprenez à utiliser la boîte de dialogue la boîte de dialogue Préférences pour modifier différents paramètres Adobe FrameMaker.
  • Conseils contextuels
    Découvrez comment des conseils contextuels vous aident à trouver les nouvelles fonctionnalités introduites dans Adobe FrameMaker.
  • Gestion de fichiers ouverts
    Découvrez comment utiliser des fichiers ouverts dans FrameMaker avec le panneau Panneau Ouvrir les fichiers.
  • Restauration de la dernière session
    Découvrez comment FrameMaker vous permet de restaurer la dernière session, les étapes et les préférences.
  • Restauration des dimensions de vues RM
    Comprenez comment FrameMaker conserve les dimensions des vues du gestionnaire de ressources lors de la sortie et de la relance.
  • Conseils sur l’utilisation de l’interface
    Découvrez des conseils et des raccourcis pour utiliser l'interface utilisateur, la luminosité, les fenêtres de documents, les panneaux et les icônes dans Adobe FrameMaker.
Parent topic: Concepts de base de FrameMaker


Écran d'accueil

Comprendre l’écran d'accueil dans FrameMaker, connaître les tâches qui peuvent être effectuées selon l’option correspondante choisie sur l’écran de bienvenue.

FrameMaker affiche un écran d’accueil en fonction du mode actuel.

L’écran d’accueil fournit des options permettant d’effectuer un ensemble de tâches communément requises en fonction du mode actuel de FrameMaker.

  • Ouvrir un projet ou un document récent

  • Dans le mode FrameMaker : création d'un projet, documents, livres

  • Dans le mode FrameMaker structuré : création de mappages DITA, fichiers DITA, fichiers XML, version DITA de modification

  • Rechercher et ouvrir des fichiers

  • Créer une connexion CMS, ouvrir une connexion récente, parcourir des fichiers sur des sites distants à l’aide de leur URL

  • Accès aux modèles FrameMaker

  • Accès aux ressources de formation FrameMaker

  • Accès à l’assistance technique, aux mises à jour des produits, au pôle de développement, aux forums et au contenu marketing

  • Restauration de la dernière session

Vous pouvez également personnaliser l’écran d’accueil en réorganisant ou en ajoutant des informations sur cet écran. La personnalisation de l’écran d’accueil se fait en mettant à jour le fichier welcome.html qui est disponible à l’adresse suivante :

%appdata%\Adobe\FrameMaker\17\resources\welcomeScreen\

L’écran d’accueil, comme le montre les illustrations ci-après, s’affiche lors du lancement de FrameMaker en mode structuré.

Figure 1. Ecran de bienvenue

Note: Pour tirer le meilleur parti du nouvel écran d’accueil, il est recommandé d’utiliser Internet Explorer 11 ou version ultérieure. Si vous utilisez une version antérieure d’Internet Explorer, l’écran d’accueil peut sembler déformé.

Accès à l’écran d’accueil

Par défaut, l’écran d’accueil s’affiche au démarrage de FrameMaker. Lorsque vous créez un document ou ouvrez un document existant, le document s’affiche dans une fenêtre à onglets. À ce moment, l’écran D’accueil est également remplacé par une fenêtre à onglets. Vous pouvez accéder à l’écran d’accueil avec l’onglet de l’écran d’accueil.

Lorsque vous travaillez, vous risquez de fermer l’écran d’accueil. Pour relancer l'écran d'accueil, sélectionnez Afficher l’écran d’accueil dans le menu sélecteur Espace de travail.

Parent topic: Interface utilisateur
  • Espaces de travail


Espaces de travail

Comprendre l’agencement des éléments et des panneaux dans FrameMaker, connaître les types d’espaces de travail et leurs fonctionnalités.

Dans ce sujet

  • Introduction

  • Espaces de travail standard

  • Enregistrement d’un espace de travail personnalisé

  • Changement d'espace de travail

  • Réinitialisation d’un espace de travail

  • Changement de nom d'un espace de travail personnalisé

  • Suppression d’un espace de travail personnalisé

Introduction

On désigne par l’expression espace de travail un arrangement particulier d’éléments tels que les panneaux que vous utilisez fréquemment lorsque vous travaillez sur vos documents. Vous pouvez ancrer ces éléments, les empiler, les réduire ou les rendre flottants à l’intérieur de votre espace de travail. Vous pouvez sélectionner l’un des espaces de travail prédéfinis ou en créer un. Une fois les panneaux organisés, vous pouvez enregistrer les paramètres de l’espace de travail pour un usage ultérieur.

L'interface FrameMaker présente les composants suivants.

  • La barre d’application occupe la partie supérieure et contient un sélecteur permettant de basculer vers un autre espace de travail, des menus, ainsi que d’autres commandes d’application.

  • La fenêtre de document affiche le fichier sur lequel vous travaillez. Les fenêtres de document peuvent présenter un onglet et, dans certains cas, être regroupées et ancrées.

  • Les panneaux vous permettent de contrôler et de modifier votre travail. Il existe par exemple des panneaux pour la configuration de paragraphes, de caractères ou de tableaux, ainsi que pour les marqueurs, les variables et les références croisées. Vous pouvez les réduire, les regrouper, les empiler ou les ancrer.

  • La barre d’état affiche les informations de formatage de texte et de pagination du document actif. Dans les documents structurés, la barre d’état affiche également le chemin de navigation exact de l’élément actuellement sélectionné.

Espaces de travail standard

Vous pouvez choisir l’un des espaces de travail standard ou créer des espaces de travail personnalisés et passer de l’un à l’autre. Les espaces de travail standard sont conçus pour vous permettre de passer rapidement d’un espace de travail à l’autre selon l’opération que vous souhaitez accomplir. Par exemple, l'espace de travail Révision possède des barres d'outils de révision, des panneaux couramment utilisés ainsi que des panneaux préarrangés qui facilitent la révision rapide d'un document.

  • Création

  • Vierge

  • Conception

  • Gestion des graphiques

  • Révision

  • XML/structuré (uniquement disponible sur FrameMaker structuré)

Enregistrement d’un espace de travail personnalisé

  1. Configurez l’espace de travail comme vous le souhaitez et sélectionnez Enregistrer l’espace de travail au moyen du sélecteur dans la barre d’application.

  2. Saisissez un nom pour l'espace de travail. Cliquez sur OK.

D'une session à l'autre, FrameMaker garde en mémoire le dernier espace de travail utilisé. Si vous travailliez dans l’espace de travail Révision et que vous fermez et relancez FrameMaker, cet espace de travail Révision est chargé.

Changement d'espace de travail

Pour changer d’espace de travail, sélectionnez un espace de travail dans le sélecteur d’espace de travail de la barre d’application.

Figure 1. Utilisez le sélecteur pour basculer entre les différents espaces de travail conçus pour votre flux de production..
Passez à d’autres espaces de travail à l’aide du sélecteur d’espace de travail dans FrameMaker

Réinitialisation d’un espace de travail

En enregistrant la configuration actuelle des panneaux comme espace de travail nommé, vous gardez la possibilité de restaurer cet espace par la suite et ce, même si vous avez déplacé ou fermé un panneau. Les noms des espaces de travail enregistrés sont visibles dans le sélecteur d’espace de travail de la barre d’application.

Sélectionnez l'option Rétablir l’espace de travail à l'aide du sélecteur d'espace de travail dans la barre d'application.

Changement de nom d'un espace de travail personnalisé

  1. Sélectionnez l’option Gérer l’espace de travail via le sélecteur d’espace de travail de la barre d’application.

  2. Sélectionnez l'espace de travail. Cliquez sur Renommer.

  3. Entrez un nouveau nom. Cliquez deux fois sur OK.

Suppression d’un espace de travail personnalisé

Sélectionnez Gérer l'espace de travail dans le sélecteur de l'espace de travail de la barre d'application, sélectionnez l'espace de travail, puis cliquez sur Supprimer.

Parent topic: Interface utilisateur


Fenêtre de document

Familiarisez-vous avec la fenêtre de document et les documents onglets dans Adobe FrameMaker.

Une fenêtre de document s'affiche lorsque vous ouvrez un document structuré ou FrameMaker. Elle contient le document avec le texte mis en forme, ses dessins et autres éléments, le tout sous la forme d’une page. Si plusieurs documents sont ouverts, une fenêtre de document s'affiche pour chacun d'eux.

La fenêtre de document est la seule fenêtre disponible dans l'espace de travail FrameMaker standard. Dans l'espace de travail FrameMaker structuré, vous pouvez également voir les limites d'éléments dans la fenêtre de document.

Documents en onglets

Les fenêtres de document comportent des onglets lorsque plusieurs fichiers sont ouverts. Vous pouvez ouvrir des documents sous forme de fenêtres flottantes en supprimant l’option Ouvrir les documents sous forme d’onglets dans Préférences > Interface > Générale.

Figure 1. Les documents apparaissent sous forme d’onglets dans la Vue de document
Vue de document de tabbed dans FrameMaker

Toutefois, lorsque vous ajoutez un fichier généré, comme une Table des matières, le fichier généré s’affiche sous forme réduite en bas à gauche de votre espace de travail. Vous pouvez organiser les fenêtres de documents flottantes et à onglets de plusieurs façons.

  • Pour ancrer une fenêtre de document à un groupe de fenêtres de document, faites glisser cette fenêtre dans le groupe.

  • Pour modifier l’ordre des onglets de la fenêtre de document, faites glisser un onglet de la fenêtre à l’emplacement voulu dans le groupe.

  • Pour annuler l’ancrage d’une fenêtre de document à un groupe de fenêtres, faites glisser l’onglet de cette fenêtre hors du groupe.

    Note: lorsque vous réduisez une fenêtre de document flottante, celle-ci recouvre une partie de la barre d'état de FrameMaker. Vous ne pouvez pas déplacer la fenêtre réduite à un nouvel emplacement.

Vous pouvez effectuer diverses autres tâches à partir du menu contextuel d’un document à onglets. Cliquez avec le bouton droit sur la fenêtre du document à onglets pour effectuer les tâches suivantes :

  • Consolidation de toutes les fenêtres de document

  • Fermeture de l’onglet sélectionné ou de tous les documents ouverts

  • Déplacement de l’onglet sélectionné dans une nouvelle fenêtre

  • Ouvrir l’Explorateur Windows où le fichier est stocké

  • Créer un document

  • Ouverture d'un document

Parent topic: Interface utilisateur


Panneaux

Découvrez les panneaux Adobe FrameMaker livres et les dispositions possibles dans un espace de travail.

Les panneaux sont des panneaux flottants avec une interface conçue pour simplifier votre travail.

FrameMaker fournit les panneaux clés suivants :

  • Panneau de balises conditionnelles

  • Panneau Références croisées

  • Panneau de marqueurs

  • Panneau de polices

  • Panneau Encarts

  • Panneau de variables

  • Panneaux de références

  • Panneau Ouvrir les fichiers

  • Réviser les commentaires

Figure 1. Interface de panneau
Interface de panneau dans FrameMaker

A. Entrées dans le panneau Recherche : à mesure que vous tapez, FrameMaker recherche des correspondances dans toutes les colonnes et les affiche. B. Boutons de la barre d’outils spécifique au panneau. C. Filtre pour choisir le document actif, tous les documents ouverts ou un document spécifique. D. Les flèches sur les en-têtes de colonnes indiquent l'ordre de tri E. Zone de liste du panneau F. Info-bulle G. Les détails de chaque occurrence incluent l'emplacement. Vous pouvez personnaliser l’emplacement à l’aide de la boîte de dialogue Critères d’emplacement des panneaux.

Note: Par défaut, les panneaux s’ouvrent dans la zone de liste du panneau dans le volet de droite. Si vous déplacez les panneaux, FrameMaker mémorise l’emplacement des panneaux. La prochaine fois que vous lancez le panneau, il s’affiche au dernier emplacement mémorisé.

Fermer les panneaux et les groupes d'onglets

Les panneaux disposent d’un bouton à droite de la barre de titre sur lequel vous pouvez cliquer pour fermer un panneau ou un groupe d’onglets (groupe de panneaux).

Figure 2. Fermer les panneaux et le groupe d'onglets
Fermeture des panneaux et du groupe d’onglets dans FrameMaker

  • Fermer : ferme uniquement le panneau actif (le panneau Marqueurs dans ce cas)

  • Fermer le groupe d'onglets : ferme tous les panneaux dans le groupe d'onglets

En outre, en cliquant deux fois sur le titre d’un panneau, vous pouvez réduire ou agrandir ce panneau ainsi que le groupe d’onglets dont il fait partie.

Zone de liste du panneau

Le menu déroulant Sélectionner affiche la liste de tous les documents ouverts, notamment les livres et les mappages DITA.

Si vous sélectionnez Tous les documents ouverts, la zone de liste du panneau affiche toutes les variables de tous les documents ouverts. Si vous sélectionnez un document ouvert spécifique, la zone de liste du panneau affiche les variables du document sélectionné, même si vous passez à un autre document ouvert. La zone de liste du panneau continue d'afficher les occurrences correspondant au document sélectionné.

Si vous sélectionnez l'option En cours, la zone de liste du panneau affiche la liste de toutes les occurrences du document sélectionné. Lorsque vous passez d'un document ouvert à l'autre, la zone de liste est actualisée. Cependant, lorsque vous passez d'un panneau à l'autre, vous devrez peut-être cliquer sur Actualiser.

Si vous sélectionnez un document ouvert (<filename>) :

  • Cliquez sur une occurrence dans le panneau pour afficher l'occurrence correspondante dans le document. Par exemple, si vous sélectionnez une occurrence d'image dans le panneau Encarts, l'image correspondante est également sélectionnée dans la vue de document.

  • Cliquez deux fois sur une occurrence pour effectuer les opérations suivantes pour chaque panneau :

Les panneaux suivants sont disponibles :

Panneau de balises conditionnelles

Affiche le panneau Ajouter/modifier une balise conditionnelle pour la condition sélectionnée.

Panneau de références croisées

Affiche le panneau Référence croisée pour la modification de la référence croisée sélectionnée.

Panneau de marqueurs

Affiche le panneau Marqueurs afin que vous puissiez modifier la définition de marqueur sélectionnée.

Panneau de polices

Affiche le panneau Remplacer la police pour sélectionner une police de remplacement.

Panneau Encarts

Affiche le panneau Caractéristiques de l’objet pour l’encart sélectionné.

Panneau de variables

Ajoute la variable sélectionnée au point d'insertion dans le document en cours.

Panneau de zones réactives

Affiche le panneau des Zones réactives pour la modification de la zone réactive sélectionnée.

Ouvrir les fichiers

Vous permet de gérer et de naviguer à travers un grand nombre de fichiers ouverts.

Note: Cliquez sur le nom d'une colonne pour trier les données de la zone de liste dans l'ordre croissant ou décroissant.
Panneau de console

Affiche le panneau Console qui dresse la liste des avertissements et des messages d’erreur.

Panneau de références

Affiche les résultats de la recherche pour les emplacements où un élément particulier est référencé. Ce panneau concerne uniquement les documents DITA.

Réviser les commentaires
Affiche et vous permet de gérer les commentaires de révision reçus des réviseurs.
Parent topic: Interface utilisateur


Barres d’outils

Découvrir les types de barres d’outils, les icônes de barres d’outils, les préférences et la personnalisation des barres d’outils dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Icônes de la barre d’outils

  • Définition des préférences d’icônes de barres d'outils

  • Personnalisation des icônes de barre d’outils

Introduction

Vous pouvez accéder à toutes les commandes souvent utilisées dans les barres d’outils suivantes, pour vous en servir dans les documents structurés ou non structurés : Vous pouvez afficher une barre d’outils à partir du menu Afficher > Barres d’outils.

barre d’outils Graphiques

Fournit des raccourcis de création et d’édition graphique.

Barre d'accès rapide

Fournit des commandes permettant d’ouvrir et d’enregistrer les documents et de modifier le texte, les graphiques et les tableaux.

Barre d’outils Interface structurée

Fournit des commandes pour l’utilisation de document structuré, telles que Ajouter un document XML, Ouvrir le catalogue d’éléments, Modifier les attributs, etc.

Formatage de texte

Fournit des commandes de formatage de texte, comme les styles de police.

Formatage de tableau

Fournit des commandes de manipulation de tableau : insertion de lignes et de colonnes, fusion de cellules et options d’alignement de texte pour les cellules de tableau.

Formatage de paragraphe

Fournit des commandes de formatage de paragraphes : taquets de tabulation, alignement du texte, espacement et listes des styles de paragraphes.

barre d'outils d'insertion rapide

Fournit des commandes d’insertion et d’enchaînement d’éléments structurés courants de document.

Alignement d'objets

Fournit des commandes permettant de modifier la séquence, l’alignement et l’orientation des objets.

Caractéristiques de l’objet

Fournit des commandes permettant de grouper les objets, de modifier l’ordre des calques, de modifier la forme et l’échelle des objets et de les accrocher sur la grille.

Suivi des modifications du texte

Fournit des commandes de suivi, d’acceptation et de refus des modifications de texte.

Barre d’outils de direction

Fournit des commandes pour l’utilisation des documents bidirectionnels.

Vous disposez également de raccourcis clavier pour toutes les commandes présentes dans les barres d’outils et les menus.

Icônes de la barre d’outils

FrameMaker vous propose un ensemble prédéfini d’icônes en niveaux de gris et de couleur. Ces icônes sont redimensionnées en fonction de la résolution de votre périphérique d’affichage. Par défaut, FrameMaker utilise des icônes en niveaux de gris. Vous pouvez passer aux icônes de couleur en modifiant le paramètre Icônes dans la boîte de dialogue Préférences.

Définition des préférences d’icônes de barres d'outils

Définissez vos préférences d’icônes de barres d'outils pour choisir des icônes de couleur ou en niveaux de gris :

  1. Choisissez Edition > Préférences.

  2. Dans la boîte de dialogue Préférences, sélectionnez Interface et choisissez les préférences relatives aux Icônes - Niveaux de gris ou De couleur.

  3. Redémarrez FrameMaker pour appliquer les préférences des icônes.

Personnalisation des icônes de barre d’outils

Vous pouvez également ajouter vos propres icônes personnalisées dans FrameMaker. Vous devez mettre à jour le fichier .xml de la barre d’outils. Ce fichier est disponible à deux emplacements : dans l’emplacement d’installation de FrameMaker et dans le dossier %appdata%. Si vous souhaitez enregistrer définitivement votre barre d’outils personnalisée, vous devez mettre à jour le fichier de la barre d’outils situé dans l’emplacement d’installation de FrameMaker. Sinon, vous pouvez également mettre à jour les fichiers de la barre d’ outils disponibles dans le dossier % AppData%.

Par exemple, si vous voulez mettre à jour la barre d’outils Elément rapide dans la vue WYSIWYG, vous pouvez mettre à jour le fichier quick_element.xml situé à cet emplacement :

<Fm_install_location>\fminit\WorkSpaces\Structured\WYSIWYGView\toolbars

La méthode préférée est de mettre à jour les fichier de la barre d’outils dans le dossier de préférences de l’utilisateur (%appdata%):

C:\Users\<username>\AppData\Roaming\Adobe\FrameMaker\<version>\WorkSpaces\Structured\WYSIWYGView\toolbars

De même, vous devez spécifier le chemin du référentiel image de l’icône dans le fichier maker.ini. Dans le fichier maker.ini, utilisez la propriété ToolbarCustomImageDir pour spécifier le chemin de base de votre répertoire d’icônes. Encore une fois, le fichier maker.ini est disponible à l’emplacement d’installation de FrameMaker et dans votre dossier %appdata%. Si vous spécifiez le chemin de base aux deux emplacements, FrameMaker donne la priorité à l'emplacement spécifieé dans le fichier %appdata%\Adobe\FrameMaker\<version>\maker.ini.

Effectuez les étapes suivantes pour personnaliser les icônes de la barre d’outils dans FrameMaker :

  1. Créez et placez tous les fichiers d’icône dans votre système. Vous pouvez stocker des icônes dans n’importe quel emplacement, y compris le dossier %appdata%.

  2. Indiquez le chemin de base du répertoire d’icônes dans la propriété ToolbarCustomImageDir dans le fichier maker.ini. Par exemple, si vos icônes sont stockées dans la structure de dossiers suivante :

    Figure 1. Exemple de structure de dossier pour stocker les icônes personnalisées
    Structure de dossier pour personnaliser les icônes de barre d’outils dans Adobe FrameMaker

    Vous devez alors spécifier le chemin de base suivant : C:\custom\icons\structured\toolbar.

  3. Recherchez le fichier .xml de la barre d’outils correspondant à votre affichage et à votre mode et ouvrez-le pour le modifier.

  4. Recherchez l’élément <ACTION> correspondant à l’icône que vous souhaitez personnaliser. Un échantillon du code d’élément< ACTION> est indiqué ci-dessous :

    <ACTION command="CenterPara">
<images base="Feature-B/P_TextAlignCenter_Md"/>

  5. Ajoutez le nom de base de l’icône dans l’attribut de @base de l’élément d’images.

    Note: Dans notre exemple, les icônes sont situées dans les sous-répertoires, nous devons donc spécifier le chemin relatif.

  6. Créez au moins six images d’icône pour différents niveaux de zoom du moniteur. Les niveaux de zoom pris en charge sont 100 %, 150 % et 200 %. Pour chaque niveau de zoom, vous devez avoir deux images : une pour le mode activé et l’autre pour le mode désactivé.

    Le tableau suivant répertorie les noms et les dimensions des icônes pour l’utilisation d’icônes en niveaux de gris personnalisées. Par exemple, si le nom de base de votre icône est xyz, vous pouvez avoir six fichiers image pour les combinaisons possibles de niveaux de zoom suivantes :

    Niveau de zoom

    Noms d’icône

    Taille d’icône recommandée en pixels

    Activé

    Désactivé

    100 %

    xyz.png

    xyz_D.png

    18×18

    150%

    xyz_3TO2X.png

    xyz_D_3TO2X.png

    27×27

    200%

    xyz_2X.png

    xyz_D_2X.png

    36×36

    Notez que pour les icônes désactivées, _D doit être spécifié dans le nom de fichier comme indiqué dans le tableau ci-dessus. De même, pour un niveau de zoom de 150 %, _3TO2X est spécifié dans le nom de fichier et _2X est spécifié pour les icônes à utiliser au niveau de zoom de 200 %.

    Si vous souhaitez utiliser des icônes de couleur, nommez les fichiers en utilisant la syntaxe suivante :

    <base-name>_C_<zoom-level>.png

    La syntaxe mentionnée ci-dessus est destinée aux icônes Activé. Pour créer des icônes Désactivé, utilisez la syntaxe d’attribution de nom de fichier suivante :

    <base-name>_C_D_<zoom-level>.png

Parent topic: Interface utilisateur
  • Raccourcis clavier


Catalogues dynamiques

Découvrez comment utiliser un catalogue dynamique dans Adobe FrameMaker.

Vous pouvez utiliser le Catalogue dynamique comme raccourci pratique vers les catalogues disponibles dans FrameMaker. Par exemple, pour définir un style de paragraphe dans un document, vous utilisez le Catalogue dynamique pour rechercher et sélectionner le style de paragraphe nécessaire. Dans les documents structurés, vous pouvez facilement retrouver les éléments et les attributs requis à insérer dans le document.

Voir la vidéo Catalogues dynamiques.

Pour utiliser le catalogue dynamique:

  1. Placez le curseur à l'emplacement souhaité dans le document.

    Par exemple, pour les styles de caractères et de paragraphes, placez le curseur à l'intérieur d'un paragraphe. Pour des éléments et des attributs dans un document structuré, placez le pointeur à l’emplacement d’insertion d’un élément dans la Vue de la structure.

  2. Appuyez sur la touche de raccourci du catalogue dynamique. Voir les touches de raccourci du catalogue dynamique définies ci-dessous.

    La boîte de dialogue du catalogue dynamique s’affiche.

    Figure 1. Catalogue dynamique « Insérer un élément » dans Adobe FrameMaker
    Boîte de dialogue du catalogue dynamique « Insérer un élément » dans FrameMaker

    Le pointeur se trouve maintenant dans la zone de texte située en haut de la boîte de dialogue.

  3. Pour rechercher un élément dans le catalogue actuel, saisissez le nom ou la description de l’élément. Au cours de la saisie, le contenu de la liste dans la boîte de dialogue s'affine.

    Par exemple, si vous souhaitez insérer un élément de liste dans un document structuré, vous pouvez saisir le nom de l'élément de la liste :<ul>,< ol> ou<dl>. Cependant, vous pouvez également saisir la description de l’élément et la liste est réduite dans la boîte de dialogue à tous les éléments de liste disponibles dans le Catalogue d’éléments.
    Figure 2. Filtrage d'éléments dans le catalogue dynamique « Insérer un élément »
    Rechercher et filtrer des éléments dans le catalogue dynamique « Insérer un élément »

Note: La liste d'éléments affichés dans la boîte de dialogue est limitée à dix. Si la liste dépasse dix, vous pouvez utiliser la barre de défilement pour parcourir la totalité de la liste.
Table 1. Touches de raccourci du catalogue dynamique
Raccourci | boîte de dialogue Catalogue dynamique | S’applique à…
F8, ctrl+8 | Catalogue de caractères | Structuré et non structuré
F9, ctrl+9 | Catalogue de paragraphes | Structuré et non structuré
Ctrl+1 | Catalogue d'éléments | Structuré
Ctrl+2 | Enchaîner un élément | Structuré
Ctrl+3 | Modifier un élément | Structuré
ctrl+4 | Appliquer la condition | Structuré et non structuré
ctrl+5 | Supprimer la condition | Structuré et non structuré
ctrl+7 | Attributs | Structuré
échap+q+o | Catalogue de styles d’objet | Structuré et non structuré
Parent topic: Interface utilisateur


recherche de commande

Découvrez comment utiliser la fonctionnalité Recherche de commande dans Adobe FrameMaker.

Il y a des centaines de commandes dans FrameMaker et chaque commande exécute une tâche spécifique. Parfois, il est difficile de trouver la tâche souhaitée à partir du menu principal. FrameMaker vous permet de trouver plus facilement une tâche à l’aide de la fonctionnalité Fonctionnalité Recherche de commande. Cliquez sur l’icône en forme de loupe dans la barre d’application pour ouvrir la fonction Recherche de commande. Vous pouvez également utiliser la touche de raccourci F7 :

Figure 1. Recherche de commande dans FrameMaker
Recherche de commande dans FrameMaker

Lorsque vous commencez à taper le nom de la tâche que vous voulez exécuter, les commandes disponibles sont filtrées. Par exemple, si vous saisissez un paragraphe, seules les commandes qui vous permettent de travailler avec un paragraphe sont affichées dans les panneaux Recherche de commande.

Figure 2. Exemple de recherche de commande : Recherchez le paragraphe
Exemple de recherche de commande : Recherchez le paragraphe

Vous pouvez choisir une commande dans la liste et appuyer sur Entrée pour exécuter la commande sélectionnée. Le panneau Recherche de commandes montre également la séquence de touche Echap et le chemin du menu de l’exécution de la commande.

Parent topic: Interface utilisateur


Barre d’état

Découvrez comment utiliser la barre d’état dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Zoom avant et arrière

  • Passage d’une page à l’autre et définition du défilement

  • Navigation dans les pages d'un document

Introduction

La barre d'état d'Adobe FrameMaker fournit les contrôles de navigation, les informations de pagination et les contrôles de zoom.

Figure 1. Contrôles de navigation de la barre d'état
Contrôles de navigation de la barre d’état FrameMaker

A Enchaînement de page et chemin de navigation des éléments (structuré) ou style de paragraphe (non structuré) B Première page C Précédent D Aller à la page numéro E Suivant F Dernière page G Aller à la ligne numéror H Aller au point d'insertion I Contrôles de zoom

Zoom avant et arrière

  • Pour augmenter ou diminuer l’agrandissement du texte et des objets, cliquez sur les boutons + (Augmenter le zoom) ou – (Diminuer le zoom) de la barre d’état. FrameMaker effectue un zoom avant ou arrière sur la zone de la page contenant le point d'insertion ou la sélection. S'il n'y pas de point d'insertion ni de sélection, FrameMaker effectue un zoom avant sur le centre de la page.

  • Pour afficher du texte et des objets avec un agrandissement précis, sélectionnez un pourcentage dans la liste déroulante Zoom.

  • Pour afficher toute la page dans la fenêtre en cours, sélectionnez Adapter la page à la fenêtre dans la liste déroulante Zoom.

  • Pour adapter la page ou la zone de texte à la fenêtre, sélectionnez Adapter la fenêtre à la page ou Adapter la fenêtre à la zone de texte dans la liste déroulante Zoom. Si les options d'affichage sont définies pour afficher deux pages en regard, la fenêtre est redimensionnée pour contenir deux pages côte à côte.

  • Pour modifier les paramètres de zoom disponibles, cliquez sur Définir dans la liste déroulante Zoom, sélectionnez le pourcentage à modifier et entrez le nouveau pourcentage. Entrez une valeur entre 25 et 1 600 %. Cliquez sur Définir. Pour revenir aux pourcentages par défaut, cliquez sur Rétablir défaut.

Note: Le niveau de zoom par défaut est défini en fonction de la résolution de votre périphérique d’affichage.

Passage d’une page à l’autre et définition du défilement

Vous pouvez définir comment FrameMaker affichera les pages que vous faites défiler de haut en bas, de gauche à droite, ou par deux.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Options > d’affichage.

  3. Choisissez l’une des options suivantes dans la liste déroulante Défilement :

    • Pour afficher des pages du haut vers le bas (par exemple, la page 2 au-dessous de la page 1), sélectionnez Vertical.

    • Pour afficher des pages de gauche à droite (par exemple, la page 2 à droite de la page 1), sélectionnez Horizontal.

    • Pour afficher deux pages à la fois côte à côte, sélectionnez Pages en regard.

    • Pour afficher autant de pages que possible dans la fenêtre de la gauche vers la droite, sélectionnez Variable.

  4. Cliquez sur Définir-

Navigation dans les pages d'un document

Pour naviguer dans une fenêtre de document, utilisez les contrôles de la barre d’état.

Procédez de l’une des façons suivantes :

  • Pour accéder à la page suivante, cliquez sur le bouton Page suivante.

  • Pour accéder à la page précédente, cliquez sur le bouton Page précédente.

  • Pour accéder à la première page du document, cliquez sur le bouton Première page.

  • Pour accéder à la dernière page du document, cliquez sur le bouton Dernière page.

  • Pour accéder à une page spécifique, cliquez dans la zone Numéro de page et tapez le numéro de la page à afficher.

  • Pour accéder à un numéro de ligne spécifique, cliquez dans la zone Numéro de ligne et tapez le numéro de la ligne à afficher.

  • Pour accéder à la page contenant le point d'insertion, cliquez sur le bouton Point d'insertion.

  • Pour vous déplacer rapidement d'une page à l'autre, faites défiler verticalement.

Si le document que vous parcourez fait partie d'un livre ouvert, FrameMaker affiche parfois un message d'alerte vous invitant à ouvrir le document suivant ou précédent du livre. Si, par exemple, vous cliquez sur Page précédente sur la première page d'un document, en cliquant sur Oui vous ouvrez le document précédent du livre. FrameMaker affiche alors la dernière page de ce document.

Tip: Dans le cas de documents structurés, sélectionnez un élément dans la Vue de la structure pour afficher la page correspondante dans la fenêtre du document.
Parent topic: Interface utilisateur


Options d'affichage

En savoir plus sur les différentes options de visualisation et d’affichage dans Adobe FrameMaker.

Dans ce sujet

  • Options d'affichage

  • Unités

  • Unités de polices

  • Règles et grille

  • Numéros de ligne

  • Guides visuels

  • Symboles de texte

  • Sous-ensemble de commandes de menu

  • Espace de travail à contraste élevé

  • Affichage plus rapide des pages

Options d'affichage

Note: Les règles, les grilles, la bordure des objets, les symboles de texte et les graphiques sont des propriétés de session et non des propriétés de documents. Ils ont un impact sur tous les documents ouverts pendant la session en cours.

Dans Adobe FrameMaker, certaines zones de texte de boîtes de dialogue requièrent une unité de mesure (telle que des points ou des pouces) pour la valeur que vous entrez.

Vous pouvez spécifier les unités par défaut pour la taille de la police et l'espacement des lignes (unités de taille de la police) et pour les autres mesures (unités d'affichage) dans la boîte de dialogue Options d’affichage.

Les unités de mesure par défaut s’affichent après les valeurs dans les zones de texte des boîtes de dialogue.

Vous pouvez saisir des formes courtes et longues d’unités dans des zones de texte des boîtes de dialogue :

  • pc, pi or pica pour les picas
  • pt ou point pour les points
  • px pour les pixels
  • dd pour les didots
  • cc ou cicéro pour les cicéros
  • Q pour les unités Q (se réfère à la taille de police et à l’interligne pour la langue japonaise seulement).

Si vous entrez une valeur sans unité de mesure dans ces zones de texte, FrameMaker utilise l'unité par défaut.

Si vous saisissez une valeur avec une unité différente de l'unité par défaut définie dans les Options d’affichage, FrameMaker recalcule automatiquement la valeur par défaut. Par exemple, si les unités d’affichage de votre document sont des picas et que vous souhaitez définir un retrait de paragraphe de 1 pouce, saisissez 1" dans la boîte de dialogue Premier retrait de la Configuration de paragraphe. Lorsque vous cliquez sur Appliquer, la mesure se modifie pour refléter le nombre de picas correspondant à 1 pouce.

Sélectionnez Affichage > Options... pour ouvrir la boîte de dialogue Options d’affichage.

Figure 1. Boîte de dialogue Options d'affichage
Boîte de dialogue Options d’affichage dans Adobe FrameMaker

Unités

Sélectionnez les valeurs pour Unités. Vous pouvez choisir entre les unités par défaut suivantes :

  • cm (centimètres)
  • mm (millimètres)
  • Pouce
  • Pica
  • Point
  • Didot
  • Cicéro
  • Pixel

Cliquez sur Définir-

Unités de polices

Choisissez les valeurs pour les Unités de polices. Vous pouvez choisir entre les unités par défaut suivantes :

  • Point
  • Q (pour le japonais seulement)

Cliquez sur Définir-

Règles et grille

Sélectionnez un paramètre dans la liste déroulante Règles et dans la liste déroulante du Grille.

Cliquez sur Définir-

Numéros de ligne

Sélectionnez Affichage > Numéros de ligne pour afficher/masquer les numéros de ligne.

Les numéros de ligne dans les fichiers FrameMaker vous aident à identifier les lignes particulières de contenu. Les numéros de ligne sont définis au niveau du document (pour un fichier .fm) et apparaissent avant chaque ligne insérée dans un document FrameMaker.

Figure 2. Numéros de ligne et barres de modification tels qu’affichés dans un document FrameMaker
Numéros de ligne et barres de modification dans un document FrameMaker

Remarques concernant les numéros de ligne

  • Prise en charge des formats à colonnes et enchaînements multiples : pour les fichiers avec des formats à colonnes multiples, les numéros de ligne s'affichent pour le texte dans chacune des colonnes. Pour les documents à enchaînements multiples, les numéros de ligne sont calculés en fonction des enchaînements du texte et continuent en conséquence.

  • Adaptation du calcul : lorsque vous insérez du texte dans un paragraphe et que les numéros de ligne sont activés, les numéros de ligne sont recalculés afin de prendre en compte le nouveau texte.

  • Propriété au niveau du document : les numéros de ligne sont une propriété au niveau du document, vous pouvez donc activer/désactiver cette fonctionnalité pour un document (fichier .fm). Les numéros de ligne peuvent être configurés au niveau d’un document pour continuer dans la suite de la page précédente ou redémarrer à chaque page.

  • Enchaînements de texte : pour les documents à enchaînements multiples, les numéros de ligne suivent les enchaînements de texte et sont calculés en conséquence.

  • Documents XML : les numéros de ligne ne sont pas conservés dans les documents XML. Vous pouvez toutefois activer les numéros de ligne dans le modèle de l’application.

  • Impression : les numéros de ligne sont visibles dans le document imprimé et dans le document PDF créé à l'aide de l'option Enregistrer au format PDF.

Lors de l’utilisation des numéros de ligne et des barres de modification, assurez-vous qu’ils ne se chevauchent pas.

Pour afficher les numéros de ligne, procédez comme suit :

  1. Choisissez Format > Document > Numéros de ligne. La boîte de dialogue Propriétés de numéros de ligne est affichée :

    Figure 3. Boîte de dialogue de propriétés de numéros de ligne
    Boîte de dialogue Propriétés de numéros de ligne dans FrameMaker

  2. Dans la boîte de dialogue Propriétés de numéros de ligne, sélectionnez Afficher les numéros de ligne et spécifiez les paramètres suivants :

    Largeur : distance entre les numéros de ligne et la colonne. La distance dépend des colonnes qui contiennent du texte.

    Police : police des numéros de ligne.

    Taille : taille des numéros de ligne.

    Couleur : couleur des numéros de ligne.

    Redémarrer à chaque page : l’activation de cette option fait redémarrer la série de numéros de ligne à chaque page.

    Afficher les numéros de ligne : sélectionnez cette option pour afficher les numéros de ligne.

  3. Cliquez sur Définir-

Guides visuels

Vous pouvez afficher plusieurs guides visuels dans une fenêtre de document :

  • Bordures autour des zones de texte, des cadres graphiques et des objets importés

  • Marqueurs, marque de paragraphe (¶) et autres symboles dans le texte en cours

  • Règles sur les côtés supérieur et latéral gauche de la fenêtre

Vous pouvez en outre afficher une grille composée de lignes verticales et horizontales pour dessiner, redimensionner et aligner des graphiques. Les guides visuels n’apparaissent pas à l’impression. Il est donc inutile de les masquer lorsque vous imprimez. Activez la fenêtre de document ou de livre qui vous intéresse.

Procédez comme suit :

  • Pour afficher ou masquer les bordures, sélectionnez Affichage > Bordures.

  • Pour afficher ou masquer les règles, sélectionnez Affichage > Règles.

  • Pour afficher ou masquer les grilles, sélectionnez Affichage > Grilles.

  • Pour afficher les limites d’éléments, sélectionnez Affichage > Limites d’éléments ou Limites d’éléments (comme étiquettes) dans FrameMaker structuré. FrameMaker bascule automatiquement entre ces deux options.

Important: Les guides visuels affectent tous les documents ouverts de la session en cours. Dans les versions précédentes de FrameMaker, les guides visuels s’appliquaient uniquement au document sélectionné.

Symboles de texte

Pour afficher ou masquer les symboles de texte, sélectionnez Affichage > Symboles de texte.

Symbole de texte | Signification
¶ | Fin de paragraphe
§ | Fin d'enchaînement et fin de cellule de tableau
 | Tabulation
 | Cadre ancré et ancre de tableau
 | Marqueur
 | Retour forcé
| | Point d'alignement manuel d'équation
 | Espace insécable
 | Tiret de césure facultative
 | Césure insécable

Sous-ensemble de commandes de menu

Vous pouvez afficher des sous-ensembles de commandes de menu appelés menus courts. Ces derniers ne comportent pas de commandes permettant de formater du texte, de modifier certains aspects des graphiques, ni d’insérer des objets tels que des marqueurs et des variables.

Si une partie de l’ensemble des commandes de menu n’est pas visible, les menus courts sont probablement affichés.

Note: si vous utilisez un document structuré, le développeur de l’application a la possibilité de modifier les commandes disponibles dans les menus longs.

  • Pour afficher les menus rapides, sélectionnez Affichage > Menus > Rapide.

  • Pour restaurer le menu complet, sélectionnez Affichage > Menus > Complet.

  • Pour personnaliser les menus, ajoutez, déplacez ou supprimez des menus et commandes comme indiqué dans le manuel en ligne Personnalisation de FrameMaker sur le site Web d’Adobe, www.adobe.com/go/lr_FrameMaker_support_fr.

Espace de travail à contraste élevé

Adobe FrameMaker utilise les couleurs système pour tracer les arrière-plans de fenêtres, le texte et autres éléments graphiques. Les utilisateurs qui éprouvent des difficultés à discerner les couleurs et variations de contraste ou qui possèdent une faible acuité visuelle peuvent définir des schémas de couleurs à contraste élevé ou personnaliser les couleurs du texte et de l’arrière-plan pour faciliter la visualisation des informations dans l’interface.

Pour configurer les options d’accessibilité dans Windows, définissez les options d’accessibilité dans le panneau de configuration de Windows.

Note: FrameMaker ne peut pas régler les couleurs de tous les éléments. Il s’agit notamment de la couleur d’arrière-plan et de la couleur de remplissage des objets graphiques.

Affichage plus rapide des pages

Pour afficher des pages plus rapidement :

  • Ouvrez le document en ignorant la mise à jour des graphiques importés, des références croisées et des encarts de texte. L’ouverture d’un document sans mettre à jour les références est plus rapide, mais peut ralentir l’affichage individuel des pages.

  • Désactivez l’affichage des graphiques en sélectionnant Affichage > Options. Supprimez la sélection de l’option Graphiques. Cliquez sur Définir-

    Important: Si vous désactivez l'option Graphiques et que vous générez un PDF, les graphiques n'apparaissent pas dans le fichier PDF.

  • Affichez le texte de petite taille sous forme de barres grises en choisissant Fichier > Préférences > Général. Entrez une taille de point dans la zone Simuler texte plus petit. Cliquez sur Définir. Lorsque votre document comporte du texte dont la taille en points est plus petite que celle que vous avez définie dans cette zone, les caractères s'affichent sous la forme d'une barre grisée.

Parent topic: Interface utilisateur


Préférences de FrameMaker

Apprenez à utiliser la boîte de dialogue la boîte de dialogue Préférences pour modifier différents paramètres Adobe FrameMaker.

Utilisez la boîte de dialogue Préférences (Edition > Préférences) pour modifier les paramètres de FrameMaker. Les paramètres sont classés dans les sections suivantes :

  • Global : cette section vous permet de configurer des paramètres pour l'interface du produit, l'importation de graphiques, les info-bulles, les messages d'avertissement et d'alerte, les panneaux, les scripts de démarrage et l'intégration de Dropbox.

  • CMS (Système de gestion de contenu) : cette section vous permet de configurer les paramètres pour travailler avec les CMS pris en charge.

  • Orthographe : cette section vous permet de configurer des paramètres pour les dictionnaires pris en charge, les guillemets ouvrants/fermants et les options de vérification de l'orthographe.

  • XML : cette section vous permet de configurer l’apparence de la vue XML.

  • MathML : cette section vous permet de configurer le chemin d’installation de MathML, les informations de licence et d’autres options connexes.

Figure 1. Boîte de dialogue Préférences FrameMaker
Boîte de dialogue Préférences FrameMaker

Les paramètres de la boîte de dialogue Préférences sont expliqués ci-dessous.

Dans ce sujet

  • Global > Général

  • Global > Graphiques

  • Global > Interface

  • Global > Alertes

  • Global > Lancer

  • Global > Dropbox

  • CMS > Documentum

  • CMS > Microsoft SharePoint

  • CMS > DitaExchange

  • CMS > Adobe Experience Manager

  • Orthographe > Dictionnaire

  • Orthographe > Guillemets ouvrants/fermants

  • Orthographe > Options d’orthographe

  • XML

  • MathML

Global > Général

Les paramètres suivants sont disponibles dans cette section:

Paramètre

Description

Interface du produit

Par défaut, FrameMaker s’ouvre en mode de création FrameMaker structuré. Si vous souhaitez passer en mode de création non structuré, choisissez FrameMaker dans la liste des options et redémarrez FrameMaker.

Pour plus d’informations, voir Modes de création de contenu.

Enregistrement avec copie de sécurité automatique

À chaque fois que vous enregistrez un document, sélectionnez cette option pour créer une copie de sauvegarde.

Pour plus d’informations, voir Copies de sauvegarde et enregistrement automatique.

Enregistrement automatique toutes les

Sélectionnez cette option et spécifiez le temps en minutes pour enregistrer automatiquement le fichier aux intervalles spécifiés.

Pour plus d’informations, voir Copies de sauvegarde et enregistrement automatique.

Afficher les erreurs de conversion du fichier

Sélectionnez cette option pour afficher les messages d’erreur lors de l’importation d’un document à partir d’un autre format tel que Word.

Simuler texte plus petit que

Sélectionnez cette option pour afficher un petit texte sous forme de barres grises. Lorsque le texte dont la taille en points est plus petite que celle que vous avez définie, le texte s’affiche sous la forme d’une barre grisée.

Pour plus d’informations, voir Affichage plus rapide des pages.

Extraire les fichiers HTTP à l’ouverture

Sélectionnez cette option si vous souhaitez extraire un fichier d’un serveur WebDAV lors de son ouverture.

Télécharger les fichiers HTTP à l’enregistrement

Sélectionnez cette option si vous souhaitez archiver un fichier une seule fois lors de sa fermeture.

Remplissage d’image

Spécifiez la valeur de remplissage (espace) par défaut pour une image et son cadre ancré contenant. Lorsque vous insérez une image, FrameMaker ajoute un espace (remplissage) entre l’image et le cadre ancré.

La valeur par défaut est 6,0 pt.

Importer l’image par référence

Sélectionnez cette option pour définir l’importation d’images par référence comme méthode par défaut d’importation d’images.

Afficher l’écran d’accueil à onglets

Sélectionnez cette option pour afficher l’écran d’accueil en tant que document à onglets. Si vous ne sélectionnez pas cette option, vous verrez l’écran d’accueil au lancement de FrameMaker. Cependant, lorsque vous ouvrez ou créez un document, l’écran d’accueil est fermé.

Vous pouvez alors ouvrir l’écran d’accueil dans le menu du sélecteur d’espace de travail.
Ne pas vérifier la présence d'images et de contenu multimédia mis à jour

Si vous travaillez sur un lecteur réseau, sélectionnez cette option pour empêcher FrameMaker de rechercher des images et des fichiers multimédias mis à jour sur le lecteur réseau. Vous devez désélectionner cette option avant de publier, sinon vous risquez d'avoir des fichiers multimédias obsolètes dans votre sortie publiée.
Compatibilité

Enregistrement de FrameImage avec des graphiques importés

Lorsque vous copiez un graphique dans un document FrameMaker, le document FrameMaker stocke les données graphiques dans une ou plusieurs facettes. Chaque facette contient des données dans un format graphique spécifique. FrameMaker utilise des facettes pour afficher et imprimer des graphiques.

Sélectionnez cette option pour enregistrer les données d’une image sous la forme d’une facette avec le graphique importé.

Verrouiller des fichiers sur le réseau

Sélectionnez cette option pour verrouiller un fichier lorsqu’il est ouvert. Cela empêche les autres utilisateurs de modifier le fichier.

Pour plus d’informations, voir Ouverture d'un document en cours d'utilisation.

Mémoriser les noms de polices manquantes

Lorsque vous sélectionnez cette option, FrameMaker conserve les noms des polices indisponibles utilisées dans le document. Même si vous enregistrez le document avec des polices de substitution, les polices d’origine s’affichent de nouveau si vous ouvrez le document sur un ordinateur où les polices appropriées sont installées.

Pour plus d’informations, voir Dépannage de polices non disponibles.
Incorporer dans le PDF

Fichier Adobe Flash

Sélectionnez cette option pour générer le fichier PDF avec les fichiers Adobe Flash intégrés utilisés dans le document.

Objets en 3D

Sélectionnez cette option pour générer le fichier PDF avec les fichiers d’objet en 3D intégrés utilisés dans le document.

Objets multimédia

Sélectionnez cette option pour générer le fichier PDF avec les fichiers objet multimédia (comme MP3, MP4, AVI) intégrés utilisés dans le document.
Déplacement du curseur

Logique/Visuel

Sélectionnez le mouvement du curseur pour qu’il soit logique ou visuel lorsque vous travaillez dans un document activé de droite à gauche.

Pour plus d’informations, voir Emplacement et mouvement du caret.

Global > Graphiques

Les paramètres suivants sont disponibles dans cette section.

Paramètre

Description
Importer l'image
Position d'ancrage

Sélectionnez la position d’ancrage par défaut à utiliser lors de l’importation d’une image. Par défaut, toutes les images sont importées dans un cadre ancré placé sous la ligne actuelle.
Type d’alignement

Sélectionnez l’alignement par défaut pour le cadre ancré. Par défaut, le cadre ancré est centré.

PPP

 Spécifiez le paramètre PPP par défaut pour importer une image. Par défaut, 72 PPP sont utilisés pour importer une image.
Mise à l’échelle automatique de l’image sur la largeur (à l’insertion)

Sélectionnez cette option lors de l’insertion d’une image dans une zone de texte, une cellule de tableau, un en-tête, un titre de marge ou un colonne. L'image est mise à l'échelle et s'adapte automatiquement.

Par exemple, si l’image est plus grande que la zone de texte, elle sera automatiquement mise à l'échelle proportionnellement, en conservant le meilleur PPP possible, et s'adaptera à la zone de texte.
Exporter une image
PPP des images pixellisées dans la sortie HTML Pour les images raster utilisées dans vos documents, vous pouvez spécifier les PPP pour convertir ces images. Ce paramètre n’est applicable que lorsque vous générez une sortie en Responsive HTML5.

Global > Interface

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Aspect des info-bulles | Conserver l’aspect de l’info-bulle. Les options possibles sont Normal, Rapide et Caché.
Panneaux
Réduire automatiquement les panneaux pilotés par icône | Sélectionnez cette option pour réduire automatiquement un panneau en icône, lorsque le focus se décale du panneau.
Masquer les panneaux à la fermeture | Sélectionnez cette option pour masquer les panneaux lorsqu’ils sont fermés. De cette façon, les panneaux restent masqués de l’interface, mais ils restent actifs dans la mémoire du système. Lorsque cette option n’est pas sélectionnée, le panneau est fermé et supprimé de la mémoire du système.
Afficher le chemin d’accès au menu dans la recherche de commande | Sélectionnez cette option pour afficher le chemin de menu d’une commande dans Recherche de commande. Pour plus d’informations, voir recherche de commande.
Boîtes de dialogue
Utiliser l’Explorateur de fichiers de Windows | Sélectionnez cette option pour utiliser la boîte de dialogue native de l’Explorateur de fichiers de Windows lors de l’ouverture ou de l’enregistrement de fichiers.
Documents
Ouvrir les documents sous forme d’onglets | Sélectionnez cette option pour afficher les documents ouverts dans des onglets distincts. Si cette option n’est pas sélectionnée, les documents sont ouverts dans des fenêtres séparées.
Masquer les onglets isolés dans les documents | Lorsque les documents sont affichés dans une fenêtre séparée, le nom de fichier n’est pas affiché dans un onglet.
Interdire la mise en onglets des documents lors du déplacement par glissement | Sélectionnez cette option pour empêcher la mise en onglets des documents lors du déplacement par glissement.
Ouvrir les documents composites sous forme d’onglets | Sélectionnez cette option pour ouvrir les documents composites sous forme d’onglets.
Ouvrir les documents par glisser-déposer | Sélectionnez cette option pour ouvrir les documents lorsqu’ils sont glissés et déposés dans la fenêtre du document.
Icônes
Niveaux de gris/De couleur | Sélectionnez l’option Niveaux de gris si vous voulez utiliser des icônes de niveaux de gris dans l’interface utilisateur de FrameMaker, sinon choisissez De couleur.
vue Structure
Développement automatique correspondant à l’emplacement du curseur dans la fenêtre du document | Sélectionnez cette option pour synchroniser l’emplacement du curseur dans la fenêtre du document avec la sélection de l’élément dans la vue Structure. Par exemple, si vous placez votre curseur n’importe où dans la fenêtre de document, l’élément correspondant dans la vue Structure est automatiquement mis en surbrillance. De même, si vous sélectionnez un élément dans la vue Structure, le texte correspondant dans la fenêtre de document est sélectionné.

Global > Alertes

Les paramètres suivants sont disponibles dans cette section.

Paramètre

Description

Afficher les avertissements lors du nettoyage de l’historique

Sélectionnez cette option pour afficher un message d’avertissement lors de toute opération d’effacement de l’historique. Vous pouvez en outre limiter l’apparition de ce message d’avertissement à une seule fois pour chaque type d’opération ou pour toutes les opérations.

Le fichier contient des références croisées non résolues

Sélectionnez cette option si vous souhaitez afficher des alertes lorsque des références croisées non résolues sont découvertes dans le document.

Ouverture d’un document issu d’une version antérieure

Sélectionnez cette option si vous souhaitez afficher des alertes lors de l’ouverture d’un document à partir d’une ancienne version de FrameMaker.

Ouverture d’un livre issu d’une version antérieure

Sélectionnez cette option si vous souhaitez afficher des alertes lors de l’ouverture d’un fichier livre à partir d’une ancienne version de FrameMaker.

Fichier contenant des polices non disponibles

Sélectionnez cette option si vous souhaitez afficher des alertes lorsque les polices utilisées dans le document ne sont pas disponibles sur le système où le document est ouvert.

Non correspondance du fournisseur de dictionnaire

Sélectionnez cette option si vous souhaitez afficher des alertes lorsque le fournisseur de service de dictionnaire dans le document ne correspond pas au système où le document est ouvert.

Note: Le fournisseur de service de dictionnaire peut être défini à partir de Préférences > Orthographe > Dictionnaire.

Fichier non pris en charge dans ce mode

Sélectionnez cette option si vous souhaitez afficher des alertes lorsqu’un fichier structuré est ouvert en mode non structuré.

Fichier non pris en charge dans cette vue

Sélectionnez cette option si vous souhaitez afficher des alertes lorsqu’un fichier est ouvert en mode non structuré.

Passer automatiquement au compositeur asiatique

Sélectionnez cette option pour passer automatiquement en mode Compositeur asiatique.

Pour plus d’informations, voir Prise en charge des langues asiatiques.

Afficher les alertes dans la restauration de session

Sélectionnez cette option si vous souhaitez afficher des alertes sur la restauration d’une session antérieure. Cela peut se produire lorsque vous relancez FrameMaker après un incident.

Afficher les conseils contextuels

Sélectionnez cette option pour afficher les conseils contextuels relatifs à l’opération que vous effectuez dans FrameMaker.

Pour plus d’informations, voir Conseils contextuels.

Global > Lancer

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Charger les polices Adobe au démarrage | Cette option charge les polices Adobe au démarrage de FrameMaker. Les polices Adobe sont stockées dans le dossier <emplacement_installation_Fm>\fminit\fonts. Si vous désélectionnez cette option, aucune des polices Adobe ne sera disponible.
Retarder le chargement des clients | Lorsque vous sélectionnez cette option, aucun des clients comme MathFlow et Importation de commentaires PDF ne sont chargés au démarrage. Cette option améliore le temps de lancement de FrameMaker, mais certaines applications client ne sont pas disponibles immédiatement après le lancement de FrameMaker.
Retarder le chargement des fournisseurs linguistiques | Sélectionnez cette option pour retarder le lancement de tous les fournisseurs de services linguistiques jusqu’à ce que FrameMaker soit lancé. Lorsqu’elle est sélectionnée, cette option ne charge que les services de dictionnaire de langue anglaise au démarrage. Les autres fournisseurs de services de dictionnaire sont chargés après le lancement de FrameMaker.
Ne pas charger les scripts de démarrage | Spécifiez une liste de scripts que vous ne voulez pas que FrameMaker lance au démarrage. Par exemple, par défaut, les utilitaires S1000D et les scripts de menu sont spécifiés dans cette liste. Si vous supprimez les scripts S1000D de cette liste, ils sont exécutés et vous verrez l’option de menu S1000D.

Global > Dropbox

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Dossier Dropbox actuellement sélectionné | Spécifiez un emplacement de dossier à définir comme emplacement par défaut pour stocker des fichiers à partir de Dropbox.
Supprimer les fichiers de Dropbox après les avoir copiés en local | Sélectionnez cette option pour supprimer les fichiers du disque après le téléchargement des fichiers dans le dossier Dropbox.
Créez une structure de dossier pour les fichiers dépendants lors du téléchargement | Sélectionnez cette option pour définir une structure de dossiers pour transférer tous les fichiers dépendants dans le dossier Dropbox.

CMS > Documentum

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Lors du téléchargement de fichier
Écraser l’objet existant et enregistrer sous | Sélectionnez cette option pour spécifier le mécanisme de version. Vous pouvez choisir d’écraser une version existante du fichier et définir son numéro de version pour qu’il soit identique, ou la version mineure ou majeure suivante.
Afficher les objets masqués | Sélectionnez cette option pour afficher les fichiers marqués comme masqués dans le référentiel Documentum. Les fichiers masqués sont également affichés dans la fenêtre du Gestionnaire de référentiel.
Afficher les cabinets privés | Sélectionnez cette option pour afficher les cabinets privés contenus dans le référentiel Documentum. Les cabinets privés s’affichent dans la fenêtre du Gestionnaire de référentiel.
Chemin d’accès du kit de développement DFS | Recherchez et sélectionnez le chemin d’accès au kit de développement Documentum Foundation Services (DFS) sur votre système.
Attributs personnalisés | Spécifiez tout attribut personnalisé que vous souhaitez utiliser à partir de Documentum. Pour plus d’informations, voir Ajout d’attributs CMS personnalisés.

CMS > Microsoft SharePoint

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Lors du téléchargement de fichier
Écraser l’objet existant et enregistrer sous | Sélectionnez cette option pour spécifier le mécanisme de version. Vous pouvez choisir d’écraser une version existante du fichier et définir son numéro de version sur la version mineure ou majeure suivante.
Attributs personnalisés | Spécifiez tout attribut personnalisé que vous souhaitez utiliser à partir de Microsoft SharePoint. Pour plus d’informations, voir Ajout d’attributs CMS personnalisés.
Extraire les fichiers dépendants par défaut | Si votre document principal possède des fichiers dépendants, sélectionnez cette option pour extraire le principal document ainsi que les dépendances. Cette option se synchronise avec l'option Extraire tous les fichiers dépendants dans la boîte de dialogue de confirmation. La boîte de dialogue apparaît lorsque vous extrayez les fichiers du serveur SharePoint.

CMS > DitaExchange

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Lors du téléchargement de fichier
Écraser l’objet existant et enregistrer sous | Sélectionnez cette option pour spécifier le mécanisme de version. Vous pouvez choisir d’écraser une version existante du fichier et définir son numéro de version sur la version mineure ou majeure suivante.

CMS > Adobe Experience Manager

Les paramètres suivants sont disponibles dans cette section.

Paramètre

Description
SGC

Fermer le fichier après l’archivage

Sélectionnez cette option pour fermer un fichier lorsqu’il est réintégré dans AEM.
Utiliser un référencement basé sur UUID Sélectionnez cette option pour télécharger des fichiers utilisant le système de référencement de fichier basé sur un identificateur unique universel (UUID)/identificateur unique à l’échelle mondiale (GUID). Vous pouvez publier ces fichiers dans FrameMaker pour générer la sortie requise.

Ouvrir le fichier après l’extraction

Sélectionnez cette option pour ouvrir un fichier lorsqu’il est extrait d’AEM.
Extraction automatique
Activer l’extraction automatique

Sélectionnez cette option pour extraire automatiquement le fichier lors de son ouverture ou de son enregistrement. Lorsque vous sélectionnez cette option, les options Lors de l’enregistrement du fichier et Lors de l’ouverture du fichier sont activées. L'option Afficher l’invite peut être combinée avec les options Lors de l’enregistrement du fichier ou Lors de l'ouverture du fichier.

Si vous utilisez une combinaison d'extraire Lors de l’ouverture du fichier et d'Afficher l’invite, vous voyez une invite lors de l’ouverture d’un fichier à partir du référentiel AEM. Si vous choisissez d’extraire le fichier, vous obtenez un verrou exclusif sur le fichier et vous pouvez le modifier. Si vous choisissez de ne pas extraire le fichier, le fichier est ouvert en mode lecture seule.

Si vous utilisez une combinaison d’extraction Lors de l’enregistrement du fichier et d'Afficher l’invite, vous voyez une invite pour extraire le fichier lors de l'enregistrement. Si le fichier n’est pas extrait et que vous essayez de l’enregistrer, vous êtes invité à l'extraire. Si vous choisissez de ne pas extraire le fichier, les mises à jour ne sont pas enregistrées.
Proxy

Type de proxy

Si vous êtes derrière un serveur proxy, vous devez spécifier les détails de ce serveur ici pour vous connecter à votre serveur AEM. Sélectionnez le protocole de serveur utilisé par votre serveur AEM. Les options possibles sont HTTP et HTTPS.

Serveur/Port

Indiquez l’adresse IP ou le nom de domaine de votre serveur proxy et le port sur lequel il est en écoute.
Infos de débogage
Journalisation complète

Sélectionnez cette option pour stocker les journaux détaillés qui peuvent être utilisés pour déboguer n’importe quel problème.

Orthographe > Dictionnaire

Utilisez ces préférences afin de définir les dictionnaires Proximity ou Hunspell pour l’orthographe, la césure et le dictionnaire des synonymes (thésaurus) pour plusieurs langues. Pour les variantes de langue allemande, vous pouvez choisir d’utiliser le dictionnaire Duden.

Orthographe > Guillemets ouvrants/fermants

Utilisez les paramètres Guillemets ouvrants/fermants pour spécifier les guillemets simples ou doubles à utiliser pour les langues prises en charge. Les guillemets que vous spécifiez ici sont automatiquement récupérés lorsque vous les utilisez dans votre document.

Orthographe > Options d’orthographe

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Vérification automatique de l’orthographe | Vérifie l’orthographe dans le document en cours de frappe. Si un mot est mal orthographié, un soulignement rouge ondulé apparaît sous le mot.
Rechercher
Mot répété | Sélectionnez cette option si vous souhaitez que le vérificateur orthographique trouve les mots répétés dans votre document.
Césure inhabituelle | Sélectionnez cette option si vous souhaitez que le vérificateur orthographique trouve les césures inhabituelles dans votre document.
Casse inhabituelle | Sélectionnez cette option si vous souhaitez que le vérificateur orthographique trouve les casses inhabituelles (comme VErt) dans votre document.
Deux à la suite | Sélectionnez cette option et spécifiez les caractères qui doivent être marqués par le vérificateur orthographique s’ils se trouvent à la suite.
Guillemets droits | Sélectionnez cette option si vous souhaitez que le vérificateur orthographique trouve les guillemets droits dans votre document.
Espaces superflus | Sélectionnez cette option si vous souhaitez que le vérificateur orthographique trouve les espaces superflus entre deux mots.
Espace avant | Sélectionnez cette option et spécifiez les caractères qui doivent être marqués par le vérificateur orthographique s’ils sont précédés d’un espace.
Espace après | Sélectionnez cette option et spécifiez les caractères qui doivent être marqués par le vérificateur orthographique s’ils sont suivis d’un espace.
Rétablir défaut | Cliquez sur ce bouton pour rétablir les options d’orthographe par défaut.
Ignorer
Mots à un seul caractère | Sélectionnez cette option pour que le vérificateur orthographique ignore tout mot à un seul caractère.
Mots en majuscules | Sélectionnez cette option pour que le vérificateur orthographique ignore tout mot en majuscules.
Mot contenant | Sélectionnez cette option et spécifiez les caractères qui, s’ils se trouvent dans un mot, ne doivent pas être marqués par le vérificateur orthographique.
Chiffres romains (ND pour Hunspell) | Sélectionnez cette option pour que le vérificateur orthographique ignore tous les chiffres romains.
Mots incluant des chiffres | Sélectionnez cette option pour que le vérificateur orthographique ignore tous les mots contenant des chiffres.
Guillemets ouvrants/fermants dans l'espace avant et après | Sélectionnez cette option pour inclure les guillemets ouvrants/fermants spécifiés sous les paramètres Guillemets ouvrants/fermants à inclure dans l’espace avant et après la règle.

XML

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
Couleurs de la syntaxe | Sélectionnez les couleurs pour afficher les attributs, commentaires, entités, noms d’éléments et autres objets dans la vue XML.
Afficher les numéros de ligne | Sélectionnez cette option pour afficher les numéros de ligne en vue XML.
Renvoi à la ligne | Sélectionnez cette option pour enchaîner des mots dans la vue XML.
Famille de polices | Sélectionnez la famille de polices à utiliser pour afficher le code XML dans la vue XML.

MathML

Les paramètres suivants sont disponibles dans cette section.

Paramètre | Description
MathFlow
Chemin d’installation | Recherchez et sélectionnez le chemin d’installation de MathFlow sur votre système.
Chemin du fichier de licence | Recherchez et sélectionnez le chemin du fichier de licence MathFlow sur votre système.
Type d’éditeur | Sélectionnez le type d’éditeur MathFlow que vous souhaitez utiliser. Les options possibles sont l’éditeur de style et l’éditeur de structure. Pour plus d’informations, voir Création d’équations à l’aide de MathML.
Paramètres de MathFlow
PPP | Les équations MathML sont insérées dans votre document sous la forme d’une image. Spécifiez les DPI pour les images d’équation MathML.
Incorporer une insertion | Sélectionnez cette option pour incorporer l’image de l’équation en ligne avec le paragraphe encadrant.
Appliquer le style de paragraphe | Sélectionnez cette option pour appliquer le formatage du paragraphe encadrant dans l’équation MathML.
Exporter au format PNG | Sélectionnez cette option pour exporter les équations MathML en tant qu’images PNG dans la sortie PDF.
Taille des polices | Spécifiez la taille de la police en pixels pour l’équation MathML. La taille de la police par défaut est 14 px.
Alerte
Afficher le nombre de jours d’évaluation restants | Sélectionnez cette option pour afficher une alerte si vous utilisez une licence d’évaluation de MathFlow.
Parent topic: Interface utilisateur


Conseils contextuels

Découvrez comment des conseils contextuels vous aident à trouver les nouvelles fonctionnalités introduites dans Adobe FrameMaker.

Les conseils contextuels vous permettent de trouver les nouvelles fonctionnalités de FrameMaker ou de trouver une autre méthode pour effectuer une tâche ordinaire. Si une fonction est associée à la tâche en cours d’exécution, la fonctionnalité de conseils contextuels vous présente les informations relatives à cette fonctionnalité sous forme de conseil. Ces conseils utiles vous aident à réaliser vos tâches de manière simple et efficace.

Par exemple, la première fois que vous ouvrez un document, un conseil s’affiche dans le coin inférieur droit de l’espace de travail FrameMaker.

Figure 1. Conseils contextuels dans Adobe FrameMaker
Conseils contextuels dans FrameMaker

La boîte de dialogue Conseils inclut les boutons suivants :

  • ? : survolez ce bouton avec la souris pour savoir comment activer ou désactiver ces conseils.

  • Montrez-moi : ce bouton s'affiche pour certains conseils seulement. En cliquant sur ce bouton, vous ouvrez le panneau mentionné dans le conseil.

  • Détails : ce bouton vous amène à la rubrique d'aide pertinente.

  • X : ce bouton ferme le conseil. Pour ne plus afficher ces messages, consultez Préférences relatives aux conseils contextuels.

Chaque conseil n'est affiché qu'une seule fois pour une tâche spécifique. Par exemple, la seconde fois que vous ouvrirez un document, le conseil ne s'affichera pas. Le but est de vous fournir une information pratique sans vous gêner. Voilà pourquoi, lorsque vous effectuez une tâche, FrameMaker suppose que vous avez soit utilisé pris en compte le conseil, soit que vous n'en aviez pas besoin.

Préférences relatives aux conseils contextuels

Pour personnaliser les préférences de conseils contextuels, sélectionnez Modifier > Préférences > Global > Alertes. Les options suivantes liées aux conseils contextuels sont disponibles au bas de la boîte de dialogue :

Afficher les conseils contextuels

Désélectionnez cette option pour annuler l’affichage des messages. Cela implique que lorsque vous effectuerez une tâche pour la première fois, aucun conseil ou message ne s'affichera.

Réinitialiser les conseils contextuels

Cliquez sur le bouton Réinitialiser les conseils contextuels pour afficher à nouveau les conseils, y compris pour les flux de travail antérieurs. Par exemple, si un conseil s’affiche lors de l’enregistrement d’un document, vous pouvez réinitialiser les conseils contextuels en cliquant sur ce bouton. Le même message s’affichera au prochain enregistrement.

Parent topic: Interface utilisateur


Gestion de fichiers ouverts

Découvrez comment utiliser des fichiers ouverts dans FrameMaker avec le panneau Panneau Ouvrir les fichiers.

Le panneau Fichiers ouverts vous permet de gérer et de naviguer dans un grand nombre de fichiers ouverts.

Utilisez le panneau Ouvrir les fichiers, vous pouvez :

  1. Consulter et enregistrer les fichiers avec des modifications non enregistrées.

  2. Rechercher un fichier avec un nom spécifique ou des fichiers enregistrés dans un dossier spécifique.

  3. Accéder à différents fichiers.

  4. Vérifier le chemin des différents fichiers ouverts.

  5. Fermer des fichiers spécifiques après l’enregistrement ou sans enregistrer.

Figure 1. Le panneau Fichiers ouverts
Panneau Fichiers ouverts dans FrameMaker

A. Enregistrez les fichiers et les gardez-les ouverts. B. Enregistrer les fichiers sélectionnés et fermez-les. C. Fermez les fichiers sélectionnés – s’il y a des modifications non enregistrées dans les fichiers que vous essayez de fermer, la boîte de dialogue Enregistrer les fichiers apparaît D. Rechercher – À mesure que vous tapez, le panneau correspond aux critères de recherche avec des entrées dans toutes les colonnes. Utilisez l’icône en forme de croix en regard de la zone de texte de recherche pour effacer le texte de recherche saisi E. Sélectionner Tous, Non enregistré ou Enregistré pour filtrer F. Actualiser la liste des fichiers G. Sélectionner tous les fichiers dans la liste H. Liste des fichiers actuellement ouverts

Vous pouvez afficher le panneau Ouvrir les fichiers en choisissant Affichage > Panneaux > Ouvrir les fichiers ou Affichage > Ouvrir les fichiers.

Voir la vidéo : Panneau Ouvrir les fichiers.

Enregistrer les fichiers lors de la fermeture des fichiers et de la sortie

FrameMaker affiche la boîte de dialogue Enregistrer les fichiers lorsque vous tentez l’une des actions suivantes :

  • Quitter FrameMaker en

    • Cliquant sur le bouton Fermer

    • Sélectionner Fichier > Sortie

    • Utilisant Alt+F4 sur le clavier

  • Vous sélectionnez Maj+Fichier et sélectionnez l’une des options suivantes :

    • Fermer tous les fichiers ouverts

    • Fermer tous les fichiers du livre

    • Fermer tous les fichiers du fichier ditamap

  • Essayer de fermer les fichiers sans les enregistrer dans le panneau Fichiers ouverts

Figure 2. Boîte de dialogue Enregistrer les fichiers
Boîte de dialogue Enregistrer les fichiers dans FrameMaker

Dans la boîte de dialogue Enregistrer les fichiers, vous pouvez réviser et enregistrer les modifications non enregistrées apportées aux fichiers. Vous pouvez également ignorer les modifications en désélectionnant les fichiers et en cliquant sur Enregistrer.

Enregistrement et fermeture des fichiers ouverts

Vous pouvez afficher une liste des documents actuellement ouverts dans le panneau Fichiers ouverts. À l’aide du panneau Fichiers ouverts, vous pouvez sélectionner les fichiers et les modifications à enregistrer et ignorer.

  1. Sélectionnez Affichage > Panneaux > Ouvrir les fichiers.

    FrameMaker affiche le panneau Fichiers ouverts. Les fichiers non enregistrés et les fichiers avec des modifications non enregistrées sont signalés par un astérisque (*). Pour rechercher des fichiers dans une longue liste, tapez du texte dans la zone Recherche. FrameMaker recherche le texte dans le nom du fichier ainsi que dans le chemin.

  2. Sélectionnez les fichiers à enregistrer et effectuez l’une des opérations suivantes :

    • Cliquez sur Enregistrer.

      FrameMaker enregistre les fichiers sélectionnés. FrameMaker vous invite à spécifier le nom et le chemin des fichiers qui ne sont pas encore enregistrés sur le disque.

    • Cliquez sur Enregistrer et fermer.

      FrameMaker enregistre et ferme les fichiers sélectionnés.

    • Fermez les fichiers.

      FrameMaker ferme les fichiers sélectionnés. Si vous choisissez de fermer des fichiers avec des modifications non enregistrées, la boîte de dialogue Enregistrer les fichiers s’affiche.

Parent topic: Interface utilisateur


Restauration de la dernière session

Découvrez comment FrameMaker vous permet de restaurer la dernière session, les étapes et les préférences.

Dans ce sujet

  • Introduction

  • Conditions de restauration de la dernière session

  • Etapes de restauration de la dernière session

  • Préférences pour les alertes lors de la restauration

Introduction

FrameMaker vous permet de restaurer la dernière session sur laquelle vous avez travaillé la dernière fois que vous avez quitté FrameMaker ou qu’il s’est bloqué. En cas de plantage, lorsque vous relancez FrameMaker, le programme affiche une alerte permettant de choisir de restaurer la session précédente. En restaurant la dernière session, vous pouvez rétablir les éléments suivants tels que vous les utilisiez lors de la dernière session :

  • Vue : Code XML, WYSIWYG ou Auteur

  • Espace de travail

  • Document affiché

  • Fichiers ouverts lors de la dernière session (à l’exception des fichiers ouverts via le connecteur de CMS lors de la session précédente)

  • Numéros de page affichés pour différents documents

  • Espace de défilement pour les maquettes, pages courantes et pages de référence

  • Ordre de tabulation des documents

  • Palettes (comme le navigateur d’équations, de modèles et de thésaurus)

  • Fichier stuctapps.fm : le dernier fichier structapps.fm lu (en cas de restauration, le dernier fichier structapps.fm est de nouveau lu)

Voir la vidéo : Restauration de session en un clic.

Conditions de restauration de la dernière session

Si toutes les conditions suivantes sont remplies, vous pouvez restaurer la dernière session :

  1. Des fichiers étaient ouverts lorsque vous avez quitté FrameMaker ou qu’il s’est bloqué. En d’autres termes, il existe des éléments à restaurer de la dernière session. Si vous quittez FrameMaker manuellement après la fermeture de fichiers, il n'y a rien à restaurer.

  2. Il n’y a aucun fichier ouvert lorsque vous tentez de restaurer la dernière session.

  3. Le mode actuel de FrameMaker (structuré ou non structuré) est identique au mode de FrameMaker la dernière fois que vous l’avez quitté.

Etapes de restauration de la dernière session

Pour restaurer la dernière session de FrameMaker, lancez FrameMaker et effectuez l’une des opérations suivantes :

  • Cliquez sur Restaurer la dernière session sur l’écran de bienvenue.

    OU

  • Sélectionnez Fichier > Ouvrir récent > Restaurer la dernière session.

    OU

  • Utilisez le raccourci clavier esc+r+s.

  • Au cas où FrameMaker se bloque, lorsque vous relancez FrameMaker, FrameMaker affiche un message d'alerte où vous pouvez cliquer sur Oui pour restaurer la dernière session.

FrameMaker restaure la dernière session. Si certains fichiers n’ont pas pu être restaurés, FrameMaker affiche un message d’erreur et répertorie les fichiers dans le panneau Console.

Note: Pour lancer le panneau Console, sélectionnez Affichage > Panneaux > Console ou appuyez sur échap+c+P.

Préférences pour les alertes lors de la restauration

Dans la boîte de dialogue Préférences, vous pouvez choisir d’afficher ou non les messages d’alerte (polices manquantes et références croisées non résolues par exemple) lors de la restauration d’une session. Les alertes qui nécessitent une action de l’utilisateur (graphiques manquants par exemple) apparaissent même si vous avez désactivé les alertes.

Parent topic: Interface utilisateur


Restauration des dimensions de vues RM

Comprenez comment FrameMaker conserve les dimensions des vues du gestionnaire de ressources lors de la sortie et de la relance.

FrameMaker conserve les dimensions des vues suivantes du Gestionnaire de ressources lors de la sortie et de la relance :

  • Vue du Gestionnaire de ressources pour le Livre

  • Vue du Gestionnaire de ressources pour le Navigateur de référentiel CMS

  • Vue du Gestionnaire de ressources pour le mappage DITA

FrameMaker conserve les dimensions des vues du Gestionnaire de ressources et les utilise comme des dimensions par défaut de ces vues lorsque vous les fermez et les ouvrez de nouveau.

  • Pour les vues du Gestionnaire de ressources qui ne sont pas ancrées, FrameMaker conserve la largeur et la hauteur.

  • Pour les vues du Gestionnaire de ressources ancrées, FrameMaker conserve uniquement la largeur.

La largeur qui est conservée pour les vues Gestionnaire de ressources ancrées et non ancrées est différente. Les dimensions conservées pour les différentes vues du Gestionnaire de ressources, telles que Livre et Mappage DITA, sont identiques.

Parent topic: Interface utilisateur


Conseils sur l’utilisation de l’interface

Découvrez des conseils et des raccourcis pour utiliser l'interface utilisateur, la luminosité, les fenêtres de documents, les panneaux et les icônes dans Adobe FrameMaker.

Associer des fenêtres de document

Pour regrouper toutes les fenêtres de documents (flottantes, réduites ou ancrées), cliquez avec le bouton droit de la souris sur la barre d'onglets de la fenêtre de document ancrée, puis sélectionnez Tout combiner ici dans le menu.

Ouvrir le fichier dans l’Explorateur Windows

Pour ouvrir l'emplacement d'un fichier dans l'Explorateur Windows, cliquez avec le bouton droit de la souris sur la barre d'onglets de la fenêtre de document ancrée et sélectionnez Ouvrir le dossier de contenu dans le menu. Le fichier du document est sélectionné automatiquement dans l’Explorateur Windows.

Afficher dans des fenêtres de document flottantes

Cliquez sur l'icône Organiser les documents dans la barre supérieure Application et sélectionnez Faire flotter tout dans les fenêtres. Cela permet d’organiser toutes les fenêtres de document en panneaux flottants disposés en cascade.

Disposer des documents en mosaïque

Utilisez l’icône Organiser les documents pour disposer des fenêtres de document à la verticale ou à l’horizontale. Cela est particulièrement utile pour une comparaison manuelle de documents, ainsi que leur disposition côte à côte.

Placer des panneaux masqués au premier plan

Parfois, lorsque vous travaillez sur des fenêtres de document flottantes ou lorsque vous changez d’espaces de travail, les panneaux peuvent sembler difficiles à placer au premier plan.

  • Annulez l’ancrage des panneaux en les faisant glisser hors de la barre des titres des panneaux.

  • Ancrez toutes les fenêtres de document flottantes. Cliquez avec le bouton droit de la souris sur la barre d'onglets ancrée, puis sélectionnez Tout combiner ici ou faites glisser et ancrez les fenêtres de document flottantes.

Réduire les panneaux à des icônes

Cliquez avec le bouton droit de la souris sur la barre d'onglets des panneaux et sélectionnez Réduire à des icônes. Cette option est uniquement disponible si les panneaux sont flottants et non ancrés. Pour réduire des panneaux ancrés, cliquez n’importe où sur la barre d’onglets.

Rouvrir les panneaux

Sélectionnez Affichage > Panneaux et cliquez sur un nom de panneau. Le groupe complet de panneaux s'ouvre en bas de l'espace de travail.

Rouvrir un panneau

Sélectionnez Fenêtres > Panneaux, puis le panneau que vous souhaitez rouvrir.

Réduire tous les groupes de panneaux ouverts en icônes

Cliquez avec le bouton droit sur la barre d’onglets du groupe de panneaux, puis sélectionnez Réduire à des icônes.

Quitter le mode plein écran

Cliquez avec le bouton droit en dehors de la zone de texte dans la fenêtre de document, puis sélectionnez Changer de mode d'écran.

Parent topic: Interface utilisateur
Related information
  • Modes d’affichage de l’écran


Accessibilité

Connaître les fonctionnalités offertes par FrameMaker pour améliorer l’accès aux utilisateurs ayant une déficience visuelle.

Le logiciel FrameMaker propose plusieurs fonctionnalités susceptibles d'améliorer l'accès aux documents pour les malvoyants. Le logiciel Adobe FrameMaker :

  • assure l'affichage à contraste élevé pour les utilisateurs à faible acuité visuelle ;

  • crée des fichiers Adobe PDF balisés lors de la conversion des fichiers FrameMaker en PDF balisé, afin de permettre aux utilisateurs de logiciels de lecteurs d’écran de suivre aisément l’ordre de lecture des documents. Pour plus de détails sur la conversion de vos documents FrameMaker en fichiers Adobe PDF balisés, voir Sortie PDF balisé.

  • Prend en charge les technologies d'assistance, telles que le logiciel de lecteur d'écran pour la plate-forme Windows®.

Les lecteurs d'écran permettent aux utilisateurs malvoyants d'interagir avec l'ordinateur en interprétant ce qui se produit à l'écran et en envoyant cette information aux périphériques de synthèse vocale. Le lecteur d'écran suit la structure logique du document. Les lecteurs d’écran peuvent lire les documents FrameMaker affichés dans FrameMaker, ou encore les documents PDF balisés affichés dans Adobe Acrobat® ou Adobe Reader®. Reportez-vous à la documentation de votre lecteur d’écran pour plus d’informations sur son installation et son utilisation avec des documents affichés dans FrameMaker ou Acrobat.

Pour plus de détails sur l’accessibilité des documents Adobe Acrobat et Adobe PDF, consultez l’aide en ligne d’Acrobat et le site Web d’Adobe.

Démarrage du clavier visuel

  1. Dans le menu Démarrer, sélectionnez Programmes > Accessoires > Accessibilité > Clavier visuel.

  2. Cliquez sur OK. Vous pouvez alors utiliser le clavier visuel.

Parent topic: Concepts de base de FrameMaker
Related information
  • Espace de travail à contraste élevé


Documents

Comprendre les différentes méthodes pour créer des documents dans FrameMaker. Utilisez les modèles intégrés pour créer vos documents.

En savoir plus sur le travail avec des documents sur ces sous-sujets.

  • Créer un document
    Découvrez comment créer un document dans Adobe FrameMaker à partir d’un document vierge ou d’un modèle. Apprenez à définir le sens de lecture du document (de gauche à droite/de droite à gauche).
  • Ouverture d'un document
    Découvrez comment ouvrir différents fichiers et documents dans FrameMaker. Comprendre comment résoudre les problèmes de polices indisponibles.
  • Enregistrer le document ou le livre
    Découvrez les différentes méthodes pour enregistrer un document dans FrameMaker. Comprendre les extensions et les formats du nom de fichier utilisés dans FrameMaker.
  • Vue Navigation
    Apprenez à utiliser la vue de navigation pour obtenir un aperçu rapide de votre structure de documents.
  • Formats de fichiers disponibles pour l'enregistrement
    Découvrez les formats de fichiers que FrameMaker peut enregistrer et la façon d'échanger des documents FrameMaker entre les versions.
  • Enregistrer des documents FrameMaker au format texte seulement
    Découvrez comment enregistrer un document FrameMaker en tant que fichier texte seulement, sélectionner le bon codage, et les limites de ce format.
  • Enregistrer des documents FrameMaker Standard au format XML
    Découvrez comment enregistrer un document FrameMaker standard au format XML.
  • Enregistrer des documents FrameMaker structurés aux formats SGML ou XML
    Découvrez comment enregistrer un document structuré en format SGML ou XML dans FrameMaker.
  • Ajouter des métadonnées à un document
    Savoir comment FrameMaker prend en charge Extensible Metadata Platform (XMP)
  • Extensions de fichiers FrameMaker
    Connaître les extensions de fichiers FrameMaker .fm, .mif, .book, .xml, .dita, .ditamap.
Parent topic: Concepts de base de FrameMaker


Créer un document

Découvrez comment créer un document dans Adobe FrameMaker à partir d’un document vierge ou d’un modèle. Apprenez à définir le sens de lecture du document (de gauche à droite/de droite à gauche).

FrameMaker fournit plusieurs modèles à partir desquels vous pouvez adapter vos documents. Vous pouvez également choisir d’utiliser un modèle défini par votre entreprise, ou créer un document vierge.

Par défaut, les documents FrameMaker ont une extension en .fm.

  • Création d’un document vierge
    Découvrez comment créer un document vierge avec le modèle par défaut dans Adobe FrameMaker.
  • Utiliser un modèle pour créer un document
    Découvrez comment créer un document FrameMaker basé sur un modèle.
Parent topic: Documents


Création d’un document vierge

Découvrez comment créer un document vierge avec le modèle par défaut dans Adobe FrameMaker.

Si vous définissez un modèle pour votre entreprise ou pour votre équipe, vous pouvez commencer par un document FrameMaker vierge.

  1. Sélectionnez Fichier > Nouveau > Document.

  2. Spécifiez la mise en page de base :

    • Pour créer un document standard à une colonne, cliquez sur Portrait ou sur Paysage.

    • Pour créer un document avec un format de page, des marges de colonnes et des paramètres de pagination personnalisés, cliquez sur Personnalisé et spécifiez les valeurs requises. Cliquez sur Créer.

      Vous pouvez également sélectionner une unité de mesure pour le document. FrameMaker affiche les mesures dans des boîtes de dialogue et dans la barre d’état de la fenêtre du document de l’unité sélectionnée.

  3. Ajouter du contenu au document.

Parent topic: Créer un document


Utiliser un modèle pour créer un document

Découvrez comment créer un document FrameMaker basé sur un modèle.

Dans ce sujet

  • Introduction

  • Modèles standard,

  • Modèles structurés

  • Modèles personnalisés

  • Modèle de droite à gauche

Introduction

Vous pouvez créer un document à l’aide d’un modèle. Il se peut que votre entreprise dispose de modèles prédéfinis pour différents types de documents. Pour créer un document, cliquez sur Fichier > Nouveau > Document.

Procédez comme suit pour créer un document basé sur un modèle prédéfini.

Modèles standard,

Pour créer un document FrameMaker à partir d’un modèle standard :

  1. Cliquez sur Explorer les modèles standard.

  2. Sélectionnez un modèle dans la boîte de dialogue Modèles standard. Par exemple, Guides de l’utilisateur—Légaux.

  3. Cliquez sur Créer pour créer un document basé sur le modèle sélectionné.

    Note: Vous pouvez également cliquer surAfficher un échantillon pour afficher un aperçu du document dans un nouvel onglet de documents. Cette option ferme la boîte de dialogue Modèles standard. Pour revenir à la boîte de dialogue après avoir visualisé l’exemple, sélectionnez de nouveau Fichier > Nouveau > Document > Explorer les modèles standard.

  4. Ajouter du contenu au document.

Modèles structurés

Pour créer un document structuré à partir d’un modèle structuré :

  1. Cliquez sur Explorer les modèles structurés

  2. Sélectionnez un modèle dans la boîte de dialogue Modèles structurés. Par exemple, Professionnel—Mémo.

  3. Cliquez sur Créer pour créer un document basé sur le modèle sélectionné.

    Note: Vous pouvez également cliquer surAfficher un échantillon pour afficher un aperçu du document dans un nouvel onglet de documents. Cette option ferme la boîte de dialogue Modèles structurés. Pour revenir à la boîte de dialogue après avoir visualisé l’exemple, sélectionnez de nouveau Fichier > Nouveau > Document > Explorer les modèles structurés.

  4. Ajouter du contenu au document.

Modèles personnalisés

Choisir un modèle personnalisé:

  1. Accédez au document que vous souhaitez utiliser comme modèle pour le nouveau document.

  2. Cliquez sur Nouveau.

Modèle de droite à gauche

Pour créer un document de droite à gauche à partir d’un modèle de droite à gauche :

  1. Accédez au dossier Modèles ($FMHOME\Templates).

  2. Cliquez sur le fichier RTLTemplate.fm.

  3. Cliquez sur Nouveau.

  4. Ajouter du contenu au document.

Note: Cette opération crée un document vide avec une direction définie de droite à gauche.
Parent topic: Créer un document


Ouverture d'un document

Découvrez comment ouvrir différents fichiers et documents dans FrameMaker. Comprendre comment résoudre les problèmes de polices indisponibles.

Outre les documents FrameMaker, vous pouvez également ouvrir les fichiers texte, les fichiers MIF (Maker Interchange Format), les fichiers MML (Maker Markup Language), ainsi que les documents XML et SGML. Si le filtre requis est installé, vous pouvez également ouvrir des fichiers créés dans d’autres applications, Microsoft® Word par exemple. Le formatage du fichier est en grande partie conservé lors de l'ouverture du fichier.

Note: Pour ouvrir des fichiers créés à l’aide de FrameMaker 7 ou d’une version précédente de FrameMaker, enregistrez-les en tant que fichiers MIF.
  • Ouverture d’un fichier
  • Ouverture d'un fichier texte
  • Ouverture d'un document en cours d'utilisation
  • Ouverture d’un document sans mise à jour des références
  • Réouverture d'un fichier après un blocage du système
  • Dépannage de polices non disponibles
Parent topic: Documents


Ouverture d’un fichier

  1. Choisissez Fichier > Ouvrir.

    Figure 1. Boîte de dialogue Fichier ouvert

    Les boîtes de dialogue Ouvrir et Enregistrer le document sont basées sur les boîtes de dialogue natives Ouvrir le fichier/Enregistrer de Windows, ce qui donne un accès facile aux fichiers sur votre système.

    Note: Si vous voulez utiliser l’ancienne boîte de dialogue Ouvrir, désactivez le paramètre Utiliser les Explorateurs de fichiers de Windows dans la boîte de dialogue Edition > Préférences > Global > Interface.

  2. Localisez le document. Cliquez sur Ouvrir.

En général, lorsque vous ouvrez un document, les graphiques importés par référence, les encarts de texte, les références croisées et les variables système (le cas échéant) sont automatiquement mis à jour. Les fichiers récemment ouverts sont répertoriés au bas du menu Fichier.

Des messages signalant des problèmes potentiels liés au fichier s’affichent parfois. Vous pouvez cliquez sur OK et résoudre les problèmes plus tard.

Note: Vous pouvez également glisser-déposer des fichiers de l’Explorateur Windows vers la fenêtre de document, les zones vides de l’interface utilisateur, les barres d’outils, les barres de menus ou les panneaux pour ouvrir les fichiers.
Parent topic: Ouverture d'un document


Ouverture d'un fichier texte

Les fichiers texte seulement ne contiennent ni graphiques ni informations de formatage. Lors de l'ouverture d'un fichier texte seulement, vous devez confirmer qu'il s'agit d'un fichier texte.

  1. Sélectionnez Fichier > Ouvrir, et ouvrez un fichier .txt. La boîte de dialogue Type de fichier indéterminé s’affiche.

  2. Sélectionnez l'option Texte.

  3. Cliquez sur le bouton Convertir.

  4. Sélectionnez l’une des options suivantes :

    • Pour séparer le texte en paragraphes uniquement au niveau des lignes vides, sélectionnez Fusionner les lignes en paragraphes. Utilisez cette option pour un fichier texte comportant des paragraphes, par exemple un fichier contenant un texte de document.

    • Pour séparer le texte en paragraphes à la fin de chaque ligne, sélectionnez Considérer chaque ligne comme un paragraphe. Utilisez cette option pour un fichier texte comportant des lignes, tel qu’un fichier contenant du code informatique.

    • Pour convertir le texte en tableau, sélectionnez Convertir texte en tableau. Utilisez cette option si le contenu du fichier source est séparé par des tabulations.

      Sélectionnez d’autres options dans la boîte de dialogue Convertir en tableau, par exemple le nombre de colonnes, les marques de séparation des cellules et les lignes d’intitulé, afin d’afficher les données au format de tableau adéquat.

  5. Sélectionnez un schéma de codage. Le schéma de codage ANSI (Windows) est sélectionné par défaut.

  6. Cliquez sur Lecture. Le texte s'affiche dans un document créé à partir d'un modèle spécial. Vous pouvez personnaliser le modèle afin que les documents créés à partir de fichiers texte soient formatés différemment.

Parent topic: Ouverture d'un document


Ouverture d'un document en cours d'utilisation

Un fichier de verrouillage (*.lck) est créé chaque fois que vous ouvrez un document. Ce fichier de verrouillage empêche les autres utilisateurs de modifier le fichier lorsque vous l'utilisez. Le fichier de verrouillage se trouve dans le même dossier que le document d'origine et est supprimé à la fermeture du document. Vous pouvez désactiver le verrouillage de fichier.

Si vous tentez d'ouvrir un document déjà ouvert et sur lequel vous possédez les droits d'écriture, une boîte de dialogue affiche le nom du document, le nom du dernier utilisateur à l'avoir ouvert et la date/heure, ainsi que l'ordinateur sur lequel il a été ouvert. Cette boîte de dialogue s'affiche parfois après un blocage du système, lorsque vous ouvrez un document que vous êtes le dernier à avoir utilisé.

Ouvrez le fichier, puis effectuez l’une des opérations suivantes :

  • Pour consulter le fichier sans le modifier, cliquez sur Ouvrir pour consultation seulement, puis sur Continuer. Le document s'affiche au format Consultation seulement.

  • Pour modifier une copie du fichier, cliquez sur Ouvrir une copie pour modification, puis sur Continuer. Une copie du fichier s'ouvre et, lorsque vous enregistrez ce fichier, vous êtes invité à spécifier un nouveau nom de fichier.

  • Pour modifier le fichier, si vous savez que personne d'autre ne l'utilise, cliquez sur Déverrouiller et ouvrir, puis sur Continuer. Utilisez cette option après un blocage du système, pour modifier un document ouvert au moment du blocage.

Parent topic: Ouverture d'un document


Ouverture d’un document sans mise à jour des références

Un document met plus de temps à s’ouvrir s’il contient de nombreuses références croisées vers d’autres fichiers, des graphiques importés volumineux ou plusieurs encarts de texte. Vous pouvez ouvrir un document plus rapidement en ignorant la mise à jour des graphiques importés, des références croisées et des encarts de texte. Cependant, si vous ouvrez des documents à l’aide de cette méthode, FrameMaker n’indique pas qu’il manque des éléments ou que des références croisées ne sont pas résolues, le cas échéant. C'est pourquoi il est conseillé d'ouvrir de temps en temps un document selon la méthode habituelle.

  1. Choisissez Fichier > Ouvrir et sélectionnez le fichier souhaité.

  2. Tout en maintenant la touche Ctrl enfoncée, cliquez sur Ouvrir.

Une fois le fichier ouvert, FrameMaker importe et affiche les graphiques nécessaires page par page. Vous pouvez mettre à jour manuellement les références croisées et les encarts de texte à l’aide de la commande Edition > Mettre à jour les références. Si l'affichage de la page est trop lent, ouvrez à nouveau le document de la manière habituelle.

SGML, MIF et MML sont des formats texte. Vous pouvez donc les ouvrir en tant que fichiers texte en mode non structuré.

Dans le cas des fichiers .xml ou .mif dans FrameMaker structuré, il suffit de cliquer sur le bouton Ouvrir en maintenant la touche Ctrl enfoncée pour les ouvrir en tant que fichiers texte. Vous êtes invité à spécifier les options de lecture de texte dans la boîte de dialogue Lecture de fichier texte en cours. Lorsque ces fichiers sont ouverts au format texte, vous pouvez afficher et modifier le balisage.

Figure 1. Balisage dans un fichier SGML
Visualiser et modifier le balisage d'un fichier SGML

Parent topic: Ouverture d'un document


Réouverture d'un fichier après un blocage du système

En cas de blocage du système, le fichier est automatiquement enregistré dans les situations suivantes :

  • Si vous avez sélectionné l’option Enregistrement automatique dans la boîte de dialogue Préférences, les fichiers d’enregistrement automatique (dont le nom contient l’extension .auto) sont créés selon l’intervalle de temps spécifié. Ce fichier est supprimé lorsque vous enregistrez et fermez un fichier.

  • Si votre système devient instable, FrameMaker tente de créer un fichier de récupération (d'extension .recover) avec les modifications les plus récentes.

Une copie du fichier enregistrée automatiquement contient les modifications apportées récemment au fichier.

  1. Ouvrez le fichier sur lequel vous travailliez avant le blocage.

  2. Procédez de l’une des façons suivantes :

    • Si un fichier de récupération existe, ouvrez-le à l'invite et vérifiez que vos dernières modifications y figurent. Dans l'affirmative, enregistrez le fichier récupéré sous le même nom que celui du document d'origine puis supprimez le fichier de récupération.

    • S'il n'existe pas de fichier de récupération, ouvrez le fichier de sauvegarde auto à l'invite et enregistrez-le sous le même nom que celui du document d'origine. Ce fichier contient toutes les modifications effectuées jusqu'au dernier enregistrement automatique. La quantité de travail perdue est fonction de l'intervalle défini entre chaque enregistrement et le moment où le système s'est bloqué.

Parent topic: Ouverture d'un document


Dépannage de polices non disponibles

Parfois, un message d’alerte indique que le document en cours d’ouverture utilise des polices non disponibles. Plusieurs raisons peuvent expliquer l’indisponibilité des polices :

  • Le document a été modifié sur un autre système, à l'aide de polices non installées sur le système actuel.

  • Une police a été supprimée ou est endommagée.

  • L'imprimante par défaut du système a changé.

Si vous avez sélectionné l’option Mémoriser le nom des polices manquantes dans la boîte de dialogue Préférences, FrameMaker conserve le nom de ces polices. Dans ce cas, même si vous enregistrez le document avec des polices de substitution, les polices d’origine s’affichent de nouveau si vous ouvrez le document sur un ordinateur où les polices appropriées sont installées.

Pour résoudre le problème des polices manquantes, plusieurs possibilités s’offrent à vous :

Vérifier si des polices sont endommagées

Déterminez si les polices non disponibles dans FrameMaker sont installées sur votre système et disponibles dans une autre application. Si c'est le cas, alors que FrameMaker ne peut pas les utiliser, il est possible qu'elles soient endommagées. Réinstallez-les à l'aide du support d'origine. Pour plus de détails sur le dépannage des problèmes liés aux polices, l’identification de polices endommagées ou d’un dossier de polices endommagées ou la réinstallation des polices PostScript, consultez le site Web d’Adobe.

Rétablir les correspondances des polices non disponibles

Si vous ne pouvez pas installer ou réinstaller les polices non disponibles, vous pouvez tenter de rétablir les correspondances entre les polices non disponibles et les polices disponibles de sorte que le message d'alerte ne s'affiche plus à l'ouverture du document. Pour ce faire, désélectionnez l’option Mémoriser les noms de polices manquantes dans la boîte de dialogue Préférences avant d’ouvrir le fichier. Toutefois, vous perdrez alors les informations sur les polices d'origine référencées dans le document.

Changer d'imprimante

FrameMaker lit les informations de polices enregistrées dans le pilote de l'imprimante afin de pouvoir utiliser ces polices. Parfois, il suffit de changer d'imprimante par défaut pour rendre certaines polices disponibles dans FrameMaker.

Obtenir et installer les polices manquantes

Par exemple, si vous et un collègue modifiez les mêmes documents et que vous souhaiteriez utiliser les mêmes polices que celui-ci, envisagez d’acheter et d’installer les copies des polices.

Parent topic: Ouverture d'un document


Enregistrer le document ou le livre

Découvrez les différentes méthodes pour enregistrer un document dans FrameMaker. Comprendre les extensions et les formats du nom de fichier utilisés dans FrameMaker.

Dans ce sujet

  • Introduction

  • Enregistrement d'un livre

  • Enregistrement de tous les documents ouverts

  • Retour à la version enregistrée de votre document

  • Copies de sauvegarde et enregistrement automatique

Introduction

Vous pouvez enregistrer un document à l'aide de son nom et de son emplacement actuels ou enregistrer une copie du document en utilisant un nom ou un emplacement différent. Vous pouvez enregistrer un document sous différents formats, notamment HTML (Hypertext Markup Language), XML (Extensible Markup Language), RTF (Rich Text Format) ou PDF (Portable Document Format).

Lorsqu’un document ou un livre a été modifié et que ces modifications n’ont pas été enregistrées, un astérisque (*) s’affiche dans la zone État de la page de la barre d’état.

Figure 1. Un astérisque signale des modifications non enregistrées.
Affichage des modifications de documents non enregistrées dans la barre État de la page

Pour enregistrer un document, procédez de l’une des façons suivantes :

  • Pour enregistrer les modifications apportées au fichier actif, choisissez Fichier > Enregistrer.

  • Pour enregistrer le fichier dans un autre dossier ou sous un autre nom, choisissez Fichier > Enregistrer sous.

Si vous choisissez Fichier > Enregistrer sous, ou si le fichier n’a jamais été enregistré, spécifiez le nouveau nom de fichier et l’emplacement. Pour enregistrer le fichier sous un autre format, choisissez le format dans la liste déroulante.

Cliquez sur Enregistrer. Si vous sélectionnez le format Texte seulement, spécifiez comment traiter le texte et les tableaux du document.

Enregistrement d'un livre

  1. Procédez de l’une des façons suivantes :

    • Pour écraser la version actuelle figurant sur le disque, choisissez Fichier > Enregistrer le livre.

    • Pour enregistrer le fichier dans un autre dossier ou sous un nom différent, choisissez Fichier > Enregistrer le livre sous.

  2. Si vous choisissez la commande Fichier > Enregistrer le livre sous ou si le fichier n’a jamais été enregistré auparavant, spécifiez son nouveau nom et son emplacement.

Enregistrement de tous les documents ouverts

Maintenez la touche Maj enfoncée et sélectionnez Fichier > Enregistrer tous les fichiers ouverts.

Retour à la version enregistrée de votre document

Sélectionnez Fichier > Version précédente. Cliquez sur OK.

Copies de sauvegarde et enregistrement automatique

FrameMaker peut sauvegarder et enregistrer votre travail automatiquement.

  1. Choisissez Edition > Préférences.

  2. Dans les préférences générales, effectuez les opérations suivantes :

    • Pour créer une copie de sauvegarde à chaque fois que vous enregistrez, sélectionnez Sauvegarde avec copie de sécurité automatique. Ainsi, une copie du fichier est créée avant que vos dernières modifications ne soient enregistrées. S'il existe une copie de sauvegarde, elle est remplacée par la nouvelle copie. Les noms de fichier des copies de sauvegarde portent l’extension .backup.

    • Pour créer un fichier de sauvegarde auto à intervalles réguliers, sélectionnez Enregistrement automatique toutes les et entrez un intervalle (en minutes) dans la zone. Ainsi, le fichier est régulièrement enregistré, sans que vous ayez à sélectionner Fichier > Enregistrer. Les noms des fichiers d’enregistrement automatique portent l’extension .auto. Lorsque vous effectuez un enregistrement manuel ou que vous revenez à la dernière version enregistrée avec la commande Revenir à la version enregistrée, le fichier de sauvegarde auto est supprimé.

  3. Cliquez sur OK.

Parent topic: Documents
Related information
  • Enregistrer au format PDF
  • Importation de caractéristiques à partir d'un modèle


Vue Navigation

Apprenez à utiliser la vue de navigation pour obtenir un aperçu rapide de votre structure de documents.

Dans ce sujet

  • Introduction

  • Utiliser la vue de navigation

Introduction

Lorsque vous travaillez dans un long document, vous pouvez utiliser le panneau Navigation View pour voir l’ensemble de la structure du document. La vue de navigation utilise un algorithme intelligent pour comprendre les titres de votre document pour afficher la structure de votre document.

Utiliser la vue de navigation

Pour vérifier la structure de votre document, lancez la vue de navigation depuis le menu principal Affichage > Panneaux > Vue Navigation ou utilisez le raccourci clavier Echapnv.

Figure 1. Panneau De vue de navigation et son menu contextuelle

Les fonctions suivantes sont disponibles dans le panneau Navigation View :

  • Recherchez un titre en entrant quelques mots clés dans la boîte de texte Search by Heading.

  • Passez à un titre dans le contenu principal en cliquant sur le texte de titre.

  • Sautez en haut du document en cliquant sur la barre haute flèche.

La zone de fonctions suivante est disponible dans le menu contextuelle du panneau Navigation View :

  • Élargirtous : Élargissez et montrez tous les titres d’enfants du titre actuellement sélectionné.

  • CollapseAll : Effondrez et cachez tous les titres d’enfant du titre actuellement sélectionné.

  • Sélectionnez Letitre et le contenu : Sélectionnez le titre et le contenu qui fait partie du titre sélectionné. Dans le cas où le titre choisi a des titres d’enfant, alors tout ce contenu est également sélectionné.

  • Supprimer: Supprimer le titre actuellement sélectionné et son contenu.

Parent topic: Documents


Formats de fichiers disponibles pour l'enregistrement

Découvrez les formats de fichiers que FrameMaker peut enregistrer et la façon d'échanger des documents FrameMaker entre les versions.

Dans ce sujet

  • Introduction

  • Formats de fichiers FrameMaker

  • Formats de fichiers d’un mappage DITA

  • Échange de documents avec FrameMaker 8 et versions ultérieures

  • Documents d’échange avec FrameMaker 7.2 ou versions antérieures

  • Autres formats de fichiers (Texte seulement, SGML, HTML, XML, RTF)

Introduction

Vous pouvez utiliser la commande Fichier > Enregistrer sous pour enregistrer un document FrameMaker dans les différents formats de fichiers. Vous pouvez enregistrer en tant que fichier FrameMaker pouvant être ouvert dans la version précédente de FrameMaker, Enregistrer au format Maker Interchange Format (MIF) pour les anciennes versions FrameMaker, ou aux formats Texte seulement, SGML, HTML, XML et RTF.

Formats de fichiers FrameMaker

Livre 2022 (*.book)

Enregistre le livre FrameMaker en tant que livre accessible et modifiable dans la dernière version de FrameMaker.

Livre 2020 (*.book)

Enregistre le livre FrameMaker en tant que livre accessible et modifiable dans FrameMaker (version 2020).

Document 2022 (*.fm)

Enregistre le document FrameMaker en tant que document accessible et modifiable dans la dernière version de FrameMaker.

Document 2020 (*.fm)

Enregistre le document FrameMaker en tant que document accessible et modifiable dans FrameMaker (version 2020).

MIF 2022 (*.mif)

Crée un fichier texte contenant des instructions FrameMaker décrivant le texte et les graphiques. Pour éviter d'écraser le document d'origine, enregistrez le fichier MIF sous un nom différent. Vous pouvez par exemple ajouter une extension .mif au nom.

Pour plus de détails sur le format MIF, consultez le guide de référence MIF.

Consultation seulement 2022

Enregistre le livre ou le document FrameMaker en tant que livre ou document en lecture seule accessible et modifiable dans la dernière version de FrameMaker.

Formats de fichiers d’un mappage DITA

XML (*.xml, .ditamap)

Enregistre le fichier de mappage en tant que fichier .xml ou .ditamap accessible dans n'importe quel éditeur XML.

Document composite 2022 (*.fm)

Enregistre le fichier de mappage et toutes les rubriques incluses sous forme de document FrameMaker unique. Vous pouvez ouvrir et modifier ce document dans la dernière version de FrameMaker.

Livre 2022 avec des composants Fm (*.book)

Enregistre le fichier de mappage en tant que fichier .book et toutes les rubriques incluses en tant que documents FrameMaker (.fm). Vous pouvez ouvrir et modifier ces documents dans la dernière version de FrameMaker. Cela génère aussi d'autres composants du livre, comme la liste des figures, ds tableaux et un index.

Échange de documents avec FrameMaker 8 et versions ultérieures

Pour échanger des fichiers FrameMaker avec des versions plus anciennes de FrameMaker, enregistrez le livre ou le document au format Maker Interchange Format (MIF) de la version actuelle. Ouvrez ce fichier dans l’ancienne version de FrameMaker et enregistrez-le au format natif de cette version.

Pour plus de détails sur le format MIF, consultez le manuel en ligne Référence MIF.

Documents d’échange avec FrameMaker 7.2 ou versions antérieures

Pour échanger des fichiers FrameMaker avec des versions FrameMaker antérieures à la version 7.2, enregistrez le livre ou le document au format MIF 7.0 (*.mif). Ouvrez ce fichier dans FrameMaker 7.2 ou une version antérieure et enregistrez-le au format natif de cette version.

Pour plus de détails sur le format MIF, consultez le manuel en ligne Référence MIF.

Warning: Le format de fichier MIF 7.0 ne prend pas en charge Unicode. Tous les caractères non pris en charge dans FrameMaker 7.2 ou versions antérieures apparaîtront sous forme de points d’interrogation (« ? ») ou disparaîtront. L'enregistrement de documents FrameMaker 8 ou de versions plus récentes sous la version MIF 7.0 n’est pas recommandé en raison de l'absence de prise en charge d'Unicode dans les versions FrameMaker antérieures à 7.2.

Autres formats de fichiers (Texte seulement, SGML, HTML, XML, RTF)

Texte seulement

Crée un fichier texte simple sans graphiques ni informations de formatage. Pour éviter d'écraser le document d'origine, enregistrez le fichier texte sous un nom différent. Vous pouvez par exemple ajouter une extension .txt au nom.

SGML

Crée un fichier SGML avec le contenu, les éléments et les attributs du document.

HTML

Crée un document HTML (Hypertext Markup Language) pouvant être consulté sur Internet. Pour plus de détails sur la mise en correspondance des styles de paragraphes et de caractères avec des éléments HTML prédéfinis, consultez Définition et réglage des mises en correspondance HTML

Note: lorsqu’un document FrameMaker structuré est enregistré au format HTML, tous les attributs de nom identique sont mis en correspondance avec la même valeur, même si les valeurs des attributs ne sont pas les mêmes pour tous les éléments. Pour donner à ces attributs des valeurs différentes après exportation, il vous faudra utiliser un éditeur de texte pour modifier directement les fichiers résultants.
XML

Crée un document XML pouvant être utilisé pour échanger des données ou les présenter sur le Web.

Pour plus de détails sur XML, consultez https://www.w3.org/standards/xml/.

Microsoft RTF

Crée des fichiers au format RTF (Rich Text Format) 1.9 pris en charge par de nombreuses applications de traitement de texte, ce qui permet de les lire dans d’autres applications. Les formats étant généralement convertis en styles de traitement de texte, la plupart des éléments de formatage sont conservés.

Pour plus de détails sur RTF, consultez laspécification RTF (Microsoft Rich Text Format) .

Parent topic: Documents
Related information
  • Enregistrer des documents FrameMaker au format texte seulement
  • Enregistrer des documents FrameMaker Standard au format XML
  • Enregistrer des documents FrameMaker structurés aux formats SGML ou XML
  • Définition et réglage des mises en correspondance HTML


Enregistrer des documents FrameMaker au format texte seulement

Découvrez comment enregistrer un document FrameMaker en tant que fichier texte seulement, sélectionner le bon codage, et les limites de ce format.

Important: Seul le texte ordinaire (texte dans les zones de texte et les tableaux) est enregistré ; les graphiques, les légendes, les notes de bas de page et les informations de formatage sont perdus. Reformatez la césure et les longueurs de ligne selon vos besoins avant d'enregistrer le fichier.

Vous pouvez enregistrer un document FrameMaker en tant que fichier texte seulement. L'enregistrement d'un document au format texte seulement crée un fichier texte avec le codage de texte de votre choix.

Si certains caractères ne sont pas disponibles dans le codage choisi, ils sont remplacés dans le fichier texte. Par exemple, lorsque vous enregistrez un document au format Texte seulement avec le codage ANSI (Windows) ou ASCII, tous les espaces (cadratins, demi-cadratins, fins et numériques) sont convertis en espaces normaux.

  1. Sélectionnez Fichier > Enregistrer au format.

  2. Spécifiez le nom du fichier et l'emplacement et sélectionnez le format Texte seulement.

  3. Cliquez sur Enregistrer. La boîte de dialogue Enregistrer en tant que texte s’affiche :

    Figure 1. boîte de dialogue FrameMaker Enregistrer en tant que texte
    boîte de dialogue FrameMaker Enregistrer en tant que texte

  4. Procédez de l’une des façons suivantes :

    • Pour faire de chaque ligne un paragraphe séparé, cliquez sur À la fin de chaque ligne. Cette option permet de conserver les sauts de ligne et les lignes vides d’origine. Utilisez cette option pour un fichier comportant des lignes tel qu’un fichier de code informatique.

    • Pour fusionner des lignes adjacentes en paragraphes et insérer un retour chariot uniquement à la fin des lignes vides, cliquez sur Entre les paragraphes uniquement. Utilisez cette option pour les fichiers composés de paragraphes tels que les fichiers contenant un texte de document.

  5. Pour enregistrer le texte d’un tableau, sélectionnez Inclure le texte des cellules de tableaux. Continuez comme suit :

    • Spécifiez l'ordre dans lequel enregistrer les cellules de tableaux (ligne par ligne ou colonne par colonne).

    • Précisez si vous souhaitez séparer les cellules par des tabulations (\t) ou par des retours de chariot (\r`en choisissant des éléments dans les listes déroulantes.

  6. Si le fichier texte doit être utilisé sur une plate-forme dont le codage est différent, choisissez un codage approprié dans la liste déroulante Encodage de texte, puis cliquez sur Enregistrer.

    Vous pouvez choisir entre les encodages suivants :

    • UTF-8

    • Latin-1 ISO (Unix)

    • ASCII

    • ANSI (Windows)

    • Macintosh

    • Japonais (JIS)

    • Japonais (Shift-JIS)

    • Japonais (EUC)

    • Chinois traditionnel (Big5)

    • Chinois traditionnel (EUC-CNS)

    • Chinois simplifi\x8e (GB)

    • Chinois simplifi\x8e (HZ)

    • Coréen

    • UTF-16 (Big Endian)

    • UTF-16 (Little Endian)

    • UTF-32 (Big Endian)

    • UTF-32 (Big Endian)

Parent topic: Documents
Related information
  • Formats de fichiers disponibles pour l'enregistrement
  • Enregistrer des documents FrameMaker non structurés au format XML
  • Enregistrer des documents FrameMaker structurés aux formats SGML ou XML


Enregistrer des documents FrameMaker Standard au format XML

Découvrez comment enregistrer un document FrameMaker standard au format XML.

Il est possible d’exporter des fichiers structurés et non structurés au format XML.

Pour les documents structurés (fichiers FrameMaker avec une structure intégrée), l’application structurée est utilisée pour enregistrer au format XML.

Pour les documents non structurés (fichiers FrameMaker sans structure intégrée), le mappage utilisé pour spécifier l’élément à créer pour chaque paragraphe, caractère, révérence croisée, etc. dans le fichier FrameMaker source est défini sur la page de référence « XML » dans la « table de mappage XML ».

La fonction d'exportation crée un fichier XML et la feuille de style en cascade (CSS, Cascading Style Sheet) correspondante, qui peut être utilisée avec le document.

  1. Procédez de l’une des façons suivantes :

    • Sélectionnez Fichier > Enregistrer au format XML ou appuyez sur Echap+f+w+x.

    • Sélectionnez Fichier > Enregistrer sous, puis sélectionnez XML dans la liste déroulante Enregistrer sous.

      Attribuez l’extension .xml au fichier.

  2. Spécifiez l'emplacement du fichier.

  3. Cliquez sur Enregistrer.

Parent topic: Documents
Related information
  • Formats de fichiers disponibles pour l'enregistrement
  • Enregistrer des documents FrameMaker au format texte seulement
  • Enregistrer des documents FrameMaker structurés aux formats SGML ou XML


Enregistrer des documents FrameMaker structurés aux formats SGML ou XML

Découvrez comment enregistrer un document structuré en format SGML ou XML dans FrameMaker.

Vous pouvez enregistrer tout document FrameMaker structuré au format SGML ou XML. Le contenu, les éléments et les attributs du document seront conservés, mais pas le formatage. Vous pouvez l’enregistrer sous un type de document structuré différent de l’original (du format SGML au format XML par exemple), mais certaines erreurs risquent de se produire en raison de différences dans les DTD.

Lorsque vous enregistrez un contenu Unicode sous forme de fichier XML, FrameMaker spécifie automatiquement le codage. Par défaut, FrameMaker utilise le format de codage UTF-8.

Avant d’enregistrer un document au format SGML ou XML, vous devez le valider et corriger les erreurs dans les éléments et les attributs (voir « Validation des documents »). A défaut, le balisage risque d’être non valide.

Lors de l’enregistrement de documents XML structurés, vous devez vérifier que les noms des éléments XML commencent par une lettre et ne contiennent que des caractères alphanumériques, des points ou des tirets. Les espaces, traits de soulignement et autres caractères figurant dans des noms d’éléments XML sont des caractères non valides et sont convertis en tirets (-) ou génèrent une erreur.

Les titres, les tables et les pages de référence ne sont pas utilisés lors de l'exportation XML, et les noms par défaut des éléments sont simplement les noms de style.

Les paramètres de codage par défaut pour l’exportation de documents structurés sont ISO-8859-1 pour SGML et UTF-8 pour XML. Si le document structuré est un fichier SGML ou XML importé, FrameMaker utilise le codage du fichier d’origine plutôt que le codage par défaut.

  1. Sélectionnez Fichier > Enregistrer au format.

  2. Spécifiez un nom de fichier et un emplacement. Il peut être utile d’ajouter l’extension appropriée (comme .sgm ou .xml) au nom du fichier.

  3. Sélectionnez SGML ou XML dans la liste déroulante. Cliquez sur Enregistrer. Si une application est associée au document, ce dernier est enregistré.

  4. Si la boîte de dialogue Définir l'application structurée apparaît, sélectionnez un nom d'application dans la liste déroulante Définir l’application structurée. Cliquez sur Continuer. Procédez ensuite de l’une des façons suivantes :

    • Pour associer une application au document, sélectionnez le nom d’une application.

    • Pour utiliser le mappage par défaut et pas des règles de lecture/d'écriture, sélectionnez <Aucune application>.

En cas d’erreur de structure lors de l’enregistrement d’un document dans FrameMaker, les messages d’erreur sont répertoriés dans un journal des erreurs en consultation seulement. Si un message fait référence à une erreur figurant dans le document FrameMaker, le message est lié au document. Dans la plupart des cas, vous pouvez cliquer sur le message et accéder directement à l’emplacement de l’erreur.

Lorsque vous ouvrez les documents structurés, importez-y les définitions d’éléments. Vous devrez vraisemblablement apporter quelques corrections à leur structure.

Parent topic: Documents
Related information
  • Importation de définitions d’éléments dans un livre structuré


Ajouter des métadonnées à un document

Savoir comment FrameMaker prend en charge Extensible Metadata Platform (XMP)

FrameMaker inclut un support intégré pour Extensible Metadata Platform (XMP).

Les métadonnées (ou informations sur les fichiers) sont des données descriptives pouvant être consultées et traitées par ordinateur. Utilisez ces données pour fournir des informations sur le contenu d’un document et pour conserver des informations sur un document destiné à être ouvert dans d’autres applications Adobe. Si vous exportez le fichier concerné au format PDF, la plupart des métadonnées s’affichent dans Acrobat.

Les balises de métadonnées accompagnent le document et décrivent son contenu. Si vous choisissez d’incorporer des métadonnées à vos documents, ces derniers sont plus faciles à suivre, à gérer et à récupérer.

Note: les métadonnées d’un fichier livre peuvent parfois remplacer les métadonnées d’un fichier document. Si votre document fait partie d’un fichier livre, ouvrez le fichier livre et sélectionnez le document avant d’ajouter les métadonnées.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Cliquez sur Fichier > Informations.

  3. Entrez les informations requises dans la zone en regard d’une ou de toutes les catégories.

  4. Pour Marqué, sélectionnez Oui si le document est protégé par les droits d'auteur, ou Non si le document est explicitement du domaine public. Sélectionnez Indéterminé si vous n'êtes pas certain.

  5. Cliquez sur Définir-

Vous pouvez voir les informations de la boîte de dialogue Informations dans les métadonnées de la sortie PDF lors de sa publication. Par exemple, entrez les informations dans les champs donnés, et vous pouvez les voir dans les métadonnées de la sortie PDF.

Table 1. Informations mappées en métadonnées
Informations dans FrameMaker | Titres mappés dans les métadonnées du PDF
Auteur | Auteur
Title | Titre du document
Sujet | Description
Mots-cl\x8es | Mots-cl\x8es
Copyright | Déclaration concernant les droits d’auteur
Instructions Web | URL d’information concernant les droits d’auteur
Marqu\x8e | État du copyright
Pour afficher les métadonnées d’un PDF, ouvrez-le dans Adobe Acrobat et procédez comme suit :
  1. Sélectionnez Propriétés du fichier.
  2. Dans l’onglet Description, vous trouverez un résumé des métadonnées.
  3. Pour afficher l’intégralité des métadonnées, cliquez sur Métadonnées supplémentaires.
Parent topic: Documents


Extensions de fichiers FrameMaker

Connaître les extensions de fichiers FrameMaker .fm, .mif, .book, .xml, .dita, .ditamap.

Lorsque vous enregistrez un fichier pour la première fois dans Windows, FrameMaker ajoute automatiquement ces extensions :

  • .fm pour les documents FrameMaker

  • .mif pour les documents FrameMaker MIF (Maker Interchange Format)

  • .book pour les documents de livres FrameMaker

  • .xml/.dita pour les documents XML

  • .ditamap pour les fichiers de mappage DITA et les fichiers de plan d’ouvrage

Grâce à ces extensions, le système d’exploitation Windows reconnaît toujours les fichiers comme étant des fichiers FrameMaker.

Pour éviter que ces extensions spéciales soient ajoutées aux noms de fichier que vous attribuez, il suffit de placer les noms de fichier entre guillemets doubles. En l’absence d’une de ces extensions, Windows ne reconnaît pas les fichiers comme étant des fichiers FrameMaker, mais vous pouvez toujours les ouvrir à partir de FrameMaker.

Si vous attribuez à un fichier une extension enregistrée par une autre application, par exemple .doc ou .docx, celle-ci n’est pas remplacée par l’extension FrameMaker et vous pouvez toujours ouvrir le fichier dans FrameMaker.

Parent topic: Documents


Direction d'un document

Familiarisez-vous avec la façon dont Adobe FrameMaker vous permet de créer des documents avec un sens de lecture de gauche à droite (« LTR » pour « Left-To-Right ») ou de droite à gauche (« RTL » pour « Right-To-Left"), par exemple pour l’arabe, l’hébreu ou le farsi.

Dans ce sujet

  • Modifier la direction du document actuel

  • Conception héritée

  • Emplacement et mouvement du caret

Introduction

FrameMaker vous permet de créer des documents avec un sens de lecture de gauche à droite (« LTR » pour « Left To Right ») ou de droite à gauche (« RTL » pour « Right To Left »), par exemple pour l’arabe, l’hébreu ou le farsi. Vous pouvez également choisir de créer des documents multi-directionnels, c’est à dire des documents avec une direction spécifique mais dont certaines parties se lisent dans l’autre direction. Par exemple, vous pouvez créer un document dans un script LTR, comme l’anglais, mais incluant des paragraphes et des tableaux (voir ) créés dans un script RTL, comme l’arabe, l’hébreu ou le farsi. Vous pouvez créer un document à enchaînements multiples contenant un enchaînement (zone de texte) dans une langue LTR et un autre enchaînement dans une langue RTL.

Figure 1. Document avec scripts LTR (anglais) et RTL (arabe, hébreu et farsi)
Document FrameMaker multidirectionnel avec texte écrit de gauche à droite et de droite à gauche

En plus du texte dans un document, vous pouvez également changer l’orientation des images d’un document en fonction de son sens de lecture (voir Changer le sens d'un document contenant des objets). Vous pouvez ajouter des lignes de texte multidirectionnelles aux images dans vos documents (voir Ajout d’une ligne de texte à un graphique).

Vous pouvez définir une mini table des matières dans un document FrameMaker dans lequel la direction est de gauche à droite ou de droite à gauche. Utilisez les repères directionnels dans le document (Insérer > Repères directionnels) pour insérer des repères de type incorporation LRT/RTL, repère ou remplacement.

Vous pouvez également copier et coller ce texte depuis et vers des documents FrameMaker (voir Importation de fichiers Microsoft Word).

Note: Lorsque vous importez ou copiez un texte avec une direction spécifique dans un document FrameMaker, assurez-vous que la direction du texte dans l’emplacement de destination (document, tableau ou paragraphe) est la même.

FrameMaker fournit un support de direction des documents prêt à l'emploi pour les documents non structurés et les rubriques DITA. Toutefois, pour les documents structurés basés sur d'autres applications structurées, le développeur de l'application devra définir la propriété dir dans l'EDD. Pour plus de détails, voir le Guide de référence du développeur d'applications structurées.

Modifier la direction du document actuel

Pour modifier le sens de lecture du document actuel, procédez comme suit :

  1. Pour faire passer le sens de lecture du document de gauche à droite, sélectionnez Format > Document > Direction > De gauche à droite.

  2. Pour faire passer le sens de lecture du document de Droite à gauche, sélectionnez Format > Document > Direction > Droite à gauche.

La position du point d'insertion dépend du sens de lecture défini pour le document.

Conception héritée

Dans FrameMaker, la prise en charge de la direction d'un contenu est basée sur la conception héritée. Par défaut, les objets contenus dans un document hériteront la direction de ce document. Par exemple, la direction des paragraphes et tableaux insérés dans un document RTL sera RTL. FrameMaker utilise cette conception héritée pour vous permettre de créer des documents multi-directionnels.

Emplacement et mouvement du caret

Par défaut, le curseur dans un document activé dans le sens RTL se déplace de droite à gauche à mesure que vous tapez. FrameMaker a désormais un système de caret fort (principal) et de caret faible (secondaire). Le caret fort indique où un caractère inséré sera affiché lorsque la direction de ce caractère est identique au sens de base du texte. Un caret faible indique où un caractère inséré sera affiché lorsque la direction du caractère est l'inverse du sens de base du texte.

Pour modifier le comportement de mouvement du caret :

  1. Choisissez Edition > Préférences.

  2. Dans le groupe Mouvement du caret, sélectionnez Logiquepour vous assurer que le mouvement de la touche reste identique à l'ordre logique des caractères insérés.

    Sélectionnez Visuel pour vous assurer que le mouvement du curseur est dans le sens des touches. Par exemple, la flèche gauche déplace le curseur vers la gauche.

Parent topic: Concepts de base de FrameMaker
  • Global > Général
  • Modèle de droite à gauche
  • Définir la direction d’enchaînement
  • Modification du sens du texte dans des documents structurés
  • Modification du sens du texte dans un tableau
  • Configuration de paragraphes
  • Changer le sens d'un document contenant des objets


Prise en charge des langues asiatiques

FrameMaker fournit un support avancé pour l’édition et la publication des langues asiatiques. Le moteur de mise en page peut être spécifié au niveau du paragraphe en spécifiant le compositeur de paragraphe asiatique.

Lorsque vous sélectionnez une police codée sur deux octets ou une police en langue CJK dans la configuration de paragraphes (pour le chinois, le japonais, le coréen), cochez l’option Utiliser le compositeur asiatique dans Configuration de paragraphes.

Lorsqu'un document hérité est ouvert, cette propriété est activée dans tous les paragraphes contenant une police sur deux octets ou du texte Rubi pour que le moteur de mise en page asiatique y soit utilisé.

Puisque les deux moteurs de mise en page ont différentes capacités, il se peut parfois qu'aucun ne puisse gérer le texte correctement. Par exemple, si un paragraphe contient à la fois du texte Rubi et du texte arabe, aucun des deux moteurs ne pourra le gérer correctement.

Vous pouvez aussi choisir de ne pas afficher cet avertissement et indiquer à FrameMaker de passer automatiquement au mode de prise en charge des langues asiatiques.

  1. Sélectionnez Edition > Préférences pour ouvrir la boîte de dialogue Préférences.

  2. Accédez à l’onglet Global > Alertes.

  3. Cochez la case Passer automatiquement au compositeur asiatique.

Parent topic: Concepts de base de FrameMaker


Mise en page et modèles

Un modèle FrameMaker est constitué de plusieurs composants. Il s’agit notamment des styles de paragraphes et de caractères, des mises en page de maquette, des pages de référence et des références croisées.

Les modèles non structurés, comme les modèles structurés, nécessitent une planification minutieuse et une conception en amont lors de la création de modèles.

  • Formats
    En savoir plus sur le formatage de paragraphe dans FrameMaker, créer le style paragraphe.
  • Pages courantes, maquettes et pages de référence
    Connaître le corps, le maître et les pages de référence dans Adobe FrameMaker et leur utilisation. Comprendre le cadre de texte de modèle, le cadre de texte de fond et le cadre de référence.
  • Mises en page
    Découvrez comment créer et utiliser des cadres de référence sur les pages de référence et comment configurer des graphiques standard sur les pages de référence dans Adobe FrameMaker.
  • Documents à enchaînements multiples
    Gérez des enchaînements de texte distincts, chacun ayant ses propres connexions de zones de texte. Créez des documents bilingues dans FrameMaker.
  • Modèles
    Découvrez les modèles ainsi que les modèles structurés et non structurés dans FrameMaker.
  • Importation de caractéristiques de formatage
    Découvrez l’importation de caractéristiques de formatage dans Adobe FrameMaker.


Formats

En savoir plus sur le formatage de paragraphe dans FrameMaker, créer le style paragraphe.

  • Styles de paragraphes
    Découvrez les styles de paragraphes et comment créer un style de paragraphe dans Adobe FrameMaker.
  • Styles de caractères
    Découvrez les styles de caractères et comment créer un style de caractères dans Adobe FrameMaker.
  • Gérer les styles
    Découvrez comment Adobe FrameMaker fournit des fonctionnalités permettant de gérer divers paragraphes, caractères et styles de tableaux.
  • Catalogues de styles
    Découvrez les catalogues de styles dans Adobe FrameMaker.
  • Polices
    Familiarisez-vous avec les polices de FrameMaker, les barres de modifications, le crénage de paire, et les polices japonaises et occidentales.
  • Couleur d’arrière-plan
    Découvrez comment mettre en surbrillance les sections d’un document Adobe FrameMaker en définissant la couleur d’arrière-plan du texte ou du paragraphe entier.
  • Retrait, alignement et espacement
    Découvrez l’indentation, l’alignement et l’espacement dans Adobe FrameMaker. Découvrez les taquets de tabulation et le placement dans les documents japonais.
  • Listes et numérotation automatique
    Découvrez comment créer des listes, marquer la numérotation automatique et utiliser des symboles dans Adobe FrameMaker. Découvrez la numérotation des composants d'un livre, les options de numérotation japonaises, les options de numérotation RTL.
Parent topic: Mise en page et modèles


Styles de paragraphes

Découvrez les styles de paragraphes et comment créer un style de paragraphe dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Configuration de paragraphes

  • Catalogue de paragraphes

  • Création d'un style de paragraphe

  • Mise à jour d'un style de paragraphe existant

  • Mise à jour d'un style de paragraphe existant

  • Ajout de graphiques à des styles de paragraphes

Introduction

Dans Adobe FrameMaker, les styles de paragraphes contiennent des paramètres permettant de définir l’aspect du texte et la façon dont le formatage est appliqué à la totalité du paragraphe.

Les styles de paragraphes constituent la base du formatage des documents dans l’application FrameMaker non structurée, même s’ils peuvent également être utilisés comme base du formatage dans les documents FrameMaker structurés.

Configuration de paragraphes

La Configuration de paragraphes permet de créer des styles de paragraphes et de gérer le format des paragraphes.

Sélectionnez Format > Paragraphes > Configuration de paragraphes… ou Affichage > Panneaux > Configuration de paragraphes… ou appuyez sur ctrl+m pour ouvrir la Configuration de paragraphes.

Figure 1. Configuration de paragraphes
Création et gestion des styles de paragraphes à l’aide de la fenêtre Configuration de paragraphes dans Adobe FrameMaker

Réglages de base
Propriétés de paragraphe telles que le retrait, l’espacement, l’alignement, les taquets de tabulation, l’interligne et le syle de paragraphe suivant à utiliser.
Police
Propriétés de police telles que la famille de polices, la taille, l’angle, l’épaisseur, la couleur d’arrière-plan et la langue. La liste déroulante Langue vous permet de sélectionner les langues lues de gauche à droite comme, l'Anglais, l'Allemand ou le Thaï, et de droite à gauche comme l'arabe, l'hébreu et le Farsi.
Pagination
Propriétés de pagination telles que Conserver avec et propriétés de formatage telles que Dans la colonne, Dans toutes les colonnes.
Numérotation
Utilisez les composants fonctionnels disponibles pour définir un format de numérotation.
Avancé
Propriétés telles que la césure automatique et l’espacement entre les mots.
Asiatique
Appliquez les paramètres de langue asiatique tels que l’espacement des caractères asiatiques. Inclut la case à cocher Utiliser le compositeur asiatique pour sélectionner le moteur de mise en page de FrameMaker (voir Prise en charge des langues asiatiques).
Cellule de tableau
Propriétés de paragraphe appliquées à une cellule de tableau.
Sens
Définissez le sens du paragraphe sur Hériter (par défaut), Gauche à droite ou Droite à gauche.

Catalogue de paragraphes

Le Catalogue de paragraphes répertorie tous les styles de paragraphes disponibles pour un document.

Sélectionnez Format > Paragraphes > Catalogue de paragraphes… ou Affichage > Panneaux > Catalogue de paragraphes… pour ouvrir le Catalogue de paragraphes.

Pour appliquer un style de paragraphes, sélectionnez le texte et choisissez le style à partir du Catalogue de paragraphes.

Vous pouvez entrer des parties d’un nom de style dans la boîte de recherche pour réduire la liste des styles à ceux dont le nom contient

Figure 2. Catalogue de paragraphes
Application de styles de paragraphes à l’aide du Catalogue de paragraphes dans Adobe FrameMaker

Création d'un style de paragraphe

Pour créer un style de paragraphe, procédez comme suit :

  1. Sélectionnez Format > Paragraphes > Configuration de paragraphes... ou Affichage > Panneaux > Configuration de paragraphes... pour ouvrir la Configuration de paragraphes.

  2. Cliquez sur un paragraphe dont le format est similaire à celui que vous souhaitez créer. Assurez-vous de ne pas sélectionner plusieurs paragraphes.

  3. Ouvrez la fenêtre Configuration de paragraphes et entrez le nom du nouveau format dans la zone de texte Style.

  4. Cliquez sur Créer un style.

Le nouveau style de paragraphe est créé et ajouté au Catalogue de paragraphes.

Note: Le bouton Mettre à jour le style remplace le bouton Créer un style. Tous les nouveaux styles de paragraphes sont automatiquement stockés dans le Catalogue de paragraphes.

Mise à jour d'un style de paragraphe existant

Pour mettre à jour un style de paragraphe existant, procédez comme suit :

  1. Sélectionnez Format > Paragraphes > Configuration de paragraphes... ou Affichage > Panneaux > Configuration de paragraphes... pour ouvrir la Configuration de paragraphes.

  2. Cliquez sur un paragraphe dont vous souhaitez mettre à jour le style.

  3. Dans la fenêtre Configuration de paragraphes, modifiez les caractéristiques de votre choix.

  4. Cliquez sur Mettre à jour le style.

Définition du style du paragraphe suivant

Les modèles bien conçus relient souvent les styles entre eux de sorte que FrameMaker applique automatiquement un style au paragraphe suivant le paragraphe en cours.

Pour définir le style du paragraphe qui suit le paragraphe actuel, procédez comme suit :

  1. Cliquez sur le paragraphe.

  2. Affichez les caractéristiques de Bases dans la fenêtre Configuration de paragraphes, puis sélectionnez un style dans la liste déroulante Style du paragraphe suivant. FrameMaker applique ce style au nouveau paragraphe lorsque vous appuyez sur la touche Entrée pour créer un paragraphe.

  3. Cliquez sur Appliquer.

Ajout de graphiques à des styles de paragraphes

Un style de paragraphe peut inclure une ligne ou un graphique qui s’affiche au-dessus ou au-dessous d’un paragraphe. Par exemple, tous les intitulés de niveau supérieur d’un document peuvent reposer sur une longue ligne fine.

Pour ajouter des graphiques à un style de paragraphe, procédez comme suit :

  1. Sur la page de référence, dessinez ou importez le graphique dans un cadre de référence ou repérez un graphique que vous souhaitez utiliser.

  2. Cliquez sur le paragraphe à modifier. Pour placer une ligne au-dessus ou au-dessous de plusieurs paragraphes adjacents, sélectionnez tous les paragraphes.

  3. Affichez les caractéristiques Avancées de la fenêtre Configuration de paragraphes, et sélectionnez le nom d’un cadre de référence dans la lsite déroulante Cadre dessus ou Cadre dessous. Tous les cadres de référence s’affichent dans les listes déroulantes.

  4. Cliquez sur Appliquer.

Tip: Les options Cadre dessus et Cadre dessous ne permettant pas de placer des graphiques à gauche ou à droite d’un paragraphe, vous ne pouvez pas les utiliser pour encadrer du texte. Vous pouvez encadrer du texte en utilisant un tableau à une seule cellule avec un trait d’encadrement extérieur.
Parent topic: Formats


Styles de caractères

Découvrez les styles de caractères et comment créer un style de caractères dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Configuration de caractères

  • du modèle

  • Créer un style de caractères

Introduction

Les styles de caractères vous permettent de formater un ou plusieurs caractères ou mots à l’intérieur d’un paragraphe.

Grâce à l’application d'un style de caractères, vous pouvez formater rapidement du texte sans remplacer les caractéristiques de tout un paragraphe.

La création de styles de caractères permet de conserver la cohérence du format et d’appliquer globalement des modifications.

Les styles de caractères servent également de composantes pour d’autres fonctionnalités de FrameMaker, telles que les formats de références croisées ou les variables.

Configuration de caractères

La Configuration de caractères est utilisée pour créer et gérer les styles de caractères. Tous les styles de caractères sont répertoriés dans le Catalogue de caractères.

Figure 1. Configuration de caractères
Créer et gérer des styles de caractères à l’aide de la Configuration de caractères

La Configuration de caractères vous permet de créer un nouveau style de caractère ou de mettre à jour un style de caractère existant. Un large éventail d’options de mise en forme des caractères sont à votre disposition pour créer des styles de caractères en fonction de vos besoins.

du modèle

Le Catalogue de caractères répertorie tous les styles de caractères disponibles pour un document. Pour appliquer un style de caractère, sélectionnez le texte, puis le style dans le Catalogue de caractères.

Figure 2. Catalogue de caractères
Appliquer des styles de caractères à l’aide du Catalogue de caractères

Créer un style de caractères

  1. Cliquez sur une plage de texte dont le style est similaire à celui que vous souhaitez créer. Assurez-vous de ne pas sélectionner plusieurs paragraphes.

  2. Ouvrez la Configuration de caractères et saisissez le nom du nouveau style dans le zone de texte Style.

    Note: Le bouton Créer un style remplace le bouton Mettre style à jour. Tous les nouveaux styles de caractères sont automatiquement stockés dans le Catalogue de caractères.

  3. Modifiez les caractéristiques à inclure dans le nouveau style de caractères.

  4. Cliquez sur Créer un style.

Parent topic: Formats


Gérer les styles

Découvrez comment Adobe FrameMaker fournit des fonctionnalités permettant de gérer divers paragraphes, caractères et styles de tableaux.

Dans ce sujet

  • Application des styles

  • Mise à jour des styles

  • Mettre à jour un style de paragraphe

  • Mettre à jour un style de caractères

  • Mise à jour de caractéristiques de styles spécifiques ou d’un groupe de caractéristiques

  • Reformatage de tous les paragraphes avec un nouveau style

  • Suppression d'un style de paragraphe du catalogue de styles de documents

  • Suppression d'un style de caractère du catalogue de styles de documents

  • Modification du nom d’un style

  • Conseils pour la création de styles

Application des styles

Les styles de paragraphes s’appliquent au niveau d'un paragraphe, les styles de caractères au niveau d'un caractère ou d'un mot, et les styles de tableaux s’appliquent à des tableaux entiers.

  • Styles de paragraphes et de tableaux : placez le curseur dans le paragraphe ou le tableau, puis sélectionnez un style dans le catalogue.

  • Styles de caractères : sélectionnez le texte et cliquez sur un style dans le catalogue.

Mise à jour des styles

Vous pouvez modifier les caractéristiques de style et les utiliser pour redéfinir ou mettre à jour les styles enregistrés et tout le texte portant leur étiquette dans le document.

Lors de la mise à jour d’un style, vous pouvez redéfinir toutes les caractéristiques ou uniquement un groupe de caractéristiques. Par exemple, vous pouvez modifier la famille de polices par défaut de tous les styles d’un document sans modifier aucune autre caractéristique.

  • Pour mettre à jour un ou tous les styles de paragraphes dans le document avec un groupe de caractéristiques d’un paragraphe, cliquez sur ce paragraphe ou sélectionnez des paragraphes consécutifs.

  • Pour mettre à jour plusieurs styles de paragraphes mais pas tous, sélectionnez des paragraphes consécutifs qui utilisent les styles à mettre à jour.

L’importations de définitions de paragraphe ou de police de caractère est également possible en sélectionnant la commande Fichier > Importer > Formats.

Mettre à jour un style de paragraphe

Pour mettre à jour un style de paragraphe dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez Format > Paragraphes > Configuration de paragraphes pour ouvrir la Configuration de paragraphes.

  2. Pour afficher les caractéristiques d’un style, y compris le style personnalisé, sélectionnez le texte à analyser.

    Pour afficher les caractéristiques du style telles que définies pour le style, choisissez à nouveau le style dans la liste déroulante Style.

  3. Modifiez les caractéristiques souhaitées, puis cliquez sur Mettre à jour le style. FrameMaker demande si vous souhaitez supprimer les personnalisations.

Tip: Si vous modifiez les caractéristiques de la fenêtre de configuration, puis décidez de ne pas mettre à jour le style, vous pouvez annuler l’opération et rétablir les caractéristiques en cliquant dans le texte.

Mettre à jour un style de caractères

Pour mettre à jour un style de caractères dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez Format > Paragraphes > Configuration de paragraphes pour ouvrir la Configuration de paragraphes.

  2. Pour afficher les caractéristiques d’un style, y compris le style personnalisé, sélectionnez le texte à analyser.

    Pour afficher les caractéristiques du style telles que définies pour le style, choisissez à nouveau le style dans la liste déroulante Style.

  3. Modifiez les caractéristiques souhaitées, puis cliquez sur Mettre à jour le style. FrameMaker demande si vous souhaitez supprimer les personnalisations.

Tip: Si vous modifiez les caractéristiques de la fenêtre de configuration, puis décidez de ne pas mettre à jour le style, vous pouvez annuler l’opération et rétablir les caractéristiques en cliquant dans le texte.

Mise à jour de caractéristiques de styles spécifiques ou d’un groupe de caractéristiques

Pour mettre à jour une caractéristique spécifique d'un style de paragraphe ou de caractère dans Adobe FrameMaker, procédez comme suit :

  1. Pour mettre à jour une caractéristique spécifique d'un style de paragraphe, choisissez Format > Paragraphes > Configuration de paragraphes pour ouvrir la Configuration de paragraphes.

    Pour mettre à jour une caractéristique spécifique d'un style de caractère, choisissez Format > Caractères > Configuration de caractères pour ouvrir la Configuration de caractères.

  2. Pour mettre à jour des caractéristiques spécifiques d'un style, ne modifiez que la caractéristique à mettre à jour.

    Pour mettre à jour un groupe spécifique de caractéristiques d'un style, sélectionnez Définir tel que pour tous les paramètres dans la liste déroulante Commandes de la boîte de dialogue de configuration pour définir toutes les définitions de formatage sur Tel quel. Modifiez les caractéristiques appropriées.

  3. Choisissez Options de mise à jour globale dans la liste déroulante Commandes.

  4. Pour mettre à jour un style de paragraphe, indiquez si vous souhaitez mettre à jour la définition du style avec toutes les caractéristiques de tous les groupes de caractéristiques (Toutes caractéristiques) ou uniquement les modifications effectuées dans le groupe de caractéristiques courant (<Nom du groupe de caractéristiques> seulement).

    Le champ Options de mise à jour globale de la Configuration de caractères n’affiche pas cette option car la Configuration de caractères ne contient qu’un groupe de caractéristiques.

  5. Dans la section Mise à jour des styles de paragraphes / Mise à jour des styles de caractères :

    • Sélectionnez Tous les parag. et les entrées du catalogue ou Tous les caractères et entrées de catalogue pour appliquer le style sélectionné à tous les paragraphes/caractères du document courant.

    • Sélectionnez Toutes étiquettes correspondantes dans la sélection pour appliquer la définition de style modifiée à tous les paragraphes ou caractères du document courant qui affichent les mêmes styles que les paragraphes/caractères sélectionnés.

    • Sélectionnez Formats étiquetés pour remplacer le style actuel de tous les paragraphes/caractères du document par un nouveau style. Voir la section Reformatage de tous les paragraphes avec un nouveau style pour plus de détails.

  6. Cliquez sur Mettre style à jour dans la boîte de dialogue Configuration.

Reformatage de tous les paragraphes avec un nouveau style

Dans Adobe FrameMaker, vous pouvez remplacer le style de paragraphe de tous les paragraphes du document par un nouveau style. Par exemple, vous pouvez remplacer tous les paragraphes du document formaté avec le style « Normal » par « Body ».

Pour appliquer un style différent à tous les paragraphes du document, procédez comme suit :

  1. Sélectionnez un paragraphe affichant le nouveau style que vous voulez appliquer à tous les paragraphes.

  2. Sélectionnez Format > Paragraphes > Configuration de paragraphes pour ouvrir la Configuration de paragraphes.

  3. Sélectionnez Options de mise à jour globale dans la liste déroulante Commandes dans la Configuration de paragraphes.

  4. Sélectionnez le style cible dans la liste déroulante Formats étiquetés.

  5. Cliquez sur Mettre à jour.

  6. Répondez à la question « Changer toutes les étiquettes <Nom du style actuel> en <Nom du nouveau style> ? » en sélectionnant OK.

FrameMaker reformate tous les paragraphes du document actuel formaté en remplaçant <Nom du style actuel> par <Nom du nouveau style>.

Suppression d'un style de paragraphe du catalogue de styles de documents

Note: La suppression d’un style du catalogue de styles de documents n’affecte pas le contenu auquel ce style a été appliqué. Le contenu affiche simplement un style qui ne figure pas dans le catalogue.

Pour supprimer un style de paragraphe du catalogue de styles de documents, procédez comme suit :

  1. Sélectionnez Format > Paragraphes > Catalogue de paragraphes. Le Catalogue de paragraphes s’affiche.

  2. Cliquez sur le bouton Supprimer. La boîte de dialogue Supprimer des formats du catalogue s’affiche.

  3. Sélectionnez le style de paragraphe que vous voulez supprimer.

  4. Cliquez sur Supprimer.

  5. Cliquez sur OK pour fermer la boîte de dialogue.

Suppression d'un style de caractère du catalogue de styles de documents

Note: La suppression d’un style du catalogue de styles de documents n’affecte pas le contenu auquel ce style a été appliqué. Le contenu affiche simplement un style qui ne figure pas dans le catalogue.

Pour supprimer un style de caractère du catalogue de styles de documents, procédez comme suit :

  1. Sélectionnez Format > Caractères > Catalogue de caractères. Le Catalogue de caractères s’affiche.

  2. Cliquez sur le bouton Supprimer. La boîte de dialogue Supprimer des formats du catalogue s’affiche.

  3. Sélectionnez le style de caractère que vous voulez supprimer.

  4. Cliquez sur Supprimer.

  5. Cliquez sur OK pour fermer la boîte de dialogue.

Modification du nom d’un style

Pour renommer un paragraphe ou un style de caractère dans un document Adobe FrameMaker, procédez comme suit :

  1. Pour renommer un style de paragraphe, choisissez Format > Paragraphes > Catalogue de paragraphes pour ouvrir le Catalogue de paragraphes.

    Pour renommer un style de caractère, choisissez Format > Caractères > Catalogue de caractères pour ouvrir le Catalogue de caractères.

  2. Choisissez le style à renommer dans la liste déroulante Style.

  3. Saisissez le nouveau nom dans la liste déroulante Style, puis cliquez sur Renommer.

Ajout de styles manquants dans le catalogue de styles

La suppression d’un style du catalogue de styles de documents n’affecte pas le contenu auquel ce style a été appliqué. Le contenu affiche simplement un style qui ne figure pas dans le catalogue.

Pour ajouter des styles de paragraphes ou de caractères appliqués à des paragraphes ou caractères, mais qui ne figurent pas dans les catalogues de styles, procédez comme suit :

Choisissez Fichier > Utilitaires > Créer et appliquer des formats, puis cliques sur Continuer. FrameMaker replace dans le catalogue tout paragraphe ou style de caractère utilisé dans le document.

Note: FrameMaker crée également de nouveaux styles et les ajoute au catalogue de styles pour tout style de paragraphe ou de caractère personnalisé. Par exemple, si vous avez plusieurs paragraphes avec le style « Body », et que chacun d'eux affiche un formatage personnalisé, FrameMaker crée de nouveaux styles sous la forme « Body1 », « Body2 », « Body3 » pour chaque personnalisation. FrameMaker applique également les nouveaux styles à ces paragraphes et ajoute les nouveaux styles au catalogue de styles de documents.

Conseils pour la création de styles

Si vous concevez un nouveau modèle ou si celui que vous utilisez est incomplet, vous pouvez être amené à créer de nouveaux styles. La méthode la plus simple pour créer un style consiste à modifier les caractéristiques d’un style existant.

Lorsque vous créez des styles, prenez en compte les points suivants :

  • Utilisez des conventions de nom cohérentes pour des paragraphes ou des éléments de texte de même type au sein d’un paragraphe, tel que « Intitulé1 » et « Intitulé2 ».

  • Pour appliquer des styles en utilisant le clavier, nommez ces styles de sorte que les plus utilisés soient uniques ou classés dans les premiers de leur groupe de lettre (par ordre alphabétique), par exemple « I1-Intitulé1 » ou « I1-Intitulé2 ».

  • Attribuez à chaque style un nom sémantique facile à mémoriser, à reconnaître et à saisir. De plus, si vous attribuez une style sur la base de son utilisation et non de son aspect, vous pourrez modifier les caractéristiques du style sans devoir modifier son nom. Par exemple, si vous souhaitez créer un style de caractère pour afficher un terme en gras, nommez le style de caractère « terme » au lieu de « gras ». Vous pouvez définir la graisse de police « Gras » pour ce style de caractère. Si vous souhaitez formater plus tard tous les termes en italique au lieu de gras, il vous suffit de remplacer les définitions de graisse et d'angle de police du style de caractère « terme ». Cette convention de dénomination évite de devoir renommer et redéfinir le style tout en conservant sa signification sémantique.

  • Soyez attentif à l’utilisation de la casse. Les noms de styles sont sensibles à la casse. De plus, vous pouvez souhaiter que des styles associés s’affichent ensemble dans le catalogue, par exemple « Courant » et « Courant-Retrait ».

  • Lors de la création de styles pour des modèles structurés, la maintenance du modèle devient souvent plus simple si vous attribuez à un style le nom de l'élément qui utilise ce style. Par exemple, pour un élément comme <shortdesc>, vous pouvez également nommer le style de paragraphe shortdesc.

Parent topic: Formats


Catalogues de styles

Découvrez les catalogues de styles dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Configuration des styles affichés dans un catalogue de styles

  • Supprimer des styles

Introduction

Adobe FrameMaker offre des fonctionnalités avancées pour gérer et appliquer les styles de paragraphe, de caractère et de tableau. Cela est possible avec les catalogues respectifs. Par défaut, un catalogue affiche tous les styles dans le document actif. Vous pouvez définir les styles que vous souhaitez voir dans le catalogue. Les catalogues sont également utiles pour appliquer et gérer les styles.

FrameMaker marque les styles utilisés dans un catalogue. Les styles inutilisés ne sont pas marqués. Ces informations d’utilisation ne sont pas mises à jour dès que vous appliquez les styles dans le document. Cliquer sur Actualiser le catalogue dans le catalogue met à jour les informations d’utilisation. Les informations d’utilisation les plus récentes sont également mises à jour lors de l’ouverture d’un document.

Configuration des styles affichés dans un catalogue de styles

Pour configurer les styles visibles dans un catalogue de styles et modifier leur ordre, procédez comme suit :

  1. Ouvrez un catalogue (paragraphe, caractère ou tableau) et cliquez sur Options. La boîte de dialogue Définir les formats disponibles s’affiche.

  2. Sélectionnez l’une des options ci-dessous.

    • Sélectionnez Tout afficher pour voir tous les styles disponibles.

    • Sélectionnez Afficher les formats utilisés avant les formats inutilisés pour voir les styles utilisés avant les styles inutilisés dans le catalogue.

    • Sélectionnez Afficher uniquement les formats utilisés pour masquer les styles inutilisés du catalogue, mais les conserver dans le document.

    • Sélectionnez Afficher uniquement les formats inutilisés pour masquer les styles utilisés du catalogue, mais les conserver dans le document.

    • Sélectionnez Supprimer tous les formats inutilisés pour supprimer tous les styles inutilisés du document actif, sans avertissement ou confirmation.

    • Sélectionnez Liste personnalisée, puis cliquez sur Modifier pour personnaliser les formats qui s'affichent dans le Catalogue et dans quel ordre.

  3. Les styles utilisés dans le document actif sont signalés dans le catalogue. Lorsque le document est modifié, l’état d’utilisation n’est pas mis à jour automatiquement. Pour actualiser la liste, cliquez sur Actualiser le catalogue.

Note: les options d’affichage que vous définissez sont des propriétés de l’espace de travail applicables aux documents FrameMaker ouverts sur votre ordinateur.

Supprimer des styles

Pour supprimer les styles d’un catalogue de document, procédez comme suit :

  • Ouvrez le catalogue en question s’il n’est pas déjà ouvert.

    • Sélectionnez Affichage > Panneaux > Catalogue de paragraphes pour ouvrir le Catalogue de paragraphes.

    • Sélectionnez Affichage > Panneaux > Catalogue de caractères pour ouvrir le Catalogue de caractères.

    • Sélectionnez Affichage > Panneaux > Catalogue de tableaux pour ouvrir le Catalogue de tableaux.

  • Cliquez sur Supprimer.

  • Dans la fenêtre Supprimer des formats du catalogue, sélectionnez un format et supprimez-le.

  • Cliquez sur OK pour supprimer les styles du document ou pour fermer la fenêtre et annuler l’opération.

Parent topic: Formats


Polices

Familiarisez-vous avec les polices de FrameMaker, les barres de modifications, le crénage de paire, et les polices japonaises et occidentales.

Dans ce sujet

  • Remplacement des polices à l’aide du panneau Polices

  • Modification manuelle des polices

  • Modification des polices à l’aide des fenêtres de configuration

  • Réglage de la mise en indice, en exposant et en petites capitales

  • Réglage de la mise en indice, en exposant et en petites capitales

  • Concentration et étirement des caractères

  • Création ou modification de polices de caractères occidentaux et japonais

Remplacement des polices à l’aide du panneau Polices

Vous pouvez utiliser le panneau Polices pour identifier toutes les polices utilisées dans un ou tous les documents ouverts. La zone de liste du panneau répertorie toutes les polices utilisées dans un document. Vous pouvez remplacer toutes les polices utilisées dans un document, y compris les polices manquantes, à l’aide du panneau Polices. Les polices manquantes sont signalées par une croix rouge.

Figure 1. La zone de liste du panneau Polices répertorie toutes les polices utilisées dans un document.
Identification des polices utilisées dans un document à l’aide du panneau Polices

A. Affichez uniquement les polices manquantes ou toutes les polices utilisées dans un document. B. Remplacez la police pour afficher le panneau Remplacer la police. C. Sélectionnez tous les documents ouverts ou seul le document ouvert actuellement. D. Actualisez la liste des polices affichées dans la zone de liste du panneau. E. Les polices manquantes sont signalées par une croix rouge.

Pour remplacer une police manquante :

  1. Sélectionnez une police de la liste, puis cliquez sur l’icône Remplacer.

  2. Dans le panneau Remplacer la police, sélectionnez la nouvelle police dans la zone de liste Remplacer par, puis cliquez sur Appliquer.

    Figure 2. Le panneau Remplacer la police répertorie tous les paragraphes d’un document qui utilisent une police sélectionnée.
    Remplacement d’une police à l’aide du panneau Remplacer la police

    A. Nom de la police sélectionnée. B. La zone de liste Remplacer par répertorie toutes les polices installées sur un système. C. La liste Emplacements affiche tous les paragraphes du document qui utilisent la police sélectionnée. D. Cliquez deux fois sur n’importe quel élément de la liste permet d’accéder à l’emplacement du document qui utilise la police sélectionnée.

Modification manuelle des polices

Les modifications de format effectuées à l’aide des commandes du menu Format prennent effet immédiatement.

Lorsque vous modifiez les caractéristiques de police, tenez compte des points suivants :

  • Pour supprimer les autres caractéristiques de format, choisissez Format > Styme > Normal.

  • Si vous modifiez les caractéristiques de police d’un texte sélectionné, elles sont conservées lors de la mise à jour ultérieure des caractéristiques du paragraphe entier.

  • Vous pouvez modifier les caractéristiques de police d’un texte créé à l’aide de l’outil Ligne de texte ainsi que du texte de paragraphe.

  • Si une police possède plusieurs graisses (par exemple, Helvetica® Condensed Bold et Helvetica Condensed Black), le sous-menu Format > Style n’affiche que Bold. Pour choisir d’autres poids, utilisez les caractéristiques de police de la fenêtre Configuration de paragraphes ou de la fenêtre Configuration de caractères.

Modification des polices à l’aide des fenêtres de configuration

Pour modifier les caractéristiques de la police par défaut d’un paragraphe entier, utilisez la fenêtre Configuration de paragraphes. Les familles de polices et les styles disponibles sont fonction des polices installées. Pour modifier un texte spécifique dans un paragraphe, sélectionnez le texte et utilisez la fenêtre Configuration de caractères.

Vous avez déjà probablement rencontré plusieurs de ces paramètres dans d’autres traitements de texte, mais il se peut que certains soient nouveaux pour vous.

Souligné numérique

Pour utiliser un décalage et une épaisseur uniques pour un souligné, quelle que soit la police ou la taille des caractères, choisissez Souligné numérique. Le soulignement numérique et standard n’affecte pas les caractères de tabulation. Pour souligner l’espace de tabulation, formatez ce taquet afin qu’il utilise un espace insécable comme caractère de conduite.

Figure 3. Souligné numérique et standard
Souligné numérique et standard d'un texte

Barre de modification

Pour afficher une barre de modification à côté du texte, sélectionnez Barre de modif.

Couleur

Pour afficher le texte dans une autre couleur, choisissez une couleur dans la liste déroulante Couleur. Si vous définissez vos propres couleurs, elles s’affichent dans cette liste.

Approche

Pour ajouter ou retirer des espaces entre des caractères, entrez un pourcentage dans le champ Approche. Cette valeur est exprimée sous forme de pourcentage d’un espace cadratin. L’approche normale est 0 %.

Figure 4. Approche de -10 % (haut), de 0 % (centre) et de 10 % (bas)
Ajout ou retrait des espaces entre des caractères à l’aide du champ Approche

Etirement

Pour régler la largeur des caractères, entrez un pourcentage dans le champ Etirement.

Casse

Pour afficher tous les caractères en majuscules mais avec des lettres majuscules légèrement plus petites pour le texte en minuscules, sélectionnez Petites capitales.

L’utilisation d’une fenêtre de configuration pour appliquer un style de casse au texte ne modifie que l’aspect de ce dernier (ainsi par exemple, un texte en minuscules s’affiche en majuscules). Pour modifier définitivement le texte lui-même, utilisez la boîte de dialogue Casse pour remplacer le texte sélectionné par l’équivalent en majuscules, en minuscules ou avec une majuscule en début de mot.

Note: Vous pouvez afficher la boîte de dialogue Casse à l'aide des raccourcis clavier Echap, e, Maj+c.
Langue

Pour modifier la langue associée au texte, utilisez la liste déroulante Langue. La langue choisie affecte le texte dans les variables système, ainsi que la vérification orthographique et la césure. Toutefois le fait de définir la langue sur Aucune empêche la vérification orthographique du texte sélectionné.

Crénage par paire

Pour régler l’espace entre deux caractères du même mot, sélectionnez Crénage par paire. Les crénages par paire qui ont été définis sont fonction de la police.

Figure 5. Crénage par paire activé et désactivé
Réglage de l’espace entre deux caractères du même mot à l'aide d'un crénage par paire

Tsume

Pour rapprocher un caractère japonais du caractère qui lui est contigu, sélectionnez Tsume. L’espace que peut occuper un caractère de largeur variable, tel qu’une parenthèse, est déterminé par la valeur métrique de ce caractère.

Réglage de la mise en indice, en exposant et en petites capitales

Les réglages définis pour les caractéristiques d’un texte mis en exposant, en indice (références de note de bas de page incluses) ou en petites capitales s’appliquent à tout texte de ce type dans un document.

  1. Dans la boîte de dialogue Options de texte, spécifiez la taille, le décalage et le pourcentage d’étirement.

    Lors du calcul de la taille et du décalage, FrameMaker multiplie le pourcentage entré par la taille en points des caractères affectés. Par exemple, un décalage d’exposant de 40 % élève de 4 points un caractère dont la taille est égale à 10 points.

    Le pourcentage d’étirement correspond au degré de concentration ou d’étirement des caractères.

  2. Cliquez sur Appliquer.

Concentration et étirement des caractères

Certains effets peuvent être obtenus en étirant les caractères.

Figure 6. Texte condensé (en haut), normal (milieu) et étiré à 75 % (en bas)
Caractères condensés et étirés

  1. Selon que vous souhaitez modifier l’intégralité du paragraphe ou une partie de celui-ci, choisissez l’une des méthodes suivantes :

    • Police de la liste déroulante Caractéristiques de la fenêtre Configuration des paragraphes.

    • Configuration de caractères.

  2. Entrez un pourcentage dans le champ Etirement. Une valeur de 100 % signifie que la largeur des caractères est égale à celle qui est définie pour la police. Une valeur inférieure à 100 % réduit la largeur ; une valeur supérieure à 100 % l’augmente.

  3. Cliquez sur Appliquer.

    Tip: Dans les documents japonais, utilisez une valeur d’étirement supérieure à 100 pour simuler la forme heitai (caractères étirés horizontalement). Utilisez une valeur inférieure à 100 et augmentez la taille en points du texte pour simuler la forme chotai (caractères étirés verticalement).

Vous pouvez également modifier la largeur d’une ligne de texte en faisant glisser le texte afin de l’étirer.

  1. Sélectionnez la ligne de texte à modifier et faites glisser l’une de ses poignées afin d’étirer le texte jusqu’à ce qu’il prenne la forme souhaitée. Si vous faites glisser une poignée d’angle, la taille en points est modifiée ainsi que la largeur des caractères. Vous pouvez également choisir un objet groupé incluant une ligne de texte.

Création ou modification de polices de caractères occidentaux et japonais

Outre le syllabaire japonais intégral, les polices japonaises incluent un jeu de caractères occidentaux qui facilite la saisie des caractères et des nombres non japonais. Vous pouvez définir votre propre police combinée : une police associant une police occidentale spécifiée et une police japonaise spécifiée.

Si votre système prend en charge le texte japonais et que des polices combinées sont incluses comme éléments d’un modèle, ces dernières sont disponibles automatiquement (les polices spécifiées doivent être installées). S’il prend en charge la saisie de texte japonais dans les documents et les boîtes de dialogue, les polices combinées s’affichent en haut de la liste des polices avec les polices occidentales et japonaises standard.

FrameMaker prend également en charge les caractères katakana à un octet (demi-largeur) dans les polices combinées. Toute modification appliquée aux polices combinées s’applique à l’intégralité du document.

  1. Dans la boîte de dialogue Polices combinées, effectuez l’une des opérations suivantes :

    • Pour créer une nouvelle police combinée, entrez un nom dans le champ Nom de police combinée.

    • Pour modifier une police combinée, sélectionnez son nom dans la liste Polices combinées.

  2. Procédez comme suit :

    • Pour spécifier la police japonaise, choisissez un nom dans la liste déroulante des familles de polices de la zone Texte asiatique.

    • Pour spécifier la police occidentale, choisissez un nom dans la liste déroulante des familles de polices de la zone Texte occidental.

    • Pour régler le décalage de la ligne de base et la taille relative du texte occidental, entrez des valeurs dans les champs Taille et Décalage. La taille et le décalage du texte occidental sont des pourcentages de la taille en points de la police asiatique. Utilisez un décalage négatif pour déplacer le texte sous la ligne de base.

  3. Cliquez sur Ajouter ou sur Modifier.

  4. Cliquez sur Terminé.

Note: Vous pouvez désactiver le paramètre Autoriser styles gras et oblique dans la zone Texte asiatique de la boîte de dialogue Editer les polices combinées pour éviter l’application des styles Gras ou Italique au texte asiatique lorsque vous appliquez ces styles au texte occidental.

  1. Pour copier un jeu de polices combinées, choisissez Fichier > Importer > Formats, puis sélectionnezPolices combinées.

Parent topic: Formats


Couleur d’arrière-plan

Découvrez comment mettre en surbrillance les sections d’un document Adobe FrameMaker en définissant la couleur d’arrière-plan du texte ou du paragraphe entier.

Dans ce sujet

  • Introduction

  • Définir la couleur d’arrière-plan du texte dans un paragraphe

  • Définir la couleur d'arrière-plan pour un paragraphe entier

  • Définir la couleur d’arrière-plan d’une case de paragraphe

Introduction

Vous pouvez mettre en surbrillance des sections d’un document en définissant la couleur d’arrière-plan de parties du document dans les cas suivants :

  • Définir la couleur d’arrière-plan d’une partie de texte spécifique dans un paragraphe.

    Figure 1. Couleur d’arrière-plan du texte
    Couleur d’arrière-plan d’une partie de texte spécifique dans un paragraphe

  • Définir la couleur d’arrière-plan du texte entier d’un paragraphe.

    Figure 2. Couleur d’arrière-plan du paragraphe
    Couleur d’arrière-plan du texte entier d’un paragraphe

  • Définir la couleur d’arrière-plan de la zone qui entoure le paragraphe.

    Figure 3. Couleur de bordure de paragraphe
    Couleur d’arrière-plan de la zone qui entoure le paragraphe

Définir la couleur d’arrière-plan du texte dans un paragraphe

Pour définir la couleur d’arrière-plan pour une partie du texte dans un paragraphe, procédez comme suit :

  1. Sélectionnez le texte dans un paragraphe.

  2. Ouvrez la fenêtre Configuration de caractères.

  3. Dans la liste déroulante Couleur d’arrière-plan, sélectionnez une couleur et cliquez sur Appliquer.

La couleur d’arrière-plan est définie uniquement pour le texte sélectionné dans le paragraphe.

Définir la couleur d'arrière-plan pour un paragraphe entier

Pour définir la couleur d’arrière-plan d'un paragraphe entier, procédez comme suit :

  1. Placez le curseur n’importe où dans le paragraphe.

  2. Ouvrez la fenêtre Configuration de paragraphes et accédez à l’onglet Police.

  3. Dans la liste déroulante Couleur d’arrière-plan, sélectionnez une couleur et cliquez sur Appliquer.

La couleur d’arrière-plan est définie pour tout le texte du paragraphe.

Définir la couleur d’arrière-plan d’une case de paragraphe

Pour définir la couleur d’arrière-plan d’une case de paragraphe, procédez comme suit :

  1. Placez le curseur n’importe où dans le paragraphe.

  2. Ouvrez la fenêtre Configuration de paragraphes et accédez à l’onglet Avancé.

  3. Dans la liste déroulante Couleur, sélectionnez une couleur et cliquez sur Appliquer.

La couleur d’arrière-plan est définie pour la zone entière qui entoure un paragraphe.

Lorsque vous définissez la couleur d’arrière-plan du texte dans le paragraphe, la couleur s’étend sur le texte du paragraphe. Toutefois, dans le cas d’une case de paragraphe, le texte s’étend sur la totalité du paragraphe, de la marge gauche à la marge droite.

Parent topic: Formats


Retrait, alignement et espacement

Découvrez l’indentation, l’alignement et l’espacement dans Adobe FrameMaker. Découvrez les taquets de tabulation et le placement dans les documents japonais.

Parent topic: Formats

Modification de l’alignement des paragraphes

La caractéristique d’alignement d’un paragraphe détermine la position du paragraphe entre les retraits gauche et droit, non entre les bords de la colonne de texte.

Procédez de l’une des façons suivantes :

  • Pour utiliser la règle, faites glisser le symbole de retrait vers son nouvel emplacement sur la règle.

    Figure 1. A. Retrait de première ligne B. Retrait gauche C. Retrait droit
    Modification de l’alignement du paragraphe à l’aide du symbole de retrait

  • Pour utiliser une valeur de retrait, affichez les caractéristiques élémentaires de la fenêtre Configuration de paragraphes. Entrez les retraits souhaités dans les champs 1ère ligne, Gauche et Droite, puis cliquez sur Appliquer.

  • Choisissez une option du menu déroulant Alignement dans la barre de formatage ou dans les caractéristiques élémentaires de la fenêtre Configuration de paragraphes.

Tip: Pour aligner un retrait à l’aide d’un repère de la règle, activez la grille magnétique (à l’aide de la commande Graphiques > Organiser > Magnétisme). Lorsque vous faites glisser un symbole de retrait, il s’accroche aux emplacements correspondants de la grille magnétique.

Appliquer le retrait droit à la dernière ligne

Vous pouvez utiliser la fonction de retrait droit de la dernière ligne pour séparer et faire apparaître clairement du texte dans la dernière ligne d'un paragraphe. Par exemple, les numéros de page d'une longue rubrique dans une table des matières ou les prix d'un long article dans une liste de prix.

Effectuez les étapes suivantes pour appliquer le retrait droit à la dernière ligne :
  1. Sélectionnez le paragraphe (par exemple, un long titre dans une table des matières ou un nom d'élément dans une liste) où vous souhaitez que la dernière ligne apparaisse distinctement à droite.
  2. Choisissez Format > Paragraphes > Configuration de paragraphes.

  3. Définissez le retrait Droit.
    Note: La valeur du retrait droit doit être supérieure au retrait droit de la dernière ligne pour que la dernière ligne reste en retrait.
  4. Définissez le retrait droit à la dernière ligne. Si vous souhaitez que la dernière ligne soit en retrait tout à droite, définissez-le sur 0,0". Par exemple, si vous définissez le retrait droit à 1,0" et la dernière ligne à 0,0", toutes les lignes de l'intitulé sélectionné ont le retrait droit à 1,0" tandis que la dernière ligne traîne jusqu'à la fin car elle est définie à 0,0".

Dans la capture d'écran, un TOC est affiché dans lequel vous définissez la valeur du retrait droit à 1,0" et la valeur de la dernière ligne à un retrait de 0,0". Ainsi, le texte des entrées 1.2.1 apparaît à 1,0" de la droite alors que le numéro de page 12 apparaît clairement à la fin qui est de 0,0".

Grâce à cette fonctionnalité, vous pouvez également créer une liste de prix et afficher clairement les prix ou les articles dont le nom est plus long.

Note: La sortie PDF est identique à la vue WYSIWYG. Cette fonctionnalité n'aura aucune incidence sur votre sortie HTML5 responsive.

Modification des taquets de tabulation

Dans ce sujet

  • Introduction

  • Modification des tabulations dans la barre de formatage

  • Modification des tabulations dans la fenêtre Configuration de paragraphes

  • Définition d’un caractère de tabulation décimale ou d’une chaîne de conduite

Introduction

Si vous appuyez sur la touche Tab et que le point d’insertion ne se déplace pas, aucun taquet de tabulation n’a été défini.

Quatre types de taquet de tabulation sont disponibles : gauche, centré, droit et décimal.

Gauche, centre, droite et onglets des décimales

A. Tabulation gauche B. Tabulation centrale C. Tabulation droite D. Tabulation décimale

Vous pouvez également spécifier une chaîne de caractères (appelée chaîne de conduite) pour combler l’espace entre un taquet de tabulation et le caractère suivant. En règle générale, la chaîne de conduite est une suite de points. Les chaînes de conduite sont particulièrement utiles dans les tables des matières ayant des colonnes de texte très espacées.

Modification des tabulations dans la barre de formatage

  1. Choisissez Afficher > Barres d'outils > Formatage de paragraphe. Seuls les taquets de tabulation communs à tous les paragraphes sélectionnés s’affichent sur la règle supérieure.

  2. Procédez de l’une des façons suivantes :

    • Pour ajouter un taquet de tabulation, cliquez sur un symbole de taquet de tabulation dans la barre d’outils Formatage de paragraphe, puis cliquez à la position souhaitée sous la règle.

    • Pour déplacer un taquet de tabulation, faites-le glisser vers sa nouvelle position.

    Tip: Pour aligner des taquets de tabulation sur les marqueurs de la règle, activez la grille magnétique (Graphiques > Organiser > Magnétisme). Lorsque vous faites glisser un symbole de tabulation, il s’accroche aux emplacements correspondants de la grille magnétique.

    • Pour ajouter plusieurs taquets de tabulation à des intervalles réguliers, cliquez deux fois sur le taquet de tabulation que vous souhaitez dupliquer. La boîte de dialogue Modifier les tabulations s'affiche.

      Figure 2. Boîte de dialogue Modifier les tabulations
      Boîte de dialogue Modifier les tabulations

      Entrez l’intervalle entre les tabulations dans le champ Répéter tous les, puis cliquez sur Modifier.

    • Pour modifier un taquet de tabulation, cliquez deux fois dessus, entrez une nouvelle position de tabulation dans le champ Nouvelle position, puis choisissez un alignement différent. La position correspond à la distance entre le bord gauche de la colonne et le taquet de tabulation. Cliquez ensuite sur Modifier. Vous pouvez également faire glisser un nouveau taquet de tabulation au-dessus d’un taquet existant sur la règle pour le remplacer.

    • Pour supprimer un taquet de tabulation, faites-le glisser vers le bas en dehors de la règle supérieure.

    • Pour supprimer tous les taquets de tabulation, cliquez deux fois sur un taquet puis sélectionnez Tout supprimer.

Modification des tabulations dans la fenêtre Configuration de paragraphes

  1. Affichez les caractéristiques élémentaires de la fenêtre Configuration de paragraphes.

  2. Dans la zone Taquets de tabulation, créez, modifiez ou supprimez des éléments en sélectionnant les paramètres correspondants.

  3. Cliquez sur Appliquer.

Définition d’un caractère de tabulation décimale ou d’une chaîne de conduite

  1. Cliquez deux fois sur le taquet de tabulation sur la règle. La boîte de dialogue Modifier les tabulations s'affiche.

    Figure 3. Boîte de dialogue Modifier les tabulations
    Boîte de dialogue Modifier les tabulations

  2. Procédez de l’une des façons suivantes :

    • Dans la zone Caractère de conduite de la boîte de dialogue, cliquez sur l’un des caractères de conduite prédéfinis ou entrez votre propre caractère personnalisé, puis cliquez sur Modifier.

    • Pour spécifier un caractère décimal, par exemple une virgule lorsque vous travaillez sur un système décimal européen, entrez le caractère décimal dans la zone de texte Aligner sur de la zone Alignement, puis cliquez sur Modifier.

Modification de l’espacement entre les paragraphes et entre les caractères

Dans ce sujet

  • Introduction

  • Réglage de l’espacement vertical

  • Réglage de l’espacement horizontal

Introduction

L’espacement vertical est l’espace entre les paragraphes et les lignes. L’espacement horizontal est l’espace entre les mots et les caractères. Les caractéristiques d’espacement possèdent des noms différents selon les contextes. L’espace entre les caractères est souvent appelé crénage par paire, le réglage de l’espacement entre les lettres sur une ligne est appelé étirement ou approche, tandis que l’espacement des lignes d’un paragraphe (mesuré depuis la ligne de base d’une ligne jusqu’à la ligne de base de la suivante) inclut son interligne.

Réglage de l’espacement vertical

Lorsque vous réglez l’espacement vertical, tenez compte des points suivants :

  • Si un paragraphe est situé en haut d’une colonne, FrameMaker ignore le paramètre Dessus.

    S’il se trouve au bas d’une colonne, FrameMaker ignore le paramètre Dessous.

  • Si un cadre ancré est positionné au-dessous de la ligne en cours et que son symbole d’ancrage s’affiche sur la dernière ligne d’un paragraphe, l’espace au-dessous de ce dernier apparaît généralement entre le cadre et le paragraphe suivant. Si le cadre est ancré dans un paragraphe fusionné, l’espace en dessous est ignoré.

    Si le cadre est un cadre fusionné mais n’est pas ancré dans un paragraphe fusionné, l’espace en dessous apparaît entre le symbole d’ancrage et le cadre.

  • Dans une présentation en plusieurs colonnes, vous pouvez également régler la justification verticale du texte au sein des colonnes.

Plusieurs caractéristiques affectent l’espacement vertical d’un paragraphe : l’espace au-dessus du paragraphe, l’espace au-dessous et l’interligne.

  1. Affichez les caractéristiques élémentaires de la fenêtre Configuration de paragraphes et procédez comme suit :

    • Entrez des valeurs dans les champs Dessus et Dessous de la rubrique Espace. L’espace entre les paragraphes est déterminé par le plus élevé des deux paramètres Dessous du premier paragraphe et Dessus du deuxième paragraphe.

    • Choisissez un type d’interligne dans la liste déroulante Interligne ou spécifiez une valeur dans le champ.

  2. Pour autoriser un espace supplémentaire entre les lignes afin de placer du texte en indice ou en exposant, du texte Rubi ou des tailles de police plus élevées dans un paragraphe, désactivez l’option Fixe.

  3. Cliquez sur Appliquer.

Réglage de l’espacement horizontal

Lorsque FrameMaker remplit une ligne de texte, il ajuste l’espace entre les caractères selon les caractéristiques de crénage et d’approche. L’espacement entre les mots est défini sur les valeurs suivantes, stockées dans le style de paragraphe :

  • L’espacement minimum est le plus petit espacement autorisé entre les mots.

  • L’espacement maximum est l’espacement maximum autorisé entre les mots avant que FrameMaker ne tente de les couper par une césure ou n’ajoute un espace entre les lettres dans les paragraphes justifiés.

  • L’espacement optimum correspond à l’espacement que FrameMaker tente de créer.

Ces valeurs sont exprimées en pourcentage de l’espace standard de la police par défaut d’un paragraphe. Les valeurs inférieures à 100 % créent un espacement plus serré entre les mots et confèrent un aspect plus justifié, alors que les valeurs supérieures à 100 % créent un espacement plus lâche qui donne un aspect plus irrégulier au bord droit.

  1. Pour régler l’approche entre les mots, sélectionnez le(s) paragraphe(s) dont vous souhaitez modifier l’espacement.

  2. Affichez les caractéristiques avancées de la fenêtre Configuration de paragraphes et spécifiez l’espacement minimum, optimum et maximum à autoriser entre les mots.

  3. Cliquez sur Appliquer.

    Note: les lignes de texte d’un paragraphe justifié peuvent être séparées par un espace plus important que l’espace maximum autorisé lorsque FrameMaker ne parvient pas à faire tenir un mot sur une ligne ou ne peut le couper par une césure. Pour éviter cet inconvénient, vous pouvez ajouter un espace supplémentaire entre les caractères d’un texte justifié en choisissant l’option Activer l’interlettrage automatique de la zone Intermot.

  4. Pour appliquer un crénage par paire ou une approche, dans la fenêtre Configuration de caractères, choisissez Crénage par paire ou définissez une valeur dans le champ Approche.

Réglage de l’espacement dans les documents japonais

Dans ce sujet

  • Introduction

  • Réglage de l’espace autour des caractères et de la ponctuation

  • Réglage de taille, de positionnement et d’espacement de texte Rubi

Introduction

Si le système prend en charge la saisie de texte japonais dans les documents et boîtes de dialogue, vous pouvez ajuster les caractéristiques d’espacement suivantes :

  • Groupe spécial de caractéristiques, dans la fenêtre Configuration de paragraphes, qui contrôle certains aspects de l’espacement entre les caractères japonais

  • Taille, espacement et alignement du texte Rubi sur l’ensemble d’un document

  • Espacement des caractères japonais de largeur variable via la sélection de la caractéristique de police Tsume.

Réglage de l’espace autour des caractères et de la ponctuation

Pour régler l’espace autour des caractères et de la ponctuation pour les caractères d'un contenu japonais, ouvrez la fenêtre Configuration de paragraphes et affichez les caractéristiques de l’onglet Asiatique. Procédez comme suit :

  • Pour régler l’espace entre les caractères japonais et les caractères occidentaux, utilisez le groupe supérieur de champs. Pour régler l’espace entre les caractères japonais, utilisez le groupe inférieur de champs. Entrez les pourcentages minimum, maximum et optimum.

  • Pour déterminer l’espace entre les caractères et les caractères spéciaux de ponctuation (yakumono), choisissez une option dans la liste déroulante Ponctuation.

    Comprimer autant que nécessaire signifie que l’espace autour de la ponctuation n’est réduit que lorsque la gestion de la ponctuation spéciale (kinsoku shori) intervient.

    Ne jamais comprimer signifie qu’aucun ajustement d’espace n’est effectué autour de la ponctuation.

    Toujours comprimer signifie que l’espace est toujours réduit autour de la ponctuation.

  • Pour obtenir l’aspect d’un espacement unique dans un texte japonais, choisissez Ne jamais comprimer dans la liste déroulante Ponctuation et désactivez la caractéristique Tsume.

Réglage de taille, de positionnement et d’espacement de texte Rubi

Le texte Rubi est constitué de petits caractères (généralement kana) qui s’affichent au-dessus d’un autre texte, appelé oyamoji. Ces paramètres affectent le texte Rubi dans tout le document.

  1. Dans la boîte de dialogue Format > Document > Caractéristiques Rubi, choisissez une valeur dans la liste déroulante Taille ou entrez une valeur dans le champ. La valeur entrée peut être un pourcentage de la taille en points du texte oyamoji situé au-dessous, une taille en points ou toute autre unité de mesure, y compris les unités Q.

  2. Procédez comme suit :

    • Pour permettre au texte Rubi d’être placé au-dessus du texte non-oyamoji, sélectionnez Caractères Rubi centrés au-dessus des caractères Hiragana.

    • Pour supprimer l’espace avant ou après lorsque du texte Rubi s’affiche au début ou à la fin d’une ligne, cliquez sur Aligner tous les caractères selon les lignes de contour.

  3. Cliquez sur une option dans la zone Alignement Rubi pour les caractères japonais Oyamoji ou sur la zone Alignement Rubi pour d’autres caractères Oyamoji. Les illustrations de la boîte de dialogue présentent l’espacement et l’alignement du texte Rubi lorsqu’il est situé au-dessus de caractères japonais ou non japonais et que sa longueur est inférieure ou supérieure au texte situé dessous.

  4. Cliquez sur Définir-


Listes et numérotation automatique

Découvrez comment créer des listes, marquer la numérotation automatique et utiliser des symboles dans Adobe FrameMaker. Découvrez la numérotation des composants d'un livre, les options de numérotation japonaises, les options de numérotation RTL.

Pour créer des listes numérotées et à puces, utilisez des styles de paragraphes qui possèdent un format de numérotation automatique défini. Lors de l’ajout de paragraphes numérotés automatiquement à un document, FrameMaker les numérote correctement et recalcule la numérotation des autres paragraphes, si nécessaire.

Les paragraphes numérotés automatiquement le sont de manière consécutive dans un enchaînement de texte. Si le document contient plusieurs enchaînements de texte, les paragraphes numérotés automatiquement dans chaque enchaînement sont indépendants les uns des autres.

La numérotation automatique est définie à l’aide des caractéristiques de numérotation de la fenêtre Configuration de paragraphes. Un format de numérotation automatique ne doit pas nécessairement spécifier la numérotation des paragraphes. Lorsqu’il est utilisé sans les composantes, il permet d’effectuer facilement des insertions automatiques de texte ou de symbole. Un format de numérotation automatique peut inclure un libellé de série, un compteur, des tabulations et du texte.

Libellé de série

Un libellé de série permet d’identifier les différents types de séries de numérotation automatique dans un enchaînement. Par exemple, pour numéroter des figures indépendamment des tableaux et des intitulés, il suffit de spécifier une série différente pour chaque élément de formatage (intitulés, figures et tableaux).

De plus, les numéros de tableaux et de figures doivent tous se trouver dans la même série pour être basés sur les numéros de section.

Compteur

Un compteur constitue une marque de réservation (composante) que FrameMaker remplace par un nombre ou une lettre dans la numérotation automatique. Par exemple, le compteur <n+> incrémente le numéro de paragraphe de 1. Si le paragraphe est le deuxième dans la série, FrameMaker remplace <n+> par le numéro 2. Vous pouvez utiliser plusieurs compteurs dans un format.

Vous pouvez également ajouter des composantes de chapitre <$chapnum> et de volume <$volnum> dans un format.

Tabulations, texte et ponctuation

Un format de numérotation automatique peut inclure également des tabulations, du texte, des puces, des espaces ou des signes de ponctuation.

Parent topic: Formats

Formatage de texte sous forme de liste numérotée

La création d’une liste numérotée implique parfois le formatage du premier élément de la liste avec un style de paragraphe réinitialisant le compteur à 1, puis celui des éléments restants avec un style différent qui incrémente le compteur. Par exemple, vous pouvez appliquer un format Etape1 au premier élément d’une liste, puis le format EtapeSuivante au reste. En outre, le modèle définit parfois des formats qui permettent d’appliquer un format unique à tous les éléments d’une liste numérotée.

  1. Affichez les caractéristiques de Numérotation de la fenêtre Configuration de paragraphes et saisissez un libellé de série dans le champ Format si le document requiert plusieurs séries de numérotation automatique.

    Un libellé de série consiste en un seul caractère imprimable suivi de deux points (S:, par exemple). Si vous utilisez un libellé de série, il doit apparaître au début du nom du style.

  2. Entrez tout texte à afficher automatiquement avec le format de numérotation automatique. La liste Composantes permet d’entrer des tabulations ou des compteurs. Lorsque vous sélectionnez un élément, il s’affiche au point d’insertion dans le champ Format de numérotation automatique.

  3. Sélectionnez un style de caractère pour la numérotation automatique dans le menu local Style de caractère. Si aucun format n’est spécifié, la numérotation automatique s’affiche avec la police par défaut du paragraphe.

  4. Choisissez un emplacement pour la numérotation automatique dans la liste déroulante Position. Les numérotations automatiques en fin de paragraphe sont rares à l’exception des formats d’équation.

  5. Cliquez sur Appliquer.

  6. Si vous avez inséré une tabulation (t) dans l’étape 2, définissez un taquet de tabulation correspondant pour le style de paragraphe dans l'onglet Elémentaire de la fenêtre Configuration de paragraphes.

Formatage de texte sous forme de liste à puces

Outre le symbole de puce standard () présent dans toutes les polices texte, vous pouvez utiliser n’importe quel caractère de toute police installée, y compris une police dingbat telle que Zapf Dingbats®.

  1. Cliquez sur un paragraphe ou sélectionnez un ensemble de paragraphes adjacents que vous souhaitez intégrer à la liste à puces.

  2. Affichez les caractéristiques de Numérotation de la fenêtre Configuration de paragraphes et cliquez sur les symboles de puce et de tabulation (\b et \t) dans la liste de sélection Composantes.

  3. Cliquez sur Appliquer.

  4. Si vous avez inséré une tabulation (\t) à l’étape 2, définissez un taquet de tabulation correspondant pour le style de paragraphe.

Spécification d’un symbole de puce spécial

Avant de spécifier un symbole de puce spécial, créez un style de caractère comportant la police du symbole de puce à utiliser. Par exemple, pour utiliser la police Zapf Dingbats 9 points, créez un style de caractère utilisant cette police. Donnez au format un nom descriptif tel que PolicePuce.

  1. Affichez les caractéristiques de numérotation de la fenêtre Configuration de paragraphes et entrez le caractère correspondant au symbole de puce souhaité dans le champ Format de numérotation automatique.

    Par exemple, pour utiliser une puce carrée Zapf Dingbats, entrez la lettre minuscule n, qui s’affiche sous la forme ■ dans cette police. Pour trouver le caractère correspondant au symbole de puce souhaité, consultez le jeu de caractères de cette police.

  2. Cliquez sur le symbole de tabulation (\t) dans la liste de sélection Composantes ou entrez des espaces.

    Note: parfois, vous devez entrer des codes spéciaux pour saisir des caractères tels que des espaces insécables ou des espaces cadratins.

  3. Dans la liste déroulante Style de caractère, cliquez sur le style de caractère de puce que vous avez créé.

  4. Cliquez sur Appliquer.

Suppression de la numérotation automatique ou d’une puce d’un paragraphe

  1. Désactivez l’option Format de numérotation automatique dans les caractéristiques de Numérotation de la fenêtre Configuration de paragraphes. Cliquez deux fois sur l’option pour désactiver le paramètre, un seul clic lui attribuant la valeur Tel que.

  2. Cliquez sur Appliquer.

Compteurs dans les formats de numérotation automatique

Un compteur est constitué de chevrons (< >) qui encadrent un style d’affichage et une valeur d’incrémentation. La fonctionnalité de numérotation automatique personnalisée prend en charge le format de codage de texte Unicode.

Compteur pour le format de numérotation automatique

A. Style d’affichage B. Valeur d’incrémentation

Pour indiquer le style d’affichage, utilisez un compteur avec l’une des lettres suivantes.

Pour ce style de numérotation | Choisissez
Numérique (1, 2, 3, ...) | n
Romain en minuscules (i, ii, iii, iv, ...) | r
Romain en majuscules (I, II, III, IV, ...) | R
Minuscules alphabétiques (a, b, c, ..., aa) | a
Majuscules alphabétiques (A, B, C, ..., AA) | A

Pour préciser l’incrémentation de la numérotation automatique, utilisez un compteur avec une valeur d’incrémentation, comme illustré dans les exemples suivants.

Opération | Choisissez
Conserver la même valeur | <n>
Définir la valeur sur 1 ou toute autre valeur entrée après le signe égal | <n=1>
Augmenter la valeur du compteur de 1 | <n+>
Conserver la même valeur sans l’afficher | < >
Ramener le compteur à zéro (ou à toute autre valeur) sans l’afficher | < =0>

Par défaut, chaque compteur est initialement défini sur zéro. Le compteur peut conserver sa valeur actuelle, être incrémenté de 1 ou être redéfini sur une autre valeur. Par exemple, utilisez l’option <n=1> pour reprendre la numérotation à partir de 1 au début d’une nouvelle série d’instructions numérotées.

Pour conserver la même valeur sans l’afficher, placez un espace entre les chevrons. Dans ce cas, les chevrons s’affichent comme faisant partie du format de numérotation automatique.

Numérotation automatique en fonction des numéros de composants de livres

Vous pouvez insérer les composantes <$volnum>, <$chapnum> <$sectionnum> ou <$subsectionnum> dans les styles de paragraphes. Les numéros de composants de livre sont définis par les paramètres sélectionnés dans la boîte de dialogue Caractéristiques de numérotation.

Exemple | Format de numérotation automatique
Volume 3 Chapitre 3 | Volume <$volnum> Chapitre <$chapnum>

Le tableau suivant montre comment combiner la composante de chapitre avec d’autres composantes.

Exemple | Format de numérotation automatique
Section 1.1 Section 1.1.1 Figure 1-1 Tableau 1-1 | S:Section <$chapnum>.<n+><=0> S:Section <$chapnum>. <n>.<n+> F:Figure <$chapnum>-<n+> T:Table <$chapnum>-<n+>

Numérotation automatique en fonction des numéros de section

La numérotation automatique dans les sections requiert que les numéros de tableaux et de figures se trouvent tous dans la même série, comme indiqué dans le tableau ci-dessous.

Numéro de section | Numéro de figure | Numéro de tableau
Section 1 1.1 1.2 | Figure 1-1 Figure 1-2 | Tableau 1-1 Tableau 1-2
Section 2 2.1 2.2 | Figure 2-1 Figure 2-2 | Tableau 2-1 Tableau 2-2

Pour obtenir ce type de numérotation, vous devez inclure les formats de numérotation automatique dans une seule série en utilisant le même libellé de série pour chaque format. Le tableau suivant affiche les formats de numérotation automatique possibles. Ces formats sont répertoriés dans un tableau afin de présenter avec précision la position de chaque compteur dans la chaîne. La position du compteur détermine son type d’incrémentation.

Style de paragraphe | Format de numérotation automatique |
TitreSection | H:Section | <$chapnum> | < =0> | < =0> | < =0>
Intitulé1 | H: | <$chapnum> | .<n+> | < > | < >
TitreFigure | H:Figure | <$chapnum> | < > | -<n+> | < >
TitreTableau | H:Tableau | <$chapnum> | < > | < > | -<n+>

Dès qu’un paragraphe avec le style TitreSection est détecté, le numéro de section est incrémenté de 1 et les valeurs de compteur restantes sont remises à zéro. Comme chaque compteur <n+> fait référence à un type d’élément distinct dans les autres formats, ils sont incrémentés indépendamment.

Les compteurs < > empêchent FrameMaker de remettre les valeurs à zéro.

Utilisation de plusieurs compteurs dans un format de numérotation automatique

Un format de numérotation automatique peut contenir plus d’un compteur. Par exemple, les numéros d’une série de titres de sections et sous-sections peuvent contenir deux compteurs.

Ces compteurs | dans ce format | s’affichent ainsi
<$chapnum>.<n=0> | Intitulé1 | 1.0
<$chapnum>.<n+> | Intitulé2 | 1.1
<$chapnum>.<n+> | Intitulé2 | 1.2
<$chapnum>.<n=0> | Intitulé1 | 2.0

Les compteurs de chaque format sont indépendants les uns des autres. La position d’un compteur dans une chaîne détermine la façon dont il est affiché et incrémenté. Lors de l’incrémentation d’un compteur, FrameMaker base sa valeur sur le compteur correspondant dans le paragraphe numéroté automatiquement précédent du même enchaînement.

L’exemple suivant utilise plusieurs compteurs dans des titres et des sous-titres de section. Les compteurs situés de part et d’autre du point augmentent indépendamment l’un de l’autre.

Exemple | Format de numérotation automatique | Etiquette
1.0 Prise en main 1.1 Installation 1.2 Sauvegarde 1.2.1 Erreurs 1.3 Saisir des données | <n+>.<n=0>\t <n>.<n+>\t <n>.<n+>\t <n>.<n>.<n+>\t <n>.<n+>\t | Head1 Head2 Head2 Head3 Head2

L’exemple suivant utilise des formats de numérotation automatique en relief.

Exemple | Format de numérotation automatique | Etiquette
1.0 Prise en main 1.1 Installation 1.2 Sauvegarde II Saisir des données A Ouvrir un fichier B Enregistrer un fichier | <R+>< =0>\t < ><A+>\t < ><A+>\t <R+>< =0>\t < ><A+>\t < ><A+>\t | Head1 Head2 Head2 Head1 Head2 Head2

La numérotation automatique de l’intitulé Ouverture d’un fichier est redéfinie sur la lettre A. Le deuxième compteur du format du paragraphe précédent ramène la numérotation à zéro (sans l’afficher) et <A+> incrémente le compteur pour définir sa valeur sur 1 ou sur A.

Le compteur < > dans le format Head2 garde la valeur du premier compteur mais ne l’affiche pas. Si le compteur < > ne se trouve pas à cette position, le compteur <A+> du format Intitulé2 fait référence au premier compteur (pas au second) et FrameMaker affiche le résultat suivant :

Figure 1. Format incorrect de numérotation automatique en relief
Exemple de style incorrect de numérotation automatique en relief

Réinitialisation de séries de numérotation automatique

Certaines séries de numérotation (telle qu’une liste d’étapes numérotées) débutent à 1 chaque fois qu’elles sont utilisées. Deux méthodes permettent de réinitialiser ce type de série.

Le premier exemple indique comment reprendre la numérotation d’une série à l’aide de la composante <n=1> pour la première étape de la série, puis en utilisant <n+> pour les étapes suivantes.

Exemple | Format de numérotation automatique | Etiquette
Etape 1. Déballage. Etape 2. Sauvegarde. Etape 3. Exécution du programme d’installation. Etape 1. Enregistrement du fichier. | S:Step <n=1>.\t S:Step <n+>. \t S:Step <n+>. \t S:Step <n=1>. \t | Step1 StepNext StepNext Step1

Le deuxième exemple présente une autre méthode permettant de réinitialiser le compteur afin de pas utiliser un format unique pour débuter une liste numérotée. A la place, un paragraphe introduisant la liste utilise un format qui réinitialise le compteur.

Exemple | Format de numérotation automatique | Etiquette
Pour installer le logiciel : Etape 1. Déballage. Etape 2. Sauvegarde. Etape 3. Exécution du programme d’installation. | S:< =0> S:Step <n+>.\t S:Step <n+>. \t S:Step <n+>. \t | StepIntro Step Step Step

Le compteur < =0> du format EtapeIntro ramène la série S à zéro mais n’affiche pas la valeur.

Si un compteur est incrémenté, tout compteur omis dans la série placée à sa droite est remis à zéro. Par exemple, les formats de numérotation automatique suivants sont équivalents :

S:<n+>< =0>\t

S:<n+>\t

A propos des options de numérotation japonaise

Les compteurs suivants de formats de numérotation automatique sont autorisés dans le texte japonais et avec les polices japonaises.

Composante | Signification | Caractères, dans cet ordre
<zenkaku a> | Alphabet romain en minuscules de largeur fixe. | Alphabets romains en minuscules de largeur fixe
<zenkaku A> | Alphabet romain en majuscules de largeur fixe. | Alphabets romains en majuscules de largeur fixe
<zenkaku n> | Numérotation arabe de largeur fixe. | Numérotation arabe de largeur fixe.
<kanji kazu> | Numérotation kanji standard, où les nombres à deux chiffres sont constitués des caractères kanji traditionnels pour dix, cent, etc. | Numérotation kanji standard
<kanji n> | Nombres utilisés pour les adresses, numéros de téléphone, codes postaux, etc., où les nombres à deux chiffres sont constitués des caractères kanji pour zéro jusqu’à neuf. | Numéros utilisés pour les adresses de rue, les numéros de téléphone, les codes postaux, etc.
<daiji> | Nombres utilisés dans des contextes financiers ou bancaires et constitués de chiffres kanji de style ancien. | Nombres utilisés dans des contextes financiers ou bancaires et constitués de chiffres kanji de style ancien.
<hira gojuon> | Caractères Hiragana dans l’ordre standard. | Caractères Hiragana dans l’ordre standard.
<kata gojuon> | Caractères Katakana dans l’ordre standard. | Caractères Katakana dans l’ordre standard.
<hira iroha> | Caractères Hiragana dans l’ordre littéraire (rare). | Caractères Hiragana dans l’ordre littéraire
<kata iroha> | Caractères Katakana dans l’ordre littéraire (rare). | Caractères Katakana dans l’ordre littéraire

A propos des options de numérotation RTL

Les compteurs suivants de formats de numérotation automatique sont autorisés dans les langues lues de droite à gauche telles que l’arabe, l’hébreu.et le farsi. Pour plus d’informations sur les formats, voir Compteurs dans les formats de numérotation automatique.

Pour le script de langue farsi

  • <Farsi n>

  • <Farsi n=1>

  • <Farsi n+>

  • <Farsi a>

  • <Farsi a=1>

  • <Farsi a+>

Pour le script de langue hébreu

  • <Hebrew n>

  • <Hebrew n=1>

  • <Hebrew n+>

  • <Hebrew a>

  • <Hebrew a=1>

  • <Hebrew a+>

Pour le script de langue Arabe

  • <Alif Ba Ta n>

  • <Alif Ba Ta n=1>

  • <Alif Ba Ta n+>

  • <Abjad n>

  • <Abjad n=1>

  • <Abjad n+>

  • <Indic n>

  • <Indic n=1>

  • <Indic n+>


Pages courantes, maquettes et pages de référence

Connaître le corps, le maître et les pages de référence dans Adobe FrameMaker et leur utilisation. Comprendre le cadre de texte de modèle, le cadre de texte de fond et le cadre de référence.

Les documents FrameMaker contiennent trois types de pages qui vous permettent de définir votre mise en page :

Pages type, courantes et de référence dans FrameMaker

A. Maquettes : page de couverture et page de droite B. Pages courantes : première page du chapitre et page de droite C. Page de référence

  • Les pages courantes affichent le texte et les graphiques d’arrière-plan de la maquette associée et sont constituées du contenu du document.

  • Les maquettes définissent la mise en page et le texte d’arrière-plan des pages du document (en-têtes et pieds de pages, par exemple).

  • Les pages de référence peuvent contenir des graphiques souvent utilisés, des informations de formatage, des commandes hypertexte, des correspondances de conversion HTML et des éléments standard.

  • Maquettes
    Découvrez les maquettes et leur utilisation dans Adobe FrameMaker. Découvrez les modèles de zone de texte et la zone de texte d'arrière-plan.
  • Pages de référence
Parent topic: Mise en page et modèles


Maquettes

Découvrez les maquettes et leur utilisation dans Adobe FrameMaker. Découvrez les modèles de zone de texte et la zone de texte d'arrière-plan.

FrameMaker assure le suivi de la mise en page d’un document à l’aide de maquettes. Un document recto-verso contient au minimum deux maquettes, une destinée aux pages de gauche et l’autre aux pages de droite. Un document recto ne fait appel qu’à la seconde. Un document peut aussi contenir des maquettes personnalisées, pouvant être utilisées pour des types de pages spéciaux. Vous pouvez également créer des mises en page directement sur les pages courantes pour une utilisation ponctuelle.

Si la mise en page est complexe ou si vous devez créer des éléments de conception, tels que des en-têtes et pieds de pages, travaillez avec les éléments directement sur les maquettes. Vous pouvez dessiner ou importer des graphiques (lignes, contours ou logos) n’importe où sur une maquette et y saisir du texte. Les graphiques et le texte s’affichent sur les pages courantes correspondantes, exactement comme sur la maquette, comme élément d’arrière-plan de la page courante.

Figure 1. Maquette et page courante
Maquette et page de corps dans FrameMaker

Les maquettes peuvent contenir les types de zones de texte suivants :

  • Un modèle de zone de texte contient un enchaînement de texte étiqueté (ou enchaînement portant un nom). Lorsque vous ajoutez une page courante, le modèle de zone de texte est copié sur la nouvelle page courante. Vous entrez ensuite le texte du document dans cette zone de texte sur la page courante. Vous pouvez saisir du texte dans un modèle de zone de texte sur une maquette, mais le texte ne s’affiche pas sur les pages courantes.

  • Une zone de texte d’arrière-plan contient un enchaînement de texte sans étiquette (ou enchaînement sans nom). Son contenu s’affiche sur les pages courantes correspondantes mais vous ne pouvez le modifier que sur les maquettes. Les zones de texte d’arrière-plan sont généralement utilisées pour les en-têtes et pieds de pages.

Figure 2. Maquette
Cadre de texte d’arrière-plan sans étiquette et modèle de zone de texte dans une maquette

A. Zone de texte d’arrière-plan sans étiquette B. Modèle de zone de texte

Lors de l’ajout de texte ou d’illustrations sur les pages courantes du document, FrameMaker ajoute les pages courantes requises et utilise automatiquement la mise en page de la maquette gauche ou droite.

Figure 3. Sur les pages courantes, la zone de texte dans laquelle vous tapez est une copie de celle du modèle.
Mise en page utilisée dans la page courante à partir de la maquette gauche ou droite

Parent topic: Pages courantes, maquettes et pages de référence

Création de maquettes personnalisées

Familiarisez-vous avec la création et l'ajout de maquettes personnalisées dans FrameMaker.

Dans ce sujet

  • Introduction

  • Création d’une maquette personnalisée vierge ou basée sur la mise en page d’une autre maquette

  • Création d’une maquette personnalisée basée sur la mise en page d’une page courante

Introduction

Un document peut nécessiter des pages courantes possédant une mise en page différente de celles des maquettes gauche et droite. Par exemple, vous pouvez créer un aspect différent pour la première page d’un document, comme vous pouvez inclure une page au format paysage dans un document de format portrait. Dans ces deux cas, vous devez créer des maquettes personnalisées (un document peut contenir jusqu’à 100 maquettes).

Une fois la maquette personnalisée créée, modifiez l’aspect des colonnes et ajoutez du texte et des graphiques d’arrière-plan. Attribuez ensuite la maquette personnalisée à une ou plusieurs pages courantes.

Création d’une maquette personnalisée vierge ou basée sur la mise en page d’une autre maquette

  1. Affichez la maquette à utiliser comme base de la nouvelle maquette.

  2. Sélectionnez Insérer > Ajouter une maquette et saisissez un nom pour la nouvelle maquette dans la zone de texte Nom.

  3. Procédez de l’une des façons suivantes :

    • Pour créer une maquette dont la mise en page correspond à celle d’une maquette existante, choisissez la maquette dans la liste déroulante Copier depuis la maquette.

    • Pour créer une maquette vide, cliquez sur Vide.

  4. Cliquez sur Ajouter.

Création d’une maquette personnalisée basée sur la mise en page d’une page courante

  1. Apportez les modifications voulues à l’aspect des colonnes.

  2. La page courante étant affichée, choisissez Format > Mise en page > Nouvelle maquette.

  3. Entrez un nom pour la maquette et cliquez sur Créer.

Related information
  • Attribution de maquettes à des pages courantes

Réorganisation des maquettes personnalisées

Découvrez comment réorganiser des maquettes dans Adobe FrameMaker.

Lorsque vous réorganisez des maquettes personnalisées, les maquettes droite et gauche doivent toujours être placées en tête de liste.

  1. Ouvrez une maquette, puis choisissez Format > Mise en page > Réorganiser les maquettes personnalisées.

  2. Sélectionnez une maquette dans la liste Maquettes personnalisées, puis cliquez sur Monter ou Descendre pour mettre la maquette à la place que vous souhaitez dans la liste.

  3. Cliquez sur Définir- Si, avant de procéder à cette opération, vous aviez affiché une maquette à l’écran, il se peut que la maquette affichée ne soit plus la même.

Rotation d’une maquette

Découvrez comment faire pivoter des maquettes dans Adobe FrameMaker.

Vous pouvez créer une maquette personnalisée en modifiant l’orientation d’une page courante. Par exemple, vous pouvez créer une orientation avec rotation pour une page courante comportant un tableau très large.

Figure 4. La page de droite utilise une maquette pivotée.
Maquette personnalisée qui modifie l’orientation d’une page courante

  1. Sur une nouvelle maquette, définissez les zones de texte, le texte et les graphiques d’arrière-plan devant avoir la même orientation (sans rotation) que les en-têtes et pieds de pages des autres maquettes.

  2. Choisissez l’une des commandes Format > Personnaliser la mise en page > Rotation de la page. Lorsque FrameMaker applique une rotation à la page, une partie de celle-ci sera probablement invisible. Vous pouvez régler la taille de la fenêtre pour afficher une plus grande partie de la page.

  3. Créez les zones de texte ainsi que le texte et les graphiques d’arrière-plan à afficher avec une rotation.

Tip: Vous pouvez saisir du texte dans des zones de texte avec rotation comme vous pouvez annuler la rotation de la page pour une saisie plus rapide. Pour annuler la rotation d’une page, choisissez Format > Personnalisation de la mise en page > Annuler rotation page. Lorsque vous avez terminé, vous pouvez réappliquer la rotation à la page.
Related information
  • Création et modification de zones de texte d’arrière-plan

Suppression d’une maquette personnalisée

Découvrez comment supprimer une maquette personnalisée dans Adobe FrameMaker.

Pour supprimer une maquette personnalisée, affichez la maquette et choisissez Format > Docuement > Supprimer la page [nom de la maquette]>.

Note: il n’est pas possible de supprimer les maquettes gauche et droite ni toute autre maquette attribuée à une page courante.

Attribution de maquettes à des pages courantes

Découvrez comment attribuer des maquettes à des pages courantes dans des documents FrameMaker structurés et non structurés

Dans ce sujet

  • Introduction

  • Attribution d’une maquette différente

  • Attribution d’une maquette à des pages contenant des styles de paragraphe

  • Attribution d’une maquette à des pages courantes de documents structurés

Introduction

Vous pouvez attribuer à tout moment une maquette à une page courante. FrameMaker utilise le modèle de zone de texte de la maquette et affiche le texte et les graphiques d’arrière-plan.

Vous pouvez également choisir de ne pas attribuer de maquette à une page courante. Dans ce cas, cette dernière ne possède pas d’en-tête, de pied de page ni tout autre texte ou graphique d’arrière-plan (si la page courante contient une zone de texte, cette dernière n’est pas affectée). Par exemple, si chaque chapitre d’un livre doit contenir un nombre de pages pair et que la dernière page d’un chapitre ne contient pas de texte courant, vous pouvez décider de ne pas attribuer de maquette à cette page afin qu’elle reste totalement vierge.

Attribution d’une maquette différente

  1. Une page courante étant affichée, choisissez Format > Mise en page > Usage de la maquette.

  2. Dans la boîte de dialogue Usage de la maquette, procédez comme suit :

    • Pour attribuer la maquette gauche ou droite, cliquez sur Droite (pour un document recto) ou Droite/Gauche (pour un document recto-verso).

    • Pour attribuer une maquette personnalisée, choisissez le nom de la page dans la liste déroulante Personnalisée.

    • Pour n’attribuer aucune maquette, choisissez Aucun(e) dans la liste déroulante Personnalisée.

  3. Dans la zone Appliquer à, procédez comme suit :

    • Pour appliquer les modifications à la page courante actuelle, cliquez sur La page en cours.

    • Pour appliquer les modifications à une plage de pages, entrez le numéro des pages de début et de fin dans les zones de texte Pages.

    • Pour appliquer les modifications uniquement aux pages paires ou impaires au sein d’une plage, sélectionnez Paires ou Impaires.

    • Pour appliquer les modifications uniquement aux pages qui utilisent une maquette particulière au sein d’une sélection de pages, choisissez une page dans la liste déroulante de la zone Appliquer à.

  4. Cliquez sur Appliquer.

Note: si la maquette contient un modèle d’enchaînement de texte introuvable sur la page courante, FrameMaker ajoute des zones de texte contenant cet enchaînement à la page courante. Si c’est la page courante qui contient un enchaînement introuvable sur la maquette, FrameMaker ne modifie pas les zones de texte contenant cet enchaînement. Cette action peut entraîner le chevauchement de zones de texte.

Attribution d’une maquette à des pages contenant des styles de paragraphe

Vous pouvez attribuer des maquettes à des pages courantes contenant des styles de paragraphe. Par exemple, vous souhaitez peut-être que toutes les pages qui contiennent le style de paragraphe Titre soient formatées sur la base d’une maquette personnalisée appelée Première.

Pour cela, associez les styles de paragraphe aux maquettes en utilisant la table de correspondance Pages de référence. Si vous choisissez la commande Appliquer les maquettes, les maquettes sont appliquées aux pages courantes contenant le style de paragraphe spécifiée.

Figure 5. Dans cet exemple, la maquette Première est appliquée aux pages courantes contenant des styles de paragraphe Titre.
Application d’une maquette aux pages courantes contenant des styles de paragraphe spécifiés

  1. Sélectionnez Affichage > Pages de référence.

  2. Cliquez sur le bouton Page suivante jusqu’à ce que la table CorrespondanceMaquettesNonStruct, qui contient cinq colonnes, s’affiche.

    Tip: Si la table de correspondance n’apparaît pas dans les pages de référence, choisissez Format > Mise en page > Appliquer les maquettes.

  3. Pour le champ Mise à jour du livre (Oui ou Non), tapez Oui ou Non pour indiquer si la maquette spécifiée doit être appliquée dès que vous sélectionnez Format > Mise en page > Appliquer les maquettes... à partir d’un livre.

  4. Modifiez la table de correspondance en procédant comme suit :

    • Dans la colonne intitulée Nom du style de paragraphe, saisissez le nom du style de paragraphe sur la base de laquelle vous souhaitez appliquer la maquette. Cette colonne est obligatoire pour l’application des maquettes. Veillez à orthographier correctement le nom du style de paragraphe, en respectant la casse utilisée.

    • Dans la colonne Maquette page de droite, saisissez le nom de la maquette à appliquer. Cette colonne est obligatoire pour l’application des maquettes. La maquette spécifiée est appliquée à toutes les pages courantes (y compris les pages de gauche des documents recto verso) contenant le style de paragraphe indiquée, sauf si vous spécifiez une maquette différente dans la colonne Maquette page de gauche. Les noms de maquettes font la distinction entre les minuscules et les majuscules.

    • Dans la colonne Maquette page de gauche, saisissez le nom de la maquette que vous souhaitez appliquer aux pages courantes de gauche (documents recto verso) contenant le style de paragraphe spécifié. Cette colonne est facultative.

    • Dans la colonne Indicateur de sélection, tapez Une seule page pour appliquer la maquette uniquement à la page courante contenant chacune des étiquettes de paragraphe ; tapez Série de pages pour appliquer la maquette à la série de pages contenant l’étiquette de paragraphe ; ou tapez Avant modification pour appliquer la maquette à toutes les pages, jusqu’à la prochaine page courante contenant un autre style de paragraphe répertorié dans la table de correspondance. Si vous ne renseignez pas cette cellule, les maquettes sont appliquées à une seule page.

    • Ajoutez des remarques dans la colonne Commentaires. Le texte saisi dans cette colonne ne modifie en aucune façon le mode d’application des maquettes.

    • Pour associer d’autres maquettes à des styles de paragraphe, ajoutez des lignes à la table en remplissant les colonnes comme indiqué ci-dessus.

  5. Une fois que vous avez terminé, choisissez Affichage > Pages courantes.

  6. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  7. Sélectionnez Format > Mise en page > Appliquer les maquettes, puis cliquez sur Oui pour remplacer les maquettes appliquées manuellement.

Adobe FrameMaker recherche la première page courante contenant la première occurrence du style de paragraphe spécifié dans la table de correspondance des maquettes. Dès que la page contenant le style de paragraphe défini est trouvée, FrameMaker lui applique la maquette spécifiée.

Attribution d’une maquette à des pages courantes de documents structurés

Pour attribuer des maquettes à des pages courantes contenant des éléments de documents structurés, associez les éléments aux maquettes à l’aide de la table de correspondance Pages de référence. Lorsque vous choisissez Format > Mise en page > Appliquer les maquettes..., la page principale est appliquée à la page du corps sur laquelle l’élément référencé apparaît.

  1. Dans FrameMaker structuré, choisissez Affichage > Pages référence.

  2. Cliquez sur le bouton Page suivante jusqu’à ce que la table CorrespondanceMaquettesStruct, qui contient huit colonnes, s’affiche.

    Tip: Si vous modifiez un document créé avec une version antérieure de FrameMaker, choisissez Format > Mise en page > Appliquer les maquettes..., afin que la table de correspondance s’affiche dans les pages de référence.

  3. A droite du champ Mise à jour du livre (Oui ou Non), saisissez Oui ou Non pour indiquer si la maquette spécifiée doit être appliquée dès que vous choisissez Appliquer les maquettes dans un livre.

  4. Modifiez la table de correspondance en procédant comme suit :

    • Dans la colonne Nom du style d’élément/de paragraphe, saisissez un préfixe valide (E : pour les éléments, ou P : pour les paragraphes), suivi du nom de la balise d’élément ou de l’étiquette de paragraphe à laquelle vous souhaiter appliquer la maquette. Si aucun préfixe n’est appliqué, FrameMaker considère que vous avez défini un élément. Veillez à orthographier correctement le nom du style de paragraphe ou d’élément, en respectant la casse utilisée. Cette colonne est obligatoire pour l’application des maquettes.

    • Dans la colonne Maquette page de droite, saisissez le nom de la maquette à appliquer. La maquette spécifiée est appliquée à toutes les pages courantes (y compris les pages de gauche des documents recto verso) contenant le style de paragraphe ou d’élément indiqué, sauf si vous spécifiez une maquette différente dans la colonne Maquette page de gauche. Les noms de maquettes font la distinction entre les minuscules et les majuscules. Cette colonne est obligatoire pour l’application des maquettes.

    • Dans la colonne Maquette page de gauche, saisissez le nom de la maquette que vous souhaitez appliquer aux pages courantes de gauche (documents recto verso) contenant le style de paragraphe ou d’élément spécifié. Cette colonne est facultative.

    • Dans Nom d’attribut, saisissez un nom d’attribut valide pour préciser le contexte de correspondance.

    • Dans Valeur d’attribut, saisissez une valeur d’attribut valide pour préciser le contexte de mise en correspondance.

    • Dans Contexte, saisissez la valeur d’un label de contexte d’élément pour préciser le contexte de correspondance.

    • Dans la colonne Indicateur de sélection, tapez Une seule page pour appliquer la maquette uniquement à la page courante contenant chacune des étiquettes de paragraphe ou des balises d’élément ; tapez Série de pages pour appliquer la maquette à la série de pages contenant le style de paragraphe ou d’élément ; ou tapez Avant modification pour appliquer la maquette à toutes les pages, jusqu’à la prochaine page courante contenant un autre style de paragraphe ou d’élément répertorié dans la table de correspondance. Si vous ne renseignez pas cette cellule, les maquettes sont appliquées à une seule page.

    • Ajoutez des remarques dans la colonne Commentaires. Le texte saisi dans cette colonne ne modifie en aucune façon le mode d’application des maquettes.

    • Pour associer d’autres maquettes à des éléments ou à des styles de paragraphe, ajoutez des lignes à la table en remplissant les colonnes comme indiqué ci-dessus.

  5. Sélectionnez Affichage > Pages de corps.

  6. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  7. Sélectionnez Format > Mise en page > Appliquer les maquettes, puis cliquez sur Oui pour remplacer les maquettes appliquées manuellement.

FrameMaker recherche dans chaque page courante la première occurrence du style de paragraphe ou d’élément spécifié dans la table de correspondance des maquettes. Dès que la page contenant le style de paragraphe ou d’élément défini est trouvée, FrameMaker lui applique la maquette spécifiée.

Affichage des maquettes

Découvrez comment afficher des maquettes et revenir aux pages courantes à partir d'une maquette.

Dans ce sujet

  • Introduction

  • Affichage d’autres maquettes lorsqu’une maquette est visible

  • Retour aux pages courantes lorsque les maquettes sont visibles

Introduction

Lorsque vous travaillez sur les maquettes, vous vous déplacez entre elles et les pages courantes. Si une maquette est visible, son nom et le nombre de maquettes dans le document s’affichent dans la zone d'état de page de la barre d’état.

Figure 6. Zone d’état de page de la barre d’état
Le nombre de maquettes dans le document s’affiche dans la zone État de la page de la barre d’état

Sélectionnez Affichage > Maquettes. La maquette utilisée par la page courante s’affiche et les bordures de zones de texte et de colonnes sont visibles.

Affichage d’autres maquettes lorsqu’une maquette est visible

  • Procédez de l’une des façons suivantes :

    • Cliquez sur le bouton Page suivante ou Page précédente.

    • Appuyez sur la touche fléchée Page précédente ou Page suivante.

    • Utilisez la barre de défilement.

Retour aux pages courantes lorsque les maquettes sont visibles

Sélectionnez Affichage > Pages de corps. La dernière page courante affichée s’affiche. Si FrameMaker détecte une mise en page personnalisée sur les pages courantes, un message d’alerte vous demande comment vous souhaitez les gérer.

Related information
  • A propos des mises en page personnalisées


Pages de référence

Vous pouvez stocker sur des pages de référence des graphiques fréquemment utilisés que vous voulez placer de manière homogène dans un document, puis utiliser ces graphiques sur les pages courantes quand ils sont requis. Si vous placez un graphique dans un cadre de référence (cadre graphique non ancré sur une page de référence), vous pouvez utiliser ce cadre comme une caractéristique de style de paragraphe. Par exemple, pour créer un intitulé avec une ligne sous celui-ci, dessinez la ligne dans un cadre de référence, puis incluez le cadre de référence dans le style de paragraphe de l’intitulé.

Figure 1. Page de référence et page courante
La page de référence stocke des graphiques fréquemment utilisés que vous pouvez positionner de manière cohérente dans un document

Les pages de référence peuvent également contenir des éléments standard ou des composants graphiques clip art que vous pouvez copier et coller sur les pages courantes ; il s’agit par exemple de symboles d’avertissement ou de remarque. De plus, les pages de référence spécialisées peuvent comporter des commandes hypertexte, des informations de formatage pour les index et les listes générées, des définitions d’éléments mathématiques personnalisés et des correspondances de conversion au format XML et HTML.

Un document contient normalement au moins une page de référence. Vous pouvez ajouter vos propres graphiques à une page de référence existante et vous pouvez créer des pages de référence supplémentaires (jusqu’à 100).

Parent topic: Pages courantes, maquettes et pages de référence

Affichage, création et suppression de pages de référence

Découvrez comment afficher, créer et supprimer des pages de référence.

Dans ce sujet

  • Affichage de pages de référence

  • Affichage d’autres pages de référence lorsqu’une page de référence est visible

  • Création d’une page de référence

  • Retour aux pages courantes

  • Modification du nom ou suppression d’une page de référence

Affichage de pages de référence

Sélectionnez Affichage > Pages de référence. Le nom de la page de référence courante s’affiche dans la zone d’état de page de la barre d’état.

Figure 2. Zone d’état de page
Nom de la page de référence actuelle dans la zone État de page de la barre d’état

Si le document ne contient aucune page de référence, la boîte de dialogue Ajouter une page de référence s’affiche. Créez la page de référence en entrant un nom de page et en cliquant sur Ajouter.

Affichage d’autres pages de référence lorsqu’une page de référence est visible

  • Cliquez sur le bouton Page suivante bouton Page suivante ou Page précédente Bouton Page précédente.

  • Appuyez sur la touche fléchée Page précédente ou Page suivante.

  • Utilisez la barre de défilement.

Création d’une page de référence

  1. Affichez les pages de référence et choisissez Insérer > Ajouter une page de référence.

  2. Entrez un nom pour la page de référence et cliquez sur Ajouter.

Retour aux pages courantes

Sélectionnez Affichage > Pages de corps. La dernière page courante affichée s’affiche.

Modification du nom ou suppression d’une page de référence

Vous pouvez renommer une page de référence (par exemple, pour éviter d’écraser la page de référence lors de l’importation de pages de référence depuis un modèle contenant une page portant le même nom).

Toutefois, si elle contient un graphique utilisé dans un style de paragraphe, ce dernier n’apparaît plus dans les paragraphes faisant référence à ce style. Lorsque cela se produit, la liste déroulante Cadre du dessus ou Cadre du dessous dans les propriétés Avancées Caractéristiques avancées de la fenêtre Configuration de paragraphes a pour valeur Tel quel pour les paragraphes.

  • Affichez la page de référence, puis procédez de l’une des façons suivantes :

    • Pour renommer la page, cliquez sur le nom de la page dans la barre d’état et saisissez le nouveau nom. Cliquez sur Définir-

    • Pour supprimer la page, choisissez Format > Document > Supprimer la page <nom de la page de référence>.

Utilisation de cadres de référence sur les pages de référence

Découvrez comment créer et utiliser des cadres de référence sur les pages de référence et comment configurer des graphiques standard sur les pages de référence.

Dans ce sujet

  • Introduction

  • Création d’un cadre de référence sur une page de référence

  • Modification du nom d’un cadre de référence

  • Modification d’autres caractéristiques d’un cadre de référence

  • Définition de graphiques standard sur les pages de référence

Introduction

Un graphique peut être considéré comme faisant partie d’un style de paragraphe si vous l’avez placé dans un cadre de référence sur une page de référence.

Figure 3. Graphiques dans des cadres de référence
Utilisation d’un graphique dans le cadre d’un style de paragraphe d’un cadre de référence d’une page de référence

Lorsque vous sélectionnez un cadre de référence sur une page de référence, son nom s’affiche dans la barre d’état après le mot Cadre.

Création d’un cadre de référence sur une page de référence

  1. Cliquez sur l’outil Cadre graphique Outils Cadre graphique du panneau Outils sur le panneau Outils, puis faites faites-le glisser pour dessiner le cadre. Pour dessiner un carré, maintenez la touche Maj enfoncée pendant le déplacement du pointeur.

  2. Entrez un nom dans la zone de texte Nom et cliquez sur Définir. Utilisez un nom court et descriptif, facilement reconnaissable lorsqu’il s’affichera dans les menus déroulants Cadre dessus et Cadre dessous dans les propriétés Avancées Caractéristiques avancées de la fenêtre Configuration de paragraphes.

  3. Placez un graphique dans le cadre. Vous pouvez dessiner le graphique, importer un fichier graphique ou combiner des graphiques dessinés et importés.

  4. Ajustez la taille et la forme du cadre, si nécessaire. Si vous utilisez un cadre de référence au-dessus ou au-dessous d’un paragraphe sur une page courante, le cadre entier (et non uniquement le graphique) s’affiche sur cette page. La hauteur du cadre affecte l’espacement du texte au-dessus et au-dessous du cadre.

  5. Utilisez l’outil Ligne de texte pour saisir le nom du cadre au-dessus de ce dernier. La saisie d’un nom vous aide à identifier le cadre lorsque vous visualisez la page de référence. Cela ne renomme pas le cadre de référence.

Modification du nom d’un cadre de référence

  1. Sélectionnez le cadre de référence et cliquez sur son nom dans la barre d’état.

  2. Entrez le nouveau nom, puis cliquez sur Définir. Vous pouvez également entrer ce nom sur la ligne de texte au-dessus du cadre de référence. Si vous renommez un cadre de référence utilisé dans un style de paragraphe, vous devrez mettre à jour le format afin qu’il utilise ce nouveau nom.

Modification d’autres caractéristiques d’un cadre de référence

Sélectionnez le cadre. Sélectionnez Graphiques > Caractéristiques de l’objet pour modifier les caractéristiques de l’objet. Alternativement, utilisez les options du panneau Outils.

Définition de graphiques standard sur les pages de référence

Vous pouvez placer un graphique standard (tel qu’un symbole de marge) dans un cadre ancré sur une page de référence. Vous avez ensuite la possibilité de copier ce cadre sur les pages courantes. Dans ce cas, le graphique est correctement positionné dans son cadre ancré.

Figure 4. Vous pouvez copier et coller des graphiques standard sur les pages courantes.
Définition de graphiques standard sur les pages de référence

Vous pouvez également placer directement des graphiques sur les pages de référence puis les copier et les coller sur les pages courantes.

  1. Créez une page de référence avec le même aspect de colonnes que la page courante sur laquelle afficher le graphique. Cela garantit le bon positionnement du graphique lors de sa copie sur les pages courantes. Pour définir l’aspect des colonnes, vous pouvez copier la zone de texte d’une page courante et la coller sur la page de référence.

    Sur la page de référence, définissez le cadre ancré tel qu’il doit s’afficher sur les pages courantes.

  2. Dessinez le graphique dans le cadre ancré ou collez-le ou importez-le dans le cadre. Vous pouvez ajouter du texte à l’extérieur du cadre ancré pour identifier le graphique. Par exemple, dans l’illustration, le symbole d’avertissement identifie le graphique.


Mises en page

Découvrez comment créer et utiliser des cadres de référence sur les pages de référence et comment configurer des graphiques standard sur les pages de référence dans Adobe FrameMaker.

Vous pouvez apporter des modifications à la mise en page de base d’un document directement depuis une page courante. FrameMaker met alors automatiquement à jour les maquettes gauche et droite ainsi que la mise en page des pages courantes utilisant ces maquettes. Si l’une de ces pages courantes contient une mise en page personnalisée, vous êtes invité à confirmer l’application des mises à jour.

Si le document utilise une autre maquette (par exemple, pour sa première page), vous devez effectuer toute modification de mise en page sur cette maquette.

  • Modification du format de page
    Découvrez comment modifier le format d'une page dans Adobe FrameMaker.
  • Modification de la pagination
    Découvrez comment modifier la pagination dans Adobe FrameMaker et comment modifier un document recto en recto-verso ou inversement.
  • Ajout ou suppression de pages vides
    Découvrez comment ajouter ou supprimer des pages vides dans Adobe FrameMaker et comment spécifier un nombre pair ou impair de pages.
  • Modification des marges et du nombre de colonnes
    Définissez des marges des pages et le nombre de colonnes, créez une mise en page à plusieurs colonnes de différentes largeurs, définissez des marges gauche et droite asymétriques dans Adobe FrameMaker.
  • En-têtes, pieds de pages et autres textes d’arrière-plan
    Définissez des en-têtes, des pieds de page et un texte d'arrière-plan. Créez et modifiez des zones de texte d'arrière-plan, redimensionnez ou déplacez une zone de texte d’arrière-plan dans Adobe FrameMaker.
  • Modification de la mise en page de pages spécifiques
    Modifiez la mise en page de pages spécifiques, créez une mise en page asymétrique, des mises en page personnalisées, un modèle de zone de texte, mettez à jour des mises en page du corps et des maquettes. Créez des mises en page uniques dans Adobe FrameMaker.
  • Alignement de texte sur plusieurs colonnes
    Découvrez comment équilibrer du texte sur plusieurs colonnes, justifier verticalement un texte en bas de zones de texte, et synchroniser des lignes de base dans Adobe FrameMaker.
Parent topic: Mise en page et modèles


Modification du format de page

Découvrez comment modifier le format d'une page dans Adobe FrameMaker.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Mise en page > Format de page.

  3. Procédez de l’une des façons suivantes :

    • Choisissez un format standard dans la liste déroulante Format de page. Les dimensions correctes s’affichent dans les zones de texte Largeur et Hauteur.

    • Entrez les dimensions dans les zones de texte Largeur et Hauteur. Personnalisé apparaît dans la liste déroulante. Le format personnalisé spécifié peut être petit, en fonction des paramètres de marge ou très grand (216 x 216 pouces, soit 548 x 548 cm environ).

  4. Cliquez sur Définir-

    Note: Lorsque vous générez un fichier PDF pour un document dont la taille est supérieur à A4, il se peut qu’une partie du cotenu ne rentre pas dans la page et ne ressorte pas correctement. Pour éviter de perdre du contenu, ajoutez l’indicateur UsePDFResolution=300 dans le fichier maker.ini dans le dossier <%appdata%\Adobe\FrameMaker\17>. Pour en savoir plus sur la génération de PD, consultez Générer un PDF.
Note: si le document contient des maquettes personnalisées, FrameMaker ne vous permet pas de lui attribuer un format de page ne pouvant recevoir les zones de texte sur ces maquettes.
Parent topic: Mises en page


Modification de la pagination

Découvrez comment modifier la pagination dans Adobe FrameMaker et comment modifier un document recto en recto-verso ou inversement.

Vous pouvez modifier un document recto en recto-verso et inversement. Si vous définissez un document recto-verso, vous devez indiquer si la première page est à gauche ou à droite.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Mise en page > Pagination.

  3. Sélectionnez une option de la zone Pagination. Pour un document recto-verso, précisez si la première page est à gauche ou à droite. Si vous appliquez la pagination à un livre, vous pouvez sélectionner l’option Lire depuis fichier pour utiliser le côté défini dans le fichier. Sélectionnez Côté suivant disponible pour éviter l’insertion de pages blanches.

    Suivant l’option choisie, une page blanche peut être ajoutée au document précédent du livre pour permettre au présent document de commencer du côté indiqué.

  4. Cliquez sur Définir- Si le document contient des maquettes ou des mises en page personnalisées, un message d’alerte vous demande comment procéder.

Parent topic: Mises en page


Ajout ou suppression de pages vides

Découvrez comment ajouter ou supprimer des pages vides dans Adobe FrameMaker et comment spécifier un nombre pair ou impair de pages.

Vous pouvez spécifier que le nombre de pages d’un document doit être pair ou impair. Le cas échéant, FrameMaker ajoute une page vierge à la fin du document pour obtenir la pagination souhaitée.

Des pages vierges indésirables peuvent en outre apparaître en fin de document suite à la suppression ou à la modification du texte. Vous pouvez indiquer à FrameMaker de supprimer ces pages vides à l’enregistrement ou à l’impression du document.

FrameMaker ne supprime une page vierge que si elle utilise la maquette gauche ou droite et qu’elle ne contient pas le début d’un enchaînement ni de formats personnalisés, mais ne supprime pas une page si elle contient un paragraphe vide.

Si vous changez la pagination d’un document faisant partie d’un livre à partir de la fenêtre du document, les paramètres choisis peuvent être remplacés lors de la mise à jour du livre. Pour vous assurer que la pagination du livre est correcte, modifiez la configuration du document dans la fenêtre du livre.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Mise en page > Pagination.

  3. Dans la liste déroulante Avant d’enregistrer et d’imprimer, choisissez une option puis cliquez sur Définir.

Si aucune page blanche n’est ajoutée ou supprimée, vérifiez que toutes les pages du document sont autoconnectées.

Parent topic: Mises en page
Related information
  • A propos des mises en page personnalisées


Modification des marges et du nombre de colonnes

Définissez des marges des pages et le nombre de colonnes, créez une mise en page à plusieurs colonnes de différentes largeurs, définissez des marges gauche et droite asymétriques dans Adobe FrameMaker.

La marge est la distance entre le bord de la page et la zone de texte. Pour un document recto, vous définissez les marges supérieure, inférieure, gauche et droite de la zone de texte. Pour un document recto-verso, vous définissez les marges supérieure, inférieure, intérieure et extérieure pour obtenir un aspect symétrique.

Pour définir des marges gauche et droite asymétriques, modifiez directement les zones de texte sur les maquettes. Vous pourriez, par exemple, afficher les zones de texte des pages recto comme verso du côté droit de la page et laisser une zone d’espace blanc à gauche.

Vous pouvez diviser une zone de texte en deux (ou plusieurs) colonnes de gouttière et de largeur égales. Pour créer une mise en page à colonnes multiples de largeurs ou de gouttières inégales, utilisez une zone de texte pour chaque colonne de texte et positionnez les zones une par une. Dessinez les zones de texte ou définissez une zone de texte selon votre choix et dupliquez-la.

  1. Placez le point d’insertion dans l’enchaînement de texte principal ou cliquez dans la marge. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Mise en page > Aspect des colonnes.

    Si la mise en page est asymétrique (avec, par exemple, un nombre de colonnes différent ou une marge inférieure ou supérieure différente sur les maquettes gauche et droite), vous êtes invité à confirmer que vous souhaitez poursuivre la procédure. Pour conserver l’asymétrie, modifiez la mise en page directement sur les maquettes.

  3. Pour modifier les marges, entrez les valeurs voulues dans la zone Marges des colonnes. Les marges et la gouttière entre les colonnes déterminent la largeur de chaque colonne.

  4. Pour modifier le nombre de colonnes ou la gouttière entre celles-ci, entrez de nouvelles valeurs dans la zone Colonnes.

    Toutes les colonnes ont la même largeur et sont séparées par une gouttière uniforme.

  5. Cliquez sur Modifier tout l’enchaînement. Si la nouvelle largeur de colonne est trop étroite pour contenir certains cadres ancrés ou tableaux du document, vous êtes invité à confirmer que vous souhaitez poursuivre la procédure. Si vous cliquez sur OK, vous pouvez redimensionner manuellement les tableaux et les cadres.

Parent topic: Mises en page
Related information
  • Modification de la mise en page de pages spécifiques
  • Ajout d’un modèle de zone de texte sur une maquette
  • Ajout de zones de texte aux pages courantes


En-têtes, pieds de pages et autres textes d’arrière-plan

Définissez des en-têtes, des pieds de page et un texte d'arrière-plan. Créez et modifiez des zones de texte d'arrière-plan, redimensionnez ou déplacez une zone de texte d’arrière-plan dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création et modification de zones de texte d’arrière-plan

  • Saisie des informations d’en-tête ou de pied de page

Introduction

Pour définir des en-têtes et des pieds de pages, affichez les maquettes et saisissez du texte dans les zones de texte d’arrière-plan. Le contenu de ces zones s’affiche sur les pages courantes mais ne peut être modifié que sur les maquettes. Les en-têtes et pieds de pages peuvent inclure le numéro de page, la date, le numéro et la section de chapitre, le titre et le numéro de section, l’auteur, le numéro de révision et la version (préliminaire ou finale, par exemple).

Figure 1. Zones de texte d’en-tête et de pied de page sur la maquette
Mise en place de l'en-tête et du texte du pied de page dans la maquette

Créez et modifiez le texte des en-têtes ou des pieds de pages comme tout autre texte de paragraphe. Vous pouvez appliquer des styles de paragraphes et de caractères, ajouter et déplacer des taquets de tabulation et ajouter des graphiques tels qu’une ligne au-dessus ou au-dessous du texte. De plus, vous pouvez ajouter des variables système relatives à des informations telles que le numéro de page ou la date. Vous pouvez également modifier la taille et la position des zones de texte d’en-tête et de pied de page. Si vous modifiez celles-ci sur une maquette, FrameMaker met automatiquement à jour toute page courante utilisant cette maquette.

Vous pouvez également ajouter tout autre texte d’arrière-plan sur les maquettes.

Création et modification de zones de texte d’arrière-plan

Lorsque vous créez un document vierge, FrameMaker définit des zones de texte d’arrière-plan pour les en-têtes et pieds de pages sur les maquettes gauche et droite. Pour faciliter l’ajout d’informations centrées ou alignées à droite dans les en-têtes et pieds de pages, FrameMaker ajoute automatiquement des tabulations au centre de la zone de texte et sur la marge droite. Vous pouvez dessiner des zones de texte d’arrière-plan pour d’autres informations d’en-tête et de pied de page ou pour tout autre texte d’arrière-plan.

Note: il est possible de créer des lignes de texte d’arrière-plan individuelles à l’aide de l’outil Ligne de texte mais vous ne pouvez pas appliquer des styles de paragraphes au texte ni y insérer des variables.

Pour ajouter une zone de texte d’arrière-plan sur une maquette, procédez comme suit :

  1. Dessinez la zone de texte à l’aide de l’outil Zone de texte.

  2. Dans la boîte de dialogue Ajouter nouvelle zone de texte, sélectionnez Texte d’arrière-plan, puis cliquez sur Ajouter. La nouvelle zone de texte, comme toutes les zones de texte d’arrière-plan des maquettes, ne porte pas d’étiquette.

  3. Cliquez deux fois dans la zone de texte pour placer le point d’insertion, puis insérez le texte d’en-tête, de pied de page ou d’arrière-plan.

Pour redimensionner ou déplacer une zone de texte d’arrière-plan, procédez comme suit :

  1. Cliquez sur la zone de texte tout en maintenant la touche Ctrl enfoncée.

  2. Effectuez l’une des opérations suivantes :

    • Pour redimensionner la zone de texte, faites glisser une poignée.

    • Pour déplacer la zone de texte, faites glisser sa bordure (et non une poignée).

Saisie des informations d’en-tête ou de pied de page

Vous pouvez créer des en-têtes et des pieds de pages simples en saisissant du texte dans des zones de texte d’en-tête et de pied de page sur les maquettes. De plus, vous pouvez spécifier des éléments tels que le numéro du chapitre et de la page active, le nombre total de pages et la date. FrameMaker affiche une variable système dans l’en-tête ou le pied de page de la maquette et la remplace par la valeur correcte sur chaque page courante utilisant cette maquette.

Vous pouvez également créer des en-têtes et des pieds de pages courants dans lesquels le texte change de page en page. Dans la figure suivante, l’en-tête courant contient l’intitulé de section courante. Le pied de page contient le numéro de page et du texte saisi directement dans la zone de texte d’arrière-plan.

Figure 2. En-têtes et pieds de pages courants
En-tête et pied de page dans le cadre de l'arrière-plan des maquettes

Pour créer des en-têtes et pieds de pages courants, insérez des variables d’en-tête/pied de page courant dans des zones de texte d’arrière-plan sur les maquettes.

Vous pouvez insérer les variables suivantes dans un en-tête et un pied de page sur la maquette :

Numérotation des composants de livre

Numéro du volume, Numéro du chapitre, N° de section ou N° de sous-section.

Numéros de page

Numéro de page en cours ou Nombre de pages

Informations de date

Date en cours (Longue), Date en cours (Courte), Date de modif. (Longue), Date de modif. (Courte), Date de création (Longue), Date de création (Courte).

Autres variables

Nom du titre de chapitre, Nom de fichier (Long), Nom de fichier (Court), Suite de tableau ou Page de tableau.

Pour insérer une variables dans un en-tête et un pied de page sur une maquette, procédez comme suit :

  1. Sur une maquette, cliquez dans l’en-tête ou le pied de page où ajouter les informations.

    • Pour insérer un texte statique, tapez le texte.

    • Pour insérer des variables système, accédez au panneau Variables, puis cliquez deux fois sur le nom de la variable dans la liste de sélection Variables. Vous pouvez insérer tout type de variable système, par exemple :

    • Pour insérer des variables utilisateur, accédez au panneau Variables, puis cliquez deux fois sur le nom de la variable (si celle-ci est déjà définie) dans la liste de sélection Variables.

    Tip: Pour ajouter des informations centrées dans les en-têtes et pieds de pages, appuyez sur la touche Tab pour placer le point d’insertion au niveau du taquet de tabulation centré. Pour ajouter des informations alignées à droite, continuez d’appuyer sur la touche Tab pour placer le point d’insertion au niveau du taquet de tabulation aligné à droite.
Parent topic: Mises en page
Related information
  • Saisie des informations d’en-tête ou de pied de page
  • Variables


Modification de la mise en page de pages spécifiques

Modifiez la mise en page de pages spécifiques, créez une mise en page asymétrique, des mises en page personnalisées, un modèle de zone de texte, mettez à jour des mises en page du corps et des maquettes. Créez des mises en page uniques dans Adobe FrameMaker.

Vous pouvez créer une mise en page asymétrique en ajoutant ou en modifiant des zones de texte directement sur les maquettes. Par exemple, vous pouvez avoir une marge gauche plus large que la marge droite sur les pages gauches et droites. Vous pouvez également avoir une mise en page à une colonne sur la page de gauche et à deux colonnes sur la page de droite.

Vous pouvez même créer une mise en page contenant des colonnes de largeur et de gouttière inégales en utilisant plusieurs zones de texte sur une page (une zone de texte par colonne).

  • A propos des mises en page personnalisées
  • Modification des marges et de l’aspect des colonnes sur des pages spécifiques
  • Ajout d’un modèle de zone de texte sur une maquette
  • Ajout de zones de texte aux pages courantes
  • Mise à jour des maquettes et pages courantes
  • Création de mises en page uniques
Parent topic: Mises en page


A propos des mises en page personnalisées

Si vous modifiez une maquette, FrameMaker met automatiquement à jour toutes les pages courantes utilisant cette maquette. Lorsque vous modifiez la mise en page d’une page courante (par exemple, en modifiant le nombre de colonnes, la gouttière entre les colonnes ou les marges), vous créez une mise en page personnalisée de la maquette. Vous pouvez alors effectuer l’une des opérations suivantes :

  • Mettre à jour la maquette et toutes les pages courantes correspondantes avec les modifications

  • Créer une maquette basée sur les modifications de pages courantes

  • Ne rien faire et garder cette personnalisation unique

Parent topic: Modification de la mise en page de pages spécifiques
Related information
  • Mise à jour des maquettes et pages courantes
  • Création de maquettes personnalisées
  • Création de mises en page uniques


Modification des marges et de l’aspect des colonnes sur des pages spécifiques

Les étapes suivantes créent toujours une mise en page à une colonne ou à plusieurs colonnes de même largeur.

Pour créer une mise en page à plusieurs colonnes de largeurs ou de gouttières inégales, utilisez une zone de texte pour chaque colonne et positionnez les zones de texte une par une.

  1. Cliquez sur la zone de texte dont vous souhaitez modifier les marges tout en maintenant la touche Ctrl enfoncée.

  2. Sélectionnez Format > Personnaliser la mise en page > Personnaliser la zone de texte.

  3. Procédez comme suit :

    • Pour modifier les marges, spécifiez les nouvelles taille et position dans les zones Taille avant rotation et Décalage à partir de. Les options de décalage à partir du haut et à partir de la gauche définissent les marges supérieure et gauche. Les marges inférieure et droite sont alors définies en fonction de la largeur et de la hauteur de la zone de texte.

    • Pour modifier le nombre de colonnes ou la gouttière entre les colonnes, modifiez les valeurs de la zone Colonnes.

  4. Cliquez sur Définir-

Tip: Pour modifier les marges, vous pouvez également choisir une zone de texte et faire glisser une poignée de redimensionnement. Lorsque la zone de texte est à plusieurs colonnes, la largeur de ces dernières change pour s’adapter à la zone de texte, mais la gouttière reste la même.
Parent topic: Modification de la mise en page de pages spécifiques
Related information
  • Ajout d’un modèle de zone de texte sur une maquette
  • Ajout de zones de texte aux pages courantes


Ajout d’un modèle de zone de texte sur une maquette

Pour qu’une maquette contienne des colonnes de texte de largeurs différentes ou pour définir la mise en page d’un bulletin ou de tout autre document dans lequel les articles ne s’enchaînent pas de manière continue de la première page à la dernière, utilisez plusieurs zones de texte (une pour chaque colonne). Par exemple, pour une page avec deux colonnes de différentes largeurs, vous ajoutez un second modèle de zone de texte.

Vous pouvez ajouter un modèle de zone de texte en le dessinant ou en dupliquant un modèle existant.

  1. Pour dessiner la zone de texte, utilisez l’outil Placer une zone de texte de la barre d’outils Graphiques. Pour dessiner plus d’une zone de texte, dessinez-les dans l’ordre où vous souhaitez les connecter.

  2. Dans la boîte de dialogue Ajouter nouvelle zone de texte, cliquez sur Modèle de zone de texte de la page courante et choisissez une étiquette dans la liste déroulante Etiquette. Choisissez l’étiquette d’enchaînement courante, à moins que vous ne configuriez une zone de texte pour un enchaînement différent dans un document à enchaînements multiples.

  3. Dans la zone Colonnes, spécifiez le nombre de colonnes dans la zone de texte et (s’il y en a plus d’une) la gouttière entre les colonnes adjacentes. Si vous créez une mise en page à colonnes multiples de largeur inégale, définissez le nombre de colonnes sur 1, car vous utilisez une zone de texte distincte pour chaque colonne.

  4. Cliquez sur Ajouter.

  5. Déplacez la zone de texte selon vos besoins.

Tip: Pour copier une zone de texte existante, sélectionnez-la et choisissez Edition > Copier, puis Edition > Coller. FrameMaker copie la zone de texte, son contenu et ses caractéristiques (y compris l’étiquette d’enchaînement).
Parent topic: Modification de la mise en page de pages spécifiques


Ajout de zones de texte aux pages courantes

Lorsque vous dessinez une zone de texte sur une page courante, vous êtes invité à spécifier le nombre de colonnes et la gouttière les séparant. Cependant, FrameMaker n’attribue pas d’étiquette d’enchaînement et ne connecte pas la zone de texte aux zones de texte existant sur la page.

Pour utiliser cette nouvelle zone de texte comme élément de l’enchaînement de texte du document, connectez-la à l’enchaînement.

Si la nouvelle zone de texte est la première dans l’enchaînement, sélectionnez aussi le paramètre Autoconnecter afin d’ajouter de nouvelles pages si nécessaire.

Parent topic: Modification de la mise en page de pages spécifiques
Related information
  • Connexion de zones de texte


Mise à jour des maquettes et pages courantes

Vous pouvez modifier le modèle de zone de texte sur plus d’une maquette, puis mettre à jour toutes les pages courantes correspondantes en une étape. Toutefois, si vous modifiez l’aspect des colonnes sur une page courante, vous devez mettre à jour la maquette correspondante avant de pouvoir mettre à jour les autres pages courantes qui utilisent cette maquette.

Avant de mettre à jour des pages courantes, FrameMaker détermine si l’aspect des colonnes de ces pages est différent de leur maquette. Lorsque certaines pages contiennent des personnalisations, vous devez spécifier si vous souhaiter les conserver.

Mise à jour des pages courantes avec les modifications de la maquette

  1. Après avoir modifié les maquettes, affichez les pages courantes.

  2. Si un message d’alerte s’affiche, indiquez si vous souhaitez conserver ou supprimer les formats personnalisés, puis cliquez sur Continuer. Si vous conservez les formats personnalisés, FrameMaker met à jour ces pages courantes avec les graphiques et le texte d’arrière-plan de la maquette, mais ne met pas à jour les modèles de zone de texte.

Mise à jour d’une maquette avec des pages courantes modifiées

  1. Choisissez Format > Mise en page > Mise à jour aspect des colonnes. Un message vous demande de confirmer la maquette et les pages courantes à mettre à jour.

  2. Cliquez sur Mettre à jour.

  3. Si un message d’alerte s’affiche, indiquez si vous souhaitez conserver ou supprimer les personnalisations de mise en page sur les pages à mettre à jour, puis cliquez sur Continuer.

Parent topic: Modification de la mise en page de pages spécifiques
Related information
  • A propos des mises en page personnalisées


Création de mises en page uniques

Vous devrez peut-être modifier la mise en page d’une seule page courante d’un document. Par exemple, vous pouvez agrandir une zone de texte pour qu’elle contienne plus de lignes de texte sur la page ou réduire une zone de texte pour permettre de placer directement un graphique sur la page courante.

Lorsque vous modifiez l’aspect des colonnes d’une page courante sans mettre à jour la maquette, vous créez une mise en page personnalisée.

Parent topic: Modification de la mise en page de pages spécifiques
Related information
  • Modification des marges et de l’aspect des colonnes sur des pages spécifiques
  • Ajout de zones de texte aux pages courantes


Alignement de texte sur plusieurs colonnes

Découvrez comment équilibrer du texte sur plusieurs colonnes, justifier verticalement un texte en bas de zones de texte, et synchroniser des lignes de base dans Adobe FrameMaker.

  • Equilibrage du texte sur plusieurs colonnes
    Découvrez comment équilibrer du texte sur plusieurs colonnes dans une zone de texte dans Adobe FrameMaker.
  • Justification verticale du texte en bas des zones de texte
    Découvrez comment justifier verticalement (espacer) du texte sur plusieurs colonnes dans une zone de texte dans Adobe FrameMaker.
  • Synchronisation des lignes de base de texte dans un flux de texte
    Découvrez comment synchroniser et aligner la ligne de base de lignes de texte sur plusieurs colonnes et zones de texte dans Adobe FrameMaker.
Parent topic: Mises en page


Equilibrage du texte sur plusieurs colonnes

Découvrez comment équilibrer du texte sur plusieurs colonnes dans une zone de texte dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Equilibrage d’un texte sur des colonnes dans un enchaînement de texte

  • Equilibrage d’un texte sur des colonnes dans une seule zone de texte

Introduction

Dans une mise en page utilisant une zone de texte à plusieurs colonnes, vous pouvez équilibrer le texte sur les colonnes n’étant pas entièrement remplies (par exemple, des colonnes sur des pages partiellement vides qui précèdent des sauts de page forcés et des colonnes sur la dernière page d’un document). Vous pouvez équilibrer le texte sur les colonnes dans un enchaînement de texte ou dans une zone de texte individuelle.

Figure 1. Equilibrage inactif et actif
Exemples d'équilibrage de texte sur une ou plusieurs colonnes

Equilibrage d’un texte sur des colonnes dans un enchaînement de texte

  1. Si la fenêtre activée est une fenêtre de document, placez le point d’insertion dans l’enchaînement principal ou cliquez dans la marge de la page. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Mise en page > Aspect des colonnes.

  3. Sélectionnez Equilibrer les colonnes, puis cliquez sur Modifier tout l’enchaînement.

Equilibrage d’un texte sur des colonnes dans une seule zone de texte

Cliquez dans la zone de texte et choisissez Format > Personnalisation de la mise en page > Personnalisation de la zone de texte.

Sélectionnez Equilibrer colonnes et cliquez sur Définir.

Parent topic: Alignement de texte sur plusieurs colonnes


Justification verticale du texte en bas des zones de texte

Découvrez comment justifier verticalement (espacer) du texte sur plusieurs colonnes dans une zone de texte dans Adobe FrameMaker.

Lorsque FrameMaker justifie verticalement un texte, il ajoute d’abord un espace entre les paragraphes jusqu’à la limite définie. Si un autre ajustement est requis, un espace est ajouté entre les lignes jusqu’à la limite définie. Lorsque le texte d’une zone de texte habille un graphique, FrameMaker ne justifie pas ce texte verticalement.

Figure 1. Avant et après la justification verticale
Avant et après justification du texte au bas des cadres

Dans une zone de texte à plusieurs colonnes contenant des fusions (paragraphes, tableaux ou cadres ancrés), FrameMaker ajoute un espace vertical pour aligner les dernières lignes de base de texte dans des colonnes adjacentes au-dessus de chaque fusion.

Figure 2. Avant et après la justification verticale avec fusion
Avant et après la justification verticale avec fusion

  1. Si la fenêtre activée est une fenêtre de document, placez le point d’insertion dans l’enchaînement principal. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Mise en page > Aspect des lignes.

  3. Sélectionnez Justification verticale et entrez l’espace maximum pouvant être ajouté entre les lignes (Espacement maxi. entre lignes) et entre les paragraphes (Espacement maxi. entre ¶).

    FrameMaker ne dépasse pas les limites d’espacement spécifiées. S’il n’est pas possible de justifier verticalement un texte d’une colonne sans dépasser les limites, FrameMaker n’effectue pas la justification dans cette colonne.

  4. Cliquez sur Modifier l’enchaînement.

Note: la justification verticale permet de réserver de la place à la plus grande hampe descendante dans la plus grande taille de police utilisée pour la ligne. Si la dernière ligne d’une colonne semble trop haute, vérifiez que la colonne ne contient pas de caractère non imprimable (tel qu’un symbole d’ancrage) dans une police plus grande que celle du texte l’entourant.
Parent topic: Alignement de texte sur plusieurs colonnes


Synchronisation des lignes de base de texte dans un flux de texte

Découvrez comment synchroniser et aligner la ligne de base de lignes de texte sur plusieurs colonnes et zones de texte dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Synchronisation de lignes de base sur les colonnes

  • Synchronisation des lignes de base dans des zones de texte adjacentes

Introduction

Lorsque vous synchronisez (alignez) un texte dans un enchaînement, FrameMaker crée une grille invisible dans chaque zone de texte et aligne sur la grille la ligne de base de la première ligne de chaque paragraphe spécifié. FrameMaker aligne également la première ligne après un cadre ancré et tente d’aligner la première ligne de chaque colonne.

Note: si la justification verticale et la synchronisation sont toutes deux activées pour un enchaînement, la justification verticale est prioritaire sur la synchronisation. Cependant, les premières lignes dans les colonnes sont synchronisées les unes par rapport aux autres.
Figure 1. Avant et après la synchronisation du texte dans un flux
Avant et après la synchronisation du texte dans un flux

Les intitulés libellés dans de grandes polices s’affichant souvent en haut des colonnes, vous pouvez spécifier la limite de la synchronisation de la première ligne. Cette limite contrôle si la ligne de base d’un intitulé est placée sur la première ligne de la grille lorsque l’intitulé se trouve en haut d’une colonne, même si la police par défaut de l’intitulé est supérieure à la limite. Pour placer la ligne de base d’un intitulé sur la première ligne de la grille, FrameMaker laisse l’intitulé s’étendre au-dessus du haut de la colonne comme dans l’illustration. FrameMaker ne synchronise pas les tailles de police supérieures à la limite définie.

Synchronisation de lignes de base sur les colonnes

Pour synchroniser des lignes de base sur les colonnes, procédez comme suit :

  1. Vérifiez le style des types de paragraphes à synchroniser pour vérifier qu’ils possèdent les mêmes interligne et taille de police par défaut. Le paramètre d’interligne doit être Fixe.

  2. Cliquez dans l’enchaînement à synchroniser (ou sélectionnez les documents dans le livre concerné) et choisissez Format > Mise en page > Disposition des lignes.

  3. Sélectionnez Synchronisation ligne de base et désactivez l’option Justification verticale.

  4. Dans la zone de synchronisation, entrez l’interligne de la grille de la zone dans le champ Synchroniser ¶ avec un interligne de. Utilisez le même interligne que dans les paragraphes à synchroniser. Dans le cas contraire, FrameMaker ne synchronise pas les paragraphes avec la grille de la zone de texte.

  5. Dans la zone de texte Limite de synchronisation 1ère ligne, entrez la taille de police la plus élevée à aligner en haut d’une colonne. Ainsi, supposons que l’interligne des paragraphes courants est de 12 points, la grille de la colonne de 12 points et les intitulés de 18 points. Pour aligner les intitulés s’ils s’affichent en haut d’une colonne, spécifiez 18 comme limite de première ligne.

  6. Cliquez sur Modifier l’enchaînement.

Aucune hampe descendante ne s’affichant au-dessus de la première ligne d’une colonne, la première ligne de la grille est décalée du haut de la colonne d’une distance égale aux deux-tiers de l’interligne spécifié.

Synchronisation des lignes de base dans des zones de texte adjacentes

Si les zones de texte débutent à des positions différentes sur une page, vous devrez parfois ajuster les parties supérieures sur leurs grilles.

Alignez les grilles en redimensionnant les zones de texte adjacentes afin que la distance entre leur partie supérieure respective puisse être divisée de façon régulière par la grille. Par exemple, si la grille est de 12 points, vous pouvez débuter une zone de texte à 144 points (12 x 12 points) du haut d’une zone de texte adjacente.

Figure 2. Synchronisation des lignes de base dans des zones de texte adjacentes
Synchronisation des lignes de base dans des zones de texte adjacentes

A. Espacement de grille B. Distance divisible régulièrement par la grille

Tip: Utilisez la grille magnétique pour placer correctement les zones de texte. Pour ce faire, spécifiez une grille magnétique égale à la grille de la zone de texte. Redimensionnez ensuite les zones de texte jusqu’à ce que leurs parties supérieures s’accrochent à la grille.
Parent topic: Alignement de texte sur plusieurs colonnes


Documents à enchaînements multiples

Gérez des enchaînements de texte distincts, chacun ayant ses propres connexions de zones de texte. Créez des documents bilingues dans FrameMaker.

Un document peut comporter des enchaînements de texte distincts, chacun ayant ses propres connexions de zones de texte. Ainsi, un document bilingue peut contenir des traductions du même texte côte à côte.

Si une zone de texte remplit un document à enchaînements multiples, vous pouvez indiquer à FrameMaker de ne pas ajouter de nouvelle page. Vous pouvez ainsi ajouter des pages vous-même et contrôler les connexions. La numérotation automatique de chaque enchaînement étant indépendante de celle des autres enchaînements, vous pouvez conserver séparément des titres d’illustration, des intitulés et des listes numérotées pour chaque enchaînement.

  • Définition d’un document à enchaînements multiples
    Découvrez les enchaînements de texte et les étiquettes d'enchaînements, définissez un enchaînement côte à côte, définissez les enchaînements d'un bulletin ou d'un magazine dans FrameMaker.
  • Contrôle de l’enchaînement du texte
    Modifiez une étiquette d’enchaînement ou le paramètre Autoconnecter, modifiez des pages non connectées ou des zones de texte dans FrameMaker.
  • Définir la direction d’enchaînement
    Spécifiez la direction du texte dans une zone de texte (de gauche à droite ou de droite à gauche) dans FrameMaker.
Parent topic: Mise en page et modèles


Définition d’un document à enchaînements multiples

Découvrez les enchaînements de texte et les étiquettes d'enchaînements, définissez un enchaînement côte à côte, définissez les enchaînements d'un bulletin ou d'un magazine dans FrameMaker.

  • A propos des enchaînements de texte et de leurs étiquettes
  • Définition d’un enchaînement côte à côte
  • Définition des enchaînements d’un bulletin ou d’un magazine
Parent topic: Documents à enchaînements multiples


A propos des enchaînements de texte et de leurs étiquettes

Un enchaînement de texte comporte une série de zones de texte connectées au travers desquelles s’enchaîne le texte d’un document. La plupart des documents possèdent un enchaînement unique, de la première page à la dernière, dans lequel FrameMaker gère automatiquement les connexions de zones de texte. Vous ne créez ces connexions vous-même que pour les documents dans lesquels vous liez plusieurs enchaînements (comme un bulletin dont l’article de première page continue sur la dernière page, en ignorant les autres articles des pages intermédiaires).

L’étiquette d’enchaînement de la zone de texte courante s’affiche dans la zone d’étiquette de la barre d’état.

Figure 1. Zone d’étiquette de la barre d’état
Zone d’étiquette de la barre d’état dans FrameMaker

Parent topic: Définition d’un document à enchaînements multiples


Définition d’un enchaînement côte à côte

Un document à enchaînements de texte côte à côte est défini en plaçant et en connectant les zones de texte sur les maquettes. Les connexions de zone de texte étant les mêmes dans tout le document, il n’est généralement pas requis d’apporter d’autres modifications aux pages courantes.

  1. Définissez les enchaînements sur l’une des maquettes. Utilisez une zone de texte pour chaque enchaînement et attribuez une étiquette d’enchaînement différente à chaque zone de texte. Assurez-vous que le paramètre Autoconnecter est activé pour chaque enchaînement afin que FrameMaker ajoute une nouvelle page courante lorsque le texte atteint la fin de l’un des enchaînements

    Figure 1. Maquettes gauche et droite pour un enchaînement côte à côte
    Définition d'un enchaînement côte à côte sur les maquettes droite et gauche

  2. Répétez l’étape précédente pour les maquettes restantes. Toutes les maquettes doivent porter les mêmes étiquettes d’enchaînement, sinon, FrameMaker ne peut pas alterner correctement les maquettes gauche et droite lors de l’ajout de pages courantes.

    Important: pour créer correctement une page courante lorsque le texte atteint le bas d’une zone de texte, la maquette gauche ou droite appropriée doit contenir toutes les étiquettes d’enchaînement de la page courante active. S’il manque une étiquette d’enchaînement, FrameMaker crée la nouvelle page avec la maquette de la page courante active.

  3. Mettez à jour les pages courantes avec les modifications de la maquette en affichant les pages courantes.

Parent topic: Définition d’un document à enchaînements multiples
Related information
  • Ajout d’un modèle de zone de texte sur une maquette
  • Modification d’une étiquette d’enchaînement ou du paramètre Autoconnecter


Définition des enchaînements d’un bulletin ou d’un magazine

Un bulletin ou un magazine requérant des enchaînements multiples non parallèles est défini en établissant l’aspect des colonnes sur les maquettes. Cependant, les maquettes n’agissent que comme la grille de mise en page élémentaire. Redimensionnez, supprimez, connectez et déconnectez les zones de texte sur les pages courantes jusqu’à ce que vous obteniez un aspect satisfaisant. Cette approche offre une plus grande souplesse lors du choix du mode d’enchaînement du texte dans le document.

Note: si vous créez un bulletin comportant des articles se suivant de la première à la dernière page, il n’est pas nécessaire d’utiliser les techniques décrites dans ce chapitre. Vous pouvez en effet utiliser un seul et unique enchaînement de texte. Vous avez la possibilité de créer des effets spéciaux en habillant les graphiques de texte et en fusionnant des paragraphes, tableaux et colonnes. Le modèle de bulletin fourni avec FrameMaker représente un exemple de cette technique.

  1. Choisissez le nombre de colonnes et placez ce nombre de zones de texte à une colonne sur chaque maquette. Toutes les zones de texte doivent appartenir au même enchaînement. Utilisez ces zones de texte comme une grille de mise en page qui contiendra l’enchaînement de texte.

    Figure 1. Maquette de première page
    Plusieurs colonnes sur une maquette

    Figure 2. Maquettes gauche et droite avec le même enchaînement
    Maquettes gauche et droite avec le même enchaînement des colonnes

  2. Désactivez le paramètre Autoconnecter afin que FrameMaker n’ajoute pas automatiquement des pages.

  3. Mettez à jour les pages courantes avec les modifications de la maquette en affichant les pages courantes.

  4. Sur chaque page courante, redimensionnez, déconnectez et connectez les zones de texte suivant vos besoins. Ne mettez pas à jour les maquettes lorsque vous modifiez les pages courantes.

  5. Pour synchroniser les lignes de base dans le bulletin, veillez à placer les zones de texte de manière appropriée. Si le document contient plusieurs enchaînements de texte, synchronisez les lignes de base pour chaque enchaînement.

  6. Si nécessaire, créez manuellement de nouvelles pages courantes non connectées.

  7. Connectez les zones de texte entre les pages selon vos besoins.

Parent topic: Définition d’un document à enchaînements multiples
Related information
  • Ajout d’un modèle de zone de texte sur une maquette


Contrôle de l’enchaînement du texte

Modifiez une étiquette d’enchaînement ou le paramètre Autoconnecter, modifiez des pages non connectées ou des zones de texte dans FrameMaker.

Les caractéristiques de base d’un enchaînement comprennent son étiquette d’enchaînement et son paramètre Autoconnecter. Dans un document contenant un enchaînement ou plusieurs enchaînements parallèles, le paramètre Autoconnecter est généralement actif pour indiquer à FrameMaker d’ajouter une nouvelle page si les zones de texte de l’enchaînement sont pleines. La nouvelle page adopte l’aspect des colonnes de la maquette appropriée (gauche ou droite) et ses zones de texte sont automatiquement connectées aux zones de texte des pages d’origine.

Lors d’un travail sur un document ayant plusieurs enchaînements non parallèles, le paramètre Autoconnecter est généralement désactivé. Cela vous permet d’ajouter une nouvelle page courante non connectée selon votre choix et de contrôler les connexions entre celle-ci et les pages existantes. Si ce paramètre est désactivé et que l’enchaînement contient plus de texte que ne peuvent contenir ses zones de texte, le texte déborde à la fin de la dernière zone de texte de l’enchaînement. La bordure inférieure d’une zone de texte débordante s’affiche sous la forme d’une ligne continue si les bordures sont visibles.

Figure 1. Débordement de zone de texte
Débordement de zone de texte avec une ligne de bordure continue

Si vous essayez de saisir du texte dans une zone de texte débordante, l’ordinateur émet un bip sonore. Le débordement de texte n’est pas supprimé ; il est uniquement masqué. Dès que vous connectez la zone de texte débordante à une autre zone de texte, le texte masqué réapparaît dans la zone suivante.

Si vous devez attribuer une étiquette (par exemple, lors de la création d’enchaînements de texte côte à côte), vous pouvez le faire à tout moment. Dans un nouveau document vierge, l’enchaînement principal porte l’étiquette A. Il suffit d’attribuer une étiquette à un enchaînement une seule fois. La connexion d’une zone de texte à l’enchaînement attribue ensuite l’étiquette à la zone de texte. Si vous modifiez l’étiquette ou le paramètre Autoconnecter dans une zone de texte d’un enchaînement, la modification est apportée à tout l’enchaînement.

  • Modification d’une étiquette d’enchaînement ou du paramètre Autoconnecter
  • Ajout d’une nouvelle page non connectée
  • Suppression de pages non connectées
  • Connexion de zones de texte
  • Déconnexion de zones de texte
  • Suppression d’une zone de texte au milieu d’un enchaînement
  • Division ou annulation de la division de zones de texte
  • Etablissement d’une référence croisée vers une zone de texte déconnectée
  • Suivi d’un enchaînement de texte
Parent topic: Documents à enchaînements multiples


Modification d’une étiquette d’enchaînement ou du paramètre Autoconnecter

Les étiquettes d’enchaînement et le paramètre Autoconnecter sont généralement modifiés sur les maquettes. Si deux zones sont connectées, vous devez les déconnecter avant de pouvoir modifier l’une des étiquettes d’enchaînement.

  1. Cliquez dans une zone de texte de l’enchaînement.

  2. Sélectionnez Format > Personnaliser la mise en page > Personnaliser la zone de texte.

  3. Entrez une étiquette pour l’enchaînement dans la zone de texte Etiquette. Essayez de donner des noms d’étiquettes d’enchaînement aussi courts que possible afin de ne pas obstruer les autres informations dans la zone d’étiquette de la barre d’état. Vous ne pouvez pas attribuer une étiquette déjà utilisée sur la page actuelle.

    Note: pour que deux zones de texte sur une page portent la même étiquette d’enchaînement, connectez les zones de texte.

  4. Pour que FrameMaker ajoute une nouvelle page lorsque la dernière colonne d’une page est pleine, sélectionnez Autoconnecter.

  5. Cliquez sur Définir.

Parent topic: Contrôle de l’enchaînement du texte
Related information
  • Connexion de zones de texte
  • Déconnexion de zones de texte


Ajout d’une nouvelle page non connectée

En général, dans un document comportant un enchaînement principal ou deux enchaînements parallèles, il n’est pas nécessaire d’ajouter des pages courantes non connectées ; FrameMaker ajoute automatiquement des pages connectées si besoin est. Dans un document à enchaînements multiples dans lequel le paramètre Auto-connecter est désactivé ou dans d’autres documents spécialisés, vous pouvez ajouter de nouvelles pages courantes non connectées. Lorsque le texte atteint la fin d’une zone de texte, ajoutez une nouvelle page et connectez les zones de texte.

  1. Depuis une page courante, choisissez Insérer > Ajouter des pages non connectées.

  2. Choisissez l’emplacement et le nombre de pages à ajouter.

  3. Choisissez une maquette dans la liste déroulante Utiliser la maquette et cliquez sur Ajouter.

Parent topic: Contrôle de l’enchaînement du texte


Suppression de pages non connectées

Lors de la suppression de pages non connectées dans un document à enchaînements multiples, FrameMaker supprime également leur contenu.

  1. Cliquez sur une page à supprimer et choisissez Formater > le document > Supprimer des pages.

  2. Spécifiez les première et dernière pages non connectées à supprimer et cliquez sur Supprimer. Pour ne supprimer qu’une seule page, entrez son numéro dans les deux zones de texte.

Parent topic: Contrôle de l’enchaînement du texte


Connexion de zones de texte

Lorsque deux zones de texte sont connectées, le texte passe de la fin de la première zone de texte au début de la seconde. Vous pouvez connecter une zone de texte d’une maquette à toute autre zone de texte de la même maquette et vous pouvez connecter une zone de texte d’une page courante à une autre zone de texte d’une autre page courante. Vous pouvez également connecter une zone de texte au milieu d’un enchaînement.

Lorsque vous connectez deux zones de texte, FrameMaker attribue l’étiquette d’enchaînement de la première zone de texte à la deuxième. Si la première zone de texte ne porte pas d’étiquette, l’étiquette de la deuxième zone est utilisée. Ainsi, toutes les zones de texte connectées appartiennent au même enchaînement et possèdent la même étiquette. Si le texte de la première zone de texte déborde de celle-ci, il passe à la deuxième zone lorsque vous créez la connexion.

  1. Sélectionnez les deux zones de texte dans l’ordre d’enchaînement souhaité. Pour ce faire, cliquez sur chaque zone de texte tout en maintenant la touche Ctrl enfoncée.

    Si les zones de texte se trouvent sur des pages différentes, la première zone est désélectionnée lorsque vous sélectionnez la seconde, mais FrameMaker assure le suivi de la première sélection.

    Note: pour ajouter une zone de texte au milieu d’un enchaînement, sélectionnez la zone de texte à ajouter, puis celle devant la suivre.

  2. Sélectionnez Format > Personnaliser la mise en page > Connecter des zones de texte. Si la première zone de texte sélectionnée ne se trouve pas sur une page actuellement visible, un message d’alerte vous invite à connecter cette zone.

Parent topic: Contrôle de l’enchaînement du texte


Déconnexion de zones de texte

Pour créer des enchaînements distincts (par exemple, pour placer un article à un emplacement spécifique d’un bulletin ou pour créer une citation mise en évidence), vous pouvez déconnecter des zones de texte. Si vous devez commencer un nouvel enchaînement au milieu d’une colonne, vous pouvez diviser en deux la zone de texte contenant la colonne, puis déconnecter les deux zones de texte.

Vous pouvez déconnecter une zone de texte de la zone de texte précédente, de la suivante ou des deux. Vous pouvez également supprimer une zone de texte au milieu d’un enchaînement.

La déconnexion n’affecte pas le texte existant dans les zones. Pour déplacer le texte vers une zone de texte différente, coupez-le et collez-le après la déconnexion des zones.

Note: lorsque vous déconnectez des zones de texte appartenant à la même page courante, FrameMaker crée des enchaînements distincts sans étiquette. Si vous déconnectez des zones de texte de pages courantes différentes, FrameMaker crée des enchaînements distincts ayant la même étiquette d’enchaînement. Dans les deux cas, si vous créez un document de style bulletin avec le paramètre Autoconnecter désactivé pour chaque enchaînement, les étiquettes d’enchaînement ne sont pas prises en compte. FrameMaker ne crée pas automatiquement de nouvelles pages et, par conséquent, il n’est pas nécessaire d’effectuer les connexions de la zone de texte.

  1. Cliquez sur la zone de texte à déconnecter tout en maintenant la touche Ctrl enfoncée.

  2. Sélectionnez Format > Personnalisation de la mise en page, puis sélectionnez Déconnecter de la zone précédente, Déconnecter de la zone suivante ou Déconnecter les deux.

Parent topic: Contrôle de l’enchaînement du texte


Suppression d’une zone de texte au milieu d’un enchaînement

  1. Sélectionnez la zone de texte précédant immédiatement celle à supprimer. Pour ce faire, cliquez sur la zone de texte tout en maintenant la touche Ctrl enfoncée.

  2. Sélectionnez la zone de texte suivant immédiatement celle à supprimer.

  3. Sélectionnez Format > Personnaliser la mise en page > Connecter des zones de texte. Si la première zone de texte sélectionnée ne se trouve pas sur une page actuellement visible, un message d’alerte vous invite à connecter cette zone.

Parent topic: Contrôle de l’enchaînement du texte


Division ou annulation de la division de zones de texte

Vous pouvez diviser une zone de texte en deux, puis déconnecter les deux zones pour commencer un nouvel enchaînement. Vous pouvez souhaiter, par exemple, qu’un nouvel article avec son propre enchaînement démarre au milieu d’une zone de texte.

Figure 1. La deuxième de trois zones de texte est divisée, déconnectée de la première et réétiquetée.
Division de la zone de texte pour déconnecter la deuxième zone de la première

Division de zones de texte

  1. Cliquez sur la ligne située au-dessus de l’endroit auquel vous voulez diviser la zone de texte et choisissez Format > Personnaliser la mise en page > Diviser la zone de texte. FrameMaker divise la zone de texte sous la ligne contenant le point d’insertion, créant deux zones de texte distinctes mais connectées.

  2. Cliquez sur la zone de texte inférieure tout en maintenant la touche Ctrl enfoncée.

  3. Déconnectez la zone de texte de la précédente en choisissant Format > Personnaliser la mise en page > Déconnecter de la zone précédente. Si l’enchaînement portait une étiquette, FrameMaker la supprime. Si le paramètre Autoconnecter était actif avant la déconnexion des zones de texte, il est maintenant désactivé pour les deux zones.

  4. Si besoin est, redimensionnez les zones de texte.

Annulation de la division de zones de texte

  • Si vous n'avez effectué aucune modification depuis la division de la zone de texte, choisissez Edition > Annuler.

  • Si vous avez apporté des modifications mais n’avez pas encore déconnecté les deux zones de texte, supprimez la zone inférieure et redimensionnez la zone de texte restante à la taille de la zone d’origine non divisée.

  • Si vous avez déjà déconnecté les deux zones, coupez le texte de la deuxième zone de texte et collez-le à la fin de la première. Supprimez ensuite la deuxième zone et redimensionnez la première à la taille de la zone d’origine non divisée. Si vous devez réactiver le paramètre Autoconnecter ou réattribuer une étiquette pour l’enchaînement de texte, utilisez la commande Format > Personnalisation de la mise en page > Personnalisation de la zone de texte.

Parent topic: Contrôle de l’enchaînement du texte


Etablissement d’une référence croisée vers une zone de texte déconnectée

Si un article d’un bulletin ou d’un magazine se termine sur une page et continue sur une autre, vous pouvez utiliser une référence croisée pour indiquer au lecteur où continuer sa lecture.

Figure 1. Indiquez où l’enchaînement doit continuer et d’où il provient.
Renvoie une référence à un cadre de texte déconnecté pour indiquer à partir de quelle position l’extrémité de l’article continue

  1. Redimensionnez les deux zones de texte afin qu’il y ait suffisamment de place pour les références croisées. Faites glisser le bas de la première zone vers le haut et le haut de la zone de texte suivante vers le bas.

  2. Dessinez une petite zone de texte en dessous de celle de la première page et une autre au-dessus de celle la page suivante. Ne connectez aucune de ces zones de texte à une autre.

  3. Insérez une référence croisée dans la zone de texte vide de la première page, en établissant une référence à la page de suite.

  4. Insérez une référence croisée dans la zone de texte vide de la page de suite, en établissant une référence à la première page.

Parent topic: Contrôle de l’enchaînement du texte


Suivi d’un enchaînement de texte

Dans un document à plusieurs enchaînements, il est facile de perdre le fil des enchaînements. Vous pouvez effectuer un zoom arrière pour afficher plus de texte ou vous déplacer d’une zone de texte d’un enchaînement à la suivante.

  1. Effectuez un zoom arrière à 25 % et définissez la taille de la fenêtre afin d’afficher autant de pages que nécessaire.

  2. Cliquez dans l’enchaînement à contrôler et choisissez Modifier > Tout sélectionner dans l'enchaînement. L’enchaînement est mis en surbrillance et indique son flux dans les pages du document.

  3. Pour naviguer dans les zones de texte d’un enchaînement procédez de l’une des façons suivantes :

    • Pour afficher la zone de texte connectée suivante, cliquez sur la dernière ligne d’une zone de texte et appuyez sur la touche flèche bas.

    • Pour afficher la zone de texte connectée précédente, cliquez sur la première ligne d’une zone de texte et appuyez sur la touche flèche haut.

Parent topic: Contrôle de l’enchaînement du texte


Définir la direction d’enchaînement

Spécifiez la direction du texte dans une zone de texte (de gauche à droite ou de droite à gauche) dans FrameMaker.

Vous pouvez spécifier la direction (LTR ou RTL) du texte dans une zone de texte. Cela signifie que vous pouvez créer un document dans lequel la direction d’enchaînement peut être différente. Par exemple, vous pouvez créer un document avec deux enchaînements où une langue lue de gauche à droite (telle que l’anglais ou l’allemand) est écrite dans l’enchaînement de gauche et une langue lue de droite à gauche (telle que l’arabe, l'hébreu ou le farsi) est écrite dans le cadre de droite.

  1. Sélectionnez la zone de texte.

  2. Dans le menu Graphiques, sélectionnez Caractéristiques de l’objet.

  3. Dans l’onglet Zone de texte, sélectionnez la direction souhaitée dans la liste déroulante Direction et cliquez sur Appliquer.

Parent topic: Documents à enchaînements multiples


Modèles

Découvrez les modèles ainsi que les modèles structurés et non structurés dans FrameMaker.

Pour créer un modèle, vous devez mettre en page les maquettes, définir et appliquer les formats et définir le texte spécial tel que les variables et les formats de références croisées.

Tip: Définissez un dossier de modèles qui contiendra tous les modèles associés ainsi qu’un document décrivant leur contenu et leur mode d’emploi.
Modèles non structurés

Un modèle est un document qui stocke des caractéristiques utilisées à plusieurs endroits. Vous pouvez soit créer un document à partir d’un modèle pour lui donner toutes les caractéristiques du modèle, soit y importer ultérieurement des caractéristiques spécifiques du modèle. Les modèles permettent de donner à vos documents une mise en page et un formatage uniformes.

Les modèles peuvent contenir les caractéristiques suivantes :

  • Formats de paragraphes, de caractères et de tableaux associés aux informations de formatage des définitions d’éléments

  • Mises en page déterminant le nombre de colonnes et leur position et éléments d’arrière-plan tels que les en-têtes courants

  • Pages de référence contenant les graphiques et les informations de formatage utilisés à plusieurs reprises

  • Variables servant de marques de réservation pour le texte mis à jour par FrameMaker

  • Informations de formatage des références croisées, des équations et des balises conditionnelles

  • Définition des couleurs applicables au texte et aux objets

  • Paramètres appliqués à l’ensemble du document, à savoir les caractéristiques des notes de bas de page, les types de marqueurs personnalisés et les options de justification verticale pour les interlignes

  • Spécifications des polices combinées japonais/polices occidentales (sur les systèmes de langue japonaise)

Modèles structurés

Dans FrameMaker structuré, des modèles structurés sont fournis pour les lettres, les mémos, les fax, les enveloppes, les rapports, les formats, les bulletins, les livres, les FAQ et les livres source unique.

Les modèles structurés peuvent contenir les caractéristiques suivantes :

  • Définitions d’éléments indiquant les règles de contenu, d’attributs et de formatage qui leur sont applicables

  • Paragraphes et caractères associés aux informations de formatage des définitions d’éléments

  • Variables servant de marques de réservation pour le texte mis à jour par FrameMaker

  • Informations de formatage des références croisées et des balises conditionnelles

  • Définition des couleurs applicables au texte et aux objets

Note: si vous travaillez sur des fichiers structurés, un développeur d’application peut avoir configuré des documents spéciaux gérant les conversions à partir de l’application structurée et vers celle-ci. Ces documents peuvent inclure un modèle qui formate les fichiers structurés dans FrameMaker et qui est automatiquement appliqué lorsque vous importez un document à partir de l’application structurée.
  • Conception de la mise en page
    Concevez la mise en page, des formats de texte, standardiser les formats, configurer la numérotation, définir le texte spécial dans FrameMaker.
  • Création de modèles pour les fichiers générés
    Créez des modèles pour les fichiers générés, mettez à jour les formats dans un fichier généré, importez des formats, utilisez le formatage d’un fichier existant lors de la génération d'un nouveau fichier dans FrameMaker.
  • Création de modèles pour la modification de paramètres de balises conditionnelles
    Découvrez comment créer des modèles pour modifier les paramètres des balises conditionnelles dans FrameMaker.
  • Modification des modèles pour documents types et fichiers texte
    Modifiez des modèles pour documents types et fichiers texte, mettez à jour la mise en page dans FrameMaker.
  • Importation de formats à partir d’un modèle ou d’un document
    Découvrez comment importer des formats à partir d’un modèle ou d’un document et les paramètres d’importation et de mise à jour dans FrameMaker.
Parent topic: Mise en page et modèles


Conception de la mise en page

Concevez la mise en page, des formats de texte, standardiser les formats, configurer la numérotation, définir le texte spécial dans FrameMaker.

  1. Créer un document. Vous pouvez commencer par un nouveau document personnalisé ou par une copie d’un document existant que vous envisagez de modifier.

    Tip: En créant la mise en page, vous pouvez visualiser la présentation de pages en regard en les affichant côte à côte. Choisissez Affichage > Options, puis sélectionnez Pages en regard dans la liste déroulante Défilement. Agrandissez la fenêtre et effectuez un léger zoom arrière, le cas échéant, pour que les deux pages puissent s’afficher dans la fenêtre.

  2. Définissez l’aspect des colonnes. Si vous avez commencé avec un document personnalisé, vous avez déjà spécifié le nombre de colonnes et les marges de colonnes. Si vous modifiez un document existant, vous serez peut-être amené à modifier l’aspect des colonnes.

  3. Ajoutez toutes les maquettes personnalisées dont vous aurez besoin et donnez-leur un nom.

  4. Placez le texte et les graphiques (y compris les en-têtes et les pieds de pages) en arrière-plan sur les maquettes.

    Si un en-tête ou un pied de page indique le texte ou la numérotation automatique d’un paragraphe de document tel qu’un titre de chapitre ou de section, il contient une variable E/P courante se rapportant au paragraphe. Pour la configurer, déterminez le style du paragraphe concerné.

  5. Définissez les caractéristiques personnalisées du document, telles que la numérotation et les options de texte, et spécifiez les options d’affichage.

  • Conception de styles de texte
  • Normalisation des graphiques, cadres et tableaux
  • Définition de la numérotation
  • Définition de texte spécial et de polices
  • Définition des options HTML
Parent topic: Modèles


Conception de styles de texte

Après avoir conçu la mise en page, vous devez définir le formatage du texte :

  • Si votre document doit être ouvert ou imprimé sur des ordinateurs autres que le vôtre, utilisez des polices d’utilisation courante.

  • Les styles de paragraphes servant de base au formatage de texte, vous devez les configurer avant les styles de caractères.

  • Lors de la création d’un style de caractères, attribuez la valeur Tel que à tous les paramètres de la fenêtre Configuration de caractères, puis ne spécifiez que les paramètres que vous souhaitez modifier. Ainsi, ce style fonctionnera avec n’importe quel style de paragraphe.

  • Utilisez des étiquettes définissant le rôle du texte plutôt que son aspect. Par exemple, donnez un nom tel que Relief à un format servant à mettre le texte en relief, plutôt que le nom de son style (Gras, par exemple). Si vous décidez ensuite de mettre le texte en relief en l’affichant en italique, vous pourrez redéfinir le format Relief sans devoir modifier l’étiquette du texte.

  • Utilisez des noms faciles à reconnaître. Par exemple, pour des styles de listes numérotées, utilisez Etape1 et EtapeSuiv plutôt que Et1 et EtS. Si vous souhaitez utiliser le clavier pour appliquer des styles de paragraphes et de caractères, pensez à nommer vos étiquettes Et1 Etape1 et EtS EtapSuiv. De cette façon, vous pouvez accéder rapidement aux étiquettes et à leur description à partir du clavier.

  • Si le modèle utilise plusieurs jeux de numérotation automatique, ajoutez un libellé au format de chacun d’entre eux. Par exemple, définissez les numéros automatiques avec S:<n+>, où S: est le libellé.

  • Dans les styles de paragraphes, utilisez Espace Dessus ou Espace Dessous pour ajouter de manière homogène un espace au-dessus ou au-dessous d’un paragraphe. FrameMaker utilise uniquement la plus élevée des deux valeurs pour déterminer l’espace entre les paragraphes.

Parent topic: Conception de la mise en page


Normalisation des graphiques, cadres et tableaux

Si les documents doivent contenir des graphiques, des cadres ou des tableaux, appliquez les recommandations suivantes pour homogénéiser ces documents :

  • Placez les éléments standard sur une page de référence. Vous pouvez inclure des graphiques dont les utilisateurs auront souvent besoin (tels qu’un symbole pour attirer l’attention sur les remarques et les avertissements ou un cadre ancré possédant une hauteur et une largeur standard). Les utilisateurs pourront copier et coller ces éléments selon leurs besoins.

  • Créez un style de paragraphes pour les cadres ancrés pour qu’il y ait suffisamment d’espace autour des graphiques. Par exemple, un style de paragraphe nommé Cadre peut contenir un paramètre Espace Dessous de 20 points et un Interligne de zéro. Chaque cadre peut ensuite être ancré à un paragraphe vierge à l’aide du style Cadre. Vous pouvez également utiliser des tableaux à cellule unique et leur titre pour placer des graphiques et leur légende.

  • Si vous envisagez d’utiliser des zones de texte pour les légendes de graphique, créez un style de paragraphes à cet effet. Si vous prévoyez d’utiliser des lignes de texte, créez un style de caractères (vous ne pouvez pas appliquer un style de paragraphes à une ligne de texte).

  • Choisissez un modèle de couleurs et redéfinissez les couleurs si cela s’avère nécessaire.

  • Préparez des formats de tableaux standard. Seules certaines des caractéristiques définies pour les tableaux peuvent être importées dans un autre document. La largeur du texte dans les tableaux réels variant considérablement, il en va de même pour les autres caractéristiques. Ainsi, les utilisateurs devront probablement rectifier ces caractéristiques eux-mêmes, quelle que soit la façon dont vous préparez les tableaux. Concevez vos tableaux comme des modèles de départ pour les utilisateurs.

Parent topic: Conception de la mise en page


Définition de la numérotation

La numérotation des pages des nouveaux documents est définie sur Recommencer à 1.

Si vous créez un modèle pour la numérotation continue des pages d’un livre, vous voudrez peut-être définir la numérotation des pages dans le modèle sur Continuer la numérotation à partir de la page précédente du livre. Par ailleurs, il peut également être nécessaire de définir la numérotation des chapitres sur Continuer la numérotation à partir du fichier précédent du livre.

Parent topic: Conception de la mise en page


Définition de texte spécial et de polices

Voici quelques conseils pour la définition des éléments du texte spécial :

  • Sélectionnez un style et un format de numérotation, ainsi que d’autres caractéristiques de notes.

  • Définissez les formats des références croisées. Normalisez autant que possible leur format. Par exemple, si des références croisées doivent toujours être introduites par le mot Voir, intégrez ce mot dans la définition du format.

  • Pensez à définir des variables utilisateur pour les noms de produits, les noms de documents et autres éléments susceptibles d’être modifiés au cours du projet.

  • Définissez les étiquettes de condition, les indicateurs de condition et les paramètres de visualisation des balises conditionnelles.

  • Définissez des types de marqueurs personnalisés si vous devez créer des index spécialisés.

  • Définissez les dimensions et les polices des équations pour des documents qui en comporteront.

  • Si vos documents doivent comporter du texte en langue japonaise, définissez les polices combinées à utiliser ainsi que les caractéristiques du texte Rubi.

Parent topic: Conception de la mise en page


Définition des options HTML

Si des documents basés sur vos modèles doivent être convertis au format HTML, il vous faut définir des macros de mise en correspondance et de conversion qui définissent la méthode de conversion des documents.

  • Définissez la correspondance entre des styles de paragraphes et de caractères FrameMaker vers des balises HTML.

  • Créez les macros de conversion devant convertir les formats de références croisées en un format adapté aux documents électroniques.

  • Créez les autres macros de conversion nécessaires (par exemple, pour placer un logo en haut de chaque nouvelle page Web ou pour définir le titre du document HTML).

Parent topic: Conception de la mise en page


Création de modèles pour les fichiers générés

Créez des modèles pour les fichiers générés, mettez à jour les formats dans un fichier généré, importez des formats, utilisez le formatage d’un fichier existant lors de la génération d'un nouveau fichier dans FrameMaker.

Lorsque vous générez une table des matières, un index ou toute sorte de fichier généré, si le dossier contenant le document source ou le fichier livre comporte un fichier dont le nom correspond à celui du fichier généré, FrameMaker utilise le formatage du fichier existant lors de la génération du nouveau fichier. Le fichier existant sert de modèle pour le nouveau fichier généré, comme si vous aviez importé certains de ses formats. Utilisez cette fonction pour créer des modèles de fichier généré comportant des mises en page, des styles de paragraphes et caractères et les informations de formatage s’affichant sur la page de référence.

Vous pouvez également mettre à jour les formats dans un fichier généré en important des formats depuis un modèle. Cependant, vous devrez probablement à nouveau générer le fichier après l’importation des formats pour visualiser tout le formatage.

  1. Ouvrez le document ou le fichier livre à partir duquel vous souhaitez générer la table des matières, l’index ou tout autre fichier.

  2. Générez le fichier.

  3. Formatez le fichier généré. Ce fichier formaté devient votre modèle.

  4. Enregistrez le fichier généré. Assurez-vous que ce modèle se trouve dans le dossier contenant le document ou le fichier livre que vous utiliserez pour créer un fichier généré.

Parent topic: Modèles
Related information
  • Importation de formats à partir d’un modèle ou d’un document


Création de modèles pour la modification de paramètres de balises conditionnelles

Découvrez comment créer des modèles pour modifier les paramètres des balises conditionnelles dans FrameMaker.

Si vous modifiez souvent la vue de documents conditionnels dans un livre, vous trouverez sans doute utile d’avoir un modèle pour chaque vue. Vous pourrez ainsi modifier la vue de tous les fichiers du livre simultanément en important les paramètres de balises conditionnelles de l’un des modèles dans le fichier livre.

Si vous souhaitez modifier la vue d’un seul document contenant des balises conditionnelles, il est plus pratique de modifier les paramètres Afficher/Masquer du document.

  1. Définissez un modèle de base pour le document conditionnel en affichant toutes les conditions et leurs indicateurs. Vous importerez les paramètres des balises conditionnelles depuis ce modèle avant de modifier un document.

  2. Définissez un modèle pour chaque combinaison de conditions que vous souhaitez visualiser. Utilisez ces modèles pour visualiser ou imprimer une version du document à la fois. Vous pouvez également utiliser le modèle pour modifier les définitions de variables exclusives à une vue.

Parent topic: Modèles


Modification des modèles pour documents types et fichiers texte

Modifiez des modèles pour documents types et fichiers texte, mettez à jour la mise en page dans FrameMaker.

Vous pouvez modifier le modèle personnalisé du document type afin qu’il contienne les formats de votre choix. Le modèle peut contenir les mêmes formats comme tout autre modèle, à l’exception de la mise en page. La mise en page de la maquette, le nombre de colonnes et les marges sont spécifiés lors de la création des documents types.

Vous pouvez également modifier le modèle personnalisé utilisé par FrameMaker lorsque vous ouvrez des fichiers texte.

Note: vous pouvez modifier le nom de fichier à rechercher lors de la création d’un document type ou de l’ouverture d’un fichier texte.
  • Modification du modèle de documents types
  • Modification du modèle de fichiers texte
Parent topic: Modèles


Modification du modèle de documents types

  1. Modifiez un document afin qu’il contienne les formats et paramètres souhaités. Laissez les maquettes vides et ne créez pas de maquettes personnalisées.

  2. Supprimez toutes les zones de texte des maquettes gauche et droite (même si un document est défini au format recto uniquement). Si le document est uniquement recto, choisissez Format > Mise en page > Pagination, sélectionnez Recto-verso, puis cliquez sur Définir. Sélectionnez ensuite les zones de texte sur la maquette et supprimez-les.

  3. Sélectionnez Format > Document > Supprimer des pages et supprimer toutes les pages de corps.

  4. Enregistrez le document à l’aide du fichier personnalisé se trouvant dans le dossier fminit de FrameMaker. (Lorsque vous choisissez Nouveau > Document Adobe FrameMaker dans le menu contextuel d’un dossier ou sur le bureau, fichier Shellnew.fm est utilisé.)

Parent topic: Modification des modèles pour documents types et fichiers texte


Modification du modèle de fichiers texte

  1. Modifiez un document afin qu’il contienne les formats et paramètres souhaités. Par exemple, vous pouvez placer des en-têtes et pieds de pages, un Catalogue de paragraphes et des graphiques de maquette dans le document modèle.

  2. Supprimez tout le texte sur les pages courantes.

  3. Cliquez dans la zone de texte vide de la page 1 et attribuez-lui l’étiquette du style de paragraphe à utiliser pour tout le texte du document. Le modèle par défaut utilise le style de paragraphe « Body ».

  4. Enregistrez le document à l’aide du fichier txttmplt se trouvant dans le dossier fminit de FrameMaker.

Parent topic: Modification des modèles pour documents types et fichiers texte


Importation de formats à partir d’un modèle ou d’un document

Découvrez comment importer des formats à partir d’un modèle ou d’un document et les paramètres d’importation et de mise à jour dans FrameMaker.

Vous pouvez importer des styles de paragraphes, des styles de tableaux, des définitions de variables ainsi que d’autres caractéristiques d’un autre document.

Vous pouvez également conserver ou supprimer tout format personnalisé du document (par exemple, les modifications apportées au paragraphe mais non enregistrées dans le Catalogue de paragraphes.

  • Importation de styles
  • A propos des paramètres d’importation et de mise à jour
Parent topic: Modèles


Importation de styles

  1. Ouvrez le document contenant les formats que vous souhaitez importer.

  2. Activez la fenêtre de document ou de livre qui vous intéresse. Si la fenêtre de livre est active, sélectionnez les documents que vous voulez mettre à jour.

  3. Dans le document ou le livre que vous mettez à jour, sélectionnez Fichier > Importer > Formats.

  4. Procédez de l’une des façons suivantes :

    • Pour importer des formats d’un document, choisissez celui-ci dans la liste déroulante Importer du document. Cette liste déroulante répertorie tous les documents enregistrés ouverts.

    • Pour réappliquer des formats du document courant, choisissez En cours dans la liste déroulante Importer du document.

  5. Sélectionnez les paramètres Importer et mettre à jour que vous souhaitez appliquer au document actuel. Par défaut, toutes les options sont sélectionnées. Pour sélectionner ou désélectionner toutes les options simultanément, cliquez sur Tout sélectionner ou Tout désélectionner. Si vous mettez à jour des définitions de variables, des formats de références croisées ou des définitions mathématiques, alors que certains de ces éléments utilisent des styles de caractères, sélectionnez Styles de caractères afin qu’ils soient ajoutés au document.

  6. Pour supprimer des modifications apportées à des formats individuels et non enregistrées dans un catalogue, procédez comme suit :

    • Pour supprimer les sauts de page n’appartenant pas à un format du Catalogue de paragraphes, sélectionnez Sauts de page manuels.

    • Pour supprimer les formats personnalisés de paragraphes, de caractères, de mise en page et de tableaux, sélectionnez Autres formats de page pers.

  7. Cliquez sur Importer.

Parent topic: Importation de formats à partir d’un modèle ou d’un document
Related information
  • A propos des mises en page personnalisées


A propos des paramètres d’importation et de mise à jour

Lors de l’importation des informations de formatage depuis un modèle, FrameMaker fusionne les informations dans le document au lieu de les remplacer entièrement. Par exemple, lorsque vous importez des styles de paragraphes, FrameMaker les ajoute au Catalogue de paragraphes du document. Si des styles portent le même nom dans les deux documents, le style importé écrase le style d’origine. Tout style non écrasé est conservé dans le document.

Note: Les différences de casse étant prises en compte dans FrameMaker, le nom Courant est différent du nom courant.
Styles de paragraphes

Le Catalogue de paragraphes du modèle est fusionné dans le document et tous les styles du catalogue sont appliqués de nouveau au document. Les paramètres de signets PDF du modèle sont également copiés dans le document.

Styles de caractères

Le Catalogue de caractères du modèle est fusionné dans le document et tous les styles du catalogue sont appliqués de nouveau au document.

Mises en page

Les maquettes du modèle sont fusionnées dans le document et les pages courantes sont mises à jour avec les modifications de maquette. Si le modèle et le document possèdent une maquette portant le même nom, la maquette du modèle remplace celle du document. FrameMaker copie les caractéristiques de la barre de modification, l’ensemble des réglages des boîtes de dialogue Format de page et Pagination, ainsi que la plupart des paramètres de la boîte de dialogue Options d’affichage.

Formats de tableaux

Le Catalogue de tableaux et les styles de trait du modèle sont fusionnés dans le document et tous les formats du catalogue sont appliqués de nouveau au document.

Définitions des couleurs

Les définitions de couleurs et les vues du modèle sont fusionnées dans le document.

Caractéristiques de document

Les caractéristiques de types de marqueurs personnalisés et de notes, les styles de numérotation de la boîte de dialogue Caractéristiques de numérotation (volumes, pages, paragraphes, notes et notes de table), les caractères du paramètre Autoriser rupture de lignes après de la boîte de dialogue Options de texte et le paramètre Justification verticale de la boîte de dialogue Alignement vertical des paragraphes du modèle sont fusionnés dans le document. Les paramètres de Configuration PDF (autres que les paramètres de signets) sont également fusionnés dans le document. Sur les systèmes de langue japonaise, les caractéristiques de texte Rubi et les règles kumihan (règles de composition en langue japonaise) fusionnent également dans le document.

Pages de référence

Toutes les pages de référence du modèle (exceptées les pages de référence FrameMath) sont fusionnées dans le document. Si le modèle et le document possèdent une page de référence portant le même nom, la page de référence du modèle remplace celle du document. Pour importer des pages de référence FrameMath, sélectionnez Définitions mathématiques.

Définitions de variables

Les définitions de variables du modèle sont fusionnées dans le document.

Formats de références croisées

Les formats de références croisées du modèle sont fusionnés dans le document et les références croisées internes sont mises à jour.

Paramètres de balises conditionnelles

Les étiquettes de condition et les paramètres Afficher/Masquer du modèle sont fusionnés dans le document et appliqués aux balises conditionnelles.

Définitions mathématiques

Les paramètres de format et de police d’équation, les définitions des éléments mathématiques personnalisés et les pages de référence FrameMath du modèle sont copiés dans le document. Si un élément mathématique personnalisé du document est supprimé lors de la fusion des pages de référence, FrameMaker remplace cet élément dans les équations par le nom de l’élément placé entre les points d’interrogation.

Polices combinées

Sur les systèmes en langue japonaise, les spécifications des polices japonaises et occidentales combinées sont fusionnées dans le document et appliquées au texte utilisant les polices combinées.

Parent topic: Importation de formats à partir d’un modèle ou d’un document


Importation de caractéristiques de formatage

Découvrez l’importation de caractéristiques de formatage dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Paramètres de formatage

  • Importation de caractéristiques à partir d'un modèle

Introduction

Vous pouvez importer un grand nombre d’informations de formatage, notamment les mises en pages, les formats de paragraphe et de tableau, la définition des variables et des couleurs, les propriétés d’objet comme un style et les paramètres de balises conditionnelles. Si des expressions conditionnelles sont créées dans votre document source, elles sont, de même que leur état Afficher par expression, importées dans les documents cibles. De la même manière, dans les documents structurés, tous les paramètres Filtrer par attribut que vous avez définis sont également importés.

  1. Ouvrez le modèle contenant les formats. Le modèle doit être nommé et enregistré.

  2. Ouvrez le document ou le livre que vous souhaitez mettre à jour. Si la fenêtre de livre est active, sélectionnez les documents que vous voulez mettre à jour.

  3. Dans le document ou le livre que vous mettez à jour, sélectionnez Fichier > Importer > Formats.

  4. Choisissez le modèle approprié dans la liste déroulante Importer du document. Ce menu répertorie l’ensemble des documents nommés et ouverts.

    Vous pouvez également choisir le document en cours afin d’appliquer de nouveau les formats que le document possède déjà. Cette fonctionnalité permet notamment de supprimer les modifications de formatage, comme décrit à l’étape 6.

  5. Sélectionnez les paramètres Importer et mettre à jour que vous souhaitez appliquer au document actuel.

    • Si vous mettez à jour des formats de références croisées, des définitions mathématiques ou des définitions de variables et que certains de ces éléments utilisent des styles de caractères, sélectionnez également Styles de caractères afin que tous les nouveaux styles soient ajoutés au document.

    • Si les mises en correspondance HTML ont été modifiées, sélectionnez Pages de référence.

  6. Si vous souhaitez supprimer des modifications de formatages qui ne sont pas enregistrées dans des styles de catalogue, procédez comme suit :

    • Pour supprimer les sauts de page qui ne font pas partie d’un style de paragraphe, sélectionnez Sauts de page manuels.

    • Pour supprimer les formats personnalisés de paragraphes, de caractères, de mises en page et de tableaux, sélectionnez Autres formats/mises en page pers..

    Important: Dans la plupart des cas, ne sélectionnez pas Autres formats/mises en page pers. dans un document structuré, car les définitions des éléments utilisent parfois des formats personnalisés.

  7. Cliquez sur Importer.

Paramètres de formatage

Lorsque vous importez des styles, FrameMaker fusionne les nouvelles informations de formatage dans le document.

Par exemple, si vous importez des styles de tableaux, les styles sont ajoutés au Catalogue de tableaux. Si un style se trouvant déjà dans le catalogue a le même nom qu'un style importé, le style importé remplace le style d'origine. Tous les styles qui ne sont pas écrasés restent dans le catalogue.

Styles de paragraphes

Le Catalogue de paragraphes du modèle est fusionné dans le document et tous les styles du catalogue sont appliqués de nouveau au document.

Styles de caractères

Le Catalogue de caractères du modèle est fusionné dans le document et tous les styles du catalogue sont appliqués de nouveau au document.

Mises en page

Les maquettes du modèle sont fusionnées dans le document et les pages courantes sont mises à jour avec les modifications de maquette. Si le modèle et le document contiennent une maquette de même nom, la maquette du modèle remplace celle du document. FrameMaker copie les caractéristiques de la barre de modification, l’ensemble des réglages des boîtes de dialogue Format de la page et Pagination, ainsi que la plupart des paramètres de la boîte de dialogue Options d’affichage.

Formats de tableaux

Le Catalogue de tableaux et les styles de trait du modèle sont fusionnés dans le document et tous les formats du catalogue sont appliqués de nouveau au document.

Définitions des couleurs

Les définitions de couleurs et les vues du modèle sont fusionnées dans le document.

Caractéristiques de document

Les caractéristiques de types de marqueurs personnalisés et de notes, les styles de numérotation de la boîte de dialogue Caractéristiques de numérotation (volumes, pages, paragraphes, notes et notes de table), les caractères du paramètre Autoriser rupture de lignes après de la boîte de dialogue Options de texte et le paramètre Justification verticale de la boîte de dialogue Alignement vertical des paragraphes du modèle sont fusionnés dans le document. Les paramètres de Configuration PDF (autres que les paramètres de signets) sont également fusionnés dans le document. Sur les systèmes de langue japonaise, les caractéristiques de texte Rubi et les règles kumihan (règles de composition en langue japonaise) fusionnent également dans le document.

Pages de référence

Les pages de référence du modèle (sauf pour les pages de référence FrameMath™) fusionnent dans le document. S’il existe une page de référence portant le même nom dans le modèle et le document, c’est la page de référence du modèle qui remplace celle du document. Pour importer les pages de référence FrameMath, sélectionnez Définitions mathématiques.

Définitions de variables

Les définitions de variables du modèle sont fusionnées dans le document.

Formats de références croisées

Les formats de références croisées du modèle sont fusionnés dans le document et les références croisées internes sont mises à jour.

Paramètres de balises conditionnelles

Les balises conditionnelles du modèle et les paramètres Afficher/masquer fusionnent dans le document.

Définitions mathématiques

Les paramètres de format et de police d’équation, les définitions des éléments mathématiques personnalisés et les pages de référence FrameMath du modèle sont copiés dans le document. En cas de suppression d’éléments mathématiques personnalisés du document lors de la fusion des pages de référence, FrameMaker remplace les éléments mathématiques dans les équations par le nom de l’élément mathématique encadré par des points d’interrogation.

Note: dans les équations FrameMaker, le terme « élément mathématique » désigne une partie d’une expression. Un élément mathématique n’est pas un élément de structure.
Polices combinées

Sur les systèmes en langues asiatiques, les polices combinées sont fusionnées dans le document.

Styles d’objet
Les propriétés des objets tels que les images, les cadres ancrés, les graphiques, les équations etc. disponibles dans le modèle sont fusionnées dans le document.

Importation de caractéristiques à partir d'un modèle

Vous pouvez importer des définitions d’éléments et autres caractéristiques dans votre document à partir de tout document FrameMaker. Ce second document est généralement un modèle que vous n’avez pas utilisé pour créer votre document.

Si vous avez fait utilisé le modèle approprié, l’importation de caractéristiques n’est pas nécessaire puisque le document possède déjà les caractéristiques requises.

Si le modèle de votre document a été révisé, vous devez de nouveau importer les caractéristiques à partir du modèle pour mettre votre document à jour.

Vous pouvez également importer des caractéristiques dans tous les fichiers d’un livre simultanément.

Parent topic: Mise en page et modèles
Related information
  • Importation de styles dans un livre
  • Formatages personnalisés


Modification de contenu

Découvrez comment modifier le contenu d’Adobe FrameMaker.

FrameMaker propose de nombreux outils et options permettant de créer un contenu.

Outre le texte, vous pouvez ajouter des graphiques, des images, des tableaux et des liens à vos documents.

Vous pouvez également inclure des équations mathématiques complexes et codes QR.

  • Texte et caractères spéciaux
    Découvrez comment ajouter du texte et des caractères spéciaux au document dans Adobe FrameMaker.
  • Importation et liaison de fichiers
    Savoir importer et lier des fichiers dans FrameMaker.
  • Importation de texte
    Découvrez comment utiliser la commande Importer un fichier pour importer du texte formaté et non formaté dans FrameMaker.
  • Diviser les grands documents
    Apprenez à partager de grands documents que vous auriez importés de Word, Excel, MIF ou de tout autre système d’auteur.
  • panneau Équations
    Connaître le placement et l’affichage des équations, les équations en ligne dans les documents structurés, les équations dans les cadres graphiques de FrameMaker.
  • panneau Marqueurs
    Découvrez les marqueurs dans FrameMaker.
  • Commandes hypertextes
    Ajoutez des commandes hypertextes dans Adobe FrameMaker et définissez des zones hyperliens actives.
  • Annulation/Rétablissement de plusieurs opérations
    Découvrez les multiples actions d'annulation ou de rétablissement dans FrameMaker.
  • Vérification de l'orthographe, césure et thésaurus
    Découvrez différentes façons de changer les options du vérificateur d’orthographe et la césure dans FrameMaker.
  • Rechercher
    La fonctionnalité Chercher/Remplacer vous permet de rechercher des éléments (pas seulement du texte) dans un document, un livre ou un mappage.
  • Exportation de texte et de graphiques
    Découvrez comment exporter du texte et des graphiques dans Adobe FrameMaker.
  • Prise en charge du codage Unicode
    Découvrez la rédaction dans plusieurs langues et la prise en charge d'Unicode dans FrameMaker, ainsi que l'utilisation de claviers tiers.
  • Prise en charge des langues asiatiques
    Comprendre le support des langues asiatiques, les jeux de caractères et les méthodes de codage, les règles de composition et l'exportation dans d'autres langues asiatiques dans Adobe FrameMaker.
  • Formatages personnalisés
    Découvrez les formatages personnalisés dans FrameMaker.


Texte et caractères spéciaux

Découvrez comment ajouter du texte et des caractères spéciaux au document dans Adobe FrameMaker.

En tant qu'environnement de création, Adobe FrameMaker offre des outils qui permettent d'ajouter facilement du texte (y compris des caractères spéciaux) à un document.

Bien que le texte contienne des caractères standards comme des lettres et des chiffres, vous pouvez également saisir des caractères comme une tabulation, des symboles de puce, des symboles mathématiques.

  • Ajout de texte et de caractères spéciaux
    Découvrez comment ajouter du texte, des personnages spéciaux, des onglets, des espaces spéciaux et des guillemets intelligents dans FrameMaker.
  • Caractères spéciaux
Parent topic: Modification de contenu


Ajout de texte et de caractères spéciaux

Découvrez comment ajouter du texte, des personnages spéciaux, des onglets, des espaces spéciaux et des guillemets intelligents dans FrameMaker.

Le point d’insertion marque l’emplacement de saisie ou d’édition du texte. L’emplacement du point d’insertion détermine le paragraphe auquel les commandes de format de paragraphes sont appliquées.

Le menu Spécial permet également d’insérer des éléments de texte spéciaux, tels que des références croisées, des notes, des variables et des marqueurs. Lorsque vous cliquez sur un élément de texte spécial, tel qu’une référence croisée, une variable ou un encart de texte, vous sélectionnez l’objet entier.

Si vous ne pouvez pas placer le point d’insertion dans le texte ou près de celui-ci, les raisons possibles sont les suivantes :

  • Le texte d’arrière-plan a été saisi sur une maquette. Affichez la maquette contenant le texte et placez le point d’insertion dans le texte sur cette page.

  • Le texte a été généré automatiquement, comme les numéros automatiques de paragraphes, les références croisées ou les en-têtes et les pieds de page.

Parent topic: Texte et caractères spéciaux
Related information
  • Modification des taquets de tabulation
  • Texte et caractères spéciaux


Caractères spéciaux

Dans ce sujet

  • Introduction

  • Tabulateurs

  • Caractères d'espacement

  • Guillemets ouvrants/fermants

Introduction

En plus des caractères standard, vous pouvez entrer des puces, des tirets, des espaces à largeur fixe, des symboles mathématiques, des caractères internationaux ainsi que d’autres caractères spéciaux.

Note: Dans FrameMaker, les séquences de caractères (alt) ne sont pas implémentées pour les polices Dingbats et Symbol car, pour ces polices, des équivalents Unicode de la page de code 1252 sont fournis par défaut. Les séquences de caractères (alt) ne sont implémentées que pour la famille de polices de caractères MakerRoman.

Pour obtenir la liste des caractères des polices Symbol et Zapf Dingbats, la liste des caractères accentués dans le jeu de caractères standard ainsi que des informations sur l’insertion du symbole monétaire de l’euro, consultez le manuel en ligne Jeux de caractères FrameMaker.

certains caractères spéciaux sont entrés ou affichés différemment dans les boîtes de dialogue. Sous Windows, vous devez entrer une séquence de caractères en commençant par une barre oblique inverse (\). Ces séquences sont répertoriées dans la section Boîtes de dialogue.

Tabulateurs

Chaque fois que vous appuyez sur la touche tab ↹, un symbole de tabulation Symbole de tabulation est incorporé au texte. Ce symbole ne s’affiche pas sur le document imprimé mais est visible à l’écran si les symboles de texte sont activés.

Si le paragraphe en cours possède des taquets de tabulation définis, FrameMaker déplace le point d’insertion et le texte d’un taquet à chaque fois que vous appuyez sur la touche tab ↹. Si aucun taquet n’est défini et que vous appuyez sur la touche tab ↹, le point d’insertion et le texte ne se déplacent pas. Si vous appuyez sur la touche tab ↹ plus de fois qu’il n’y a de taquets, les symboles de tabulation se superposent. Si vous ajoutez par la suite des taquets de tabulation au paragraphe, FrameMaker positionne correctement le texte en fonction de ces taquets.

FrameMaker utilise des taquets de tabulation absolus et non relatifs. Avec une tabulation relative, le point d’insertion est envoyé au taquet de tabulation disponible suivant chaque fois que vous appuyez sur la touche Tab. Avec la tabulation absolue, lanième tabulation d’une ligne envoie le point d’insertion au nième taquet. Si ce taquet se trouve à gauche du point d’insertion, ce dernier ne bouge pas.

Caractères d'espacement

Lorsque vous appuyez sur la barre d’espacement, vous insérez un espace proportionnel (dont la largeur dépend des caractères qui l’entourent). Vous pouvez également insérer des espaces spéciaux à largeur fixe (pour augmenter l’espace entre deux mots, par exemple). Lorsque vous entrez un espace spécial entre deux mots, ces derniers restent toujours ensemble sur une ligne.

Les types d’espaces spéciaux suivants sont disponibles :

  • Un espace cadratin a la même largeur que la taille en points de la police utilisée. Par exemple, si vous utilisez une police de 10 points, la largeur de l’espace cadratin est de 10 points.

  • Un espace demi-cadratin a une largeur inférieure de moitié à celle d’un espace cadratin.

  • Un espace numérique a la même largeur que le caractère 0 (zéro) de la police. Tous les chiffres ont généralement la même largeur. Cet espace est utile pour aligner des nombres dans une colonne sans devoir utiliser des tabulations.

  • Un espace fin a une largeur égale au douzième de celle d’un espace cadratin. Un tel espace est utilisé pour séparer un nombre et l’unité de mesure qui le suit ou des caractères s’affichant trop près l’un de l’autre, comme « /) ».

  • Un espace insécable a la même largeur qu’un espace par défaut de la police.

Lorsque la fonction Réduction espaces est activée, vous ne pouvez pas entrer plusieurs espaces proportionnels sur une ligne. Vous pouvez cependant entrer plusieurs espaces à largeur fixe

Guillemets ouvrants/fermants

Lorsque la fonction Guillemets ouvrants/fermants est activée, FrameMaker insère des guillemets gauche et droit courbés, ou les guillemets que vous avez définis dans la boîte de dialogue Préférences . Chaque fois que vous appuyez sur la touche des guillemets simples ou doubles( Guillemet simple, Guillemet arrière ou Guillemet double), les guillemets configurés sont entrés en fonction de vos préférences. Comme la fonction Guillemets ouvrants/fermants dépend de la langue, la langue définie pour le style du paragraphe détermine les guillemets à utiliser.

Note: Si vous préférez des guillemets droits, désactivez cette fonction.

La fonction Guillemets ouvrants/fermants ne s’applique pas au texte des zones de dialogue. Pour plus d’informations sur la saisie des guillemets et des apostrophes dans les boîtes de dialogue, voir Jeux de caractères.

  1. Pour définir des caractères spéciaux ouvrants/fermants, dans une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Document > Options de texte.

  3. Modifiez l’option Réduction espaces ou Guillemets ouvrants/fermants, puis cliquez sur Appliquer.

Tip: Lorsque vous sélectionnez Réduction espaces, FrameMaker ne modifie pas les guillemets déjà présents dans le document. Pour rechercher les apostrophes et guillemets droits et les modifier en apostrophes et guillemets courbés, utilisez la commande Orthographe ou la commande Chercher/Remplacer.
Parent topic: Texte et caractères spéciaux


Importation et liaison de fichiers

Savoir importer et lier des fichiers dans FrameMaker.

  • Méthodes de liaison et d’importation
    Comprendre les méthodes d’importation et de lien, l'importation de fichiers texte, graphiques, audio, vidéo et d'objets. Utilisez les commandes Presse-papier, Importer et Objet dans FrameMaker.
  • Utilisation des chemins d’accès lors de l’importation par référence
    Découvrez les chemins lors de l’importation par référence, chemin relatif et chemin absolu dans Adobe FrameMaker.
  • Importation de graphiques
    Utilisez la commande Importer un fichier pour importer des graphiques, en apprendre davantage sur le format graphique, localiser les graphiques manquants, ajouter des graphiques à des documents structurés et des cadres ancrés dans FrameMaker.
  • Insertion d’éléments graphiques importés dans des documents structurés
    Utilisez la commande Importer un fichier pour importer des graphiques, en apprendre davantage sur le format graphique, localiser les graphiques manquants, ajouter des graphiques à des documents structurés et des cadres ancrés dans FrameMaker.
  • Importation d'objets audio, vidéo et 3D
    Découvrez comment importer des objets vidéos (notamment des vidéos YouTube), audio et 3D. Gérez les documents avec des objets 3D, définissez des vues et des schémas d’éclairage, des fichiers d’affiches dans FrameMaker.
  • Utilisation d'objets 3D dans Adobe FrameMaker
    Découvrez comment importer des objets 3D, gérer des documents avec des objets 3D, définir des vues et des schémas d’éclairage et définir une image d’affiche pour un objet 3D dans Adobe FrameMaker.
  • Importation de fichiers PDF
  • Importation de fichiers Microsoft Excel
    Découvrez comment importer des fichiers Microsoft Excel (XLS et XSLX) dans Adobe FrameMaker.
  • Importation de fichiers Microsoft Word
    Découvrez comment importer des documents Microsoft Word dans un document FrameMaker.
  • Importation de fichiers MIF
    Comprendre comment importer Maker Interchange Files (MIF) dans un document FrameMaker.
  • Joindre ou intégrer des fichiers
    Apprenez à insérer des fichiers dans votre document source et à les publier dans la sortie PDF.
Parent topic: Modification de contenu


Méthodes de liaison et d’importation

Comprendre les méthodes d’importation et de lien, l'importation de fichiers texte, graphiques, audio, vidéo et d'objets. Utilisez les commandes Presse-papier, Importer et Objet dans FrameMaker.

Dans ce sujet

  • Introduction

  • Importation à partir du presse-papiers

  • Utilisation du glisser-déposer

  • Importation par référence

  • Copier dans le document

  • Utilisation de la commande Fichier > Importer > Objet

Introduction

Vous pouvez importer d’autres documents Adobe FrameMaker, des documents créés dans d’autres applications, des fichiers texte, audio, vidéo (y compris des vidéos YouTube) et graphiques. Vous pouvez aussi importer des objets 3D dans les documents FrameMaker.

Un objet importé peut être simplement collé dans le document. Vous pouvez aussi le lier (importation par référence) pour qu’il reste associé à la source et ainsi faciliter la mise à jour.

Importation à partir du presse-papiers

Le moyen le plus simple pour importer du texte et des graphiques est de copier et de coller à l’aide du presse-papiers. Lorsque vous appliquez cette méthode, tenez compte des points suivants :

  1. Sélectionnez l’objet ou le texte que vous souhaitez copier, puis choisissez Edition > Copier. Le contenu est copié dans le presse-papiers.

  2. Placez le point d'insertion à l'endroit du document où vous voulez coller le contenu, puis sélectionnez Edition > Coller.

Lorsque vous appliquez cette méthode, tenez compte des points suivants :

  • Vous pouvez convertir du texte séparé par des marques de tabulation en tableau avec la commande Tableau > Convertir en tableau.

  • Le formatage de texte est perdu, sauf si vous le collez dans un autre document FrameMaker.

  • Si vous sélectionnez Edition > Coller (spécial), cela vous offre plus d’options. Par exemple, vous pouvez coller le texte au format RTF ou en tant que document Microsoft Word incorporé. Pour appliquer des formats FrameMaker, copiez ensuite le contenu du Presse-papiers en tant que texte. Pour les graphiques, vous pouvez coller le contenu du presse-papiers sous forme d'image bitmap incorporée, d'image bitmap indépendante du périphérique ou en tant que métafichier.

  • Lorsque vous copiez et collez du texte d’une direction spécifique (LTR ou RTL) dans un document FrameMaker, vous devez vous assurer que le sens du texte de l’emplacement de destination (document, tableau, ou un paragraphe) est placé dans le même sens.

Utilisation du glisser-déposer

L’importation et l’exportation sont beaucoup plus faciles lorsque vous pouvez faire glisser un objet vers son nouvel emplacement.

Dans FrameMaker, vous pouvez effectuer les opérations de glisser-déposer suivantes :

  • Déplacer un graphique depuis une fenêtre de document FrameMaker ouverte vers une autre en faisant glisser le graphique. Vous pouvez également le copier en le déplaçant tout en maintenant la touche Ctrl enfoncée ou cliquer dessus avec le bouton droit de la souris au moment où vous le déposez afin d’afficher un menu contextuel.

  • Déplacer un graphique depuis une fenêtre de document FrameMaker vers une autre application prenant en charge les opérations de glisser-déposer.

  • Faire glisser un fichier graphique depuis un dossier ou depuis le bureau vers une fenêtre de document ouverte.

  • Déplacer un ou plusieurs fichiers de document vers la fenêtre de l’application pour ouvrir les fichiers ou faire glisser un fichier vers une fenêtre de document pour l’incorporer.

Importation par référence

Si vous effectuez une importation par référence, le texte ou les graphiques importés restent liés au fichier source. FrameMaker conserve le chemin du fichier source dans le document. A chaque ouverture du document, FrameMaker repère le fichier sur le disque et l’affiche.

Si le fichier source a été modifié, FrameMaker met à jour le document avec la dernière version. L'importation par référence peut réduire la taille totale du fichier, car elle permet d'utiliser les mêmes données à plusieurs endroits sans stocker le contenu des images ou du texte importés dans le document FrameMaker. Le texte importé par référence est appelé un encart de texte.

  1. Sélectionnez Fichier > Importer > Fichier. La boîte de dialogue Importer s’ouvre.

  2. Sélectionnez le fichier que vous souhaitez importer, puis sélectionnez Importation par référence.

  3. Cliquez sur Importer.

Pour plus de détails sur l’enregistrement du Chemin lors de l’importation par référence, reportez-vous à la section Utilisation des chemins d’accès lors de l’importation par référence.

Copier dans le document

L’importation par copie facilite le transfert des données importées d’un emplacement à un autre mais elle augmente la taille du document. De plus, si vous modifiez la source, vous devez réimporter les données afin de mettre à jour le document avec la dernière version.

  1. Sélectionnez Fichier > Importer > Fichier. La boîte de dialogue Importer s’ouvre.

  2. Sélectionnez le fichier que vous souhaitez copier dans le document. Sélectionnez Copier dans le document.

  3. Cliquez sur Importer.

Utilisation de la commande Fichier > Importer > Objet

L’utilisation de la fonction OLE (liaison et incorporation d’objet) a comme principal avantage de permettre l’affichage de visualisations de données créées dans des applications autres que FrameMaker. L’option Fichier > Importer > Objet associe l'objet importé au programme utilisé pour le créer, ce qui permet de le modifier dans son programme d'origine. Par exemple, vous pouvez insérer un diagramme circulaire créé à l’aide de Microsoft Excel dans un document FrameMaker. A chaque fois que vous cliquez deux fois sur l’objet inséré, FrameMaker l’ouvre dans Microsoft Excel où vous pouvez le modifier.

Note: vous ne pouvez pas incorporer ou lier un objet dont le logiciel d’origine n’est pas installé sur votre ordinateur. Par exemple, si vous ouvrez un document avec une image Photoshop intégrée viaFichier > Importer > Objet, vous devez avoir installé Photoshop sur votre ordinateur pour pouvoir modifier cette image.

Considérez les facteurs suivants lorsque vous décidez d’importer du texte et des graphiques par référence ou en utilisant la fonction OLE pour les incorporer ou les lier :

  • Si l’élément à inclure provient d’un autre document FrameMaker, utilisez l’importation par référence. Le choix d’options d’importation est alors plus important.

  • Si vous souhaitez réduire le fichier lié à la taille d’une icône au lieu d’afficher son contenu dans le document, utilisez une liaison OLE.

  • Si l’élément à inclure est d’un format que FrameMaker ne peut ouvrir, utilisez la fonction OLE.

  • Si vous modifiez ou affichez le document sur plusieurs plates-formes, utilisez l’importation par référence. La fonction OLE ne fonctionne que sous Windows.

  • Si le texte ou le graphique à inclure provient d’une application ne prenant pas en charge la fonction OLE, utilisez l’importation par référence.

Parent topic: Importation et liaison de fichiers
Related information
  • Importation de texte
  • Importation de graphiques
  • Incorporation d’objets


Utilisation des chemins d’accès lors de l’importation par référence

Découvrez les chemins lors de l’importation par référence, chemin relatif et chemin absolu dans Adobe FrameMaker.

Lorsque vous importez par référence avec la commande Fichier > Importer > Fichier, le chemin d’accès au texte ou graphique peut être absolu ou relatif. Un chemin d’accès relatif commence au dossier en cours ou au dossier supérieur dans la hiérarchie et spécifie l’emplacement du fichier depuis ce point. Un chemin d’accès absolu commence à la racine du système de fichiers (le dossier le plus élevé) et spécifie entièrement l’emplacement du fichier depuis ce point. Les deux exemples suivants correspondent à des chemins d’accès absolus.

  • D:\Graphics\Mountain.gif

  • ServeurDoc\images\Montagne.gif

Si possible, FrameMaker enregistre les noms de chemin d’accès relatifs afin de pouvoir trouver un fichier importé même si vous avez déplacé le document et le fichier source (tant que vous conservez les fichiers aux mêmes emplacements relatifs). Si vous enregistrez le document dans un dossier différent, FrameMaker ajuste les chemins d’accès aux fichiers importés en conséquence. Cependant, si le chemin d’accès au fichier importé passe par la racine (le dossier le plus élevé) du système de fichiers, FrameMaker utilise un chemin absolu qui commence à la racine.

Pour vous assurer que FrameMaker utilise des chemins d’accès relatifs, vérifiez qu’il ne doit pas passer par la racine pour trouver le fichier.

Parent topic: Importation et liaison de fichiers


Importation de graphiques

Utilisez la commande Importer un fichier pour importer des graphiques, en apprendre davantage sur le format graphique, localiser les graphiques manquants, ajouter des graphiques à des documents structurés et des cadres ancrés dans FrameMaker.

Dans ce sujet

  • Introduction

  • Importation d’un graphique

  • Importation de fichiers JPEG 2000

  • Importation d’images SVG

  • Importation de fichiers Adobe Photoshop

  • Importation de fichiers Adobe Illustrator

  • Recherche d’un graphique que FrameMaker ne trouve pas

  • Affichage du nom de fichier d’un graphique importé

Introduction

Vous pouvez importer de nombreux formats graphiques/images dans un document FrameMaker. La liste suivante répertorie certains des formats de fichiers image les plus couramment utilisés que vous pouvez importer dans FrameMaker :

  • Adobe Illustrator (AI)

  • Adobe Photoshop (PSD)

  • Adobe PDF

  • Bitmap (BMP)

  • Device-Independent Bitmap (DIB)

  • Drawing Interchange Format/Drawing Exchange Format (DXF)

  • Computer Graphics Metafile (CGM)

  • Enhanced Metafile (EMF)

  • Encapsulated Postscript (EPS)

  • Graphic Interchange Format (GIF)

  • Joint Photographic Experts Group Graphics (JPEG, JPEG2000)

  • Portable Network Graphics (PNG)

  • Scalable Vector Graphics (SVG)

  • Tagged Image File Format (TIFF)

  • Universal 3D (U3D)

  • WebP

  • Windows Metafile (WMF)

  • Icon (ico)

  • FrameVector

  • FrameImage

Tenez compte des aspects suivants lors de l’importation ou de l’utilisation de fichiers image dans FrameMaker :

  • Utilisez Fichier > Importer > Fichier ou Insérer > Image pour importer des graphiques.

  • Vous pouvez importer un graphique dans un cadre graphique ancré ou non, dans un rectangle utilisé comme cadre de contour ou directement sur une page. Si vous souhaitez que le graphique se déplace avec le texte lors de la modification du document (par exemple, un graphique dans de longs documents ou des documents destinés à une conversion HTML), importez-le dans un cadre ancré. Pour que le graphique reste au même endroit (comme un logo ou un en-tête), importez-le sur la page et placez-le à l’endroit souhaité.

  • Lorsque vous importez un graphique, vous pouvez spécifier un filtre d’importation basé sur le format du graphique. Lors de l’importation d’un bitmap, vous spécifiez également son échelle en points par pouce (ppp). Plus la valeur (en ppp) est élevée, plus la taille du graphique sur la page est petite.

  • Lors de l’importation d’une image avec un arrière-plan transparent, FrameMaker conserve la transparence de l’image lors de la création et lors de la publication au format PDF.

  • Lorsque vous copiez une image, que ce soit par copie ou référence, dans un document, vous pouvez spécifier un chemin HTTP à partir duquel importer le graphique. Le chemin HTTP est conservé lors de la conversion XML bidirectionnelle.

  • Par défaut, FrameMaker importe des images par référence. Si vous souhaitez copier des images dans le document par défaut, désélectionnez l’option Importer l’image par référence dans la boîte de dialogue Préférences de la section Global, Général.

  • Vous pouvez également importer des graphiques en déplaçant le fichier graphique par glisser-déposer à partir de l’explorateur Windows dans votre document. L’image est ajoutée dans un cadre ancré. Dans le cas d’un document structuré, l’élément d’image approprié est appliqué à l’image à insérée.

Importation d’un graphique

  1. Spécifiez la position du graphique en procédant de la façon suivante :

    • Pour placer le graphique importé dans un cadre graphique, sélectionnez un cadre existant ou placez un point d’insertion dans une zone de texte.

    • Pour placer directement le graphique importé sur une page, cliquez dans la marge de la page.

    • Pour utiliser un rectangle dessiné pour définir la taille du graphique en mode point importé, sélectionnez un rectangle existant ou dessinez-en un (ne sélectionnez pas un cadre ancré ou non ancré). Le graphique importé remplace le rectangle, si l’option Cadrer dans le rectangle sélectionné est sélectionnée lors de l’importation, mais garde son rapport hauteur-largeur.

    • Pour remplacer un graphique existant, sélectionnez-le.

  2. Sélectionnez Fichier > Importer > Fichier pour ouvrir la boîte de dialogue Importer du fichier.

    Ou,

    Sélectionnez Insérer > Image pour ouvrir la boîte de dialogue Insérer une image.

  3. Dans la boîte de dialogue Importer un fichier, sélectionnez le fichier graphique à importer ou indiquez son chemin HTTP, ainsi que la méthode d’importation. Une fois que vous avez sélectionné une image ou fourni l’URL, cliquez sur Importer.

  4. Dans la boîte de dialogue Insérer une image, sélectionnez le fichier graphique à importer, puis cliquez sur Ouvrir.

  5. Si la boîte de dialogue Type de fichier indéterminé apparaît, sélectionnez un type de fichier dans la liste de sélection et cliquez sur Convertir.

  6. Si la boîte de dialogue Redimensionner les graphiques importés s’affiche, sélectionnez une option de mise à l'échelle ou Cadrer dans le rectangle sélectionné, puis cliquez sur Définir.

Tip: Pour obtenir une impression optimale, choisissez comme valeur ppp un quotient exact (ou très proche) de la résolution de l’imprimante. Pour une présentation optimale à l’écran, choisissez une valeur ppp qui divise de manière égale la résolution d’écran (sous Windows, la résolution d’écran est généralement de 96 ppp).

Importation de fichiers JPEG 2000

FrameMaker prend en charge le format JPEG2000, version du format très connu de compression d’image JPEG.

Lors de l’importation de fichiers JPEG 2000, le filtre convertit les modes de couleurs pris en charge tels que RVB, CMJN, Grayscale et LAB, mais ignore les modes non pris en charge tels qu’Index par exemple. Les images 16 bits par canal ne sont pas prises en charge par le filtre. Lors de l'importation, si la boîte de dialogue Type de fichier indéterminé s’affiche, sélectionnez JPC, J2C, JPX, JPF, J2K ou JP2, puis cliquez sur Convertir.

La procédure d’importation de fichiers est identique à celle décrite dans la Importation d’un graphiquesection.

Importation d’images SVG

Vous pouvez importer Scalable Vector Graphics (SVG) dans votre document.

FrameMaker imprime des images SVG (Scalable Vector Graphic) sur des imprimantes PostScript en convertissant les images en graphiques vectoriels à l’aide du format EPS (Encapsulated PostScript). Pour les imprimantes autres que PostScript, le format FrameImage est utilisé.

Par ailleurs, lorsque vous créez un fichier PDF à partir d’un document contenant une image SVG, cette image s’affiche sous forme de vecteurs, ce qui améliore son aspect dans Acrobat et vous permet d’effectuer un zoom avant sans aucun phénomène de pixellisation.

Note: Les animations contenant des images SVG incorporées ne sont pas prises en charge dans FrameMaker.

Importation de fichiers Adobe Photoshop

FrameMaker prend en charge l’importation de fichiers Adobe Photoshop (PSD). Les fichiers PSD y sont convertis au format FrameImage natif et les couleurs (RVB, CMJN, LAB, Indexed, Grayscale ou Bitmap Photoshop) sont converties en RVB.

Nouveau dans FrameMaker (version 2019) : lors de la création d’un PDF avec le nouveau moteur PDF de FrameMaker (version 2019), FrameMaker conserve l’espace couleur de PSD (par exemple, RVB ou CMJN) dans le PDF publié. Si un profil de couleur est attaché au fichier Photoshop (par exemple, sRGB IEC61966-2.1, Adobe RGB, image P3, Euroscale Uncoated v2 etc.), le profil de couleur est attaché à l’image dans la sortie PDF.

L’importation de fichiers PSD se déroule de la même manière que l’importation d’autres types de graphiques.

Importation de fichiers Adobe Illustrator

Lorsque vous importez un fichier Adobe Illustrator dans FrameMaker, ce fichier est traité comme un objet graphique et une seule page peut être importée à la fois. L’importation peut se faire par copie ou par référence. Il est possible d’afficher et d’imprimer les couleurs quadri et les tons directs.

Note: il se peut que les graphiques utilisant la transparence ne s’impriment pas correctement sur les imprimantes PostScript de niveau 1 ou non PostScript. Si vous exécutez FrameMaker en utilisant l’option -noapi (./maker.exe -noapi), vous ne pourrez pas importer de fichiers PDF.

  1. Dans FrameMaker, sélectionnez Fichier > Importer > Fichier ou Insérer > Image, et spécifiez le fichier Illustrator à importer.

  2. Dans la boîte de dialogue Importer un fichier, sélectionnez le fichier graphique à importer ou indiquez son chemin HTTP, ainsi que la méthode d’importation. Une fois que vous avez sélectionné une image ou fourni l’URL, cliquez sur Importer.

  3. Dans la boîte de dialogue Insérer une image, sélectionnez le fichier graphique à importer, puis cliquez sur Ouvrir.

  4. Si le fichier comporte plusieurs pages, indiquez le numéro de la page souhaitée dans la zone de texte prévue à cet effet.

  5. Cliquez sur Sélectionner.

Les fichiers Illustrator sont importés à la taille de page du fichier. Redimensionnez le cadre ancré afin de rogner les espaces blancs provenant de l’image.

Recherche d’un graphique que FrameMaker ne trouve pas

A l’ouverture d’un document contenant des fichiers graphiques importés par référence, FrameMaker recherche les fichiers référencés. Si FrameMaker ne trouve pas de fichier graphique référencé, il affiche une boîte de dialogue.

  1. Si FrameMaker affiche la boîte de dialogue Fichier manquant, procédez de l’une des façons suivantes :

    • pour trouver et afficher le graphique, utilisez la liste de sélection pour le sélectionner, puis cliquez sur Utiliser nouveau chemin d'accès. FrameMaker utilise le nouveau chemin d’accès pour rechercher les autres fichiers manquants à l’ouverture du document. Ainsi, si vous déplacez tous les fichiers graphiques à un autre emplacement, vous ne spécifiez le nouveau chemin qu’une seule fois.

    • Pour ignorer le fichier graphique, cliquez sur Ignorer ce fichier. Le fichier ignoré s’affiche sous la forme d’un rectangle gris dans le document. A la prochaine ouverture du document, FrameMaker tente à nouveau de trouver le fichier.

    • Pour ignorer d'autres fichiers graphiques introuvables, cliquez sur Ignorer les fichiers manquants.

  2. Cliquez sur Continuer.

Affichage du nom de fichier d’un graphique importé

Sélectionnez le graphique importé par référence et choisissez Graphiques > Caractéristiques de l’objet. Le nom du graphique et le chemin d’accès s’affichent dans le panneau Caractéristiques de l’objet.

Parent topic: Importation et liaison de fichiers
Related information
  • Utilisation des chemins d’accès lors de l’importation par référence
  • Méthodes de liaison et d’importation
  • Redimensionnement de graphiques importés
  • Incorporation d’objets


Insertion d’éléments graphiques importés dans des documents structurés

Utilisez la commande Importer un fichier pour importer des graphiques, en apprendre davantage sur le format graphique, localiser les graphiques manquants, ajouter des graphiques à des documents structurés et des cadres ancrés dans FrameMaker.

Dans ce sujet

  • Introduction

  • Insertion d’un élément graphique importé

  • Utilisation d’un élément graphique importé non valide

  • Ajout d’un graphique importé dans un cadre ancré existant

Introduction

Certains éléments graphiques sont définis de sorte que vous puissiez importer un graphique en même temps que l’élément. Lorsque vous insérez l’élément, FrameMaker affiche une boîte de dialogue d’importation. Le graphique importé s’affiche dans un cadre ancré inséré sous la ligne comportant le symbole d’ancrage et la taille du cadre est automatiquement ajustée au graphique.

Note: Par défaut, l’attribut @placement de l’élement <image> est défini sur Saut de page. Vous pouvez changer ce comportement par défaut pour insérer des images en ligne en définissant OverrideDefaultImageRenderingToBreak=0 dans le fichier ditafm.ini.
Figure 1. Graphique importé dans un cadre ancré
Cadre ancré avec un graphique importé dans un document structuré

Après avoir inséré l’élément, vous pouvez modifier le cadre en le déplaçant, le redimensionnant, etc.

Vous serez peut-être amené à importer un graphique dans un cadre ancré existant, notamment si vous avez utilisé un élément graphique qui a inséré un cadre vide dans le document.

Lorsque vous importez un élément graphique, vous pouvez l’intégrer à votre document (importation par copie) ou maintenir un lien avec l’application ou le document source (importation par référence).

Vous pouvez également importer un graphique en déplaçant le fichier graphique par glisser-déposer à partir de l’explorateur Windows dans votre document. L’image est ajoutée dans un cadre ancré.

Pour plus de détails sur l’insertion d’un graphique importé qui n’est pas un élément (ce qui est possible uniquement dans un enchaînement non structuré), voir Importation de graphiques.

Insertion d’un élément graphique importé

  1. Cliquez à l’endroit auquel vous souhaitez ancrer le cadre.

  2. Sélectionnez un élément graphique importé dans le Catalogue d’éléments, et cliquez sur Insérer.

    Vous pouvez également utiliser Fichier > Importer > Fichier ou Insérer > Image pour insérer un élément. Sélectionnez un fichier et cliquez sur Importer. Si plusieurs éléments graphiques importés sont disponibles, faites votre choix dans la liste déroulante Balise d’élément de la boîte de dialogue qui s’affiche alors.

  3. Sélectionnez le fichier graphique à importer et précisez s’il doit être importé par copie ou par référence.

  4. Cliquez sur Importer.

  5. Si la boîte de dialogue Type de fichier indéterminé apparaît, sélectionnez un type de fichier dans la liste de sélection et cliquez sur Convertir.

  6. Si la boîte de dialogue Redimensionner les graphiques importés apparaît, choisissez une option de mise à l’échelle ou Cadrer dans le rectangle sélectionné, puis cliquez sur Définir. Plus la valeur en ppp (points par pouce) est élevée, plus la taille du graphique affiché sur la page sera petite.

Un cadre ancré contenant le graphique importé apparaît dans la fenêtre de document et un symbole d’ancrage () apparaît Symbole d’ancrage au point d’insertion. Une bulle avec le fragment de texte <GRAPHIC> apparaît dans la Vue de la structure.

Si aucun élément graphique importé n’est disponible dans l’emplacement souhaité, vous pouvez utiliser un élément non valide. Après l’avoir inséré, consultez votre développeur pour savoir comment le rendre valide pour cet emplacement.

Utilisation d’un élément graphique importé non valide

Procédez de l’une des façons suivantes :

  • Pour utiliser un élément valide dans une autre partie du document, insérez l’élément dans un emplacement valide puis déplacez-le ou bien utilisez le paramètre Tous les éléments pour rendre l’élément disponible partout, puis insérez-le à l’endroit souhaité.

  • Pour insérer un élément non valide avec l’élément par défaut <GRAPHIQUE>, utilisez Fichier > Importer > Fichier ou Insérer > Image pour importer un graphique. L’élément est celui par défaut si aucun élément graphique importé défini n’est disponible.

Ajout d’un graphique importé dans un cadre ancré existant

Sélectionnez le cadre et utilisez Fichier > Importer > Fichier ou Insérer > Image pour importer le graphique

Parent topic: Importation et liaison de fichiers
Related information
  • Remplissage et modification des cadres ancrés
  • Méthodes de liaison et d’importation
  • Copier dans le document
  • Modification de la sélection d’éléments disponibles dans un document structuré


Importation d'objets audio, vidéo et 3D

Découvrez comment importer des objets vidéos (notamment des vidéos YouTube), audio et 3D. Gérez les documents avec des objets 3D, définissez des vues et des schémas d’éclairage, des fichiers d’affiches dans FrameMaker.

Il est très facile d'insérer des fichiers multimédias dans votre document. FrameMaker vous permet d’insérer ou d’importer des fichiers audio (.mp3), des fichiers vidéos (*.mp4) et même des vidéos YouTube dans vos documents.

Vous pouvez également importer des objets 3D (format U3D) dans les documents par copie ou par référence. Vous avez également la possibilité de définir des paramètres d’objet 3D tels que la vue par défaut, le mode de rendu, la couleur d’arrière-plan et le schéma d’éclairage. Pour le rendu de l’objet 3D, vous pouvez également choisir entre un cadre ancré ou non.

Pour consulter divers didacticiels et démonstrations sur l’utilisation de la fonctionnalité rich media dans la création FrameMaker, regardez les programmes correspondants sur le canal Technical Communications d’Adobe TV.

Parent topic: Importation et liaison de fichiers

Formats de fichiers audio et vidéo pris en charge

Découvrez les formats audio et vidéo pris en charge, comment importer des vidéos et comment définir une image d’affiche pour un objet audio ou une vidéo dans Adobe FrameMaker.

Vous pouvez ajouter des objets audio ou vidéo à des documents en incorporant des fichiers multimédias. FrameMaker prend en charge les formats multimédias suivants :

  • AIF/AIFF (format de fichier Audio Interchange) WMV

  • ASF (fichier Advanced Systems Format)

  • AU (fichier audio)

  • AVI (fichier Audio Video Interleave)

  • FLV (fichier Flash Video)

  • IVF (fichier Indeo Video Format)

  • KAR (fichier MIDI Karaoke)

  • M1V (fichier MPEG-1 Video)

  • M3U (fichier de liste de lecture multimédia)

  • MID (fichier MIDI)

  • MOV (séquence Apple QuickTime)

  • MP2 (fichier audio compressé MPEG couche II)

  • MP3 (fichier audio MP3)

  • MP4 (fichier vidéo MPEG-4)

  • MPA (fichier audio MPEG-2)

  • MPE (fichier de séquence MPEG)

  • MPEG (séquence MPEG)

  • MPG (fichier vidéo MPEG)

  • QT (séquence Apple QuickTime)

  • WAV (fichier DTS-WAV)

  • WMV (fichier vidéo Windows Media)

  • Vidéos YouTube

Pour plus d’informations, voir Incorporation d’objets.

Lors de l’impression d’un document contenant une animation QuickTime, seul le titre du film s’affiche.

Note: ne supprimez pas ou ne déplacez pas le fichier original de l’animation QuickTime, même si vous avez utilisé l’option Copier dans le document lors de son importation. En effet, cette dernière ne copie pas entièrement l’animation QuickTime dans le document.

Importation de fichiers audio et vidéo

Découvrez comment importer ou insérer des fichiers audio et vidéo dans vos documents FrameMaker structurés et non structurés.

FrameMaker prend en charge l’importation de fichiers audio (*.mp3) et vidéo (*.mp4) dans votre document. Lorsque vous publiez votre document, ces fichiers sont également intégrés dans la sortie publiée.

  1. Placez le point d’insertion à l’endroit de votre document où le fichier multimédia doit apparaître.

  2. Selon le type de fichier que vous souhaitez insérer ou importer, effectuez la tâche suivante :

    • Sélectionnez Insérer > Multimédia > Audio pour insérer ou importer un fichier audio.

      La capture d’écran suivante affiche la boîte de dialogue d’insertion de fichiers audio pour un document non structuré :

      Figure 1. Boîte de dialogue d’insertion de fichiers audio pour un document non structuré

    • Sélectionnez Insérer > Multimédia > Vidéo pour insérer ou importer un fichier vidéo.

      La capture d’écran suivante affiche la boîte de dialogue d’insertion de fichiers vidéo pour un document DITA structuré :

      Figure 2. Boîte de dialogue d’insertion de fichiers vidéo pour un document structuré

  3. Accédez au fichier à insérer et sélectionnez-le.

  4. Cliquez sur Ouvrir.

    Le fichier sélectionné est inséré dans votre document. La capture d’écran suivante montre les fichiers vidéo et audio insérés dans un document.

    Figure 3. Fichier vidéo et audio inséré dans un document

Insertion de vidéos Youtube

Découvrez comment insérer des vidéos YouTube dans vos documents DITA structurés ou FrameMaker non structurés.

De même que vous insérez un fichier audio ou vidéo, vous pouvez insérer une vidéo YouTube dans votre document.

  1. Placez le point d’insertion à l’endroit de votre document où la vidéo YouTube doit être insérée.

  2. Sélectionnez Insérer > Multimédia > Vidéo en ligne.

  3. Selon le type de document sur lequel vous travaillez, vous verrez l’une des boîtes de dialogues suivantes :

    • Document non structuré : si vous travaillez dans un document non structuré, la boîte de dialogue Vidéo en ligne apparaît :

      Figure 4. Insertion d'une vidéo Youtube dans un document non structuré

      Entrez l’URL courte ou complète de la vidéo ou le code HTML d’intégration de la vidéo dans la boîte de dialogue.

      Note: Pour plus d’informations sur l’obtention de l’URL courte ou complète d’une vidéo YouTube, consultez l'aide YouTube.

    • Document DITA ou LwDITA structuré : si vous travaillez dans un document structuré DITA 1.3 ou LwDITA, la boîte de dialogue Insérer vidéo en ligne suivante apparaît :

      Important: Ce processus d’insertion de vidéos YouTube n’est actuellement pas pris en charge pour les applications XML spécialisées ou personnalisées.
      Figure 5. Insertion d'une vidéo Youtube dans un document structuré

      Entrez l’URL courte ou complète de la vidéo dans la boîte de dialogue.

      Note: L’intégration du code HTML d’une vidéo YouTube n’est actuellement pas prise en charge pour les documents structurés.

  4. Cliquez sur Insérer.

    La vidéo YouTube est insérée dans votre document.

Remarques supplémentaires relatives à l'insertion d'objets audio, vidéo et vidéo YouTube dans des documents DITA structurés

  • Lorsque vous insérez un fichier vidéo ou audio hors ligne ou bien une vidéo YouTube en ligne dans un document DIT, FrameMaker utilise l'élément <object> pour stocker le lien du fichier. L’élément <object> contient l’élément <param> avec les attributs @name et @value, qui définissent la source et le chemin du fichier inséré. Dans la cas d’une vidéo YouTube, l’attribut @valeur contient l’URL ou le code HTML de la vidéo YouTube.

    La capture d’écran suivante montre la vue XML d’un document DITA avec une vidéo YouTube, un fichier vidéo local et un fichier audio inséré :

    Figure 6. Vue XML des fichiers vidéo YouTube, vidéo et audio insérés dans le document DITA

  • Lorsque vous travaillez dans un document DITA léger (LwDITA), la vidéo YouTube et un fichier vidéo local sont insérés dans un élément <video> et le fichier audio est inséré dans un élément <audio>. Les éléments <vidéo> et <audio> contiennent l'emplacement du fichier inséré dans l'attribut de @valeur de l’élément <media-source>. L’attribut <media-source>@value contient l’URL ou le code HTML de la vidéo YouTube.

    La capture d’écran suivante montre la vue XML d’un document LwDITA avec une vidéo YouTube, un fichier vidéo local et un fichier audio inséré :

    Figure 7. Vue XML des fichiers vidéo YouTube, vidéo et audio insérés dans le document LwDITA

Fichier d’affiche pour un fichier multimédia

Découvrez comment définir une image d’affiche pour un fichier multimédia dans FrameMaker.

Dans ce sujet

  • Introduction

  • Définition d’une image affiche

  • Réinitialisation de l’image affiche

Introduction

Vous pouvez définir un fichier d’affiche pour un fichier multimédia importé. FrameMaker affiche l’image de marque de réservation correspdante.

Dans les documents structurés, si un attribut est défini dans la DTD avec le nom posterfile pour un objet graphique, l’attribut est automatiquement mappé à la propriété affiche du cadre ancré. Vous pouvez également mapper n’importe quel attribut à une affiche à l’aide d’une règle dans le fichier de lecture/écriture. Le fichier référencé dans l’attribut devient l’affiche.

Définition d’une image affiche

FrameMaker définit l’image sélectionnée comme affiche. Si l’image qui a été définie comme affiche est manquante, FrameMaker définit une image spéciale comme affiche.

  1. Cliquez avec le bouton droit sur le fichier multimédia inséré.

  2. Sélectionnez Définir l’affiche.

  3. Sélectionnez le fichier d'image (JPEG, .PNG, .BMP ou .GIF), puis cliquez sur OK.

Réinitialisation de l’image affiche

  1. Cliquez avec le bouton droit sur le fichier multimédia inséré.

  2. Sélectionnez Définir l'affiche par défaut.


Utilisation d'objets 3D dans Adobe FrameMaker

Découvrez comment importer des objets 3D, gérer des documents avec des objets 3D, définir des vues et des schémas d’éclairage et définir une image d’affiche pour un objet 3D dans Adobe FrameMaker.

Dans ce sujet

  • Importation d’un objet 3D

  • Enregistrement d’un document contenant des objets 3D aux formats PDF et XML

  • Enregistrement au format XML de documents contenant des objets 3D

  • Impression d’un fichier FrameMaker contenant des objets 3D

  • Définition de la couleur d’arrière-plan d’un objet 3D

  • Définition des schémas d’éclairage d’un objet 3D

  • Définition des vues des objets 3D dans FrameMaker

  • Définition du mode de rendu pour un objet 3D dans FrameMaker

Importation d’un objet 3D

  1. Placez le point d’insertion où vous souhaitez faire apparaître l’objet 3D dans votre document.

  2. Sélectionnez Fichier > Importer > Fichier ou Insérer > Image.

  3. Recherchez le fichier U3D à importer, puis sélectionnez-le.

  4. Sélectionnez l’option Copier dans le document ou Importer par référence.

  5. Cliquez sur Importer.

  6. Le cas échéant, sélectionnez la valeur PPP souhaitée et cliquez sur Définir.

Lorsque vous cliquez sur Définir, l’image bitmap de l’objet 3D s’affiche dans le document. Si l’objet 3D a été importé par copie, le fichier U3D est incorporé en tant qu’image bitmap indépendante du périphérique (DIB) dans le document. En cas d’importation par référence, une image bitmap liée au fichier U3D source est insérée dans le document. Quelle que soit la méthode d’importation du fichier 3D, le rendu du fichier s’effectue dans la facette DIB du document.

Lorsque vous importez un objet 3D dans un document et que vous l’enregistrez au format PDF ou XML, toutes les informations relatives à l’objet 3D sont conservées.

Enregistrement d’un document contenant des objets 3D aux formats PDF et XML

Les documents contenant des objets 3D peuvent être enregistrés au format XML et PDF.

  1. Sélectionnez Fichier > Ouvrir, puis ouvrez le livre ou le fichier FrameMaker contenant les objets 3D.

  2. Sélectionnez Fichier > Enregistrer au format PDF.

  3. Si vous le souhaitez, vous pouvez modifier le dossier d'enregistrement et le nom du fichier avant de cliquer sur Enregistrer.

  4. Cliquez sur Définir dans la boîte de dialogue Configuration PDF pour générer un fichier PDF avec les paramètres par défaut. Autrement, définissez les options supplémentaires de votre choix, puis cliquez sur Définir. Le fichier U3D importé dans le livre ou le fichier est enregistré ainsi que toutes ses vues. Lorsque vous ouvrez le fichier PDF, la dernière vue de l’objet 3D sélectionnée dans le document s’affiche dans le PDF.

Note: par défaut, FrameMaker est configuré pour incorporer les objets 3D dans les fichiers PDF. Cette option peut toutefois être désactivée.

Dans le fichier PDF, cliquez sur l’objet 3D pour afficher la barre d’outils 3D et activer les fonctions interactives de l’objet 3D. La barre d’outils Adobe Acrobat 3D s’affiche au-dessus de tous les objets 3D du fichier PDF et vous permet d’analyser les conceptions 3D et de leur appliquer facilement un zoom, un panoramique ou une rotation.

Enregistrement au format XML de documents contenant des objets 3D

Vous pouvez enregistrer un fichier FrameMaker contenant un objet 3D au format XML. Lorsque vous ouvrez le fichier XML dans FrameMaker, l’objet 3D est conservé au cours de la conversion XML bidirectionnelle. Il est extrait et enregistré sous forme de fichier U3D indépendant, en même temps que le fichier XML. Dès que le fichier est rouvert dans FrameMaker, l’objet 3D s’affiche à l’emplacement d’insertion d’origine.

Pour préserver les modifications apportées à un objet 3D lors de la conversion bidirectionnelle d’un fichier XML, ajoutez un nouvel attribut appelé insetdata aux caractéristiques suivantes figurant dans la section Graphique du fichier DTD, aux côtés des attributs Offset et DPI :

    insetdata CDATA #IMPLIED

Ajoutez les lignes suivantes au fichier XSD de la même façon :

    <xsd:attribute name="insetdata" type="xsd:string" use="optional"/>
Note: l’attribut @insetdata ne prend pas en charge les règles de lecture et d’écriture.

Si les fichiers DTD et XSD n’ont pas été modifiés, les fichiers U3D sont toujours exportables au format XML. Toutefois, les modifications qui leur ont été apportées dans FrameMaker ne sont pas préservées lors de la conversion bidirectionnelle.

  1. Sélectionnez Fichier > Ouvrir, et ouvrez le fichier FrameMaker contenant les objets 3D.

  2. Sélectionnez Fichier > Enregistrer au format XML ou appuyez sur Echap+f+w+x.

  3. Vous pouvez aussi modifier le dossier d’enregistrement et le nom du fichier avant de cliquer sur Enregistrer.

Note: lorsque vous ouvrez le fichier XML dans un éditeur XML compatible 3D, l’élément graphique correspondant contient une référence au fichier U3D, avec le nom et l’emplacement du fichier U3D. Lorsque vous ouvrez le fichier XML dans FrameMaker, l’objet 3D apparaît sous la forme d’une image bitmap.

Impression d’un fichier FrameMaker contenant des objets 3D

Il est possible d’imprimer des documents contenant des objets 3D. Les objets 3D sont alors imprimés en tant qu’images bitmap.

  1. Ouvrez le document contenant les objets 3D.

  2. Sélectionnez Fichier > Imprimer.

  3. Définissez les options d’impression restants comme nécessaires, puis cliquez sur Imprimer

Définition de la couleur d’arrière-plan d’un objet 3D

Vous pouvez modifier la couleur qui s’affiche derrière un objet 3D. Par défaut, la couleur d’arrière-plan est le blanc.

  1. Sélectionnez un objet 3D.

  2. Sélectionnez Graphiques > Option de menu 3D > Couleur d’arrière-plan.

  3. Sélectionnez la couleur souhaitée, puis cliquez sur OK.

Définition des schémas d’éclairage d’un objet 3D

Vous disposez d’une grande variété de schémas d’éclairage vous permettant d’éclairer un objet 3D avec plusieurs sources de lumière. Par défaut, le schéma d’éclairage des objets 3D est Eclairages du fichier.

  1. Sélectionnez un objet 3D.

  2. Sélectionnez Graphiques > Option de menu 3D > Eclairage, et sélectionnez l’une des sources de lumière suivantes : Eclairages du fichier, Aucun éclairage, Eclairage blanc, Eclairage naturel, Eclairage brillant, Eclairage par couleurs primaires, Eclairage nocturne, Eclairage bleu, Eclairage rouge, Eclairage cubique, Eclairage optimisé pour la CAO ou Projecteur.

Définition des vues des objets 3D dans FrameMaker

Les objets 3D importés dans un document peuvent contenir des vues prédéfinies. Vous pouvez modifier l’ensemble des vues d’un objet ; le rendu de la vue sélectionnée s’effectue lorsque le document est enregistré. Lors de la conversion du document FrameMaker en fichier PDF, toutes les vues prédéfinies de l’objet 3D sont disponibles dans le fichier PDF. La dernière vue sélectionnée dans le document avant l’enregistrement constitue la vue par défaut du fichier PDF.

  1. Sélectionnez un objet 3D.

  2. Sélectionnez Graphiques > Option de menu 3D > Afficher les vues existantes, sélectionnez une vue dans la liste déroulante qui s’affiche dans la boîte de dialogue, et cliquez sur OK.

Note: lors de l’enregistrement du document en fichier PDF, toutes les vues des objets U3D sont disponibles dans le fichier converti.

Définition du mode de rendu pour un objet 3D dans FrameMaker

Il existe trois modes de rendu disponibles pour les objets 3D : filaire, solide et transparent. (Le mode de rendu par défaut étant Solide.)

  1. Sélectionnez un objet 3D.

  2. Sélectionnez Graphiques > Option de menu 3D > Mode de rendu, et sélectionnez l’un des modes de rendu suivantes : Cadre, Cadre transparent, Contour de cadre transparent, Sommets, Sommets ombrés, Structure filaire, Structure filaire ombrée, Solide, Transparent, Structure filaire solide, Structure filaire transparente, Illustration, Contour solide, Illustration ombrée ou Structure filaire masquée.

Parent topic: Importation et liaison de fichiers


Importation de fichiers PDF

Un fichier PDF importé dans un document FrameMaker est traité comme un graphique. Les pages du fichier PDF sont importées une à une. Il est possible d’afficher et d’imprimer les couleurs quadri et les tons directs.

Il se peut que les graphiques utilisant la transparence ne s’impriment pas correctement sur les imprimantes PostScript de niveau 1 ou non PostScript.

  1. Définissez l’emplacement du graphique.

  2. Sélectionnez Fichier > Importer > un fichier.

  3. Sélectionnez le fichier PDF à importer et cliquez sur Importer.

  4. Si le fichier contient plusieurs pages, vous devez indiquer le numéro de la page concernée dans la boîte de dialogue Sélectionner une page PDF. Utilisez le curseur pour afficher une image miniature de la page souhaitée, puis cliquez sur Sélectionner.

Parent topic: Importation et liaison de fichiers


Importation de fichiers Microsoft Excel

Découvrez comment importer des fichiers Microsoft Excel (XLS et XSLX) dans Adobe FrameMaker.

Vous pouvez importer des documents Microsoft Excel portant l’extension XLS ou XSLX dans les documents FrameMaker.

Si le document Microsoft Excel à importer est enregistré au format Classeur Excel 97-2003, utilisez le filtre Microsoft Excel ou Microsoft Excel 2016. S’il est au format Microsoft Excel 2016, servez-vous uniquement du filtre Microsoft Excel 2016.

  1. Cliquez sur l'emplacement où vous souhaitez insérer le fichier et sélectionnez Fichier > Importer > Fichier.

  2. Indiquez le fichier à importer, sélectionnez Importer par référence ou Copier dans le document, puis cliquez sur Importer.

    Suivant le document que vous importez, le filtre Microsoft Excel ou Microsoft Excel 2016 est sélectionné dans la boîte de dialogue Type de fichier indéterminé.

  3. Cliquez sur le bouton Convertir. La boîte de dialogue Importation d’enchaînement de texte par copie ou Importation d’enchaînement de texte par référence s’affiche.

  4. Dans la zone Enchaînement à importer, sélectionnez l’option Enchaînement de page courante ou Enchaînement de page de référence.

  5. Dans la zone Formatage de l’enchaînement importé, sélectionnez l’une des options suivantes :

    • Pour sélectionner l’option supprimant les sauts de page manuels et autres formats personnalisés, cliquez sur Utiliser les formats du document en cours.

    • Pour convertir le contenu importé en texte simple, en vue de son insertion dans le document, cliquez sur Convertir en texte simple.

    • Pour insérer le contenu importé dans le document en conservant son format d’origine, cliquez sur Conserver le format de la source.

  6. Dans la boîte de dialogue Importation d’enchaînement de texte par référence, sélectionnez l’une des options suivantes dans la zone Mise à jour de l’enchaînement importé :

    • Pour mettre à jour automatiquement l’enchaînement importé, cliquez sur l’option Automatique.

    • Pour mettre à jour manuellement l'enchaînement importé, cliquez sur Manuelle.

  7. Cliquez sur Importer.

Parent topic: Importation et liaison de fichiers


Importation de fichiers Microsoft Word

Découvrez comment importer des documents Microsoft Word dans un document FrameMaker.

Vous pouvez importer des documents Microsoft Word (.doc ou .docx) dans des documents FrameMaker.

Si le document Microsoft Word à importer est enregistré au format Word 97-2003, utilisez le filtre Microsoft Word ou Microsoft Word 2016. S’il est au format Microsoft Word 2016, servez-vous uniquement du filtre Microsoft Word 2016. Vous pouvez importer des fichiers RTF à l’aide du filtre Microsoft RTF 1.9 dans la boîte de dialogue Type de fichier indéterminé.

Note: Si vous utilisez la version 64 bits de FrameMaker, assurez-vous d’utiliser l'application 64 bits de l’application Microsoft Word. Microsoft Word 32 bits avec FrameMaker 64 bits pourrait ne pas fonctionner comme prévu.
Note: Lorsque vous importez un document Word dans un sens spécifique (LTR ou RTL) dans un document FrameMaker, vous devez vous assurer que le sens du texte de l’emplacement de destination (document, tableau, ou un paragraphe) est placé dans le même sens.

Vous pouvez suivre la procédure donnée et vous pouvez également regarder cette vidéo sur l’Importation de documents Word dans FrameMaker.

  1. Placez le point d’insertion à l’endroit du document où insérer le texte, puis sélectionnez Fichier > Importer > Fichier.

  2. Indiquez le fichier à importer, sélectionnez l'option Importer par référence ou Copier dans le document, puis sélectionnez Importer.

    Suivant le document que vous importez, le filtre Microsoft Word ou Microsoft Word 2016 est sélectionné dans la boîte de dialogue Type de fichier indéterminé.

  3. Cliquez sur le bouton Convertir. La boîte de dialogue Importation d’enchaînement de texte par copie ou Importation d’enchaînement de texte par référence s'affiche.

Note: les signets des documents Word deviennent des marqueurs de références croisées ; les annotations dans les documents Word deviennent des balises conditionnelles avec la condition « Commentaire » lorsqu’elles sont importées par référence ; le texte caché dans les documents Word devient des balises conditionnelles avec la condition « Caché » lorsqu’il est importé.

Selon que vous sélectionnez Importer par référence ou Copier dans le document, vous devez suivre les étapes de l'une des procédures suivantes :

Importer par référence

Si vous sélectionnez Importer par référence dans l'étape 2 ci-dessus :

  1. Dans la zone Enchaînement à importer, sélectionnez un Ench. de page courante ou un Ench. de page de référence.

  2. Dans la zone Formatage de l’enchaînement importé, sélectionnez l'une des options suivantes :

    • Pour sélectionner l’option supprimant les sauts de page manuels et autres formats personnalisés, cliquez sur Utiliser les formats du document en cours.

    • Pour convertir le contenu importé en texte simple, en vue de son insertion dans le document, cliquez sur Convertir en texte simple.

    • Pour insérer le contenu importé dans le document en conservant son format d’origine, cliquez sur Conserver le format de la source.

  3. Dans la boîte de dialogue Importation d’enchaînement de texte par référence, sélectionnez l'une des options suivantes dans la zone Mise à jour de l’enchaînement importé :

    • Pour mettre à jour automatiquement l’enchaînement importé, cliquez sur l’option Automatique.

    • Pour mettre à jour manuellement l'enchaînement importé, cliquez sur Manuelle.

  4. Cliquez sur Importer.

Copier dans le document

Si vous sélectionnez Copier dans le document dans l'étape 2 ci-dessus :

  1. Si vous décidez d’importer un document .docx, vous recevez un avertissement indiquant que l’importation d’un document Word de type .docxpeut entraîner la perte de données. Vous pouvez toujours choisir d’importer le document .docx ou vous pouvez annuler la procédure et commencer par convertir le document en .doc dans Word.

    FrameMaker analyse les styles de paragraphe et de caractère dans le document Word et mappe ces opérations aux styles de paragraphe et de caractère définis dans le modèle FrameMaker actuel.

    La boîte de dialogue Importation Word affiche un message indiquant (indicateur vert) les styles du document Word source correspondant aux styles dans le modèle FrameMaker de destination. Si un style FrameMaker correspondant est introuvable, les formats de document FrameMaker adoptent le style Word source.

    Important: Le mappage des styles s’effectue en fonction des noms des styles trouvés dans les documents Word et FrameMaker. Le mappage n’est pas basé sur la définition de formatage des styles.

    Dans la liste des formats de document FrameMaker, pour chaque style Word, vous avez la possibilité de sélectionner un style FrameMake alternatif.

  2. Dans la liste déroulante, sélectionnez un style FrameMaker que vous souhaitez que FrameMaker applique aux styles Word correspondants dans le document importé.

    Si le modèle FrameMaker contient un style de mappage, le style FrameMaker s’affiche, par défaut, dans la liste déroulante. Vous pouvez utiliser ce style ou sélectionner un autre style de modèle dans la liste déroulante.

  3. Si aucun style FrameMaker de mappage n’a été trouvé pour le style Word, par défaut, FrameMaker applique le formatage de style Word. Cependant, vous pouvez toujours sélectionner un style FrameMaker alternatif dans la liste déroulante.

  4. Si le style Word contient un style FrameMaker correspondant, pour utiliser le formatage Word, cliquez sur Conserver le format Word.

  5. Pour chaque correspondance de style, si vous conservez l'option par défaut <Ajouter nouveau format> ou que vous sélectionnez l'option Conserver le format Word, les définitions de styles Word sont importées dans FrameMaker. Cependant, si un style de paragraphe ou de caractère dans Word contient un style en ligne, sélectionnez Importer les styles en ligne et les formats de liste du document Word pour inclure les styles en ligne dans le document FrameMaker.

  6. Pour chaque tableau dans le document Word, utilisez le style de tableau comme défini dans le document Word ou choisissez un style de tableau FrameMaker dans la liste déroulante de tableaux.

  7. Dans la boîte de dialogue Paramètres avancés, vous pouvez annuler les sauts de page manuels, le cas échéant, qui sont inclus dans le document Word.

    Vous pouvez également choisir de ne pas inclure les paragraphes vides, le cas échéant, qui sont inclus dans le document Word.

  8. Cliquez sur Enregistrer le fichier prédéfini pour enregistrer les paramètres actuels tels que les paramètres de correspondance des styles de paragraphes, de caractères et de tableaux dans un fichier prédéfini.

    Ultérieurement, si vous importez d'autres documents qui utilisent des styles similaires et que vous devez utiliser la même correspondance de styles, cliquez sur le bouton Ouvrir pour utiliser le fichier prédéfini enregistré.

Parent topic: Importation et liaison de fichiers


Importation de fichiers MIF

Comprendre comment importer Maker Interchange Files (MIF) dans un document FrameMaker.

Le format MIF est un format de texte permettant d’échanger des informations entre FrameMaker et d’autres applications. Toutes les informations de type de format et de mise en page sont traduites en commandes MIF. FrameMaker interprète les commandes dans le fichier MIF, les convertissant en caractéristiques de formatage et de mise en page.

Vous pouvez importer le texte d’un enchaînement spécifié d’un fichier MIF comme tout autre fichier FrameMaker. Si vous importez par copie, toutes les maquettes et pages de référence sont importées ainsi que les pages courantes. Le texte courant s’affiche sur une page non connectée.

Pour obtenir des informations sur MIF, consultez le manuel en ligne MIF Reference (Référence MIF).

Utiliser l’utilitaire MIF Wash Utility

FrameMaker est inclus MIFWash Utility, qui est installé par défaut. MIFWash Utility vous permet de :

  • Exécuter un processus en batch pour convertir d’anciens fichiers .fm dans un livre en une nouvelle version sans avoir à convertir manuellement chaque fichier.

  • Exécuter un processus en batch pour convertir tous les fichiers .fm dans un livre au format .mif. Cela permet d’échanger des informations entre FrameMaker et les autres applications.

  • Exécuter un processus en batch pour ouvrir tous les fichiers dans un livre sans afficher de messages d’avertissement concernant les polices ou les images manquantes, ou d’autres problèmes.

  • Réparer un fichier FrameMaker corrompu.

Pour utiliser MIFWash Utility, lancez FrameMaker et ouvrez un fichier livre (.book). Il y a un nouveau menu Book Utilities dans le menu principal. Vous pouvez effectuer les opérations suivantes :

  • Book MIF Wash : cette opération convertit tous les fichiers dans un livre au format MIF. Avant de procéder à cette opération, créez une sauvegarde de tous les fichiers dans votre livre.

  • Ouvrir tous les composants de livre (supprimer les avertissements) : cette opération ouvre tous les fichiers dans votre livre en supprimant les messages d’alerte et les avertissements.

Parent topic: Importation et liaison de fichiers
Related information
  • Connexion de zones de texte
  • Importation de texte formaté


Joindre ou intégrer des fichiers

Apprenez à insérer des fichiers dans votre document source et à les publier dans la sortie PDF.

Au moment de la création, vous pouvez ajouter des documents de référence dans votre document source lui-même. Ces documents sont ensuite joints ou intégrés à la sortie PDF. Selon le type de préréglage que vous utilisez pour générer le PDF, vous devrez utiliser l'option permettant d'intégrer ou de joindre le fichier. Par exemple, les PDF conformes au format PDF/-A2 permettent d'insérer d'autres fichiers conformes au format PDF/A, tandis que les PDF conformes au format PDF/A-3 peuvent prendre en charge tout type de fichier en tant que pièce jointe.

  • Pour joindre un fichier, sélectionnez Insérer > Joindre un fichier PDF.

  • Pour intégrer un fichier, sélectionnez Insérer > Intégrer un fichier PDF.

    Recherchez et sélectionnez le fichier à insérer, puis cliquez sur Sélectionner dans la boîte de dialogue Sélectionner un fichier.

    La capture d'écran suivante montre des fichiers joints et intégrés dans un document source :

    Figure 1. Fichiers joints et intégrés dans le document source

Lorsque vous générez la sortie PDF, les fichiers insérés apparaissent dans la section « Pièces jointes » d'Adobe Acrobat :

Figure 2. Fichiers insérés dans la sortie PDF

Note: Il est recommandé d'intégrer un fichier à la fin du document car cela risque d'ajouter un espace vierge au point d'insertion dans le PDF publié.
Parent topic: Importation et liaison de fichiers


Importation de texte

Découvrez comment utiliser la commande Importer un fichier pour importer du texte formaté et non formaté dans FrameMaker.

Dans ce sujet

  • Introduction

  • Importation de texte formaté

  • Importation de texte non formaté

Introduction

Vous pouvez utiliser la commande Fichier > Importer > Fichier pour importer du texte sur toutes les plateformes. Cette méthode est plus souple que l’utilisation du presse-papiers.

Cependant, si vous travaillez sur une seule plate-forme, vous pouvez souhaiter utiliser une approche spécifique à celle-ci. Pour plus de détails, reportez-vous à la section Incorporation d’objets.

Le texte importé peut être formaté ou non. Le texte non formaté ne contient que des mots ; il n’inclut pas d’informations de police, retraits, espacement, numérotation automatique et autre. Le texte formaté contient les types d’informations répertoriés ci-après.

Importation de texte formaté

Vous pouvez importer un texte formaté dans un document FrameMaker en l’important depuis les sources suivantes :

  • Un enchaînement de texte depuis une autre partie du même document

  • Un enchaînement de texte depuis un autre document FrameMaker

  • Un enchaînement de texte depuis un autre document FrameMaker au format MIF (format d’échange Maker)

  • Un fichier créé dans une autre application, telle que Microsoft Word, pour laquelle un filtre est installé

Lorsque vous importez un texte d’un autre document FrameMaker, vous importez également les références croisées, les notes, les variables, les marqueurs, les tableaux et les cadres ancrés. Les balises conditionnelles dans l’enchaînement sont aussi importées. Lorsque vous importez du texte depuis une autre application, certains de ces éléments spéciaux peuvent être importés, en fonction des possibilités de l’application et du filtre utilisé.

  1. Cliquez à l’endroit où vous souhaitez insérer le texte et sélectionnez Fichier > Importer > Fichier.

  2. Spécifiez le fichier contenant l’enchaînement à importer et la méthode d’importation.

  3. Cliquez sur Importer.

  4. Si la boîte de dialogue Type de fichier indéterminé s'affiche, sélectionnez un type de fichier, puis cliquez sur Convertir. La boîte de dialogue qui s'affiche ensuite dépend de la méthode d’importation que vous avez choisie à l’étape 2. La boîte de dialogue Importation d’enchaînement de texte par référence contient des paramètres pour spécifier comment mettre à jour l'enchaînement importé. Choisissez un enchaînement de page courante ou de page de référence. En règle générale, le texte importé provient de pages courantes. Les pages de référence peuvent contenir des enchaînements incluant des graphiques ou du texte standard à utiliser sur les pages courantes.

  5. Spécifiez comment formater le texte importé en procédant de la façon suivante :

    • Pour appliquer les formats du document en cours au texte importé si les balises correspondent, cliquez sur Utiliser les formats du document en cours. Si les balises ne correspondent pas, le formatage du texte importé n’est pas affecté. Généralement, vous sélectionnerez également les options supprimant les sauts de page manuels et autres formats personnalisés (tels que les caractéristiques de police ou les paramètres de tabulation) afin que le texte importé ait l’aspect du texte du document courant avec les mêmes balises.

    • Pour supprimer le formatage du texte importé et appliquer les formats de caractères et paragraphes utilisés au point d’insertion, cliquez sur Reformater en texte brut. (Le texte dans les tableaux ou cadres ancrés conserve le formatage qu’il possédait dans le document source.)

    • Pour conserver le formatage du document source, cliquez sur Conserver le format du document source. Les formats du texte importé ne sont pas ajoutés aux catalogues de formats du document courant. Si vous modifiez ultérieurement les formats du document courant, les formats du texte importé ne sont pas affectés (même si les balises du document courant correspondent à celles du texte importé).

  6. Si le texte est importé par référence, spécifiez comment mettre à jour l’encart de texte en procédant de la façon suivante :

    • Pour mettre à jour l’encart de texte à l’ouverture du document, cliquez sur Automatique.

    • Pour ne mettre à jour que lorsque vous le spécifiez, cliquez sur Manuelle.

  7. Cliquez sur Importer. Si le texte est importé par référence, il s’affiche comme un encart de texte. Un encart de texte est lié au document source et ne peut pas être modifié en dehors de ce dernier.

Importation de texte non formaté

Si vous importez le texte d’un fichier texte non formaté, spécifiez si vous souhaitez l’importer par copie ou par référence et comment traiter les lignes dans le fichier texte. Le texte importé adopte les formats de caractères et paragraphes utilisés au point d’insertion.

  1. Placez le point d’insertion à l’endroit où insérer le texte, puis sélectionnez Fichier > Importer > Fichier.

  2. Spécifiez le fichier texte à importer et la méthode d’importation.

  3. Cliquez sur Importer. La boîte de dialogue Importer qui s’affiche dépend de la méthode choisie (Importer par référence ou Copier dans un document).

  4. Spécifiez comment traiter le texte importé en procédant de la façon suivante:

    • Pour diviser le texte en paragrahes uniquement au niveau des lignes vides, cliquez sur Fusionner les lignes en paragraphes. Utilisez cette option pour un fichier texte comportant des paragraphes, tel qu’un fichier contenant un texte de document.

    • Pour diviser le texte en paragraphes à la fin de chaque ligne, cliquez sur Considérer chaque ligne comme un paragraphe. Utilisez cette option pour un fichier texte comportant des lignes, tel qu’un fichier contenant du code informatique.

    • Pour convertir le texte importé en tableau, cliquez sur Convertir en tableau. Spécifiez un format de tableau et autres paramètres. N’utilisez cette option que si le fichier contient un texte délimité, tel qu’un texte issu d’un logiciel de base de données.

  5. Si le texte est importé par référence, spécifiez comment mettre à jour l’encart de texte en procédant de la façon suivante :

    • Pour mettre à jour l’encart de texte à l’ouverture du document, cliquez sur Automatique.

    • Pour ne mettre à jour que lorsque vous le spécifiez, cliquez sur Automatique.

  6. Si nécessaire, sélectionnez un encodage de caractères dans la liste déroulante Encodage de texte. N’effectuez cette opération que si vous savez que l’encodage présélectionné est incorrect. Si vous forcez un encodage incorrect, une substitution de caractères survient parfois ou certains caractères s’affichent sous la forme de points d’interrogation.

  7. Cliquez sur Importer. Si le texte est importé par référence, il s’affiche comme un encart de texte.

Parent topic: Modification de contenu


Diviser les grands documents

Apprenez à partager de grands documents que vous auriez importés de Word, Excel, MIF ou de tout autre système d’auteur.

Dans ce sujet

  • Introduction

  • Diviser un document

Introduction

En général, lorsque vous importez un Mot ou tout autre document, il est importé comme un grand document dans FrameMaker. La prochaine tâche pour préparer votre document est de diviser le grand document en petits morceaux ou chapitres gérables. Utilisez la fonctionnalité Split Current Document pour diviser un grand document FrameMaker en chapitres plus petits.

La fonctionnalité Split Current Document vous permet de diviser tout grand document à l’aide d’un plus grand nombre de formats de paragraphe ou d’un marqueur. Par défaut, lorsque vous importez un document, FrameMaker crée des formats de paragraphes correspondants dans le document importé. Vous pouvez également créer un marqueur et appliquer le marqueur au niveau de la rubrique où vous souhaitez diviser le document. Vous pouvez également ajouter du texte de marqueur, qui est utilisé pour créer le nom de fichier du chapitre fractionné. À la fin du processus de fractionnement du document, FrameMaker génère un livre et des chapitres associés qui sont créés sur la base des formats de paragraphe ou des marqueurs fractionnés.

Diviser un document

Pour partager un grand document FrameMaker, effectuez les étapes suivantes :

  1. Ouvrez le document que vous souhaitez diviser.

  2. Sélectionnez Fichier > Utilitaires > Diviser le document actuel.

    La boîte de dialogue Diviser un document s’affiche.

  3. Dans la boîte de dialogue Diviser un document, spécifiez les paramètres de division du document suivants :

    • Documentsource : répertorie le nom du fichier en cours de scission.

    • Créez dansle dossier : choisissez un dossier où le fichier de livre et les chapitres fractionnés sont enregistrés.

    • Whitespace dansles noms de fichiers : le processus de fractionnement des documents crée un fichier pour chaque chapitre divisé. Le nom du fichier est créé à l’aide du texte de titre. Dans le cas où il ya des espaces dans le texte de tête, choisissez comment vous voulez que ceux-ci soient manipulés tout en créant des noms de fichiers. Vous pouvez choisir de gérer l’espace blanc dans les noms de fichiers comme:

      • Gardez l’espace blanc.

      • Supprimer l’espace blanc.

      • Remplacer l’espace blanc par un soulignement.

      • Remplacer l’espace blanc par un trait d’union.

    • Personnages spéciauxdans les noms de fichiers : Semblable à l’espace blanc, choisissez comment gérer n’importe quel personnage spécial dans le nom du fichier. Vous pouvez choisir de :

      • Supprimer

      • Remplacer par le soulignement

      • Remplacer par un trait d’union

  4. Cliquez sur Suivant.

  5. Sélectionnez si vous souhaitez utiliser un marqueur, des formats de paragraphes, ou les deux pour diviser le document.

    Note: Vous pouvez choisir plusieurs formats de paragraphes pour diviser le document. Toutefois, pour garder la structure du document propre et plus simple, vous ne devez pas choisir plus de 2-3 formats.

  6. Cliquez sur Analyse .

    FrameMaker montre une structure du livre et des chapitres qui seront créés en fonction des formats de marqueur et/ou de paragraphe sélectionnés.

  7. (Facultatif) Renommer les fichiers de livre ou de chapitre.

    • Le premier fichier de la liste est un fichier de livre. Pour renommer le fichier de livre, sélectionnez le fichier de livre, entrez le nom de fichier désiré dans la boîte de texte et cliquez sur Rename Book.

    • Sélectionnez n’importe quel fichier de chapitre, entrez le nom de fichier désiré dans la boîte de texte et cliquez sur Rename Document.

    Note: Le double clic sur un nom de fichier de chapitre vous emmène au titre/sujet correspondant dans le document source.

  8. (Facultatif) Si vous ne souhaitez pas créer un fichier séparé pour n’importe quel chapitre de la liste, vous pouvez le supprimer et fusionner son contenu avec le chapitre précédent de la liste. Pour fusionner n’importe quel chapitre,sélectionnez-le et cliquez sur Supprimer de la liste de fichiers . Le chapitre sélectionné est fusionné avec le chapitre précédent de la liste.

    De même, si vous souhaitez créer un fichier séparé pour un chapitrefusionné, sélectionnez le fichier chapitre et cliquez sur Convertir en fichier .

    Lors de la fusion ou du fractionnement d’un fichier, FrameMaker s’occupe automatiquement de la gestion du séquençage du fichier et de la structure du document selon le document source.

  9. Cliquez surDémarrer le split .

  10. Cliquez sur Terminé.

Le fichier journal du processus de fractionnement des documents est affiché dans un navigateur et le nouveau fichier de livre est ouvert dans FrameMaker.

Parent topic: Modification de contenu


panneau Équations

Connaître le placement et l’affichage des équations, les équations en ligne dans les documents structurés, les équations dans les cadres graphiques de FrameMaker.

  • Placement et affichage d’équations
  • Présentation du panneau Equations
    Connaître le panneau d’équations et ses différents paramètres dans FrameMaker.
  • Création d’équations
    Découvrez comment créer des équations et les utiliser dans vos documents FrameMaker.
  • Insertion d’éléments mathématiques
    Découvrez comment insérer des éléments mathématiques et des expressions mathématiques, découvrez la portée des opérations dans FrameMaker.
  • Réduction ou développement d’une équation
    Comprendre la réduction et le développement d'une équation dans FrameMaker.
  • Modification d’équations
    Découvrez comment modifier une équation, supprimer des délimiteurs, travailler avec des formats d’éléments et des matrices dans FrameMaker.
  • Création et définition d’éléments mathématiques
    Connaître les types d’éléments mathématiques, changer les éléments mathématiques intégrés, définir les éléments mathématiques personnalisés dans FrameMaker.
  • Définition de sauts de ligne et alignement d’équations
    Découvrez comment définir les sauts de ligne et aligner les équations le long d’un point dans un cadre ou dans une liste dans FrameMaker.
  • Modification des paramètres typographiques dans les équations
    Découvrez comment modifier les paramètres de police et de format pour les équations dans FrameMaker.
  • Résolution d’équations
    Découvrez comment évaluer les équations, la transformation d'équation, la matrice d’équation, l’addition, la multiplication, la division, le menu contextuel des règles et les remplacements dans FrameMaker.
Parent topic: Modification de contenu


Placement et affichage d’équations

Vous pouvez placer une équation de façon à l’intégrer à un texte de paragraphe ou l’afficher dans un paragraphe distinct. Dans les deux cas, FrameMaker crée un cadre ancré destiné à l’équation. Vous pouvez positionner une équation avec d’autres objets dans un cadre graphique existant, par exemple, pour annoter un graphique. Les cadres graphiques contenant des équations peuvent être ancrés ou non.

Figure 1. Cadres graphiques avec équations
Placement d’une équation en ligne, affichée ou dans un graphique avec d’autres objets

A. Insertion B. Affichage C. Equation dans un graphique avec d’autres objets

Equations intégrées et équations affichées dans les documents structurés

Un élément équation crée un cadre et un objet équation dans lequel vous pouvez insérer des expressions mathématiques. A l’image d’un cadre ancré de graphique, un cadre d’équation est ancré à un endroit spécifique dans le texte.

Vous pouvez insérer un élément équation de manière à l’intégrer à un paragraphe de texte ou l’insérer dans un paragraphe distinct.

Figure 2. Élément d’équation – en ligne et dans un paragraphe séparé
Équation intégrée avec du texte et comme affichage

A. Equation intégrée B. Equation affichée

Un élément équation apparaît dans la structure du document à l’endroit où il est ancré au texte, quelle que soit sa position sur la page. Dans la Vue de la structure, une bulle carrée avec l’extrait <EQUATION> indique un élément d’équation. L’équation en elle-même ne fait pas partie de la structure.

Figure 3. Elément Equation
Élément d’équation dans la vue structurée du document

Si vous exportez au format SGML ou XML, FrameMaker écrit l’équation dans un fichier graphique distinct (format CGM). Ensuite, FrameMaker lui ajoute une référence d’entité à partir de votre fichier SGML ou XML.

Vous pouvez modifier le format de fichier pour les équations à l’aide d’une règle de lecture/écriture. Si vous passez au format MIF, FrameMaker effectue le suivi des équations et de leurs noms de fichiers respectifs. Le fait d’enregistrer l’équation plusieurs fois l’enregistre dans un seul et même fichier au lieu de créer plusieurs fichiers comme dans FrameMaker 9.

Exemple :

Nouveau comportement | Ancien comportement
L’équation 1 est enregistrée dans un fichier, disons eq1.mif La modification du contenu FrameMaker et l’enregistrement ultérieur du fichier enregistre l’équation 1 dans le même fichier eq1.mif. FrameMaker ne crée PAS de nouveaux fichiers lors de chaque enregistrement de la même équation. | L’équation 1 est enregistrée dans un fichier, disons eq1.mif La modification du contenu FrameMaker et l’enregistrement ultérieur du fichier créent un fichier, , disons eq2.mif pour la même équation 1. FrameMaker crée de nouveaux fichiers lors de chaque enregistrement de la même équation.

Equations dans les cadres graphiques des documents structurés

Vous pouvez également placer une équation dans un cadre ancré inséré pour recevoir des graphiques. Cette opération vous permet de combiner l’équation à des objets graphiques. Si le cadre ancré est un élément, celui-ci fait partie de la structure du document. Toutefois, le contenu du cadre, y compris l’équation, n’apparaît pas dans la structure.

Il arrive parfois qu’une équation insérée dans un cadre ancré contenant des graphiques ne produise pas les résultats escomptés si vous l’exportez au format SGML ou XML. De manière générale, placez un seul objet par cadre lorsque vous prévoyez d’exporter au format SGML ou XML.

Parent topic: panneau Équations


Présentation du panneau Equations

Connaître le panneau d’équations et ses différents paramètres dans FrameMaker.

Le panneau Equations contient les commandes permettant de créer et de modifier des équations. Elle contient également des symboles, des opérateurs, des fonctions et autres éléments mathématiques à insérer dans les équations. Pour afficher le panneau, cliquez sur le bouton Équations Bouton Équation dans le coin supérieur droit de la fenêtre de document.

Figure 1. panneau Équations
Panneau d'équations dans FrameMaker

A. La liste déroulante Equations s’affiche sur chaque page. B. Cette partie du panneau change d'une page à l'autre. C. Les noms des pages s'affichent ici, avec mise en surbrillance de la page en cours.

Le panneau Equations dispose de neuf pages d’éléments mathématiques et de commandes. Pour afficher une page, cliquez sur son nom dans la partie supérieure du panneau.

page Symboles

Caractères grecs, symboles atomiques, signes diacritiques et chaîne de caractères.

Opérateurs

Radicaux, puissances, signes, indices, exposants et symboles logiques.

Grands

Sommes, produits, intégrales, intersections et unions.

page Délimiteurs

Parenthèses, crochets, accolades et substitution.

Relations

Egal, inférieur à, supérieur à, similaire à, sous-ensemble de, sur-ensemble de et proportionnel à.

Calculs

Intégrales, dérivées, dérivées partielles, gradients et limites.

page

Matrices et commandes matricielles.

ou Fonctions

Fonctions trigonométriques, hyperboliques et logarithmiques ; commandes de calcul d’expressions et commandes de création et d’application de règles.

page Positionnement

Boutons d’ajustement de la position d’une expression et de l’espace qui l’entoure, commandes de définition de l’alignement et commandes d’insertion et de suppression des sauts de ligne manuels.

Parent topic: panneau Équations


Création d’équations

Découvrez comment créer des équations et les utiliser dans vos documents FrameMaker.

Pour créer une équation, insérez un objet d’équation dans le document, puis placez les éléments mathématiques dans l’équation.

Tip: Lorsque vous travaillez sur une équation, utilisez le zoom afin de distinguer aisément les caractères.
  • Création d’une équation intégrée
  • Création d’une équation dans un paragraphe distinct (équation affichée)
  • Création d’une équation dans un cadre graphique contenant d’autres objets
Parent topic: panneau Équations


Création d’une équation intégrée

  1. Cliquez sur l’emplacement du texte où vous désirez insérer l’équation. Si le texte se trouve dans un cadre pivoté, commencez par annuler la rotation en sélectionnez le cadre de texte pivoté et en appuyant sur échap+g+0 (zéro).

  2. Sélectionnez Insérer > Equations, ou cliquez sur le bouton Equations Bouton Équation situé à droite de la fenêtre de document.

  3. Dans le panneau Equations, sélectionnez une des commandes Nouvelle équation dans la liste déroulante Equations. Les options Petite, Moyenne et Grande spécifient les tailles de polices utilisées dans la nouvelle équation.

    Un nouvel objet d’équation s’affiche sous forme de point d’interrogation dans un cadre ancré situé sous la ligne comportant le point d’insertion. Le premier élément mathématique inséré remplace le point d’interrogation.

    Figure 1. Nouvelle équation intégrée
    Nouvel objet d’équation s’affichant sous forme de point d’interrogation

  4. Insérez les éléments mathématiques dans l’équation en les saisissant ou en cliquant dessus dans le panneau Equations.

    Figure 2. Eléments insérés
    Insertion d’éléments mathématiques dans une équation

  5. Sélectionnez Réduire l’équation dans la liste déroulante Équations. Cette option rapproche le cadre de l’équation et insère cette dernière sur une ligne de texte au niveau du symbole d’ancrage.

    Figure 3. Equation intégrée réduite
    Réduire une équation à l’aide de l’option Réduire l’équation.

  6. Si l’équation semble être placée trop près du texte (d’un côté ou de l’autre), insérez un espace avant ou après le cadre. FrameMaker traite les cadres contenant une équation intégrée comme des caractères ; aucun espace superflu n’est inséré.

  7. Si l’équation est trop haute pour la ligne, étendez le cadre au-dessus et au-dessous de la ligne. Utilisez la liste déroulante Interligne de la barre de formatage pour désactiver l'interligne fixe.

Parent topic: Création d’équations


Création d’une équation dans un paragraphe distinct (équation affichée)

  1. Cliquez dans un paragraphe vide.

  2. Appliquez un style de paragraphe à partir du Catalogue de paragraphes, ou configurez votre propre format. Le style du paragraphe détermine l’alignement, l’espacement vertical et la numérotation automatique du paragraphe contenant l’équation.

    Tip: Si le document a été généré à partir d’un livre ou d’un modèle, utilisez le style de paragraphe Équation. Vous pouvez aussi le copier dans le document et le personnaliser au besoin en modifiant la police par défaut et l’espacement.

  3. Cliquez sur le bouton Équations Bouton Équation situé à droite de la fenêtre de document.

  4. Dans le panneau Equations, sélectionnez une des commandes Nouvelle équation dans la liste déroulante Equations. Les options Petite, Moyenne et Grande spécifient les tailles de polices utilisées dans la nouvelle équation.

    Un nouvel objet d’équation s’affiche sous forme de point d’interrogation dans un cadre ancré sous le paragraphe vide. Le premier élément inséré remplace le point d’interrogation.

    Figure 1. Nouvelle équation dans un cadre ancré
    Un nouvel objet d’équation s’affichant sous forme de point d’interrogation dans un cadre ancré sous le paragraphe vide

  5. Insérez les éléments mathématiques dans l’équation en les saisissant ou en cliquant dessus dans le panneau Equations.

    Figure 2. Eléments insérés
    Insertion d’un élément mathématique dans l’équation

  6. Sélectionnez Réduire l’équation dans la liste déroulante Équations. Cette option rapproche le cadre de l’équation et insère cette dernière dans le paragraphe vide.

    Figure 3. Equation réduite dans son propre paragraphe
    Réduction du cadre autour d’une équation

Parent topic: Création d’équations


Création d’une équation dans un cadre graphique contenant d’autres objets

  1. Cliquez sur le bouton Équations Bouton Équation situé à droite de la fenêtre de document.

  2. Sélectionnez un cadre graphique ou un objet dans un cadre graphique.

  3. Dans le panneau Equations, sélectionnez une des commandes Nouvelle équation dans la liste déroulante Equations. Les options Petite, Moyenne et Grande spécifient les tailles de polices utilisées dans la nouvelle équation.

    Un nouvel objet d’équation s’affiche sous forme de point d’interrogation dans le cadre. Le premier élément inséré remplace le point d’interrogation.

    Figure 1. Nouvel objet équation
    Équation dans un cadre graphique contenant d’autres objets

  4. Insérez les éléments mathématiques dans l’équation en les saisissant ou en cliquant dessus dans le panneau Equations.

  5. Pour placer l’équation avec précision, sélectionnez-la en maintenant la touche Ctrl enfoncée, puis en cliquant dessus.

  6. Déplacez l’équation de l’une des manières suivantes :

    • Faites-la glisser avec la souris.

    • Déplacez-la avec les touches fléchées.

    • Positionnez-la précisément avec la commande Graphiques > Propriétés de l’objet.

Parent topic: Création d’équations
Related information
  • Déplacement d’un objet
  • Création d’équations à l’aide du panneau Equations


Insertion d’éléments mathématiques

Découvrez comment insérer des éléments mathématiques et des expressions mathématiques, découvrez la portée des opérations dans FrameMaker.

Une équation contient des expressions constituées d'éléments mathématiques (caractères, chaînes de caractères, opérateurs et autres éléments mathématiques du panneau Equations.

Figure 1. Équation contenant des éléments mathématiques
Éléments mathématiques dans une équation avec caractère alphanumérique, chaîne de texte, expression et opérateur

A. Caractère alphanumérique B. Chaîne de texte C. Expression D. Opérateur

Une fois l’objet d’équation créé, insérez lez éléments mathématiques en les saisissant ou en cliquant dessus dans le panneau Equations. Le panneau Equations peut être fermé lorsque vous insérez un élément à l'aide du clavier.

Note: les équations mathématiques prennent en charge le format de codage de texte Unicode.

A propos du domaine de l’opération

Lorsque vous insérez un élément mathématique dans une équation, FrameMaker ajuste la syntaxe mathématique. Le résultat dépend du domaine de l’opération, c’est-à-dire de la sélection ou de l’emplacement du point d’insertion. Par exemple, si vous insérez un x dans une fraction, le résultat dépendra de l’élément sélectionné : numérateur, dénominateur ou toute la fraction.

Si vous multipliez par x | Le résultat sera
Point d’insertion à la fin de 7 dans le numéroteur ou 7 est sélectionné dans le numéroteur | Résultat lorsque 7 est sélectionné ou que le point d’insertion est après 7
Le numérateur est sélectionné | Résultat lorsque le numérateur est sélectionné
Point d’insertion après l’équation ou L’équation entière est sélectionnée | Résultat lorsque le point d’insertion est après l’équation ou que l’équation entière est sélectionnée

Dans le premier exemple, seul 7 est multiplié par x. Dans le deuxième exemple, FrameMaker ajoute des parenthèses pour indiquer que l’ensemble de l’expression 2y + 7 est multiplié par x. Dans le dernier exemple, l’ensemble de la fraction est multiplié par x. La taille du point d’insertion dans les premier et dernier exemples indique le domaine.

La plupart des erreurs commises dans des équations proviennent du mauvais domaine de définition d’une opération. En général, trop ou pas assez d’éléments ont été sélectionnés. Veillez à effectuer la sélection appropriée avant d’insérer un élément.

  • Insertion d’un élément mathématique
  • Insertion d’une chaîne de caractères
  • Insertion, ajout ou modification d’une liste horizontale ou verticale d’expressions
  • Insertion de symboles
  • Insertion d’opérateurs
  • Insertion de grands éléments
  • Insertion de délimiteurs
  • Insertion de relations
  • Insertion d’éléments de calcul
  • Insertion de matrices
  • Insertion de fonctions
  • Insertion d’un élément mathématique personnalisé
Parent topic: panneau Équations


Insertion d’un élément mathématique

  1. Sélectionnez une expression ou placez le point d’insertion dans une équation.

  2. Effectuez l’une des opérations suivantes :

    • Pour insérer un élément mathématique à l'aide du panneau Equations, cliquez sur l’élément.

    • Pour insérer un caractère alphanumérique ou un symbole figurant sur le clavier, tapez-le. Vous pouvez saisir des parenthèses, des crochets, des signes plus (+), des signes égal (=), etc. Si vous entrez une parenthèse ouvrante, FrameMaker insère automatiquement la parenthèse fermante.

    • Pour insérer un élément nécessitant une barre oblique inverse, entrez une barre oblique inverse ( \ ) et la chaîne de caractères identifiant l’élément, puis appuyez sur la touche Entrée. Ainsi, pour insérer le symbole infini Symbole infini, saisissez \infty et appuyez sur la touche Retour.

    • Insertion d’un élément mathématique personnalisé.

    Si un élément nécessite un ou plusieurs opérandes, un point d’interrogation Invite de Point d’interrogation s’affiche pour chacun d’eux ; sinon, un point d’insertion apparaît. Pour passer d’un opérande à un autre, utilisez la touche Tab.

Parent topic: Insertion d’éléments mathématiques


Insertion d’une chaîne de caractères

Une chaîne de caractères est une série de caractères traités comme un tout. Contrairement aux caractères constituant une expression, les caractères d’une chaîne de caractères ne s’affichent pas en italique et ne sont pas multipliés.

Figure 1. A. Chaînes de caractères
Chaîne de caractères dans une équation

Les chaînes de caractères n’ont aucune signification mathématique pour FrameMaker. Par exemple, les commandes de calcul prennent en compte la fonction tan mais pas la chaîne « tan ».

  1. Sur la page Symboles du panneau Equations, cliquez sur Démarrer la chaîne. Deux guillemets ( " " ) s’affichent. Vous pouvez également entrer une apostrophe ( ’ ) ou des guillemets (") pour commencer la chaîne.

  2. Entrez le texte de la chaîne. Les guillemets disparaissent et le texte s’affiche au fur et à mesure de la saisie. Pour insérer une apostrophe ou des guillemets comme élément de la chaîne, maintenez la touche Ctrl enfoncée et appuyez sur la touche souhaitée.

  3. Cliquez sur Chaîne de fin à la page Symboles, ou appuyez sur Retour.

Parent topic: Insertion d’éléments mathématiques


Insertion, ajout ou modification d’une liste horizontale ou verticale d’expressions

Un objet d’équation contient généralement une équation ou une expression. Vous pouvez établir une liste horizontale ou verticale comprenant plusieurs expressions sous la forme d’un même objet. Lors de la sélection d’une liste, toutes les expressions de celle-ci ne représentent qu’un seul et unique objet.

Figure 1. (A) Liste horizontale (B) Liste verticale alignée sur les signes d’égalité
Liste verticale et horizontale alignée sur les signes d’égalité

Les expressions sont automatiquement alignées dans la liste. Lorsque vous la déplacez, la position relative des expressions ne change pas.

  1. Sélectionnez l’expression à placer en début de liste ou à ajouter à une liste.

  2. Sur la page Opérateurs du panneau Equations, cliquez sur l’élément de liste horizontale Élément de listes horizontales ou verticales Élément de listes verticales. Pour ajouter un élément mathématique, saisissez les éléments ou cliquez dessus dans le panneau Equations. Une liste horizontale ou verticale s’affiche. L’expression sélectionnée s’affiche en début de liste. Un deuxième élément apparaît dans la liste sous forme de point d’interrogation.

    Avant

    Après

    Une équation vide avant de cliquer sur la liste horizontale

    Après avoir cliqué sur la liste horizontale

    Sélection d’une expression avant de cliquer sur la liste verticale

    Résultat après avoir cliqué sur la liste verticale avec une expression sélectionnée

    Sélection d’une partie d’une expression avant de cliquer sur la liste verticale

    Résultat après avoir cliqué sur la liste verticale avec une partie sélectionnée dans l’expression

Dans le premier exemple, une liste horizontale est insérée. Dans le deuxième exemple, une liste verticale est insérée et l’expression sélectionnée devient le premier élément de la liste. Dans le dernier exemple, une liste verticale est insérée sous forme d’expression plus importante.

Parent topic: Insertion d’éléments mathématiques


Insertion de symboles

La page Symboles du panneau Equations contient l’alphabet grec, divers symboles et des signes diacritiques.

La page Symboles ne contient pas les caractères grecs ayant un équivalent dans l’alphabet romain, tels que la lettre alpha majuscule (A). Les exemples suivants affichent le résultat de la sélection de Symbole Pi sur la page Symboles.

Avant | Après
Clic sur le symbole avec le point d’insertion à la fin de l’expression | Le symbole est ajouté après le numéro 7 dans l’expression
Clic sur le symbole après sélection de l’expression | Résultat du clic sur le symbole après sélection de l’expression

Les signes diacritiques s’affichent à gauche du point d’insertion ou dans l’expression sélectionnée. Cliquez une fois sur le bouton du point ou du signe diacritique à insérer.

Note: pour interpréter et manipuler mathématiquement un élément de somme, de produit ou de différentiel partiel, insérez l’élément depuis la page Grands ou Calcul. Ne l’insérez pas à partir de la page Symboles. Aucun calcul n’est effectué sur les éléments de cette page.
Parent topic: Insertion d’éléments mathématiques


Insertion d’opérateurs

La page Opérateurs du panneau Equations contient des opérateurs courants, des racines, des puissances, des signes, des indices, des exposants et des symboles logiques.

Si une expression est sélectionnée lorsque vous insérez l’opérateur, elle devient le premier opérande. Les exemples suivants montrent le résultat de la sélection du signe plus Signe plus ou de l’opérateur de division Signe de division dans la page Opérateurs.

Avant | Après
Avant de cliquer sur le signe plus quand rien n’est sélectionné dans une expression | Résultat après avoir cliqué sur le signe plus quand rien n’est sélectionné dans une expression
Avant de cliquer sur le signe plus alors qu'une partie de l’expression est sélectionnée | Résultat après avoir cliqué sur le signe plus alors qu'une partie de l’expression est sélectionnée
Avant de cliquer sur l’opérateur de division alors qu'une partie de l’expression est sélectionnée | Résultat après avoir cliqué sur l’opérateur de division alors qu'une partie de l’expression est sélectionnée

Vous pouvez représenter l’opérateur de division par une barre oblique (/), une barre horizontale Signe Moins ou un signe de division Signe de division.

FrameMaker peut évaluer mathématiquement les exposants mais pas les indices supérieurs.

Figure 1. (A) Indice (B) Exposant
Exemple d’équation avec exposant dans FrameMaker

Parent topic: Insertion d’éléments mathématiques


Insertion de grands éléments

La page Grands du panneau Equations contient des symboles de somme, de produit, d’intégrale, d’intersection et d’union.

Si une expression est sélectionnée lorsque vous insérez un grand élément, elle devient le premier opérande. Les exemples suivants affichent le résultat de la sélection du symbole de somme Symbole de somme dans la page Grands.

Avant | Après
Avant de cliquer sur le symbole de somme lorsque rien n’est sélectionné dans une expression | Résultat après avoir cliqué sur le symbole de somme lorsque rien n’est sélectionné dans une expression
Avant de cliquer sur le symbole de somme lorsque l’expression est sélectionnée | Résultat après avoir cliqué sur le symbole de somme lorsque l’expression est sélectionnée

Vous pouvez ajouter un opérande après avoir inséré un élément mathématique depuis la page Grands.

Parent topic: Insertion d’éléments mathématiques


Insertion de délimiteurs

La page Délimiteurs contient des délimiteurs tels que les parenthèses, les crochets et les accolades.

Si une expression est sélectionnée lorsque vous insérez une paire de délimiteurs, elle est placée entre les délimiteurs. Les exemples suivants affichent le résultat de la sélection des parenthèses sur la page Délimiteurs.

Avant | Après
Avant de cliquer sur les parenthèses lorsque rien n’est sélectionné dans une expression | Résultat après avoir cliqué sur les parenthèses lorsque rien n’est sélectionné dans une expression
Avant de cliquer sur les parenthèses lorsque l’expression est sélectionnée | Résultat après avoir cliqué sur les parenthèses lorsque l’expression est sélectionnée

Vous pouvez également remplacer les parenthèses par des crochets ([ ]) ou des accolades ({ }).

Parent topic: Insertion d’éléments mathématiques


Insertion de relations

La page Relations contient des symboles de relation comme =, <, >, approx, équivalent, est un élément de, sur-ensemble, et le panneau sous-ensemble.

Tous les symboles de relation, à l’exception du signe égal binaire égal à, s’appliquent au caractère situé à gauche ou à droite du point d’insertion ou à la sélection. Si vous placez un symbole de relation entre des éléments multipliés, il s’applique aux éléments situés de part et d’autre du point d’insertion.

Le signe égal binaire égal à apparaît à droite de l’expression en cours (voir le deuxième exemple). Si le point d’insertion ou la sélection se trouve sur un indice ou sur un exposant, le signe égal s’affiche en indice ou en exposant.

Avant | Après
Avant de cliquer sur le signe égal binaire dans une expression | Résultat après avoir cliqué sur le signe égal binaire dans une expression
Avant de cliquer sur le signe égal binaire dans une équation | Résultat après avoir cliqué sur le signe égal binaire dans une équation
Avant de cliquer sur le signe égal binaire d'un indice dans une équation | Résultat après avoir cliqué sur le signe égal binaire d'un indice dans une équation

Insertion d’un signe égal binaire au point d’insertion

  1. Appuyez sur Échap+m+=

    Avant

    Après

    Avant de cliquer sur le signe égal binaire à un point d'insertion

    Résultat après avoir cliqué sur le signe égal binaire à un point d’insertion

Parent topic: Insertion d’éléments mathématiques


Insertion d’éléments de calcul

La page Calcul contient des intégrales, des dérivées, des dérivées partielles, des gradients et des limites.

Si une expression est sélectionnée lorsque vous insérez un élément de calcul, elle devient le premier opérande. Les exemples suivants affichent le résultat de la sélection du symbole d’intégrale Symbole d’intégr dans la page Calcul.

Avant | Après
Avant de cliquer sur le signe d'intégrale à un point d’insertion | Résultat après avoir cliqué sur le signe d'intégrale à un point d’insertion
Avant de cliquer sur le signe d'intégrale dans une équation sélectionnée | Résultat après avoir cliqué sur le signe d'intégrale dans une équation sélectionnée

Vous pouvez modifier la position des opérandes et en insérer de nouveaux.

Parent topic: Insertion d’éléments mathématiques


Insertion de matrices

La page Matrices contient des matrices dont la taille est comprise entre 1 x 1 et 3 x 3. Une fois la matrice créée, vous pouvez y ajouter des lignes et des colonnes.

Si, lorsque vous insérez la matrice, une expression est sélectionnée, celle-ci devient la première cellule de la matrice.

Avant | Après
Avant de cliquer sur la matrice à un point d’insertion | Résultat après avoir cliqué sur la matrice à un point d’insertion
Avant de cliquer sur la matrice lorsqu’une expression est sélectionnée | Résultat après avoir cliqué sur la matrice lorsqu’une expression est sélectionnée
Parent topic: Insertion d’éléments mathématiques


Insertion de fonctions

La page Fonctions contient des fonctions trigonométriques, hyperboliques et logarithmiques ainsi que les fonctions de signes, de limites et des fonctions générales.

FrameMaker place une fonction au point d’insertion ou l’applique à la sélection. Si une expression est sélectionnée, elle devient l’argument de la fonction, à l’exception des limites et des fonctions générales Fonction limite et Fonction limite. Les exemples suivants affichent le résultat de la sélection de la fonction sinus de la page Fonctions.

Avant | Après
Avant de cliquer sur la fonction sinus à un point d’insertion | Résultat après avoir cliqué sur la fonction sinus à un point d’insertion
Avant de cliquer sur la fonction sinus lorsqu’une expression est sélectionnée | Résultat après avoir cliqué sur la fonction sinus lorsqu’une expression est sélectionnée
Parent topic: Insertion d’éléments mathématiques


Insertion d’un élément mathématique personnalisé

Outre les éléments mathématiques intégrés dans FrameMaker, vous pouvez insérer des éléments mathématiques personnalisés définis pour un document.

Les éléments mathématiques personnalisés n’ont aucune signification mathématique dans FrameMaker. Ainsi, un élément mathématique personnalisé défini comme opérateur est traité comme tel dans une équation. Toutefois, FrameMaker ne peut pas l’utiliser pour résoudre l’équation.

  1. Dans le panneau Equations, sélectionnez Insérer un élément mathématique dans la liste déroulante Equations.

  2. Sélectionnez le nom de l’élément et cliquez sur Insérer.

Parent topic: Insertion d’éléments mathématiques


Réduction ou développement d’une équation

Comprendre la réduction et le développement d'une équation dans FrameMaker.

La réduction d’une équation permet de réduire le cadre ancré qui l’entoure afin qu’il soit assez grand pour contenir l’équation. La position d’ancrage du cadre se définit alors sur Au point d’insertion et le point d’insertion se place après le cadre.

Figure 1. Avant réduction
Avant de réduire le cadre ancré du pourtour avec la réduction dans FrameMaker

Figure 2. Après réduction
Après avoir réduit le cadre ancré du pourtour à l'aide de la réduction dans FrameMaker

Réduisez une équation lorsque vous avez terminé de travailler dessus afin d’optimiser l’espace qu’elle occupe et de la placer sur la ligne de base du texte qui l’entoure. Développez une équation pour agrandir son cadre et faciliter la modification de celle-ci.

  1. Cliquez sur l’équation ou sélectionnez son cadre.

  2. Dans le panneau Equations, sélectionnez Réduire l’équation ou Développer l’équation dans la liste déroulante Equations. Parfois, les bords d’une équation réduite n’apparaissent pas à l’écran. Ils apparaissent cependant dans le document imprimé.

Parent topic: panneau Équations


Modification d’équations

Découvrez comment modifier une équation, supprimer des délimiteurs, travailler avec des formats d’éléments et des matrices dans FrameMaker.

Vous pouvez modifier une équation de la même façon que du texte : vous pouvez ajouter, modifier, réorganiser, supprimer, copier, couper et coller les éléments mathématiques. Lorsque vous modifiez une équation, FrameMaker ajuste sa syntaxe de manière appropriée.

Vous pouvez modifier une matrice en ajoutant ou supprimant des lignes et des colonnes, en supprimant des crochets et en modifiant la hauteur des lignes et la largeur des colonnes. Pour certains éléments mathématiques, tels que les parenthèses, vous avez également le choix entre différentes représentations. Vous pouvez ajouter des opérandes à d’autres éléments, tels que les intégrales et les sommes.

Si l’équation est réduite, développez-la avant de la modifier. Elle retrouve sa taille normale dans un cadre ancré vous offrant ainsi plus d’espace de travail.

Note: Pour modifier une équation après rotation, annulez d’abord la rotation ou la zone de texte en appuyant sur Échap+g+0 (zéro).
  • Extension de la sélection à l’aide du clavier
  • Déplacement de la sélection
  • Remplacement ou suppression d’une équation ou d’un élément mathématique
  • Suppression de délimiteurs
  • Modification du format d’un élément
  • Ajout d’un opérande à un élément mathématique
  • Modification d’une matrice
Parent topic: panneau Équations


Extension de la sélection à l’aide du clavier

  • Appuyez sur la barre d’espacement. La sélection s’étend pour englober l’expression suivante située au-dessus. L’exemple suivant affiche le résultat d’une pression répétée sur la barre d’espacement.

    Sélection d’origine

    Sélection d'origine pour étendre une sélection à l’aide du clavier

    Une pression

    Barre d’espace utilisée une fois pour étendre une sélection

    Deux pressions

    Barre d’espace utilisée deux fois pour étendre une sélection

Parent topic: Modification d’équations


Déplacement de la sélection

  • Procédez de l’une des façons suivantes :

    • Pour déplacer la sélection à la sous-expression suivante sur la droite, appuyez sur la touche fléchée vers la droite.

    • Pour déplacer la sélection à la sous-expression suivante sur la gauche, appuyez sur la touche fléchée vers la gauche.

    • Pour déplacer la sélection à droite du point d’interrogation suivant, appuyez sur la touche Tab.

Parent topic: Modification d’équations


Remplacement ou suppression d’une équation ou d’un élément mathématique

  1. Sélectionnez l’élément à supprimer et appuyez sur la touche Suppr. Une invite en forme de point d’interrogation s’affiche à la place de l’élément.

  2. Procédez de l’une des façons suivantes :

    • Pour remplacer l’élément, cliquez sur le panneau Equations ou effectuez une saisie pour insérer le remplacement.

    • Pour supprimer l’élément, appuyez de nouveau sur la touche Suppr. FrameMaker supprime également tout élément devenu superflu (par exemple, un signe plus ou des parenthèses).

    • Appuyez sur Ctrl et cliquez sur l’équation pour la sélectionner, puis appuyez sur la touche Suppr.

Parent topic: Modification d’équations


Suppression de délimiteurs

Une fois l’équation créée ou modifiée, il est possible qu’elle contienne des délimiteurs (crochets, parenthèses ou accolades) superflus. Vous pouvez supprimer ces délimiteurs. En cas d’utilisation des commandes de calcul par la suite, FrameMaker considère que les délimiteurs existent toujours lorsqu’il résout l’équation.

  • Pour supprimer tous les délimiteurs, sélectionnez l’expression. À la page Délimiteurs du panneau Equations, cliquez sur Supprimer les parenthèses.

    Avant

    Après

    Avant de cliquer sur Supprimer les Parenthèses pour supprimer tous les délimiteurs d’une expression sélectionnée

    Après avoir cliqué sur Supprimer parenthèses pour supprimer tous les délimiteurs

  • Pour supprimer un délimiteur, placez le point d’insertion à droite du délimiteur et appuyez sur la touche Suppr. Si le délimiteur comporte un point de connexion, tel qu’une parenthèse gauche située entre a et b dans l’exemple ci-dessous, ce point de connexion est également supprimé.

    Avant

    Après

    Avant d’appuyer sur la clé de suppression pour supprimer un délimiteur à un point d’insertion

    Après avoir appuyé sur la clé de suppression pour supprimer un délimiteur à un point d’insertion

Parent topic: Modification d’équations


Modification du format d’un élément

Certains éléments mathématiques peuvent être représentés sous différentes formes. Par exemple, des délimiteurs peuvent apparaître sous la forme Exemple de délimiteur 1, Exemple de délimiteur 2 ou Exemple de délimiteur 3. La division peut être représentée par Exemple de division 1, Exemple de division 2 ou Exemple de division 3.

  1. Sélectionnez l’élément entier.

  2. Sur la page Opérateurs, Grands, Délimiteurs ou Calcul du panneau Equations, cliquez sur Basculer leformat. La commande est identique sur chacune de ces pages et s’applique à tous les éléments comportant plusieurs formats. Dans certains cas, cliquez plusieurs fois pour obtenir le format voulu.

Parent topic: Modification d’équations


Ajout d’un opérande à un élément mathématique

Les racines, gradients et logarithmes peuvent avoir un ou deux opérandes. Les intégrales et certains symboles des pages Grands et Calcul peuvent comporter un, deux ou trois opérandes.

Figure 1. Opérandes
Opérandes dans une équation

Vous pouvez ajouter des opérandes à ces éléments sans réécrire toute l’équation.

  1. Cliquez sur un emplacement ou sélectionnez-en un dans l’expression contenant l’élément.

  2. Cliquez sur Ajouter opérande sur la page Grands ou Calcul. Un point d’interrogation s’affiche au point auquel vous spécifiez l’opérande.

Parent topic: Modification d’équations


Modification d’une matrice

Vous pouvez modifier le nombre de lignes et de colonnes d’une matrice et ajouter ou supprimer les crochets l’encadrant. Vous pouvez autoriser les colonnes à présenter des largeurs différentes selon leur contenu ou spécifier que toutes les colonnes doivent être de la même largeur. Il est également possible de créer des colonnes de même largeur ou modifier la hauteur des lignes.

Vous pouvez également transposer et calculer une matrice.

  • Pour ajouter une ligne ou une colonne à une matrice, placez le point d’insertion dans la matrice. Dans la page Matrices du panneau Equations, sélectionnez Ajouter une ligne ou Ajouter une colonne dans la liste déroulante Commandes matricielles.

    Avant

    Après

    Avant de cliquer sur Ajouter colonne pour ajouter une colonne à une matrice

    Après avoir cliqué Ajouter colonne pour ajouter une colonne à une matrice

    Lorsqu’une ligne est ajoutée, elle est placée en bas.

    Lorsqu’une colonne est ajoutée, elle est insérée à droite.

  • Pour supprimer une ligne ou une colonne d’une matrice, sélectionnez la ligne ou la colonne et appuyez sur Supprimer.

  • Pour ajouter ou supprimer les crochets entourant une matrice, sélectionnez toute la matrice. Sur la page Matrices du panneau Equations, cliquez sur Ajouter/Supprimer les crochets.

  • Pour modifier la hauteur des lignes ou la largeur des colonnes d’une matrice, sélectionnez la matrice. Dans la page Matrices du panneau Equations, sélectionnez Toutes égales ou Proportionnelles dans la liste déroulante Hauteur de ligne des matrices ou Largeur de colonne des matrices.

Figure 1. Hauteurs de lignes égales (à gauche) et hauteurs de lignes proportionnelles (à droite)
Exemple de hauteurs de ligne égales et de hauteurs de lignes proportionnelles

Si vous sélectionnez Proportionnel, chaque ligne est assez grande pour contenir la plus grande cellule de la ligne. chaque colonne est assez large pour accueillir la cellule la plus large de la colonne.

Si vous sélectionnez Toutes égales, chaque ligne est assez grande pour contenir la plus grande cellule de toute la matrice. Chaque colonne est assez large pour accueillir la cellule la plus large de la matrice.

Parent topic: Modification d’équations


Création et définition d’éléments mathématiques

Connaître les types d’éléments mathématiques, changer les éléments mathématiques intégrés, définir les éléments mathématiques personnalisés dans FrameMaker.

Si vous avez besoin d’un élément mathématique qui ne s'affiche pas sur le panneau Equations, vous pouvez créer un élément personnalisé, par exemple, un nouvel opérateur tel que Opérateur Opérateur. Toutefois, FrameMaker ne peut pas évaluer mathématiquement ce type d’élément.

Vous pouvez redéfinir un élément mathématique intégré sur le panneau afin de l’afficher différemment dans le document. Par exemple, vous pouvez redéfinir la fonction inverse de la fonction sinus (asin) afin qu’elle s’affiche sous la forme sin-1. Vous pouvez redéfinir l’apparence d’un élément intégré, mais vous ne pouvez pas en changer le type.

Vous pouvez également importer des définitions d’élément mathématique d’un autre document.

Les définitions des éléments mathématiques personnalisés sont enregistrées sur une ou plusieurs pages de référence dont le nom commence par FrameMath. Chaque définition correspond à une ligne de texte placée dans un cadre graphique non ancré et dont le nom représente celui de l’élément.

Figure 1. (A) Cadre graphique (B) Ligne de texte
Élément mathématique personnalisé défini comme une ligne de texte dans un cadre graphique non ancré.

  • Types d’éléments mathématiques
  • Définition d’un élément mathématique personnalisé ou modification d’une définition d’élément mathématique intégré
  • Recherche du nom d’un élément mathématique
  • Modification ou suppression d’une définition d’élément mathématique personnalisé
  • Positionnement d’éléments mathématiques dans une équation
  • Ajustement des valeurs d’espacement de toutes les occurrences d’un élément mathématique
Parent topic: panneau Équations
Related information
  • Ajout de texte aux graphiques
  • Utilisation de cadres de référence sur les pages de référence
  • Modification de la police des équations sur l’ensemble d’un document


Types d’éléments mathématiques

Le type d’un élément mathématique définit son effet sur les éléments qui l’entourent. Par exemple, le signe plus (+) est du type infixe, ce qui signifie qu’il possède deux opérandes, l’un à gauche et l’autre à droite.

Vous pouvez définir les éléments mathématiques personnalisés de types suivants.

Type | Exemple | Nombre d’opérandes
Atome | Élément mathématique personnalisé – atome | Aucune
Délimiteur | Élément mathématique personnalisé – délimiteur | Un
Fonction | Élément mathématique personnalisé – fonction | Un, à droite de l’élément
Infixe | Élément mathématique personnalisé – Infixe | Deux, à gauche et à droite de l’élément
Grands | Élément mathématique personnalisé – Grand | Jusqu’à trois : un au-dessus, un au-dessous et un à droite de l’élément
Limite | Élément mathématique personnalisé – Limite | Jusqu’à deux : un au-dessous et un à droite de l’élément
Préfixe | Élément mathématique personnalisé – Préfixe | Un, à gauche de l’élément
Suffixe | Élément mathématique personnalisé – Suffixe | Un, à droite de l’élément
Liste verticale | Élément mathématique personnalisé – Liste verticale | Deux : un opérande au-dessus de l’autre. La ligne de texte qui définit une liste verticale personnalisée est utilisée comme séparateur entre les éléments de la liste.

Vous ne pouvez pas définir d’éléments mathématiques personnalisés de types suivants.

Type | Exemple
Dérivée | Élément mathématique – Dérivée
Signe diacritique | Élément mathématique – Signe diacritique
Liste horizontale | Élément mathématique – Liste horizontale
Matrice | Élément mathématique – Matrice
Racine | Élément mathématique – Racine
Script | Élément mathématique – Script
Substitution | Élément mathématique – Substitution
Barre de division verticale | Élément mathématique – Barre de division verticale
Parent topic: Création et définition d’éléments mathématiques


Définition d’un élément mathématique personnalisé ou modification d’une définition d’élément mathématique intégré

  1. Sélectionnez Affichage > Pages de référence et affichez une page de référence FrameMath.

    Si le document ne contient pas de page de référence FrameMath, affichez une page de référence, puis sélectionnez Insérer > Ajouter une page de référence. Nommez cette nouvelle page FrameMath1. Mettez les lettres F et M en majuscules, comme indiqué.

  2. Utilisez l’outil Cadre graphique pour dessiner un cadre graphique non ancré sur la page.

  3. Dans la boîte de dialogue Nom du cadre, entrez le nom de l’élément mathématique. Si vous redéfinissez un élément intégré, saisissez son nom.

  4. Utilisez l’outil Ligne de texte pour ajouter une ligne de texte au cadre.

  5. Créez l’élément mathématique dans la ligne de texte en respectant les points suivants :

    • Vous pouvez entrer tout caractère sur la ligne de texte et modifier le formatage de caractère. Vous pouvez aussi déplacer un caractère à l’aide des raccourcis de micropositionnement.

    • Pour tous les éléments mathématiques, excepté les délimiteurs, la ligne de texte ne représente que le symbole mathématique et non les opérandes. Lorsque vous insérez ultérieurement l’élément dans une équation, FrameMaker insère les opérandes à leur emplacement approprié en fonction du type d’élément mathématique. Par exemple, un grand symbole tel qu’un signe de somme ou d’intégrale peut avoir jusqu’à trois opérandes (un opérateur au-dessus, un en dessous et un troisième à droite du symbole).

    • Un délimiteur personnalisé ne peut contenir qu’un seul opérande, même si certains délimiteurs intégrés en possèdent deux ou trois. Pour indiquer l’emplacement de l’opérande, insérez un espace dans la ligne de texte. Si vous ne le faites pas, FrameMaker place l’opérande entre deux occurrences du délimiteur.

      Figure 1. (A) Caractères dans le délimiteur. (B) L'espace indique l'opérande.

    • FrameMaker utilise la première ligne de texte du cadre pour l’élément mathématique personnalisé. Veillez à ce que le cadre ne contienne qu’une seule ligne de texte.

  6. Sélectionnez le cadre graphique.

  7. Dans le panneau Equations, sélectionnez Ajouter la défintion au catalogue dans la liste déroulante Equations.

  8. Si vous définissez un élément mathématique personnalisé, sélectionnez un type d'élément dans la liste déroulante et cliquez sur Ajouter.

Parent topic: Création et définition d’éléments mathématiques


Recherche du nom d’un élément mathématique

  1. Placez le point d’insertion dans une équation.

  2. Dans le panneau Equations, sélectionnez Insérer un élément mathématique dans la liste déroulante Equations.

  3. Désactivez l’option Afficher personnalisé seulement puis faites défiler la liste des éléments jusqu’à ce que vous identifiiez celui que vous recherchez.

  4. Cliquez sur Annuler.

Parent topic: Création et définition d’éléments mathématiques


Modification ou suppression d’une définition d’élément mathématique personnalisé

  1. Affichez la page de référence FrameMath qui contient l’élément mathématique en procédant de l’une des façons suivantes :

    • Si l'élément mathématique personnalisé s'affiche dans une équation, sélectionnez l'élément et choisissez Mettre à jour la définition dans la liste déroulante Equations du panneau Equations. Cliquez ensuite sur Revenir au cadre.

    • Si vous n’avez pas inséré l’élément mathématique personnalisé dans une équation, sélectionnez Affichage > Pages de référence. Affichez ensuite la page de référence FrameMath de votre choix.

  2. Procédez de l’une des façons suivantes :

    • Modifiez la ligne de texte définissant l’élément mathématique. Lorsque vous affichez de nouveau la page courante, FrameMaker utilise la définition modifiée et réduit à nouveau les équations.

    • Supprimez le cadre graphique. Si l’élément se trouve dans une équation, FrameMaker affiche son nom encadré de points d’interrogation au lieu d’afficher l’élément.

Parent topic: Création et définition d’éléments mathématiques


Positionnement d’éléments mathématiques dans une équation

FrameMaker place les éléments mathématiques d’une équation en fonction de leur signification mathématique. Dans certains cas, il peut s’avérer nécessaire d’ajuster la position en recourant au micropositionnement des éléments, afin de les rapprocher ou de les éloigner les uns des autres.

Figure 1. Avant et après le micropositionnement
Positionnement d’éléments mathématiques dans une équation à l'aide du micropositionnement

Vous pouvez également contrôler la quantité d’espace de part et d’autre d’un élément.

Figure 2. (A) Espacement par défaut (B) Espace ajouté à gauche et à droite (C) Espace supprimé à gauche et à droite
Contrôle de la quantité d’espace blanc de chaque côté d’un élément

  • Sur la page Positionnement du panneau Equations, procédez de l'une des manières suivantes :

    • Pour positionner une expression sélectionnée, cliquez sur une flèche de micropositionnement. Cliquez autant de fois que nécessaire. Chaque clic déplace une expression d’un pixel à l’écran. Utilisez le zoom pour plus de précision.

      Figure 3. Flèches de micropositionnement
      Positionnement d’une expression sélectionnée à l’aide d’une flèche de micropositionnement

    • Pour supprimer un micropositionnement, cliquez sur le bouton situé au centre de la zone Micropositionnement Zone de microposition.

    • Pour vérifier les décalages de position et les ajuster numériquement, cliquez sur Paramètres de positionnement. Le décalage exact s’affiche dans la zone Décalage micropositionnement de la boîte de dialogue Param. de positionnement d’élément math. Pour ajuster la position, entrez des valeurs dans la zone Décalage micropositionnement et cliquez sur Définir.

    • Pour ajuster les espaces, cliquez sur un signe plus (+) afin d’ajouter un espace ou sur un signe moins (-) afin de supprimer un espace. Cliquez autant de fois que nécessaire. Chaque clic ajoute ou supprime un pixel d’espace. Utilisez le zoom pour plus de précision.

    Note: pour modifier l’espacement autour d’un élément mathématique de type infixe, préfixe, suffixe ou délimiteur, ajustez l’espace autour des éléments mathématiques adjacents. Par exemple, pour ajouter un espace d’un côté ou de l’autre du signe plus dans l’expression a+b, sélectionnez le a. Ajoutez un espace sur la droite. Puis sélectionnez b. Ajoutez un espace sur la gauche.

    • Pour ajuster des valeurs d'espacement, cliquez sur Paramètres de positionnement. L’espace exact s’affiche dans la zone Espacement de la boîte de dialogue Param. de positionnement d’élément math. Pour ajuster les valeurs d'espacement, entrez des valeurs dans la zone Espacement et cliquez sur Définir. Pour rétablir les valeurs d’espacement par défaut, cliquez sur le bouton situé au centre de la zone Espacement Zone d’espacement.

Parent topic: Création et définition d’éléments mathématiques


Ajustement des valeurs d’espacement de toutes les occurrences d’un élément mathématique

Vous pouvez modifier certaines définitions d’éléments mathématiques (de type infixe, préfixe, suffixe, grand, script et barre de division) pour définir un nouvel espacement. Lorsque vous procédez de la sorte, FrameMaker ajuste l’espacement autour de l’élément chaque fois qu’il apparaît dans le document et développe à nouveau les équations.

Vous pouvez aussi modifier l’approche (espace séparant les caractères) de manière uniforme dans les équations de grande, moyenne et petite tailles.

  1. Après avoir ajusté l’espacement autour de l’élément dans une équation, sélectionnez-le.

  2. Dans le panneau Equations, sélectionnez Mettre à jour la définition dans la liste déroulante Equations.

  3. Procédez de l’une des façons suivantes :

    • Pour mettre à jour l'espacement pour l'élément dans tout le document, clique sur Mettre à jour.

    • Pour rétablir l'espacement par défaut, cliquez sur Rétablir défaut.

Parent topic: Création et définition d’éléments mathématiques


Définition de sauts de ligne et alignement d’équations

Découvrez comment définir les sauts de ligne et aligner les équations le long d’un point dans un cadre ou dans une liste dans FrameMaker.

Vous pouvez contrôler la répartition d’une équation sur plusieurs lignes et l’alignement des lignes dans une équation multiligne ou des éléments d’une liste ou d’une matrice. Vous pouvez également aligner plusieurs équations avec une autre, même si elles se trouvent dans des cadres ancrés différents.

Figure 1. Alignement sur le côté gauche du signe égal
Le contrôle de l’équation franchit les lignes et l’alignement des lignes dans une équation multiligne

La manipulation des objets d’équation est identique à celle des autres objets. Vous pouvez aligner automatiquement et manuellement les éléments d’une liste verticale ou les lignes d’une équation multiligne. Les points d’alignement manuel remplacent l’alignement automatique.

Figure 2. Alignement sur la gauche et sur le point d’alignement manuel
Aligner automatiquement et manuellement des éléments d’une liste verticale et les lignes d’une équation multiligne

Les éléments d’une liste horizontale peuvent être alignés sur la ligne supérieure, la ligne inférieure ou la ligne de base.

Figure 3. Alignement sur la ligne de base
Alignement des éléments d’une liste horizontale sur leurs lignes de base

Vous pouvez également aligner les cellules de chaque ligne d’une matrice sur la ligne supérieure, la ligne inférieure ou leur ligne de base. Les cellules d’une colonne peuvent être alignées sur la gauche, la droite, au centre ou le long du signe égal.

Figure 4. Type d’alignement
Aligner les cellules de chaque ligne d'une matrice sur leurs lignes centrale et de base

A. Lignes de base B. Centres

  • Modification de la rupture de ligne d’une équation
  • Alignement d’une équation affichée
  • Définition d’un alignement automatique dans une liste verticale ou une équation multiligne
  • Suppression d’un point d’alignement manuel
  • Alignement des éléments d’une liste horizontale
  • Alignement des cellules d’une matrice
  • Vérification des paramètres d’alignement d’une liste horizontale ou verticale ou d’une matrice
  • Alignement des équations d’un cadre à gauche, à droite ou au centre
  • Alignement des équations sur un point
Parent topic: panneau Équations
Related information
  • Copie d’objets et modification de leur disposition
  • Insertion, ajout ou modification d’une liste horizontale ou verticale d’expressions


Modification de la rupture de ligne d’une équation

Même si une équation occupe plusieurs lignes, elle tient dans un seul cadre ancré. Vous pouvez définir automatiquement une équation sur plusieurs lignes. Si vous modifiez la largeur du saut de ligne, l’équation est reformatée en fonction de cette nouvelle valeur.

Equation d’origine
Une équation entière dans un seul cadre ancré

Figure 1. Équation définie pour une rupture à un emplacement spécifique »
Division d’équation définie à 2,5 cm

Vous pouvez aussi forcer un saut de ligne à un endroit spécifique de l’équation. Toutefois, n’utilisez pas de sauts de ligne manuels pour créer des équations séparées. Insérez plutôt une liste verticale d’expressions.

Vous pouvez modifier les sauts de ligne de diverses façons :

  • Pour modifier la largeur du saut de ligne automatique, cliquez sur l’équation ou sélectionnez une partie de celle-ci. Sélectionnez Graphiques > Propriétés de l’objet. Modifiez la valeur du champ Rupture de ligne auto. après, puis cliquez sur Définir. La valeur prédéfinie correspond à la largeur du cadre de l’équation.

  • Pour insérer un saut de ligne manuel, cliquez à l’endroit où l’équation doit passer à la ligne suivante. Dans la page Positionnement du panneau Equations, sélectionnez Définir le manuel dans la liste déroulante Saut de ligne. Un symbole de saut de ligne Symbole de saut de ligne apparaît au niveau du point d’insertion lorsque l’affichage des symboles de texte est activé.
    Figure 2. Saut de ligne manuel
    Rupture manuelle d’une ligne

  • Pour supprimer un saut de ligne manuel, sélectionnez la partie de l’équation contenant le symbole de saut de ligne. Dans la page Positionnement du panneau Equations, sélectionnez Désélectionner le manueldans la liste déroulante Saut de ligne.

Parent topic: Définition de sauts de ligne et alignement d’équations


Alignement d’une équation affichée

L’alignement (gauche, centre ou droit) d’une équation affichée est défini par le format du paragraphe contenant l’équation.

Figure 1. Alignement de paragraphe défini au centre
Alignement de paragraphe défini au centre

  1. Cliquez sur le paragraphe contenant l’équation (pas dans l’équation elle-même).

  2. Choisissez une option de la liste déroulante Alignement dans la barre de formatage ou dans la configuration de paragraphes.

Parent topic: Définition de sauts de ligne et alignement d’équations


Définition d’un alignement automatique dans une liste verticale ou une équation multiligne

  1. Cliquez dans l’équation ou la liste.

  2. Dans la page Positionnement du panneau Equations, choisissez un élément de la liste déroulante Gauche/Droite. Si vous choisissez A gauche de = ou A droite de =, les lignes sont alignées d’un côté ou de l’autre du signe égal. Une ligne sans signe égal est alignée à gauche.

Définition d’un point d’alignement manuel dans une équation multiligne ou pour un élément d’une liste verticale

  1. Procédez de l’une des façons suivantes :

    • Cliquez sur la première ligne d’une équation multiligne à l’endroit où vous souhaitez aligner les lignes suivantes.

    • Cliquez sur un élément d’une liste verticale à l’endroit où vous souhaitez aligner l’élément sur le reste de la liste.

  2. Dans la page Positionnement du panneau Equations, sélectionnez Définir le manuel dans la liste déroulante Gauche/Droite. Un symbole d’alignement manuel Symbole d’alignement manuel apparaît au niveau du point d’insertion lorsque l’affichage des symboles de texte est activé. Les lignes suivantes d’une équation multiligne s’alignent à gauche du point d’alignement manuel. Les éléments d’une liste verticale s’alignent sur les autres éléments de la liste au point d’alignement manuel.

Parent topic: Définition de sauts de ligne et alignement d’équations


Suppression d’un point d’alignement manuel

  1. Sélectionnez la partie de l’équation contenant le point d’alignement manuel.

  2. Dans la page Positionnement du panneau Equations, sélectionnez Désélectionner le manuel dans la liste déroulante Gauche/Droite. Vous pouvez également supprimer un point d’alignement manuel en en définissant un autre.

Parent topic: Définition de sauts de ligne et alignement d’équations


Alignement des éléments d’une liste horizontale

  1. Cliquez dans la liste.

  2. Dans la page Positionnement du panneau Equations, sélectionnez un élément de la liste déroulante Haut/Bas.

Parent topic: Définition de sauts de ligne et alignement d’équations


Alignement des cellules d’une matrice

  1. Cliquez dans la matrice.

  2. Dans la page Positionnement du panneau Equations, sélectionnez un élément de la liste déroulante Haut/Bas ou de la liste déroulante Gauche/Droite. Les commandes Gauche/Droite et Haut/Bas affectent toute la matrice. Pour aligner les cellules individuellement, utilisez le micropositionnement.

Parent topic: Définition de sauts de ligne et alignement d’équations


Vérification des paramètres d’alignement d’une liste horizontale ou verticale ou d’une matrice

  1. Pour sélectionner la liste ou la matrice dans sa totalité, procédez de l’une des façons suivantes :

    • Faites glisser le pointeur sur la liste ou la matrice.

    • Placez le point d’insertion dans la matrice et appuyez plusieurs fois sur la barre d’espacement.

  2. Dans la page Positionnement du panneau Equations, cliquez sur Paramètres de positionnement.

Parent topic: Définition de sauts de ligne et alignement d’équations


Alignement des équations d’un cadre à gauche, à droite ou au centre

Vous pouvez aligner plusieurs objets d’équation les uns sur les autres dans un cadre tout comme vous le feriez avec d’autres objets. Vous pouvez également aligner des objets d’équation sur un point d’alignement manuel, même s’ils se trouvent dans des cadres graphiques distincts.

Figure 1. Equations alignées sur des points d’alignement manuel
Alignez deux objets d’équation l’un sur l’autre dans un cadre graphique aux points d’alignement manuels

FrameMaker conserve l’alignement des objets d’équation lorsque vous modifiez les équations. Ainsi, lorsque deux équations sont alignées à gauche, cet alignement est conservé si vous réduisez ou développez les équations.

  1. Pour sélectionner les équations à aligner, maintenez la touche Ctrl enfoncée et cliquez sur la première équation, puis maintenez les touches Ctrl+Maj enfoncées et cliquez sur les autres équations.

    Veillez à ce que la dernière équation sélectionnée soit bien celle qui régisse l’alignement.

  2. Sélectionnez Graphiques > Organiser > Aligner.

    Figure 2. Options d’alignement
    Options d’alignement

  3. Sélectionnez l’alignement souhaité et cliquez sur OK.

Parent topic: Définition de sauts de ligne et alignement d’équations


Alignement des équations sur un point

  1. Définissez le point d’alignement manuel dans l’une des équations à aligner.

    Si vous ne définissez pas de point d’alignement manuel, FrameMaker aligne les équations à gauche par défaut.

  2. Cliquez dans l’équation et choisissez Graphiques > Propriétés de l’objet.

  3. Sélectionnez Manuel dans la liste déroulante Alignement et spécifiez l'emplacement du point d'alignement dans le cadre de la zone Décalage du point d'align.. Le décalage gauche correspond à la distance comprise entre le bord gauche du cadre et le point d’alignement manuel.

    Il est inutile de définir précisément le décalage du haut. Vous pourrez déplacer l’équation vers le haut ou le bas ultérieurement, comme vous le feriez avec n’importe quel autre objet.

  4. Cliquez sur Définir-

  5. Répétez les étapes 1 à 4 pour chaque équation à aligner. Définissez la même distance à gauche de chaque équation mais modifiez le décalage du haut pour la placer verticalement dans le cadre. Si les équations se trouvent dans différents cadres ancrés, assurez-vous que les bords gauches s’alignent correctement.

Parent topic: Définition de sauts de ligne et alignement d’équations


Modification des paramètres typographiques dans les équations

Découvrez comment modifier les paramètres de police et de format pour les équations dans FrameMaker.

Les paramètres typographiques s’appliquent à toutes les équations d’un document. Ils définissent la taille des caractères et l’espacement des équations de petite, moyenne ou grande taille. Ils définissent également le formatage des caractères utilisés pour les caractères et symboles grecs, les fonctions, les nombres, les chaînes et les variables.

Vous pouvez modifier la taille prédéfinie de toute une équation. Vous pouvez également modifier le formatage des caractères d’éléments mathématiques individuels (par exemple, pour utiliser une couleur ou une police spéciale).

Vous pouvez également modifier les tailles de police et le formatage des caractères utilisés pour toutes les équations d’un document.

  • Modification du style de caractère dans des équations individuelles
  • Modification de la police des équations sur l’ensemble d’un document
Parent topic: panneau Équations


Modification du style de caractère dans des équations individuelles

Vous ne pouvez pas modifier l’approche, l’étirement, les exposants, les indices, le souligné, le surligné, le barré, les barres de modification ou le crénage par paire d’un élément. De plus, vous ne pouvez pas modifier la famille de polices des caractères et symboles grecs individuels et de certains opérateurs.

  • Pour modifier la taille prédéfinie ou la couleur d’une équation, cliquez sur l’équation, sléectionnez Graphiques > Propriétés de l’objet, puis effectuez l’une des opérations suivantes :

    • Pour modifier la taille de l'équation, sélectionnez une taille dans la liste déroulante Taille et cliquez sur Définir. Si l’équation est réduite, FrameMaker la développe.

    • Pour modifier la couleur de l'équation, sélectionnez une couleur dans la liste déroulante Couleur et cliquez sur Définir.

  • Pour modifier le style de caractère, sélectionnez l’élément ou l’expression, puis effectuez les modifications comme vous le feriez pour du texte.

  • Pour mettre un élément en indice ou en exposant, insérez l’opérateur adéquat.

  • Pour modifier l'approche des caractères, micropositionnez-les à l'aide de la page de positionnement du panneau Equations.

  • Pour placer une ligne au-dessus ou en dessous d’une expression, utilisez les signes diacritiques de la page Symboles du panneau Equations.

Parent topic: Modification des paramètres typographiques dans les équations


Modification de la police des équations sur l’ensemble d’un document

Vous pouvez modifier la taille de police et l’espacement de toutes les petites, moyennes ou grandes équations d’un document. Lorsque vous faites une modification globale de police, FrameMaker reformate et développe les équations réduites du document.

Les caractères et les symboles grecs des équations s’affichent normalement dans la police Symbol. Vous pouvez utiliser des polices telles que Mathematical Pi et Universal Greek si elles sont installées sur le système.

Les fonctions, les nombres et les chaînes apparaissent normalement dans la police Times New Roman ou Times. Les variables s’affichent normalement en italique. Vous pouvez modifier le formatage de caractères de chacun de ces types d’éléments. Par exemple, vous pouvez afficher tous les éléments en Helvetica, avec les fonctions en italique et les variables en gras.

Note: Ne supprimez pas les styles du Catalogue de caractères si vous les utilisez pour spécifier le formatage de caractère d’éléments mathématiques. Si vous le faites, toutes les équations contenues dans le document sont reformatées à l’aide de la police par défaut.

Utilisez les tailles d’équations de la liste déroulante des équations sur le panneau Equations pour la modification suivante :

  • Pour modifier la police des équations du document, procédez de l’une des façons suivantes :

    • Spécifiez les tailles de police et l’approche, puis cliquez sur Définir. L’approche correspond à un pourcentage de la taille de police. Une valeur positive augmente l’espace autour des éléments alors qu’une valeur négative le réduit.

    • Cliquez sur Rétablir défaut.

  • Pour modifier la police des symboles et des caractères grecs, choisissez l’une des polices disponibles dans la liste déroulante Symboles math. et cliquez sur Définir.

  • Pour modifier le style de caractère des fonctions, des nombres, des chaînes ou des variables, créez d’abord le style de caractère souhaité. Choisissez ensuite le style de caractére dans la liste déroulante Fonctions. Nombres, Chaînes ou Variables, puis cliquez sur Définir. FrameMaker affiche le style que vous avez créé dans les listes déroulantes.

Parent topic: Modification des paramètres typographiques dans les équations


Résolution d’équations

Découvrez comment évaluer les équations, la transformation d'équation, la matrice d’équation, l’addition, la multiplication, la division, le menu contextuel des règles et les remplacements dans FrameMaker.

Une fois une expression ou une équation créée, vous pouvez la transformer en modifiant sa représentation mathématique. Par exemple, multipliez des polynômes et mettez des termes en facteur, simplifiez des expressions ou combinez des fractions.

Sélection d’origine | Transformer une expression ou une équation en modifiant sa représentation mathématique – sélection d'origine
Développement | Transformer une expression ou une équation en modifiant sa représentation mathématique – développée
Multiplication | Transformer une expression ou une équation en modifiant sa représentation mathématique – multipliée
Nouvelle multiplication | Transformer une expression ou une équation en modifiant sa représentation mathématique – multipliée à nouveau

Vous pouvez également résoudre les équations en remplaçant les valeurs et en effectuant des calculs.

Sélection d’origine | Évaluer les équations en substituant les valeurs et en effectuant des calculs – sélection d'origine
Développement | Évaluer les équations en substituant les valeurs et en effectuant des calculs – développé
Valeur substituée | Évaluer les équations en substituant les valeurs et en effectuant des calculs – valeur substituée
Résultat | Évaluer les équations en substituant les valeurs et en effectuant des calculs – résultat calculé
  • Transformation ou évaluation d’une expression
  • Liste déroulante des commandes matricielles
  • Liste déroulante des ajouts
  • Liste déroulante Multiplication
  • Liste déroulante de la division
  • Liste déroulante Evaluation
  • Liste déroulante des règles
  • Liste déroulante Autres réécritures
Parent topic: panneau Équations


Transformation ou évaluation d’une expression

  1. Sélectionnez l’expression ou une partie de l’expression.

  2. Choisissez une commande dans la page Matrices ou Fonctions du panneau Equations. Par exemple, sélectionnez une expression, puis Développer dans la liste déroulante Multiplication dans la page Fonctions.

  3. Pour transformer ou évaluer une expression, utilisez les commandes dans la liste déroulante Commandes de matrice de la page Matrices et les commandes des six listes déroulantes de la page Fonctions.

Parent topic: Résolution d’équations
Related information
  • Modification d’une matrice


Liste déroulante des commandes matricielles

Transposition

Transpose les lignes et colonnes d’une matrice sélectionnée.

Matrice sélectionnée

Après

Avant

Après la matrice

Calcul algébrique

Multiplie et additionne des matrices et calcule les produits scalaire et vectoriel d’une matrice sélectionnée.

Avant

Après

Matrice sélectionnée 1

Après avoir effectué l’algèbre de matrice sur la matrice 1

Matrice sélectionnée 2

Après avoir effectué l’algèbre de matrice sur la matrice 2

Matrice sélectionnée 3

Après avoir effectué l’algèbre de matrice sur la matrice 3

Matrice sélectionnée 4

Après avoir effectué l’algèbre de matrice sur la matrice 4

Après avoir calculé une matrice, vous pouvez combiner les termes similaires à l’aide de la commande Simplifier.

Parent topic: Résolution d’équations


Liste déroulante des ajouts

Ajouter fractions

Additionne des fractions et exprime le résultat sous une seule fraction. Cette commande combine également les termes similaires.

Fraction sélectionnée

Après

Fraction sélectionnée 1

Après l’ajout de la fraction 1

Fraction sélectionnée 2

Après l’ajout de la fraction 2

Fraction sélectionnée 3

Après l’ajout de la fraction 3

Si l’expression sélectionnée contient plus de deux fractions, la commande Ajouter fractions n’additionne que les deux premières. Utilisez de nouveau cette commande pour combiner le résultat à la troisième fraction et ainsi de suite.

Expression sélectionnée

Expression sélectionnée contenant une somme de plus de deux fractions

Premier ajout

Ajout de l’expression contenant une somme de plus de deux fractions une fois

Deuxième ajout

Ajout de l’expression contenant une somme de plus de deux fractions deux fois

Ordon. pol. décroissant

Ordonne les polynômes d’une variable choisie par puissance décroissante.

Avant

Après

Avant de classer les polynômes d’une variable choisie par puissance décroissante.

Après avoir classé les polynômes d'une variable choisie par puissance décroissante

Ordon. pol. croissant

Ordonne les polynômes d’une variable choisie par puissance croissante. Dans l’exemple suivant, vous sélectionnez un x quelconque avant de lancer la commande.

Avant

Après

Avant de classer les polynômes d’une variable choisie par puissance croissante.

Après avoir classé les polynômes d'une variable choisie par puissance croissante

Parent topic: Résolution d’équations


Liste déroulante Multiplication

Utilisez la liste déroulante Multiplication dans la page Fonctions pour factoriser les termes, développer les expressions et distribuer la multiplication et la division en addition.

Mise en facteur

Met en facteur le terme sélectionné d’un produit.

Avant

Après

Avant de factoriser un terme sélectionné d'un produit

Après avoir factorisé un terme sélectionné d'un produit

Avant de factoriser un terme sélectionné d'un produit

Après avoir factorisé un terme sélectionné d'un produit

Mise en facteur partielle

Met en facteur le terme sélectionné contenu dans d’autres termes.

Avant

Après

Avant de factoriser un terme sélectionné parmi les seuls termes le contenant

Après avoir factorisé un terme sélectionné parmi les seuls termes le contenant

Développer

Simplifie l’expression sélectionnée, répartit les éléments d’une multiplication en somme de produits et développe un terme sélectionné élevé à une puissance positive.

Expression sélectionnée

Après

Expression 1 sélectionnée pour être multipliée

Expression 1 après qu’elle a été multipliée

Expression 2 sélectionnée pour être multipliée

Expression 2 après qu’elle a été multipliée

La commande Simplifier simplifie également l’expression sélectionnée.

Développer une fois

Multiplie les deux premiers facteurs à gauche de l’expression sélectionnée.

Expression sélectionnée

Après

Sélection d’une expression pour multiplier la première paire de facteurs sur le côté gauche

L’expression après la multiplication

Si vous utilisez cette commande plusieurs fois, le résultat s’affiche sous une forme différente.

Répartir

Exécute diverses opérations en fonction de l’expression sélectionnée, comme illustré dans les exemples suivants :

  • Répartition d’une division en addition

    Expression sélectionnée

    Après

    Sélection d’une expression pour répartir la division en addition

    L’expression après la distribution

    Utilisez la commande Ajouter fractions pour exécuter l’opération inverse.

  • Répartition d’une multiplication en addition

    Expression sélectionnée

    Après

    Sélection d’une expression pour distribuer la multiplication en addition

    L’expression après la distribution

    Utilisez la commande Mise en facteur pour exécuter l’opération inverse.

  • Répartition de produits et de quotients avec racines et exposants en une expression élevée à une puissance

    Expression sélectionnée

    Après

    Transformation de produits et de quotients avec racines et exposants en une expression élevée à une puissance – exemple 1

    Exemple 1 après la répartition

    Transformation de produits et de quotients avec racines et exposants en une expression élevée à une puissance – exemple 2

    Exemple 2 après la répartition

    Transformation de produits et de quotients impliquant des radicaux et des exposants en une seule expression élevée à la puissance – exemple 3

    Exemple 3 après la répartition

    Utilisez la commande Simplifier pour exécuter l’opération inverse.

Répartir sur égalité

Exécute la même opération de chaque côté du signe égal.

Expression sélectionnée

Après

Expression choisie à répartir sur l’égalité – exemple 1

Exemple 1 après la répartition

Expression choisie à répartir sur l’égalité – exemple 2

Exemple 2 après la répartition

Expression choisie à répartir sur l’égalité – exemple 3

Exemple 3 après la répartition

Parent topic: Résolution d’équations


Liste déroulante de la division

Division longue

Divise une fraction contenant un polynôme en numérateur et en dénominateur.

Dans l’exemple suivant, vous sélectionnez un x quelconque avant de lancer la commande. Dans le résultat, vous sélectionnez de nouveau un x, puis relancez la commande pour obtenir le second résultat.

Avant

Avant d'effectuer une division longue dans une fraction contenant un polynôme en numérateur et en dénominateur

Première division

Après avoir effectué une division longue dans une fraction contenant un polynôme en numérateur et en dénominateur

Deuxième division

Après avoir effectué deux divisions longues dans une fraction contenant un polynôme en numérateur et en dénominateur

Enlever division

Convertit une division en multiplication dans une expression sélectionnée en transformant les exposants positifs dans un dénominateur en exposants négatifs et inversement.

Expression sélectionnée

Après

Utilisation d'Enlever division pour convertir la division en multiplication dans l’expression sélectionnée 1

Après conversion de la division en multiplication dans l’expression sélectionnée 1

Utilisation d'Enlever division pour convertir la division en multiplication dans l’expression sélectionnée 2

Après conversion de la division en multiplication dans l’expression sélectionnée 2

Pour convertir des exposants négatifs en dénominateurs, utilisez la commande Enlever puissances négatives.

Enlever division 1er niveau

Convertit une division en multiplication tout comme la commande Enlever division, mais l’opération ne porte que sur les dénominateurs de premier niveau.

Expression sélectionnée

Après

Utilisation de Supprimer le niveau Division 1 pour convertir la division en multiplication dans l’expression sélectionnée 1

Après conversion de la division en multiplication dans l’expression sélectionnée 1

Utilisation de Supprimer le niveau Division 1 pour convertir la division en multiplication dans l’expression sélectionnée 2

Après conversion de la division en multiplication dans l’expression sélectionnée 2

Pour convertir les exposants négatifs de premier niveau en dénominateurs, utilisez la commande Enlever puissances négatives de premier niveau.

Enlever puissances négatives

Convertit les exposants négatifs d’une expression sélectionnée en exposants positifs en remplaçant le facteur par un dénominateur et inversement.

Expression sélectionnée

Après

Utilisation de Supprimer les pouvoirs puissances négatives pour convertir les exposants négatifs en exposants positifs dans l’expression sélectionnée 1

Après la suppression des puissances négatives de l’expression sélectionnée 1

Utilisation de Supprimer les pouvoirs puissances négatives pour convertir les exposants négatifs en exposants positifs dans l’expression sélectionnée 2

Après la suppression des puissances négatives de l’expression sélectionnée 2

Enlever puissances négatives 1er niveau

Convertit des exposants négatifs en exposants positifs tout comme la commande Enlever puissances négatives, mais l’opération ne porte que sur le premier niveau. Si l’expression sélectionnée ne comporte pas d’exposant négatif de premier niveau, la commande n’a aucun effet.

Expression sélectionnée

Après

Utilisation de Supprimer le niveau Puissances négatives 1 Niveau convertir les exposants négatifs en exposants positifs dans l’expression sélectionnée 1

Après la suppression des puissances négatives de l’expression sélectionnée 1

Utilisation de Supprimer le niveau Puissances négatives 1 Niveau convertir les exposants négatifs en exposants positifs dans l’expression sélectionnée 2

Après la suppression des puissances négatives de l’expression sélectionnée 2 (aucun effet)
Parent topic: Résolution d’équations


Liste déroulante Evaluation

Calculer en virgule flottante

Transforme les nombres entiers d’une expression sélectionnée en nombres à virgule flottante, puis calcule l’expression.

Expression sélectionnée

Après

Utilisation de Calculer en virgule flottante pour transformer des nombres entiers en nombres à virgule flottante dans l’expression sélectionnée 1, puis évaluation de l’expression

Après avoir utilisé Calculer en virgule flottante sur l’expression sélectionnée 1

Utilisation de Calculer en virgule flottante pour transformer des nombres entiers en nombres à virgule flottante dans l’expression sélectionnée 2, puis évaluation de l’expression

Après avoir utilisé Calculer en virgule flottante sur l’expression sélectionnée 2

Utilisation de Calculer en virgule flottante pour transformer des nombres entiers en nombres à virgule flottante dans l’expression sélectionnée 3, puis évaluation de l’expression

Après avoir utilisé Calculer en virgule flottante sur l’expression sélectionnée 3

Utilisation de Calculer en virgule flottante pour transformer des nombres entiers en nombres à virgule flottante dans l’expression sélectionnée 4, puis évaluation de l’expression

Après avoir utilisé Calculer en virgule flottante sur l’expression sélectionnée 4

Utilisez la commande Afficher tous les chiffres pour placer 15 chiffres après la virgule.

La commande Calculer en virgule flottante affiche l’expression NaN (Not a Number) lorsque le résultat correspond à une valeur non définie. Elle affiche Infini lorsque le résultat est une valeur tendant vers l’infini. Les valeurs proches de zéro peuvent s’exprimer par un zéro.

Expression sélectionnée

Après

L'utilisation de Calculer en virgule flottante affiche NaN (Not a Number) pour les opérations dont le résultat correspond à des valeurs non définies pour l’expression 1

Après avoir utilisé Calculer en virgule flottante sur l’expression 1

L'utilisation de Calculer en virgule flottante affiche NaN (Not a Number) pour les opérations dont le résultat correspond à des valeurs non définies pour l’expression 2

Après avoir utilisé Calculer en virgule flottante sur l’expression 2

Afficher tous les chiffres

Affiche toutes les décimales d’un nombre à virgule flottante.

Avant

Après

Numéro sélectionné pour afficher tous les chiffres

Après

Calculer

Calcule l’expression sélectionnée. Les opérations effectuées dépendent du type d’expression sélectionnée, comme illustré dans les exemples suivants :

  • Transformation d’une expression élevée à une puissance inférieure à 20 en produit

    Expression sélectionnée

    Après

    Expression choisie pour élever à une puissance inférieure à 20 comme produit

    Après avoir évalué l’expression avec la puissance élevée

  • Calcul de la factorielle d’un nombre entier (un résultat trop grand s’exprime par la valeur infinie)

    Expression sélectionnée

    Après

    Expression sélectionnée pour calculer le factoriel d’un nombre entier

    Après avoir évalué l’expression avec le factoriel d’un nombre entier

  • Calcul du déterminant d’une matrice 1 x 1 ou 2 x 2

    Expression sélectionnée

    Après

    Expression sélectionnée pour calculer le déterminant d’une matrice

    Après avoir évalué l’expression avec le déterminant d’une matrice

  • Extraction d’un terme d’une somme ou d’un produit

    Expression sélectionnée

    Après

    Expression sélectionnée pour extraire un terme d’une somme ou d’un produit

    Après avoir évalué l’expression avec un terme à partir d’une somme ou d’un produit

  • Calcul d’une substitution identique à celui de la commande Calculer après substitution

  • Réécriture d’une fonction entre ses deux bornes sous la forme d’une différence

    Expression sélectionnée

    Après

    Expression sélectionnée pour réécrire un opérateur Évaluer entre en tant que différence

    Résultat après avoir évalué l’expression

  • Conversion du logarithme d’un produit en somme de logarithmes et du logarithme d’une puissance en produit

    Expression sélectionnée

    Après

    Expression sélectionnée pour réécrire le logarithme d'un produit

    Résultat après évaluation de l’expression

    Expression sélectionnée pour réécrire le logarithme d’un produit

    Résultat après évaluation de l’expression

  • Conversion d’un logarithme en base de logarithmes naturels

    Expression sélectionnée

    Après

    Expression sélectionnée pour réécrire un logarithme sur une base en termes de logarithmes naturels

    Résultat après évaluation de l’expression

  • Réécriture d’une fonction de choix en factorielles

    Expression sélectionnée

    Après

    Expression sélectionnée pour réécrire une fonction de choix en termes de factoriels

    Résultat après évaluation de l’expression

Calculer après substitution

Effectue une substitution puis simplifie l’expression. Si vous sélectionnez un opérateur Evaluer entre, la commande transforme l’expression en différence.

Expression sélectionnée

Après

Expression sélectionnée pour effectuer une substitution spécifiée, puis simplifier l’expression

Résultat après évaluation de l’expression

Expression sélectionnée pour effectuer une substitution spécifiée, puis simplifier l’expression

Résultat après évaluation de l’expression

Calculer les intégrales

Transforme une intégrale sélectionnée en polynôme à intégrer. Cette commande convertit une intégrale définie en intégrale indéfinie, calculée entre les limites inférieure et supérieure. Utilisez la commande plusieurs fois pour intégrer complètement un polynôme.

Expression sélectionnée

Expression sélectionnée pour réécrire une intégrale sélectionnée avec un polynôme à intégrer

Après premier calcul

Résultat après évaluation de l’expression une fois

Après deuxième calcul

Résultat après évaluation de l’expression deux fois

Calculer les dérivées

Calcule une dérivée sélectionnée en appliquant la règle conjointe aux expressions complexes, le cas échéant. Pour calculer une dérivée partielle, toutes les variables dépendantes doivent être explicitement écrites.

Cette commande traite les éléments d’une dérivée totale comme s’ils dépendaient de la variable de différenciation. Pour calculer la nième dérivée, utilisez la commande Calculer pour la développer, puis, seulement, Calculer les dérivées.

Avant

Après

Avant d’utiliser Calculer les dérivées sur une expression

Après avoir utilisé Calculer les dérivées sur une expression

Avant d’utiliser Calculer les dérivées sur une expression

Après avoir utilisé Calculer les dérivées sur une expression

Calculer dérivées 1er niveau

Calcule uniquement le premier niveau d’une dérivée sélectionnée.

Avant

Après

Avant d’utiliser Calculer les dérivées au premier niveau d’une dérivée sélectionnée

Après avoir utilisé Calculer les dérivées au premier niveau d’une dérivé sélectionnée

Parent topic: Résolution d’équations


Liste déroulante des règles

Utilisez la liste déroulante Règles dans la page Fonctions pour stocker et appliquer des règles qui transforment des expressions.

Par exemple, utilisez la commande Entrer règle pour stocker la règle a = a + 3. Exécutez ensuite la commande Appliquer règle pour substituer a + 3 à a dans une autre expression.

Entrer règle

Stocke une règle permettant de remplacer une expression par une autre. Sélectionnez l'expression à stocker comme règle avant de sélectionner Entrer règle. Vous ne pouvez stocker qu’une seule règle à la fois.

Désigner pseudo-variable

Définit le terme correspondant à la pseudo-variable. Utilisez une telle variable dans une règle pour remplacer une variable par l’expression située à droite de la règle et pas seulement la variable définie explicitement à gauche. Une pseudo-variable s’affiche en gras. Par exemple, si vous désignez x dans la règle x = a 2- comme étant une pseudo-variable, vous pouvez remplacer n’importe quelle variable de l’expression par a 2- ou par x.

Sélectionnez le terme à définir comme pseudo-variable, puis choisissez la commande Désigner pseudo-variable. Utilisez ensuite la commande Appliquer règle pour remplacer l’expression sélectionnée par l’expression affectée à la pseudo-variable.

Appliquer règle

Remplace un terme ou un ensemble de termes par un autre dans une expression sélectionnée en utilisant la règle stockée à l’aide de la commande Entrer règle.

Règle entrée

Règle entrée dans la commande Entrer règle

Expression sélectionnée

Expression sélectionnée pour la commande Entrer règle

Après

Résultat après l’application de la règle

Pour appliquer une règle contenant une pseudo-variable, sélectionnez le terme à remplacer par la variable. Dans l’exemple suivant, x est la pseudo-variable de la règle.

Règle entrée

Règle entrée dans la commande Entrer règle avec une pseudo-variable

Avant

Expression sélectionnée pour la commande Entrer règle avec une pseudo-variable

Après

Résultat après l’application de la règle avec une pseudo-variable

Parent topic: Résolution d’équations


Liste déroulante Autres réécritures

Simplifier

Simplifie l’expression sélectionnée. Pour calculer des fractions entraînant un résultat infini ou une division par zéro, utilisez la commande Calculer en virgule flottante au lieu de la commande Simplifier.

Les opérations effectuées dépendent du type d’expression sélectionnée, comme illustré dans les exemples suivants :

  • Opérations arithmétiques sur des nombres entiers

    Expression sélectionnée

    Après

    Expression sélectionnée pour effectuer des opérations arithmétiques sur des nombres entiers avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Expression sélectionnée pour effectuer des opérations arithmétiques sur des nombres entiers avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Expression sélectionnée pour effectuer des opérations arithmétiques sur des nombres entiers avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Si le résultat est trop grand, il s’exprime par la valeur infinie.

  • Groupement des termes d’une somme ou d’un produit

    Expression sélectionnée

    Après

    Expression sélectionnée pour grouper des termes dans une somme ou un produit avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Expression sélectionnée pour grouper des termes dans une somme ou un produit avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Expression sélectionnée pour grouper des termes dans une somme ou un produit avec la commande Simplifier

    Résultat après avoir simplifié l’expression

  • Réduction des facteurs communs d’une fraction

    Expression sélectionnée

    Après

    Expression sélectionnée pour diviser des facteurs communs dans une fraction avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Expression sélectionnée pour diviser des facteurs communs dans une fraction avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Pour supprimer les puissances négatives du résultat, utilisez la commande Enlever puissances négatives.

  • Interprétation du nombre complexe i représenté par le caractère grec iota ( symbole de iota).

    Expression sélectionnée

    Après

    Expression sélectionnée pour interpréter le nombre complexe i avec la commande Simplifier

    Résultat après avoir simplifié l’expression

  • Élévation des facteurs d’un produit ou des termes d’une fraction à une puissance

    Expression sélectionnée

    Après

    Expression sélectionnée pour élever les facteurs d'un produit avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    Expression sélectionnée pour élever les facteurs d'une divison avec la commande Simplifier

    Résultat après avoir simplifié l’expression

    La simplification de simplification de la racine carrée de x x produit résultat de la simplification de la racine carrée de x plutôt que mode x.

Simplifier partie

Simplifie l’expression sélectionnée comme la commande Simplifier mais ne multiplie pas les fractions.

Expression sélectionnée

Après

Utilisation de la commande Simplifier partie avec l’expression sélectionnée pour simplifier l’expression sélectionnée sans multiplier les fractions

Résultat après avoir simplifié l’expression

Isoler terme

Isole une expression sélectionnée d’un côté du signe égal. La commande ne combine pas les termes et ne résout pas l’expression.

Expression sélectionnée

Après

Utilisation de la commande Isoler terme pour isoler une expression sélectionnée d’un côté du signe égal

Résultat après avoir isolé l’expression

Utilisation de la commande Isoler terme pour isoler une expression sélectionnée d’un côté du signe égal

Résultat après avoir isolé l’expression

Utilisation de la commande Isoler terme pour isoler une expression sélectionnée d’un côté du signe égal

Résultat après avoir isolé l’expression

Dévelop. 1er terme

Développe le premier terme d’une somme ou d’un produit.

Expression sélectionnée

Après

Utilisation de la commande Dévelop. 1er terme pour développer le premier terme d’une somme sélectionnée

Résultat après avoir développé l’expression

Utilisation de la commande Dévelop. 1er terme pour développer le premier terme d’un produit sélectionné

Résultat après avoir développé l’expression

Dévelop. tous termes

Développe tous les termes d’une somme ou d’un produit.

Expression sélectionnée

Après

Utilisation de la commande Dévelop. tous termes pour élargir les termes d’une somme sélectionnée

Résultat après avoir développé l’expression

Utilisation de la commande Dévelop. tous termes pour élargir les termes d’un produit sélectionné

Résultat après avoir développé l’expression

Parent topic: Résolution d’équations


panneau Marqueurs

Découvrez les marqueurs dans FrameMaker.

Les marqueurs de FrameMaker permettent le marquage de vos documents de plusieurs façons. Vous pouvez sélectionner des marqueurs prédéfinis, tels que Auteur, Commentaire, Balises conditionnelles, CaîneContexte, Référence croisée, Equation, Glossaire, ou encore créer vos propres marqueurs.

Le panneau Marqueurs facilite le travail et la résolution de problèmes de centaines de marqueurs dans un document ou de longs fichiers .book. Vous pouvez afficher tous les marqueurs du document en cours, de tous les documents ouverts, d’un fichier ou d’un livre spécifique.

  • Ajout d’un marqueur
  • Génération d’une liste de marqueurs
    Découvrir comment générer une liste de marqueurs dans FrameMaker.
  • Suppression d’un marqueur
    Découvrez comment supprimer un marqueur dans FrameMaker.
  • Création d’un marqueur personnalisé
    Découvrez comment créer un marqueur personnalisé dans FrameMaker.
  • Ajout d’un marqueur personnalisé à un document
    Découvrez comment ajouter un marqueur personnalisé à un document dans FrameMaker.
  • Options de publication
    Lorsque vous utilisez la fonction de publication multicanaux de FrameMaker, plusieurs options vous permettent de rationaliser la publication d’aide en ligne.
Parent topic: Modification de contenu


Ajout d’un marqueur

Par exemple, pour ajouter un marqueur de type Commentaire :

  1. Placez le curseur à l’emplacement où vous souhaitez insérer le commentaire dans votre document.

  2. Sélectionnez Affichage > Panneaux > Marqueurs pour afficher le panneau Marqueurs s’il n’est pas ouvert.

  3. Cliquez sur l’icône Insérer.

  4. Sélectionnez Commentaire dans la zone Type de marqueur.

  5. Saisissez votre commentaire dans la zone de texte Texte du marqueur, puis cliquez sur Nouveau marqueur.

  6. Enregistrez le document.

Note: pour saisir un caractère de tabulation, vous devez taper \t ou le code hexadécimal \x08. Si vous générez une liste de marqueurs, seules les tabulations insérées avec des codes hexadécimaux s’affichent. En revanche, s’il s’agit d’un index de marqueurs, seules les tabulations saisies avec \t s’affichent.

Pour ajouter un marqueur à un document structuré :

  1. Sélectionnez Insérer > Marqueur.

  2. Sélectionnez un élement de marqueur dans le Catalogue d’éléments et cliquez sur Insérer.

  3. Choisissez un type de marqueur dans la liste déroulante. Vous pouvez utiliser n’importe quel type de marqueur prédéfini à l’exception des balises conditionnelles. Vous pouvez également définir vos propres types de marqueur.

    Note: consultez votre développeur avant de modifier le type de marqueur dans les documents structurés. Il se peut que votre document comporte un élément distinct, défini pour chaque type de marqueur dont vous avez besoin.

  4. Si la boîte de dialogue Attributs du nouvel élément s’affiche, entrez les valeurs d’attribut pour l’élément de marqueur et cliquez sur Insérer un élement.

    Si aucun élément de marqueur n’est disponible dans l’emplacement voulu, vous pouvez utiliser un élément non valide. Après l’avoir inséré, consultez votre développeur pour savoir comment le rendre valide pour cet emplacement.

Parent topic: panneau Marqueurs


Génération d’une liste de marqueurs

Découvrir comment générer une liste de marqueurs dans FrameMaker.

Par exemple, pour générer une liste de tous les marqueurs de type Commentaire :

  1. Sélectionnez Insérer > Liste de > marqueurs.

  2. Indiquez si vous voulez créer une liste indépendante de marqueurs ou l’ajouter au livre.

  3. Dans la boîte de dialogue Configurer la liste de marqueurs, sélectionnez le type de marqueur Commentaire dans la liste déroulante à droite et cliquez sur la flèche gauche pour le tranférer dans la liste Inclure sur la gauche.

  4. Cochez la case Créer des liens hypertexte.

  5. Cliquez sur OK. Tous vos marqueurs de type Commentaire sont répertoriés dans une fenêtre distincte.

Parent topic: panneau Marqueurs


Suppression d’un marqueur

Découvrez comment supprimer un marqueur dans FrameMaker.

Sélectionnez le marqueur dans le panneau Marqueurs, puis cliquez sur l’icône Supprimer. Le marqueur est supprimé du document.

Parent topic: panneau Marqueurs


Création d’un marqueur personnalisé

Découvrez comment créer un marqueur personnalisé dans FrameMaker.

Vous pouvez également définir des marqueurs personnalisés pour les documents à source unique ou automatisés. Par exemple, vous pouvez utiliser des marqueurs personnalisés pour marquer du texte à extraire dans un guide de référence distinct. Vous pouvez appliquer un marqueur aux objets graphiques qui nécessitent un traitement particulier, par exemple une conversion d’un format à un autre. Vous pouvez ensuite extraire automatiquement à l’aide d’un script tous les graphiques auxquels le marqueur personnalisé a été appliqué pour qu’un traitement spécifique leur soit appliqué.

  1. Sélectionnez Affichage > Panneaux > Marqueurs.

  2. Cliquez sur l’icône Insérer.

  3. Dans la zone Type du marqueur, sélectionnez Edition.

  4. Saisissez le nom du marqueur personnalisé dans la zone Modifier le type de marqueur personnalisé.

  5. Cliquez sur Ajouter, puis cliquez sur Terminé. Le nouveau type de marqueur est ajouté à la liste des marqueurs.

Parent topic: panneau Marqueurs


Ajout d’un marqueur personnalisé à un document

Découvrez comment ajouter un marqueur personnalisé à un document dans FrameMaker.

  1. Dans le panneau Marqueurs, cliquez sur Insérer.

  2. Sélectionnez le type de marqueur personnalisé.

  3. Saisissez le texte du marqueur, puis cliquez sur Nouveau marqueur. Un marqueur personnalisé est ajouté à votre document.

Parent topic: panneau Marqueurs


Options de publication

Lorsque vous utilisez la fonction de publication multicanaux de FrameMaker, plusieurs options vous permettent de rationaliser la publication d’aide en ligne.

  • Pagination avec marqueur de saut de page
  • Marqueur d’aide contextuelle
  • Application des marqueurs d’index
  • Création d’effets HTML dynamiques
Parent topic: panneau Marqueurs


Pagination avec marqueur de saut de page

Grâce aux options du menu Options de publication, vous n’avez pas besoin de définir de marqueurs personnalisés pour la pagination et la désignation des rubriques.

Vous pouvez ajouter des marqueurs de saut de page pour désigner les rubriques à convertir en rubriques d’aide distinctes, et définir leurs noms de rubrique.

  • Ajout d’un marqueur de saut de page
  • Appliquer un marqueur Aucun saut de page
  • Suppression de tous les marqueurs de saut de page
Parent topic: Options de publication


Ajout d’un marqueur de saut de page

  1. Cliquez sur le texte de l’intitulé et sélectionnezInsérer > Marqueurs de publication > Appliquer le marqueur de saut de page.

  2. Dans la boîte de dialogue Marqueur de saut de page, saisissez le titre de la rubrique. Le nom du fichier est automatiquement renseigné en fonction du texte que vous saisissez pour le titre.

    Par exemple, si vous saisissez Options de publication FrameMaker pour le nom de rubrique, le fichier s’appelle Options_de_publication_FrameMaker.htm.

    Vous pouvez toujours modifier le nom du fichier dans la zone de texte Nom de fichier.

Parent topic: Pagination avec marqueur de saut de page


Appliquer un marqueur Aucun saut de page

Vous pouvez également spécifier un marqueur pour vous éviter qu’un saut de page soit inséré à un emplacement spécifique. Par exemple, vous voulez conserver sur la même page deux intitulés liés. Dans ce cas, vous spécifiez le marquer Aucun saut de page dans la partie supérieure du deuxième intitulé.

  1. Cliquez sur le texte du second intitulé.

  2. Sélectionnez Insérer > Marqueurs de publication > Appliquer un marqueur Aucun saut de page.

Le texte du nouveau marqueur est <NoSplit>. Cela signifie que l’intitulé sélectionné apparaîtra sur la même page que l’intitulé qui le précède.

Parent topic: Pagination avec marqueur de saut de page


Suppression de tous les marqueurs de saut de page

Vous pouvez supprimer tous les marqueurs de saut de page d’un document.

  1. Ouvrez le document pour lequel vous souhaitez supprimer tous les marqueurs de saut de page.

  2. Sélectionnez Insérer > Marqueurs de publication > Supprimer tous les marqueurs de saut de page.

Parent topic: Pagination avec marqueur de saut de page


Marqueur d’aide contextuelle

Pour créer une aide contextuelle, vous devez ajouter des marqueurs à votre documentation. Le développeur produit pourra ainsi créer des liens associés à ces marqueurs à partir des parties correspondantes du produit. La fonction de marqueur CSH (aide contextuelle) de FrameMaker vous permet d’appliquer des marqueurs TopicAlias dans votre documentation. L’éditeur utilise les marqueurs CSH pour ajouter des ancrages dans la sortie de publication. L’éditeur crée également un fichier de mappage que les développeurs du produit utilisent pour créer des liens vers des ancrages de la documentation.

Note: Pour obtenir de meilleurs résultats, veillez à appliquer les ID de mappage aux styles de titre que vous avez identifiés pour la pagination.

Les marqueurs d’aide contextuelle sont utilisés dans les formats de sortie suivants :

  • Responsive HTML5

  • Microsoft HTML Help

  • Application d’un marqueur d’aide contextuelle
  • Création et utilisation d’un fichier de mappage d’aide contextuelle
Parent topic: Options de publication


Application d’un marqueur d’aide contextuelle

  1. Placez le curseur de la souris au début du texte du paragraphe puis cliquez pour insérer le marqueur de l’aide contextuelle.

  2. Sélectionnez Insérer > Marqueurs de publication > Appliquer un marqueur CSH.

  3. Entrez l'ID de mappage et cliquez sur OK.

Lorsque vous créez un marqueur CSH dans un document, FrameMaker crée un marqueur TopicAlias et le texte du marqueur correspond à l’ID de mappage que vous avez spécifié.

Important: Dans le texte d’un marqueur CSH, vous ne pouvez pas utiliser d’espaces, ni les caractères spéciaux suivants : ~!@#$%^&*()+-={}|[]\\:\";'<>?,./
Parent topic: Marqueur d’aide contextuelle


Création et utilisation d’un fichier de mappage d’aide contextuelle

Vous pouvez appliquer des marqueurs CSH pour spécifier l’emplacement d’aide·contextuelle spécifique dans votre document FrameMaker. Vous devez ensuite créer un fichier de mappage d’aide (avec une extension.h). Les développeurs d’application utilisent le fichier de mappage pour associer des parties spécifiques de l’application (par exemple, les boîtes de dialogue ou les éléments de menu) aux rubriques d’aide correspondantes.

  1. Ajoutez les marqueurs CSH dans la source FrameMaker.

  2. Créez un fichier texte dans n’importe quel éditeur de texte et nommez le fichier comme suit°:

    <nom du livre ou document source>.h.

  3. Placez le fichier de mappage dans le dossier source FrameMaker.

  4. Pour chaque marqueur CSH appliqué dans votre document, vous devez créer un élément de ligne dans le fichier de mappage comme suit°:

    #define <map ID> <map number>
    ID de mappage

    Nom spécifié pour le marqueur CSH

    numéro de mappage

    Identificateur numérique unique fourni par les développeurs de l’application. Vous pouvez toutefois fournir n’importe quel numéro comme marque de réservation.

    A titre de référence, la procédure de publication de FrameMaker crée également un fichier de mappage type°:

    1. Exécutez la procédure de publication pour votre document.

    2. Dans l’Explorateur Windows, accédez au dossier de sortie.

      Si le contenu source contient des marqueurs CSH, un fichier <nom du livre ou document source>_Generated.h est créé au même niveau que le dossier de sortie.

      Exemple : pour la sortie d’un livre nommé framemaker-publisher.book, le fichier de mappage est framemaker-publisher.h.

    Vous pouvez utiliser ce fichier .h comme référence pour créer votre fichier de mappage.

    Vous devez créer votre fichier de mappage au même format que ce fichier .h.

    Important: Le fichier <nom du livre ou document source>.h est créé au même niveau que le dossier de sortie et non à l’intérieur du dossier de sortie.

  5. Après avoir ajouté tous les marqueurs CSH à votre fichier de mappage, fournissez ce dernier à l’équipe de développement du produit.

    L’équipe de développement du produit peut utiliser les identificateurs uniques que vous avez inclus dans le fichier. L’équipe produit peut également modifier les identificateurs, si nécessaire, et renvoyer le fichier mis à jour.

  6. Copiez le fichier de mappage mis à jour dans le dossier source FrameMaker.

    Assurez -vous que le nom du fichier correspond à <nom du livre ou du document source>.h.

  7. Exécutez la procédure de publication.

    Les marqueurs CSH sont désormais inclus en tant qu’ancrages dans la sortie publiée. Vous pouvez maintenant tester la fonctionnalité d’aide contextuelle du produit.

Pour implémenter l’aide contextuelle dans une application, vous devez inclure les marqueurs CSH dans la documentation comme décrit ci-dessus. De plus, votre équipe produit doit également ajouter cette fonctionnalité à l’application. Pour une description détaillée de la manière d’ajouter la fonctionnalité d’aide contextuelle dans une application, voir l’aide contextuelle pour développeurs dans le guide d’utilisation RoboHelp.

Parent topic: Marqueur d’aide contextuelle


Application des marqueurs d’index

  1. Cliquez sur le texte du paragraphe dans lequel vous souhaitez insérer le marqueur d’index.

  2. Sélectionnez Insérer > Marqueurs de publication > Appliquer un marqueur d’index.

  3. Saisissez l’entrée d’index et cliquez sur OK.

Important: Dans le texte d’un marqueur d'index, vous ne pouvez pas utiliser d’espaces, ni les caractères spéciaux suivants : ~!@#$%^&*()+-={}|[]\\:\";'<>?,./
Parent topic: Options de publication


Création d’effets HTML dynamiques

Vous pouvez créer des effets HTML dynamiques, tels que du texte déroulant et du texte à développer dans vos documents FrameMaker, si vous souhaitez que les formats de l’aide en ligne publiée disposent de ces options.

Utilisez l’effet de texte déroulant pour fournir d’autres options de tâche et des rubriques conceptuelles de base, pour résumer les questions d’un forum aux questions (FAQ) et pour raccourcir les procédures imbriquées. Le texte que vous marquez comme corps déroulant apparaît dans le Sortie PDF. En revanche, le texte s’affiche en ligne uniquement lorsque l’utilisateur clique sur la légende du texte déroulant dans la page d’aide.

De même, vous pouvez utiliser l’effet HTML dynamique du texte à développer pour afficher les définitions développées, les termes clés ou des liens vers des rubriques de présentation intégrées dans un paragraphe. Le texte à développer requiert une légende de texte à développer contenant le lien et le corps de texte à développer qui s’affiche lorsqu’un utilisateur clique sur le lien du texte à développer. Le corps de texte à développer ne s’affiche pas dans le fichier PDF. Il s’affiche uniquement sur la page d’aide lorsqu’un utilisateur clique sur le texte qui contient le lien du texte à développer.

Ces effets HTML dynamiques nécessitent deux composants : une légende et un corps. Vous devez appliquer les effets de texte déroulant aux paragraphes et l’effet de texte à développer aux caractères. Lorsque l’effet de texte déroulant est créé, deux styles de paragraphes (DropDownCaption et DropDownBody) sont ajoutés au document FrameMaker. Lorsque l’effet de texte développé est créé, les deux styles de caractères «°ExpandingTextCaption°» et «°ExpandingTextBody°» sont ajoutés. Ces formats sont importés dans le projet RoboHelp lorsque vous importez les documents FrameMaker. Les effets sont visibles dans les rubriques HTML créées.

Si la rubrique HTML générée contient uniquement les légendes sans les formats associés pour le corps, les liens sont générés et visibles dans la rubrique HTML. Si la rubrique HTML générée contient un corps de texte sans les légendes correspondantes, aucun lien n’est généré. En outre, si un paragraphe auquel le format du corps de texte déroulant est appliqué est également désigné pour la conversion en liste automatiquement numérotée, la conversion de liste est ignorée.

  • Création de texte déroulant dans un document FrameMaker
  • Création de texte à développer dans un document FrameMaker
  • Personnaliser les effets DHTML pour une sortie HTML5
Parent topic: Options de publication


Création de texte déroulant dans un document FrameMaker

  1. Sélectionnez le texte ou le paragraphe dans lequel vous souhaitez insérer la légende du texte déroulant.

  2. Sélectionnez Insérer > Effets HTML dynamiques > Légende déroulante.

  3. Sélectionnez le texte qui doit apparaître sous forme de texte déroulant dans votre page d’aide en ligne.

  4. Sélectionnez Insérer > Effets HTML dynamiques > Corps déroulant.

Parent topic: Création d’effets HTML dynamiques


Création de texte à développer dans un document FrameMaker

  1. Sélectionnez le terme ou l’expression dans lesquels vous souhaitez insérer la légende de texte à développer.

  2. Sélectionnez Insérer > Effets HTML dynamiques > Développer la légende de texte.

  3. Sélectionnez le texte qui doit apparaître sous forme de texte à développer dans votre page d’aide en ligne.

  4. Sélectionnez Insérer > Effets HTML dynamiques > Développer le corps du texte.

Parent topic: Création d’effets HTML dynamiques


Personnaliser les effets DHTML pour une sortie HTML5

Vous pouvez personnaliser les effets de texte déroulant et les effets d’expansion de texte pour un document FrameMaker non structuré qui est publié au format de sortie HTML5. Pour personnaliser les paramètres de sortie :
  1. Sélectionnez Fichier > Publier pour ouvrir la boîte de dialogue Publication.
  2. Cliquez sur Modifier les paramètres.
  3. Dans le bouton déroulant Paramètres, sélectionnez Modifier.
  4. Dans l’onglet Mappage des styles, sélectionnez les options Effets DHTML dans les Paramètres généraux.

  • Si la première option est sélectionnée, le texte qui a un effet de texte déroulant apparaîtra comme texte déroulant sur votre page d'aide en ligne.
  • De même, si la deuxième option est sélectionnée, le texte qui a un effet d’expansion de texte apparaîtra comme une expansion de texte sur votre page d'aide en ligne.
  • Si les options DHTML sont désélectionnées, la sortie HTML5 n'affichera pas les effets DHTML, et le texte apparaîtra comme du texte brut sans aucun effet de liste déroulante ou de développement.
Vous pouvez également modifier les Twisties qui apparaissent comme des icônes avec les effets DHTML. Dans la boîte de dialogue Sélectionner des images Twisties, sélectionnez les icônes qui apparaissent lorsque vous ouvrez et fermez le texte déroulant ou à développer. Vous pouvez également sélectionner le placement des icônes.

Parent topic: Création d’effets HTML dynamiques


Commandes hypertextes

Ajoutez des commandes hypertextes dans Adobe FrameMaker et définissez des zones hyperliens actives.

Une commande hypertexte dans un document Adobe FrameMaker définit une zone active dans un document. Si un utilisateur clique sur une zone active dans un document FrameMaker ouvert en consultation seulement ou sur une sortie comme un fichier PDF ou HTML, la commande hypertexte associée est exécutée.

Vous pouvez créer une commande hypertexte dans un document pour offrir de l’interactivité au lecteur. Voir Ajout de commandes hypertexte aux documents.

Les commandes hypertexte permettent d’exécuter des tâches comme l’ouverture d’une page Web, l’affichage d’une alerte, l’accès à des pages spécifiques (premier, dernier, numéro de page) du document actif, l’ouverture et la fermeture d’applications externes. Voir Commandes hypertexte disponibles.

Vous pouvez ensuite enregistrer le document en consultation seulement, au format PDF ou utiliser la solution de publication multicanaux de FrameMaker pour publier le document.

Note: Les commandes hypertexte fonctionnent différemment dans un fichier PDF et dans une sortie HTML. Voir topic_hypertext-commands.html#topic_pdf-html-hypertext-command-support.

Vous pouvez utiliser les commandes hypertexte dans les images ajoutées à FrameMaker pour topic_hypertext-commands.html#WS352b2f8e7566887c52502bf11475c673ca0-8000 définissant des zones cliquables multiples dans une seule image.

  • Ajout de commandes hypertexte aux documents
    Ajoutez des commandes hypertextes dans Adobe FrameMaker, apprenez à définir la zone active, définissez une zone active d’image, insérez un marqueur de commande hypertexte dans FrameMaker.
  • Modification et suppression de commandes hypertexte
    Apprenez à modifier et à supprimer les commandes hypertextes dans FrameMaker.
  • Commandes hypertexte disponibles
    Connaître les commandes hypertextes disponibles dans Adobe FrameMaker.
Parent topic: Modification de contenu


Ajout de commandes hypertexte aux documents

Ajoutez des commandes hypertextes dans Adobe FrameMaker, apprenez à définir la zone active, définissez une zone active d’image, insérez un marqueur de commande hypertexte dans FrameMaker.

Pour ajouter des commandes hypertexte vers un document, vous devez d’abord Définition d’une zone active dans le document et ensuite Association d’une commande hypertexte à une zone active.

  • Définition d’une zone active dans le document
  • Association d’une commande hypertexte à une zone active
Parent topic: Commandes hypertextes


Définition d’une zone active dans le document

Vous pouvez associer des commandes hypertexte à du texte ou à des images du document. Lorsqu’un utilisateur clique sur la zone active, la zone est mise en surbrillance, après quoi la commande est exécutée.

Création d’une zone active de texte dans un document

Vous pouvez définir un mot, une expression, un paragraphe ou plusieurs mots adjacents comme zones actives. Pour identifier une zone active de texte, FrameMaker utilise le style de caractères du texte. Ceci implique que le style de caractères de la zone active de texte doit être différent de celui du texte environnant. Si le style de caractères est le même que le texte environnant, tout le texte du paragraphe est défini comme actif.

Définition d’une zone active pour un mot ou une expression

  1. Sélectionnez le mot ou l’expression.

    Vous devez modifier le style de caractères du mot ou de l’expression sélectionnée.

  2. Sélectionnez Format > Caractères.

  3. Choisissez dans la liste des styles de caractères par défaut disponibles dans le catalogue de documents actuel.

    Alternativement, ouvrez la Configuration de caractères et appliquez un style de caractères personnalisé.

Note: Les modifications de style de caractères suivants ne peuvent pas être utilisées pour définir une zone de texte active : crénage par paire, approche, étirement, barres de modification, langue et casse.
Tip: Si vous ne souhaitez pas que le texte de la zone active s’affiche différemment du texte environnant, utilisez un style de caractères différent ayant des formats identiques au texte environnant. Vous pouvez enregistrer le style de caractères du texte environnant avec un nom différent, puis appliquer ce style de caractères à la zone active.

Définition d’une zone active pour un paragraphe

Veillez à ce que le même style de caractères soit appliqué à tout le paragraphe.

Définition de zones actives distinctes pour des mots ou expressions adjacentes

Vous pouvez affecter différentes commandes hypertextes à des mots et expressions adjacentes dans un paragraphe en appliquant un style de caractères identique ou différent aux mots ou expressions. Cependant, vous devez vous assurer que les styles de caractères des mots ou expressions ne sont pas les mêmes que ceux du texte environnant du paragraphe. Après cela, vous pouvez associer une commande hypertexte à chacun des mots ou expressions adjacentes. Pour plus de détails, reportez-vous à la section Insertion d’un marqueur de commande hypertexte.

Définissez une zone active d’image

Vous pouvez définir une zone active sur une image dans un document. Lorsqu’un utilisateur clique sur l’image, la commande hypertexte associée est exécutée.

  1. Dessinez une zone de texte pour recouvrir l’image dans le document.

    Assurez-vous que le graphique ne va pas être habillé de texte.

    Pour placer une zone de texte sur l’image :

    1. Ouvrez la barre d'outils Graohiques (Affichage > Barres d’outils > Barres d’outils Graphiques).

    2. Cliquez sur Cadre de texte dans la barre d'outils Graphiques et tracez la zone de texte pour couvrir l’image.

  2. Définissez les motifs de remplissage et de trait d'application de la zone de texte sur Aucun

    Pour définir les propriétés de la zone de texte :

    1. Cliquez avec le bouton droit sur la zone de texte, puis sélectionnez Caractéristiques de l’objet.

      Dans la boîte de dialogue Propriétés de cadre ancré :

    2. Sous l’onglet Trait, désélectionnez l’option Motif de trait.

    3. Sous l’onglet Fond, désélectionnez l’option Motif.

  3. Vérifiez que la zone de texte est placée au-dessus de l’image.

    Si vous placez l’image après avoir placé la zone de texte, sélectionnez Graphiques > Devant pour placer la zone de texte devant le graphique.

Création d’une zone active sur plusieurs pages dans un document

Si vous créez une zone active sur la maquette d’un document, la zone devient active sur toutes les pages du document. Par exemple, vous pouvez ajouter du texte dans l’en-tête du document, puis créer une zone active dans le texte de l’en-tête.

Parent topic: Ajout de commandes hypertexte aux documents


Association d’une commande hypertexte à une zone active

Après avoir Définition d’une zone active dans le document, vous devez associer une commande hypertexte à la zone. Si un utilisateur clique sur la zone active de votre document, la commande hypertexte est exécutée.

Les documents FrameMaker ouvert en consultation seulement prennent en charge toutes les commandes hypertexte de FrameMaker, la prise en charge des PDF et des sorties HTML de documents hypertexte est limitée. Pour plus de détails, reportez-vous à la section topic_hypertext-commands.html#topic_pdf-html-hypertext-command-support.

  • Insertion d’un marqueur de commande hypertexte
Parent topic: Ajout de commandes hypertexte aux documents


Insertion d’un marqueur de commande hypertexte

  1. Placez le point d’insertion dans la zone active.

    Mot ou expression

    Au début du mot ou de l’expression.

    Paragraphe

    Au début du paragraphe.

    Plusieurs mots ou expressions adjacentes

    Au début de chaque mot distinct d’une expression.

    Image

    Dans la zone de texte encadrée. Voir Définissez une zone active d’image.

  2. Ouvrez la boîte de dialogue Hypertexte. Insérer > Hypertexte.

  3. Utilisez la boîte de dialogue Hypertexte pour :

    Balise d’élément

    Si vous ajoutez une commande hypertexte dans un document structuré, sélectionnez la balise d’élément hypertexte requise.

    Note: Cela dépend de l’application structurée que vous utilisez pour créer vos documents structurés.
    Commande

    Sélectionnez la commande hypertexte à exécuter lorsqu’un utilisateur clique sur la zone active à laquelle la commande active hypertexte est associée.

    Voir l’ensemble actuel des Commandes hypertexte disponibles.

    Zone de texte de syntaxe de commande

    Saisissez les paramètres de commande.

    Les commandes hypertexte doivent toujours être saisies en minuscules. La casse des paramètres est prise en compte, ils peuvent donc être saisis en minuscules ou en majuscules. La commande entière peut comporter jusqu’à 255 caractères. (Chaque caractère d’une police japonaise compte comme deux caractères).

    Note: Si vous saisissez un nom de fichier ne se trouvant pas dans le même dossier que le document actif, vous devez préciser son chemin d’accès.
    Note: les marqueurs hypertexte prennent en charge le format de codage de texte Unicode.

    Voir l’ensemble actuel des Commandes hypertexte disponibles.

    Valider la commande lors de l’insertion

    FrameMaker valide la syntaxe dès que vous insérez la commande dans le document.

    Consultation seulement

    Convertissez le document actif en mode consultation seulement.

    Cette option permet également de mettre en texte des commandes hypertexte à insérer dans un document.

  4. Cliquez sur Nouveau marqueur hypertexte.

Un marqueur hypertexte est inséré dans le document.

Note: pour insérer une commande hypertexte dans un encart de texte, insérez-la dans le document source de l’encart de texte.
Note: Si une référence croisée se trouve dans la même zone de texte qu’une commande hypertexte, le lien de la référence croisée est prioritaire.
Parent topic: Association d’une commande hypertexte à une zone active


Modification et suppression de commandes hypertexte

Apprenez à modifier et à supprimer les commandes hypertextes dans FrameMaker.

  • Modification d’une commande hypertexte
  • Suppression d’une commande hypertexte
Parent topic: Commandes hypertextes


Modification d’une commande hypertexte

  1. Ouvrez la boîte de dialogue Hypertexte et utilisez la boîte de dialogue Rechercher/Remplacer pour rechercher la commande hypertexte à modifier.

    Dans la liste déroulante Rechercher, sélectionnez Tout marqueur.

    Le marque est affiché dans la boîte de dialogue

    Hypertexte.

  2. Modifiez les options requises pour la commande, puis cliquez sur Editer marqueur hypertexte.

Parent topic: Modification et suppression de commandes hypertexte


Suppression d’une commande hypertexte

  1. Ouvrez la boîte de dialogue Hypertexte et utilisez la boîte de dialogue Rechercher/Remplacer pour rechercher la commande hypertexte à modifier.

    Dans la liste déroulante Rechercher, sélectionnez Tout marqueur.

    Le marque est affiché dans la boîte de dialogue

    Hypertexte.

  2. Appuyez sur la touche Supprimer pour supprimer le marqueur.

Parent topic: Modification et suppression de commandes hypertexte


Commandes hypertexte disponibles

Connaître les commandes hypertextes disponibles dans Adobe FrameMaker.

Cette section couvre les commandes hypertexte disponibles suivantes :

  • Afficher des messages d’alerte

  • Accès à une destination nommée

  • Accès à une page spécifique

  • Revenir sur/à

  • Ouverture de documents

  • Matrice de bouton

  • Afficher des messages d’alerte
  • Accès à une destination nommée
  • Accès à une page spécifique
    Vous pouvez accéder à une page spécifique d’un document FrameMaker actif ou autre.
  • Revenir sur/à
  • Ouverture de documents
  • Matrice de bouton
Parent topic: Commandes hypertextes


Afficher des messages d’alerte

Vous pouvez afficher des messages d’alerte en cliquant sur une zone active à l’aide des commandes Alerte et En-tête de message d’alerte.

Note: Dans une sortie PDF, un message d’alerte s’affiche comme une remarque sans titre.
  • Alerte
  • En-tête de message d’alerte
Parent topic: Commandes hypertexte disponibles


Alerte

Affiche un message d’alerte.

Syntaxe :

alert message

Exemple :

alert Bonjour le monde

Pour afficher un titre personnalisé avec le message d’alerte :

  1. Ouvrez une page de référence pour le document actuel (Affichage > Pages de référence).

  2. Positionnez une zone de texte sur la page de référence, puis saisissez le titre personnalisé dans la zone de texte.

  3. Cliquez avec le bouton droit sur la zone de texte et sélectionnez Propriétés de l’objet pour afficher la boîte de dialogue Propriétés de zone de texte.

  4. Sous l'onglet Zone de texte, définissez Enchaînement > Balise sur Titre du message d'alerte.

Parent topic: Afficher des messages d’alerte


En-tête de message d’alerte

Affiche un message d’alerte avec un titre défini par l’utilisateur.

Syntaxe :

alerttitle Titre:message

Exemple :

alerttitle Message au monde : Bonjour le monde

Parent topic: Afficher des messages d’alerte


Accès à une destination nommée

Vous pouvez accéder à une destination spécifique d’un document FrameMaker actif ou autre. Pour ce faire, vous devez utiliser la commande Spécifier la destination nommée. Pointez ensuite sur cette destination lorsque vous créez l’une des commandes suivantes :

  • Aller à la destination nommée

  • Aller à la destination nommée et adapter à la page

  • Ouvrir document

  • Ouvrir document et adapter à la page

Note: Si vous omettez la commande Spécifier la destination nommée, les commandes Aller à la destination nommée et Ouvrir document n’auront aucun effet à moins qu’elles ne fassent référence à un nom de fichier. Dans ce cas, la première page de l’autre fichier s’affiche.
  • Spécifier la destination nommée
  • Aller à la destination nommée
  • Aller à la destination nommée et adapter à la page
  • Ouvrir document
  • Ouvrir document et adapter à la page
Parent topic: Commandes hypertexte disponibles


Spécifier la destination nommée

Spécifiez un emplacement de destination nommée.

Syntaxe :

newlink nomlien

Exemple :

newlink commandes_hypertexte_disponibles

Note: Le nom de la destination nommée respecte la casse et ne peut pas contenir d’espaces.
Parent topic: Accès à une destination nommée


Aller à la destination nommée

Pointeur sur la destination nommée définie par Spécifier la destination nommée. Vous pouvez pointer sur une destination nommée du document FrameMaker actif ou autre.

Syntaxe :

gotolink nomfichier:nomlien

Exemple pour une destination nommée du document actif :

gotolink commandes_hypertexte_disponibles

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

gotolink commandeshypertexte.fm:commandes_hypertexte_disponibles

Important: Vous devez spécifier l’extension du fichier de destination (par exemple .fm).
Parent topic: Accès à une destination nommée


Aller à la destination nommée et adapter à la page

Pointeur sur la destination nommée définie par Spécifier la destination nommée. Vous pouvez pointer sur une destination nommée du document FrameMaker actif ou autre. La fenêtre est ensuite redimensionnée selon la page du document de destination.

Syntaxe :

gotolinkfitwin nomfichier:nomlien

Exemple pour une destination nommée du document actif :

gotolinkfitwin commandes_hypertexte_disponibles

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

gotolinkfitwin commandeshypertexte.fm:commandes_hypertexte_disponibles

Important: Vous devez spécifier l’extension du fichier de destination (par exemple .fm).
Parent topic: Accès à une destination nommée


Ouvrir document

Pointer sur la destination nommée définie par Spécifier la destination nommée. Si la destination est un document différent, il s’ouvre dans une nouvelle fenêtre.

Syntaxe :

openlink nom_fichier:nomlien

Exemple pour une destination nommée du document actif :

openlink commandes_hypertexte_disponibles

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

openlink commandeshypertexte.fm:commandes_hypertexte_disponibles

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Accès à une destination nommée


Ouvrir document et adapter à la page

Pointer sur la destination nommée définie par Spécifier la destination nommée. Si la destination est un document différent, il s’ouvre dans une nouvelle fenêtre. La nouvelle fenêtre est alors redimensionnée selon la page du document affiché.

Syntaxe :

openlink nom_fichier:nomlien

Exemple pour une destination nommée du document actif :

openlink commandes_hypertexte_disponibles

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

openlink commandeshypertexte.fm:commandes_hypertexte_disponibles

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Accès à une destination nommée


Accès à une page spécifique

Vous pouvez accéder à une page spécifique d’un document FrameMaker actif ou autre.

  • Accès à la première/dernière page
  • Aller au numéro de page
  • Accès à la page précédente/page suivante
Parent topic: Commandes hypertexte disponibles


Accès à la première/dernière page

Pointez sur la première ou la dernière page du document actif ou d’un autre document. La page s’affiche dans la fenêtre active.

Syntaxe :

gotolink nomfichier:firstpage

gotolink nomfichier:lastpage

Exemple pour une destination nommée du document actif :

gotolink firstpage

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

gotolink commandeshypertexte.fm:lastpage

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Accès à une page spécifique


Aller au numéro de page

Pointez sur une page spécifique du document en cours ou d’un autre. La page s’affiche dans la fenêtre active.

Syntaxe :

gotopage nomfichier:numpage

Exemple pour une destination nommée du document actif :

gotopage 7

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

gotopage commandeshypertexte.fm:7

Important: Utilisez le numéro de page réel dans le document. Ainsi, si le document de destination MonDoc utilise une numérotation romaine et commence à la page v, la commande permettant d’afficher la troisième page est open page MonDoc.fm:vii.
Parent topic: Accès à une page spécifique


Accès à la page précédente/page suivante

Pointez sur la page précédente ou la page suivante du document actif. La page s’affiche dans la fenêtre active.

Syntaxe :

page précédente

page suivante

Exemple :

page précédente

page suivante

Tip: Ajoutez les commandes hypertexte de page précédente et suivante aux maquettes d’un document pour les afficher sur chacune des pages du document.
Parent topic: Accès à une page spécifique


Revenir sur/à

Vous pouvez placer des commandes hypertexte sur des pages où un utilisateur peut cliquer dessus pour revenir à la page à partir de laquelle il avait atteint la page active. Ce comportement est similaire à la fonctionnalité du bouton de retour d’un navigateur Web. Par exemple, si vous avez créé une zone de texte active sur une page pour permettre à l’utilisateur d’accéder à une autre page du document. Sur la page de destination, vous pouvez placer les commandes hypertexte Revenir en arrière ou Revenir en arrière et adapter la page.

Note: Si la pile est vide et que vous n’avez précisé ni le nom de fichier ni le nom de lien, la page courante reste affichée.
  • Revenir en arrière
  • Revenir en arrière et adapter la page
Parent topic: Commandes hypertexte disponibles


Revenir en arrière

Revenez à la page précédente. La page s’affiche dans la fenêtre active.

Syntaxe :

previouslink nomfichier:nomlien

Exemple pour une destination nommée du document actif :

previouslink commandes_hypertexte_disponibles

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

previouslink commandeshypertexte.fm:commandes_hypertexte_disponibles

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Revenir sur/à


Revenir en arrière et adapter la page

Revenez à la page précédente. La page s’affiche dans la fenêtre active. La nouvelle fenêtre est alors redimensionnée selon la page du document affiché.

Syntaxe :

previouslinkfitwin nomfichier:nomlien

Exemple pour une destination nommée du document actif :

previouslinkfitwin commandes_hypertexte_disponibles

Exemple pour une destination nommée d’un autre document FrameMaker (.fm) :

previouslinkfitwin commandeshypertexte.fm:commandes_hypertexte_disponibles

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Revenir sur/à


Ouverture de documents

Vous pouvez ouvrir des documents en tant que nouveaux documents FrameMaker (Ouvrir document en tant que Nouveau), ouvrir un document à sa première ou dernière page (Ouvrir document à la première/dernière page), ou ouvrir un document sur une page particulière (Ouvrir document au numéro de page).

  • Ouvrir document en tant que Nouveau
  • Ouvrir document à la première/dernière page
  • Ouvrir document au numéro de page
Parent topic: Commandes hypertexte disponibles


Ouvrir document en tant que Nouveau

Ouvre un document (défini dans l’argument de nom de fichier) en tant que nouveau document sans nom. Le document s’affiche dans une nouvelle fenêtre tandis que la fenêtre active reste ouverte.

Syntaxe :

opennew nomfichier

Exemple :

opennew commandeshypertexte.fm

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Ouverture de documents


Ouvrir document à la première/dernière page

Ouvre un document sur la première ou la dernière page du document. Si la page se trouve dans un autre document (et uniquement dans ce cas), elle s’affiche dans une nouvelle fenêtre tandis que la fenêtre active reste ouverte.

Syntaxe :

openlink nomfichier:firstpage

openlink nomfichier:lastpage

Exemple :

openlink commandeshypertexte.fm:firstpage

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Ouverture de documents


Ouvrir document au numéro de page

Ouvre un document sur une page spécifique. Si la page se trouve dans un autre document (et uniquement dans ce cas), elle s’affiche dans une nouvelle fenêtre tandis que la fenêtre active reste ouverte.

Syntaxe :

openpage nomfichier:numpage

Exemple :

openpage commandeshypertexte.fm:7

Important: Vous devez spécifier l’extension du fichier de destination.
Parent topic: Ouverture de documents


Matrice de bouton

Définit un ensemble continu de zones cliquables dans une image et associe une commande hypertexte à chacune des zones.

Par exemple, vous pouvez prendre une capture d’écran d’une barre d’outils dans une application, puis affecter une commande hypertexte à chacun des boutons de la barre d’outils. La commande hypertexte permet à l’utilisateur d’accéder à la rubrique d’aide correspondante du bouton associé sur l’image de la barre d’outils.

Syntaxe :

matrix lignes colonnes ReferencePageFlowName

Exemple :

matrix 1 3 enchaînement_matrice_boutons

lignes

Nombre de lignes de boutons

colonnes

Nombre de boutons dans une ligne

ReferencePageFlowName

Zone de texte créée sur la page de référence du document qui définit la commande hypertexte pour chaque bouton de la matrice.

  • Définition d’une matrice de bouton
Parent topic: Commandes hypertexte disponibles


Définition d’une matrice de bouton

Définissez une matrice de bouton pour mapper les trois icônes de l’image suivante à trois commandes hypertexte correspondantes :

Parent topic: Matrice de bouton


Annulation/Rétablissement de plusieurs opérations

Découvrez les multiples actions d'annulation ou de rétablissement dans FrameMaker.

Vous pouvez annuler ou rétablir diverses actions dans FrameMaker. Par exemple, le fait d’enregistrer un fichier .fm au format .mif n’efface pas l’historique. Toutefois, certaines actions ne sont pas annulables. Dans ce cas, vous êtes invité à confirmer l’action. Par exemple, il est impossible d’annuler la suppression d’une page blanche dans un document.

  • Commandes Annuler et Rétablir
    Découvrez les commandes d'annulation et de rétablissement dans FrameMaker.
  • Historique des commandes au niveau du document
    Consultez l’historique de commande au niveau des documents dans FrameMaker.
  • Répétition de la dernière opération
    Découvrez comment répéter la dernière opération dans FrameMaker.
  • Annulation du panneau Historique
    Découvrez le panneau Historique dans FrameMaker.
Parent topic: Modification de contenu


Commandes Annuler et Rétablir

Découvrez les commandes d'annulation et de rétablissement dans FrameMaker.

Une icône Rétablir Bouton Rétablir s'affiche dans la barre d'outils à côté de l'icône Annuler Bouton Annuler. Cliquez sur ce bouton pour rétablir la dernière opération annulée dans le document en cours.

Une commande Rétablir figure également dans le menu Edition et dans les menus contextuels, sous la commande Annuler, pour indiquer la dernière commande pouvant être rétablie dans le document en cours.

Figure 1. Le menu Edition affiche la dernière commande, ainsi que la dernière commande annulée.
Menu Édition dans FrameMaker

Si aucune action ne peut être annulée ou rétablie dans le document en cours, les options de menu et boutons de barres d’outils correspondants sont grisés (non disponibles).

Si vous sélectionnez Affichage > Annuler l’historique ou si vous appuyez sur ctrl+K, vous ouvrez le panneau de commande Historique des annulations, qui permer d’annuler ou de rétablir une action autre que la plus récente, ainsi que toutes les actions suivantes.

Parent topic: Annulation/Rétablissement de plusieurs opérations


Historique des commandes au niveau du document

Consultez l’historique de commande au niveau des documents dans FrameMaker.

FrameMaker tient à jour un historique des commandes pouvant être annulées afin de vous permettre de sélectionner une ou plusieurs commandes à annuler ou à rétablir parmi les plus récentes.

L’historique des commandes est disponible dans le menu Edition ainsi que dans les menus contextuels. Cet historique est distinct pour chaque document. Par conséquent, l’annulation ou le rétablissement d’une opération dans un document n’affecte pas la fonction d’annulation d’un autre document ouvert.

Le déplacement du curseur et la sélection d’objets ne peuvent pas être annulés, mais lorsque qu’un état précédent est restauré, il inclut l’emplacement d’origine du curseur et les objets sélectionnés.

Il est impossible d’annuler les commandes qui affectent un fichier externe (telles que les commandes Orthographe qui mettent à jour le dictionnaire de l’utilisateur).

Parent topic: Annulation/Rétablissement de plusieurs opérations


Répétition de la dernière opération

Découvrez comment répéter la dernière opération dans FrameMaker.

FrameMaker est doté d’une fonctionnalité puissante permettant de répéter la dernière opération lorsque vous travaillez sur un document FrameMaker.

La fonctionnalité Répéter la dernière opération peut être exécutée sur un document aux emplacements suivants :

  • Le point d’insertion actuel

  • La sélection de texte actuelle

  • La sélection d’objet actuelle

Pour effectuer l’opération Répéter, sélectionnez Edition > Répéter [nom de l’opération/de l’objet] dans le menu FrameMaker.

En outre, vous pouvez consulter la mémoire tampon de l’historique en sélectionnant Affichage > Historique des annulations dans le menu FrameMaker.

Cliquez une fois sur une entrée dans la mémoire tampon pour l’exécuter. Cliquez une fois de plus pour annuler l’opération.

La fonctionnalité Répéter la dernière opération peut être utilisée pour les actions suivantes sur le document :

  • Saisie : répéter la dernière opération de la mémoire tampon de l'historique rappelle le dernier bloc de caractères saisis. La séquence de saisie est rompu lorsque :

    • L’utilisateur clique dans le document.

    • L’utilisateur passe d’un onglet de document à l’autre.

  • Coller : répéter la dernière opération permet de répéter la dernière opération de collé à l'emplacement actuel du curseur pour du texte et des objets graphique se trouvant dans le presse-papier. Les objets graphiques pouvant être collés à l’aide de la fonction Répéter la dernière opération sont les suivants : image, arc, ellipse, groupe, incrustation, ligne, math, polygone, polyligne, rectangle, rectangle arrondi, cadre de texte, ligne de texte, cadre non ancré.

    Note: l’opération de copie n’est pas répétable.

  • Supprimer : répéter la dernière opération permet de répéter la suppression de texte ainsi que d'objets graphiques.

    Note: Si vous supprimez plusieurs caractères, puis utilisez la fonction Répéter la dernière opération, seul un caractère est supprimé. les opérations de suppression de caractères et d’objets sont interchangeables. Si vous supprimez un caractère, puis utilisez la fonction Répéter la dernière opération sur un objet graphique, ce dernier sera également supprimé.

  • Appliquer le format de caractères : répéter la dernière opération permet de réappliquer les propriétés du dernier formatage de caractères à la nouvelle sélection de texte.

  • Appliquer le format de paragraphes : répéter la dernière opération permet de réappliquer les propriétés du dernier formatage de paragraphes à la nouvelle sélection de paragraphes.

  • Insérer des objets graphiques : répéter la dernière opération permet de réinsérer le dernier objet graphique inséré à l'emplacement actuel du curseur. Cette opération fonctionne dans tous les documents.

    Les objets graphiques pouvant être collés sont les suivants :

    image, arc, ellipse, groupe, incrustation, ligne, math, polygone, polyligne, rectangle, rectangle arrondi, cadre de texte, ligne de texte, cadre non ancré.

  • Insérer un tableau : la fonction Répéter la dernière opération permet de réinsérer le dernier tableau inséré à l'emplacement actuel du curseur.

  • Définir les caractéristiques de l'objet : lorsque vous appliquez la commande Répéter la dernière opération pour définir les caractéristiques de l'objet, FrameMaker applique les dernières caractéristiques spécifiées de l'objet au nouvel objet.

  • Définir les propriétés de texte : Répéter la dernière opération permet de répéter la dernière propriété de texte sélectionnée, telle que Normal, Gras, Italique, Souligné et Justifié dans le texte ou le paragraphe actuellement sélectionné.

  • Insérer une note de bas de page/une image ancrée : vous pouvez utiliser la commande Répéter la dernière opération pour insérer la dernière note de bas de page/image ancrée insérée précédemment à l'emplacement actuel du curseur.

  • Chercher/Remplacer : lorsque vous appliquez la commande Répéter la dernière opération à la procédure Chercher/Remplacer, FrameMaker effectue la dernière opération Chercher/Remplacer sur toutes les autres occurrences à venir du texte spécifié.

  • Appliquer du texte conditionnel : Répéter la dernière opération permet de répéter la dernière balise conditionnelle appliquée au texte actuellement sélectionné.

Le raccourci clavier pour l'action Répéter la dernière opération est F6. La fonction Répéter la dernière opération est spécifique à la session et non au document.

Les actions Répéter la dernière opération peuvent être désactivées en modifiant le fichier maker.ini. Modifiez les entrées suivantes :

  • RepeatTypingEnabled : par défaut, cette entrée est définie sur ON. Définissez cette entrée sur OFF afin de désactiver l’opération de répétition de la saisie.

  • RepeatEnabled : par défaut, cette entrée est définie sur ON. Définissez cette entrée sur OFF afin de désactiver les actions de répétition de la dernière opération.

Note: Faites preuve de prudence lors de la modification du fichier maker.ini.
Parent topic: Annulation/Rétablissement de plusieurs opérations


Annulation du panneau Historique

Découvrez le panneau Historique dans FrameMaker.

Les menus Modifier > Annuler et Rétablir montrent la commande la plus récente. Cependant, un historique complet de la commande est disponible dans le panneau Annuler l’historique, accessible à partir de Afficher > Annuler l’historique ou en appuyant sur ctrl+K. Ce panneau permet de sélectionner une action à annuler ou à rétablir. L’historique des commandes s’affiche uniquement pour le document actif.

Dans le panneau Historique des annulations, la commande la plus récente est mise en évidence. Les commandes répertoriées au-dessus de la commande la plus récente ne peuvent pas être annulées. Les commandes répertoriées sous la commande la plus récente peuvent être annulées et sont signalées par un astérisque (*).

Figure 1. Le panneau Annuler Historique
La commande la plus récente mise en évidence dans le panneau Annuler Historique

Vous pouvez annuler ou rétablir les actions uniquement dans l’ordre dans lequel vous les avez effectuées. Lorsque vous sélectionnez une commande à annuler, toutes les commandes antérieures (ayant été affectées par l’action sélectionnée) sont également annulées. FrameMaker déplace également la commande sélectionnée et toutes les commandes suivantes vers la liste Rétablir. De même, le rétablissement d’une commande déplace cette dernière et toutes les commandes suivantes vers la liste Annuler.

Parent topic: Annulation/Rétablissement de plusieurs opérations


Vérification de l'orthographe, césure et thésaurus

Découvrez différentes façons de changer les options du vérificateur d’orthographe et la césure dans FrameMaker.

Adobe FrameMaker prend en charge l’édition de contenu dans pratiquement n’importe quelle langue et offre des fonctionnalités de vérification de l'orthographe, de césure et de thésaurus pour un grand nombre de langues. Le tableau suivant répertorie pour quelles langues officiellement prises en charge FrameMaker propose des fonctionnalités de vérification de l'orthographe, de césure et de thésaurus.

Langue | Vérification de l'orthographe | Césure | Thésaurus
Arabe | oui | oui | oui
Bulgare | oui | oui | oui
Catalan | oui | oui | oui
Chinois (simplifié) | oui | oui | oui
Chinois (traditionnel) | oui | oui | oui
Croate | oui | oui | oui
Tchèque | oui | oui | oui
Danois | oui | oui | oui
Néerlandais | oui | oui | oui
Néerlandais (nouveau) | oui | oui | oui
Anglais (Canada) | oui | oui | oui
Anglais (Royaume-Uni) | oui | oui | oui
Anglais (États-Unis) | oui | oui | oui
Estonien | oui | oui | oui
Farsi | oui | oui | oui
Finnois | oui | oui | oui
Français | oui | oui | oui
Français (canadien) | oui | oui | oui
Allemand (Autriche) | oui | oui | oui
Allemand (Allemagne, anciennes règles de 1901) | oui | oui | oui
Allemand (Allemagne, 1996) | oui | oui | oui
Allemand (Allemagne, 2006) | oui | oui | oui
Allemand (Allemagne, 1901) | oui | oui | oui
Allemand (Suisse, 1996) | oui | oui | oui
Allemand (Suisse, 2006) | oui | oui | oui
Grec | oui | oui | oui
Hébreu | oui | oui | oui
Hongrois | oui | oui | oui
Italien | oui | oui | oui
Japonais | oui | oui | oui
Coréen | oui | oui | oui
Letton | oui | oui | oui
Lituanien | oui | oui | oui
Norvégien | oui | oui | oui
Nynorsk | oui | oui | oui
Polonais | oui | oui | oui
Portugais (Portugal) | oui | oui | oui
Portugais (Brésil) | oui | oui | oui
Roumain | oui | oui | oui
Russe | oui | oui | oui
Slovaque | oui | oui | oui
Slovène | oui | oui | oui
Espagnol | oui | oui | oui
Suédois | oui | oui | oui
Thaï | oui | oui | oui
Turc | oui | oui | oui
  • vérificateur orthographique
    Le vérificateur orthographique vérifie l’orthographe, les mots répétés, une césure ou une casse inhabituelle, les erreurs de ponctuation, les guillemets droits (si les guillemets courbés doivent être utilisés) et les espaces superflus.
  • Dictionnaires
    Découvrez les dictionnaires de site, personnels et de documents dans Adobe FrameMaker.
  • Césure
    Découvrez comment contrôler la césure dans FrameMaker.
  • Thésaurus
    Découvrez les thésaurus dans FrameMaker.
Parent topic: Modification de contenu


vérificateur orthographique

Le vérificateur orthographique vérifie l’orthographe, les mots répétés, une césure ou une casse inhabituelle, les erreurs de ponctuation, les guillemets droits (si les guillemets courbés doivent être utilisés) et les espaces superflus.

  • Exécuter le correcteur orthographique
    Apprenez à exécuter le vérificateur d’orthographe dans FrameMaker.
  • Indication au correcteur orthographique d’ignorer un texte
    Découvrez comment indiquer au vérificateur d’orthographe d'ignorer du texte dans FrameMaker.
  • Correction automatique des fautes d’orthographe
    Découvrez comment corriger automatiquement les fautes d’orthographe dans FrameMaker.
  • Modification des options de vérification orthographique
    Découvrez différentes façons de changer les options du vérificateur d’orthographe dans FrameMaker.
  • Vérification orthographique dans différentes langues
    Découvrez comment vérifier l’orthographe dans différentes langues dans FrameMaker.
Parent topic: Vérification de l'orthographe, césure et thésaurus


Exécuter le correcteur orthographique

Apprenez à exécuter le vérificateur d’orthographe dans FrameMaker.

Vous pouvez vérifier l’orthographe de la page en cours, du document ouvert, de l’ensemble du livre, du plan d’ouvrage, du mappage DITA ou des fichiers sélectionnés dans le livre.

Note: Le vérificateur orthographique ne vérifie que les pages en cours de consultation, par exemple des maquettes ou des pages courantes.
Note: Pour vérifier l’orthographe d’un encart de texte, ouvrez l’encart de texte et utilisez le correcteur orthographique.

  1. Sélectionnez Edition > Orthographe.

    La boîte de dialogue Orthographe s’affiche :

    Figure 1. La boîte de dialogue Vérificateur d’orthographe
    Boîte de dialogue Vérificateur d’orthographe dans FrameMaker

  2. Cliquez sur Commencer.

    FrameMaker commence la vérification orthographique à partir de l’emplacement du point d’insertion du document en cours ou à partir du premier document du livre si la fenêtre du livre est active.

    Si une erreur est trouvée, le mot ou l’expression est affiché dans le champ Faute d'orthographe ?. FrameMaker tente de trouver des options alternatives que vous pouvez choisir. Le champ Correction affiche la première alternative proposée.

  3. Pour corriger une faute de frappe, sélectionnez l’alternative appropriée dans la liste disponible.

    Si la liste ne propose pas le texte correct, vous pouvez entrer la correction dans le champ Correction.

  4. Cliquez sur Corriger.

  5. Vous pouvez également choisir d’ignorer la correction indiquée par le correcteur.

    Ajouter le mot
    Ajoutez le texte balisé au dictionnaire personnel. Le correcteur ne signalera plus le texte. Si vous ouvrez un autre document ou si vous redémarrez FrameMaker, le mot n’est pas signalé.

    Si un mot contenant des lettres majuscules est ajouté à un dictionnaire personnel ou de document, lorsque l’option Casse inhabituelle est sélectionnée dans la boîte de dialogue Options de vérification orthographique, FrameMaker considère toute autre casse de ce mot comme étant une faute d’orthographe. Par exemple, si vous ajoutez le mot Trinidad, FrameMaker s’arrête sur l’orthographe detrinidad. Toutefois, si FrameMaker apprend trinidad, tout en minuscules, il ne s’arrête pas sur les autres types de casse de ce mot.

    Autoriser dans le document
    Le texte signalé est ajouté au dictionnaire de document. Le texte ne sera pas marqué par le correcteur pour le document en cours.

  6. Pour ignorer l’instance active d’un texte marqué par le vérificateur, cliquez sur Commencer.

Note: FrameMaker ne tient pas compte du texte en exposant ou en indice ni du texte micropositionné manuellement, par exemple, un texte placé manuellement sur une ligne de base.

Si vous effectuez la vérification orthographique d’un livre ou d’un plan, FrameMaker continue sa vérification jusqu’à la vérification de tous les documents du livre. Si un document ne peut pas être ouvert, celui-ci est ignoré et un message s’affiche dans le Journal des erreurs du livre.

Note: Lorsque vous vérifiez l’orthographe d’un livre ou d’un mappage, vous ne pouvez pas effectuer de vérification orthographique des maquettes ou des pages de référence.

Un message d’alerte vous invite à enregistrer le document en cours avant de passer au document suivant. Lorsque le dernier document du livre a été vérifié, un message indiquant Orthographe OK ou Vérification orthographique terminée s’affiche à l’écran.

Pour vérifier l’orthographe uniquement dans des documents spécifiques d’un livre ou d’un plan, sélectionnez-les dans la vue Gestionnaire de ressources, puis choisissez Sélection afin de vérifier l’orthographe de ces fichiers uniquement. Si vous choisissez Livre, FrameMaker vérifie l’orthographe de tout le livre ou de tout le plan.

FrameMaker trace une ligne sinueuse rouge sous les mots pour signaler les fautes d’orthographe ainsi que les mots absents du dictionnaire. Cette ligne ondulée apparaît une fois que vous avez saisi le mot entier et appuyé sur la touche Espace. Une ligne sinueuse verte sous le mot indique une erreur de ponctuation. Pour la corriger, cliquez avec le bouton droit de la souris sur un mot mis en surbrillance et sélectionnez l’option de votre choix.

Note: pour les mots soulignés en vert, les options d’ajout au dictionnaire ne sont pas applicables et donc indisponibles.
Parent topic: vérificateur orthographique


Indication au correcteur orthographique d’ignorer un texte

Découvrez comment indiquer au vérificateur d’orthographe d'ignorer du texte dans FrameMaker.

Vous pouvez empêcher le correcteur orthographique de vérifier l’orthographe d’une partie du document. Par exemple, vous pouvez ainsi éviter que FrameMaker vérifie l’orthographe des paragraphes correspondant à du code informatique.

Pour ignorer un texte donné, définissez la caractéristique Langue sur Aucune dans la Configuration de caractères.

Note: Lorsque vous définissez la langue du texte sur Aucune, FrameMaker ne fournit plus de césure pour cette partie.
Parent topic: vérificateur orthographique


Correction automatique des fautes d’orthographe

Découvrez comment corriger automatiquement les fautes d’orthographe dans FrameMaker.

Dans FrameMaker, vous pouvez corriger automatiquement les occurrences suivantes d’un mot mal orthographié ou d’une faute de frappe. FrameMaker assure automatiquement le suivi des erreurs à corriger jusqu’à ce que vous quittiez FrameMaker ou que vous lui indiquiez d’arrêter les corrections.

Avant de modifier automatiquement une faute de frappe ou d’orthographe, vérifiez les modifications à effectuer. Par exemple, si vous utilisez l’option Correction automatique lors de la correction d’une répétition de mots, FrameMaker corrige chaque répétition même si cela ne constitue pas toujours une erreur (par exemple, vous vous). De même, si le mot muis correspond à la fois à l’orthographe incorrecte de mais et à celle de mois, vous ne souhaitez pas le remplacer automatiquement par n’importe lequel de ces deux mots.

  1. Sélectionnez Edition > Orthographe et cliquez sur Commencer.

  2. Si FrameMaker s’arrête sur une faute d’orthographe ou de frappe, sélectionnez-la et cliquez sur Corriger.

Parent topic: vérificateur orthographique


Modification des options de vérification orthographique

Découvrez différentes façons de changer les options du vérificateur d’orthographe dans FrameMaker.

Lors de la vérification d’un document, FrameMaker recherche également des erreurs n’impliquant pas l’orthographe, telles que la répétition de mots, les espaces superflus ou mal positionnés ou la casse inhabituelle. Vous pouvez spécifier les types de fautes de frappe à vérifier.

Vous pouvez également limiter la vérification orthographique afin que FrameMaker ignore certains types de mots. Par exemple, vous pouvez souhaiter ignorer les mots contenant des nombres.

  1. Choisissez Edition > Orthographe, puis cliquez sur Options.

    Figure 1. Option Orthographe dans la boîte de dialogue Préférences
    Modification des options de vérification orthographique dans la boîte de dialogue Préférences

    Vérification automatique de l’orthographe
    Vérifie l’orthographe dans le document en cours de frappe. Si un mot est mal orthographié, un soulignement rouge ondulé apparaît sous le mot.
    Note: la vérification automatique de l’orthographe est spécifique à la session et non au document. Si le même document est ouvert sur un autre ordinateur, les paramètres de vérification automatique de l’orthographe peuvent être différents.
    Rechercher un groupe
    Dans le groupe Rechercher, spécifiez les types de fautes de frappe recherchées. Par exemple, sélectionnez Casse inhabituelle pour rechercher des mots comportant des lettres majuscules erronées (par exemple, VErt).
    Ignorer un groupe
    Spécifiez le type de mots à ignorer. Par exemple, sélectionnez Mots incluant des chiffres pour ignorer les mots contenant des chiffres.
    Note: Plus les mots ignorés par FrameMaker sont nombreux, plus le document risque de contenir de fautes d’orthographe. Par exemple, si vous choisissez d’ignorer les mots contenant un point, vous ignorez également une phrase commençant sans espace après le point précédent.
    Rétablir défaut
    Si vous modifiez les options du vérificateur orthographique, puis que vous voulez restaurer les options par défaut, cliquez sur Rétablir défaut. Si vous quittez FrameMaker sans rétablir les options par défaut, les paramètres en cours deviennent les options par défaut.

  2. Cliquez sur OK.

FrameMaker ne vérifie à nouveau que les paragraphes modifiés depuis la vérification précédente. Si vous modifiez les options après avoir vérifié l’orthographe d’un document, pensez à relancer la vérification orthographique après avoir indiqué à FrameMaker de marquer tous les paragraphes pour une nouvelle vérification.

Parent topic: vérificateur orthographique


Vérification orthographique dans différentes langues

Découvrez comment vérifier l’orthographe dans différentes langues dans FrameMaker.

Tout le texte du document est affecté à une langue. Dans FrameMaker, la vérification orthographique d’un document repose sur le dictionnaire principal de la langue attribuée au texte. Vous pouvez modifier la langue utilisée en modifiant celle attribuée au texte. Vous pouvez également ajouter des mots codés en Unicode (UTF-8) aux dictionnaires personnels et aux dictionnaires de l’utilisateur dans FrameMaker.

FrameMaker contient les dictionnaires de toutes les langues prises en charge. Cependant, l’installation par défaut sous n’installe qu’un seul dictionnaire dans une seule langue.

  • Pour modifier la langue du texte dans un document, utilisez la caractéristique Langue dans les caractéristiques Police par défaut de la Configuration de paragraphes pour changer la langue de l’un des éléments suivants :

    • la langue d’un paragraphe ou de tous les paragraphes du document ;

    • la langue d’une plage de texte dans un paragraphe ou la langue d’une ligne de texte.

Pour les documents structurés, vous pouvez sélectionner une des 46 langues intégrées à FrameMaker et l’ajouter en tant que valeur d’attribut pour @xml:lang. FrameMaker défini automatiquement la langue pour la vérification d’orthographe sur le paramètre de langue dans l’attribut xml:lang dans votre fichier XML (voir Paramètres de langue et de police dans des documents structurés).

Dans les documents de langue asiatique :

  • Certains caractères spéciaux ne s’affichent pas dans la boîte de dialogue Orthographe, car ces caractères se trouvent dans un document en langue occidentale. Par exemple, une barre oblique inverse s’affiche sous la forme du symbole du yen et un tiret insécable est représenté par un espace.

  • Si le document contient du texte Roman, assurez-vous que l’option Guillemets droits de la boîte de dialogue Orthographe est désactivée afin que le vérificateur orthographique ne s’arrête pas sur les mots correctement orthographiés.

Parent topic: vérificateur orthographique


Dictionnaires

Découvrez les dictionnaires de site, personnels et de documents dans Adobe FrameMaker.

Adobe FrameMaker crée automatiquement un dictionnaire personnel qui vous est destiné, ainsi qu’un dictionnaire de document pour chaque document. Vous pouvez utiliser le vérificateur orthographique ou les options Vérification automatique de l’orthographe pour ajouter ou supprimer des mots dans ces dictionnaires, comme vous pouvez gérer directement ces derniers. Lorsque vous exploitez directement un dictionnaire, vous pouvez examiner et modifier son contenu ou le fusionner avec un autre dictionnaire. Il est également possible de créer plusieurs dictionnaires personnels, puis d’utiliser un seul d’entre eux à la fois.

Si vous apportez des modifications à un dictionnaire personnel ou de document, marquez tous les paragraphes pour une nouvelle vérification avant de revérifier l’orthographe du document.

La boîte de dialogue Fonctions Dictionnaire permet d’effectuer une grande partie des tâches suivantes.

Le vérificateur orthographique de FrameMaker utilise plusieurs dictionnaires pour détecter les fautes d’orthographe et de frappe courantes. Lorsque vous vérifiez l’orthographe d’un document, FrameMaker compare chaque mot avec les mots des dictionnaires suivants :

Dictionnaire principal
Contient les mots figurant dans un dictionnaire classique. Vous ne pouvez ni ajouter ni supprimer de mots dans ce dictionnaire.
Dictionnaire local par défaut
Contient certains termes techniques. Vous pouvez ajouter des mots relatifs à votre site ou votre groupe de travail, par exemple le nom de la société et les noms de produit. Le dictionnaire local se trouve généralement dans le fichier site.dict du dossier dict de FrameMaker.
Dictionnaire personnel
Contient des mots que vous utilisez souvent. Ce dictionnaire étant utilisé lors de la vérification orthographique de tout document, utilisez-le pour des mots n’étant spécifiques ni au document ni au site (votre nom, par exemple). Vous pouvez y ajouter ou supprimer des mots. Vous pouvez également créer plusieurs dictionnaires personnels et passer de l’un à l’autre.
Dictionnaire document
Contient des mots acceptables dans un document particulier. FrameMaker l’utilise indépendamment de la personne qui modifie le document. Vous pouvez y ajouter des mots ou en supprimer. Ce dictionnaire, contrairement aux autres dictionnaires, fait partie du document et n’est pas un fichier distinct.
  • Boîte de dialogue Fonctions Dictionnaire
    Découvrez la boîte de dialogue Fonctions Dictionnaire et les différents types de dictionnaires dans Adobe FrameMaker.
  • Dictionnaires pour les langues prises en charge
    Découvrez la prise en charge de la vérification orthographique pour les langues prises en charge dans Adobe FrameMaker.
  • Utilisation des dictionnaires personnels et de site
    Découvrez comment créer un dictionnaire personnel et utiliser un dictionnaire de site dans Adobe FrameMaker.
  • Modification des fichiers de dictionnaire
    Découvrez comment modifier les fichiers de dictionnaire dans Adobe FrameMaker.
Parent topic: Vérification de l'orthographe, césure et thésaurus


Boîte de dialogue Fonctions Dictionnaire

Découvrez la boîte de dialogue Fonctions Dictionnaire et les différents types de dictionnaires dans Adobe FrameMaker.

Sélectionnez Modifier > Vérificateur d’orthographe pour ouvrir la boîte de dialogue Vérificateur d’orthographe. Cliquez sur Dictionnaires pour ouvrir la boîte de dialogue Fonctions de dictionnaire.

Figure 1. Boîte de dialogue Fonctions Dictionnaire
Boîte de dialogue Fonctions Dictionnaire dans FrameMaker

Dictionnaire personnel
Dans la liste déroulante :
Aucun : vérification orthographique du document sans utiliser le dictionnaire personnel
Ecrire dans fichier : spécifiez le fichier dans lequel copier le contenu du dictionnaire. Vous pouvez modifier ce fichier, puis l’utiliser comme nouveau dictionnaire.
Note: Si une fenêtre de livre est active lorsque vous sélectionnez cette commande, les dictionnaires de document sont copiés dans un seul fichier.
Fusionner depuis fichier : sélectionnez le fichier à fusionner avec le dictionnaire actuel.
Importer le dictionnaire : recherchez ou spécifiez le nom du fichier contenant le dictionnaire personnel à utiliser et cliquez sur Utiliser.
Dictionnaire document
Dans la liste déroulante :
Supprimer : suppression du contenu du dictionnaire de document
Ecrire dans fichier : spécifiez le fichier dans lequel copier le contenu du dictionnaire. Vous pouvez modifier ce fichier, puis l’utiliser comme nouveau dictionnaire.
Note: Si une fenêtre de livre est active lorsque vous sélectionnez cette commande, les dictionnaires de document sont copiés dans un seul fichier.
Fusionner depuis fichier : sélectionnez le fichier à fusionner avec le dictionnaire actuel.
Ecrire tous mots indéterminés dans fichier
Ajout de tous les mots du document en cours avec l’orthographe erronée dans un dictionnaire.
Effacer les corrections automatiques
Pour vous assurer que FrameMaker ne Correction automatique des fautes d’orthographe la prochaine fois que vous ouvrirez FrameMaker.
Marquer tous les paragraphes à revérifier
FrameMaker ne vérifie à nouveau que les paragraphes modifiés depuis la vérification précédente. Si vous modifiez les options après avoir vérifié l’orthographe d’un document, pensez à relancer la vérification orthographique après avoir indiqué à FrameMaker de marquer tous les paragraphes pour une nouvelle vérification.
Recommencer la césure du document
Redéfinir la césure de tout un document ou livre.
Parent topic: Dictionnaires


Dictionnaires pour les langues prises en charge

Découvrez la prise en charge de la vérification orthographique pour les langues prises en charge dans Adobe FrameMaker.

Dans Adobe FrameMaker, les dictionnaires, la césure et les thésaurus sont compatibles avec Unicode.

FrameMaker fournit un dictionnaire et la prise en charge de la césure pour les langues suivantes :

  • Arabe

  • Bulgare

  • Catalan

  • Croate

  • Tchèque

  • Danois

  • Néerlandais

  • Estonien

  • Finnois

  • Grec

  • Hébreu

  • Hongrois

  • Italien

  • Letton

  • Lituanien

  • Norvégien

  • Nynorsk

  • Polonais

  • Portugais

  • Roumain

  • Russe

  • Slovaque

  • Slovène

  • Espagnol

  • Suédois

  • Turc

Note: les dictionnaires de toutes les langues prises en charge dans FrameMaker sont installés par défaut.

FrameMaker prend parfaitement en charge la création de contenu (à l’exclusion des dictionnaires et de la césure) pour le japonais, le coréen, le chinois traditionnel et le chinois simplifié.

En outre, la prise en charge complète de la création (y compris les règles linguistiques, le dictionnaire, la césure et les thésaurus) est étendue pour :

  • Anglais (États-Unis)

  • Anglais (Royaume-Uni)

  • Anglais (Canada)

  • Français

  • Français (canadien)

  • Danois

  • Néerlandais

  • Allemand – Autriche (réforme de 2006)

  • Allemand - Allemagne (anciennes règles de 1901)

  • Allemand - Allemagne (réforme de 1996)

  • Allemand - Allemagne (réforme de 2006)

  • Allemand - Suisse (anciennes règles de 1901)

  • Allemand - Suisse (réforme de 1996)

  • Allemand - Suisse (réforme de 2006)

  • Italien

  • Norvégien

  • Suédois

  • Suisse allemand

Pour la langue allemande, Adobe FrameMaker prend en charge différents moteurs d’orthographe et de césure DUDEN.

Les moteurs d’orthographe suivants sont disponibles :

  • Duden

  • Duden : Konservativ

  • Duden : Presse

  • Duden : Tolerant

Les moteurs de césure suivants sont disponibles :

  • Duden : All

  • Duden : All but unaesthetic

  • Duden : Aesthetic

  • Duden : Preferred Aesthetic

Parent topic: Dictionnaires


Utilisation des dictionnaires personnels et de site

Découvrez comment créer un dictionnaire personnel et utiliser un dictionnaire de site dans Adobe FrameMaker.

Créer un dictionnaire personnel

Pour créer un dictionnaire personnel, procédez suit :

  1. Placez des mots, avec un tiret à chaque point de césure, dans un document. Entrez comme première ligne dans le document : <MakerDictionary 3.0>

  2. Sélectionnez Fichier > Enregistrer au format. Dans la boîte de dialogue Enregistrer le document, sélectionnez un dossier et définissez un nom de fichier. Dans la liste déroulante Type, sélectionnez Texte seulement et cliquez sur Enregistrer.

  3. Dans la boîte de dialogue Enregistrer en tant que texte, sélectionnez Mettre un retour chariot : Uniquement entre les paragraphes et cliquez sur Enregistrer.

Modification des dictionnaires locaux

Vous pouvez spécifier un dictionnaire local différent pour chacun de vos projets. Par ailleurs, vous pouvez modifier directement votre dictionnaire local.

Si vous utilisez Adobe FrameMaker en réseau, le dictionnaire local est probablement géré par un administrateur système.

Spécifiez le dictionnaire de site dans le fichier maker.ini dans une section [Dossiers]. Le paramètre par défaut est :

SiteDictionary=dict\site.dct
CAUTION:
Faites preuve de prudence lors de la modification du fichier maker.ini.
Parent topic: Dictionnaires


Modification des fichiers de dictionnaire

Découvrez comment modifier les fichiers de dictionnaire dans Adobe FrameMaker.

Introduction

Vous avez la possibilité d’apporter des modifications dans les dictionnaires du document, personnels et locaux. Vous pouvez également choisir différents dictionnaires, fusionner un dictionnaire avec un autre et modifier et supprimer des dictionnaires.

  1. Si vous modifiez un dictionnaire personnel ou de document, insérez le contenu du dictionnaire dans un fichier à l’aide de FrameMaker.

  2. Modifiez le fichier. Si vous utilisez FrameMaker pour modifier un dictionnaire, procédez comme suit :

    • Lorsque vous ouvrez le fichier, sélectionnez Considérer chaque ligne comme un paragraphe dans la boîte de dialogue Lecture de fichier texte, puis cliquez sur Lecture.

    • Enregistrez le fichier au format Texte seulement et cliquez sur Enregistrer. Cliquez ensuite sur Entre les paragraphes uniquement, puis sur Enregistrer.

  3. Fusionnez le fichier de dictionnaire avec un autre dictionnaire. Si vous avez supprimé des mots du dictionnaire, supprimez le dictionnaire d’origine avant de fusionner le fichier. Dans le cas contraire, les mots supprimés restent dans le dictionnaire.

Ajout de mots inconnus à un dictionnaire

Si le document contient plusieurs mots dont l’orthographe est correcte mais que FrameMaker met en doute, vous pouvez accélérer la vérification en ajoutant les mots au dictionnaire lors d’une opération distincte avant de lancer la vérification.

  1. Activez la fenêtre de document ou de livre qui vous intéresse.

  2. Sélectionnez Edition > Oorthographe.

  3. Cliquez sur Dictionnaires.

  4. Cliquez sur Ecrire tous mots indéterminés dans fichier, puis sur OK.

  5. Spécifiez le nom du fichier de dictionnaire et cliquez sur OK ou sur Enregistrer. Le fichier de dictionnaire créé ne comprend pas les fautes de frappe telles que les mots répétés, les erreurs de casse ou les espaces superflus.

  6. Modifiez le fichier de dictionnaire à l’aide d’un éditeur de texte ou de FrameMaker. Supprimez tous les mots à ne pas ajouter au dictionnaire, tels que ceux mal orthographiés.

  7. Dans la boîte de dialogue Orthographe, cliquez sur Dictionnaires.

  8. Choisissez Fusionner depuis fichier dans le menu déroulant Dictionnaire personnel ou Dictionnaire document et cliquez sur OK. Si les mots sont susceptibles d’apparaître dans plusieurs documents, fusionnez-les dans un dictionnaire personnel ou dans tous les fichiers d’un livre.

  9. Nommez et enregistrez le fichier de dictionnaire.

Note: Pour ajouter quelques mots à un dictionnaire, vous pouvez sélectionner Ajouter le mot dans le menu contextuel. La méthode ci-dessus est utile si de nombreux mots sont mis en surbrillance par une ligne sinueuse rouge.

Ajout de mots composés au dictionnaire personnel

Un document contient parfois des mots composés. Par défaut, FrameMaker vérifie l’orthographe de chaque terme contenu dans le mot composé plutôt que de vérifier le mot composé dans son ensemble. Par exemple, lors de la vérification du mot mi-lourd, FrameMaker vérifie mi, puis lourd. En modifiant les paramètres par défaut, vous pouvez vérifier les mots composés comme des mots à part entière et vous pouvez en ajouter au dictionnaire personnel.

  1. Choisissez Edition > Orthographe, puis cliquez sur Options.

  2. Sélectionnez Césure inhabituelle et cliquez sur Définir.

  3. Dans la zone de texte Mot de la boîte de dialogue Orthographe, entrez le mot composé à ajouter au dictionnaire personnel. Placez un tiret au début du mot composé et une barre oblique inverse (\) avant chaque tiret liant les termes.

    Par exemple, pour ajouter le mot mi-lourd, entrez mi\-lourd.

  4. Cliquez sur Apprendre.

Parent topic: Dictionnaires


Césure

Découvrez comment contrôler la césure dans FrameMaker.

Lorsque vous ajoutez un mot à un dictionnaire personnel, FrameMaker suggère des points de césure. Vous pouvez les modifier avant d’ajouter le mot. Vous pouvez également spécifier si un mot doit toujours ou ne jamais être coupé. Par exemple, vous pouvez spécifier que toute occurrence de mi-lourd peut être coupée, tandis que le nom de votre société ne doit jamais être coupé.

Une fois les modifications de césure effectuées, redéfinissez la césure du document.

Tip: Pour un contrôle strict des césures (par exemple, avant le tirage d’un livre), pensez à rechercher dans le document tous les tirets automatiquement insérés par FrameMaker. Sélectionnez Césure automatique dans la liste déroulante Chercher dans la boîte de dialogue Chercher/Remplacer.

Modification de la césure d’un mot

  1. Affichez les points de césure du mot.

  2. Corrigez la césure et cliquez sur Apprendre. Vous pouvez ajouter et supprimer des césures en fonction de vos besoins.

Procédure pour éviter la césure d’un mot dans FrameMaker

  1. Entrez le mot dans la zone Correction.

  2. Cliquez sur Afficher la césure.

  3. Supprimez tous les tirets du mot.

  4. Insérez un tiret au début du mot.

  5. Cliquez sur Apprendre.

Redéfinition de la césure de tout un document

  1. Activez la fenêtre de document ou de livre qui vous intéresse.

  2. Sélectionnez Edition > Oorthographe.

  3. Cliquez sur Dictionnaires.

  4. Sélectionnez Recommencer la césure du document et cliquez sur OK. Cette option fonctionne dans un document ouvert.

    Dans le cas d'un fichier de livre, sélectionnez Recommencer la césure de tous les fichiers du livre et cliquez sur OK.

Césure portugaise

FrameMaker prend en charge la règle de césure portugaise. Selon les règles de césure portugaises, si un mot avec une césure apparaît à la fin d’une ligne et que la césure est brisée, une autre césure doit être ajoutée au début de la prochaine ligne.

Par exemple, si un mot avec césure Estado-membro se situe à la fin d’une ligne, FrameMaker ajoute un tiret supplémentaire au début de la nouvelle ligne (en plus du tiret du mot).

Note: Aucun trait d'union supplémentaire n'est ajouté si le mot césuré se trouve à l'intérieur d'une ligne.
Pour appliquer la césure portugaise à un texte :
  1. Entrez le texte en portugais.
  2. Sélectionnez Format > Paragraphes > Configuration de paragraphes et sélectionnez Portugais ou Portugais (Brésilien) dans la liste déroulante Langue.
  3. Sélectionnez Appliquer.
Parent topic: Vérification de l'orthographe, césure et thésaurus


Thésaurus

Découvrez les thésaurus dans FrameMaker.

Utilisez le Thésaurus pour chercher les synonymes, mots associés et antonymes d’un mot spécifié. Le Thésaurus vous permet d’améliorer le sens d’un mot déjà dans le document ou de chercher le mot juste puis de l’insérer.

Vous pouvez consulter n’importe lequel des mots obtenus à la première passe et afficher ses synonymes, mots associés et antonymes. FrameMaker conserve un historique des 10 derniers mots recherchés.

Si une partie des informations ne s’affiche pas, vous pouvez les faire apparaître à l’aide des boutons fléchés au bas de la boîte de dialogue. FrameMaker affiche les synonymes, antonymes et mots associés selon la même casse que celle du mot recherché.

  1. Pour rechercher un mot ou une expression dans le Thésaurus :

    • Pour rechercher un mot visible dans la fenêtre de document, sélectionnez le mot et choisissez Edition > Thésaurus.

    • Pour rechercher un mot non visible dans la fenêtre de document, assurez-vous qu’aucun texte n’est sélectionné et choisissez Edition > Thésaurus. Entrez le mot et cliquez sur Rechercher.

    • Pour rechercher une expression, assurez-vous qu’aucun texte n’est sélectionné et choisissez Edition > Thésaurus. Entrez l’expression, incluant tout tiret, dans la boîte de dialogue Recherche Thésaurus, puis cliquez sur Rechercher

      Note: Si vous essayez de spécifier une expression en la sélectionnant dans la fenêtre de document, FrameMaker ne recherche que le premier mot sélectionné.

    • Pour rechercher un synonyme, un mot associé ou un antonyme affiché dans la boîte de dialogue Thésaurus, cliquez dessus. Les synonymes, mots associés et antonymes s’affichent en gras.

    • Pour rechercher de nouveau un mot, choisissez le mot dans la liste déroulante Mot dans la boîte de dialogue Synonymes.

  2. Dans la liste déroulante Langue, sélectionnez une langue différente.

    FrameMaker utilise la langue du texte en cours. Si aucun mot n’est sélectionné ou que le point d’insertion ne se trouve pas dans un paragraphe, la langue choisie pour l’interface lors de l’installation de FrameMaker est utilisée. Vous pouvez personnaliser la langue par défaut des nouveaux documents en créant votre propre modèle pour de nouveaux documents personnalisés.

    Note: Le Thésaurus d’une langue est installé avec le dictionnaire associé à cette langue.

  3. Pour sélectionner un mot à utiliser dans votre document, sélectionnez le mot dans les listes Synonymes ou Voir aussi puis cliquez sur Remplacer.

Si vous avez sélectionné un mot à l’ouverture de la boîte de dialogue Thésaurus, le mot est remplacé par le mot sélectionné dans la boîte de dialogue. Si vous n’avez pas sélectionné de mot, le mot sélectionné dans la boîte de dialogue, est placé au point d’insertion en cours.

Parent topic: Vérification de l'orthographe, césure et thésaurus


Rechercher

La fonctionnalité Chercher/Remplacer vous permet de rechercher des éléments (pas seulement du texte) dans un document, un livre ou un mappage.

Si vous effectuez une recherchez dans un document (Edition > Rechercher/Remplacer), FrameMaker commence à chercher au point d’insertion et continue dans tout le document. Il ne recherche que les pages pouvant recevoir le point d’insertion (par exemple, uniquement les pages courantes, la maquette ou les pages de référence). Lorsque FrameMaker atteint la fin du document, il reprend sa recherche au début. Après avoir cherché dans l’enchaînement principal, il traite tout autre texte du document. Du fait que FrameMaker effectue la recherche enchaînement après enchaînement plutôt que page par page, vous pouvez parfois avoir l’impression que le programme saute d’un endroit à l’autre du document pendant sa recherche.

Si vous effectuez une recherche dans un livre, FrameMaker commence la recherche à partir du document actif ou du premier document du livre si la fenêtre du livre est active et poursuit la recherche dans l’ensemble des documents du livre. Si un document ne peut pas être ouvert, celui-ci est ignoré et un message s’affiche dans le journal des erreurs du livre.

Note: lorsque vous effectuez une recherche dans un livre, un plan d’ouvrage ou un mappage DITA, vous ne pouvez pas rechercher les maquettes ou les pages de référence.
  • Boîte de dialogue Rechercher/Remplacer
    Utiliser la boîte de dialogue Rechercher/Remplacer dans FrameMaker.
  • Types d’éléments de recherche
    Découvrez différents types d’éléments de recherche dans FrameMaker.
  • Recherche de texte Unicode
    Découvrez la recherche de texte Unicode dans FrameMaker.
  • Recherche de caractères spéciaux et de symboles non imprimable
    Découvrez la recherche d'un caractère spécial et d'un symbole non imprimable dans FrameMaker.
  • Définir une balise personnalisée pour filtrer la recherche
  • Configuration d’une expression régulière
    Découvrez la configuration d’expression régulière dans FrameMaker.
Parent topic: Modification de contenu


Boîte de dialogue Rechercher/Remplacer

Utiliser la boîte de dialogue Rechercher/Remplacer dans FrameMaker.

Pour ouvrir la boîte de dialogue Chercher/Remplacer, sélectionnez Edition > Chercher/Remplacer.

Figure 1. Boîte de dialogue Rechercher/Remplacer
Boîte de dialogue Rechercher/Remplacer dans FrameMaker

Rechercher
Sélectionnez le type d’élément FrameMaker à rechercher. Vous pouvez rechercher un texte et autre Création de contenu structuré.
Note: Tout texte que vous recherchez est stocké dans la liste déroulante Rechercher. L’historique de recherche est conservé pour toutes les sessions de FrameMaker.
Recherche simple
Recherche selon le texte saisie dans le champ Rechercher.
Caractères génériques
Recherche selon les règles de caractère générique définies dans le champ Rechercher :
Caractère générique Description Document-type

*

Etoile. Un nombre quelconque de caractères

*orm recherche form ou inform

|

Barre verticale. Des espaces ou une ponctuation

.

Point. Un caractère quelconque

fo.m recherche form ou foam

^

Accent circonflexe. Au début d’une ligne

$

Fin de ligne

[ab]

L’un des caractères entre crochets

f[ao]rm recherche farm ou form

[^ab]

N’importe quel caractère sauf les caractères entre crochets

f[^ao]rm recherche f suivi de n’importe quel caractère à l’exception de a et o et suivi de rm

[a-f]

Tout caractère dans la plage spécifiée

f[b-e]rm recherche farm ou form mais pas, par exemple, ferm
Note: Lorsque vous effectuez une recherche de caractères génériques, utilisez la barre oblique inverse pour rechercher un caractère ayant une signification spécifique au titre de caractères génériques. Par exemple, \* recherche précisément * (le caractère étoile).
Expressions régulières
Recherche selon l’expression régulière définie dans le champ Rechercher.
Expression régulière Description Document-type

*

Etoile. Zéro ou plusieurs instances

*orm recherche form ou inform ou frm

.

Point. Un caractère quelconque

fo.m recherche form ou foam

+

Plus. Nombre quelconque de caractères

fo.m recherche form ou foam

?

Limite la recherche au caractère suivant spécifié

fo.+?m recherche fo suivi d’un ou plusieurs caractères (n’importe lequel) suivi de m

\d

Un chiffre

\d+ recherche un nombre avec un ou plusieurs chiffres

{n}

Nombre d’instances spécifiques

so{1}n recherche son mais pas soon

{n, m}

Plage d’instances

so{1-2}n recherche son et soon mais pas sooon

{n,}

Plage n à m entre accolades.

so{1-2}n recherche son et soon mais pas sooon

^

Accent circonflexe. Au début d’une ligne

$

Fin de ligne

[ab]

L’un des caractères entre crochets

f[ao]rm recherche farm ou form

[^ab]

N’importe quel caractère sauf les caractères entre crochets

f[^ao]rm recherche f suivi de n’importe quel caractère à l’exception de a et o et suivi de rm

[a-f]

Tout caractère dans la plage spécifiée

f[b-e]rm recherche farm ou form mais pas, par exemple, ferm
Note: Lorsque vous effectuez une recherche d’une expression régulière, utilisez la barre oblique inverse pour rechercher un caractère ayant une signification spécifique pour l’expression régulière. Par exemple, \* recherche précisément * (le caractère étoile).
Considérer la casse
Recherche respectant la casse
Mot entier
Recherche d’un mot entier. Par exemple, la recherche pour le mot entier so trouve so mais pas soon.
Recherche en arrière
Par défaut, la fonctionnalité Rechercher recherche du début à la fin d’un document ou d’un livre. Sélectionnez cette option pour rechercher vers le début.
Modifier
Sélectionnez le type d’élément à modifier dans l’élément retrouvé.
La modification dans une expression régulière inclut une fonctionnalité de groupe de capture. Par exemple, pour rechercher les dates dans un document et modifier le format de jj-mm-aaaa en mm-jj-aaaa, utilisez l’expression régulière suivante :
(\d{2})-(\d{2})-(\d{4})
Les parenthèses encadrant les parties jour, mois et année de l’expression régulière sont des groupes de capture. Chaque groupe de capture est capturé dans les variables d’expression régulière $1, $2, $3 etc.
Pour permuter le groupe mois avec le groupe jour :
$2-$1-$3
Note: Si vous choisissez Remplacer ou Remplacer & chercher lorsqu'aucun texte n’est sélectionné dans le document, FrameMaker insère ou applique l’élément de remplacement au point d’insertion.
Reproduire la casse
Assurez-vous que l’élément modifié suit la même casse que celle de l’élément trouvé. Par exemple, la recherche de so pour modification en soon avec Reproduire la casse sélectionné remplace so en soon et So en Soon.
Rechercher dans
Choisissez de rechercher des éléments dans un livre, une carte, un document ou une sélection actuelle.

Rechercher et remplacer les styles d'objets

Pour trouver un objet auquel est appliqué un style d'objet spécifique, procédez comme suit :

  1. Ouvrez le document .fm dans lequel vous souhaitez rechercher les objets auxquels sont appliqués des styles d'objets spécifiques.
  2. Sélectionnez Balise de style d'objet dans la liste déroulante Rechercher.
  3. Sélectionnez le style d'objet que vous souhaitez rechercher. Par exemple, le style d’objet MyRed.
    Warning: Vous devez rechercher un style d'objet correct, sinon vous obtiendrez une erreur.

    Si vous souhaitez rechercher tous les objets auxquels un style d'objet ou aucun style d'objet n'est appliqué, sélectionnez Cadre ancré dans la liste déroulante Rechercher. Cela vous aidera à rechercher tous les objets présents dans les cadres ancrés et à appliquer un style d'objet spécifique à tous ces objets en une seule fois.

  4. Sélectionnez Balise de style d'objet sur : dans la liste déroulante Remplacer.
  5. Sélectionnez le style d'objet que vous souhaitez remplacer. Par exemple, le style d’objet MyGreen.
    Note: Si vous essayez d'appliquer un style d'objet dont la propriété n'est pas valable pour l'objet sélectionné, vous obtiendrez une erreur. Par exemple, vous ne pouvez pas définir de propriétés Caractéristiques d’habillage pour un cadre ancré.
  6. Cliquez sur Rechercher.

    FrameMaker trouve l'objet avec le style d'objet sélectionné. S’il n’y a aucun objet avec le style sélectionné, vous obtenez une erreur.

  7. Lorsque FrameMaker trouve l'objet, effectuez l'une des opérations suivantes :
    1. Pour apporter la modification à l'objet trouvé, sans poursuivre la recherche d'autres occurrences de l'objet, cliquez sur Remplacer
      Warning: Vous devez rechercher un style d'objet correct dans la liste déroulante Remplacer, sinon FrameMaker affiche une erreur lorsque vous tentez de modifier le style d'objet.
    2. Pour apporter la modification à l'objet trouvé, puis continuer à rechercher d'autres occurrences, cliquez sur Remplacer et Rechercher.
    3. Pour modifier toutes les occurrences des objets trouvés dans le document ou seulement les occurrences de la sélection actuelle, cliquez sur Tout remplacer.

FrameMaker affiche les détails suivants si certaines ou aucune modification n'est effectuée :

  1. Nombre total de modifications demandées : <nombre d'objets trouvés avec le style recherché>.
  2. Réussite : <Nombre d'objets modifiés avec succès>
  3. Échec : <Nombre d'objets qui n'ont pas été modifiés>

Vous pouvez consulter la console pour obtenir des détails sur les modifications qui ont échoué et refaire une recherche/modification après avoir résolu les problèmes.

FrameMaker affiche un message de réussite sur la modification du style d'objet de tous les objets qui ont le style d'objet recherché.

Parent topic: Rechercher


Types d’éléments de recherche

Découvrez différents types d’éléments de recherche dans FrameMaker.

Outre le texte, vous pouvez rechercher l’un des éléments suivants dans la sélection, dans un document ou dans l’ensemble d’un livre. Vous pouvez également effectuer la recherche dans un mappage à partir de la vue Gestionnaire de ressources.

Formats et styles de textes

Caractéristiques de formats de caractères ou bien styles de paragraphes ou de caractères. Dans FrameMaker structuré, l'élément s’affiche juste après le texte, de sorte que vous pouvez rechercher un nom d’élément, un nom d’attribut, une valeur d’attribut ou les trois en même temps.

  1. Copiez le texte avec le formatage de caractères à rechercher. FrameMaker n’utilise que les 126 premiers caractères copiés dans le Presse-papiers.

  2. Sélectionnez Modifier > Rechercher/Remplacer. Dans la boîte de dialogue Rechercher/Remplacer, sélectionnez Formats caractères & texte dans Presse-papiers dans la liste déroulante Rechercher. N’entrez pas le texte recherché dans la zone Chercher.

  3. Cliquez sur Rechercher.

Pour empêcher que FrameMaker n’applique une caractéristique au texte trouvé, définissez celle-ci sur Tel que.

Tip: Après avoir effectué des modifications dans la boîte de dialogue Remplacer par style de caractères, vous pouvez réinitialiser la boîte de dialogue pour correspondre au format du texte actuel en appuyant sur ctrl+Maj+F9.
panneau Marqueurs

FrameMaker utilise des marqueurs pour les références croisées, l’indexation et autres. Il peut rechercher tout type de marqueur ou uniquement le type spécifié. Lorsque les symboles de texte sont affichés, un marqueur est signalé par un symbole Le symbole de marqueur.

FrameMaker peut également rechercher des marqueurs possédant un texte spécifique.

  1. Dans la boîte de dialogue Chercher/Remplacer :

    • Pour rechercher tous les marqueurs du document, choisissez Marqueur – Tout dans la liste déroulante Chercher et laissez la zone Chercher vide.

    • Pour rechercher un type de marquer spécifique, sélectionnez Marquer – Type dans la liste déroulante Chercher et entrez le type de marque dans la zone Chercher.

    • Pour rechercher un marqueur avec un texte spécifique, sélectionnez Marqueur – Texte dans la liste déroulante Chercher et entrez le texte du marqueur dans la zone Chercher.

  2. Cliquez sur Rechercher. Si la boîte de dialogue Marqueur est ouverte (Insérer > Marqueur), le texte du marqueur trouvé s'affiche dans la boîte de dialogue.

Remplacer le texte du marqueur

La boîte de dialogue Chercher/Remplacer ne permet pas de modifier le texte d’un marqueur. Pour remplacer le texte du marqueur, procédez comme suit :
  1. Pour rechercher un marqueur avec un texte spécifique, sélectionnez Marqueur – Texte dans la liste déroulante Rechercher et entrez le texte du marqueur dans la zone Rechercher. Par exemple, s'il existe des marqueurs dont le texte est « Adobe FrameMaker », vous pouvez rechercher le texte complet « Adobe FrameMaker » ou seulement « FrameMaker ».

  2. Cliquez sur Rechercher pour trouver le marqueur avec le texte saisi.
  3. Pour modifier le texte du marqueur, choisissez Texte d'un marqueur pour dans la liste déroulante Remplacer, et dans la case Remplacer, saisissez le texte du marqueur que vous souhaitez modifier. Par exemple, saisissez « FrameMaker » dans la case Remplacer.
    Note: Vous devez choisir Texte d'un marqueur pour, pour remplacer le texte du marqueur.
  4. Cliquez sur Remplacer pour modifier le texte de marqueur spécifique trouvé et Tout remplacer pour modifier toutes les occurrences du texte de marqueur trouvé. FrameMaker affiche un message de réussite lors de la modification du texte du marqueur de tous les marqueurs qui ont le texte du marqueur recherché.
    Tip: Vous pouvez également utiliser la boîte de dialogue Insertion > Marqueur pour modifier le texte spécifique du marqueur.
Balise de style d’objet

Styles d'objets appliqués sur n'importe quel objet du document. Pour plus d’informations, consultez Rechercher et remplacer les styles d'objets.

Références croisées

Toute référence croisée, quel que soit son format, des références croisées utilisant un format spécifique ou des références croisées non résolues (références croisées que FrameMaker ne peut pas mettre à jour). Si une référence croisée non résolue est trouvée, le texte du marqueur de la référence croisée s’affiche dans la zone Chercher.

Encarts de texte

Tout texte importé par référence. Vous pouvez également rechercher les encarts de texte non résolus (encarts ne pouvant pas être mis à jour depuis leur source). Toutefois, vous ne pouvez pas rechercher les abonnements de graphiques ou les objets OLE liés. (Pour répertorier les liens OLE, choisissez Edition > Liens.)

Variables

Toute variable, quel que soit son nom, et des variables spécifiques.

Texte Rubi

Tout texte Rubi, si les polices japonaises sont installées sur le système.

Cadres ancrés

Cadre qui contient des graphiques et vous aide à les repérer. Les graphiques placés dans des cadres non ancrés ne sont pas trouvés.

Notes

Toute note de bas de page d’un texte ou d’un tableau.

Tableaux

Tous les tableaux, quels que soient leurs styles de tableaux, ou les tableaux au style spécifique.

Texte conditionnel

Tout texte conditionnel, quelles que soient ses balises conditionnelles, du texte portant des balises conditionnelles spécifiques ou du texte non conditionnel. FrameMaker ne peut pas rechercher des lignes de tableau conditionnelles ou du texte conditionnel masqué.

Vous pouvez rechercher un texte visible ayant des balises conditionnelles spécifiques. Lorsque FrameMaker trouve un texte conditionnel visible, il sélectionne tout le texte adjacent utilisant ces balises conditionnelles.

FrameMaker ne peut pas rechercher des lignes de tableau conditionnelles.

  1. Assurez-vous que le texte portant les balises conditionnelles à rechercher est visible.

  2. Dans la boîte de dialogue Rechercher/Remplacer, sélectionnez Texte conditionnel dans la liste déroulante Rechercher/Remplacer.

  3. Procédez comme suit :

    • Pour rechercher un texte ayant une balise conditionnelle particulière, déplacez la balise conditionnelle dans la liste Dans.

    • Pour rechercher un texte n’ayant pas de balise conditionnelle particulière, déplacez la balise dans la liste de sélection Pas dans

    • S’il vous importe peu que le texte trouvé possède une balise de condition particulière, déplacez la balise de condition dans la liste de sélection Tel que.

    • Pour rechercher tout le texte conditionnel, déplacez toutes les balises vers la liste de sélection Tel que.

    • Pour rechercher un texte non conditionnel, sélectionnez Non conditionnel.

    Note: pour déplacer une balise conditionnelle entre les listes de sélection, sélectionnez la balise et cliquez sur un bouton fléché ou cliquez deux fois sur la balise. Pour déplacer toutes les balises d’une liste de sélection vers une autre, sélectionnez une balise dans la liste et cliquez sur un bouton fléché en maintenant la touche Maj enfoncée.

  4. Cliquez sur Définir, puis sur Rechercher.

Césure automatique

Les mots dont la césure est automatique.

Formatage de texte et de caractères dans le Presse-papiers

Tout texte correspondant au format de texte, de casse et de caractères du Presse-papiers.

Parent topic: Rechercher


Recherche de texte Unicode

Découvrez la recherche de texte Unicode dans FrameMaker.

Par défaut, FrameMaker utilise le format de codage UTF-8. Par conséquent, chaque caractère d’un document .fm ou XML contenant du texte codé Unicode utilise plusieurs octets. Ainsi, seule la chaîne saisie dans le champ Recherche est utilisée pour effectuer la recherche.

La recherche dans une plage n’est applicable qu’aux caractères Unicode et les utilisateurs peuvent rechercher tout caractère appartenant au plan multilingue de base (BMP, Basic Multilingual Plane). Les points de code Unicode permettent également d’exécuter les opérations de recherche et remplacement. Par exemple, vous pouvez spécifier \uXXXX en entrée pour rechercher un caractère dont le point de code est XXXX. Ainsi, pour recherche la lettre « A », dont le point de code est u+0041, vous pouvez spécifier \u0041 dans la boîte de dialogue Chercher/Remplacer.

Un point de code est une valeur de l’espace de code Unicode. Celle-ci correspond à une plage d’entiers de 0 à 10FFFF16. Cette plage particulière est définie uniquement pour l’espace de codage de la norme Unicode. D’autres normes de codage de caractère utilisent parfois d’autres espaces de codage.

Vous pouvez également utiliser les caractères génériques lors de la recherche de texte Unicode.

Note: Dans les documents asiatiques contenant des caractères codés sur plusieurs octets, les caractères entre crochets [ ] ne sont pas des caractères génériques.
Parent topic: Rechercher


Recherche de caractères spéciaux et de symboles non imprimable

Découvrez la recherche d'un caractère spécial et d'un symbole non imprimable dans FrameMaker.

Vous pouvez rechercher tout type de texte, notamment des caractères uniques, des expressions et des caractères spéciaux ne se trouvant pas sur le clavier. Vous devez entrer la séquence de barre oblique inverse.

Par exemple, vous pouvez trouver des paragraphes vides en recherchant \P\p (le début d’un paragraphe suivi de la fin du paragraphe).

Vous pouvez utiliser la plupart de ces séquences pour effectuer une recherche et un remplacement (par exemple, le remplacement d’un symbole de retour forcé par un symbole de fin de paragraphe). Toutefois, vous ne pouvez pas effectuer de remplacement par une séquence de fin d’enchaînement, de début de paragraphe ou de mot ou de fin de mot.

Parent topic: Rechercher


Définir une balise personnalisée pour filtrer la recherche

Si une balise personnalisée a été définie dans la DTD, vous devez alors ajouter la balise dans le fichier tagsAndFilters.json.

Les trois conditions suivantes sur les balises qui peuvent affecter la recherche et donc vous devez ajouter des balises pour eux dans le fichier tagsAndFilters.json :
  1. WhitespaceHandlingOff : préserve les espaces blancs dans le WYSIWYG (par exemple, <codeblock>).
  2. TagsToIgnore : ignore les balises lors de la recherche (par exemple, <metadata> et <image>).
  3. BlockElements : Sépare chaque élément du bloc d'un autre en effectuant la recherche (par exemple, <p> et <div>).

Par exemple, si une nouvelle balise pour la gestion des espaces blancs désactivés a été définie dans xml:space preserve, vous devez ajouter la balise dans le fichier tagsAndFilters.json à l'emplacement suivant :

C:/Program Data/Adobe/FrameMaker/17/Preferences/xmlSearch/tagsAndFilters.json.

Parent topic: Rechercher


Configuration d’une expression régulière

Découvrez la configuration d’expression régulière dans FrameMaker.

FrameMaker utilise le moteur Boost pour RegEx. Pour plus d’informations sur Boost, voir le site http://www.boost.org/.

Vous pouvez saisir les expressions régulières à l’aide de la syntaxe suivante :

  • Perl (par défaut) : Voir Documentation Perl – Expressions régulières

  • Grep : voir Grep – Expressions régulières

  • Egrep : voir Egrep – Expressions régulières

Par défaut, vous utilisez la syntaxe d’expression régulière Perl pour écrire des expressions régulières dans FrameMaker. Cependant, pour utiliser la syntaxe d’expression régulière Grep ou Egrep, vous devez mettre à jour l’indicateur de syntaxe d’expression régulière (Regular Expression Syntax) dans le fichier maker.ini.

Parent topic: Rechercher


Exportation de texte et de graphiques

Découvrez comment exporter du texte et des graphiques dans Adobe FrameMaker.

Vous pouvez utiliser les techniques suivantes pour exporter du texte et des graphiques :

  • Copie et collage entre fichiers et applications

  • Enregistrement d’un document sous un autre format

  • Utilisation des options d’impression pour créer un fichier PostScript ou EPS

  • Création d’un fichier PDF (Portable Document Format)

  • Enregistrement au format HTML, pouvant convertir les graphiques d’un document au format GIF, PNG ou JPEG

  • Enregistrement au format XML

  • Envoi d’un document sous forme de pièce jointe d’un courrier électronique

  • Utilisation des techniques du glisser-déposer

Parent topic: Modification de contenu
Related information
  • Création de fichiers PostScript
  • Importation de fichiers Adobe Illustrator
  • Utilisation du glisser-déposer
  • Conversion de graphiques


Prise en charge du codage Unicode

Découvrez la rédaction dans plusieurs langues et la prise en charge d'Unicode dans FrameMaker, ainsi que l'utilisation de claviers tiers.

Dans ce sujet

  • A propos du codage Unicode

  • Unicode dans FrameMaker

  • Ajout d’un texte multilingue

  • Configuration de langues d’entrée

  • Utilisation d’applications clavier tierces

  • Utilisation de la palette Caractères

  • Utilisation de la palette Entrée hexadécimale

A propos du codage Unicode

Unicode est une norme industrielle permettant aux ordinateurs de représenter le texte dans la plupart des langues internationales de façon cohérente. Cette norme est implémentée par différents codages de caractère, tels que UTF-8, UTF-16 et UTF-32. FrameMaker prend en charge ces trois codages mais stocke les fichiers avec le codage UTF-8. Si vous importez des fichiers codés en UTF-16 ou UTF-32, FrameMaker les convertit automatiquement en UTF-8.

Dans le traitement du texte, Unicode attribue un numéro ou un point de code unique à chaque caractère d’une langue. La norme Unicode ne spécifie pas la police ou le rendu visuel de chaque caractère. Ceci est géré par l’intermédiaire des polices Unicode qui peuvent inclure le rendu visuel de milliers de caractères Unicode fournissant ainsi une police unique sur des documents multilingues.

Unicode dans FrameMaker

La norme Unicode est un système de codage de caractères conçu pour l’échange, le traitement et l’affichage de texte quels que soient la langue et le jeu de caractères utilisés. Le codage Unicode permet de créer des documents avec des caractères appartenant à plusieurs jeux de caractères et de les partager avec des utilisateurs situés dans des zones linguistiques ou géographiques différentes.

FrameMaker prend en charge le codage de texte Unicode pour la création, l’enregistrement, la modification et la publication de documents dans diverses langues, ainsi que la création de documents multilingues. Le texte Unicode est pris en charge dans les marqueurs, entrées de catalogue et boîtes de dialogue de FrameMaker. L’exportation au format PDF prend en charge le texte, les signets, les balises et les commentaires Unicode. Vous pouvez également importer ou copier du contenu Unicode depuis d’autres applications.

Le code Unicode attribue un numéro unique à chaque caractère, indépendamment de la langue ou du type d’ordinateur utilisé.

Portabilité

Les caractères alphabétiques et numériques restent inchangés lorsque vous transférez le fichier d’un poste de travail à un autre. L’ajout de contenu dans une langue étrangère à un document ne pose aucun problème, puisque les caractères étrangers possèdent leurs propres désignations et n’interfèrent pas avec le codage issu d’autres langues au sein du même projet.

Puissance

Les polices compatibles Unicode offrent un vaste choix de caractères potentiels, ce qui permet d’accéder immédiatement aux caractères spécialisés.

Souplesse

Grâce à la prise en charge Unicode, le remplacement d’une police au sein d’un projet n’entraîne plus le remplacement de certains caractères. En effet, dans une police compatible Unicode, le caractère g reste toujours un g, quelle que soit la police utilisée.

Ainsi, il est désormais possible pour une entreprise française d’effectuer des travaux pour un client établi en Corée, puis de transférer le projet à un partenaire basé aux Etats-Unis, sans avoir à se préoccuper de la compatibilité du texte des contenus. Il suffit que le rédacteur ou le concepteur active la langue correspondante dans le système d’exploitation, puis qu’il charge la police en langue étrangère et poursuive le projet.

  1. Pour permettre à votre ordinateur de créer du contenu dans des langues autres que l’anglais, démarrez l’ordinateur avec l’environnement linguistique UTF-8.

  2. Pour activer les dictionnaires ou les fonctions du Thésaurus, sélectionnez la langue de votre choix dans la barre de langues de l’éditeur IME de Windows.

  3. Tapez le contenu dans la langue que vous avez choisie.

Certaines fonctionnalités telles que la fonction Chercher/Remplacer, les marqueurs, les liens hypertexte et les entrées de catalogue, prennent en charge Unicode. Vous pouvez exporter au format PDF vos fichiers contenant des signets, des balises ou des commentaires Unicode. Vous pouvez également importer ou exporter du contenu Unicode depuis d’autres applications. En outre, grâce aux dictionnaires supplémentaires, vous pouvez créer du contenu dans un plus grand nombre de langues.

Ajout d’un texte multilingue

Il existe plusieurs manières de saisir des caractères dans Unicode dans un document. Vous pouvez définir la langue régionale ou le paramètre de version localisée sur la langue de votre choix. Vous pouvez également configurer et utiliser une disposition de clavier logiciel fournie par des modules externes tiers.

La présentation des claviers ne peut pas avoir des combinaisons de touches simples pour tous les caractères, c’est pourquoi FrameMaker fournit deux autres méthodes de saisie qui permettent d’accéder à l’ensemble complet de caractères Unicode. L’une est la palette hexadécimale qui vous permet de spécifier le point de code dans l’un des trois codages UTF. L’autre consiste à utiliser un mappage de caractères, qui est un tableau visuel qui répertorie tous les caractères Unicode disponibles dans la police sélectionnée.

Les systèmes d’exploitation Microsoft Windows XP Service Pack 2 (SP2) et Windows Vista® possèdent des paramètres régionaux et linguistiques. Ces paramètres permettent la configuration de nouvelles langues d’entrée. Ces paramètres linguistiques s’affichent dans la barre de langue du bureau. Après avoir sélectionné la langue de votre choix et configuré le clavier localisé, il vous suffit de saisir le texte souhaité dans le document. La présentation des claviers est définie par Microsoft.

Vous pouvez taper des mots dans la langue sélectionnée ou saisir les caractères Unicode appropriés.

Configuration de langues d’entrée

  1. Ouvrez le Panneau de configuration de l’ordinateur et cliquez deux fois sur l’icône Options régionales et linguistiques. La boîte de dialogue Options régionales et linguistiques s’affiche.

  2. Cliquez sur l’onglet Langues.

  3. Cliquez sur le bouton Détails. La boîte de dialogue Services de texte et langues d’entrée s’affiche.

  4. Cliquez sur l’onglet Paramètres, puis sur le bouton Ajouter. La boîte de dialogue Ajouter une langue d’entrée s’affiche.

  5. Sous Langue d’entrée, sélectionnez une langue.

  6. Cliquez sur OK. La langue sélectionnée est ajoutée à la liste Services installés.

  7. Sélectionnez la langue souhaitée dans la liste Langues d’entrée par défaut.

  8. Cliquez sur Appliquer, puis sur OK pour enregistrer les paramètres. Ensuite, fermez la boîte de dialogue Services de texte et langues d’entrée.

  9. Cliquez sur l’onglet Options régionales, puis choisissez la langue que vous avez sélectionnée dans la liste Langue d’entrée par défaut.

  10. Cliquez sur Appliquer, puis sur OK pour enregistrer les paramètres et fermer la boîte de dialogue Options régionales et linguistiques. La barre Langue ou l’Editeur IME s’affiche dans la zone de notification de l’ordinateur.

  11. Ouvrez FrameMaker, puis saisissez du texte. Celui-ci s’affiche désormais dans la langue sélectionnée.

Note: si vous choisissez une autre langue dans la liste Langue d’entrée par défaut et dans l’onglet Options régionales, la langue sélectionnée dans la barre de langue est automatiquement mise à jour.

Utilisation d’applications clavier tierces

Plusieurs applications tierces de configuration de claviers sont disponibles en plusieurs langues dans Windows. Lorsqu’une présentation de ce type est activée, la saisie dans FrameMaker s’effectue selon les tables de clavier définies par le logiciel tiers et toutes les définitions de touches sont respectées.

FrameMaker ne modifie en aucun cas les définitions de touches.

Utilisation de la palette Caractères

La palette Caractères répertorie tous les caractères Unicode dans les trois jeux de caractères.

Figure 1. Palette Caractères
Utilisation de la palette Caractères dans FrameMaker

A. Sélectionner la police B. Rechercher le caractère dans la police sélectionnée

  1. Placez le curseur à l’emplacement où vous souhaitez insérer le caractère dans votre document.

  2. Sélectionnez Fichier > Utilitaires > Palette de caractères.

  3. Sélectionnez la police prenant en charge la langue dans laquelle vous voulez effectuer la saisie. La palette Caractères affiche les caractères disponibles dans la police sélectionnée.

  4. Cliquez sur la zone contenant le caractère que vous souhaitez insérer. Utilisez la barre de défilement pour analyser la palette Caractères le cas échéant.

    Chaque point de code du caractère dans UTF-32, UTF-16 et UTF-8 s’affiche en bas de la palette Caractères.

  5. Si le caractère inséré dans votre document ne correspond pas à ce que vous avez sélectionné, assurez-vous que la police du document est identique à celle qui a été sélectionnée dans la palette Caractères.

  6. Cliquez à l’extérieur de la palette Caractères pour la faire disparaître.

Utilisation de la palette Entrée hexadécimale

La palette Entrée hexadécimale vous permet d’ajouter un caractère Unicode dans votre document en spécifiant son point de code.

Figure 2. Palette Entrée hexadécimale
Utilisation de la palette Entrée hexadécimale dans FrameMaker

A. Zone de saisie B. Zone d’affichage C. Cliquez sur UTF-32 pour changer le codage par défaut. D. Cliquez sur les flèches pour naviguer parmi les symboles.

  1. Placez le curseur à l’emplacement où vous souhaitez insérer le caractère dans votre document.

  2. Sélectionnez Fichier > Utilitaires > Entrée hexadécimale pour afficher la palette Entrée hexadécimale.

  3. Saisissez le numéro Unicode du caractère que vous souhaitez insérer. Le caractère correspondant s’affiche à droite.

  4. Pour naviguer parmi les jeux de caractères Unicode, cliquez sur UTF 32.

  5. Si vous ne trouvez pas le caractère que vous voulez insérer, cliquez sur les touches fléchées pour effectuer une recherche séquentielle ou sur le caractère pour afficher la palette Caractères.

    Par ailleurs, assurez-vous d’avoir sélectionné la police adéquate dans la palette Caractères. Le caractère correspondant à une valeur hexadécimale donnée change en fonction de la police sélectionné.

  6. Cliquez à l’extérieur de la palette Entrée hexadécimale pour la faire disparaître.

Parent topic: Modification de contenu


Prise en charge des langues asiatiques

Comprendre le support des langues asiatiques, les jeux de caractères et les méthodes de codage, les règles de composition et l'exportation dans d'autres langues asiatiques dans Adobe FrameMaker.

Adobe FrameMaker prend en charge le chinois simplifié, le chinois traditionnel et le coréen. Vous pouvez afficher, entrer, imprimer, rechercher et remplacer, importer et exporter un texte en chinois et en coréen.

Les sections suivantes décrivent les fonctionnalités chinoises et coréennes en détail.

  • Jeux de caractères et méthodes de codage
  • Saisie intégrée
  • Règles de composition
  • Polices asiatiques et occidentales combinées
  • Date et heure
  • Numérotation automatique
  • Tri d’index
  • Exportation de documents chinois, coréen, ou japonais au format HTML ou XML
  • FrameMaker structuré
  • Instruction et mots-clés MIF
  • Autres remarques
Parent topic: Modification de contenu


Jeux de caractères et méthodes de codage

Chinois simplifié

FrameMaker prend en charge le jeu de caractères GBK, qui est un sur-ensemble du jeu de caractères GB2312-80. Les versions en Chinois simplifié des systèmes Windows prennent en charge GBK. UNIX et Macintosh prennent en charge le jeu de caractères standard GB2312-80. Sous Windows, les caractères du jeu de caractères GBK sont codés dans la plage de codes 0x8140 - 0xFEFE. Sous Macintosh et UNIX, les caractères sont codés dans la plage 0xA1A1 - 0xFEFE. Parce que les caractères entre 0xA1A1 et 0xFEFE sont identiques sur toutes les plates-formes, les documents sont compatibles entre les plates-formes. Toutefois, si vous utilisez des caractères étendus dans GBK, ils apparaissent comme des caractères sans signification sous Macintosh et UNIX.

Chinois traditionnel

FrameMaker prend en charge le jeu de caractères Big5. Ces caractères sont codés dans la plage 0xA140 - 0xFEFE sous Windows et Macintosh. La version UNIX chinoise prend en charge un nombre supérieur de caractères (CNS11643-1992) dans des sept plans de codes. Les deux premiers plans de codes comprennent les mêmes caractères que dans le jeu de caractères Big5, bien que le mappage de codes soit différent. FrameMaker ne prend en charge que les deux premiers plans de codes sous UNIX. Si vous saisissez des caractères en plan de code 3 ou supérieur, ils apparaissent sous forme d’espaces dans FrameMaker. La version Chinois traditionnel du système d’exploitation UNIX utilise un codage EUC- CNS. FrameMaker fournit la conversion de codes entre Big5 et EUC-CNS.

Coréen

FrameMaker prend en charge le jeu de caractères de KSC 5601-1992. Ces caractères sont codés dans la plage de codes 0xA1A1 - 0xFEFE sous Windows, Macintosh et UNIX. Cette méthode de codage est appelée codage Wansung. La plupart des versions Windows contiennent des caractères Hangul supplémentaires (page de codes Windows 1361), appelées caractères Johab. Les caractères Johab n’étant pas communément utilisés et n’étant pas standards, les produits FrameMaker ne prennent pas en charge ces caractères. Si vous saisissez un caractère Johab, il peut se transformer en deux caractères distincts d’un seul octet sans signification.

Parent topic: Prise en charge des langues asiatiques


Saisie intégrée

Les jeux de caractères chinois et coréens contiennent des milliers de caractères, bien plus que les touches d’un clavier standard. Pour saisir ces milliers de caractères à partir d’un clavier standard, un processeur frontal (FEP), également appelé Editeur de méthode d’entrée (éditeur IME) est utilisé.

Les lettres romaines sont utilisées pour formater la prononciation phonétique ou pour formater le trait ou le graphisme des caractères chinois. Les caractères coréens sont généralement constitués en ligne en combinant les composantes Hangul de base appelées Jamo. FrameMaker prend en charge les méthodes de saisie (sur place) intégrées pour tout le texte. Cela signifie que vous pouvez saisir du texte chinois ou coréen directement dans des documents ou des boîtes de dialogue.

Dans l’Editeur d’équations, la méthode de saisie intégrée n’est pas disponible. Vous pouvez saisir un texte asiatique selon les méthodes de saisie de fenêtre en mode ligne inférieure ou racine. Pour plus d’informations sur l’insertion d’une chaîne de texte dans une équation, voir le chapitre sur les équations dans le Guide de l’utilisateur FrameMaker.

Parent topic: Prise en charge des langues asiatiques


Règles de composition

FrameMaker définit les règles de composition pour un texte chinois et coréen dans les tables Kumihan du fichier MIF (pour plus d’informations, voir le manuel en ligne de référence MIF). La spécification Kumihan définit la règle de saut de ligne et les règles d’espacement inter-caractères pour les caractères japonais. FrameMaker a implémenté des règles similaires pour les documents chinois et coréens.

Césure asiatique
Une règle permettant d’empêcher certains caractères de débuter une nouvelle ligne ou de terminer une ligne est définie dans la table Kumihan. Vous pouvez personnaliser la table Kumihan en modifiant la table dans MIF. Voir la section Tables Kumihan du manuel en ligne de référence MIF.
Paramètres d’espacement pour les caractères de ponctuation asiatiques
Les paramètres d’espacement pour les caractères de ponctuation asiatiques, crochets, etc. sont définis dans la zone de texte Ponctuation asiatique des Propriétés asiatiques de la Configuration de paragraphes.
Espacement entre mots occidentaux/asiatiques et espacement entre caractères asiatiques
Ces paramètres peuvent être définis dans Propriétés asiatiques de la Configuration de paragraphes.

Pour plus d’informations sur les paramètres d’espacement et de ponctuation, consultez le Guide de l’utilisateur FrameMaker.

Parent topic: Prise en charge des langues asiatiques


Polices asiatiques et occidentales combinées

Les polices combinées affectent deux polices de composant à un nom de police combinée. Ceci permet de gérer une police asiatique et une police occidentale bien qu’il ne s’agisse pas de la même famille de polices. Dans une police combinée, la police asiatique la police basse et la police Romain est la police occidentales. Pour plus d’informations, voir le Guide de l’utilisateur FrameMaker.

  • Si vous ouvrez un document en langue asiatique avec des polices combinées sur un système qui utilise une langue asiatique ou une langue occidentale différente, la police du composant occidental est utilisée dans tout le texte avec la police combinée. Le texte qui utilise la police du composant asiatique sera illisible. Si le document est ensuite enregistré et rouvert sur un système ayant sa langue d’origine, le texte occidental s’affiche correctement, mais les informations sur le texte asiatique d’origine sont perdues.

  • Si vous avez l'intention de déplacer vos documents dans différentes langues asiatiques, n’utilisez pas de caractères asiatiques pour le style des paragraphes ou des caractères, ni pour les noms de polices combinés. Sinon, il peut se produire une perte inattendue de données.

  • Lorsque vous créez un document, deux polices combinées sont prédéfinies dans le nouveau document. Les noms des polices combinées sont FMMyungjo et FMGothic pour le coréen, FMSongTi et FMHeiTi pour le chinois simplifié, et FMSungTi et FMHeiTi en chinois traditionnel. Les polices latines et asiatiques les plus communément utilisées sont attribuées en tant que polices de composant pour chacune des polices combinées.

Parent topic: Prise en charge des langues asiatiques


Date et heure

Aucune composante spécialisée n’est fournie pour les variables de date et heure. Le nom du jour et AM/PM sont affichés en chinois et coréen.

Les unités pour l’année, le mois, le jour, l’heure, et la minute sont traduites dans le modèle standard. Pour personnaliser les unités, voir le chapitre sur des variables dans le Guide de l’utilisateur FrameMaker.

Parent topic: Prise en charge des langues asiatiques


Numérotation automatique

Les caractères alphabétiques pleine largeur (alphabets occidentaux utilisant des polices asiatiques pleine largeur), les chiffres arabes et les chiffres chinois sont pris en charge pour la numérotation automatiques de paragraphe, la numérotation de page, et les numéros de notes de bas de page comme suit :

  • <full-width a> indique des caractères alphabétiques minuscules pleine largeur.

  • <full-width A> indique des caractères alphabétiques majuscules pleine largeur.

  • <full-width n> indique des chiffres arabes pleine largeur.

  • <chinese n> indique des chiffres chinois.

Parent topic: Prise en charge des langues asiatiques


Tri d’index

  • Chinois simplifié
  • Chinois traditionnel
  • Coréen
  • Langues asiatiques
Parent topic: Prise en charge des langues asiatiques


Chinois simplifié

Le tri d’index pour le chinois simplifié est basé sur la méthode pinyin de l’orthographe des caractères chinois à l’aide des caractères alphabétiques occidentaux. Cette méthode phonétique est basée sur le Mandarin. Il existe pratiquement 400 sons pinyin. Il est possible de placer quatre signes de tons sur six voyelles ; les signes de tons peuvent également être représentés par les nombres 1, 2, 3 et 4.

Voici quelques exemples de tri pinyin.

Mot chinois trié | Pinyin avec marques accentuées | Pinyin avec nombres
Exemple 1 du tri pinyin du mot chinois | línbíé | lin2bie2
Exemple 2 du tri pinyin du mot chinois | línzhong | lin2zhong1
Exemple 3 du tri pinyin du mot chinois | lìngwaì | ling4wai4

Les produits FrameMaker attribuent le son pinyin le plus communément à caractères chinois. Si l’affectation est incorrecte, vous pouvez spécifier le pinyin correct en le mettant entre crochets après le caractère chinois dans le texte du marqueur d’index. Vous devez utiliser des nombres pour représenter les signes de tons, comme dans l’exemple suivant :

[hang2lie4]
Exemple avec des numéros d’utilisation pour représenter les tonalités

Un nouveau mot-clé d'index, <$pinyin>, est ajouté au paragraphe SortOrderIX de la page de référence IX. Vous ne pouvez pas redéfinir l’ordre de tri.

Les titres de groupe pour les entrées d’index sont définis dans le paragraphe GroupTitlesIX de la page de référence IX. Dans les documents en chinois simplifié, les titres de groupe par défaut sont les mêmes que dans des documents en langue occidentale : symboles, numériques, et les lettres de A à Z.

Parent topic: Tri d’index


Chinois traditionnel

Dans FrameMaker, la méthode de tri de traits-radicaux est utilisée pour le tri d’index avec le chinois traditionnel. Avec cette méthode, le nombre de traits est utilisé comme critère principal et le type de conception du radical est utilisé comme clé de tri secondaire. L’ordre de tri des radicaux est basé sur le tableau des radicaux de Kangxi.

Un nouveau mot-clé d'index, <$stroke>, est ajouté au paragraphe SortOrderIX de la page de référence IX. Vous ne pouvez pas redéfinir l’ordre de tri.

Les titres de groupe pour les entrées d’index sont définis dans le paragraphe GroupTitlesIX de la page de référence IX. Dans les documents en chinois traditionnel, les titres de groupe par défaut sont les suivants :

Les titres de groupe par défaut dans un document en chinois traditionnel

Parent topic: Tri d’index


Coréen

La langue coréenne utilise des caractères (phonétiques) Hangul et des caractères (chinois) Hanja. Un caractère Hangul est une syllabe unique créée en combinant une consonne initiale, une voyelle médiane et, parfois une consonne finale ; le tri repose sur ces éléments dans l’ordre dans lequel ils apparaissent.

L’ordre de tri des consonnes Hangul se présente comme suit :

Ordre de tri des consonnes Hangul

L’ordre de tri des consonnes Hangul se présente comme suit :

Ordre de tri des voyelles Hangul

L’ordre de tri des caractères Hanja est déterminé par la prononciation. Pour spécifier le tri des caractères Hanja, ajoutez les caractères Hangul entre crochets après les caractères Hanja dans le texte du marqueur d’index, comme dans l’exemple suivant :

Spécification du tri des caractères Hanja

Les titres de groupe pour les entrées d’index sont définis dans le paragraphe GroupTitlesIX de la page de référence IX. Dans les documents en coréen, les titres de groupe par défaut sont les suivants :

Titres de groupe par défaut dans les documents en coréen

Un nouveau mot-clé d'index, <$hangul>, est ajouté au paragraphe SortOrderIX de la page de référence IX lors de la création de l'index. Vous pouvez spécifier votre propre ordre de tri des caractères Hangul en remplaçant <$hangul> par les caractères réels dans l’ordre dans lequel vous voulez les trier.

Parent topic: Tri d’index


Langues asiatiques

Les caractères et symboles européens accentués ne peuvent pas être utilisés avec les caractères chinois ou coréens parce que les mêmes valeurs de code sont utilisées pour représenter des caractères multi-octets.

Pour plus d’informations sur la génération de l’index, consultez le chapitre sur des tables des matières et les index du Guide de l’utilisateur FrameMaker.

Parent topic: Tri d’index


Exportation de documents chinois, coréen, ou japonais au format HTML ou XML

Le codage de caractères pour exporter du code HTML ou XML est déterminé par les paramètres de Codage de l’exportation et de Codage de l'exportation CSS du tableau Options HTML de la page de référence HTML ou XML. Pour obtenir des résultats optimaux, ces deux options doivent avoir les mêmes paramètres. Pour plus d’informations sur l’utilisation des langues asiatiques et occidentales dans des fonctions XML, voir le chapitre sur l’utilisation des documents structurés du Guide de l’utilisateur FrameMaker.

Les paramètres de codage par défaut sont :

  • Japonais : Shift_JIS

  • Coréen : EUC-KR

  • Chinois simplifié : EUC-CN

  • Chinois traditionnel : Big5

  • Autres langues : UTF-8

Outre les codages par défaut, vous pouvez spécifier d'autres codages tels que ISO-8859-1 (pour des systèmes de langues d’Europe occidentale) ou UTF-8 (pour Unicode).

Le tableau Options HTML permet également d'encoder des noms utilisés dans FrameMaker (EUC-CNS pour le chinois traditionnel, GB pour le chinois simplifié), dans FrameMaker structuré (JIS8_EUC pour le japonais, GB8_EUC pour le chinois simplifié, KSC8_EUC pour le coréen) et dans des attributs de jeux de caractères MIME (EUC-JP pour le japonais, EUC-TW pour le chinois traditionnel).

Les modèles standard japonais créent un fichier CSS avec des noms d’éléments japonais que certains navigateurs plus anciens pourraient ne pas reconnaître. Pour résoudre ce problème, enregistrez le fichier avec le codage Shift_JIS par défaut au lieu du codage UTF-8, utilisez un nom de style anglais, et utilisez un nom de police anglais pour la police japonaise si possible. Si vous modifiez des modèles chinois et coréens et que vous utilisez des noms de styles chinois et coréens, le même problème se posera. Pour résoudre ce problème, suivez les mêmes étapes que pour le japonais, en utilisant le codage par défaut approprié.

D’une manière générale, les noms de fichiers contenant des caractères multi-octets ne sont pas recommandés pour les fichiers HTML et XML.

Parent topic: Prise en charge des langues asiatiques


FrameMaker structuré

Vous pouvez importer et exporter des fichiers chinois et coréens SGML et XML avec FrameMaker structuré. Notez les points suivants :

  • Les noms multi-octets ne sont pas autorisés dans les noms d’attribut et d’éléments.

  • Les caractères multi-octets figurant dans des noms de variables ne peuvent pas être correctement convertis en codes SGML et XML.

Pour plus d’informations, voir le chapitre sur l’utilisation des documents structurés dans le Guide de l’utilisateur FrameMaker.

Parent topic: Prise en charge des langues asiatiques


Instruction et mots-clés MIF

Pour spécifier le codage utilisé lors de l'écriture d'instructions MIF sur des systèmes chinois et coréens, une instruction MIFEncoding est ajoutée en haut des fichiers MIF chinois et coréens :

  • Dans les systèmes chinois, la déclaration indique soit un codage traditionnel, soit un codage simplifié :

    <MIFEncoding 中文> #écrit à l’origine comme chinois traditionnel (Big5/EUC-TW)

    or

    <MIFEncoding 中文> #écrit à l’origine comme chinois simplifié

    Les deux caractères chinois dans la déclaration signifient « chinois ». La représentation hexadécimale pour ces deux caractères est A4A4 A4E5 dans Big5, C4E3 C5F3 dans EUC-TW et D6D0 CEC4 dans EUC-CN.

  • Dans les systèmes coréens, la déclaration est :

    <MIFEncoding 한국어> #écrit à l’origine comme coréen

    Les trois caractères coréens figurant dans l’instruction signifient « coréen ». Leur représentation hexadécimale est C7D1 B1B9 BEEE. Sur les systèmes chinois et coréen, quatre mots-clés MIF permettent de spécifier le style de numérotation des formats de numérotation automatique :

  • <FWLCAlpha> indique des caractères alphabétiques (occidentaux) minuscules pleine largeur.

  • <FWUCAlpha> indique des caractères alphabétiques majuscules pleine largeur.

  • <FWArabic> indique des chiffres arabes pleine largeur.

  • <ChineseNumeric> indique des chiffres chinois.

Voir Numérotation automatique pour les composants correspondants.

Parent topic: Prise en charge des langues asiatiques


Autres remarques

Note: Rubi est un système japonais permettant de représenter la prononciation des mots comme une chaîne de caractères phonétiques directement placée au-dessus du mot en question. Cette fonction est disponible, bien qu’elle soit rarement utilisée dans une composition de texte chinoise et coréenne.
Note: Lorsque vous créez un document en chinois ou en coréen ou que vous ouvrez un fichier texte chinois ou coréen à l’aide de la commande Fichier > Ouvrir, les paramètres de police et de langue sont correctement définis pour le chinois ou le coréen. Cependant, les documents générés à partir de ce fichier (par exemple, comparaison de documents, index, tables des matières, SGML, journal d’erreurs) utilisent les paramètres anglais, et peuvent ne pas afficher correctement les caractères asiatiques. Pour résoudre ce problème, remplacez les polices anglaises par des polices asiatiques si le document généré est modifiable.
Note: Si le document source utilise des polices combinées, n’insérez pas de références croisées avec du texte incluant des guillemets ouvrants/fermants. Les guillemets deviennent des caractères sans signification, et FrameMaker peut se bloquer si vous utilisez la commande Rechercher/Remplacer pour rechercher une référence croisée avec des guillemets ouvrants/fermants dans une police combinée.
Parent topic: Prise en charge des langues asiatiques


Formatages personnalisés

Découvrez les formatages personnalisés dans FrameMaker.

A propos des formatages personnalisés

Le formatage d’un document peut être fixé par les règles de formatage des définitions d’éléments et par des formats prédéfinis, stockés dans des catalogues. Il est possible de personnaliser le formatage d’un document à partir de ces deux sources d’information.

Règle de formatage personnalisées

Une règle de formatage personnalisée est une exception aux règles de formatage d’un élément texte. Par exemple, si ces règles spécifient un style de paragraphe pour un élément et que vous appliquez un format différent ou si ces règles spécifient un texte en gras et que vous le mettez en italique, vous personnalisez les règles de formatage de l’élément.

Format personnalisé

Un format personnalisé constitue une exception d’un format de catalogue de texte ou d’un tableau. Par exemple, dans un paragraphe dont le style fait appel à la police de caractères Times, si vous appliquez la police Palatino à une partie du texte (sans enregistrer cette modification dans le format), vous personnalisez le format. Les règles de formatage combinent souvent des formats de catalogue et des formats personnalisés afin de décrire les nombreuses variantes de formatage.

En général, évitez d’utiliser ces types de format personnalisés dans les documents structurés. Laissez le document prendre en charge automatiquement le formatage et consultez votre développeur pour toute modification éventuelle.

Si votre document contient des formatages personnalisés, vous pouvez les supprimer simultanément dans tout le document lors d’une importation et d’une mise à jour.

Important: si vous devez supprimer d’un document les deux types de format personnalisé, commencez par importer les formats et supprimer les formats personnalisés, puis importez les définitions d’éléments et supprimez les règles de formatage personnalisées. Vous aurez ainsi l’assurance que les éléments respectent leurs règles de formatage.

Recherche et suppression de formats personnalisés

Vous pouvez utiliser l’option Rechercher pour effectuer une recherche et supprimer les formats personnalisés de niveau paragraphe, caractère et tableau.

  1. Sélectionnez Modifier > Chercher.

  2. Dans la liste déroulante Trouver, sélectionnez Paragraphe, Caractère ou Format de tableaux personnalisé.

  3. Dans la liste déroulante Remplacer, sélectionnez Suppression personnalisée.

  4. Cliquez sur Rechercher.

  5. Pour chaque occurrence de format personnalisé, cliquez sur Remplacer pour supprimer le format personnalisé.

Parent topic: Modification de contenu
Related information
  • Importation de caractéristiques de formatage
  • Importation de formats dans des fichiers livre


Tableaux

Apprenez à travailler avec des tables dans Adobe FrameMaker.

Les tableaux fournissent une manière organisée et structurée de présenter votre contenu.

Dans FrameMaker, vous pouvez créer des tableaux à partir des formats de tableau prédéfinis ou créer vos propres formats personnalisés.

  • Styles de tableaux
    Découvrez les différents styles de tableaux d’Adobe FrameMaker et les caractéristiques de la Configuration de tableaux.
  • Texte et graphiques dans les tableaux
    Découvrez l’insertion de texte et de graphiques dans les tableaux Adobe FrameMaker.
  • Formatage des tableaux
    Découvrez comment vous pouvez formater des tableaux avec la configuration de tableaux et le catalogue de tableaux dans FrameMaker.
  • Tri des lignes et des colonnes d'un tableau
    Découvrez comment trier un tableau par lignes ou par colonnes dans Adobe FrameMaker.
  • Emplacement et espacement des tableaux
    Découvrez comment définir la position et l'espacement de tableaux dans Adobe FrameMaker.
  • Elargissement et rétrécissement de tableaux et de cellules
    Découvrez comment élargir et rétrécir des tableaux et des cellules dans FrameMaker.
  • Rotation de cellules et de tableaux
    Découvrez comment faire pivoter des cellules et des tableaux, et insérer un tableau pivoté dans une page contenant du texte non pivoté dans Adobe FrameMaker.
  • Insertion de sauts de page dans un tableau
    Découvrez comment insérer des sauts de page dans un tableau et définir le nombre minimum de lignes dans Adobe FrameMaker.
  • Insérer un tableau dans un document FrameMaker
    Découvrez comment insérer un tableau et identifier les types de variables d'un tableau dans Adobe FrameMaker.
  • Insertion d'un tableau dans un document FrameMaker structuré
    Découvrez comment insérer un élément de tableau dans des documents structurés dans Adobe FrameMaker.
  • Utilisation de tableaux dans des documents structurés
    Découvrez comment utiliser des tableaux dans des documents structurés, et apprenez-en plus sur les éléments, le formatage et la prise en charge de DITA dans FrameMaker.
  • Utilisation d'éléments de tableau non valides
    Découvrez comment utiliser un élément de tableau non valide dans Adobe FrameMaker.
  • Imbrication d’un tableau dans une cellule de tableau
    Découvrez comment imbriquer un tableau dans une cellule de tableau dans Adobe FrameMaker.
  • Copie, déplacement ou suppression d’un tableau
    Découvrez comment copier, déplacer ou supprimer un tableau dans Adobe FrameMaker.


Styles de tableaux

Découvrez les différents styles de tableaux d’Adobe FrameMaker et les caractéristiques de la Configuration de tableaux.

Les styles de tableaux contiennent des paramètres permettant de définir l’apparence des tableaux. Pour créer un tableau, vous devez définir son format, par exemple la largeur des bordures, l’ombrage, l’intitulé et le titre.

Le format d’un tableau détermine son aspect. Cela inclut notamment les caractéristiques suivantes :

  • Caractéristiques définies dans la boîte de dialogue Configuration de tableaux telles que l’emplacement, les marges des cellules, l’encadrement normal et l’ombrage normal d’un tableau et l’existence ou non d’un titre.

  • Trois types de caractéristiques par défaut :

    • le nombre de lignes courantes, de lignes d’intitulé et de lignes de bas de page

    • le nombre de colonnes

    • styles de paragraphe des cellules de titre, d’intitulé et de bas de page ainsi que des cellules courantes dans chaque colonne.

    Tous ces éléments sont disponibles lors de l’insertion d’un tableau. La modification des caractéristiques par défaut d’un format n’a pas d’incidence sur l’aspect des tableaux auxquels ce format est appliqué, mais sur celui d’un nouveau tableau vide que vous insérez.

Un nouveau tableau est toujours créé à partir des styles qui existent dans le document. Comme pour les styles de paragraphes et de caractères, les styles de tableaux sont le point de départ des nouveaux tableaux, de même que les composantes pour les nouveaux styles de tableau. Une fois le tableau inséré, vous pouvez personnaliser son format, par exemple en fusionnant ou en faisant pivoter toutes ses cellules ou en appliquant un encadrement ou un ombrage spécial aux cellules sélectionnées. Le formatage personnalisé n’étant pas enregistré comme un élément du style de tableau, il est conservé lorsque vous modifiez ou appliquez de nouveau un style de tableau.

Tip: Cliquez sur un tableau avec le bouton droit de la souris pour afficher le menu déroulant des tableaux. Vous pouvez également utiliser la barre d’accès rapide pour effectuer des opérations courantes sur les tableaux

Lorsque vous insérez un tableau, il est ancré au niveau du point d’insertion. Le symbole d’ancrage d’un tableau Symbole d'ancrage s’affiche si les symboles de texte sont visibles.

Structure de tableau dans FrameMaker

A. Titre du tableau B. Intitulé du tableau C. Corps du tableau D. Ligne de bas de tableau

Parent topic: Tableaux
Related information
  • Barres d’outils


Texte et graphiques dans les tableaux

Découvrez l’insertion de texte et de graphiques dans les tableaux Adobe FrameMaker.

Vous pouvez formater le texte d’une cellule de tableau comme vous formateriez le paragraphe d’une colonne de texte normale, en lui appliquant un style de paragraphe ou de caractère par exemple.

Chaque cellule de tableau peut contenir du texte et des cadres ancrés. Les cadres ancrés peuvent à leur tour contenir des graphiques ou d’autres tableaux. Lorsque vous saisissez du texte ou que vous insérez un cadre ancré dans une cellule, la hauteur de cette dernière s’adapte en conséquence.

Vous pouvez non seulement saisir du texte dans un tableau, mais aussi insérer des références croisées, des notes de tableau, des variables et des marqueurs. Le caractère de tabulation est le seul que vous insérez de façon particulière dans une cellule de tableau.

Vous pouvez copier, couper et coller le contenu des cellules dans n’importe quelle partie d’un document, comme vous le feriez pour du texte ou des graphiques. Des variables système spéciales vous permettent d’indiquer le texte « suite » dans les titres ou les lignes d’intitulé de tableaux à plusieurs pages.

Avec les documents structurés, vous pouvez saisir du texte dans la cellule en cours si l’indicateur <TEXTE> figure dans le catalogue Eléments. Vous avez également la possibilité d’insérer des notes, des références croisées et d’autres éléments relatifs au texte dans la cellule. Utilisez le Catalogue d’éléments pour vous guider.

  • Sélection de texte ou de cellules dans les tableaux
    Découvrez comment sélectionner du texte ou des cellules dans les tableaux Adobe FrameMaker.
  • Ajout ou suppression d’un titre de tableau
    Découvrez comment ajouter ou supprimer un titre de tableau dans Adobe FrameMaker.
  • Ajouter le texte « suite » à un tableau
    Découvrez comment ajouter le texte « suite » à des tableaux qui couvrent plusieurs pages dans FrameMaker.
  • Insertion de graphiques dans les cellules d’un tableau
    Découvrez comment insérer ou placer un graphique dans les cellules d'un tableau Adobe FrameMaker.
  • Conversion de texte en tableau et d’un tableau en texte
    Découvrez comment convertir un texte en tableau et un tableau en texte dans Adobe FrameMaker.
  • Habillage d’un tableau avec du texte
    Découvrez comment habiller un tableau avec du texte dans Adobe FrameMaker.
  • Positionnement et numérotation automatique du texte dans les cellules d'un tableau
    Découvrez comment positionner et numéroter automatiquement le texte dans les cellules d'un tableau, définir les marges des cellules et la direction de la numérotation automatique dans Adobe FrameMaker.
  • Modification du sens du texte dans un tableau
    Découvrez comment modifier le sens du texte dans un tableau Adobe FrameMaker.
Parent topic: Tableaux


Sélection de texte ou de cellules dans les tableaux

Découvrez comment sélectionner du texte ou des cellules dans les tableaux Adobe FrameMaker.

Dans ce sujet

  • Placement du point d’insertion dans une cellule de tableau

  • Sélection du contenu d’une cellule

  • Sélection d’une seule cellule

  • Sélection de plusieurs cellules

Placement du point d’insertion dans une cellule de tableau

Cliquez sur la cellule ou sur la gauche du fragment de texte de la cellule dans la Vue de la structure.

Note: Vous pouvez utiliser les touches fléchées pour vous déplacer vers la cellule requise. Vous pouvez également utiliser les touches fléchées pour entrer et sortir d’un tableau.

Sélection du contenu d’une cellule

Cliquez sur la cellule, puis appuyez sur Echaptha ou cliquez deux fois sur la bulle de la cellule dans la Vue de la structure. Vous pouvez également cliquer trois fois sur la cellule si elle contient seulement un paragraphe.

Sélection d’une seule cellule

  • Cliquez sur un tableau avec le bouton droit de la souris pour afficher le menu déroulant des tableaux. Choisissez Tableau >> Sélectionner > Sélectionner une cellule.

  • Appuyez sur la touche Ctrl et cliquez sur la cellule.

  • Dans des documents structurés, faites glisser le pointeur sur la limite de la cellule ou cliquez sur la bulle de la cellule dans la Vue de la structure.

Sélection de plusieurs cellules

  • Cliquez sur un tableau avec le bouton droit de la souris pour afficher le menu déroulant des tableaux. Vous pouvez accéder à Tableau > Sélectionner pour sélectionner une ligne, une colonne, le tableau, les lignes d’en-tête, les lignes de corps ou les lignes de pied-de-page.

  • Faites glisser le pointeur sur la limite des cellules et cliquez deux fois tout en maintenant la touche Maj enfoncée ou (documents structurés) cliquez sur la dernière cellule de la sélection tout en maintenant la touche Maj enfoncée.

  • Pour sélectionner une ligne entière, appuyez sur Echapthr ou faites glisser le pointeur sur les cellules de la ligne ou cliquez sur la bulle de la cellule dans la Vue de la structure.

    Tip: Si vous cliquez entre les éléments de parties de tableau (entre deux lignes par exemple) dans la Vue de la structure, le point d’insertion s’affiche dans la Vue de la structure, mais pas dans la fenêtre de document. Il est possible que des cellules contiguës sélectionnées dans la fenêtre du document n’apparaissent pas sous forme de bulles contiguës dans la Vue de la structure.

  • Pour sélectionner une colonne entière, appuyez sur Echapthc ou faites glisser le pointeur depuis une cellule d’intitulé jusqu’à la première cellule courante.

  • Pour sélectionner le tableau entier, appuyez sur Echaptht.

Parent topic: Texte et graphiques dans les tableaux
Related information
  • Navigation dans les tableaux


Ajout ou suppression d’un titre de tableau

Découvrez comment ajouter ou supprimer un titre de tableau dans Adobe FrameMaker.

Un titre de tableau s’affiche au-dessus ou en dessous du tableau et il se répète sur toutes les pages des tableaux à plusieurs pages. Le style d’un tableau permet d’en déterminer le type et certains aspects, l’ajout d’un titre, par exemple.

Lorsque vous insérez un tableau qui comporte un titre, une zone de texte vide délimite ce titre. Si un attribut de numérotation automatique a été défini pour le style de paragraphe du titre, le texte de numérotation automatique apparaît.

Figure 1. Titre centré au-dessous du tableau (gauche), titre numéroté automatiquement, aligné à gauche et au-dessus du tableau (droite)
Exemples de tableaux avec un titre centré sous le tableau et un titre numéroté automatiquement aligné au-dessus du tableau

Avec les documents structurés, la définition d’un élément de tableau indique parfois si le tableau doit avoir un titre ou non. Vous pouvez ajouter un titre à n’importe quel tableau, mais vous devez vérifier dans la Vue de la structure que le titre est bien valide dans ce tableau particulier. L’élément titre est toujours le premier élément enfant d’un tableau structuré, qu’il apparaisse en haut ou en bas du tableau.

Pour spécifier l'écart entre le tableau et le titre du tableau dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez dans le tableau et choisissez Tableau > Format > Configuration de tableaux.

  2. Dans les propriétés Fondamentales de la Configuration de tableaux, sélectionnez une option dans le menu déroulant Titre.

  3. Spécifiez l'écart entre le tableau et le titre dans la zone Écart.

  4. Cliquez sur Appliquer.

    Si le titre est numéroté automatiquement, le numéro (par exemple, Tableau 1) apparaît dans la cellule du titre. Saisissez le texte du titre.

Tip: Pour afficher le titre uniquement sur la première page d’un tableau à plusieurs pages, sélectionnez l’option d’emplacement Sans titre et utilisez un paragraphe courant comme titre. Afin que le titre soit toujours solidaire du tableau, assurez-vous que le symbole d’ancrage est inséré dans le texte du titre et que la caractéristique de tableau Début est définie sur Indéterminé.
Parent topic: Texte et graphiques dans les tableaux
Related information
  • Cadres ancrés


Ajouter le texte « suite » à un tableau

Découvrez comment ajouter le texte « suite » à des tableaux qui couvrent plusieurs pages dans FrameMaker.

Dans ce sujet

  • Introduction

  • Ajouter le texte « suite » à un tableau sélectionné

  • Ajouter le texte « suite » à plusieurs tableaux d’un document

Introduction

Dans un tableau sur plusieurs pages, vous pouvez inclure le texte « suite » spécifique dans le titre ou dans les lignes d’en-tête ou de pied de page. Votre document peut comporter des variables définies dans ce but (l’une indiquant (suite) par exemple et l’autre mentionnant le nombre de pages du tableau).

Ajout du texte « suite » dans le titre ou dans les lignes d’en-tête ou de pied de page d’un tableau

A. et C. Variable Page de tableau B. Variable Suite de tableau

Ajouter le texte « suite » à un tableau sélectionné

Pour ajouter le texte « suite » à un tableau sur plusieurs pages sélectionné dans Adobe FrameMaker, procédez comme suit :

  1. Sur la première page du tableau, cliquez sur le titre ou sur l'en-tête/pied de page dans lequel vous voulez insérer la variable ou l’élément de variable.

  2. Procédez de l’une des façons suivantes :

    • Cliquez deux fois sur la variable Suite de tableau ou Page de tableau à partir du panneau Variables.

    • Dans des documents structurées, sélectionnez un élément de variable pour le texte suite dans le catalogue Eléments, et cliquez sur Insérer.

    Sur la première page du tableau, la variable apparaît sous la forme d’un espace insécable Espace insécable. Sur les pages suivantes, c’est le texte de la variable, par exemple (suite), qui apparaît.

Ajouter le texte « suite » à plusieurs tableaux d’un document

Pour ajouter le texte « suite » à plusieurs tableaux dans Adobe FrameMaker, procédez comme suit :

  1. Pour inclure une suite de tableau et une variable de page à plusieurs tableaux dans le document actif, choisissez Tableau > Insérer des variables de tableau.

  2. Dans le boîte de dialogue Variables de tableau, choisissez le type de variable de tableau (suite ou page) à insérer.

Vous pouvez également sélectionner un format de tableau pour insérer les variables de tableau à tous les tableaux du document actif.

Parent topic: Texte et graphiques dans les tableaux


Insertion de graphiques dans les cellules d’un tableau

Découvrez comment insérer ou placer un graphique dans les cellules d'un tableau Adobe FrameMaker.

Dans ce sujet

  • Placement d’un graphique

  • Placement d’un graphique dans un document structuré

Placement d’un graphique

Vous pouvez adapter ces instructions si vous souhaitez positionner différemment le cadre ancré ou insérer un graphique dans une cellule qui contient du texte.

Note: Evitez d’utiliser des cadres ancrés rognés dans les cellules d’intitulé et de bas de page. Ils risquent de ne pas être rognés lorsque la cellule se répète sur les pages suivantes.

Pour positionner un graphique dans une cellule de tableau d'un document Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur le paragraphe de la cellule dans lequel vous voulez insérer le graphique.

  2. Procédez de l’une des façons suivantes :

    • Pour créer un cadre ancré dans lequel vous pouvez dessiner et qui soit ancré au niveau du point d’insertion, choisissez Insérer > Cadre ancré.

    • Pour créer un cadre ancré destiné à un graphique importé, choisissez Fichier > Importer > Fichier ou Insérer > Image pour importer le graphique.

  3. Si le cadre ancré est plus large que la cellule, redimensionnez la colonne.

    Tip: Pour redimensionner une colonne afin que sa taille corresponde au contenu d’une cellule, placez le point d’insertion dans une cellule qui possède la longueur de texte souhaitée et appuyez sur Echap+t+w.

  4. Si nécessaire, choisissez Graphiques > Organiser > Aligner pour centrer le graphique dans le cadre.

Placement d’un graphique dans un document structuré

Si les cellules de votre tableau acceptent les éléments graphiques, vous pouvez y dessiner ou y importer des graphiques. Un nouvel élément graphique peut être soit un cadre ancré vide à l’intérieur duquel vous pouvez dessiner, soit un cadre ancré contenant un graphique importé.

Pour positionner un graphique dans une cellule de tableau d'un document Adobe FrameMaker structuré, procédez comme suit :

  1. Cliquez sur la cellule, à l’endroit où vous voulez placer le graphique.

  2. Sélectionnez un élément graphique dans le catalogue Eléments et cliquez sur Insérer. La définition de l’élément détermine la boîte de dialogue qui s’affiche.

  3. Procédez de l’une des façons suivantes :

    • Si la boîte de dialogue Cadre ancré apparaît, sélectionnez Au point d’insertion dans la liste déroulante Position d’ancrage, puis cliquez sur Nouveau cadre.

    • Si la boîte de dialogue Importation de fichier s’affiche, sélectionnez le fichier à importer et cliquez sur Importer.

    Un cadre ancré apparaît dans la cellule et une bulle avec le fragment de texte <GRAPHIQUE> s’affiche dans la Vue de la structure.

  4. Si le cadre ancré est plus large que la cellule, redimensionnez la colonne.

    Tip: Pour redimensionner une colonne afin d’en afficher le contenu, sélectionnez la colonne et appuyez sur Echap+t+w.

  5. Si nécessaire, choisissez Graphiques > Organiser > Aligner pour centrer le graphique dans le cadre.

Parent topic: Texte et graphiques dans les tableaux
Related information
  • Cadres ancrés
  • Lignes et colonnes d'un tableau


Conversion de texte en tableau et d’un tableau en texte

Découvrez comment convertir un texte en tableau et un tableau en texte dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Conversion de texte en tableau

  • Conversion d’un fichier texte en tableau lors de l’ouverture du fichier

  • Conversion d’un fichier texte en tableau lors de l’importation du fichier

  • Retouche d’un tableau après la conversion

  • Conversion d’un tableau en texte dans FrameMaker

  • Conversion de tous les tableaux d’un document en texte

Introduction

Avec Adobe FrameMaker, vous pouvez convertir en tableau du texte qui se trouve dans votre document ou le texte d’un fichier texte lors de son ouverture ou de son importation. Dans un document structuré, le texte est enchaîné à une structure composée de tableau et d’éléments de tableau.

Après avoir converti un texte en tableau, il est parfois nécessaire de retoucher le nouveau tableau, en supprimant des cellules vides ou en fusionnant le texte réparti sur deux cellules ou plus. Dans la plupart des cas, vous pouvez modifier le tableau directement dans le document. Toutefois, si vous avez converti du texte importé par référence, les modifications doivent se faire dans le fichier source.

Vous pouvez convertir n’importe quel tableau en texte dans FrameMaker ou le copier en tant que texte dans une autre application. Vous pouvez en outre convertir simultanément tous les tableaux d’un document.

Dans des documents structurés, lorsque vous convertissez des tableaux en texte, l’enchaînement de tous les éléments de tableau, à l’exception des cellules, est supprimé. Convertissez les cellules en d’autres éléments ou effectuez d’autres modifications pour corriger la structure du document.

Conversion de texte en tableau

Pour convertir un texte en tableau dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez le texte à convertir.

  2. Sélectionnez Tableau > Convertir en tableau.

  3. Si vous travaillez dans un document structuré, choisissez un élément de tableau dans la liste déroulante Balise d’élément.

  4. Sélectionnez un style de tableau.

  5. Spécifiez le type de conversion des paragraphes en procédant de l’une des façons suivantes :

    • Pour convertir un texte dont les données sont séparées par des tabulations, cliquez sur Tabulations.

    • Pour convertir un texte dont les données sont séparées par des espaces, cliquez sur Espaces, puis entrez le nombre minimum d’espaces correspondant à une cellule distincte.

    • Pour convertir un texte dont les données sont séparées par d’autres caractères, cliquez sur Autre, puis entrez les caractères à utiliser pour séparer des cellules.

    • Pour convertir chaque paragraphe (comme ceux d’une liste à puces) en cellule, sélectionnez Une cellule et entrez le nombre de colonnes devant composer le tableau.

  6. Dans la zone de texte Lignes d’intitulé, entrez le nombre de lignes d’intitulé du nouveau tableau. Si les paragraphes à convertir ne comportent pas d’intitulé et que vous préférez les renseigner ultérieurement, sélectionnez Laisser les lignes d’intitulé vides.

  7. Cliquez sur le bouton Convertir.

Note: dans un document structuré, le style présélectionné d’un élément de tableau est modifiable sans que cela ne soit considéré comme une règle de formatage personnalisée.
Note: Lorsque vous travaillez sur des documents structurés, la Vue de la structure affiche des bulles pour les nouveaux éléments. Si la boîte de dialogue Attributs du nouvel élément s’affiche, entrez les valeurs des attributs pour l’élément tableau et cliquez sur Insérer l’élément.

Conversion d’un fichier texte en tableau lors de l’ouverture du fichier

Pour convertir un fichier texte en tableau dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez Fichier > Ouvrir, puis sélectionnez le fichier texte que vous souhaitez ouvrir.

  2. Si la boîte de dialogue Type de fichier indéterminé s’affiche, sélectionnez Texte, puis cliquez sur Convertir.

  3. Cliquez sur Convertir en tableau, puis sur Lecture.

  4. Suivez les instructions pour convertir du texte en tableau en commençant par l’étape 3.

Conversion d’un fichier texte en tableau lors de l’importation du fichier

Pour convertir un fichier texte en tableau dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur l’emplacement où vous voulez importer le fichier.

  2. Sélectionnez Fichier > Importer > Fichier, puis sélectionnez le fichier texte à importer ainsi que la méthode d’importation.

  3. Cliquez sur Convertir en tableau, puis sur Importer.

  4. Suivez les instructions pour convertir du texte en tableau en commençant par l’étape 3.

Tip: Pour fusionner un fichier texte avec un tableau existant, importez le fichier texte, puis convertissez-le en tableau. Copiez ensuite les lignes et collez-les dans le tableau existant.

Retouche d’un tableau après la conversion

Pour résoudre les problèmes après la conversion d'un texte en tableau, procédez comme suit :

  • Pour reconstituer un texte scindé sur deux lignes ou plus, coupez-le à partir des cellules du bas, puis collez-le dans la cellule du haut et supprimez les lignes en trop.

  • Pour compléter des colonnes à moitié vides, coupez le texte et collez-le aux emplacements appropriés, puis supprimez les colonnes en trop.

  • Pour résoudre des erreurs majeures, il est possible de revenir au texte d’origine (choisissez Edition > Annuler, le cas échéant), d’effectuer les modifications nécessaires (supprimer les tabulations superflues et les retours forcés par exemple), puis de reconvertir ce texte en tableau.

Tip: Pour reconstituer rapidement un texte réparti sur des cellules adjacentes, sélectionnez les cellules, choisissez Tableau > Fusionner, puis choisissez Tableau > Rediviser. Vous pouvez alors supprimer les lignes et les colonnes vides.

Conversion d’un tableau en texte dans FrameMaker

Pour convertir un tableau en texte dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur le tableau à convertir.

  2. Sélectionnez Tableau > Convertir en paragraphes.

  3. Cliquez sur Ligne par ligne ou sur Colonne par colonne, puis sur Convertir.

Figure 1. Conversion de tableau en texte
Conversion de tableau en texte dans FrameMaker

A. Ligne par ligne B. Colonne par colonne

Conversion de tous les tableaux d’un document en texte

Enregistrez le document au format Texte seulement et spécifiez le mode de conversion des tableaux.

Parent topic: Texte et graphiques dans les tableaux
Related information
  • Imbrication d’un tableau dans une cellule de tableau
  • Importation de texte non formaté


Habillage d’un tableau avec du texte

Découvrez comment habiller un tableau avec du texte dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Habillage d'un tableau dans un cadre ancré

  • Habillage d’un tableau avec du texte dans un cadre ancré (documents structurés)

  • Habillage d’un tableau qui reste fixe sur la page avec du texte

Introduction

Dans Adobe FrameMaker, un tableau directement ancré dans une colonne de texte ne peut pas être habillé avec du texte. Vous pouvez toutefois habiller de texte un tableau placé dans un cadre ancré ou une zone de texte qui n’est pas liée à l’enchaînement principal. Dans le cas de documents structurés, consultez le développeur de l’application pour savoir si celle-ci prend en charge l’habillage.

Lorsque vous déplacez le texte d’habillage d’un tableau, ce dernier ne se déplace en même temps que s’il figure dans un cadre ancré. S’il est situé dans une zone de texte non liée, le tableau reste à sa place et c’est un autre texte qui l’habille. Le tableau ne sera pas numéroté automatiquement par rapport aux autres tableaux de l’enchaînement principal.

Important: Le contenu d’un cadre ancré ou d’une zone de texte non connectée d'un document structuré ne fait pas partie de l’enchaînement structuré principal du document. Ils ne sont pas exportés vers XML par défaut. Si vous envisagez une exportation au format XML, consultez votre développeur d’applications afin d’éviter de perdre des données d'un tableau ne faisant pas partie de l'enchaînement principal.
Figure 1. Tableau dans un cadre ancré et tableau dans une zone de texte non connectée
Habillage d'un tableau dans un cadre ancré dans une zone de texte non connectée

Habillage d'un tableau dans un cadre ancré

Pour habiller un tableau dans un cadre ancré dans un document Adobe FrameMaker, procédez comme suit :

  1. Utilisez Insérer > Cadre ancré pour créer un cadre ancré dont la position d’ancrage est Insérer dans paragraphe.

  2. Dessinez une zone de texte dans le cadre ancré et placez-y le tableau.

Habillage d’un tableau avec du texte dans un cadre ancré (documents structurés)

Pour habiller un tableau dans un cadre ancré dans un document Adobe FrameMaker structuré, procédez comme suit :

  1. Cliquez sur le texte à l’endroit où vous voulez ancrer le tableau.

  2. Sélectionnez un élément graphique pour un cadre ancré vide dans le catalogue Eléments, puis cliquez sur Insérer.

    Vous pouvez également utiliser Insérer > Cadre ancré pour insérer un élément. Choisissez un élément cadre dans la liste déroulante Balise d’élément du panneau Cadre ancré.

  3. Choisissez Insérer dans paragraphe dans la liste déroulante Position d’ancrage, définissez la largeur et la hauteur du cadre, puis cliquez sur Nouveau cadre. Faites en sorte que le cadre soit légèrement plus grand que le tableau.

  4. Dessinez une zone de texte dans le cadre ancré. Choisissez Affichage > Barres d’outils > Barre d’outils graphiques, puis cliquez sur Placer une zone de texte Outil Placer une zone de texte dans FrameMaker. Faites glisser le pointeur pour dessiner le cadre, puis cliquez sur l’option Définir dans la boîte de dialogue qui s’affiche.

  5. Cliquez sur la zone de texte et choisissez Tableau > Insérer un tableau pour insérer un tableau non structuré.

Habillage d’un tableau qui reste fixe sur la page avec du texte

Pour habiller un tableau placé à une position fixe dans Adobe FrameMaker, procédez comme suit :

  1. Dessinez un cadre de texte directement sur une page et faites-le glisser à l’endroit où vous voulez le placer. Ce type de cadre de texte n’est pas lié à l’enchaînement principal.

  2. Sélectionnez Graphiques > Caractéristiques d’habillage, cliquez sur Habillage suivant cadre, puis sur Définir.

  3. Procédez de l’une des façons suivantes :

    • Avec les documents non structurés, insérez un tableau dans la zone de texte.

    • Avec les documents structurés, cliquez sur la zone de texte et choisissez Tableau > Insérer un tableau.

Parent topic: Texte et graphiques dans les tableaux


Positionnement et numérotation automatique du texte dans les cellules d'un tableau

Découvrez comment positionner et numéroter automatiquement le texte dans les cellules d'un tableau, définir les marges des cellules et la direction de la numérotation automatique dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Définition des marges par défaut des cellules

  • Personnalisation des marges de cellules ou de l’alignement du texte

  • Personnalisation des marges des cellules

  • Personnalisation de l’alignement vertical du texte dans une cellule

  • Modification du sens de la numérotation automatique dans un tableau

Introduction

Lorsque vous insérez un tableau, les marges de ses cellules (distance entre le bord et la zone de texte de la cellule) sont déterminées par son style. Les caractéristiques de retrait du texte d’une cellule, mesurées à partir des marges de la cellule, font partie du style de paragraphe du texte.

Figure 1. Marges de cellule définies par le style du tableau
Marges de cellule définies par le style du tableau

A. Marge gauche de la cellule B. Retrait gauche du paragraphe

Définition des marges par défaut des cellules

Pour définir les marges de cellule par défaut d’un tableau dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur le tableau à modifier et sélectionnez Tableau > Format > Configuration de tableaux.

  2. Dans l’onglet des caractéristiques de Base de la fenêtre Configuration de tableaux, entrez la valeur des marges supérieure, inférieure, gauche et droite dans la zone Marges cellules par défaut.

  3. Cliquez sur Appliquer.

Tip: Si vous souhaitez que le texte semble centré verticalement, définissez une marge supérieure plus importante que la marge inférieure. Par exemple, définissez une marge du haut de 5 points et une marge du bas de 3 points.

Personnalisation des marges de cellules ou de l’alignement du texte

Lorsque vous personnalisez les marges des cellules ou l’alignement du texte et que vous appliquez ultérieurement un autre style au tableau, ces marges de cellules personnalisées ne sont pas remplacées par les marges par défaut du nouveau style de tableau.

Etant donné que les marges de cellules et l’alignement du texte font partie d’un style de paragraphe, elles ne sont généralement pas enregistrées comme des éléments de style du tableau. En revanche, les styles de paragraphe du premier paragraphe de titre et du premier paragraphe des lignes d’intitulé et de bas de page, ainsi que des lignes courantes de chaque colonne y sont consignés. Vous pouvez personnaliser l’alignement de l’un de ces paragraphes, puis enregistrer le style de tableau dans le catalogue. Les tableaux ultérieurs utilisant ce style adopteront par défaut les paramètres personnalisés.

Personnalisation des marges des cellules

Pour personnaliser les marges de cellule d’un tableau dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur le premier paragraphe de la cellule dont vous voulez personnaliser les marges.

  2. Sélectionnez Format > Paragraphes > Configuration de paragraphes pour afficher la fenêtre Configuration de paragraphes.

  3. Choisissez Cellule de tableau dans la liste déroulante Caractéristiques.

  4. Dans la zone Marges cellules, spécifiez les marges que vous voulez personnaliser en procédant de l’une des façons suivantes :

    • Pour définir une marge en fonction de la marge de cellule par défaut, choisissez Du format de tableau, Plus dans la liste déroulante, puis entrez une valeur.

    • Pour définir une marge fixe mesurée à partir du bord de la cellule, choisissez Personnalisées dans la liste déroulante, puis entrez une valeur.

  5. Cliquez sur Appliquer.

Personnalisation de l’alignement vertical du texte dans une cellule

Pour personnaliser l'alignement vertical du texte dans une cellule de tableau dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur la cellule à personnaliser.

  2. Sélectionnez Format > Paragraphes > Configuration de paragraphes pour afficher la fenêtre Configuration de paragraphes.

  3. Choisissez Cellule de tableau dans la liste déroulante Caractéristiques, puis sélectionnez Haut, Milieu ou Bas dans la liste déroulante Alignement vertical cellule.

  4. Cliquez sur Appliquer.

Note: L’alignement vertical que vous appliquez à une cellule persiste, même en cas d’application d’un format de tableau différent à partir de la fenêtre Configuration de tableaux.

Modification du sens de la numérotation automatique dans un tableau

Lorsque vous insérez un tableau, le sens de la numérotation automatique des cellules (le long des lignes ou des colonnes) est déterminé par le format du tableau. Cette caractéristique définit également le sens de la numérotation automatique des notes de tableaux.

Dans Adobe FrameMaker, pour spécifier la direction de la numérotation automatique dans un tableau, procédez comme suit :

  1. Cliquez sur le tableau à modifier, puis choisissez Tableau > Format > Configuration de tableaux.

  2. Dans les propriétés Fondamentales de la Configuration de tableaux, sélectionnez Par ligne d’abord ou Par colonne d’abord dans la liste déroulante Numérotation.

  3. Cliquez sur Appliquer.

Parent topic: Texte et graphiques dans les tableaux


Modification du sens du texte dans un tableau

Découvrez comment modifier le sens du texte dans un tableau Adobe FrameMaker.

Par défaut, le texte dans un tableau hérite du sens (gauche à droite (GàD) or droite à gauche (DàG)) du document actif. Cependant, vous pouvez modifier le sens de chaque tableau dans le document.

Pour modifier le sens d’un tableau dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez dans le tableau.

  2. Sélectionnez Tableau > Format > Configuration de tableaux et ouvrez l’onglet Sens.

  3. Sélectionnez le sens dans la liste déroulante Sens.

  4. Pour modifier le sens du texte dans le tableau sélectionné, cliquez sur Appliquer.

    Sinon, pour modifier la sens du texte dans tous les tableaux du format de tableau actuel, sélectionnez Mettre à jour le style.

Parent topic: Texte et graphiques dans les tableaux


Formatage des tableaux

Découvrez comment vous pouvez formater des tableaux avec la configuration de tableaux et le catalogue de tableaux dans FrameMaker.

La fenêtre Configuration de tableaux et le Catalogue de tableaux peuvent être consultés à partir de Tableaux > Format et Affichage > Panneaux.

Des commandes supplémentaires pour formater et utiliser des tableaux sont disponibles à partir du menu Tableau.

En savoir plus sur le formatage de tableaux dans les sous-rubriques.

  • configuration de tableaux,
    Découvrez le formatage de tableaux et la Configuration de tableaux dans FrameMaker.
  • Catalogue de tableaux
    Découvrez comment appliquer ou modifier un format de tableau avec le Catalogue de tableaux dans Adobe FrameMaker.
  • Création, modification et suppression de styles de tableaux
    Découvrez comment créer, modifier et supprimer des styles de tableaux dans Adobe FrameMaker.
  • Encadrement et ombrage de tableau
    Découvrez comment définir l'encadrement et l’ombrage des tableaux dans Adobe FrameMaker.
  • Lignes et colonnes d'un tableau
    Découvrez comment utiliser des lignes et des colonnes de tableau dans Adobe FrameMaker.
  • Convertir les lignes du corps en lignes d'en-tête ou de pied de page
Parent topic: Tableaux


configuration de tableaux,

Découvrez le formatage de tableaux et la Configuration de tableaux dans FrameMaker.

La boîte de dialogue Configuration de tableaux et les commandes du menu Tableau permettent de modifier l’aspect d’un tableau, de créer de nouveaux formats de tableau et de modifier globalement les formats dans tout un document.

Dans ce sujet

  • Introduction

  • Utilisation de la Configuration de tableaux

  • Rétablissement des caractéristiques après avoir apporté des modifications dans la fenêtre Configuration de tableaux

Introduction

Dans la boîte de dialogue Configuration de tableaux, vous pouvez modifier les retraits, les marges des cellules, l’espacement, l’alignement, l’encadrement et l’ombrage du tableau. Vous pouvez également définir l’emplacement du titre, la numérotation et la position de départ du tableau. Le format du tableau détermine l’espace au-dessus et en dessous de ce dernier, ainsi que son alignement et ses retraits. Les autres caractéristiques de positionnement (fusion et habillage de texte) peuvent être définies tableau par tableau.

La fenêtre Configuration de tableaux comporte plusieurs commandes qui permettent de créer, modifier et personnaliser des formats de tableau. Cette fenêtre contient plusieurs groupes de caractéristiques qui s’affichent un par un. Le groupe des caractéristiques élémentaires est illustré ci-dessous.

Utilisation de la Configuration de tableaux

Pour afficher la boîte de dialogue Configuration de tableaux, sélectionnez Tableau > Format > Configuration de tableaux ou Affichage > Panneaux > Configurations de tableaux.

Figure 1. configuration de tableaux,
Configuration de tableaux dans Adobe FrameMaker
Réglages de base
Propriétés de paragraphe telles que le retrait, l’espacement et l’alignement.
Encadrement
Propriétés de trait pour les en-têtes, les pieds de page, les séparateurs, les lignes.
Ombrage
Propriétés d’ombrage pour les en-têtes, les pieds de page et le corps.
Sens
Spécifiez la direction du texte du tableau : telle quelle, hériter (par défaut), de droite à gauche, ou de gauche à droite.

Dans le champ Style du tableau de la boîte de dialogue Configuration de tableaux, choisissez un format de tableau, puis un groupe de propriétés. Dans la partie inférieure de Configuration de tableaux, vous pouvez modifier les caractéristiques du tableau. Après avoir apporté des modifications, cliquez sur Appliquer pour modifier l’apparence du tableau. Lorsque vous effectuez une modification de formatage qui ne correspond pas au format prédéfini du tableau, cette modification constitue un format personnalisé.

Si vous utilisez la boîte de dialogue Configuration de tableaux pour effectuer une modification du formatage qui ne correspond pas au format prédéfini du tableau, cette modification constitue un format personnalisé. Ce format personnalisé est annulé lorsque vous appliquez de nouveau le format prédéfini au tableau. Les modifications apportées au moyen des commandes du menu Tableau ne sont pas perdues.

Cliquez sur Appliquer à pour modifier la définition du format et modifier globalement l’aspect de tous les tableaux à l’aide de ce format.

Pour supprimer tous les formats personnalisés à partir du tableau, placez le curseur dans le tableau et cliquez sur le format de tableau souhaité à partir de catalogue de tableaux.

Note: Le bouton Mettre style à jour est utilisé uniquement pour effectuer un changement global, c’est-à-dire modifier le format du tableau et tous les tableaux du document qui ont le même format. Utilisez ce bouton avec précaution, car il permet de redéfinir un format.

Rétablissement des caractéristiques après avoir apporté des modifications dans la fenêtre Configuration de tableaux

  • Pour rétablir les caractéristiques afin qu’elles correspondent au tableau en cours, personnalisé ou non, cliquez dans le tableau ou sur Utiliser les paramètres de la sélection dans le menu contextuel Commandes dans Configuration de tableaux..

  • Pour rétablir les caractéristiques afin qu’elles correspondent au format du tableau enregistré, choisissez Définir toutes les propriétés sur leur valeur par défaut dans le menu contextuel Commandes de la boîte de dialogue Configuration de tableaux ou sélectionnez de nouveau le format dans la liste déroulante Style du tableau. Procédez ainsi même si l'élément est déjà affiché dans la zone de texte Style du tableau.

Parent topic: Formatage des tableaux
Related information
  • Gestion des formats
  • Catalogue de formats
  • Emplacement et espacement des tableaux


Catalogue de tableaux

Découvrez comment appliquer ou modifier un format de tableau avec le Catalogue de tableaux dans Adobe FrameMaker.

Le Catalogue de tableaux fonctionne exactement comme le Catalogue de paragraphes ou le Catalogue de caractères.

Pour appliquer ou modifier un style de tableau, procédez comme suit :

  • Sélectionnez Tableau > Format > Catalogue de tableaux pour ouvrir leCatalogue de tableaux.

  • Placez le curseur à l’intérieur d’un tableau ou sélectionnez une ou plusieurs cellules d’un tableau.

  • Cliquez sur le style souhaité dans le catalogue.

Le style est maintenant appliqué au tableau.

Parent topic: Formatage des tableaux


Création, modification et suppression de styles de tableaux

Découvrez comment créer, modifier et supprimer des styles de tableaux dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création d’un style de tableau

  • Modifiation d’un style de tableau

  • Suppression d’un style de tableau

  • Application d’un style différent à un tableau

  • Application d’un style à plusieurs tableaux

  • Redéfinition de styles de tableau

  • Modification des caractéristiques de plusieurs styles de tableaux

Introduction

Lors de la conception d’un modèle, vous pouvez renommer ou supprimer un style de tableau. Vous pouvez également renommer un style de tableau si vous souhaitez copier un catalogue entier à partir d’un modèle sans écraser aucun style.

La suppression d’un style d’un catalogue n’a aucune incidence sur les tableaux affichant le même style (les tableaux affichent simplement un style absent du catalogue). Si vous voulez modifier le style de ces tableaux, vous pouvez leur appliquer un style différent.

Création d’un style de tableau

Pour créer un style de tableau, procédez comme suit :

  1. Cliquez sur un tableau dont le format est similaire à celui que vous souhaitez créer. Plus ce format ressemblera à celui que vous voulez définir, moins vous aurez de modifications à apporter.

  2. Configurez les lignes et les colonnes en ajoutant ou en supprimant des lignes courantes, d’intitulé ou de bas de page et en ajustant les colonnes en conséquence.

  3. Dans la boîte de dialogue Configuration de tableaux, modifiez une ou plusieurs des caractéristiques du tableau.

    Toutes les caractéristiques des styles de tableau doivent être spécifiées. Un message d’alerte vous signale si certains des paramètres ne sont pas indiqués, ce qui vous permet d’y revenir et de modifier les caractéristiques Tel quel.

  4. Utilisez la Configuration de paragraphes pour créer ou modifier un ou plusieurs des styles de paragraphe suivants qui font partie intégrante du style de tableau :

    • style de paragraphe du titre,

    • premier paragraphe dans chaque cellule de la ligne d'intitulé,

    • premier paragraphe dans chaque cellule des lignes courantes,

    • premier paragraphe dans chaque cellule des lignes de bas de page.

  5. Lorsque l’aspect du tableau vous convient, saisissez le nom de ce nouveau style dans la zone Style.

  6. Cliquez sur Créer un style.

Modifiation d’un style de tableau

Pour modifier un style de tableau, procédez comme suit :

  1. Cliquez sur le tableau dont vous voulez modifier le format.

  2. Dans la Configuration de tableaux, sélectionnez le style que vous voulez modifier dans la liste déroulante Style du tableau.

    Procédez ainsi même si cela revient à sélectionner le style actuellement affiché. Le fait de sélectionner un style dans la liste déroulante garantit que ce sont bien les caractéristiques de format enregistrées et non celles des formats personnalisés qui s’affichent.

  3. Cliquez sur Mettre à jour le style.

Suppression d’un style de tableau

Pour supprimer un style de tableau, procédez comme suit :

  1. Dans le Catalogue de tableaux, cliquez sur Supprimer.

  2. Sélectionnez le style dans la liste de sélection et cliquez sur Supprimer. Vous pouvez, le cas échéant, supprimer d’autres styles.

  3. Cliquez sur OK.

Application d’un style différent à un tableau

Lorsque vous appliquez un style de tableau différent, seules les caractéristiques associées aux styles de tableau changent. Autrement dit, toutes les caractéristiques que vous avez personnalisées (largeur des colonnes, nombre de lignes et de colonnes, paramètres du menu Tableau) ne sont pas affectées.

Le style d’un élément de tableau suggère un format de tableau particulier, mais vous pouvez appliquer un style différent si vous le souhaitez, soit lors de l’insertion du tableau, soit ultérieurement, sans que cette modification ne soit considérée comme une règle de formatage personnalisée. Si vous supprimez la règle de formatage personnalisée du document, le tableau ne reprend pas son format d’origine. Si un document structuré n’a pas de style qui répond à vos besoins, le développeur de l'application structurée doit redéfinir un style ou en créer un nouveau.

Important: si le nouveau style ajoute un titre au tableau alors que ses règles de contenu ne l’autorisent pas, le titre n’est pas valide.
Figure 1. Tableau avec ancien style (gauche) et nouveau format (droite) ; rotation des cellules conservée
Application d’un style différent à un tableau

  1. Cliquez dans le tableau.

  2. Sélectionnez Tableau > Format > Configuration de tableaux.

  3. Choisissez le style dans la liste déroulante Style, puis cliquez sur Appliquer.

Application d’un style à plusieurs tableaux

Vous pouvez appliquer un style à tous les tableaux d’un document, à tous les tableaux avec un style différent dans une sélection ou à tous les tableaux porteurs d’un style particulier. Vous pouvez par exemple appliquer le format B à tous les tableaux actuellement étiquetés format A.

  1. Sélectionnez les tableaux en procédant de l’une des façons suivantes :

    • Pour appliquer un style à tous les tableaux du document, cliquez sur n’importe quel tableau.

    • Pour appliquer un style à plusieurs tableaux du document mais pas à tous, sélectionnez des tableaux ou des éléments de tableau consécutifs. Pour sélectionner plusieurs tableaux, vous devez sélectionner leur symbole d’ancrage.

  2. Sélectionnez Tableau > Format > Configuration de tableaux.

  3. Choisissez le style à appliquer dans la liste déroulante Style du tableau, puis sélectionnez Options de mise à jour globale dans la liste déroulante Commandes.

  4. Sélectionnez les tableaux à reformater en procédant de l’une des façons suivantes :

    • Pour attribuer une nouvelle balise à tous les tableaux du document, cliquez sur Tous les tableaux et entrées de catalogues.

    • Pour attribuer une nouvelle étiquette aux tableaux de la sélection, ainsi qu’à tous ceux possédant le même style, sélectionnez Toutes étiquettes correspondantes dans la sélection.

    • Pour attribuer une nouvelle balise à tous les tableaux affichant un style spécifique, choisissez un style dans la liste déroulante Formats étiquetés.

  5. Sélectionnez Toutes caractéristiques dans la zone Utiliser les caractéristiques de la configuration du tableau et cliquez sur Mettre à jour.

Redéfinition de styles de tableau

Pour modifier un style de tableau, vous devez redéfinir tout d’abord les caractéristiques du tableau, puis adapter en conséquence le style correspondant.

Les caractéristiques appliquées au style incluent celles définies dans la boîte de dialogue Configuration de tableaux ainsi que les paramètres par défaut non définis dans cette Configuration de tableaux, par exemple, les styles de paragraphe par défaut.

En outre, les caractéristiques définies dans la boîte de dialogue Configuration de tableaux (mais pas celles par défaut qui ne sont pas modifiées dans cette Configuration de tableaux) sont appliquées aux tableaux existants du document qui affichent le même style.

Tip: Si vous modifiez des caractéristiques dans la fenêtre Configuration de tableaux, puis décidez de ne pas mettre à jour le style, vous pouvez annuler l’opération et rétablir les caractéristiques en cliquant simplement sur le texte.

Pour redéfinir un style de tableau, procédez comme suit :

  1. Cliquez sur le tableau dont vous voulez redéfinir le style, et sélectionnez Tableau > Format > Configuration de tableaux. Si le tableau sur lequel vous avez cliqué contient des formats personnalisés, ces formats (et non la définition du style) apparaissent dans la fenêtre Configuration de tableaux.

  2. Pour baser le format modifié sur le style, sans aucun paramètre personnalisé, choisissez le style dans la liste déroulante Style du tableau, même si celui que vous voulez est déjà affiché dans la zone Style du tableau.

  3. Procédez comme suit :

    • Utilisez la boîte de dialogue Configuration de tableaux, modifiez les paramètres des caractéristiques Basique, Trait d’encadrement ou Ombrage.

    • Modifiez l’une des caractéristiques par défaut telles que le nombre de lignes et de colonnes, la largeur des colonnes et le style de paragraphe du titre et du premier paragraphe de chaque colonne. Ces caractéristiques sont disponibles lorsque vous insérez un tableau vide pour la première fois.

  4. Cliquez sur Mettre à jour le style. Si l’un des tableaux en cours de mise à jour contient des paramètres personnalisés, un message d’alerte vous demande si vous voulez les supprimer.

Modification des caractéristiques de plusieurs styles de tableaux

Vous pouvez modifier simultanément les caractéristiques définies de plusieurs styles de tableaux. Vous pouvez par exemple remplacer le centrage dans tous les styles de tableaux par un alignement à gauche.

Pour modifier des caractéristiques de plusieurs styles de tableaux, procédez comme suit :

  1. Sélectionnez les tableaux dont vous voulez redéfinir les styles en procédant de l’une des façons suivantes :

    • Pour redéfinir un style de tableau ou tous les styles de tableau du document, cliquez sur n’importe quel tableau.

    • Pour redéfinir plusieurs styles de tableau du document (mais pas tous), sélectionnez des tableaux consécutifs dont les styles sont à redéfinir. Pour sélectionner plusieurs tableaux, sélectionnez leur symbole d’ancrage.

  2. Dans la boîte de dialogue Configuration de tableaux, affichez le groupe de propriétés à partir duquel vous voulez appliquer une ou plusieurs propriétés.

  3. Dans des documents structurés, si la zone Style du tableau n’est pas vide, supprimez le style qui y figure. La suppression du nom du style définit la zone sur Tel que, indiquant à FrameMaker de ne pas modifier les styles des formats à mettre à jour.

  4. Modifiez les caractéristiques appropriées.

  5. Choisissez Options de mise à jour globale dans la liste déroulante Commandes.

  6. Choisissez les styles de tableau auxquels appliquer les caractéristiques.

  7. Cliquez sur le groupe de caractéristiques actif dans la zone Utiliser les caractéristiques de la configuration du tableau, puis sur Mettre à jour. Si l’un des tableaux en cours de mise à jour contient des paramètres personnalisés, un message d’alerte vous demande si vous voulez les supprimer.

FrameMaker applique les caractéristiques aux styles du Catalogue de tableaux que vous avez spécifiés et à tous les tableaux du document avec le même style.

Parent topic: Formatage des tableaux
Related information
  • Lignes et colonnes
  • Emplacement et espacement des tableaux
  • Ajout ou suppression d’un titre de tableau
  • Encadrement et ombrage
  • Utilisation de tableaux dans des documents structurés


Encadrement et ombrage de tableau

Découvrez comment définir l'encadrement et l’ombrage des tableaux dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Définition d’un encadrement et d’un ombrage dans un style de tableau

  • Gestion des styles d’encadrement d'un tableau

  • Création ou modification d'un style d'encadrement d'un tableau

  • Suppression d’un style de trait de tableau

  • Gestion de l’ombrage et de l’encadrement personnalisé dans des tableaux

  • Affichage des paramètres actuels d'ombrage et de trait d'encadrement d’une ligne, d’une colonne ou d’une cellule de tableau

Introduction

Lorsque vous insérez un tableau, ses traits d’encadrement normaux et ses ombrages sont déterminés par son style. La boîte de dialogue Configuration de tableaux permet de modifier les caractéristiques d’encadrement ou d’ombrage d’un style pour des tableaux spécifiques auxquels il est appliqué.

L’encadrement et l’ombrage personnalisés ne se limitent pas à des lignes ou des colonnes entières et ne font pas partie du style du tableau. Si vous personnalisez l’encadrement et l’ombrage d’une cellule, puis appliquez ultérieurement un autre style à ce tableau, ces paramètres personnalisés ne sont pas remplacés par ceux du nouveau style.

Définition d’un encadrement et d’un ombrage dans un style de tableau

Pour définir un encadrement et un ombrage dans un style de tableau, procédez comme suit :

  1. Cliquez sur le tableau à modifier et sélectionnez Tableau > Format > Configuration de tableaux.

  2. Vous pouvez effectuer ou combiner les opérations suivantes :

    • Dans le groupe de caractéristiques Encadrement de la boîte de dialogue Configuration de tableaux, définissez les traits d’encadrement de colonne, de ligne courante, d’intitulé et de bas de page ainsi que des bords extérieurs.

    • Dans le groupe de caractéristiques Ombrage de la boîte de dialogue Configuration de tableaux, spécifiez l’ombrage des lignes d’intitulé et de bas de page ainsi que celui des lignes et des colonnes courantes. Vous pouvez avoir deux nuances de couleurs différentes pour l'en-tête et le pied de page.

  3. Cliquez sur Appliquer.

Gestion des styles d’encadrement d'un tableau

Vous pouvez définir de nouveaux styles de trait (par exemple, Double, Epais ou Fin) et modifier ou supprimer les styles prédéfinis. Si vous modifiez un style de trait, la modification s’applique à la fois aux traits normaux et personnalisés régis par ce style.

Tip: Lorsque vous modifiez des styles de trait, il est possible d’augmenter le facteur de zoom, afin de pouvoir distinguer les légères différences d’épaisseur de trait.

Création ou modification d'un style d'encadrement d'un tableau

Pour créer ou modifier un style d'encadrement d'un tableau, procédez comme suit :

  1. Sélectionnez Tableau > Ombrage et trait personnalisés. Le panneau Ombrage et trait personnalisés s'affiche :

    Figure 1. Panneau Ombrage et trait personnalisé
    Panneau Ombrage et trait personnalisés dans Adobe FrameMaker

  2. Sélectionnez un style à modifier dans la liste déroulante Appliquer style de trait ou, si vous créez un nouveau style, sélectionnez-en un similaire à celui que vous voulez créer.

  3. Cliquez sur Modifier style de trait... La boîte de dialogue Modifier style de trait... s'affiche :

    Figure 2. Boîte de dialogue Modifier style de trait
    Boîte de dialogue Modifier style de trait dans Adobe FrameMaker.

  4. Choisissez une couleur, un motif de trait et entrez la largeur du style.

  5. Sélectionnez Simple ou Double pour choisir des lignes simples ou doubles. Si vous sélectionnez Double, spécifiez une valeur pour la gouttière séparant les lignes.

  6. Si vous créez un nouveau style, entrez un nom dans la zone de texte Nom et cliquez sur Définir.

Suppression d’un style de trait de tableau

Pour supprimer un style de trait de tableau, procédez comme suit :

  1. Sélectionnez Tableau > Format > Ombrage et trait personnalisés.

  2. Sélectionnez le style que vous voulez supprimer dans la liste déroulante Appliquer style de trait.

  3. Cliquez sur Modifier style de trait. La boîte de dialogue Modifier style de trait s'affiche. Cliquez sur Supprimer. Si ce style définissait l’encadrement standard d’un tableau, aucun encadrement ne sera utilisé. S’il était utilisé comme encadrement personnalisé dans un tableau, l’encadrement standard est rétabli.

Gestion de l’ombrage et de l’encadrement personnalisé dans des tableaux

L’ombrage personnalisé d’un tableau n’est pas enregistré comme un élément du style de tableau. Partout où le style et les réglages personnalisés sont en conflit, les paramètres personnalisés prévalent.

  1. Sélectionnez les cellules, les lignes ou les colonnes à personnaliser.

  2. Sélectionnez Tableau > Ombrage et trait personnalisés.

  3. Procédez de l’une des façons suivantes :

    • Spécifiez un pourcentage de fond et une couleur pour l’ombrage.

    • Sélectionnez un style de trait personnalisé. La liste de sélection affiche les styles de trait prédéfinis du document.

    • Choisissez Du tableau pour supprimer l’ombrage personnalisé.

  4. Pour éviter les modifications involontaires, désactivez Ombrage et trait personnalisés et cliquez sur Appliquer.

Affichage des paramètres actuels d'ombrage et de trait d'encadrement d’une ligne, d’une colonne ou d’une cellule de tableau

Pour afficher les paramètres actuels d'ombrage et de trait d'encadrement d’une ligne, d’une colonne ou d’une cellule de tableau, procédez comme suit :

  1. Sélectionnez les lignes, colonnes ou cellules que vous souhaitez analyser.

  2. Sélectionnez Tableau > Ombrage et trait personnalisés, puis cliquez sur Montrer les paramètres en cours.

  3. Passez en revue les paramètres, puis cliquez sur Terminé.

Dans la boîte de dialogue qui s’affiche, la mention Mélangé indique que les lignes/colonnes/cellules sélectionnées utilisent plusieurs styles de trait d’encadrement, de fonds ou de couleurs personnalisés. La mention Du tableau signifie que les cellules sélectionnées utilisent le trait d'encadrement et l’ombrages par défaut définis dans le style de tableau.

Parent topic: Formatage des tableaux


Lignes et colonnes d'un tableau

Découvrez comment utiliser des lignes et des colonnes de tableau dans Adobe FrameMaker.

Vous pouvez ajouter, supprimer, copier, déplacer ou redimensionner des lignes et des colonnes d'un tableau à l'aide des commandes de tableau de FrameMaker, et les copier et coller en utilisant le Presse-papiers ou en les faisant glisser.

Vous pouvez trier les lignes et les colonnes par nombre ou par lettre. Vous pouvez trier par date ou par heures, à condition que ces informations soient entrées comme du texte.

Note: avec les documents structurés, l’ajout de lignes ou de colonnes risque de remettre en question la validité de la structure du tableau. Par exemple, si un tableau est configuré pour contenir uniquement trois colonnes, il deviendra non valide si vous en ajoutez une quatrième. Il est préférable d’utiliser le Catalogue d’éléments pour l’ajout de lignes d’intitulé et de bas de page, car ce nombre de lignes est souvent limité en fonction du tableau.
Dans ce sujet

  • Ajout d’une ligne ou d’une colonne

  • Ajout d’une ligne à l’aide du Catalogue d’éléments (documents structurés)

  • Ajout d'une ligne sous la ligne en cours

  • Suppression d’une ligne ou d’une colonne

  • Copie ou déplacement des lignes ou des colonnes

  • Réorganiser les lignes ou les colonnes

  • Redimensionnement une colonne en faisant glisser

  • Spécification d’une largeur de colonne précise

  • Copie et collage d’une largeur de colonne

  • Redimensionner une ligne en faisant glisser

  • Réglage de la hauteur d’une ligne

  • Affectation de la même hauteur à toutes les lignes

Ajout d’une ligne ou d’une colonne

  1. Cliquez sur une cellule du tableau qui jouxte l’endroit où vous voulez ajouter la ligne ou la colonne.

  2. Sélectionnez Tableau > Ajouter lignes ou colonnes. La boîte de dialogue Ajouter lignes ou colonnes s’affiche.

    Figure 1. Boîte de dialogue Ajouter lignes ou colonnes
    Boîte de dialogue Ajouter lignes ou colonnes

  3. Indiquez le nombre de lignes ou de colonnes à ajouter ainsi que l’endroit où vous voulez les insérer.

  4. Cliquez sur Ajouter.

Les cellules des nouvelles lignes ou colonnes possèdent les mêmes caractéristiques que la ligne ou la colonne en cours.

Ajout d’une ligne à l’aide du Catalogue d’éléments (documents structurés)

  • Cliquez à l’endroit où vous voulez ajouter la ligne dans la Vue de la structure, sélectionnez un élément ligne dans le catalogue Eléments, puis cliquez sur Insérer.

Ajout d'une ligne sous la ligne en cours

  • Appuyez surCtrl+Entrée.

    La nouvelle ligne possède les mêmes caractéristiques que la ligne précédente.

    Si le point d’insertion se trouve dans la dernière cellule de la dernière ligne, appuyez sur la touche tab pour créer une nouvelle ligne à la fin du tableau.

Suppression d’une ligne ou d’une colonne

  1. Sélectionnez les lignes ou les colonnes à supprimer en veillant à les sélectionner dans leur intégralité, pour éviter que le contenu de leurs cellules ne soit supprimé sans demande de confirmation.

  2. Appuyez sur la touche Suppr et cliquez sur Effacer cellules du tableau, puis sur Supprimer.

Vous pouvez également utiliser les méthodes suivantes pour supprimer une ligne ou une colonne :

  • Placez le curseur de votre souris sur la ligne ou la colonne à supprimer, puis cliquez sur Supprimer ligne ou Supprimer colonne dans la barre d'outils du tableau (Affichage > Barres d'outils > Formatage de tableau).

  • Cliquez avec le bouton droit sur la ligne ou la colonne du tableau à supprimer, puis choisissez Tableau > Supprimer la ligne ou Supprimer la colonne dans le menu contextuel.

  • Placez le curseur de la souris sur la ligne ou la colonne à supprimer, puis utilisez la séquence de touches d'échappement Echap, T, R, D pour supprimer la ligne, ou Echap, T, C, D pour supprimer la colonne.

Copie ou déplacement des lignes ou des colonnes

Utilisez la menu Edition :

  1. Sélectionnez les lignes ou les colonnes, puis procédez de l’une des façons suivantes :

    • Pour les copier, choisissez Edition > Copier.

    • Pour les déplacer, choisissez Edition > Couper, cliquez sur Effacer cellules du tableau, puis cliquez sur Couper.

  2. Cliquez à l’endroit où vous voulez insérer les lignes et les colonnes, puis choisissez Edition > Coller. Vous pouvez les insérer à côté de la ligne ou de la colonne en cours ou remplacer cette ligne ou cette colonne.

Si vous remplacez les lignes ou les colonnes d'un tableau, les cellules du Presse-papiers remplacent les lignes ou des colonnes actuelles selon les règles suivantes :

  • Si le nombre de lignes ou de colonnes dans le Presse-papiers correspond à celui des lignes et des colonnes sélectionnées, le nombre exact de lignes ou de colonnes sélectionnées est remplacé.

  • Si le nombre de lignes ou de colonnes dans le Presse-papiers est supérieur à celui des lignes ou des colonnes sélectionnées, seules celles qui tiennent dans la zone sélectionnée sont collées.

  • Si le nombre de lignes ou de colonnes dans le Presse-papiers est inférieur à celui des lignes ou des colonnes sélectionnées, le contenu du Presse-papiers est collé autant de fois que nécessaire pour remplir toutes les lignes et les colonnes.

Tip: Pour diviser un tableau, coupez ses lignes et ses colonnes et collez-les à l’emplacement où vous voulez créer un nouveau tableau. Pour combiner deux tableaux, coupez les lignes et les colonnes d’un tableau et collez-les dans l’autre.

Utilisation de la fonction glisser-déposer:

  1. Sélectionnez une ou plusieurs lignes ou colonnes à déplacer.

  2. Faites glisser les lignes ou les colonnes à l’emplacement où vous souhaitez les déplacer.

    Pour copier les lignes ou les colonnes, maintenez la touche ctrl enfoncée tout en les faisant glisser.

  3. Déposez les lignes ou les colonnes à déplacer ou copier.

    Lorsque vous glissez-déposez une ligne, la ligne déplacée remplace la ligne en-dessous. De la même manière, lorsque vous faites un glisser-déposer de colonne, la colonne déplacée remplace la colonne de droite.

  4. Pour conserver une ligne (en-dessous) ou une colonne (à droite), maintenez la touche shift enfoncée tout en les faisant glisser-déposer.

Tip: Vous pouvez également faire glisser la bulle d’une ligne dans la Vue de la structure pour déplacer la ligne ou faire glisser cette bulle tout en maintenant la touche Alt enfoncée pour copier la ligne.

Réorganiser les lignes ou les colonnes

  1. Sélectionnez les lignes ou les colonnes à réorganiser dans le tableau.

  2. Maintenez la touche Maj enfoncée et faites un glisser-déposer des lignes ou des colonnes vers le nouvel emplacement requis dans le tableau.

Redimensionnement une colonne en faisant glisser

  • Pour modifier la largeur d’une colonne, sélectionnez une cellule et faites glisser sa poignée jusqu’à ce que la colonne ait la taille souhaitée. Sélectionnez plusieurs colonnes pour les redimensionner ensemble.

  • Pour déplacer la bordure entre deux colonnes afin d’élargir une colonne tout en rétrécissant l’autre, faites glisser une poignée de sélection tout en maintenant la touche Alt alt en faisant glisser la poignée de sélection. La largeur de l’ensemble du tableau n’est pas modifiée.

Tip: Pour aligner la bordure de la colonne avec la grille magnétique, choisissez Fraphiques > Organiser > Magnétisme avant de modifier la largeur.

Spécification d’une largeur de colonne précise

  1. Sélectionnez des cellules dans les colonnes que vous voulez redimensionner (si vous ne modifiez qu’une seule colonne, cliquez simplement dessus), puis choisissez Tableau > Format > Redimensionner colonnes ou cliquez avec le bouton droit de la souris et choisissez Redimensionner colonnes.

    Note: Si vous travaillez dans une vue WYSIWYG structurée de FrameMaker, vous pouvez cliquer avec le bouton droit sur la cellule et choisir Tableau > Format > Redimensionner les colonnes.

  2. Procédez de l’une des façons suivantes :

    • Pour spécifier une largeur, cliquez sur Nouvelle largeur, puis entrez une valeur.

    • Pour définir la largeur en pourcentage de la largeur d’origine, cliquez sur Echelle, puis entrez un pourcentage.

    • Pour donner à une colonne la même largeur qu’une autre colonne d’un tableau, cliquez sur A la largeur de la colonne n°, puis entrez le numéro de la colonne.

    • Pour obtenir des colonnes de largeur identique dans un même tableau, cliquez sur Largeurs identiques dans un tableau et saisissez la largeur totale du tableau.

    • Pour spécifier une largeur totale tout en conservant les proportions des colonnes, cliquez sur Proportionnellement pour largeur totale de, puis entrez la largeur totale.

    • Pour que la largeur soit égale à celle du cadre ou du paragraphe le plus large dans les cellules sélectionnées, cliquez sur Largeur du contenu des cellules sélectionnées, puis entrez une largeur maximum.

  3. Cliquez sur Redimensionner.

Copie et collage d’une largeur de colonne

  1. Cliquez sur la colonne dont vous voulez copier la largeur.

  2. Sélectionnez Edition > Copier (spécial) > Largeur de colonne.

  3. Cliquez sur la colonne que vous voulez modifier et choisissez Edition > Coller. Seule la largeur de la colonne est collée ; le contenu des cellules reste inchangé.

Redimensionner une ligne en faisant glisser

Pour modifier la hauteur d’une ligne, sélectionnez une cellule et faites glisser sa poignée jusqu’à ce que la ligne ait la taille souhaitée. Sélectionnez plusieurs lignes pour les redimensionner ensemble.

Réglage de la hauteur d’une ligne

La hauteur d’une ligne s’ajuste automatiquement au contenu de la cellule, mais vous pouvez l’augmenter si vous le souhaitez.

Note: lorsque vous travaillez sur des documents structurés, l’ajustement de la hauteur d’une ligne n’affecte pas la structure du tableau et ne constitue pas une règle de formatage personnalisée.

  1. Cliquez sur la ligne dont vous voulez augmenter la hauteur et choisissez Tableau > Format > Format ligne.

  2. Entrez des valeurs pour les hauteurs minimum et maximum de la ligne, puis cliquez sur Définir.

Affectation de la même hauteur à toutes les lignes

  1. Déterminez la hauteur de la ligne la plus haute d’un tableau : maintenez les touches alt+shift enfoncées tout en dessinant une bordure de sélection autour de la ligne.

  2. Notez la hauteur qui s’affiche dans la barre d’état.

  3. Sélectionnez le tableau entier et choisissez Tableau > Format > Format ligne.

  4. Spécifiez cette valeur pour la hauteur minimum de la ligne, puis cliquez sur Définir.

Parent topic: Formatage des tableaux


Convertir les lignes du corps en lignes d'en-tête ou de pied de page

Si vous avez importé un tableau ou si vous avez un tableau existant sans ligne d'en-tête ou de pied de page, vous pouvez facilement convertir les lignes du corps en lignes d'en-tête ou de pied de page.

Pour convertir une ligne de corps en une ligne d'en-tête ou de pied de page, procédez comme suit :

  1. Sélectionnez la ligne de corps que vous souhaitez convertir en ligne d'en-tête ou de pied de page. Vous pouvez également sélectionner plusieurs lignes et les convertir.
    Note: Si vous avez fusionné une ligne, vous pouvez la convertir en une ligne d'en-tête ou de pied de page. Mais si vous avez effectué une fusion de colonne ou de celulles à la verticale, vous ne pouvez pas convertir la ligne en une ligne d'en-tête ou de pied de page, et FrameMaker affiche un message d'erreur.
  2. Faites un clic droit pour afficher le menu contextuel.
  3. Choisissez une des options suivantes :
    • Convertir les lignes de corps sélectionnées en lignes d'en-tête
    • Convertir la ligne de corps sélectionnée en ligne de pied de page

    La ligne du corps est convertie en une ligne d'en-tête ou de pied de page.

    Tip: Si vous souhaitez reconvertir une ligne d'en-tête ou de pied de page en ligne de corps, sélectionnez Annuler <dernière opération> dans le menu contextuel.
Parent topic: Formatage des tableaux


Tri des lignes et des colonnes d'un tableau

Découvrez comment trier un tableau par lignes ou par colonnes dans Adobe FrameMaker.

Lors du tri numérique, les devises sont ignorées, mais les signes négatifs sont pris en compte. Par exemple, -9 ou (9) figure avant 9 dans un ordre croissant. La virgule et le séparateur de décimales sont traités en fonction des options régionales du système définies pour les chiffres et devises.

Dans un tri, le texte suit toujours les chiffres et les chaînes de texte d’un tableau sont triées selon l’environnement linguistique du système par défaut.

Tip: Vous pouvez trier par date ou par heures, à condition qu’elles soient entrées comme du texte, que leur format soit cohérent et qu’elles comportent le zéro initial si besoin est. Par exemple, si vous utilisez les formats jj/mm/aa et hh:mm:ss, entrez 22/08/2018 ou 09:30:25.

Pour trier un tableau dans Adobe FrameMaker, procédez comme suit :

  1. Enregistrez votre document (vous pourrez ainsi récupérer la dernière version enregistrée si vous n’êtes pas satisfait des résultats du tri).

  2. Sélectionnez Affichage > Panneaux > Balises conditionnelles et définissez-les toutes sur Afficher. pour vous assurer que le tableau ne contient aucune ligne conditionnelle cachée.

  3. Procédez de l’une des façons suivantes :

    • Pour trier toutes les colonnes ou toutes les lignes d’un tableau, cliquez sur le tableau.

    • Pour ne trier que certaines lignes, sélectionnez les cellules correspondantes.

  4. Sélectionnez Tableau > Trier. La boîte de dialogue Trier le tableau s’affiche.

    Figure 1. Boîte de dialogue Trier le tableau
    Boîte de dialogue Trier le tableau dans Adobe FrameMaker

  5. Si vous souhaitez trier toutes les lignes ou toutes les colonnes, sélectionnez Toutes les lignes courantes dans la liste déroulante Etendue.

    Si vous souhaitez trier uniquement les lignes sélectionnées ou toutes les colonnes, choisissez Sélection dans la liste déroulante Etendue.

  6. Effectuez l’une des opérations suivantes :

    • Pour trier les lignes du tableau, cliquez sur Trier les lignes. Si les lignes comprennent des cellules d’intitulé ou de bas de page, ainsi que des cellules courantes, seules ces dernières seront triées.

    • Pour trier les colonnes d’un tableau, cliquez sur Trier les colonnes.

    • Pour que les majuscules soient différenciées des minuscules lors du tri, sélectionnez Respecter la casse.

  7. Choisissez une clé de tri principale dans la zone de texte Trier par et cliquez sur Croissant ou Décroissant.

    Vous pouvez trier les cellules fusionnées, à condition qu’elles ne dépassent pas une ligne ou une colonne que vous utilisez comme clé de tri. Utilisez Tableau > Rediviser et recommencez.

  8. Vous pouvez également choisir une deuxième et troisième clé de tri respectivement dans les zones 2e tri par et 3e tri par.

  9. Cliquez sur Trier.

Note: Adobe FrameMaker trie correctement les nombres précédés des symboles spéciaux ()+-, . et $. En revanche, la combinaison de plusieurs de ces symboles dans une même cellule peut perturber le tri. Par exemple, une cellule de tableau contenant la valeur -2 sera correctement placée entre les valeurs -1 et -3, ce qui n'est pas le cas avec une cellule contenant la séquence numérique -2+3 (FrameMaker interprète la séquence comme la valeur -23).
Note: La fonctionnalité de tri de tableaux prend en charge le format de codage de texte Unicode.
Parent topic: Tableaux


Emplacement et espacement des tableaux

Découvrez comment définir la position et l'espacement de tableaux dans Adobe FrameMaker.

En règle générale, un tableau apparaît au-dessous de la ligne de texte qui contient le symbole d’ancrage. Il est toutefois possible de faire commencer un tableau en haut d’une page ou d’une colonne ou de le laisser flotter.

Si la colonne de texte dans laquelle est ancré un tableau flottant n’est pas suffisamment grande pour le contenir, le tableau flottant est déplacé vers la première colonne de texte qui peut l’accueillir. Toutefois, la ligne de texte contenant le symbole d’ancrage du tableau ne bouge pas. Si le tableau est renvoyé à la colonne suivante, le texte occupe l’espace au-dessous de la ligne qui contient le symbole d’ancrage.

L’espace entre un tableau et le paragraphe qui le précède est déterminé soit par le paramètre Au-dessus du tableau, soit par le paramètre Au-dessous du paragraphe, selon la valeur la plus élevée. Il en va de même pour le paragraphe qui suit. Lorsque le tableau se situe en haut ou en bas d’une colonne, le paramètre Au-dessus ou Au-dessous n’intervient pas.

  1. Cliquez sur le tableau à modifier, puis choisissez Tableau > Format > Configuration de tableaux.

  2. Dans les propriétés de Base de la Configuration de tableaux, effectuez une ou plusieurs des opérations suivantes :

    • Saisissez les valeurs de retrait dans les champs Gauche et Droite.

    • Saisissez les valeurs d’espacement dans les champs Paragraphe au-dessus et Paragraphe au-dessous.

    • Spécifiez l’alignement dans la liste déroulante Alignement.

  3. Cliquez sur Appliquer.

Tip: Pour faire commencer un tableau tout en haut d’une page sans qu’il soit précédé par du texte, ancrez-le sur la page précédente et faites-le flotter. Si vous souhaitez qu’il soit toujours flottant, attribuez une valeur élevée (200, par exemple) à son paramètre orpheline.

Si le symbole d’ancrage d’un tableau situé en haut d’une colonne s’affiche au-dessous d’un paragraphe qui s'étend sur plusieurs colonnes, le tableau apparaît dans la colonne suivante, juste au-dessous du paragraphe et non en haut de la colonne.

Figure 1. Tableau en haut d’une colonne, ancré au-dessous d’un paragraphe
Tableau en haut d’une colonne, ancré au-dessous d’un paragraphe

Parent topic: Tableaux
Related information
  • Définition du nombre minimal de lignes sur une page ou dans une colonne


Elargissement et rétrécissement de tableaux et de cellules

Découvrez comment élargir et rétrécir des tableaux et des cellules dans FrameMaker.

Introduction

Les tableaux peuvent élargir des colonnes dans des mises en page à colonnes multiples et leur position peut parfois varier en fonction des paragraphes élargis. L'élargissement n’affecte pas la structure d’un tableau et ne constitue pas une règle de formatage personnalisée.

Elargissement d'un tableau sur plusieurs colonnes

Pour élargir un tableau sur plusieurs colonnes, procédez de l’une des façons suivantes :

  • Ancrez le tableau dans un paragraphe élargi. Un tableau ancré dans un paragraphe élargi recouvre toujours la zone de texte sur toute sa largeur.

  • Dans le cas de documents structurés, ancrez le tableau dans un élément paragraphe formaté pour permettre l'élargissement des colonnes. Si le tableau est assez large, il étend les colonnes sur toute la largeur. S’il est trop étroit, le plan du tableau occupe néanmoins toute la largeur.

    Figure 1. Tableau ancré dans un paragraphe élargi
    Ancrage d'un tableau dans un paragraphe élargi

  • Elargissez le tableau sur une seconde colonne de la zone courante. Si vous voulez que le tableau élargisse à la fois la zone de titres de marge et la zone courante, prolongez-le dans la zone de titres de marge.

    Figure 2. Elargissement de toutes les colonnes et élargissement de la zone de titres de marge
    Elargissement d’un tableau et de toutes les colonnes ou de la zone du titre de marge

Rétrécissement d'un tableau

  • Pour rétrécir un tableau ancré dans un paragraphe ou un élément paragraphe élargi, déplacez l’ancre vers un élément ou un paragraphe non élargi.

  • Pour rétrécir un tableau ancré dans un paragraphe ou un élément paragraphe élargi, redimensionnez la largeur des colonnes du tableau par rapport à la colonne de texte.

Fusion ou division de cellules de tableau

Si vous fusionnez des cellules avec du contenu, le contenu de ces cellules fusionne également. FrameMaker crée des paragraphes distincts pour chaque cellule fusionnée.

Procédez de l’une des façons suivantes :

  • Sélectionnez les cellules à fusionner et choisissez Tableau > Fusionner.

  • Sélectionnez la cellule que vous souhaitez diviser et choisissez Tableau > Rediviser. Le contenu de la cellule fusionnée apparaît dans la nouvelle cellule en haut à gauche et non dans les cellules d’origine.

Parent topic: Tableaux
Related information
  • Lignes et colonnes d'un tableau


Rotation de cellules et de tableaux

Découvrez comment faire pivoter des cellules et des tableaux, et insérer un tableau pivoté dans une page contenant du texte non pivoté dans Adobe FrameMaker.

Introduction

Lorsque vous faites pivoter une cellule dans un tableau dans Adobe FrameMaker, vous pouvez y entrer des données comme dans n’importe quelle autre cellule.

Vous pouvez également faire pivoter un tableau entier en le plaçant dans un cadre ancré pivoté. Un tableau pivoté peut se trouver dans un cadre ancré sur une page dont le texte n’est pas pivoté ou sur une page pivotée (qui utilise une maquette pivotée). Placez le tableau dans une page pivotée au lieu de le faire pivoter si vous voulez faire pivoter simultanément ses éléments d’arrière-plan (en-têtes ou pieds de page notamment), ainsi que le texte courant. Il est impossible de modifier un tableau contenu dans une page pivotée.

Note: Dans le cas de documents structurés, consultez le développeur de l’application structurée pour savoir si celle-ci prend en charge la rotation de tableaux.

La rotation d’une cellule ou d’une page contenant un tableau n’affecte pas la structure de ce dernier et ne constitue pas une règle de formatage personnalisée.

Note: dans les documents structurés, si vous faites pivoter un tableau d’un cadre ancré, il ne fait plus partie de l’enchaînement structuré principal du document et il n’est pas exporté au format SGML/XML. Si vous souhaitez l’exporter au format SGML/XML, vous devriez envisager de faire pivoter la page entière et pas seulement le tableau. Si vous devez faire pivoter seulement le tableau, consultez votre développeur d’applications afin d’éviter de perdre des données du tableau.
Figure 1. Tableau sur une page avec rotation (gauche) et tableau avec rotation sur une page normale (droite)
Tableau sur une page avec rotation ou rotation d’un tableau sur une page normale

Figure 2. Cellules pivotées
Cellules pivotées dans un tableau

Faire pivoter une cellule de tableau

Pour faire pivoter une cellule de tableau dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez les cellules à faire pivoter et choisissez Tableau > Rotation du contenu cellulaire de tableau.

  2. Indiquez l’angle à appliquer aux cellules et cliquez sur Rotation.

Tip: Lorsque vous entrez des données dans une cellule pivotée, sa hauteur augmente et le texte ne s’enchaîne pas. Vous pouvez limiter la hauteur des cellules pivotées afin que le texte s’enchaîne lorsqu’il atteint cette limite.

Insertion d’un tableau pivoté dans une page contenant du texte non pivoté

Pour insérer un tableau pivoté dans une page contenant du texte non pivoté dans Adobe FrameMaker, procédez comme suit :

  1. Insérez un cadre ancré et dessinez une zone de texte à l’intérieur.

  2. Insérez le tableau dans la zone de texte.

  3. Sélectionnez la zone de texte, choisissez Graphiques > Faire pivoter, et faites pivoter la zone de texte dans le sens inverse des aiguilles d’une montre. Vous pouvez ajuster la taille de la zone de texte ou du cadre ancré afin d’afficher l’intégralité du tableau.

Insertion d’un tableau pivoté dans une page contenant du texte non pivoté (documents structurés)

Pour insérer un tableau pivoté dans une page contenant du texte non pivoté dans des documents structurés dans Adobe FrameMaker, procédez comme suit :

  1. Cliquez sur le texte à l’endroit où vous voulez ancrer le tableau.

  2. Sélectionnez un élément graphique pour les cadres ancrés vides dans le catalogue Eléments, puis cliquez sur Insérer.

  3. Choisissez l’option En dessous de la ligne courante dans la liste déroulante Position d’ancrage, définissez la largeur et la hauteur du cadre, puis cliquez sur Nouveau cadre. Faites en sorte que le cadre soit légèrement plus grand que le tableau.

  4. Dessinez une zone de texte dans le cadre ancré. Sélectionnez Affichage > Barre d’outils > Barre d’outils graphiques et cliquez sur l’outil Placer une zone de texte outil Placer une zone de texte dans FrameMaker dans le panneau Outils. Faites glisser le pointeur pour dessiner le cadre, puis cliquez sur l’option Définir dans la boîte de dialogue qui s’affiche.

  5. Cliquez sur la zone de texte et choisissez Tableau > Insérer un tableau pour insérer un tableau non structuré.

  6. Sélectionnez Graphiques > Faire pivoter et faites pivoter la zone de texte. Vous pouvez ajuster la taille de la zone de texte ou du cadre ancré afin d’afficher l’intégralité du tableau.

Création d’un tableau pivoté sur une page contenant déjà du texte pivoté

Créez une maquette avec rotation et appliquez-la à la page courante dans laquelle figure le tableau.

Si suite aux modifications, le tableau passe à une autre page, vous devrez appliquer de nouveau les maquettes.

Modification d’un tableau pivoté

Annulez la rotation de la zone de texte, modifiez le tableau, puis faites-le de nouveau pivoter lorsque vous avez terminé.

Parent topic: Tableaux
Related information
  • Rotation d’une maquette
  • Attribution de maquettes à des pages courantes
  • Lignes et colonnes d'un tableau
  • Création de cadres ancrés
  • Ajout de texte aux graphiques


Insertion de sauts de page dans un tableau

Découvrez comment insérer des sauts de page dans un tableau et définir le nombre minimum de lignes dans Adobe FrameMaker.

Introduction

Lorsque les lignes d’un tableau ne tiennent pas toutes dans une colonne de texte, certaines d’entre elles s’affichent dans la colonne ou sur la page suivante. Vous pouvez toutefois déterminer la façon dont le tableau est réparti dans les différentes pages ou colonnes. Vous pouvez par exemple définir le nombre minimal de lignes à afficher sur une page ou dans une colonne ou spécifier de toujours garder deux lignes solidaires sur la même page ou dans la même colonne. Vous pouvez également forcer un saut de ligne dans un tableau.

Lorsque vous insérez un tableau, le nombre minimal de lignes sur une page ou dans une colonne est déterminé par son format. Ce nombre peut être modifié dans la boîte de dialogue Configuration de tableaux.

La solidarité de deux lignes et le saut de page forcé sont indépendants du format de tableau. Il s’agit de paramètres personnalisés que vous définissez au cas par cas. Si vous appliquez un autre format, ces paramètres resteront inchangés.

Définition du nombre minimal de lignes sur une page ou dans une colonne

Lorsqu’un tableau ne tient pas sur une page ou dans une colonne, l’emplacement du saut de page dépend du nombre de lignes orphelines autorisé. Le paramètre Lignes orphelines détermine le nombre minimal de lignes courantes à conserver sur une même page ou dans une même colonne.

Note: lorsque vous travaillez sur des documents structurés, les modifications apportées aux sauts de page n’affectent pas la structure d’un tableau et ne constituent pas des règles de formatage personnalisées.

Pour définir le nombre minimum de lignes d'un tableau à conserver sur une page ou dans une colonne, procédez comme suit :

  1. Cliquez sur le tableau à modifier, puis choisissez Tableau > Format > Configuration de tableaux.

  2. Dans les propriétés de Base de la Configuration de tableaux, entrez le nombre de lignes dans la zone Lignes orphelines. Le nombre peut être compris entre 1 et 255.

  3. Cliquez sur Appliquer.

Tip: Une valeur d’orpheline élevée telle que 99 empêche la répartition d’un tableau sur plusieurs colonnes ou pages.

Solidarité des lignes

Pour rendre solidaires des lignes d'un tableau dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez la ligne que vous voulez rendre solidaire de la ligne suivante ou précédente et choisissez Tableau > Format > Format de ligne.

  2. Dans la zone Conserver avec, sélectionnez Ligne suivante ou Ligne précédente. Cliquez sur Définir-

Ajout ou suppression d’un saut de page dans un tableau

Tout comme vous pouvez décider de faire toujours débuter un tableau ou un paragraphe en haut d’une page ou d’une colonne, vous pouvez faire de même avec une ligne de tableau particulière. Libre à vous de supprimer le saut de page par la suite.

Pour ajouter ou supprimer un saut de page dans un tableau, procédez comme suit :

  1. Cliquez sur la ligne à modifier, puis choisissez Tableau > Format > Format ligne.

  2. Procédez de l’une des façons suivantes :

    • Pour forcer le passage de la ligne en haut de la colonne suivante, choisissez l’option En haut de colonne ou l’une des options En haut de page dans la liste déroulante Début ligne.

    • Pour supprimer un saut de page, choisissez Indéterminé dans la liste déroulante Début ligne.

  3. Cliquez sur Définir-

Parent topic: Tableaux


Insérer un tableau dans un document FrameMaker

Découvrez comment insérer un tableau et identifier les types de variables d'un tableau dans Adobe FrameMaker.

Lorsque vous insérez un nouveau tableau vide, vous devez sélectionner son format. Les styles de tableau sont enregistrés dans un catalogue, tout comme les styles de paragraphe et de caractère. Vous pouvez néanmoins appliquer un style différent à n’importe quel paragraphe d’une cellule ou modifier le style de n’importe quel paragraphe.

  1. Cliquez sur la ligne de texte à laquelle ancrer le tableau. Vous pouvez insérer un tableau n’importe où, sauf dans une note.

  2. Sélectionnez Tableau > Insérer un tableau.

  3. Si nécessaire, modifiez le nombre de colonnes, de lignes, de lignes d'intitulé ou de lignes de pied de page.

  4. Sélectionnez un format de tableau. Si le format dont vous avez besoin n’est pas dans la liste, vous pouvez l’importer à partir d’un autre document.

  5. Sélectionnez le type de variable de tableau (suite ou feuille) à insérer. Pour plus de détails sur les variables de tableau, voir Ajouter le texte « suite » à un tableau.

  6. Cliquez sur Insérer.

    Un symbole d’ancrage Symbole d’ancrage apparaît au niveau du point d’insertion lorsque l’affichage des symboles de texte est activé. Si vous supprimez le symbole, vous supprimez le tableau.

Note: Dans une mise en page de plusieurs colonnes, le tableau peut fusionner les colonnes et sa position peut être liée aux paragraphes fusionnés.
Parent topic: Tableaux


Insertion d'un tableau dans un document FrameMaker structuré

Découvrez comment insérer un élément de tableau dans des documents structurés dans Adobe FrameMaker.

Un tableau est ancré à un emplacement spécifique dans le texte. Lorsque vous effectuez des modifications, il se déplace dans le document en même temps que le texte. Un symbole d’ancrage Symbole d’ancrage apparaît au point d’ancrage du tableau dans la fenêtre du document.

Lorsque vous insérez un tableau, vous devez spécifier l’emplacement de son point d’ancrage. Par exemple, vous pouvez ancrer un tableau dans un élément <p> (en tant qu’élément enfant de <p>) ou vous pouvez l’ancrer dans un élément <section> (en tant que frère de l'élément <p> et d’autres éléments dans la section). Tout dépend de la manière dont les éléments sont définis pour votre type de document.

  1. Cliquez à l’endroit où vous voulez insérer le tableau.

  2. Sélectionnez un élément de tableau dans le catalogue Eléments, puis cliquez sur Insérer.

    Note: Pour ajouter d’autres éléments de parties de tableau au tableau, utilisez le catalogue Eléments comme guide.

  3. Si nécessaire, modifiez le nombre de colonnes, de lignes, de lignes d'intitulé ou de lignes de pied de page.

  4. Pour modifier le format du tableau, sélectionnez un format dans la liste. L’élément de tableau peut avoir un format présélectionné, mais vous pouvez le modifier sans que cela ne soit considéré comme une règle de formatage personnalisée.

    Consultez votre développeur avant de modifier un format de tableau. Il se peut que votre Catalogue d’éléments comporte un élément distinct défini pour chaque format dont vous avez besoin.

  5. Sélectionnez le type de variable de tableau (suite ou feuille) à insérer. Pour plus de détails sur les variables de tableau, voir Ajouter le texte « suite » à un tableau.

  6. Cliquez sur Insérer. FrameMaker place un symbole d’ancrage Symbole d’ancrage au point d’insertion et un tableau avec des éléments descendants prédéfinis. La Vue de la structure affiche des bulles pour les nouveaux éléments.

  7. Si la boîte de dialogue Attributs du nouvel élément s’affiche, entrez les valeurs des attributs pour l’élément tableau et cliquez sur Insérer l’élément.

    Tip: Sélectionnez des cellules dans le tableau, puis cliquez avec le bouton droit pour afficher un menu contextuel permettant de travailler dans les cellules. Vous pouvez également utiliser la Barre d'accès rapide pour activer rapidement les commandes de tableau.

Si aucun élément de tableau n’est disponible à l’emplacement voulu, il se peut que vous utilisiez un élément non valide. Après avoir inséré le tableau, demandez à votre développeur de vous expliquer comment le rendre valide à cet emplacement.

Parent topic: Tableaux


Utilisation de tableaux dans des documents structurés

Découvrez comment utiliser des tableaux dans des documents structurés, et apprenez-en plus sur les éléments, le formatage et la prise en charge de DITA dans FrameMaker.

D’une manière générale, les tableaux structurés fonctionnent de la même manière que les tableaux non structurés. La définition de l’élément de tableau détermine la structure du tableau. Lorsque vous insérez un tableau, il comporte automatiquement un certain nombre de lignes et de cellules, qu’il ne vous reste qu’à compléter.

Eléments de tableaux et de parties de tableaux structurés

Un tableau et ses parties (titre, lignes et cellules) sont représentés chacun dans un élément. Vous pouvez les afficher et les utiliser dans la Vue de la structure.

Figure 1. Eléments et parties de tableau
Tableau et ses parties représentés en tant qu’éléments dans FrameMaker

Lorsque vous insérez un élément de tableau, certaines parties sont créées automatiquement. Le Catalogue d’éléments vous aidera à constituer le reste du tableau. Si vous ajoutez d’autres parties au tableau, elles peuvent également avoir une structure initiale ; par exemple, un nouvel élément ligne contiendra des éléments cellule. Les règles de contenu applicables aux éléments de tableau et de parties de tableau définissent pour ces derniers une structure initiale.

Un tableau peut également contenir des cellules conçues pour rester vides. Aucun élément valide ne peut alors être inséré dans ces cellules et vous ne pouvez pas y entrer du texte. Un élément de cellule vide peut renseigner sur la fonction qui lui est associée (recherchez des noms tels que En-têteVierge ou CelluleEspacement).

Formatage des tableaux structurés

L’aspect d’un tableau structuré est déterminé par son format, par plusieurs paramètres du menu Tableau, ainsi que par des styles de paragraphe propres au texte.

Formats de tableaux

Le format d’un tableau détermine l’espacement, les retraits et l’alignement du tableau dans une colonne de texte, l’emplacement où il débute sur une page, la position du titre, les marges par défaut des cellules, le sens de la numérotation automatique dans les cellules, ainsi que le trait d’encadrement et l’ombrage par défaut. Les formats de tableau sont stockés par le document dans un Catalogue de tableaux.

Les règles de formatage d’un élément de tableau peuvent proposer un format particulier. Vous pouvez appliquer un format différent, soit lors de la création, soit ultérieurement, sans que cette modification ne soit considérée comme une règle de formatage personnalisée.

Le changement de format d’un tableau peut remettre en question sa validité de ce dernier. C’est notamment le cas lorsque le format ajoute un titre alors que les règles de contenu ne l’autorisent pas.

Commandes du menu Tableau

Le menu Tableau comporte des commandes pour la rotation des cellules et leur fusion, la modification de leur hauteur et des sauts de page, l’ajout de lignes et de colonnes et l’application de traits d’encadrement et d’ombrages personnalisés aux cellules. Ces paramètres prévalent sur le format de tableau pour des cellules particulières.

Vous pouvez utiliser toutes les commandes du menu Tableau dans un tableau structuré. Ces commandes ne constituent pas des règles de formatage personnalisées et n’ont aucune incidence sur la structure du tableau, à l’exception de la fonction d’ajout de lignes et colonnes.

Style de paragraphe

Les styles de paragraphe définissent les polices, l’interligne et les autres caractéristiques du texte contenu dans les cellules et le titre. Les éléments de parties de tableau peuvent spécifier des styles de paragraphe.

Prise en charge DITA des tableaux

Les rubriques DITA prennent en charge deux types de tableaux. L’élément <table> utilise le modèle de tableau OASIS Exchange (anciennement appelé modèle de tableau CALS). Le tableau OASIS prend en charge le recouvrement de plusieurs lignes ou colonnes pour une mise en page spéciale ou des besoins d’organisation, et fournit une grande variété de commandes sur des propriétés d’affichage des données et la structure du tableau.

L'élément <table> organise arbitrairement les relations complexes existant entre les informations du tableau. Ce balisage standard du tableau autorise le recouvrement des colonnes ou des lignes ainsi que des légendes ou descriptions du tableau. Un titre facultatif autorisé à l’intérieur de l’élément <table> fournit une légende pour décrire le tableau.

Le tableau DITA est basé sur le modèle OASIS Exchange, sans oublier les attributs DITA qui l’activent pour la spécialisation, les références contextuelles et d’autres traitements DITA. De plus, le tableau comporte un élément <desc> qui active la description du tableau en parallèle avec la description des figures.

Dans les tableaux DITA, à la place de l’attribut expanse utilisé par d’autres éléments DITA, l’attribut pgwide est utilisé pour la conformité avec le modèle OASIS Exchange. Cet attribut possède une sémantique similaire (1=largeur de la page ; 0=redimensionner selon épreuve ou colonne).

Note: L’attribut d’échelle représente une propriété de balisage stylistique qui est conservée (pour l’instant) dans les tableaux, pour des raisons de compatibilité avec les systèmes hérités. Les feuilles de style externes devraient permettre de réduire la dépendance vis-à-vis de cet attribut. Utilisez l’attribut d’échelle judicieusement dans vos rubriques.

L’autre structure de tableau DITA est appelée <simpletable>. Comme son nom l’indique, elle est structurellement moins complexe que le tableau OASIS et peut être utilisée en tant que tableau simple et classique pour lequel un contrôle strict du formatage n’est pas aussi important. Le « tableau simple » sert principalement à décrire des listes de données avec des intitulés ordinaires, comme les listings téléphoniques, les données de configuration de l’adaptateur ou les propriétés API.

Parent topic: Tableaux


Utilisation d'éléments de tableau non valides

Découvrez comment utiliser un élément de tableau non valide dans Adobe FrameMaker.

  • Pour utiliser un tableau valide dans une autre partie du document, insérez-le à un emplacement valide puis déplacez-le, ou utilisez le paramètre Tous les éléments pour rendre le tableau disponible partout, puis insérez-le à l’emplacement de votre choix.

  • Pour insérer un tableau non valide avec des balises par défaut, sélectionnez Tableau > Insérer tableau, puis choisissez <TABLEAU> dans la liste déroulante Balise d’élément. Cette option figure dans le menu si le document ne contient aucun élément de tableau défini. Le tableau et les parties de tableau contiendront des balises par défaut, telles que <TABLEAU>, <INTITULE >et <LIGNE>. Après l’avoir remplacé par un tableau valide, changez les parties du tableau en éléments valides.

Tip: La conversion en tableau valide d’un tableau avec des balises par défaut peut être fastidieuse, c’est pourquoi il est généralement préférable de travailler avec des tableaux déjà définis.
Parent topic: Tableaux
Related information
  • Modification de la sélection d’éléments disponibles dans un document structuré


Imbrication d’un tableau dans une cellule de tableau

Découvrez comment imbriquer un tableau dans une cellule de tableau dans Adobe FrameMaker.

Pour imbriquer un tableau dans une cellule de table, procédez comme suit :

  1. Cliquez sur la cellule dans laquelle vous voulez insérer un tableau.

  2. Sélectionnez Insérer > Cadre ancré.

    Avec les documents non structurés, cette commande crée un cadre ancré au-dessous de la ligne active. Faites en sorte de définir des dimensions pour le cadre (hauteur et largeur) légèrement supérieures à celles du tableau à insérer.

    Avec les documents structurés, cette commande insère un élément. Choisissez un élément cadre de la liste déroulante Balise d’élément dans le panneau Cadre ancré. Sélectionnez un élément de graphique dans des cadres ancrés vides dans le catalogue Éléments, puis cliquez sur Nouveau cadre.

  3. Si le cadre ancré est plus large que la cellule, redimensionnez la colonne.

  4. Utilisez l’outil Zone de texte du panneau Outils pour dessiner une zone de texte dans le cadre ancré.

  5. Cliquez dans la zone de texte et sélectionnez Tableau > Insérer tableau.

Important: Si vous exportez un document au format SGML ou XML, vous risquez de perdre le contenu des cadres ancrés qu’il contient, car ces derniers ne font pas partie de l’enchaînement structuré principal. Contactez votre développeur d’applications si vous envisager d’exporter au format SGML ou XML pour éviter de perdre des données du tableau imbriqué.
Parent topic: Tableaux
Related information
  • Cadres ancrés
  • Lignes et colonnes d'un tableau


Copie, déplacement ou suppression d’un tableau

Découvrez comment copier, déplacer ou supprimer un tableau dans Adobe FrameMaker.

Si vous copiez ou déplacez un tableau non structuré vers un enchaînement structuré, une structure de base avec des éléments par défaut appelés <TABLEAU>, <INTITULE>, <LIGNE>, etc. Si vous copiez ou déplacez un tableau structuré vers un enchaînement non structuré, la structure du tableau risque de ne plus être valide.

  1. Appuyez sur la touche Ctrl et cliquez trois fois sur une cellule pour sélectionner le tableau entier, ou cliquez sur l'élément de tableau dans la Vue de la structure.

  2. Pour copier le tableau, choisissez Modifier > Copier.

    Pour déplacer le tableau, sélectionnez Modifier > Couper. Si une boîte de dialogue apparaît, cliquez sur Effacer cellules du tableau, puis sur Couper. Cliquez ensuite sur l’emplacement où vous voulez positionner le tableau, puis sélectionnez Edition > Coller. Reportez-vous au catalogue Eléments avant de collet afin de vous assurer de coller le tableau dans un emplacement valide.

    Pour supprimer le tableau, appuyez sur Supprimer.

Tip: Vous pouvez également faire glisser un élément de tableau dans la Vue de la structure pour déplacer le tableau, ou faire glisser cette bulle tout en maintenant la touche Alt enfoncée pour copier le tableau.
Parent topic: Tableaux


Graphiques et objets

Découvrez comment créer, relier et gérer des graphiques dans FrameMaker.

Les graphiques constituent une partie intégrante de tout contenu. Vous pouvez créer vos propres graphiques dans FrameMaker.

Ajoutez-y du texte, importez et liez des images dans de nombreux formats, créez des codes QR et liez des graphiques 3D. Vous pouvez également insérer des images Adobe Photoshop et des graphismes Adobe Illustrator, et même des démos Adobe Captivate.

  • Création de graphiques
    Découvrez comment créer des graphiques et des objets dans des documents structurés et non structurés Adobe FrameMaker. Découvrez également comment utiliser des illustrations.
  • Couleurs
  • Cadres ancrés
    Découvrez les cadres ancrés et comment les utiliser dans Adobe FrameMaker.
  • Incorporation d’objets
  • Zones réactives
    Découvrez les zones réactives et comment créer des zones réactives dans des images et des graphiques dans Adobe FrameMaker.
  • Styles d’objet
    Découvrez les styles d’objet et leurs caractéristiques et familiarisez-vous avec les caractéristiques d’objets dans Adobe FrameMaker.
  • Objets 3D et multimédia
    Découvrez comment utiliser des objets 3D et multimédias et insérer des liens pour le contrôle interactif dans FrameMaker.
  • Codes QR
    Découvrez les codes QR et comment les utiliser dans Adobe FrameMaker.
  • Utilisation de RoboScreenCapture
    Découvrez RoboScreenCapture et comment l’utiliser dans FrameMaker.
  • Importer et modifier des images Adobe Illustrator
    Découvrez comment importer et modifier des images dans Adobe FrameMaker avec Adobe Illustrator.
  • Importer et modifier des images Adobe Photoshop
    Comprendre comment importer et modifier des images dans Adobe FrameMaker avec Adobe Photoshop.
  • Changer le sens d'un document contenant des objets
    Découvrez comment vous pouvez modifier le sens de documents contenant des objets dans Adobe FrameMaker.


Création de graphiques

Découvrez comment créer des graphiques et des objets dans des documents structurés et non structurés Adobe FrameMaker. Découvrez également comment utiliser des illustrations.

  • A propos des graphiques et des objets
  • Dessin d’objets
    Découvrez comment dessiner divers objets dans FrameMaker et apprenez en plus sur les caractéristiques de dessin.
  • Sélection d’objets
    Découvrez comment sélectionner un ou plusieurs objets à l’aide de l'outil de sélection et comment désélectionner un objet dans FrameMaker.
  • Application et modification des caractéristiques de dessin
    Découvrez comment appliquer et modifier les caractéristiques de dessin, et comment utiliser des modèles, des styles de lignes et de flèches dans FrameMaker.
  • Ajout de texte aux graphiques
    Découvrez comment ajouter du texte avec des graphiques dans FrameMaker, utiliser des zones de texte et des titres, et habiller des graphiques avec du texte.
  • Copie d’objets et modification de leur disposition
    Découvrez comment copier et organiser des objets dans FrameMaker, modifier l’ordre de superposition, utiliser la gravité, la grille et la distribution d’objets.
  • Jonction de lignes et de courbes
    Découvrez comment joindre une ligne et des courbes autour des objets dans FrameMaker.
  • Inversion et rotation d’objets
    Découvrez comment inverser et faire pivoter un objet et créer un effet symétrique dans FrameMaker.
  • Rognage ou masquage de graphiques
    Découvrez comment rogner et masquer des graphismes dans FrameMaker, et comment utiliser un bloc graphique.
  • Mesure de la taille d’un objet et détermination de sa position
    Découvrez comment mesurer la taille d'un objet et déterminer sa position dans FrameMaker.
  • Redimensionnement et transformation d’objets
    Découvrez comment redimensionner et transformer des objets dans FrameMaker, redimensionner des graphiques importés, et lisser et rendre bruts des objets.
Parent topic: Graphiques et objets


A propos des graphiques et des objets

Utilisation des illustrations

Dans Adobe FrameMaker, vous pouvez tracer des rectangles, des ovales et des polygones, ainsi que des lignes droites et des courbes. Vous pouvez créer des illustrations complexes en combinant plusieurs objets et placer du texte dans ces illustrations. Vous pouvez aussi définir des caractéristiques d’objet (motif de remplissage, épaisseur des lignes et couleur, par exemple) et redimensionner, transformer, faire pivoter et réorganiser ces objets.

Vous pouvez en outre insérer des illustrations directement dans la page, dans des cadres graphiques ancrés qui se déplacent avec le texte ou dans des cadres graphiques non ancrés qui rognent les bords de l’illustration.

  • Les zones de texte déterminent l’emplacement du texte du document.

  • Les cadres graphiques peuvent être ancrés ou non et déterminent l’emplacement et l’aspect des graphiques.

  • Les cadres ancrés contiennent des graphiques associés à un texte spécifique et se déplacent avec ce texte lorsqu’il est modifié.

  • Les cadres non ancrés sont utilisés pour rogner des graphiques qui restent à la même place sur la page. Vous pouvez également utiliser les cadres non ancrés pour insérer des illustrations. Les cadres graphiques non ancrés sont dessinés à l’aide de l’outil Cadre graphique du panneau Outils.

    Note: les graphiques placés dans des cadres non ancrés ne sont pas exportés au format HTML, Microsoft Word ou RTF.

    Pour que le graphique s’affiche à un emplacement précis sur une page (pour un logo ou un onglet par exemple), dessinez-le ou importez-le directement sur la page. Si vous devez rogner un graphique ou l’inclure en tant qu’illustration dans une page de référence, placez-le dans un cadre graphique non ancré.

    Utilisation des illustrations dans FrameMaker

    A. Graphique dessiné sur la page B. Ligne de texte C. Cadre ancré D. Zone de texte pour le texte du document

    Vous pouvez utiliser des zones de texte avec des graphiques. Par exemple, comme légendes. Vous pouvez également utiliser des zones de texte dans des cadres ancrés pour créer des effets, tel que des encadrés. Dans le cas de lignes de texte isolées dans des graphiques, vous pouvez également utiliser l’outil Ligne de texte.

Présentation de la Boîte à outils

Le panneau Outils pouvant être ancré permet de sélectionner des outils de dessin et d’appliquer des caractéristiques. Pour afficher le panneau Outils, sélectionnez Graphiques > Outils ou affichage > Barres d’outils > Barre d’outils graphiques.

Note: Les graphiques créés à l'aide de la barre d'outils Graphiques sont enregistrés sous forme de fichiers SVG dans la sortie Responsive HTML5.
Figure 1. Barre d’outils Graphiques
Barre d’outils Graphiques dans FrameMaker

A. Outils de sélection B. Outils de dessin C. Mode Zone réactive D. Caractéristiques de dessin

A propos des tracés

Le tracé d’un objet constitue une ligne imaginaire au centre de la bordure de l’objet. Il s’affiche sous forme d’un contour lors du dessin d’un objet.

Figure 2. A. Bordure B. Tracé
Chemin d'un objet dessiné dans FrameMaker

FrameMaker utilise le tracé pour positionner les objets. Par exemple, si vous utilisez la commande Aligner pour aligner des objets, ces derniers sont alignés par rapport à leur tracé et non à leurs bords extérieurs. Si la grille magnétique est activée lors du dessin, FrameMaker aligne le tracé sur cette grille.

Figure 3. Les objets sont alignés par rapport à leur tracé.
Alignement des objets le long de leur trajectoire dans Adobe FrameMaker

A propos des éléments graphiques dans des documents structurés

Lorsque vous travaillez sur des documents structurés, vous utilisez des éléments spéciaux pour positionner les graphiques. Un élément graphique fournit un cadre ancré pour contenir des objets graphiques. Ce cadre est ancré à un emplacement spécifique dans le texte. Lorsque vous modifiez le texte, le cadre et son contenu suivent le texte automatiquement. L’élément apparaît dans la structure du document, mais le graphique ou l’équation eux-mêmes ne font pas partie de la structure.

Un nouvel élément graphique est soit un cadre ancré vide, soit un cadre ancré contenant un graphique importé. Lorsque vous l’insérez, selon les règles de formatage qui lui ont été appliquées, une boîte de dialogue permettant soit de définir un cadre soit d’importer un fichier graphique s’affiche :

  • Dans le cas d’un cadre ancré vide, vous spécifiez la taille du cadre, sa position d’ancrage et certaines caractéristiques de formatage telles que l’alignement. Vous pouvez dessiner, coller ou importer des objets graphiques dans ce cadre.

  • Dans le cas d’un cadre ancré contenant un graphique importé, vous précisez le fichier à importer. Le graphique apparaît sous la ligne contenant le symbole d’ancrage, dans un cadre ajusté à sa taille.

Après avoir inséré un élément graphique, vous pouvez placer différents contenus dans le cadre, le redimensionner, changer sa position d’ancrage et le modifier de bien d’autres manières. Ces modifications ne sont pas considérées comme des règles de formatage personnalisées.

Pour aligner un élément graphique dans un document structuré, vous pouvez définir son alignement soit dans le document, en utilisant le panneau Attribut, soit dans l'EDD (l'application structurée associée au document). Si vous ajoutez un élément graphique à un document et ne spécifiez pas l'alignement, FrameMaker l'alignera par défaut au centre du document.

Mise à l'échelle d'images dans des documents structurés

Une image peut être redimensionnée par modification des attributs de hauteur, de largeur ou de mise à l'échelle. Dans une rubrique DITA, vous pouvez accéder aux attributs de hauteur, de largeur et de mise à l'échelle depuis le panneau Caractéristiques de l'objet ou Attributs.

Tenez compte des points suivants lors de la modification des attributs de taille d'image dans la boîte de dialogue Caractéristiques de l’objet :

  • Si vous modifiez la hauteur, la largeur, ou les deux, vous devez cliquer sur le bouton Appliquer pour que les modifications prennent effet.

  • Si vous modifiez les attributs de hauteur, de largeur et de mise à l'échelle, les valeurs actuelles des attributs de hauteur et de largeur ont priorité sur l'attribut de mise à l'échelle.

  • Si vous spécifiez uniquement l'attribut de mise à l'échelle, la hauteur et la largeur de l'image sont proportionnellement ajustées. De plus, les valeurs des attributs de hauteur et de largeur sont mises à jour en fonction du facteur de mise à l'échelle.

Tenez compte des points suivants lors de la modification des attributs de taille d'image dans la boîte de dialogue Attributs :

  • Si vous spécifiez une valeur dans l'attribut de hauteur ou de largeur et que vous déplacez le focus sur un autre attribut, l'image est immédiatement redimensionnée.

  • Pour mettre à l'échelle une image, vous devez supprimer toute valeur présente dans les attributs de hauteur et de largeur, puis spécifier une valeur dans l'attribut de mise à l'échelle.

  • Si une valeur est présente dans l'attribut de hauteur ou de largeur, et que vous modifiez l'attribut de mise à l'échelle, l'image ne sera pas mise à l'échelle. Les valeurs présentes pour les attributs hauteur et largeur sont prioritaires sur la valeur spécifiée pour l'attribut mise à l'échelle.

Parent topic: Création de graphiques
Related information
  • Création de cadres ancrés
  • Annulation/Rétablissement de plusieurs opérations
  • Cadres ancrés
  • Rognage ou masquage de graphiques
  • Utilisation de cadres de référence sur les pages de référence
  • Ajout de texte aux graphiques


Dessin d’objets

Découvrez comment dessiner divers objets dans FrameMaker et apprenez en plus sur les caractéristiques de dessin.

Lorsque vous dessinez un objet, le pointeur prend la forme d’une croix Croix. Une fois le dessin terminé, le pointeur reprend la forme d’une flèche Flèche, ce qui permet de sélectionner des objets, ou se transforme en I I, ce qui permet de sélectionner ou de saisir du texte. Pour dessiner un autre objet, il suffit généralement de cliquer à nouveau sur un outil de dessin.

Lorsque vous dessinez directement un objet sur une page, il ne se déplace pas avec le texte, même si le texte entoure l’objet. Pour que l’objet soit « ancré » au texte l’entourant (c’est-à-dire qu’il se déplace lorsque vous modifiez le texte), vous pouvez dessiner l’objet dans un cadre ancré ou le dessiner sur une page, puis le déplacer dans un cadre ancré.

Lorsque vous dessinez un objet, il utilise les caractéristiques de dessin sélectionnées dans le panneau Outils. L’objet est également sélectionné, ce qui facilite la modification de ses caractéristiques.

Dessin d’une ligne droite

  1. Cliquez sur l’outil Ligne.

  2. Déterminez les extrémités de la ligne en cliquant dessus. Vous pouvez également faire glisser le pointeur depuis le début vers la fin de la ligne. Pour dessiner une ligne horizontale, verticale ou formant un angle de 45 degrés, cliquez ou faites glisser le pointeur tout en maintenant la touche Maj enfoncée.

Tip: Pour dessiner plusieurs lignes contiguës, utilisez l’outil Ligne brisée afin de dessiner des lignes connectées sous la forme d’un seul objet. Vous pouvez également utiliser l’outil Ligne pour dessiner les lignes, puis la fonction Gravité pour vous assurer qu’elles se touchent les unes les autres.

Dessin d’une ligne brisée ou d’un polygone

  1. Cliquez sur l’outil Ligne brisée ou Polygone.

  2. Cliquez tour à tour sur chaque sommet. Pour dessiner un segment horizontal, vertical ou formant un angle de 45 degrés, cliquez tout en maintenant la touche Maj enfoncée.

  3. Cliquez deux fois sur le dernier sommet.

Figure 1. Cliquez sur chaque sommet, puis cliquez deux fois pour terminer l’opération.
Dessiner une polyligne ou un polygone

Dessin d’un arc

  1. Cliquez sur la flèche de liste déroulante dans l’outil de lien et sélectionnez l’outil Arc.

  2. Placez le pointeur au point de départ de l’arc, puis faites-le glisser selon le tracé voulu. Pour dessiner un arc de cercle, faites glisser le pointeur tout en maintenant la touche Maj enfoncée.

Figure 2. Faites glisser le pointeur, puis relâchez le bouton de la souris.
Dessin d’un arc

Si l’arc n’a pas la forme souhaitée (par exemple, s’il est concave au lieu d’être convexe), ne relâchez pas le bouton de la souris. Faites revenir la croix au point de départ, puis redessinez l’arc en faisant glisser le pointeur selon le tracé voulu.

Au départ, l’arc a un angle de 90 degrés.

Dessin d’une courbe à main levée

  1. Cliquez sur la flèche de liste déroulante dans l’outil de polygone et sélectionnez l’outil Courbe à main levée.

  2. Placez le pointeur au point de départ de la courbe, puis faites-le glisser selon le tracé voulu. La grille magnétique n’est prise en compte que pour le premier point d’une courbe à main levée, par conséquent, vous pouvez choisir de la désactiver lorsque vous dessinez la courbe.

Figure 3. Faites glisser le pointeur, puis relâchez le bouton de la souris.
Dessin d’une courbe à main levée

Lorsque vous relâchez le bouton de la souris, FrameMaker trace une courbe suivant le tracé indiqué et affiche des poignées de transformation et des points de contrôle, ce qui permet de modifier la courbe.

Tip: Pour un contrôle plus précis de la forme d’une courbe à main levée, créez une courbe en dessinant des lignes brisées ou des polygones, puis lissez-les.

Dessin d’un rectangle, d’un rectangle arrondi ou d’un ovale

  1. Cliquez sur l’outil Rectangle ou sélectionnez l’outil Ovale ou l’outil Rectangle arrondi dans la liste déroulante.

  2. Faites glisser le pointeur en diagonale sur la zone dans laquelle vous souhaitez afficher l’objet. Pour dessiner un carré ou un cercle, faites glisser le pointeur en maintenant la touche Maj enfoncée.

Figure 4. Faites glisser le pointeur, puis relâchez le bouton de la souris.
Dessiner un rectangle, un rectangle arrondi ou un ovale

Tip: Pour dessiner une bordure autour d’un graphique, dessinez autour du graphique un rectangle dont le motif de remplissage est défini sur Aucun.

Dessin d’un polygone régulier

  1. Dessinez un cercle ou un carré légèrement plus grand que le polygone à créer. Si vous dessinez un rectangle ou un ovale, le polygone que vous créerez ne sera pas régulier.

  2. Sélectionnez l’objet et choisissez Graphiques > Transformer > Nombre côtés.

  3. Spécifiez le nombre de côtés et l’angle de départ du polygone, puis cliquez sur Définir.

Figure 5. Objet d’origine et polygone régulier, avec nombre de côtés = 3 et angle de départ = 45°.
Dessin d’un polygone régulier

Dessin de plusieurs objets du même type sans cliquer à chaque fois sur l’outil

Procédez de l’une des façons suivantes :

  • Pour tous les objets (à l’exception des lignes de texte), cliquez sur l’outil tout en maintenant la touche Maj enfoncée. Pour désactiver l’outil, cliquez sur un autre outil de dessin ou sur l’outil de sélection ou du panneau Outils.

  • Pour les lignes de texte, appuyez sur la touche Entrée à la fin d’une ligne de texte et continuez la saisie.

Parent topic: Création de graphiques
Related information
  • Application et modification des caractéristiques de dessin
  • Alignement d’objets à l’aide de la gravité et des grilles
  • Redimensionnement et transformation d’objets


Sélection d’objets

Découvrez comment sélectionner un ou plusieurs objets à l’aide de l'outil de sélection et comment désélectionner un objet dans FrameMaker.

Vous pouvez sélectionner des objets qui se trouvent sur la même page ou dans le même cadre graphique. Lorsque vous sélectionnez un cadre graphique, tout objet sélectionné est désélectionné, le cas échéant. Lorsqu’un objet est sélectionné, des poignées s’affichent autour de celui-ci.

Outil de Sélection intelligente

Permet de placer un point d’insertion ou de sélectionner du texte lorsque le pointeur se trouve sur du texte et de sélectionner des objets lorsque le pointeur se trouve sur un objet. Lorsque l’outil de Sélection intelligente est actif, le pointeur prend la forme d’un I I s'il se trouve sur du texte, ou d'une flèche creuse Flèche s'il se trouve sur des objets. D’une manière générale, travaillez avec l’outil de sélection intelligent.

Outil de sélection d’objet

Utilisez l'outil de sélection d’objet pour travailler avec des lignes de texte et des zones de texte comme s’il s’agissait d’objets (pour déplacer ou redimensionner une zone de texte, par exemple). Si vous cliquez sur du texte lorsque l’outil de sélection d’objet est actif, vous sélectionnez la ligne ou la zone de texte en tant qu’objet au lieu de placer un point d’insertion dans le texte.

Note: Une fois l’objet dessiné, FrameMaker revient à l’outil de sélection intelligent. Pour conserver l’outil de sélection d’objets actif après avoir dessiné un objet, cliquez sur l’outil dans le panneau Outils tout en maintenant la touche Maj enfoncée.

Sélection d’un ou de plusieurs objets

Procédez de l’une des façons suivantes :

  • Pour sélectionner un objet, cliquez dessus. S’il est transparent (son motif de remplissage est défini sur Aucun), cliquez sur sa bordure. Si vous cliquez sur des objets superposés, FrameMaker sélectionne l’objet au premier plan.

  • Pour sélectionner plusieurs objets, pointez à l’extérieur des objets, puis faites glisser le pointeur en diagonale pour dessiner une bordure de sélection autour d’eux. Tous les objets à sélectionner doivent se trouver entièrement dans la bordure de sélection.

    Figure 1. Faites glisser le pointeur pour sélectionner plusieurs objets.
    Sélection d’un ou plusieurs objets

    Note: Si, au lieu de dessiner une bordure de sélection, vous déplacez l’objet car le pointeur était positionné sur celui-ci, choisissez immédiatement Edition > Annuler. Faites ensuite glisser le pointeur tout en maintenant la touche Maj enfoncée pour dessiner une bordure de sélection.

  • Pour sélectionner tous les objets contenus dans un cadre graphique, sélectionnez le cadre ou l’un des objets qui s’y trouvent, puis choisissez Edition > Sélect. cadre.

  • Pour sélectionner tous les objets sur une page, cliquez en dehors de tout objet et du texte de la page, puis choisissez Edition > Sélect. page.

Désélection d’objets

Procédez de l’une des façons suivantes :

  • Pour désélectionner un objet, cliquez en dehors de celui-ci.

  • Pour désélectionner un objet parmi plusieurs objets sélectionnés, cliquez sur l’objet (et non sur une de ses poignées) tout en maintenant la touche Maj enfoncée. Vous pouvez également appuyer sur la touche Ctrl et cliquer sur l’objet.

  • Pour désélectionner tous les objets sélectionnés, faites glisser la page à l’écart des objets.

  • Pour désélectionner plusieurs objets dans une même zone, placez le pointeur en dehors de tous les objets, puis faites-le glisser en diagonale tout en maintenant la touche Maj enfoncée afin de dessiner une bordure de sélection autour des objets. Lorsque vous relâchez le bouton de la souris, tous les objets englobés par la bordure de sélection sont désélectionnés. Si un objet présent dans la bordure de sélection n’était pas sélectionné lorsque vous avez commencé à faire glisser le pointeur, il le devient.

Parent topic: Création de graphiques


Application et modification des caractéristiques de dessin

Découvrez comment appliquer et modifier les caractéristiques de dessin, et comment utiliser des modèles, des styles de lignes et de flèches dans FrameMaker.

Les caractéristiques de dessin d’un objet incluent son motif de remplissage, le motif et l’épaisseur de son trait, les extrémités de ses lignes, sa couleur ainsi que le style de ses lignes (en pointillés ou continu). Les caractéristiques de dessin peuvent être modifiées à l’aide des listes déroulantes du panneau Outils.

Vous pouvez modifier les caractéristiques de dessin d’un objet avant de le dessiner ou sélectionner un objet déjà dessiné pour modifier ses caractéristiques. Dès que vous modifiez une caractéristique, elle devient la caractéristique en cours : elle sera appliquée à tout nouvel objet dessiné. Par exemple, si vous choisissez une épaisseur de trait de 1 point, cette caractéristique sera appliquée à tous les nouveaux objets dessinés jusqu’à ce que vous définissiez une autre épaisseur de trait ou que vous quittiez FrameMaker.

Vous pouvez rendre des objets similaires en appliquant les caractéristiques d’un objet à un autre.

Vous pouvez également modifier les couleurs dans la liste déroulante Couleur et personnaliser les choix ci-dessous qui s’affichent dans le panneau Outils :

  • Valeurs attribuées aux épaisseurs de trait qui s’affichent dans la liste déroulante Epaisseurs de trait.

  • Style d’extrémité de ligne qui détermine l’aspect de toute extrémité de ligne non munie d’une flèche

  • Motif utilisé par FrameMaker lorsque vous choisissez le style de ligne en pointillés dans la liste déroulante Styles de lignes (le motif affiché dans la liste déroulante ne change pas, mais FrameMaker utilise le nouveau motif).

Les nouveaux paramètres d’épaisseur de ligne restent inchangés jusqu’à ce que vous les modifiiez. Les autres nouveaux paramètres sont conservés jusqu’à ce que vous les modifiiez ou que vous quittiez FrameMaker.

Aucune des modifications décrites dans cette section n’est automatiquement appliquée aux objets existants. Cependant, vous pouvez appliquer les nouveaux paramètres aux nouveaux objets et aux objets existants.

Note: les lignes brisées et lignes en pointillés peuvent apparaître continues à l’écran et à l’impression si elles sont particulièrement épaisses et si elles présentent des angles aigus ou des extrémités arrondies ou saillantes. Pour que ces lignes s’impriment correctement, attribuez la valeur Simple aux options d’extrémités de ligne, diminuez l’épaisseur ou redessinez l’objet à l’aide de lignes distinctes.

Application d’un motif de remplissage ou de trait à un objet sélectionné

Choisissez le motif dans la liste déroulante Motif de remplissage Liste déroulante de motif de remplissage ou la liste déroulante Motif de trait Liste déroulante de motif de remplissage. Vous pouvez appliquer un fond à tous les objets à l’exception des lignes, des lignes de texte et des équations.

Figure 1. A. Motif de trait B. Motif de remplissage
Application d'un motif de remplissage ou d'un motif de trait à un objet sélectionné

Les huit motifs de trait et de remplissage gris possèdent les pourcentages suivants : 100, 90, 70, 50, 30, 10, 3 et 0 (aucune encre, généralement blanc).

Tip: Pour rendre un objet transparent (afin de voir les objets qui se trouvent derrière), choisissez Aucun comme motif de remplissage. Si vous ne voulez pas que votre objet ait une bordure, choisissez Aucun comme motif de trait. Pour voir la bordure d’un objet dont le motif de remplissage et le motif de trait sont tous deux définis sur Aucun, choisissez Affichage > Bordures.

Choix de l’épaisseur d’un trait ou de la bordure d’un objet

Choisissez une épaisseur dans la liste déroulante Définir épaisseurs de trait Liste déroulante SetLineWidths. Vous pouvez modifier l’épaisseur de trait de tout objet à l’exception des lignes de texte.

Modification des extrémités d’un arc, d’une ligne, d’une ligne brisée ou d’une courbe à main levée

Choisissez l’extrémité de ligne dans la liste déroulante Définir les extrémités de ligne Liste déroulante SetLineEndStyle. Vous pouvez ne pas utiliser de flèche ou en placer une au début, à la fin ou aux deux extrémités.

Définition du style d’une ligne ou des bordures d’un objet en continu ou en pointillés

Choisissez un style continu ou en pointillés dans la liste déroulante Définir le motif de ligne en pointillés Liste déroulante SetDashedLinePattern.

Consultation des caractéristiques de dessin d’un objet ou application de ces caractéristiques à d’autres objets

  1. Sélectionnez l’objet dont vous voulez examiner ou copier les caractéristiques.

  2. Choisissez Graphiques > Choisir caract. objet tout en maintenant la touche Maj enfoncée. Les caractéristiques de l’objet sélectionné deviennent alors les caractéristiques en cours dans le panneau Outils. Elles sont appliquées à tout nouvel objet que vous dessinez.

  3. Pour appliquer les caractéristiques à des objets existants, sélectionnez les objets à modifier. Dans le panneau Outils, cliquez sur les caractéristiques de dessin en cours à appliquer aux objets sélectionnés.

Modification des paramètres d’épaisseur de trait

  1. Dans la liste déroulante Définir les épaisseurs de trait du panneau Outils.

  2. Procédez de l’une des façons suivantes :

    • Pour modifier les épaisseurs de trait, faites glisser le curseur.

    • Pour modifier les épaisseurs de trait, cliquez sur le bouton Définir, puis entrez les nouvelles valeurs. Vous pouvez entrer les valeurs dans l’ordre de votre choix. Lorsque vous cliquez sur Définir, les épaisseurs de trait sont triées par ordre croissant. Les épaisseurs affichées dans la liste déroulante ne sont pas modifiées.

    • Pour revenir aux épaisseurs disponibles au démarrage de FrameMaker, cliquez sur Rétablir défaut.

Modification du style d’extrémité des lignes

  1. Sélectionnez Définir dans la liste déroulante Définir les extrémités de ligne du panneauOutils.

  2. Sélectionnez un style d’extrémité de ligne et cliquez sur Définir.

    Le Style d’extrémité définit le style de fin de ligne, comme indiqué dans l’illustration suivante :

Figure 2. A. Simple B. Arrondie C. Saillante
Modification du style de fin de ligne

Modification du style de ligne en pointillés

  1. Sélectionnez Définir dans la liste déroulante Définir le motif de ligne en pointillés du panneauOutils.

  2. Cliquez sur l’un des motifs, puis sur Définir.

Vous pouvez également créer des motifs de ligne en pointillés personnalisés.

Tip: Pour créer une ligne en pointillés formée de points, utilisez un motif de ligne en pointillés formée de tirets très courts et à extrémités arrondies.

Modification du style de flèche

Vous avez le choix entre plusieurs styles de flèches prédéfinis. Ces styles sont déterminés par leur angle de base, leur angle de pointe et leur longueur.

Figure 3. A. Angle de base B. Angle de pointe C. Longueur
Modification du style de flèche

Aucune des modifications décrites dans cette section n’est automatiquement appliquée aux objets existants. Cependant, vous pouvez appliquer le nouveau style de flèche aux objets nouveaux et existants.

  1. Sélectionnez Définir dans la liste déroulante Définir les extrémités de ligne du panneauOutils.

  2. Procédez de l’une des façons suivantes :

    • Cliquez sur un style de flèche prédéfini, puis sur Définir.

    • Choisissez un angle de base, un angle de pointe, une longueur et un style personnalisés, puis cliquez sur Définir. Les valeurs suivantes sont disponibles pour les options de personnalisation.

      Option

      Valeurs

      Angle de base

      Entre 10 et 175 degrés (et au moins 5 degrés de plus que l’angle de pointe)

      Angle de pointe

      Entre 5 et 85 degrés

      Longueur

      Entre 0 et 255 points

      Style

      Pleine Style de flèche remplie

      Creuse Style de flèche creuse

      Saillante Style de flèche

    FrameMaker ignore le paramètre d’angle de base si vous choisissez le style Saillante. La longueur spécifiée s’applique à tous les objets ayant une épaisseur de 1 point. Si vous utilisez une épaisseur de ligne supérieure, la pointe de flèche est plus longue.

    Le tableau suivant présente des exemples de flèches personnalisées et leurs paramètres.

    Flèche

    Angle de base

    Angle de pointe

    Longueur

    Exemple de flèche personnalisée avec un angle de base de 70 degrés, un angle de pointe de 30 degrés et une longueur de 10 points.

    70 degrés

    30 degrés

    10 points

    Exemple de flèche personnalisée avec un angle de base de 80 degrés, un angle de pointe de 30 degrés et une longueur de 10 points.

    80 degrés

    30 degrés

    10 points

    Exemple de flèche personnalisée avec un angle de base de 70 degrés, un angle de pointe de 15 degrés et une longueur de 10 points.

    70 degrés

    15 degrés

    10 points

    Exemple de flèche personnalisée avec un angle de base de 70 degrés, un angle de pointe de 30 degrés et une longueur de 5 points.

    70 degrés

    30 degrés

    5 points

    Exemple de flèche personnalisée avec un angle de base de 120 degrés, un angle de pointe de 30 degrés et une longueur de 5 points.

    120 degrés

    30 degrés

    5 points
Parent topic: Création de graphiques
Related information
  • Modification des paramètres d’épaisseur de trait
  • Utilisation des couleurs dans les objets
  • Polices


Ajout de texte aux graphiques

Découvrez comment ajouter du texte avec des graphiques dans FrameMaker, utiliser des zones de texte et des titres, et habiller des graphiques avec du texte.

Vous pouvez ajouter plusieurs lignes de texte isolées ou plusieurs zones de texte à un graphique.

Figure 1. A. Ligne de texte B. Zone de texte
Ajout de texte aux graphiques

Dans FrameMaker, on appelle ligne de texte une ligne de texte unique indépendante du reste du texte. La longueur des lignes de texte varie au fur et à mesure que vous les modifiez, mais elles ne passent pas automatiquement à la ligne suivante. En général, les lignes de texte sont utilisées pour des légendes d’une seule ligne ou pour du texte que vous voulez redimensionner de la même manière que n’importe quel autre objet.

Vous pouvez attribuer des styles de caractères et une langue de vérification orthographique à des lignes de texte. Cependant, ces lignes ne peuvent pas posséder de styles de paragraphes ni contenir des cadres ancrés, des marqueurs, des variables, des références croisées ou du texte conditionnel.

A la différence d’une ligne de texte, une zone de texte peut contenir plusieurs lignes de texte. Les zones de texte sont utilisées pour les légendes multilignes, les paragraphes de texte et tout autre texte auquel vous souhaitez appliquer un retour à la ligne automatique. Si un graphique chevauche un texte dans une zone de texte, vous pouvez habiller les graphiques avec le texte.

Tip: Lorsque vous redimensionnez une zone de texte créée à l’aide de l’outil Zone de texte, la taille de la police ne change pas. En revanche, lorsque vous redimensionnez une ligne de texte créée avec l’outil Ligne de texte, la hauteur et la largeur de la police changent en conséquence.

Ajout d’une ligne de texte à un graphique

  1. Sélectionnez Ligne de texte dans la liste déroulante Placer une zone de texte du panneau Outils

    Le pointeur se transforme en pointeur en I barré I lorsque vous le déplacez dans la fenêtre du document. La petite ligne horizontale qui traverse le pointeur indique la position de base de la ligne de texte.

  2. Cliquez sur le document pour placer un point d’insertion, puis entrez le texte. FrameMaker utilise le dernier style de caractère saisi ou sélectionné dans le document.

La ligne de texte est alignée à gauche sur son point d’alignement (à l’endroit auquel vous avez cliqué).

  • Pour créer plusieurs lignes de texte, appuyez sur la touche Entrée à la fin d’une ligne de texte pour en créer une nouvelle. Vous pouvez ensuite sélectionner les lignes de texte indépendamment et les déplacer, si nécessaire.

    Tip: Pour modifier le format des caractères d’un texte dans une ligne de texte, choisissez Format > Police ou la Configuration de caractères. Pour modifier la police de plusieurs lignes de texte simultanément, sélectionnez les lignes comme des objets et modifiez leur format.

La direction du texte (LTR ou RTL) dans une ligne de texte est héritée du document. Vous pouvez cependant choisir de changer la direction de la ligne de texte dans un document. Pour modifier la direction du texte dans une ligne de texte :

  1. Procédez de l’une des façons suivantes :

    Graphiques > Caractéristiques de l’objet > Ligne de texte.

    Graphiques > Configuration de style d'objet > Ligne de texte.

  2. Dans la liste déroulante Direction, changez la direction de la ligne de texte.

Ajout d’une zone de texte

  1. Sélectionnez Bloc de texte dans la liste déroulante Placer une zone de texte du panneau Outils.

  2. Faites glisser le pointeur en diagonale vers l’endroit auquel vous souhaitez ajouter la zone de texte.

  3. Dans la boîte de dialogue Créer nouvelle zone de texte, spécifiez le nombre de colonnes et la gouttière qui les sépare, puis cliquez sur Définir.

  4. Cliquez deux fois sur la zone de texte pour y placer un point d’insertion, puis entrez le texte.

Rectification d’une zone de texte dont le texte déborde

Si le texte saisi déborde de la zone de texte, le point d’insertion se déplace sous la bordure inférieure de la zone de texte et le texte ne s’affiche pas. La bordure inférieure de la zone de texte s’affiche sous la forme d’une ligne pleine si les bordures sont visibles.

Figure 2. Débordement de zone de texte
Correction des zones de texte débordantes

Vous pouvez soit agrandir la zone afin qu’elle contienne le texte, soit connecter l’enchaînement de la zone de texte à une autre (voir Déconnexion de zones de texte). Vous pouvez également diminuer la taille de la police du texte.

  1. Maintenez la touche Ctrl enfoncée et cliquez sur la zone de texte.

  2. Faites glisser une poignée pour agrandir le cadre.

Création de texte inversé dans une zone de texte

Vous pouvez mettre un texte en évidence en l’inversant, c’est-à-dire en faisant en sorte qu’il s’affiche en couleur claire sur un fond sombre. Le texte inversé peut se trouver dans une zone de texte ou une ligne de texte.

  1. Définissez la couleur et le motif de remplissage de la zone de texte.

  2. Choisissez Aucun comme motif de trait de la zone.

  3. Modification de la couleur du texte à l’aide de la fenêtre Configuration de caractères ou Configuration de paragraphes.

  4. Si nécessaire, modifiez les retraits et l’alignement du texte à l’aide de la fenêtre Configuration de paragraphes.

Création d’une ligne de texte inversé sur un objet

  1. Dessinez un objet qui servira d’arrière-plan pour le texte. En général, il est préférable d’utiliser un motif de remplissage presque noir pour l’objet.

  2. A l’extérieur de l’objet en arrière-plan, ajoutez une ligne de texte et entrez son texte.

  3. Maintenez la touche Ctrl enfoncée et cliquez sur la ligne de texte.

  4. Déplacez la ligne de texte afin qu’elle se fonde dans l’objet en arrière-plan.

    Figure 3. Dessinez l’objet et la ligne de texte, puis déplacez partiellement la ligne.
    En déplaçant les lignes de texte, une partie de celui-ci disparaît dans l'objet d'arrière-plan.

  5. Choisissez une couleur claire dans la liste déroulante Couleur du panneau Outils. Le texte apparaît partiellement détouré sur l’objet en arrière-plan.

    Si vous souhaitez modifier les caractéristiques d’habillage du graphique, choisissez Graphiques > Organiser > Devant. Si le résultat n’est toujours pas satisfaisant, assurez-vous que la couleur de la ligne de texte s’affiche pour le détour dans la vue de couleur courante du document.

  6. Déplacez la ligne de texte pour que toutes les lettres apparaissent détourées sur l’objet d’arrière-plan.

Figure 4. Choisissez une couleur claire, puis déplacez entièrement la ligne de texte.
Déplacer les lignes de texte pour que toutes les lettres apparaissent coupées de l'objet d'arrière-plan

Ajout d’un titre à une illustration

Vous pouvez inclure une ligne de texte ou une zone de texte dans un graphique en tant que titre. Vous pouvez également utiliser un paragraphe au-dessus ou au-dessous d’un cadre ancré comme titre de graphique. Cependant, il peut vous sembler plus simple d’utiliser les commandes du menu Tableau.

Figure 5. Tableau à cellule unique avec titre en dessous
Ajout d’un tableau à cellule unique avec titre en dessous

Vous pouvez aussi utiliser des tableaux à cellules multiples pour obtenir divers effets avec des graphiques et du texte. Dans l’exemple suivant, le tableau comporte deux cellules. La première contient plusieurs paragraphes numérotés automatiquement et la seconde l’illustration.

Figure 6. Tableau d’une ligne contenant deux cellules
Ajout d'un tableau à une ligne contenant deux cellules

Cette section décrit la procédure recommandée pour définir les styles de paragraphes, les styles de tableaux et les cadres ancrés dont vous aurez besoin pour utiliser des tableaux à cellule unique et leur titre pour des illustrations et leurs légendes.

  1. Utilisez la commande Tableau > Insérer tableau pour créer un tableau comportant une seule cellule suffisamment large pour contenir l’illustration.

  2. Utilisez la commande Tableau > Configuration de tableaux pour spécifier l'emplacement du titre (voir Ajout ou suppression d’un titre de tableau).

  3. Entrez le texte du titre.

  4. Formatez le titre du tableau.

  5. Enregistrez le style du titre du tableau dans le Catalogue de paragraphes (consultez Création d'un style de paragraphe).

  6. Modifiez le style de paragraphe de la cellule pour désactiver l’interligne fixe, afin que la taille d’un cadre ancré puisse modifier l’interligne du paragraphe.

    test

  7. Créez un cadre ancré dans la cellule en l’ancrant au point d’insertion (voir Création de cadres ancrés). Si nécessaire, la cellule peut s’agrandir verticalement pour s’adapter à la taille du cadre.

  8. Placez le graphique dans le cadre ancré et redimensionnez le cadre.

  9. Si le cadre est plus large que la cellule, modifiez la largeur de la colonne. Vous pouvez soit sélectionner la cellule du tableau et modifier sa largeur en faisant glisser une de ses poignées, soit utiliser la commande Tableau > Redimensionner colonnes (voir Lignes et colonnes d'un tableau).

  10. Enregistrez le format du tableau dans le Catalogue de tableaux (voir Création, modification et suppression de styles de tableaux).

  11. La prochaine fois que vous devrez ajouter un tableau pour une illustration et son titre, utilisez la commande Tableau > Insérer un tableau ou copiez et collez le tableau.

Habillage de graphiques avec du texte

Vous pouvez faire en sorte que le texte d’une zone de texte habille un graphique qui chevauche le texte. Toutefois, cela n’est pas possible pour une ligne de texte ou une équation. Si un graphique est directement placé sur une page ou dans un cadre non ancré, le texte peut suivre le contour du graphique ou s’aligner verticalement autour d’un cadre imaginaire entourant le graphique.

Figure 7. Habillage suivant le contour et habillage suivant le cadre
Habillage suivant le contour et habillage suivant le cadre

Vous pouvez également habiller de texte des cadres ancrés (pour placer un petit graphique ou une lettrine au début d’un paragraphe, par exemple).

Lorsque le texte d’une zone de texte habille un graphique, FrameMaker ne justifie pas ce texte verticalement.

  1. Dessinez ou placez le graphique sur une page. Si vous le placez sur une maquette, il s’affiche comme un graphique d’arrière-plan sur toutes les pages courantes associées. Vous pouvez alors faire en sorte que le texte sur ces pages courantes habille le graphique.

    Cliquez dans la marge de la page avant d’importer ou de coller le graphique. Sinon, le document contient un point d’insertion et, par conséquent, le graphique se place dans un cadre ancré.

  2. Sélectionnez le graphique. S’il est composé de plusieurs objets, sélectionnez tous les objets.

  3. Si vous souhaitez habiller de texte un graphique importé, assurez-vous qu’il se trouve derrière la zone de texte. Pour ce faire, sélectionnez le graphique et choisissez Graphiques > Organiser > Derrière.

  4. Si vous souhaitez modifier les caractéristiques d’habillage du graphique, choisissez Graphiques > Caractéristiques d'habillage, et procédez de l’une des façons suivantes :

    • Pour que le texte habille le graphique, cliquez sur un style d’habillage et définissez une gouttière.

    • Pour empêcher que le texte n’habille le graphique, cliquez sur Ne pas habiller.

    Note: Si le paramètre Style a pour valeur Tel que lorsque vous affichez la boîte de dialogue Caractéristiques d’habillage, vous avez sélectionné plusieurs graphiques qui ont des caractéristiques d’habillage différentes.

  5. Cliquez sur Définir-

Tip: Si les paramètres ne produisent pas exactement les résultats escomptés, ajoutez un objet (avec des motifs de trait et de remplissage définis sur Aucun) près du graphique pour créer le contour autour duquel placer le texte.
Parent topic: Création de graphiques
Related information
  • Redimensionnement et transformation d’objets
  • Modification des polices à l’aide des fenêtres de configuration
  • Retrait, alignement et espacement
  • Cadres ancrés insérés dans un texte de paragraphe
  • Justification verticale du texte en bas des zones de texte


Copie d’objets et modification de leur disposition

Découvrez comment copier et organiser des objets dans FrameMaker, modifier l’ordre de superposition, utiliser la gravité, la grille et la distribution d’objets.

Coupage, copie et collage d’un objet à l’aide du Presse-papiers

  1. Sélectionnez l’objet et choisissez Edition > Couper, ou Edition > Copier.

  2. Procédez de l’une des façons suivantes :

    • Pour coller l’objet sur une page, cliquez dans la marge de la page.

    • Pour coller l’objet dans un cadre graphique, cliquez sur la bordure du cadre pour sélectionner le cadre.

    • Pour coller l’objet dans le texte, cliquez à l’endroit auquel vous voulez coller l’objet.

  3. Sélectionnez Editon > Coller. Si vous collez l’objet dans un cadre graphique ou sur une page de la même taille que celle qui contient l’objet copié ou coupé, FrameMaker place l’objet au même endroit relatif. Sinon, FrameMaker centre l’objet.

Si vous collez un objet dans un texte, FrameMaker crée un cadre ancré pour y placer l’objet et centre ce dernier dans le cadre. Un symbole d’ancrage Symbole d'ancrage apparaît au niveau du point d’insertion lorsque l’affichage des symboles de texte est activé.

Copie d’un objet par glissement

  1. Sélectionnez l’objet.

  2. Placez le pointeur sur l’objet (pas sur une poignée) et faites glisser la copie de l’objet tout en maintenant la touche Alt enfoncée ou faites glisser l’objet avec le bouton droit de la souris, puis sélectionnez Copier ici à partir du menu contextuel. Pour restreindre le déplacement de la copie à une direction horizontale ou verticale, maintenez la touche Maj enfoncée lorsque vous faites glisser le pointeur.

Suppression d’un objet

Sélectionnez l’objet et appuyez sur la touche Suppr.

Déplacement d’un objet

  1. Sélectionnez l’objet.

  2. Procédez de l’une des façons suivantes :

    • Faites glisser l’objet dans la direction souhaitée.

    • Pour déplacer l’objet horizontalement ou verticalement, faites-le glisser tout en maintenant la touche Maj enfoncée.

    • Pour déplacer un objet dans un cadre graphique, faites-le glisser jusqu’à ce que le pointeur se trouve dans le cadre.

    • Pour déplacer un objet en dehors d’un cadre graphique, faites-le glisser jusqu’à ce que le pointeur se trouve en dehors du cadre. Lorsque vous faites glisser l’objet, la bordure du cadre peut temporairement rogner l’objet.

      Lorsque vous faites glisser l’objet, la barre d’état affiche la distance entre l’angle supérieur gauche de l’objet et l’angle supérieur gauche de la page (ou du cadre, si l’objet se trouve dans un cadre graphique). Si les règles sont visibles, leurs lignes indiquent la position de l’objet. Si la grille magnétique est active, les objets s’accrochent à la grille invisible lorsque vous les faites glisser.

      Tip: Si le contenu de votre écran n’est pas mis à jour correctement lors du déplacement d’un objet, appuyez sur les touches Ctrl+l (l minuscule) pour l’actualiser.

    • Pour déplacer un objet par petits incréments, appuyez sur une touche fléchée en maintenant la touche Alt enfoncée pour un déplacement de 1 point ou en maintenant les touches Alt+Maj enfoncées pour un déplacement de 6 points. N’utilisez pas les touches fléchées du pavé numérique.

      Les distances précédentes sont basées sur un paramètre de zoom de 100 %. La distance de déplacement réelle dépend du paramètre de zoom courant (plus celui-ci est élevé, plus la précision est grande). Ainsi, à un niveau de zoom de 200 %, la distance est divisée par deux. Avec un zoom de 50 %, la distance est doublée.

    • Pour spécifier la position exacte d’un objet, sélectionnez l’objet, choisissez Graphiques > Propriétés de l’objet, faites l’un des éléments suivants et appliquez les modifications :

      • Pour tous les objets à l’exception des lignes de texte et des équations, spécifiez le décalage à partir des bords supérieur et gauche de la page ou du cadre graphique dans la zone Décalage à partir de.

        Figure 1. A. Décalage à partir de la gauche B. Décalage à partir du haut
        Spécifier le décalage par rapport aux marges supérieures et gauche de la page ou du cadre graphique dans la zone OffsetFrom.

      • Pour les lignes de texte et les équations, indiquez le décalage dans la zone Décalage du point d’align. à partir de.

        Figure 2. Ligne de texte alignée à gauche
        Spécification du décalage dans la zone Décalage du point d’align.

        A. Décalage à partir de la gauche B. Décalage à partir du haut

Modification de l’ordre de superposition des objets

Lorsque vous dessinez ou collez un objet, FrameMaker le place devant tous les autres objets de la page ou du cadre graphique. Vous pouvez contrôler le chevauchement des objets en les plaçant devant ou derrière d’autres objets.

Figure 3. Cercle au premier plan et cercle à l’arrière-plan
Contrôle de la superposition des objets en les plaçant devant ou derrière d'autres objets

  • Sélectionnez l’un des objets et procédez de l’une des façons suivantes :

    • Pour placer un objet derrière d’autres objets, choisissez Graphiques > Organiser > Devant.

    • Pour placer un objet derrière d’autres objets, choisissez Graphiques > Organiser > Derrière.

    Tip: Pour créer une ombre portée, superposez deux objets et décalez-les légèrement.

Alignement d’objets à l’aide de la gravité et des grilles

Vous pouvez aligner des objets les uns par rapport aux autres (à l’exception des cadres graphiques) le long d’une ligne horizontale (en spécifiant l’alignement en haut ou en bas) ou le long d’une ligne verticale (en spécifiant l’alignement à gauche ou à droite).

  1. Sélectionnez les objets et choisissez Graphiques > Organiser > Aligner. Pour aligner un seul objet dans un cadre graphique ou sur une page (le long du bord gauche d’un cadre graphique par exemple), ne sélectionnez que l’objet à aligner.

  2. Choisissez l’alignement souhaité et cliquez sur Aligner. Pour aligner des objets dans une seule direction, définissez l’autre direction sur Tel que.

FrameMaker aligne les objets (le long de leur tracé) sur dernier objet sélectionné. Par exemple, l’option En haut aligne les objets sélectionnés sur le dernier objet sélectionné, qui ne correspond pas forcément à l’objet le plus haut dans le cadre ancré.

Si vous avez sélectionné des objets en faisant glisser une bordure de sélection, FrameMaker aligne les objets sur l’objet au premier plan.

La gravité des objets agit sur leurs axes et leurs angles. Elle agit également sur le centre des rectangles et des ovales. Certains points d’un objet exercent une attraction plus forte que d’autres. Par exemple, les angles d’un triangle attirent le pointeur plus que ses côtés.

Si la commande Gravité est activée, un objet attire le pointeur lorsque vous dessinez, redimensionnez ou transformez un objet voisin. La gravité n’a aucun effet lorsque vous déplacez des objets.

La gravité couvre la même distance à l’écran quel que soit le paramètre de zoom. Lorsque vous effectuez un zoom avant, les objets et l’espacement semblent plus grands, ce qui permet de faire glisser une poignée ou de dessiner plus précisément sans pour autant attirer le pointeur.

Alignement d’objets à l’aide de la gravité

Il est plus facile de connecter des objets lorsque vous utilisez la fonction Gravité. Si les options Gravité et Magnétisme sont sélectionnées dans le menu Graphiques, c’est l’option Gravité qui prévaut.

  1. Si l’option Gravité n’est pas activée, choisissez Graphiques > Organiser > Gravité.

  2. Faites glisser la poignée d’un objet ou dessinez un objet à proximité de celui auquel vous voulez le connecter. Lorsque vous faites glisser la poignée, elle avance par incréments pour connecter les deux objets.

Figure 4. La gravité assure un alignement parfait.
Utilisation de la gravité pour aligner des objets

Alignement d’objets sur une grille

La grille visible s’affiche à l’écran sous la forme de lignes horizontales et verticales, mais elle n’apparaît pas sur la page imprimée. Un cadre graphique contient sa propre grille visible, qui commence dans l’angle supérieur gauche du cadre.

La grille magnétique invisible attire les objets. Lorsque vous dessinez, faites pivoter, redimensionnez ou faites glisser des objets (et lorsque vous faites glisser les symboles de retrait et de taquet de tabulation de la règle), ils s’accrochent à la grille invisible.

Note: Si les options Magnétisme et Gravité sont sélectionnées dans le menu Graphiques, c’est l’option Gravité qui prévaut.

  • Pour afficher ou masquer la grille, choisissez Affichage > Grille. Si la grille ne s’affiche pas dans une zone de texte, choisissez le motif de remplissage Aucun.

  • Pour activer ou désactiver la grille magnétique, choisissez Graphiques > Organiser > Magnétisme.

  • Pour modifier l’espacement de la grille, choisissez Affichage > Options, effectuez l’une des opérations suivantes, puis cliquez sur Définir :

    • Pour définir l’espace entre les lignes dans la grille visible, choisissez l’espacement dans la liste déroulante Grille.

    • Pour définir l’intervalle de la grille magnétique, entrez une valeur dans la zone de texte Espacement de la grille.

    • Pour définir l’intervalle magnétique pour la rotation des objets, entrez le nombre de degrés dans la zone de texte Rotation.

Tip: Si vous souhaitez utiliser les grilles simultanément, il est conseillé de définir l’espacement de la grille visible sur un multiple de l’intervalle de la grille magnétique. Par exemple, si l’espacement de la grille magnétique est de 0,125 pouce, vous pouvez définir l’espacement de la grille visible sur 0,125, 0,25 ou 0,5 pouce.

Alignement de lignes de texte

Lorsque vous créez une ligne de texte, elle s’aligne à gauche sur son point d’alignement (à l’endroit auquel vous avez cliqué). Vous pouvez centrer la ligne ou l’aligner à droite. FrameMaker conserve ensuite l’alignement de la ligne de texte lorsque vous insérez du texte.

  1. Sélectionnez la ligne de texte et choisissez Graphiques > Propriétés de l’objet.

  2. Choisissez un nouvel alignement dans la liste déroulante Alignement, puis cliquez sur Aligner.

Répartition d’objets

Vous pouvez déplacer des objets et les répartir afin qu’ils se retrouvent à égale distance les uns des autres. La répartition peut s’effectuer sur un plan vertical ou horizontal.

Figure 5. Objets avant et après répartition (avec un intervalle nul)
Avant et après répartition des objets

Centres équidistants et bords équidistants
Distribution d’objets avec centres et bords équidistants

Si vous spécifiez l’espacement exact entre les objets (l’intervalle), FrameMaker déplace tous les objets sauf celui qui se trouve à gauche ou en haut. Si vous spécifiez que les centres ou les côtés des objets doivent être équidistants, FrameMaker laisse les objets de gauche et de droite (ou du haut et du bas) là où ils sont et déplace les autres.

  1. Sélectionnez les objets et choisissez Graphiques > Organiser > Répartir.

  2. Choisissez l’espacement souhaité et cliquez sur Répartir. Pour répartir des objets dans une seule direction, définissez l’autre direction sur Tel que.

Si vous spécifiez un intervalle trop élevé, les objets risquent de sortir de la page. Si tel est le cas, choisissez immédiatement Edition > Annuler.

Définition d’une intersection nette de lignes

L’intersection peut être nette si les lignes possèdent la même épaisseur, forment un angle droit et ont une extrémité saillante ; elle ne le sera pas si leur extrémité respective est saillante, mais qu’elles ne se coupent pas à angle droit. Examinez les différentes intersections créées en utilisant les trois styles d’extrémités de ligne.

Figure 6. A. Saillante B. Simple C. Arrondie
Intersections créées par l'utilisation de styles de lignes en saillie, en bout et rondes.

Procédez de l’une des façons suivantes :

  • Si les deux lignes ne forment pas un angle droit, attribuez-leur des extrémités arrondies.

  • Si les lignes ne sont pas de la même épaisseur, attribuez une extrémité simple à la ligne la plus fine lorsque les lignes se rencontrent en leurs extrémités ou au pied du Tlorsqu’elles forment un T.

Pour plus de détails sur la modification du style d’extrémité d’une ligne, reportez-vous à la section Modification du style d’extrémité des lignes.

Groupement et dissociation d’objets

Si plusieurs objets (à l’exception des cadres graphiques) font partie d’un même graphique, vous pouvez les grouper. Vous pouvez ensuite les modifier et les organiser comme s’ils constituaient un seul objet.

Vous pouvez combiner un groupe d’objets à d’autres objets pour former un groupe plus important. Comme FrameMaker groupe et dissocie les objets de façon hiérarchique, le premier ensemble d’objets groupés est conservé comme une entité lorsque vous le groupez avec d’autres objets.

  • Pour grouper les objets, sélectionnez-les et choisissez Graphiques > Organiser > Grouper. Un ensemble de poignées apparaît autour du groupe.

    Figure 7. Objets sélectionnés, puis groupés
    Sélection d’objets pour les grouper

  • Pour dissocier les objets, sélectionnez le groupe et choisissez Graphiques > Organiser > Dissocier. Des poignées s’affichent autour de chaque objet du groupe. Si un ensemble a été groupé à d’autres objets, vous devez sélectionner Dissocier plusieurs fois pour dissocier tous les objets.

Parent topic: Création de graphiques
Related information
  • Application et modification des caractéristiques de dessin


Jonction de lignes et de courbes

Découvrez comment joindre une ligne et des courbes autour des objets dans FrameMaker.

Vous pouvez créer des contours complexes en joignant des lignes individuelles, des lignes brisées, des arcs ou des lignes brisées lissées créés avec les outils de dessin de FrameMaker. La jonction crée une courbe continue unique. Les caractéristiques de cette nouvelle courbe peuvent ensuite être modifiées (son épaisseur, ses motifs de remplissage et de trait et sa couleur par exemple).

Figure 1. Objets dessinés, puis positionnés et sélectionnés
Dessin, positionnement et sélection d'objets

Figure 2. Objets joints, puis ajout d’un motif de remplissage
Joindre l’objet puis remplir le motif

  1. Positionnez les objets afin que leurs extrémités se touchent. Les extrémités des lignes ou des courbes doivent être placées à environ 1 point les unes des autres et les objets ne peuvent pas être groupés. Si nécessaire, choisissez Graphiques > Organiser > Gravité et effectuez un zoom avant.

  2. Sélectionnez les objets et choisissez Graphiques > Organiser > Joindre. La nouvelle courbe se voit attribuer les caractéristiques du dernier objet sélectionné avant la jonction (par exemple, l’épaisseur de trait, le motif de trait et la couleur de cet objet). Dans l’illustration ci-dessus, l’arc était le dernier objet sélectionné avant la jonction.

Note: Si vous joignez des lignes ou des courbes par erreur, choisissez immédiatement Edition > Annuler. La jonction crée un objet continu unique qui ne peut être divisé ultérieurement, comme pourraient l’être les objets groupés.
Parent topic: Création de graphiques


Inversion et rotation d’objets

Découvrez comment inverser et faire pivoter un objet et créer un effet symétrique dans FrameMaker.

Vous pouvez créer une image réfléchie d’un objet en l’inversant selon un axe vertical ou horizontal.

Vous pouvez appliquer une rotation de n’importe quel degré à tous les objets (à l’exception des équations et des cadres graphiques). La rotation des cadres graphiques et des équations s’effectue par incréments de 90 degrés.

Tous les objets (à l’exception des équations et des lignes de texte) pivotent autour de leur centre.

Les équations et lignes de texte pivotent autour de leur point d’alignement.

Il peut vous sembler plus facile de modifier des objets (les aligner ou les répartir par exemple) lorsqu’ils se trouvent dans leur position avant rotation. Une fois l’objet modifié, vous pouvez lui appliquer une rotation et ainsi restaurer sa position précédente.

Note: si vous appliquez une rotation à une image PICT importée ou à une page contenant une image PICT importée, l’impression de l’image sera peut-être de qualité moyenne. Pour améliorer l’impression, convertissez l’image au format TIFF ou EPS et réimportez-la.

Inversion d’un objet

Sélectionnez l’objet et choisissez Graphiques > Inverser G/D ou Graphiques > Inverser H/B. Si l’objet contient du texte, ce dernier n’est pas inversé. Par exemple, lorsque vous inversez le texte d’une ligne de texte, ce dernier n’apparaît pas inversé, mais le point d’alignement de la ligne de texte l’est.

Figure 1. A. Original B. Inversion de haut en bas C. Inversion de gauche à droite
Inversement d’un objet

Création d’un objet symétrique

  1. Dessinez la moitié de l’objet et copiez-la.

    Figure 2. Dessin, puis copie
    Dessiner un objet et en faire une copie

  2. Inversez la copie et déplacez-la afin qu’elle touche l’original.

    Figure 3. Inversion, puis déplacement
    Inversement puis déplacement d’un objet

Plutôt que de déplacer la copie vers l’objet d’origine, vous pouvez utiliser la commande Répartir avec un intervalle de zéro pour assurer un alignement exact des objets.

Rotation des objets par glissement

  1. Sélectionnez l’objet.

  2. Maintenez la touche Alt enfoncée et faites glisser une poignée.

    Si la grille magnétique est activée, l’objet s’accroche selon les valeurs multiples de l’angle spécifié dans la boîte de dialogue Options d’affichage. Pour forcer une rotation par incréments de 45 degrés, maintenez également la touche Maj enfoncée lorsque vous faites glisser la poignée.

Rotation précise d’un objet

Sélectionnez un objet et procédez de l’une des façons suivantes :

  • Pour faire pivoter l’objet à partir de sa position actuelle, choisissez Graphiques > Faire pivoter, spécifiez la direction et l’angle de la rotation, puis cliquez sur Rotation. Si vous appliquez une rotation de cette façon à plusieurs objets non groupés, chaque objet pivote autour de son centre.

    Note: cette méthode fonctionne également pour les équations et les cadres graphiques.

  • Pour faire pivoter l’objet selon un certain angle, choisissez Graphiques > Propriétés de l’objet, entrez l’angle de rotation et cliquez sur Définir.

Parent topic: Création de graphiques
Related information
  • Répartition d’objets


Rognage ou masquage de graphiques

Découvrez comment rogner et masquer des graphismes dans FrameMaker, et comment utiliser un bloc graphique.

Pour rogner les bords d’un graphique, placez ce dernier dans un cadre graphique ancré ou non ancré. Un cadre graphique ancré se déplace avec le texte environnant. Un cadre graphique non ancré reste au même emplacement sur une page, même si le texte environnant se déplace à la suite d’une modification.

Figure 1. Graphiques rognés et non rognés dans des cadres graphiques
Graphiques rognés et non rognés dans des cadres graphiques

Si vous souhaitez masquer une partie d’un graphique, en particulier si cette partie se trouve au centre du graphique, vous pouvez recouvrir cette partie par des objets sans bordure.

Rognage des bords d’un cadre

  1. Pour créer un cadre graphique, procédez de l’une des façons suivantes :

    • Pour créer un cadre non ancré, cliquez sur l’outil Placer un cadre graphique du panneau Outils et faites glisser le pointeur afin de dessiner le cadre. Pour dessiner un carré, maintenez la touche Maj enfoncée pendant le déplacement du pointeur.

    • Pour créer un cadre ancré, utilisez la commande Insérer > Cadre ancré.

  2. Pour placer le graphique dans le cadre, procédez de l’une des façons suivantes :

    • Faites glisser le graphique dans le cadre.

    • Sélectionnez le graphique, choisissez Edition > Copier ou Edition > Couper, sélectionnez la bordure du cadre, puis choisissez Edition > Coller.

  3. Redimensionnez le cadre autour du graphique.

Masquage d’une zone au sein d’un cadre graphique

Placez des objets graphiques (tels que des rectangles et des polygones) avec un fond et un motif de trait blancs devant les parties à masquer.

Parent topic: Création de graphiques
Related information
  • Création de cadres ancrés


Mesure de la taille d’un objet et détermination de sa position

Découvrez comment mesurer la taille d'un objet et déterminer sa position dans FrameMaker.

Lorsque vous agencez et redimensionnez les objets dans une illustration, vous pouvez souhaiter connaître leurs dimensions et leur position exactes.

La taille d’un objet correspond à la taille du rectangle qui renferme son tracé. Sa position correspond à la distance depuis les bords supérieur et gauche de la page ou du cadre graphique.

Figure 1. Taille et position de l’objet
Mesure de la taille d’un objet et détermination de sa position

Mesure d’un objet

Procédez de l’une des façons suivantes :

  • Sélectionnez l’objet et choisissez Graphiques > Propriétés de l'objet. La largeur et la hauteur de l’objet s’affichent dans le champ Taille de la boîte de dialogue Caractéristiques de l’objet.

  • Désactivez l’option Magnétisme, sélectionnez l’objet, pointez sur l’une de ses poignées et maintenez le bouton de la souris enfoncé. Les dimensions s’affichent dans la barre d’état. Si vous déplacez la souris par erreur et redimensionnez l’objet, choisissez aussitôt Edition > Annuler.

Affichage de la position d’un objet

  1. Sélectionnez l’objet.

  2. Sélectionnez Graphiques > Propriétés de l’objet. Pour tous les objets à l’exception des équations et des lignes de texte, la distance entre l’angle supérieur gauche de la page ou du cadre graphique et le point supérieur gauche de l’objet s’affiche dans le champ Décalage à partir de. Pour les équations et les lignes de texte, la distance entre l’angle supérieur gauche de la page ou du cadre graphique et le point d’alignement sur la ligne de base de la ligne de texte ou de l’équation s’affiche dans le champ Décalage du point d’align. à partir de.

Affichage de la position d’un objet lorsque vous le déplacez

Observez la barre d’état. La distance entre l’objet et l’angle supérieur gauche de la page ou du cadre graphique s’y affiche. Si les règles sont visibles, leurs repères affichent également la position de l’objet.

Mesure d’une distance sur la page

  1. Placez le pointeur à l’emplacement auquel vous souhaitez commencer la mesure.

  2. Pour afficher une bordure de sélection, faites glisser le pointeur en maintenant les touches Ctrl et Maj enfoncées, sans relâcher le bouton de la souris.

  3. Lorsque la bordure de sélection englobe la zone à mesurer, les dimensions s’affichent dans la barre d’état.

Figure 2. Les dimensions s’affichent dans la barre d’état.
Dimensions de l'objet dans la barre d'état

Dans cet exemple, la dimension la plus élevée correspond à la hauteur (35 points entre les bases des triangles).

Parent topic: Création de graphiques


Redimensionnement et transformation d’objets

Découvrez comment redimensionner et transformer des objets dans FrameMaker, redimensionner des graphiques importés, et lisser et rendre bruts des objets.

Lorsque vous peaufinez un graphique, vous pouvez modifier la taille et la forme des objets. Les possibilités de transformation sont illimitées. Par exemple, vous pouvez définir un nouvel angle pour une ligne brisée ou un polygone, déplacer un angle pour modifier sa forme et lisser une ligne brisée pour créer une courbe à main levée.

Figure 1. Polygone d’origine et polygone après l’ajout d’un angle
Polygone d’origine et polygone après l’ajout d’un angle

Figure 2. Angle déplacé puis lissé
Déplacer un coin et le lisser

Vous pouvez redimensionner tous les objets, y compris les lignes de texte. Lorsque vous redimensionnez une zone de texte créée avec l’outil Zone de texte, le texte reste inchangé. En revanche, lorsque vous redimensionnez une ligne de texte créée avec l’outil Ligne de texte, la hauteur et la largeur de la police changent en conséquence.

Figure 3. Avant et après le redimensionnement d’une ligne de texte (et non d’une zone de texte)
Avant et après le redimensionnement d’une ligne de texte

Vous pouvez modifier la forme des lignes, des lignes brisées, des polygones, des courbes et des arcs de la façon suivante :

  • Transformez une ligne, une ligne brisée ou un polygone en déplaçant ses angles un par un. Vous pouvez aussi ajouter ou supprimer des angles.

  • Transformez une courbe en déplaçant ses poignées de transformation (qui permettent de définir la courbe et de déterminer son emplacement) et ses points de contrôle (qui permettent d’ajuster la courbure). Vous pouvez également ajouter et supprimer des poignées de transformation en modifiant le nombre de points qui définissent la courbe.

Figure 4. A. Poignée de transformation B. Point de contrôle
Transformation d’une courbe en changeant la position de sa poignée de remodelage et de ses points de contrôle.

  • Pour transformer un arc, il suffit de faire glisser ses extrémités ou de modifier le pourcentage d’un cercle représenté par l’arc.

Redimensionnement d’un objet par glissement

Sélectionnez l’objet et procédez de l’une des façons suivantes :

  • Pour modifier la hauteur ou la largeur, faites glisser une poignée latérale.

  • Pour modifier la hauteur et la largeur, faites glisser une poignée d’angle.

  • Pour augmenter ou diminuer les dimensions proportionnellement, faites glisser une poignée d’angle tout en maintenant la touche Maj enfoncée.

Les dimensions de l’objet s’affichent dans la barre d’état lorsque vous faites glisser la poignée.

Redimensionnement précis d’un objet

  1. Sélectionnez l’objet et choisissez Graphiques > Redimension.

  2. Procédez de l’une des façons suivantes :

    • Pour augmenter ou diminuer la hauteur et la largeur proportionnellement, entrez un facteur d’échelle et cliquez sur Redimensionner. Le facteur est toujours relatif à la taille courante de l’objet (100 % signifie aucune modification).

    • Pour spécifier des dimensions exactes, entrez les dimensions et cliquez sur Redimensionner. Les dimensions affichées dans la boîte de dialogue constituent les dimensions courantes de l’objet (sans rotation).

Redimensionnement de graphiques importés

Vous pouvez redimensionner les graphiques importés de plusieurs manières. Par exemple, vous pouvez modifier la largeur ou la hauteur, la valeur en PPP ou le facteur d’échelle depuis la boîte de dialogue Caractéristiques. Ou bien, vous pouvez utiliser le menu contextuel pour changer rapidement la taille de l’image proportionnellement au cadre ancré

Note: Sélectionnez Modifier > Préférences > Graphiques et sélectionnez l’option Mise à l'échelle automatique de l'image en largeur (à l'insertion) lorsque vous insérez une image dans une zone de texte, une cellule de tableau, un en-tête, un titre de marge ou une colonne. L'image est mise à l'échelle et s'adapte automatiquement. Consultez Mise à l'échelle automatique d'une image dans un cadre graphique.

Pour redimensionner une image, procédez de l’une des façons suivantes :

  • Ouvrez la boîte de dialogue Propriétés de l’objet en cliquant sur l’image et en sélectionnant Graphiques > Propriétés de l'objet. Sinon, cliquez avec le bouton droit sur une image et choisissez Propriétés de l'objet dans le menu contextuel.

  • Dans le panneau Caractéristiques de l’objet, utilisez l’une des méthodes suivantes pour redimensionner une image :

    • Taille : définissez la largeur ou la hauteur de l’image, ou les deux.

      Si vous avez sélectionné l’option Préserver le rapport d’aspect, le rapport d’aspect de l’image est automatiquement préservé. Sinon, l’image est redimensionnée selon les valeurs de hauteur ou de largeur spécifiées.

    • Mise à l’échelle : spécifiez un facteur d’échelle en pourcentage.

    • PPP : sélectionnez une option dans la liste déroulante PPP. Vous pouvez choisir parmi les PPP prédéfinis de 72, 96, 150, 300 PPP ou vous pouvez spécifier une valeur.

    • Appuyez sur la touche Maj et faites glisser une poignée d’angle de l’image bitmap. Maintenir la touche Maj enfoncée lors du déplacement permet de conserver le rapport d’aspect largeur/hauteur du graphique.

  • Cliquez avec le bouton droit sur une image et choisissez l’une des options suivantes pour redimensionner l’image :

    • Adapter au cadre : redimensionner l’image à la taille de son cadre ancré. Cela ne permet pas de conserver les proportions de l’image.

    • Adapter au cadre (proportionnellement) : redimensionnez l’image à la taille de son cadre ancré en maintenant son rapport d’aspect.

    Le menu contextuel vous permet également de basculer rapidement entre la sélection de l’image et son cadre ancré.

Lorsque vous importez une image et que vous la mettez à l’échelle ou que vous utilisez la fonctionnalité Adapter au cadre (proportionnellement), FrameMaker maintient la résolution de l'image au meilleur DPI possible lorsque vous redimensionnez une image en conservant son format d'origine. Cette valeur se reflète également dans le PPP de l'image redimensionnée.

Figure 5. La PPP reflète la modification de la résoluton d’image de l’image redimensionnée

Note: Si le graphique est un fichier TIFF (ou autre format utilisant des paramètres PPP), la mise à l’échelle doit s’effectuer à l’aide de la commande Caractéristiques de l'objet, afin d’éviter que la valeur PPP ne soit perdue lors du redimensionnement à l’aide de la boîte de dialogue Redimensionner.

Déplacement d’un angle d’une ligne brisée ou d’un polygone

  1. Sélectionnez l’objet et choisissez Graphiques > Redimesion > Redimension. Les poignées de transformation s’affichent sur l’objet, remplaçant les poignées de sélection.

  2. Faites glisser une poignée. Pour déplacer la poignée horizontalement ou verticalement, faites-la glisser tout en maintenant la touche Maj enfoncée.

Ajout et suppression d’un angle ou d’une poignée de transformation

  1. Sélectionnez la ligne, la ligne brisée, le polygone ou la courbe et choisissez Graphiques > Redimension > Redimension.

  2. Cliquez à l’endroit auquel vous voulez ajouter une poignée de transformation (ou un angle) tout en maintenant la touche Ctrl enfoncée ou cliquez sur la poignée à supprimer tout en maintenant la touche Ctrl enfoncée.

Transformation d’une courbe

  1. Select the curve and choose Graphics > Reshape > Reshape. Les poignées de transformation s’affichent aux emplacements définissant la courbe. Les points de contrôle s’affichent aussi autour de l’une des poignées.

  2. Si les points de contrôle ne sont pas ceux que vous voulez utiliser, cliquez sur la poignée correspondant à l’endroit auquel vous souhaitez modifier la courbe. Les points de contrôle s’affichent alors autour de la poignée sur laquelle vous cliquez (les deux points qui correspondent à la poignée et le plus proche de part et d’autre de celle-ci).

  3. Faites glisser une poignée pour modifier la position de la courbe au niveau de la poignée ou faites glisser ou pivoter un point de contrôle pour modifier la courbure. Quand vous commencez à faire glisser la poignée ou le point de contrôle, une tangente apparaît au niveau de la poignée de transformation. Vous obtiendrez différents effets en faisant glisser le pointeur le long de cette tangente ou en le faisant pivoter.

Figure 6. Choisissez Transformer et faites glisser une poignée.
Choix de transformer et faire glisser une poignée

Figure 7. Faites glisser un point de contrôle.
Faire glisser un point de contrôle

Lorsque vous faites glisser une poignée de transformation, les points de contrôle se déplacent également et la courbe est lissée. Si vous faites glisser un point de contrôle, la courbure change des deux côtés de la poignée et vous obtenez également une courbe lissée.

Transformation d’un arc

  1. Sélectionnez l’arc et choisissez Graphiques > Redimension > Redimension. Les poignées de transformation s’affichent sur l’objet, remplaçant les poignées de sélection.

  2. Faites glisser une poignée. Lorsque vous faites glisser la poignée, les angles de départ et d’arrivée de l’arc, ainsi que le pourcentage de cercle que cet arc représente, s’affichent dans la barre d’état.

Figure 8. Transformation d’un arc par glissement d’une poignée
Transformation d’un arc

Transformation précise d’un arc

  1. Sélectionnez l’arc et choisissez Graphiques > Propriétés de l’objet.

  2. Entrez un nouvel angle de départ et un nouvel angle d’arrivée, puis cliquez sur Définir.

Etirement d’une courbe

  1. Sélectionnez la courbe et choisissez Graphiques > Redimension > Redimension.

  2. Si les points de contrôle ne sont pas ceux que vous voulez utiliser, cliquez sur la poignée de transformation correspondant à l’endroit auquel vous souhaitez modifier la courbe.

  3. Faites glisser une poignée ou un point de contrôle à l’aide du bouton droit de la souris.

    Figure 9. Etirement d’une courbe
    Etirement d’une courbe

Modification du rayon d’arrondi d’un rectangle arrondi

Vous pouvez définir l’incurvation des angles d’un rectangle arrondi en spécifiant le rayon d’un cercle imaginaire inscrit dans l’angle d’un rectangle. Plus le rayon est grand, plus les angles sont arrondis.

Figure 10. Rayon (r) = 3 mm et rayon (r) = 6 mm
Modification du rayon de l’angle d’un rectangle arrondi

Lorsque vous spécifiez un rayon d’arrondi, vous modifiez également les caractéristiques de dessin en cours. Tout nouveau rectangle arrondi dessiné possédera ce rayon d’arrondi jusqu’à ce que vous le modifiiez à l’aide de la commande Caractéristiques ou que vous quittiez FrameMaker.

  1. Sélectionnez un rectangle arrondi et choisissez Graphiques > Propriétés de l’objet.

  2. Entrez le rayon d’arrondi, puis cliquez sur Définir. Le rayon maximum applicable correspond à la moitié de la largeur du rectangle. Par exemple, si le rectangle mesure 4 cm x 8 cm, le rayon maximum applicable est 2 cm (soit la moitié de 4).

Lissage et mise à l’état brut d’objets

Vous pouvez lisser des lignes brisées, des polygones, des rectangles et des rectangles arrondis. Cette opération transforme leurs angles en des courbes lisses. Lorsque vous ramenez une courbe à l’état brut, cela signifie que ses angles sont restaurés.

Figure 11. Avant et après lissage
Avant et après le lissage d'un objet

Chaque fois que vous lissez un rectangle arrondi, vous augmentez la courbe de ses angles (son rayon d’arrondi).

  • Procédez de l’une des façons suivantes :

    • Pour lisser un objet, sélectionnez-le et choisissez Graphiques > Transformer > Lisser. Après le lissage d’un polygone ou d’une ligne brisée, les poignées de transformation et les points de contrôle s’affichent pour vous permettre de transformer la courbe.

    • Pour rendre un objet brut, sélectionnez-le et choisissez Graphiques > Transformer > Rendre brut. Si vous lissez ultérieurement l’objet, sa forme peut être différente de la forme d’origine.

Parent topic: Création de graphiques


Couleurs

  • A propos des couleurs et des modèles de couleurs
    Découvrez les couleurs et les modèles de couleurs dans Adobe FrameMaker comme CMJN, RVB et HLS.
  • Gestion des bibliothèques de couleurs
    Découvrez comment gérer les bibliothèques de couleurs dans Adobe FrameMaker, notamment Crayon, DIC, Focoltone, Gris. Apprenez également à utiliser les définitions de couleurs.
  • Utilisation des couleurs dans les objets
    Découvrez comment utiliser des objets en couleur dans Adobe FrameMaker et attribuer une couleur ou une teinte à un objet.
Parent topic: Graphiques et objets


A propos des couleurs et des modèles de couleurs

Découvrez les couleurs et les modèles de couleurs dans Adobe FrameMaker comme CMJN, RVB et HLS.

  • Avant de commencer
  • Modèles de couleurs
Parent topic: Couleurs


Avant de commencer

L’application de couleurs aux cadres et objets est une tâche habituelle de la publication, tant pour l’impression que pour l’exportation vers le Web. Adobe FrameMaker fournit des bibliothèques de couleurs qui permettent de choisir des couleurs définies par un distributeur de couleurs. Pour définir et modifier les couleurs, il suffit de régler le modèle de couleur utilisé ou de choisir une encre prédéfinie dans une bibliothèque de couleurs basée sur le modèle de couleur.

Le choix de la couleur dépend souvent de la sortie finale du document en couleur :

  • Pour une sortie en ligne, utilisez les modèles de couleurs RVB ou HLS,

  • Pour une impression de bureau, utilisez le modèle CMJN pour définir vos couleurs et testez-les sur votre imprimante.

  • Pour une impression commerciale, utilisez les couleurs d’une bibliothèque employée par votre imprimeur. Ne vous basez pas sur les versions des couleurs des bibliothèques à l’écran ; utilisez un catalogue d’échantillons.

Par défaut, FrameMaker publie les valeurs CMJN lors de l’impression et de l’enregistrement au format Adobe PDF. Si vous choisissez d’utiliser les valeurs RVB lors de l’enregistrement au format PDF, FrameMaker convertit les valeurs de couleurs vers RVB. Les graphiques EPS sont toutefois séparés en fonction des valeurs de couleurs spécifiées dans chacun d’entre eux.

FrameMaker conserve toutefois les valeurs de couleurs spécifiées dans les objets graphiques EPS (Encapsulated PostScript), qu’il s’agisse de couleurs CMJN ou RVB, de niveaux de gris, de tons directs et de couleurs indépendantes du périphérique (par exemple, CIE L*a*b). Les informations graphiques contenues dans un fichier EPS sont transmises directement au flux PostScript de sortie, sans traitement Windows GDI. Les objets graphiques EPS peuvent être créés à partir de tout type de texte, de graphique vectoriel ou d’image pris en charge par Adobe PostScript. Cette fonction permet d’enregistrer et d’exporter les graphiques EPS depuis diverses applications Adobe, ainsi que depuis de nombreuses autres applications tierces.

Parent topic: A propos des couleurs et des modèles de couleurs


Modèles de couleurs

Lorsque vous utilisez un modèle de couleur pour définir des couleurs, les composantes des couleurs, telles que le niveau de rouge pur ou le niveau de saturation, sont définies manuellement.

Vous avez le choix entre trois modèles de couleurs : CMJN, RVB et HLS.

CMJN

Utilisez le modèle CMJN afin de créer des séparations de couleurs pour une impression en quadrichromie. Les couleurs sont créées par combinaison des encres cyan, magenta, jaune et noir (CMJN). Dans la séparation des couleurs, chaque composante de couleur est imprimée sur une plaque distincte, avec une concentration différente, selon la couleur désirée.

RVB

Utilisez le modèle RVB pour créer des couleurs à afficher sur un moniteur (pour une documentation en ligne, par exemple). Les couleurs sont créées par combinaison des couleurs rouge, vert et bleu (RVB).

HLS

Utilisez le modèle HLS si vous maîtrisez le concept des roues chromatiques. Ce modèle est semblable à celui que les artistes utilisent pour mélanger des couleurs ; il est souvent utilisé dans les nuanciers logiciels. Les couleurs sont créées par réglage de la saturation, de la teinte et de la luminosité (HLS, Hue, Lightness, Saturation). La teinte contrôle le niveau de rouge, vert, jaune, bleu, etc. La luminosité contrôle l’aspect clair ou foncé de la couleur. La saturation règle le niveau de gris dans la couleur.

Parent topic: A propos des couleurs et des modèles de couleurs


Gestion des bibliothèques de couleurs

Découvrez comment gérer les bibliothèques de couleurs dans Adobe FrameMaker, notamment Crayon, DIC, Focoltone, Gris. Apprenez également à utiliser les définitions de couleurs.

Un système de concordance de couleurs, appelé bibliothèque de couleurs, permet de choisir des couleurs définies par un distributeur de couleurs. Les ateliers d’impression peuvent atteindre avec précision les formules représentées dans le catalogue d’échantillons du distributeur.

Chacune des couleurs d’une bibliothèque est définie par un ton direct ou une couleur quadri:

  • Un ton direct est imprimé sur une presse à l’aide d’encres pré-mélangées en utilisant une seule plaque d’impression.

  • Une couleur quadri est imprimée sur une presse en superposant des points de couleurs cyan, magenta, jaune et noir (CMJN) sur des plaques séparées.

Avant de choisir une couleur dans une bibliothèque, demandez à l’atelier d’impression la liste des bibliothèques prises en charge. Pour obtenir des résultats optimaux, choisissez des couleurs dans un catalogue d’échantillons plutôt que de vous baser sur les représentations des couleurs à l’écran.

FrameMaker comporte les bibliothèques suivantes :

Crayon

Adobe a développé la bibliothèque Crayon pour permettre d’accéder aux couleurs RVB courantes en utilisant des noms usuels par ordre alphabétique. N’utilisez pas les couleurs Crayon comme tons directs.

DIC

Le Guide des couleurs DIC propose des tons directs. Il est principalement utilisé au Japon.

FOCOLTONE

Le système de couleurs FOCOLTONE® offre 860 couleurs quadri CMJN.

Gris

La bibliothèque de couleurs Gris, développée par Adobe, propose des nuances de gris quadri et directes par incréments de 1 %.

MUNSELL

Le système Munsell fournit des couleurs définies sur le modèle RVB.

Online

La bibliothèque de couleurs Online fournit 216 couleurs compatibles pour le Web, c’est-à-dire ayant une apparence homogène sur les navigateurs Web de toutes les plateformes.

TOYO

Le sélecteur de couleurs TOYO propose plus de 1 000 couleurs basées sur les encres d’impression les plus répandues au Japon.

TRUMATCH

Le sélecteur de couleurs TRUMATCH® présente plus de 2 000 couleurs quadri embrassant le spectre de couleurs visibles CMJN par incréments réguliers.

  • Affichage des définitions de couleurs dans une bibliothèque de couleurs
  • Ajout d’une bibliothèque de couleurs à utiliser dans FrameMaker
Parent topic: Couleurs


Affichage des définitions de couleurs dans une bibliothèque de couleurs

Sélectionnez Affichage > Couleur > Définitions, sélectionnez une bilbiothèque dans la liste déroulante Bibliothèques de couleurs, puis cliquez sur À propos.

Parent topic: Gestion des bibliothèques de couleurs


Ajout d’une bibliothèque de couleurs à utiliser dans FrameMaker

Vous pouvez ajouter tout fichier de bibliothèque au format ASCII Color Format (.acf), version 2.1 ou antérieure, ou au format Binary Color Format (.bcf), version 2.0. YEn revanche, vous ne pouvez pas enregistrer un fichier de bibliothèque au format .bcf.

Placez le fichier de bibliothèque dans le répertoire fminit\color et redémarrez FrameMaker.

Parent topic: Gestion des bibliothèques de couleurs


Utilisation des couleurs dans les objets

Découvrez comment utiliser des objets en couleur dans Adobe FrameMaker et attribuer une couleur ou une teinte à un objet.

La méthode utilisée pour appliquer une couleur ou une version plus claire d’une couleur (c’est-à-dire une teinte) est fonction de la sélection en cours. Toute entrée d’une liste déroulante Couleur peut être appliquée à du texte ou à des objets Adobe FrameMaker. FrameMaker propose 16 couleurs standard et vous pouvez ajouter d’autres couleurs.

Vous pouvez appliquer deux types de teintes :

  • Les teintes au niveau de la couleursont définies et nommées à l’aide de la commande Affichage > Couleur > Définitions.

  • Les teintes au niveau de l’objet sont appliquées à un objet pour éclaircir sa couleur d’origine selon un pourcentage spécifié.

Note: il est impossible d’appliquer une teinte à des fichiers TIFF.
  • Application d’une couleur ou d’une teinte à du texte ou à un objet à l’aide des fonctions de formatage
  • Application d’une teinte à un objet à l’aide d’un motif de remplissage
  • Définition et modification des couleurs et des teintes
  • Attribution d’une couleur à un objet
  • Définition et affichage des vues de couleurs
Parent topic: Couleurs
Related information
  • Modification des polices à l’aide des fenêtres de configuration


Application d’une couleur ou d’une teinte à du texte ou à un objet à l’aide des fonctions de formatage

  1. Sélectionnez le texte ou l’objet auquel appliquer une couleur ou une teinte.

  2. Appliquez la couleur à des paragraphes, à du texte sélectionné, à des graphiques, à des lignes de texte et à des équations à l’aide de la fonction de formatage adéquate. Les fonctionnalités comprennent le catalogue ou la configuration de paragraphes ou de caractères, ou les listes déroulantes Teinte et Couleur du panneau Outils. Le tableau ci-dessous indique les fonctions à utiliser pour diverses tâches :

    Pour appliquer une couleur ou une teinte à

    Choisissez

    Une zone de texte

    La liste déroulante Fond du panneau Outils pour modifier le motif de remplissage de la zone de Aucun. Puis la liste déroulante Couleur ou Teinte pour attribuer une couleur.

    Des cellules d’un tableau

    La liste déroulante Couleur dans la boîte de dialogue Ombrage et trait personnalisés, ou dans la Configuration de tableaux

    Barres de modification

    La liste déroulante Couleur dans la boîte de dialogue Modifier les caractéristiques de barre

    Texte conditionnel

    La liste déroulante Couleur et le bouton Nouvelle couleur de la boîte de dialogue Modifier étiquette de condition

    Tous les objets dessinés et tout le texte

    La liste déroulante Couleur dans le panneau Outils (maintenez les touches Maj+Alt enfoncées et choisissez une couleur).
Parent topic: Utilisation des couleurs dans les objets


Application d’une teinte à un objet à l’aide d’un motif de remplissage

  1. Sélectionnez l’objet auquel attribuer une teinte.

  2. Sélectionnez l’un des huit premiers motifs de remplissage dans la liste déroulante Remplissage du panneau Outils. Ces motifs appliquent les pourcentages suivants à la couleur actuelle de l’objet.

    Motif de remplissage

    Pourcentage

    Motif de remplissage avec 100 % de pourcentage

    100 %

    Motif de remplissage avec 90 % de pourcentage

    90 %

    Motif de remplissage avec 70 % de pourcentage

    70 %

    Motif de remplissage avec 50 % de pourcentage

    50 %

    Motif de remplissage avec 30 % de pourcentage

    30 %

    Motif de remplissage avec 10 % de pourcentage

    10 %

    Motif de remplissage avec 3 % de pourcentage

    3%

    Motif de remplissage avec 0 % de pourcentage

    0 % (couleur du papier)
Parent topic: Utilisation des couleurs dans les objets


Définition et modification des couleurs et des teintes

La création ou la modification de couleurs et teintes s’effectue en définissant les composantes de couleur dans le modèle de couleur ou en choisissant une encre prédéfinie dans une bibliothèque de couleurs. Les nouvelles teintes et couleurs s’affichent dans toutes les listes déroulantes et listes de sélection Couleur.

Dans les boîtes de dialogue Ajouter une balise conditionnelle et Modifier étiquette de condition, vous pouvez également sélectionner des couleurs uniques pour les étiquettes de condition à l’aide du bouton Nouvelle couleur. Les couleurs uniques permettent de distinguer les étiquettes les unes des autres.

Tip: Vous ne pouvez pas modifier les 16 couleurs standard, à l’exception de leur caractéristique Imprimer en tant que et de leurs caractéristiques de surimpression. Vous pouvez toutefois définir vos propres couleurs en utilisant une version en lettres minuscules de ces couleurs (noir, bleu, etc.). La bibliothèque Crayon possède ses propres versions de ces couleurs. Vous pouvez les utiliser telles quelles ou les redéfinir sous un autre nom.

Toutes les procédures de définition d'une couleur nécessitent que la fenêtre du document ou du livre approprié soit active et avec Affichage > Couleur > Définitionssélectionné.

  1. Procédez de l’une des façons suivantes :

    • Pour définir une nouvelle couleur, entrez un nouveau nom dans la zone de texte Nom.

    • Pour modifier une couleur existante (ou couleur de base), choisissez son nom dans la liste déroulante à droite de la zone de texte Nom. Vous pouvez également taper son nom jusqu’à ce que la définition de couleur s’affiche.

  2. Spécifiez la méthode d’impression de la couleur en choisissant l’une des options suivantes de la liste déroulante Imprimer en tant que :

    Teinte

    Une teinte s’affiche et s’imprime toujours de la même manière et sur la même plaque que sa couleur de base. Cette dernière détermine également les composantes de la couleur.

    Tons directs

    Définit un ton direct.

    Process

    Définit une couleur imprimée à l’aide d’encres CMJN.

    Ne pas imprimer

    Définit une couleur non imprimée.

  3. Pour modifier le modèle de couleur, choisissez une option de la liste déroulante Modèle. La couleur de base détermine le modèle de couleur de la teinte.

  4. Réglez les composantes de la couleur en déplaçant les glissières ou en saisissant les valeurs souhaitées. Si vous définissez une teinte, choisissez une couleur dans la liste déroulante Couleur de base et entrez le pourcentage. Pour annuler toute modification effectuée, cliquez sur la case de couleur Actuelle.

  5. Pour imprimer cette couleur au-dessus des autres couleurs lors de l’impression de séparations, choisissez Surimpression dans la liste déroulante Surimpression.

  6. Pour créer une couleur, cliquez sur Ajouter (ou cliquez sur Nouvelle couleur).

    Pour modifier la couleur actuelle, cliquez sur Modifier.

  7. Définissez ou modifiez d’autres couleurs si nécessaire.Cliquez sur Terminé.

Définition d’une couleur à partir d’une bibliothèque de couleurs

  1. Choisissez une bibliothèque dans la liste déroulante Bibliothèque de couleurs.

  2. Choisissez une couleur dans la bibliothèque de couleurs prédéfinies. Si vous connaissez son nom, vous pouvez facilement la retrouver en saisissant les premières lettres de son nom.

  3. Cliquez sur Terminé.

    La couleur choisie s’affiche comme Nom encre dans la boîte de dialogue Définition des couleurs.

    Note: les couleurs des bibliothèques possèdent généralement un type et un modèle de couleur préférés. Parfois, lorsque vous choisissez une couleur, le type ou le modèle de couleur change automatiquement. En règle générale, ne modifiez pas ces paramètres, ni les définitions de couleurs d’une bibliothèque. Si vous décidez de le faire malgré tout, sachez que la valeur Nom encre disparaîtra et la couleur ne correspondra plus à la formule définie par le distributeur. Pour restaurer la définition d’origine, choisissez de nouveau la couleur dans la bibliothèque, puis cliquez sur Modifier.

  4. Pour imprimer cette couleur au-dessus des autres couleurs lors de l’impression de séparations, choisissez Surimpression dans la liste déroulante Surimpression, puis cliquez sur Ajouter.

  5. Définissez d’autres couleurs si nécessaire, puis cliquez sur Terminé.

    Tip: Pour définir une couleur à l’aide du nuancier du système d’exploitation, choisissez Nuancier commun. Utilisez ces nuanciers comme dans toute autre application.

Suppression d’une couleur ou d’une teinte

  1. Choisissez une couleur ou une teinte dans la liste déroulante Nom. Vous ne pouvez pas supprimer les 16 couleurs élémentaires.

  2. Cliquez sur Supprimer. Si la couleur est utilisée, un message d’alerte vous invite à confirmer la modification en noir des éléments utilisant cette couleur. Si vous supprimez la couleur de base d’une teinte, cette dernière devient un pourcentage de noir.

  3. Répétez cette procédure pour supprimer d’autres couleurs.

    Lorsque vous avez fini, cliquez sur Terminé.

Parent topic: Utilisation des couleurs dans les objets


Attribution d’une couleur à un objet

  1. Choisissez la couleur dans le menu Couleur.

  2. Pour utiliser un dégradé de la couleur, choisissez une valeur dans le menu Teinte. Si la valeur souhaitée ne figure pas dans le menu, choisissez Autre dans le menu, puis entrez une valeur de teinte.Cliquez Définir.

Si vous avez attribué une couleur à un objet et que celui-ci n’est pas visible, assurez-vous que la couleur ne se trouve pas dans la liste de sélection Invisible de la boîte de dialogue Définir les vues en couleur de la vue actuelle.

Vous pouvez également attribuer la même couleur à tous les objets d’un document.

Note: pour déterminer si un objet surimprime ou défonce les objets placés derrière lui, utilisez la liste déroulante Surimpression. Pour plus de détails, reportez-vous à la section Génération d’une sortie imprimée.
Parent topic: Utilisation des couleurs dans les objets


Définition et affichage des vues de couleurs

Une vue de couleur indique les couleurs affichables. Par exemple, si le document contient du noir et un ton direct, vous pouvez avoir une vue affichant les deux couleurs et une deuxième vue ne présentant que le ton direct.

Figure 1. Deux couleurs visibles et une seule couleur visible
Définition et affichage des vues de couleurs

Pour chaque vue à définir, spécifiez les couleurs et les couleurs détourées à afficher, ainsi que les couleurs à ne pas afficher. Les objets de couleurs détourées s’affichent en blanc lorsqu’ils chevauchent d’autres objets en couleur.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Affichage > Couleur > Vues.

  3. Sélectionnez un numéro de vue et transférez les noms de couleur vers les listes de sélection appropriées. Les teintes sont absentes de cette boîte de dialogue ; elles s’affichent avec leur couleur de base.

    Pour déplacer une couleur, sélectionnez-la, cliquez sur une touche fléchée ou cliquez deux fois dessus. Pour déplacer toutes les couleurs, sélectionnez une couleur et cliquez sur une touche fléchée tout en maintenant la touche Maj enfoncée. Pour annuler toute modification, cliquez sur Rétablir défaut.

    Tip: Ne modifiez pas la Vue 1 et conservez toutes les couleurs (excepté le blanc) dans la liste de sélection Normal. Si vous dessinez un objet à l’aide d’une couleur invisible dans la vue courante, FrameMaker passe automatiquement à la Vue 1.

  4. Répétez l’étape 3 pour chaque vue à définir, puis cliquez sur Définir.

    La vue sélectionnée courante est affichée.

Parent topic: Utilisation des couleurs dans les objets


Cadres ancrés

Découvrez les cadres ancrés et comment les utiliser dans Adobe FrameMaker.

  • A propos des cadres ancrés
  • Création de cadres ancrés
    Découvrez comment créer des cadres ancrés dans Adobe FrameMaker.
  • Cadres ancrés intégrés
    Découvrez comment utiliser des cadres ancrés en ligne dans FrameMaker, aligner des cadres ancrés dans des mises en page à colonnes multiples, et comment utiliser des cadres ancrés dans des documents structurés.
  • Remplissage et modification des cadres ancrés
    Découvrez comment remplir et modifier des cadres ancrés et insérer des graphiques ou du texte dans un cadre ancré dans Adobe FrameMaker.
Parent topic: Graphiques et objets


A propos des cadres ancrés

Les illustrations doivent généralement rester solidaires d’un texte particulier du document. Dans FrameMaker, il suffit de placer l’illustration dans un cadre graphique ancré au texte, ou cadre ancré. Lorsque vous modifiez le texte, le cadre et son contenu le suivent automatiquement.

Vous pouvez utiliser un cadre ancré pour placer une illustration dans une colonne de texte, en dessous de la ligne contenant le symbole d’ancrage Symbole d’ancrage, ou encore en haut ou en bas de la colonne. Vous pouvez également utiliser un cadre ancré pour placer de petits graphiques au sein d’une ligne de texte ou pour positionner un dessin entre des colonnes ou dans la marge d’une page.

Les cadres ancrés permettent en outre de créer des effets spéciaux, par exemple placer un cadre ancré au début d’un paragraphe et faire en sorte que le texte le contourne.

Cadres ancrés dans Adobe FrameMaker

A. Graphique en début de paragraphe B. Illustration dans une colonne de texte C. Dessin dans la marge D. Petit graphique au sein d’une ligne de texte

Si vous souhaitez qu’une illustration reste à un endroit donné sur la page, par exemple un logo dans du papier à en-tête, n’utilisez pas le cadre ancré. Dans ce cas, vous devez dessiner, coller ou importer l’illustration directement dans la page courante ou la maquette sans définir de point d’insertion dans le texte. Vous pouvez ensuite l’amener à la position souhaitée

Par défaut, un cadre ancré ne possède pas de trait ni de motif de remplissage, ce qui le rend invisible sur la page, à moins que ses bordures ne soient visibles.

Parent topic: Cadres ancrés
Related information
  • Affichage des maquettes


Création de cadres ancrés

Découvrez comment créer des cadres ancrés dans Adobe FrameMaker.

Introduction

Un cadre ancré est automatiquement créé lorsque vous collez ou importez un graphique au niveau d’un point d’insertion. Vous pouvez conserver ou modifier les caractéristiques du cadre.

Lors de la création d’un cadre ancré à l’aide de la commande Insérer > Cadre ancré, vous pouvez spécifier l’emplacement du cadre ainsi que sa taille et sa position. Vous pouvez aussi définir d’autres caractéristiques liées à la position du cadre. Ainsi, si le cadre est placé sur une ligne au point d’insertion, vous pouvez spécifier sa distance par rapport à la ligne de base du texte. Lorsque le cadre est placé dans une colonne de texte, vous pouvez préciser son alignement. Vous pouvez à tout moment modifier l’une des caractéristiques, y compris la position du cadre.

Dans FrameMaker structuré, vous pouvez utiliser le menu déroulant Balise d’élément de la boîte de dialogue Caractéristiques de l’objet afin de définir un élément pour votre cadre ancré.

Lorsque vous définissez des balises, vous devez nommer chaque caractéristique du document. Cela permet de modifier facilement l’aspect et du document sans en modifier le contenu.

Création automatique d’un cadre ancré

Procédez de l’une des façons suivantes :

  • Collez un objet dans du texte au point d’insertion en coupant ou copiant l’objet, puis en cliquant dans le texte à l’endroit auquel insérer le symbole d’ancrage et en choisissant Edition > Coller.

  • Importez un graphique en cliquant dans le texte, en choisissant Fichier > Importer > Fichier ou Insérer > Image, et en sélectionnant le fichier graphique à importer. Voir aussi Méthodes de liaison et d’importation.)

L’objet collé ou importé s’affiche dans un cadre ancré, centré au-dessous de la ligne courante. Une fois le cadre créé, vous pouvez modifier ses caractéristiques.

Création d’un cadre ancré avec des options spécifiques

  1. Cliquez dans le texte à l’endroit auquel placer le symbole d’ancrage et choisissez Insérer > Cadre ancré. Vous pouvez créer un cadre ancré dans une zone de texte ou une cellule de tableau, mais pas dans une ligne de texte.

  2. Choisissez la position d’ancrage du cadre et définissez ses caractéristiques. Les caractéristiques affichées dans la boîte de dialogue Cadre ancré varient suivant la position d’ancrage.

  3. Cliquez sur Nouveau cadre. Un symbole d’ancrage Symbole d'ancrage apparaît au niveau du point d’insertion lorsque l’affichage des symboles de texte est activé.

Parent topic: Cadres ancrés


Cadres ancrés intégrés

Découvrez comment utiliser des cadres ancrés en ligne dans FrameMaker, aligner des cadres ancrés dans des mises en page à colonnes multiples, et comment utiliser des cadres ancrés dans des documents structurés.

Pour positionner un cadre ancré sur une ligne de paragraphe (par exemple, pour placer un petit graphique tel que l’image d’une touche), choisissez la position d’ancrage Au point d’insertion dans la boîte de dialogue Cadre ancré. Si vous placez un espace de chaque côté du cadre ancré, le cadre passe à la ligne suivante en cas de modification du document, comme le ferait un mot (au lieu de rester lié au mot suivant ou précédent).

Vous pouvez régler la position du cadre vers le haut ou vers le bas par rapport à la ligne de base du texte en faisant glisser le cadre ou en spécifiant une valeur pour l’option Distance au-dessus de la ligne de base dans la boîte de dialogue Cadre ancré. Une valeur nulle aligne le bas du cadre sur la ligne de base du texte. Une valeur positive déplace le cadre vers le haut, une valeur négative le déplace vers le bas.

Figure 1. Distance nulle et distance négative
Distance nulle et distance négative pour les cadres ancrés en ligne

Si le cadre masque du texte sur la ligne supérieure ou inférieure, désactivez l’interligne fixe pour autoriser la modification de la hauteur de ligne avec son contenu.

Figure 2. Interligne fixe activé et désactivé
Activation et désactivation de l'interligne fixe pour les cadres ancrés alignés

Tip: Pour réduire un cadre ancré aux dimensions de son contenu et le positionner sur la ligne au niveau du symbole d’ancrage, sélectionnez le cadre ou un objet du cadre et appuyez sur les touches Echap m+p. Pour agrandir un cadre et le positionner sous la ligne contenant le symbole d’ancrage, sélectionnez le cadre ou un objet du cadre et appuyez sur les touches Echap+m e.
  • Cadres ancrés dans une colonne de texte
  • Cadres ancrés dans les mises en page à colonnes multiples
  • Cadres ancrés à l’extérieur d’une colonne de texte
  • Cadres ancrés dans les marges de pages
  • Cadres ancrés insérés dans un texte de paragraphe
  • Insertion de cadres ancrés dans des documents structurés
Parent topic: Cadres ancrés
Related information
  • Réglage de l’espacement horizontal


Cadres ancrés dans une colonne de texte

Pour positionner un cadre ancré dans une colonne de texte, choisissez la position d’ancrage En dessous de la ligne courante, En haut de la colonne ou En bas de la colonne dans la boîte de dialogue Cadre ancré.

Figure 1. Au-dessous de la ligne courante et en haut de la colonne
Cadres ancrés sous la ligne actuelle et en haut de la colonne

Un cadre ancré positionné en bas ou en haut de la colonne ne se déplace que lorsque son symbole d’ancrage se déplace vers une autre colonne.

Important: pour placer un cadre ancré sous une ligne contenant un intertitre, placez le symbole d’ancrage dans le paragraphe courant et non dans l’intertitre. Dans le cas contraire, le cadre ancré masque le texte situé sous l’intertitre.

Le choix d’une position d’ancrage En dessous de la ligne courante, En haut de la colonne ou En bas de la colonne, permet de définir les caractéristiques suivantes.

Alignement horizontal

Choisissez l’alignement horizontal du cadre dans la liste déroulante Alignement. Vous pouvez aligner le cadre à gauche, au centre ou à droite. Dans un document recto-verso, vous pouvez également éloigner ou rapprocher le cadre ancré de la bordure de reliure.

Figure 2. Eloignement de la reliure
Alignement horizontal du cadre ancré

Rognage

Pour empêcher un cadre large de dépasser le bord de la colonne, utilisez l’option Rogné.

Figure 3. Rognage inactif et actif
Rognage d’un cadre ancré

Flottant

L’option Flottant permet de déplacer le cadre vers la première colonne pouvant le recevoir si le cadre et son symbole d’ancrage ne tiennent pas dans la même colonne.

Figure 4. Option Flottant désactivée et activée
Flottement d’un cadre ancré

Lorsque l’option Flottant est désactivée, le cadre et son symbole d’ancrage se déplacent vers la première colonne pouvant les recevoir. Il reste un espace blanc au bas de la colonne. Lorsque l’option Flottant est activée, le symbole d’ancrage ne bouge pas, mais le cadre se déplace vers la première colonne pouvant le recevoir. Le texte de la colonne suivante remplit l’espace entre le symbole d’ancrage et le cadre.

Parent topic: Cadres ancrés intégrés


Cadres ancrés dans les mises en page à colonnes multiples

Un cadre ancré dans une zone de texte à colonnes multiples peut fusionner avec des colonnes et sa position peut être affectée par des paragraphes fusionnés.

Cadre ancré dans un paragraphe fusionné

Quand un cadre est ancré dans un paragraphe fusionné, il fusionne les colonnes de la même façon que le paragraphe.

Cadre plus large qu’une colonne

Un cadre ancré non rogné qui s’étend dans une autre colonne de zone courante fusionne les colonnes de la zone courante. Un cadre qui s’étend dans la zone de titre de marge fusionne également la zone de titre de marge.

Figure 1. Fusion de la zone de titre de marge et de toutes les colonnes et fusion des colonnes uniquement
Chevauchement de la zone de tête latérale et de toutes les colonnes, et chevauchement des colonnes uniquement pour un cadre ancré

Un cadre ancré rogné fusionne des colonnes uniquement s’il est ancré dans un paragraphe fusionné.

Cadre ancré en haut et en bas d’une colonne

Quand le symbole d’ancrage d’un cadre ancré en haut d’une colonne s’affiche en dessous d’un paragraphe fusionné, le cadre apparaît dans la colonne située juste en dessous du paragraphe fusionné et non en haut de la colonne.

Figure 2. Ancrage en haut et en bas de la colonne
Cadre ancré en haut et en bas de la colonne

Un cadre ancré en bas de colonne est placé de la même manière quand le symbole d’ancrage apparaît au-dessus d’un paragraphe fusionné.

Vous pouvez, pour forcer le positionnement du cadre ancré en haut ou en bas d’une colonne (au-dessus ou en dessous d’un paragraphe fusionné), fusionner le cadre avec les colonnes. Pour ce faire, désactivez l’option Rogné dans la boîte de dialogue Cadre ancré et redimensionnez le cadre ancré jusqu’à ce qu’il s’étende dans une autre colonne.

Parent topic: Cadres ancrés intégrés


Cadres ancrés à l’extérieur d’une colonne de texte

Pour positionner un cadre ancré à l’extérieur d’une colonne de texte, choisissez la position d’ancrage Hors colonne dans la boîte de dialogue Cadre ancré. Pour plus d’informations sur le positionnement d’un cadre ancré afin qu’il apparaisse toujours dans la marge de la page, même dans un document à colonnes multiples.

Le choix de la position d’ancrage Hors colonne permet de définir les caractéristiques suivantes.

Côté

Vous pouvez placer le cadre ancré du côté gauche ou droit de la colonne ou le long du côté le plus proche ou le plus éloigné du bord de la page.

Figure 1. Ancrage à gauche et à droite
Cadre ancré à gauche et à droite

Dans le cas d’un document recto-verso, vous pouvez également placer le cadre sur le côté le plus proche ou le plus éloigné de la reliure.

Figure 2. Eloignement de la reliure
Positionnement d’un cadre d’ancrage plus éloigné du bord de reliure

Distance au-dessus de la ligne de base

Vous pouvez régler la position du cadre vers le haut ou le bas par rapport à la ligne de base du texte en faisant glisser le cadre ou en spécifiant une valeur pour l’option Distance au-dessus de la ligne de base dans la boîte de dialogue Cadre ancré. Une valeur nulle aligne le bas du cadre sur la ligne de base du texte. Une valeur positive déplace le cadre vers le haut, une valeur négative le déplace vers le bas.

Figure 3. Distance nulle et distance négative au-dessus de la ligne de base
Cadre d’ancrage avec distance nulle et distance négative par rapport à la ligne de base

Il n’est pas possible de positionner le cadre ancré au-dessus du sommet ou en dessous de la base de la zone de texte. Si le paramètre devait placer le cadre ancré au-dessus ou en dessous de la zone de texte, FrameMaker le place le plus haut ou le plus bas possible. Si vous modifiez le texte ultérieurement et que le symbole d’ancrage s’éloigne alors du haut ou du bas de la zone texte, FrameMaker ajuste la position du cadre ancré.

Distance de la colonne

Vous pouvez régler la position du cadre à gauche ou à droite du bord de la colonne en faisant glisser le cadre ou en spécifiant une valeur pour l’option Distance de la colonne dans la boîte de dialogue Cadre ancré. Une valeur nulle aligne le bord du cadre sur le bord de la colonne. Une valeur positive éloigne le cadre de la colonne, une valeur négative le place dans la colonne.

Figure 4. Distance nulle et distance positive par rapport à la colonne
Cadre d'ancrage avec distance nulle et distance négative par rapport à la colonne

La distance étant toujours calculée par rapport au bord de la colonne, le cadre peut apparaître entre les colonnes d’une page en colonnes multiples. Vous pouvez modifier les marges de page et l’aspect des colonnes pour élargir la gouttière entre les colonnes afin de disposer de plus de place pour le cadre. Si, en revanche, vous modifiez un document structuré, demandez à votre développeur d’élargir la gouttière entre les colonnes de manière à laisser de la place pour le cadre.

Parent topic: Cadres ancrés intégrés
Related information
  • Modification des marges et du nombre de colonnes
  • Modification des marges et de l’aspect des colonnes sur des pages spécifiques


Cadres ancrés dans les marges de pages

Pour positionner un cadre ancré afin qu’il s’affiche toujours dans la marge (même dans une mise en page à colonnes multiples), choisissez la position d’ancrage Hors zone de texte dans la zone Cadre ancré. Vous pouvez alors spécifier les options décrites à la section précédente. Cependant, les distances que vous spécifiez sont calculées depuis le bord de la zone de texte, qui peut être différent du bord de la colonne de texte sur des pages à colonnes multiples.

Figure 1. Côté le plus proche du bord de la page et côté le plus éloigné
Cadres ancrés plus près et plus loin du bord de la page

Dans une mise en page à une colonne, l’option Hors zone de texte a le même effet que l’option Hors colonne.

Parent topic: Cadres ancrés intégrés


Cadres ancrés insérés dans un texte de paragraphe

Pour placer un cadre ancré au début d’un paragraphe (le texte du paragraphe de cette colonne entourant le cadre), choisissez la position d’ancrage Insérer dans paragraphe dans la boîte de dialogue Cadre ancré. Cela est utile, par exemple, pour définir un petit graphique ou une lettrine au début d’un paragraphe.

Si le cadre ancré est plus haut que le paragraphe, le texte des paragraphes suivants habille le cadre à moins que le paragraphe contenant le symbole d’ancrage ne soit un paragraphe fusionné.

Figure 1. Cadre ancré s’étendant sur deux paragraphes et dans un paragraphe fusionné
Cadres ancrés dans des paragraphes panoramiques et dans un paragraphe de chevauchement

Le choix de la position d’ancrage Insérer dans paragraphe permet de définir les caractéristiques suivantes :

Alignement

Vous pouvez aligner le cadre ancré sur le côté gauche ou droit du paragraphe. Dans le cas d’un document recto verso, vous pouvez également sélectionner l’option Côté le plus proche de la reliure ou Côté le plus éloigné de la reliure.

Figure 2. Côté le plus proche de la reliure
Alignement du cadre ancré plus près de la reliure

Le cadre est aligné sur le retrait gauche du paragraphe lorsqu’il s’affiche sur le côté gauche du paragraphe, sur le retrait droit lorsqu’il apparaît sur le côté droit. Si le paragraphe possède un retrait sur la première ligne, le cadre ancré ne modifie pas la position du retrait.

Figure 3. Graphique s’étendant au-delà du retrait de première ligne
Graphique dépassant le retrait de la première ligne

Figure 4. Retrait de première ligne plus important
Retrait de première ligne plus important

Si vous souhaitez conserver un retrait de première ligne, définissez un retrait de première ligne pour le paragraphe plus important que la largeur du cadre ancré. Ou si vous travaillez avec un document structuré, vous pouvez également consulter votre développeur d'application structurée à ce propos.

Gouttière

Vous pouvez spécifier la gouttière entre le cadre ancré et le texte de paragraphe l’habillant.

Parent topic: Cadres ancrés intégrés
Related information
  • Retrait, alignement et espacement


Insertion de cadres ancrés dans des documents structurés

Introduction

Dans un document structuré, un élément graphique définit un cadre ancré pouvant contenir des objets graphiques. Ce cadre est ancré à un emplacement spécifique dans le texte. Lorsque vous modifiez le texte, le cadre et son contenu suivent le texte automatiquement.

Pour insérer un élément graphique, vous devez indiquer l’endroit auquel vous souhaitez ancrer son cadre. Par exemple, vous pouvez ancrer le cadre dans un élément <p> (et le graphique sera alors un élément enfant de <p>), ou vous pouvez l’ancrer dans un élément <section> (en tant qu’élément frère de <p> et d’autres éléments dans la <section>). Tout dépend de la manière dont les éléments sont définis pour votre document. Celles que vous définissez sont indépendantes des règles de formatage de l’élément et ne sont pas considérées comme des règles de formatage personnalisées.

Dans la fenêtre de document, un symbole d’ancrage Symbole d’ancrage s’affiche au point d’ancrage dans le texte lorsque l’option Affichage > Symboles de texte est activée. Le cadre peut être positionné de diverses manières sur la page : dans l’alignement du texte, à côté ou à la suite d’un paragraphe ou dans la marge de la page. La position d’ancrage est définie par rapport au symbole d’ancrage.

Figure 1. Les cadres ancrés peuvent être positionnés de diverses manières
Positions des cadres ancrés dans les documents structurés

Un élément graphique apparaît dans la structure du document à l’endroit auquel il est ancré au texte, quelle que soit la position du cadre sur la page. Dans la Vue de la structure, l’élément est représenté par une bulle à coins carrés avec le fragment de texte <GRAPHIQUE>.

Figure 2. Elément graphique
Elément graphique dans la structure du document

Insertion d’un élément cadre ancré

  1. Cliquez à l’endroit auquel vous souhaitez ancrer le cadre.

  2. Sélectionnez un élément cadre ancré dans le Catalogue Eléments et cliquez sur Insérer.

    Vous pouvez également utiliser Insérer > Cadre ancré pour insérer un élément. Si plusieurs éléments cadre sont disponibles, choisissez l’élément à insérer dans la liste déroulante Balise d’élément du panneau Cadre ancré.

  3. Choisissez la position d’ancrage du cadre, puis spécifiez ses dimensions et ses caractéristiques de formatage. Les caractéristiques affichées dans la boîte de dialogue dépendent de la position d’ancrage choisie. Voir Cadres ancrés intégrés.

  4. Cliquez sur Nouveau cadre. Le cadre ancré apparaît dans la fenêtre de document et un symbole d’ancrage Symbole d’ancrage au niveau du point d’insertion lorsque l’option Affichage > Symboles de texte est activée. Une bulle avec le fragment de texte <GRAPHIQUE> s’affiche dans la Vue de la structure.

Si aucun élément cadre ancré n’est disponible à l’emplacement souhaité, vous pouvez utiliser un élément non valide. Après l’avoir inséré, consultez votre développeur pour savoir comment le rendre valide pour cet emplacement.

Utilisation d’un élément cadre ancré non valide

Procédez de l’une des façons suivantes :

  • Pour utiliser un élément dans une autre partie du document, insérez l’élément dans un emplacement valide puis déplacez-le ou bien utilisez le paramètre Tous les éléments pour rendre l’élément valide partout, puis insérez-le à l’endroit souhaité.

  • Pour insérer un élément cadre ancré non valide avec un élément par défaut, choisissez Insérer > Cadre ancré, puis sélectionnez GRAPHIQUE dans la liste déroulante Balise d’élément. (cette option apparaît dans le menu si aucun élément cadre défini n’est disponible).

Parent topic: Cadres ancrés intégrés


Remplissage et modification des cadres ancrés

Découvrez comment remplir et modifier des cadres ancrés et insérer des graphiques ou du texte dans un cadre ancré dans Adobe FrameMaker.

Vous pouvez dessiner des graphiques dans un cadre ancré, faire glisser ou coller des graphiques depuis un autre emplacement du document. Ou, importer ou coller des graphiques depuis un autre document ou une autre application. Utilisez ces méthodes pour placer des graphiques et du texte dans des cadres graphiques non ancrés et dans des cadres ancrés.

Vous pouvez positionner un graphique dans un cadre ancré, puis utiliser une zone de texte ou une ligne de texte au sein de ce cadre pour le titre de l’illustration. Mais il peut être plus facile de placer et de numéroter le titre correctement si vous placez l’illustration dans un tableau à cellule unique, puis définissez le titre du tableau comme un titre d’illustration.

Le contenu d’un cadre ancré est coupé s’il s’étend jusqu’à la bordure du cadre ou au-delà. Affichez la bordure des cadres en cliquant dessus (si la bordure n’est pas visible, choisissez Affichage > Bordures).

Structure d’un cadre ancré avec graphique

A. Bordure de cadre B. Graphique rogné C. Légende rognée

Vous pouvez modifier la taille d’un cadre ancré, sa position d’ancrage, ainsi que les caractéristiques définies lors de la création du cadre. Dans le cas d’un document structuré, ces modifications n’en affectent pas la structure et sont indépendantes des règles de formatage de l’élément.

Vous pouvez également manipuler des cadres ancrés comme dans le cas d’autres objets. Par exemple, vous pouvez modifier les caractéristiques de dessin d’un cadre (telles que l’épaisseur du trait), puis le dupliquer, le supprimer, le déplacer ou le redimensionner.

  • Remplissage des cadres ancrés dans des documents structurés
  • Insertion d’un graphique ou de texte dans un cadre graphique
  • Mise à l'échelle automatique d'une image dans un cadre graphique
  • Procédures permettant d’éviter la découpe du contenu d’un cadre ancré
  • Modification de la position d’ancrage d’un cadre et de ses caractéristiques de dessin
  • Redimensionnement d’un cadre ancré
  • Copie, déplacement et suppression d’un cadre ancré
  • Ajout d’attributs d’objet pour un PDF balisé
    Découvrez comment modifier des attributs d’objet pour un PDF balisé dans Adobe FrameMaker.
Parent topic: Cadres ancrés
Related information
  • Ajout d’un titre à une illustration
  • Ajout de texte aux graphiques
  • Dessin d’objets
  • Redimensionnement et transformation d’objets
  • Inversion et rotation d’objets
  • Déplacement d’un objet


Remplissage des cadres ancrés dans des documents structurés

Dans un document structuré, vous pouvez dessiner des graphiques dans un cadre ancré, faire glisser ou coller des graphiques depuis un autre emplacement du document ou importer ou coller des graphiques depuis un autre document ou une autre application. Même si l’élément graphique fait partie de la structure du document, le contenu des cadres n’en fait pas partie.

Vous pouvez également utiliser un cadre ancré pour insérer du texte, tel que le texte d’un titre de marge. Pour ce faire, vous devez tracer une zone de texte dans le cadre ancré. Cependant, n’oubliez pas que ce texte ne fera pas partie de la structure du document.

Le contenu d’un cadre est conservé lors d’une exportation au format XML ou SGML. FrameMaker écrit le contenu dans un fichier indépendant et lui ajoute une référence d’entité à partir de votre fichier SGML ou XML.

Important: lors de la préparation d’une exportation au format XML ou SGML, placez un seul graphique par cadre afin d’obtenir de meilleurs résultats. Si vos graphiques sont des images en mode point, n’utilisez pas une profondeur de bit d’affichage d’1 bit ou de 24 bits, mais de 8 bits. Demandez conseil à votre développeur d’application pour être certain que le contenu de vos cadres sera entièrement conservé.

Après avoir inséré des graphiques dans un cadre, vous pouvez les modifier à loisir. Vous pouvez, par exemple, changer l’épaisseur de trait, appliquer une couleur de remplissage et aligner, empiler ou grouper plusieurs objets.

Parent topic: Remplissage et modification des cadres ancrés


Insertion d’un graphique ou de texte dans un cadre graphique

Procédez de l’une des façons suivantes :

  • Pour dessiner un graphique ou ajouter du texte, utilisez l’un des outils du panneau Outils.

    Important: commencez le dessin de l’objet à l’intérieur du cadre pour qu’il s’insère à la fois dans la page et le cadre.

  • Pour déplacer un graphique dans un cadre, faites-le glisser jusqu’à ce que le pointeur se trouve à l’intérieur des bordures du cadre. L’objet se place dans le cadre lorsque vous le faites glisser sur la bordure du cadre.

  • Pour coller un graphique dans un cadre depuis le Presse-papiers, sélectionnez le cadre et choisissez Edition > Coller.

  • Pour importer un graphique dans un cadre, sélectionnez le cadre et choisissez Fichier > Importer > Fichier et sélectionnez l’image.

Note: si un graphique semble se trouver dans le cadre ancré mais ne se déplace pas avec le cadre lorsque vous modifiez le texte qui l’entoure, le graphique est probablement situé devant et non dans le cadre ; vous l’avez peut-être collé sur la page et non dans le cadre. Faites glisser le graphique hors du cadre, puis à nouveau dans le cadre.
Parent topic: Remplissage et modification des cadres ancrés


Mise à l'échelle automatique d'une image dans un cadre graphique

Vous pouvez maintenir la qualité de l'image lorsque vous insérez des images à différents endroits dans des documents structurés et non structurés. FrameMaker maintient la résolution de l'image même lorsque vous insérez une image dont la taille est supérieure à celle du cadre ancré.

Pour mettre à l’échelle automatiquement l’image, procédez comme suit :

  1. Sélectionnez Modifier > Préférences > Graphiques.
  2. Sélectionnez Mise à l’échelle automatique de l’image sur la largeur (à l’insertion).
Figure 1. Option Mise à l’échelle automatique des images dans la boîte de dialogue Préférences

Cette fonctionnalité met l’image à l’échelle de manière proportionnelle pour qu’elle rentre dans le cadre ancré parent tout en gardant la meilleure valeur ppp possible.

Vous pouvez utiliser cette option pour mettre à l’échelle vos images lorsque vous les insérez dans des documents structurés (DITA 1.2 ou 1.3) ou non, dans les emplacements suivants :

  • Bloc de texte
  • Cellule de tableau
  • Colonne
  • Titres de marge
  • Intitulé
Note: L’image dans votre PDF et votre sortie Responsive HTML5 est la même que dans la vue WYSIWIG Pour XML et DITA, vous obtenez la sortie en fonction des attributs de @hauteur, de @largeur et d’@échelle définis pour l’image.

Pour prendre en charge cette fonctionnalité, une nouvelle propriété AutoScaleImageAlongWidth a été ajoutée dans le fichier maker.ini au lieu de la propriété AutoScaleImageInTableCell. Pour plus d’informations, consultez Référence INI Adobe FrameMaker.

Parent topic: Remplissage et modification des cadres ancrés


Procédures permettant d’éviter la découpe du contenu d’un cadre ancré

Procédez de l’une des façons suivantes :

  • Si l’espace entourant le cadre ancré le permet, agrandissez le cadre.

  • Si l’espace à l’intérieur du cadre ancré le permet, éloignez l’objet du bord du cadre.

  • Si le contenu est uniquement coupé par la largeur de la bordure, utilisez le panneau Outils pour réduire l’épaisseur de la bordure du cadre ancré ou attribuer le paramètre Aucun (voir Application et modification des caractéristiques de dessin).

  • Si un cadre et son contenu sont coupés par le bord d’une colonne de texte, choisissez Insérer > Cadre ancré, désactivez l’option Rogné, puis cliquez sur Modifier le cadre.

Parent topic: Remplissage et modification des cadres ancrés


Modification de la position d’ancrage d’un cadre et de ses caractéristiques de dessin

Sélectionnez le cadre, puis effectuez l’une des opérations suivantes :

  • Pour modifier la position d’ancrage du cadre, choisissez Insérer > Cadre ancré. Modifiez les paramètres et cliquez sur Modifier cadre.

  • Pour modifier les caractéristiques de dessin, sélectionnez le cadre et, à l’aide du panneau Outils, spécifiez les caractéristiques de votre choix. Par exemple, vous pouvez modifier le motif de trait d’un cadre pour rendre la bordure du cadre imprimable ou modifier son motif de remplissage pour ombrer l’intérieur du cadre.

Parent topic: Remplissage et modification des cadres ancrés


Redimensionnement d’un cadre ancré

Procédez de l’une des façons suivantes :

  • Pour redimensionner le cadre rapidement mais approximativement, sélectionnez-le et faites glisser l’une de ses poignées. La taille s’affiche sur la barre d’état au fur et à mesure du déplacement.

  • Pour redimensionner le cadre de façon précise, sélectionnez-le et indiquez sa taille à l’aide des commandes Graphiques > Caractéristiques de l’objet, Graphiques > Redimensionner, ou Insérer > Cadre ancré.

  • Pour redimensionner un cadre ancré à la taille de l’objet contenu dans le cadre, appuyez simultanément sur les touches Echap+M+P.

  • Pour redimensionner un graphique situé dans un cadre ancré, sélectionnez l’objet et faites glisser l’une de ses poignées ou choisissez Graphiques > Redimensionner et entrez les dimensions.

  • Cliquez avec le bouton droit sur un cadre ancré et sélectionnez Adapter à l’image dans le contexte contextuel pour redimensionner le cadre ancré à la taille de l’image.

Parent topic: Remplissage et modification des cadres ancrés


Copie, déplacement et suppression d’un cadre ancré

Copie ou déplacement d’un cadre ancré à l’aide des commandes Copier et Coller

  1. Sélectionnez le cadre et choisissez Edition > Copier ou Edition > Couper. Il n’est pas nécessaire de sélectionner le symbole d’ancrage.

  2. Cliquez dans le texte à l’endroit auquel insérer le cadre et choisissez EDition > Coller. Le symbole d’ancrage s’affiche au niveau du point d’insertion si les symboles de texte sont visibles. Si vous travaillez avec un document structuré, reportez-vous au catalogue Eléments avant de coller et vérifiez que l’emplacement choisi accepte les éléments graphiques.

Dans certains cas (par exemple, si un cadre est placé en haut ou en bas d’une colonne), le cadre ne change pas de position même si le symbole d’ancrage se déplace. Si vous avez des difficultés à repositionner un cadre ancré à l’extérieur d’une zone de texte ou d’une colonne pivotée, annulez la rotation, positionnez le cadre ancré, puis rétablissez la rotation de la zone de texte.

Tip: Si vous modifiez un document structuré, vous pouvez également déplacer le cadre en faisant glisser la bulle du cadre dans la Vue de la struture ou copier le cadre en faisant glisser la bulle tout en maintenant enfoncée la touche Alt.

Déplacement d’un cadre ancré sans déplacer son symbole d’ancrage

Procédez de l’une des façons suivantes :

  • Pour un repositionnement rapide mais approximatif, faites glisser le cadre.

  • Pour un repositionnement plus précis, déplacez le cadre par petits incréments à l’aide des touches fléchées.

  • Pour plus de précision, spécifiez la position du cadre à l’aide de la commande Insérer > Cadre ancré.

Certains cadres ancrés ne peuvent pas être déplacés sans leur symbole d’ancrage. Cependant, vous pouvez déplacer un cadre verticalement s’il est ancré au point d’insertion, en dehors de la colonne de texte ou en dehors de la zone de texte. Si un cadre est ancré en dehors de la colonne ou de la zone de texte, vous ne pouvez pas le déplacer au-dessus du sommet ou en dessous de la base de la zone de texte.

Note: lorsque vous déplacez un cadre dans une colonne, le texte de la colonne ne s’ajuste pas pour s’adapter au cadre. Utilisez la position d’ancrage Insérer dans paragraphe pour déplacer le cadre entièrement à l’intérieur de la colonne et enrouler automatiquement le texte autour du cadre. Vous pouvez également modifier les retraits de paragraphe pour offrir plus d’espace au cadre.

Déplacement d’un symbole d’ancrage de cadre

  1. Sélectionnez le cadre. Il n’est pas nécessaire de sélectionner le symbole d’ancrage.

  2. Choisissez Edition > Couper, cliquez dans le texte à l’endroit auquel insérer le symbole d’ancrage, puis choisissez Edition > Coller. Le symbole d’ancrage s’affiche au niveau du point d’insertion si les symboles de texte sont visibles.

Dans certains cas (par exemple, lorsque le cadre est positionné en haut ou au bas d’une colonne de texte), le cadre peut rester immobile même si le symbole de cadre se déplace.

Suppression d’un cadre ancré

Sélectionnez le cadre et appuyez sur la touche Suppr.

Parent topic: Remplissage et modification des cadres ancrés


Ajout d’attributs d’objet pour un PDF balisé

Découvrez comment modifier des attributs d’objet pour un PDF balisé dans Adobe FrameMaker.

Si vous avez l’intention d’exporter votre document au format PDF balisé ou XML, vous pouvez inclure des informations concernant les attributs d’objet des cadres ancrés.

Le texte optionnel (autre texte) est différent des graphiques ou du texte standard. Il sert généralement à décrire une image pour les lecteurs d’écran. Le texte réel permet de lire le texte réel à partir d’un élément tel qu’une lettrine. Par exemple, si le rédacteur utilise une lettrine pour la lettre A du mot « Adobe », tout en souhaitant que les lecteurs d’écran lisant le texte puissent malgré tout lire le mot « Adobe » dans son intégralité et non seulement « dobe », il peut renseigner l’attribut de texte réel. L’attribut est ensuite enregistré dans le texte optionnel et le texte réel aux formats XML et PDF balisé.

Si vous affectez un attribut de texte optionnel (attribut Autres) à un cadre ancré, les éléments figure correspondants contenus dans le texte au format PDF et les éléments graphiques correspondants du texte au format XML se voient également attribuer un attribut de texte optionnel. L’attribut de texte réel est traité uniquement pour le format PDF balisé. Cet attribut est ignoré en cas d’exportation au format XML.

Note: les attributs d’objet prennent en charge le format de codage de texte Unicode.

  1. Sélectionnez le cadre et choisissez Insérer > Cadre ancré.

    La boîte de dialogue Cadre ancré s'affiche.

  2. Cliquez sur Attributs de l’objet.

  3. Dans la section Attributs de texte, ajoutez votre texte réel et optionnel et cliquez sur Définir.

Note: en présence de texte optionnel, il est possible que certains lecteurs d’écran ignorent le texte réel.
Parent topic: Remplissage et modification des cadres ancrés


Incorporation d’objets

  • Incorporation de texte et de graphiques à l’aide de la fonction OLE
    Découvrez comment incorporer du texte et des graphiques à l'aide de la fonction OLE dans FrameMaker.
  • Lien vers un objet texte ou graphique à l’aide de la fonction OLE
    Découvrez comment créer un lien vers un texte ou un objet graphique à l'aide de la fonction OLE dans FrameMaker.
  • Modification d’objets OLE
    Découvrez comment modifier des objets OLE dans FrameMaker.
  • Contrôle de la mise à jour de liens OLE
    Découvrez comment contrôler la mise à jour des liens OLE dans FrameMaker.
  • Importation de texte dans les documents structurés
    Découvrez comment importer un texte dans des documents structurés dans Adobe FrameMaker.
Parent topic: Graphiques et objets


Incorporation de texte et de graphiques à l’aide de la fonction OLE

Découvrez comment incorporer du texte et des graphiques à l'aide de la fonction OLE dans FrameMaker.

La fonction OLE permet d’incorporer du texte ou des graphiques dans un document FrameMaker. L’élément incorporé conserve son association avec son application de création (mais ne conserve pas de lien dynamique à son document source). Cela permet de cliquer deux fois sur un objet incorporé pour l’ouvrir dans l’application de création. Assurez-vous d’utiliser une application prenant en charge la fonction OLE comme serveur pour créer l’objet à incorporer.

Vous pouvez également incorporer des objets multimédia tels que des fichiers vidéo ou animation (.avi ou .mov) et des fichiers son (.wav).

Note: Si vous spécifiez un nom de fichier HTTP lors de l’importation d’un fichier en tant qu’objet incorporé, un message d’erreur s’affiche indiquant que le fichier n’existe pas. Il est recommandé d’enregistrer le fichier sur votre ordinateur avant de l’importer en tant qu’objet. En outre, OLE 1.0 n’est pas pris en charge sur FrameMaker 64 bits.

Incorporation d’une partie d’un fichier à l’aide de la fonction OLE

  1. Dans l’application source, ouvrez le fichier et copiez la partie à incorporer.

  2. Dans FrameMaker, cliquez à l’endroit où incorporer le texte ou le graphique et choisissez Edition > Coller (spécial).

  3. Cliquez sur Coller, sélectionnez un format pour l’objet (recherchez un format comportant le terme « incorporé »), puis cliquez sur OK.

Incorporation d’un fichier complet à l’aide de la fonction OLE

Cliquez à l’endroit où incorporer le texte ou le graphique et choisissez Fichier > Importer > Objet. Vous pouvez alors incorporer un nouveau fichier vide ou spécifier un fichier existant.

Incorporation par glissement à l’aide de la fonction OLE

Procédez de la façon suivante depuis une application prenant en charge les fonctions de glisser-déplacer :

  • Pour déplacer du texte ou un graphique dans un document FrameMaker, faites glisser l’objet.

  • Pour effectuer une copie d’un objet au lieu de le déplacer, appuyez sur la touche Ctrl et faites-le glisser.

  • Pour choisir entre le déplacement et la copie lors du relâchement du bouton de la souris, appuyez sur le bouton droit et faites glisser l’objet.

Parent topic: Incorporation d’objets


Lien vers un objet texte ou graphique à l’aide de la fonction OLE

Découvrez comment créer un lien vers un texte ou un objet graphique à l'aide de la fonction OLE dans FrameMaker.

Lorsque vous créez un lien OLE vers un objet texte ou graphique dans un document, FrameMaker conserve non seulement les informations sur l’application de création de l’objet mais également une association dynamique avec le document source. Si l’élément source est modifié, sa représentation dans le document FrameMaker est également mise à jour. Assurez-vous d’utiliser une application prenant en charge la fonction OLE comme serveur de création de l’objet à lier.

La modification d’un texte ou graphique lié s’effectue dans le document source original.

Lien vers une partie d’un fichier

  1. Dans l’application source, ouvrez le fichier et copiez la partie à lier.

  2. Dans FrameMaker, cliquez à l’endroit où placer le texte ou le graphique lié et choisissez Edition > CollerSpécial.

  3. Cliquez sur Coller, sélectionnez un format pour l’objet (recherchez un format comportant le terme « incorporé »), puis cliquez sur OK.

Lien vers un fichier complet

  1. Cliquez à l’endroit où placer le fichier lié et choisissez Fichier > Importer > Objet. Cliquez sur Créer à partir du fichier puis sélectionnez Lier.

  2. Spécifiez le fichier à lier et cliquez sur OK.

Parent topic: Incorporation d’objets


Modification d’objets OLE

Découvrez comment modifier des objets OLE dans FrameMaker.

La modification d’un objet OLE s’effectue dans son application de création d’origine. Une fois la modification terminée, les changements s’affichent dans la fenêtre FrameMaker.

Modification d’un objet OLE incorporé

Cliquez deux fois dessus. L’objet s’affiche dans l’application de création où vous pouvez le modifier.

Modification d’un objet OLE lié

Procédez de l’une des façons suivantes :

  • Cliquez deux fois sur l’objet. L’objet s’affiche dans une nouvelle fenêtre de l’application de création ou les menus de la fenêtre FrameMaker fusionnent temporairement avec ceux de l’application de création. Dans les deux cas, les modifications apportées se reflètent dans le document original.

  • Modifiez le document original en dehors de FrameMaker, dans l’application de création.

Parent topic: Incorporation d’objets


Contrôle de la mise à jour de liens OLE

Découvrez comment contrôler la mise à jour des liens OLE dans FrameMaker.

Vous pouvez contrôler comment et quand des objets OLE sont mis à jour depuis leur document source. Par exemple, vous pouvez spécifier une mise à jour automatique ou manuelle et vous pouvez manuellement mettre à jour un seul ou plusieurs objets liés dans le document.

Vous ne pouvez pas spécifier la mise à jour des objets incorporés OLE car un tel objet n’est pas dynamiquement lié au document original.

Modification de la mise à jour d’un objet OLE lié

  1. Sélectionnez l’objet et choisissez Edition > Liens.

  2. Sélectionnez la source liée dans la liste, cliquez sur Automatique ou Manuelle pour le type de mise à jour, puis cliquez sur OK.

Annulation de la mise à jour de tous les objets OLE liés

  1. Sélectionnez Modifier > Mettre à jour les références.

  2. Choisissez Annuler la mise à jour automatique dans la liste déroulante Commandes et sélectionnez les éléments à ne pas mettre à jour automatiquement.

  3. Cliquez sur Définir, puis sur Terminé.

Mise à jour manuelle d’un objet OLE lié

Sélectionnez Modifier > Liens, sélectionnez le fichier source à mettre à jour et cliquez sur Mettre à jour maintenant.

Annulation d’un lien OLE

Si vous brisez un lien OLE, le texte ou graphique reste dans le document mais n’est plus mis à jour lorsque la source change. Le texte devient modifiable.

Sélectionnez l’objet, choisissez Modifier > Liens, puis cliquez sur Rompre la liaison.

Parent topic: Incorporation d’objets


Importation de texte dans les documents structurés

Découvrez comment importer un texte dans des documents structurés dans Adobe FrameMaker.

Vous pouvez importer dans un document FrameMaker structuré du texte provenant de l’une des sources suivantes :

  • Un enchaînement de texte provenant d’une autre partie du document, d’un autre document FrameMaker structuré ou d’un fichier MIF. Les balises conditionnelles de l'enchaînement, des références croisées, des tableaux, des marqueurs, des notes de bas de page, des variables et des cadres ancrés sont importées.

  • Un fichier créé dans une autre application pour laquelle un filtre d’importation est installé sur votre système. Selon l’application et le filtre utilisés, les éléments spéciaux tels que les références croisées et les tableaux peuvent également être importés.

Si le texte importé est structuré, vous pouvez choisir de conserver ou de supprimer la structure. Si le texte est formaté, vous pouvez conserver ou supprimer le formatage ou reformater le texte en utilisant les caractéristiques de formatage du document en cours.

Le texte importé peut être copié dans le document, ce qui revient à utiliser les commandes Copier et Coller, ou importé par référence en tant qu’encart de texte, auquel cas il conserve un lien avec son fichier source. Lorsque vous importez par référence, l’encart de texte s’affiche dans la fenêtre de document mais n’est pas modifiable. Si l’encart est structuré, sa structure apparaît dans la Vue de la structure mais n’est pas modifiable.

Figure 1. Un encart de texte reste lié au document source.
Encart de texte lié au document source

  1. Cliquez à l’endroit où vous souhaitez insérer le texte.

  2. Sélectionnez Fichier > Importer > Fichier.

  3. Sélectionnez le fichier contenant le texte à importer et indiquez si vous souhaitez une importation par référence ou par copie.

  4. Si la boîte de dialogue Type de fichier indéterminé s’affiche, sélectionnez un type de fichier et cliquez sur Convertir.

    La boîte de dialogue qui apparaît ensuite dépend de la méthode d’importation que vous avez choisie à l’étape 3. La boîte de dialogue Importation d’enchaînement de texte par référence contient des paramètres de mise à jour de l’enchaînement importé.

    Figure 2. Indiquez comment vous souhaitez formater et mettre à jour l’enchaînement de texte importé.
    Boîte de dialogue Importation d’un enchaînement de texte par référence dans FrameMaker

  5. Choisissez un enchaînement de page courante ou un enchaînement de page de référence dans une liste déroulante. Dans la plupart des cas, vous importerez le texte dans des pages courantes. Les pages de référence peuvent contenir des enchaînements de texte standard qui seront utilisés dans les pages courantes.

  6. Indiquez de quelle façon vous souhaitez traiter la structure et le formatage du texte importé en procédant comme suit :

    • Pour conserver la structure de l’enchaînement et appliquer au texte les formats et les règles de formatage du document en cours, sélectionnez Reformater en utilisant les catalogues du document en cours. Si les balises d’éléments des deux documents ne concordent pas, le formatage du texte importé n’est pas modifié. Généralement, vous devez sélectionner les options de suppression des sauts de page et des autres formats personnalisés de manière à ce que le texte importé prenne l’apparence du texte du document en cours.

    • Pour supprimer la structure et le formatage du texte et appliquer le formatage utilisé au point d’insertion, sélectionnez Reformater en tant que texte normal. Le texte dans les tableaux ou cadres ancrés conserve le formatage qu’il possédait dans le document source.

    • Pour supprimer la structure tout en conservant le formatage, sélectionnez Conserver le format de la source. Les formats utilisés dans le texte importé ne sont pas ajoutés aux catalogues du document en cours. Si vous modifiez ultérieurement les formats du document en cours, les formats importés ne seront pas modifiés, même si les balises du document en cours et le texte importé concordent.

  7. Si vous importez par référence, indiquez comment mettre à jour l’encart de texte en procédant comme suit :

    • Pour mettre à jour l’encart de texte dès que vous ouvrez le document, sélectionnez Automatique.

    • Pour mettre à jour l’encart de texte uniquement lorsque vous le demandez, sélectionnez Manuelle.

  8. Cliquez sur Importer.

Parent topic: Incorporation d’objets
Related information
  • Importation de texte


Zones réactives

Découvrez les zones réactives et comment créer des zones réactives dans des images et des graphiques dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création de zones réactives en utilisant les propriétés de zone réactive

  • Création de zones réactives avec la barre d’outils graphiques

  • Création de zones réactives dans les graphiques vectoriels

  • Dissociation d’une zone réactive

Introduction

Dans Adobe FrameMaker, une zone réactive est une zone active d’un document que vous pouvez lier à d’autres zones du document, à un autre document ou à une URL. Vous pouvez appliquer des zones réactives aux objets suivants :

  • Objets graphiques

  • Images

  • Cadres ancrés

  • Cadres graphiques

  • Zones de texte

  • Lignes de texte

  • panneau Équations

FrameMaker prend en charge les formes suivantes pour les zones réactives :

  • Ligne

  • Arc

  • Ligne brisée

  • Courbe aléatoire

  • Rectangle

  • Rectangle arrondi

  • Ovale

  • Polygone

Vous pouvez créer des zones réactives dans des objets graphiques et les lier à des objets textuels dans le même document ou d’autres documents. Vous pouvez superposer une zone réactive invisible sur une image pour créer un lien vers n’importe quel texte ou vue de détail pertinent dans le document.

Avec les zones réactives, vous pouvez ajouter plusieurs liens dans différentes parties d’un graphique sans avoir à diviser le graphique en plusieurs éléments distincts. Par exemple, dans une carte du monde, vous pouvez créer dans chacun des pays une zone réactive pointant vers des informations supplémentaires au sujet du pays concerné ; ces informations peuvent se trouver au sein d’un même document, dans d’autres documents ou à une adresse Web.

Les zones réactives sont prises en charge partout dans les documents FrameMaker, y compris dans les maquettes. Un cas d’utilisation de zones réactives sur une maquette est un logo cliquable pour chaque page du document qui conduit l’utilisateur à une page Web.

Les zones réactives ressemblent aux autres objets graphiques. En mode d’édition, vous pouvez sélectionner une zone réactive et modifier leurs propriétés. En mode d’affichage, lorsque vous passez le pointeur de la souris sur une zone réactive, le curseur change de forme afin d’indiquer la zone cliquable active.

Vous pouvez lier une zone réactive d’un document à un autre. Les fichiers PDF prennent en charge uniquement les zones réactives rectangulaires. Les zones réactives de toutes les autres formes sont converties en zones réactives rectangulaires lorsque vous créez le fichier PDF. D’autres formats de sortie, comme HTML, prennent en charge d’autres formes de zone réactive, par exemple la forme ovale. Si vous souhaitez mettre à l’échelle, faire pivoter et déplacer les zones réactives avec le cadre ancré, regroupez-les avec le cadre ancré. Lors de l’enregistrement XML, FrameMaker enregistre le graphique contenant les zones réactives dans un fichier MIF. Lors de la réouverture du fichier XML, FrameMaker replacera les informations de zone réactive dans le fichier FrameMaker depuis le fichier MIF. D’autres types de sortie prennent en charge les zones réactives, notamment : HTML et Multiscreen.

Le panneau Zones réactives affiche les zones réactives disponibles dans un document ou dans tous les documents ouverts. Le panneau Zones réactives vous permet de modifier, supprimer et dissocier les zones réactives existantes.

Création de zones réactives en utilisant les propriétés de zone réactive

Pour créer une zone réactive à l’aide de propriétés de zone réactive, procédez comme suit :

  1. Insérez un marqueur hypertexte de type Destination nommée. Outre le marqueur Destination nommée, vous pouvez lier les zones réactives à des URL.

  2. Cliquez avec le bouton droit sur un objet et sélectionnez Propriétés de la zone réactive dans la liste déroulante.

  3. Dans la boîte de dialogue Créer une zone réactive, procédez de l'une des façons suivantes :

    1. Sélectionnez le document cible pour le lien. FrameMaker affiche les marqueurs disponibles dans le document sélectionné. Sélectionnez l’instance appropriée.

    2. Entrez l’URL cible. La longueur de l’URL est limitée à 1011 octets. 1011 octets peuvent contenir 1011 caractères codés sur un octet ou 506 caractères codés sur deux octets.

  4. Entrez l’URL cible. La longueur de l’URL est limitée à 1011 octets. 1011 octets peuvent contenir 1011 caractères codés sur un octet ou 506 caractères codés sur deux octets.

  5. Cliquez sur Enregistrer.

    Vous pouvez maintenant tester le lien en maintenant les touches Ctrl+Alt enfoncées et en cliquant sur la zone réactive. Vous pouvez générer un fichier PDF ou d’autres sorties.

Création de zones réactives avec la barre d’outils graphiques

Pour créer une zone réactive à l’aide de la barre d'outils graphiques, procédez comme suit :

  1. Dans la barre d’outils Graphiques, cliquez sur Mode de zone réactive.

  2. Créez un objet graphique. La boîte de dialogue Zone réactive s’affiche.

  3. Dans la boîte de dialogue Zone réactive, procédez de l’une des façons suivantes :

    1. Sélectionnez le document cible pour le lien. FrameMaker affiche les marqueurs disponibles dans le document sélectionné. Sélectionnez l’instance appropriée.

    2. Entrez l’URL cible. La longueur de l’URL est limitée à 1011 octets. 1011 octets peuvent contenir 1011 caractères codés sur un octet ou 506 caractères codés sur deux octets.

  4. Spécifiez une infobulle. La longueur maximale du texte de l’infobulle est de 1023 octets. 1023 octets peuvent contenir 1023 caractères codés sur un octet ou 511 caractères codés sur deux octets. L'option Texte de l'info-bulle est facultative.

  5. Cliquez sur Enregistrer.

    Vous pouvez maintenant tester le lien en maintenant les touches Ctrl+Alt enfoncées et en cliquant sur la zone réactive. Vous pouvez générer un fichier PDF ou d’autres sorties.

Création de zones réactives dans les graphiques vectoriels

Vous pouvez créer plusieurs zones réactives dans des graphiques vectoriels, tels qu’un fichier CGM, importés dans un document FrameMaker.

Les différentes parties du graphique CGM peuvent être converties en zones réactives distinctes.

Dissociation d’une zone réactive

Vous pouvez dissocier une zone réactive pour supprimer les informations de zone réactive de l’objet graphique.

Dans le panneau Zone réactive, sélectionnez l’entrée de zone réactive et cliquez sur Dissocier ou choisissez Graphiques > Supprimer le lien de la zone réactive.

Vous pouvez également cliquer avec le bouton droit sur une zone réactive, puis sélectionnez Supprimer le lien de la zone réactive dans le menu contextuel.

Parent topic: Graphiques et objets


Styles d’objet

Découvrez les styles d’objet et leurs caractéristiques et familiarisez-vous avec les caractéristiques d’objets dans Adobe FrameMaker.

Dans ce sujet
  • Introduction
  • Configuration de style d’objet
  • Catalogue de styles d’objet
  • Création d’un style d’objet
  • Création d’un style d’objet à partir des caractéristiques d’un objet
  • Application d’un style d’objet
  • Importation des styles d’objet d’un autre document

Introduction

Dans Adobe FrameMaker, vous pouvez enregistrer en tant que style les caractéristiques d’objets que vous utilisez le plus souvent. Vous pouvez ensuite appliquer ces styles à divers objets, tels que des images, des cadres ancrés et des zones de texte pour harmoniser leur taille et leur apparence. Par exemple, vous pouvez créer et appliquer un style d’objet à tous les cadres ancrés dans un document ou dans tous les documents, pour qu’ils soient de la même taille.

Les styles d’objet comprennent les caractéristiques suivantes :

  • Position et taille (largeur, hauteur, haut, gauche et angle)
  • Fond (motif de remplissage, teinte et couleur)
  • Contour (style de ligne et flèche, largeur de ligne, crayon)
  • Ligne de texte (alignement)
  • Bloc de texte (propriétés de flux et de colonne)
  • Cadre ancré (position d’ancrage et propriétés associées)
  • Graphiques (mise à l’échelle et résolution)
  • Equation (alignement, taille et sauts de ligne automatiques)
  • Type et largeur d’habillage

Les styles d’objet sont pertinents pour les objets suivants dans FrameMaker :

  • Images
  • Cadre ancré
  • Objets graphiques
  • Bloc de texte
  • Ligne de texte
  • panneau Équations

Configuration de style d’objet

Figure 1. Configuration de style d’objet dans Adobe FrameMaker
Configuration de style d’objet dans Adobe FrameMaker

A. Liste des caractéristiques d’objets B. Réinitialiser toutes les caractéristiques à leur valeur par défaut C. Actualiser les caractéristiques du style d’objet D. Sélectionner un nom de style d’objet E. Tout mettre à jour F. Enregistrer

Catalogue de styles d’objet

Figure 2. Catalogue de styles d’objet dans Adobe FrameMaker
Catalogue de styles d'objets dans Adobe FrameMaker

A. Actualiser la liste des styles affichés dans le catalogue B. Options d’affichage des styles dans le catalogue C. Supprimer un style du document D. Noms de style d’objet E. La coche indique que le style est appliqué au document en cours

Création d’un style d’objet

Pour créer un style d’objet dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez Graphiques > Configuration du style d’objet. La boîte de dialogue Configuration du style d’objet s’affiche. Toutes les valeurs des caractéristiques sont vides.

  2. Dans la boîte de dialogue Configuration du style d’objet, entrez un nom pour le style d’objet.

  3. Modifiez les valeurs de caractéristique et cliquez sur Enregistrer.

Création d’un style d’objet à partir des caractéristiques d’un objet

Pour créer un style d’objet à partir des caractéristiques d’un objet dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez l’objet à partir duquel vous souhaitez créer un style d’objet.

  2. Sélectionnez Graphiques > Configuration du style d’objet. La boîte de dialogue Configuration du style d’objet s’affiche. Les valeurs des caractéristiques sont extraites de l’objet sélectionné.

  3. Dans la boîte de dialogue Configuration du style d’objet, entrez un nom pour le style d’objet.

  4. Modifiez les valeurs de caractéristique et cliquez sur Enregistrer.

Application d’un style d’objet

Pour appliquer des styles d’objet sur des objets dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez Graphiques > Configuration du style d’objet. La boîte de dialogue Configuration du style d’objet s’affiche.

  2. Sélectionnez un ou plusieurs objets sur lesquels vous souhaitez appliquer le style.

  3. Dans le Catalogue de style d’objet, cliquez sur le nom d’un style d’objet à appliquer.

Importation des styles d’objet d’un autre document

Pour importer des styles d’objet à partir d’un autre document dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez Fichier > Importer > Formats.

  2. Dans la boîte de dialogue Importer des formats, sélectionnez Styles d’objet.

  3. Sélectionnez Importer.

Parent topic: Graphiques et objets


Objets 3D et multimédia

Découvrez comment utiliser des objets 3D et multimédias et insérer des liens pour le contrôle interactif dans FrameMaker.

Vous pouvez insérer des liens pour contrôler de manière interactive les objets incorporés U3D (Universal 3D) et FLV dans le document PDF de sortie. Vous pouvez insérer des liens pointant vers des objets 3D et multimédia qui permettent de contrôler divers aspects de ces objets :

  • Vue : appelle différentes vues de l’objet 3D/multimédia. (3D uniquement)

  • Parties : se focalise sur différentes parties de l’objet 3D/multimédia. (3D uniquement)

  • Animation : appelle une animation dans l’objet 3D/multimédia. (3D uniquement)

  • JavaScript™ : associe un code JavaScript personnalisé™ au lien.

Vous pouvez également créer un tableau de liens multimédia pour l’objet 3D/multimédia.de type Vue, Parties ou Animation. Par exemple, le tableau de liens multimédia de type Parties inclut des liens focalisés sur différentes parties de l’objet 3D/multimédia.

Vous pouvez également définir une affiche qui apparaît pour les fichiers FLV et MP4 lorsque la vidéo n’est pas en cours de lecture.

  • Insertion d’un lien pointant vers un objet 3D
    Découvrez comment insérer un lien vers un objet 3D dans FrameMaker.
  • Liens de parties d’objets 3D
    Découvrez comment lier une partie d'objets 3D dans FrameMaker.
  • Insertion de liens pointant vers un fichier FLV
    Découvrez comment insérer des liens vers un fichier FLV dans des objets 3D dans FrameMaker.
  • Définition de l’affiche de fichiers FLV ou MP4
    Découvrez comment définir l’affiche de fichiers FLV ou MP4 dans FrameMaker.
  • Définition de l’affiche d’un objet 3D
    Découvrez comment définir l’affiche d’un objet 3D dans FrameMaker.
  • Insertion d’un tableau de liens multimédia
    Découvrez comment insérer un tableau de liens multimédia dans FrameMaker.
  • Modification de liens multimédia
    Découvrez comment modifier des liens multimédia dans FrameMaker.
  • Joindre JavaScript personnalisé à un objet 3D
    Découvrez comment joindre JavaScript personnalisé à un objet 3D dans FrameMaker.
  • Utilisation du handle d’objet dans JavaScript
    Découvrez comment utiliser le handle d’objet dans JavaScript.
  • Activation d’objets 3D/multimédia par défaut
    Découvrez comment activer par défaut des objets 3D/multimédia dans FrameMaker.
  • Affichage d’objets 3D/multimédia dans les fenêtres contextuelles
    Découvrez comment afficher des objets 3D/multimédia dans les fenêtres contextuelles dans FrameMaker.
Parent topic: Graphiques et objets


Insertion d’un lien pointant vers un objet 3D

Découvrez comment insérer un lien vers un objet 3D dans FrameMaker.

  1. Insérez un objet 3D dans votre document.

  2. Tapez un texte pour créer le lien.

  3. Sélectionnez Graphiques > Multimédia > Créer des liens au graphique.

  4. Dans la boîte de dialogue Créer un lien multimédia, définissez les éléments suivants :

    1. Sélectionnez le type d’objet : sélectionnez U3D.

    2. Sélectionnez un objet : sélectionnez le nom de l’objet pour lequel vous souhaitez insérer les liens. S’il n’y a qu’un seul objet du type d’objet sélectionné, FrameMaker sélectionne le nom de l’objet automatiquement.

    3. Balise d’élément hypertexte : si vous êtes en train de travailler dans FrameMaker structuré, définissez l’élément pour l’hypertexte des liens.

    4. Type de lien : pour un objet U3D, vous pouvez sélectionner JavaScript™, Vue, Parties ou Animation. Si vous sélectionnez JavaScript™, dans le champ Détails ajoutez le code JavaScript™ que vous voulez exécuter en cliquant sur l’hypertexte. Dans le cas contraire, le champ Détails affiche les options relatives au type de lien sélectionné. Sélectionnez l’une des options.

  5. Sélectionnez Insérer.

Parent topic: Objets 3D et multimédia


Liens de parties d’objets 3D

Découvrez comment lier une partie d'objets 3D dans FrameMaker.

Pour lier des parties d’un objet 3D à des objets textuels du même document, utilisez des liens de parties d’objet 3D. Les liens de parties d’objets 3D peuvent par exemple être utilisés pour lier chacune des parties à une description.

Liens de parties d’objets 3D

A. Liste des parties de l’objet 3D sélectionné B. Liste des marqueurs que vous pouvez définir en tant que destination de lien pour les parties de l’objet 3D

  • Création de liens 3D
Parent topic: Objets 3D et multimédia


Création de liens 3D

Vous pouvez créer des liens d’objet 3D et les lier à la commande Spécifier la destination nommée ou à une URL.

  1. Assurez-vous que votre document possède un hypertexte Spécifier la destination nommée. L’hypertexte Spécifier la destination nommée peut exister dans le même document ou d’autres documents.

  2. Cliquez avec le bouton droit sur un objet 3D et choisissez Menu 3D > Lien vers le texte.

  3. Dans la boîte de dialogue Lien au texte, procédez de la façon suivante :

    1. Pour insérer un lien, sélectionnez une partie de l’objet 3D, sélectionnez un marqueur, puis cliquez sur Insérer un lien au texte.

    2. Pour supprimer un lien, sélectionnez le nom d’une partie liée à un marqueur et cliquez sur Supprimer le lien au texte.

    3. Pour modifier un lien, sélectionnez le nom d’une partie liée à un marqueur, sélectionnez un marqueur différent et cliquer sur Mettre à jour le lien au texte.

    4. Pour afficher des parties liées, sélectionnez Afficher uniquement les parties liées. Lorsque vous sélectionnez une partie liée, le marqueur lié est sélectionné.

  4. Cliquez sur OK.

Parent topic: Liens de parties d’objets 3D


Insertion de liens pointant vers un fichier FLV

Découvrez comment insérer des liens vers un fichier FLV dans des objets 3D dans FrameMaker.

  1. Insérez un fichier FLV dans votre document.

  2. Tapez un texte pour créer le lien.

  3. Sélectionnez Graphiques > Multimédia > Créer des liens au graphique.

  4. Dans la boîte de dialogue Créer un lien multimédia, spécifiez les éléments suivants :

    1. Sélectionnez le type d’objet : sélectionnez FLV.

    2. Sélectionnez un objet : sélectionnez le nom de l’objet pour lequel vous souhaitez insérer les liens. S’il n’y a qu’un seul objet du type d’objet sélectionné, FrameMaker sélectionne le nom de l’objet automatiquement.

    3. Balise d’élément hypertexte : si vous êtes en train de travailler dans FrameMaker structuré, spécifiez l’élément pour l’hypertexte des liens du tableau.

    4. Type de lien : pour FLV, vous pouvez sélectionner les options suivantes :

      • Lire : lit la vidéo FLV

      • Pause : met la vidéo en pause

      • Rembobiner : rembobine la vidéo au point de départ

      • Point de repère suivant : place la vidéo au point de repère suivant

      • Point de repère précédent : place la vidéo au point de repère précédent

      • Recherche : cette option vous permet de sélectionner des options supplémentaires pour la création de points définis.

  5. Si vous avez sélectionné Recherche dans Type de lien, effectuez l’une des opérations suivantes :

    1. Points définis : cette option vous permet d’utiliser les points de repère intégrés dans la vidéo elle-même.

    2. Créer un point : cette option vous permet de créer un point à rechercher dans la vidéo. Après avoir sélectionné cette option, lancez la lecture de la vidéo et cliquez sur Créer un lien dans la fenêtre vidéo pour insérer un point à rechercher.

  6. Sélectionnez Insérer.

Parent topic: Objets 3D et multimédia


Définition de l’affiche de fichiers FLV ou MP4

Découvrez comment définir l’affiche de fichiers FLV ou MP4 dans FrameMaker.

Vous pouvez définir une affiche qui apparaît pour les fichiers FLV ou MP4 lorsque la vidéo n’est pas en cours de lecture.

  1. Sélectionnez un fichier FLV et MP4.

  2. Cliquez avec le bouton droit sur le fichier et dans la liste déroulante, sélectionnez Définir l’affiche.

  3. Pour un fichier FLV ou MP4, la boîte de dialogue Définir l’affiche apparaît.

    1. Sélectionnez A partir d’un support et cliquez sur Lecture.

    2. Lorsque la vidéo est en cours de lecture, au moment approprié cliquez sur Cadre de capture pour l’affiche.

    3. Cliquez sur Enregistrer sous et enregistrez le fichier d’affiche (.dib) sur le disque.

    4. Cliquez sur Appliquer.

Parent topic: Objets 3D et multimédia


Définition de l’affiche d’un objet 3D

Découvrez comment définir l’affiche d’un objet 3D dans FrameMaker.

Vous pouvez définir une affiche qui apparaît pour les fichiers U3D lorsque la vidéo n’est pas en cours de lecture.

  1. Sélectionnez un objet 3D.

  2. Cliquez avec le bouton droit sur l’objet et dans la liste déroulante, sélectionnez Définir l’affiche.

    La boîte de dialogue Sélectionner un fichier d’affiche apparaît.

  3. Recherchez un fichier d’affiche (format .jpeg, .png, .gif, .dib, ou .bmp) et sélectionnez-le.

Parent topic: Objets 3D et multimédia


Insertion d’un tableau de liens multimédia

Découvrez comment insérer un tableau de liens multimédia dans FrameMaker.

Vous pouvez ajouter un tableau de liens multimédia pour les objets U3D et FLV.

  1. Sélectionnez Graphiques > Multimédia > Créer un tableau de liens au graphique.

    Note: si la commande Créer un tableau de liens vers le graphique est désactivée, placez votre curseur dans une zone de texte du document.

  2. Dans la boîte de dialogue Insérer un tableau de liens multimédia, sélectionnez :

    1. Sélectionnez le type d’objet : sélectionnez U3D ou FLV.

    2. Sélectionnez un objet : nom de l’objet pour lequel vous souhaitez insérer les liens.

    3. Format de tableau : permet de sélectionner le format du tableau de liens.

    4. Balise d’élément de tableau : si vous travaillez dans FrameMaker structuré, spécifiez l’élément du tableau de liens.

    5. Balise d’élément hypertexte : si vous êtes en train de travailler dans FrameMaker structuré, spécifiez l’élément pour l’hypertexte des liens du tableau.

    6. Sélectionnez le type de tableau : sélectionnez le type d’action des liens multimédia. Pour l’objet U3D, les options sont Vue, Parties ou Animation. Pour un fichier FLV, vous pouvez choisir Recherche.

  3. Sélectionnez Insérer.

Parent topic: Objets 3D et multimédia


Modification de liens multimédia

Découvrez comment modifier des liens multimédia dans FrameMaker.

Vous pouvez modifier les liens multimédia en utilisant le panneau Marqueurs.

  1. Sélectionnez Affichage > Panneaux > Marqueurs.

  2. Dans le panneau Marqueurs, cliquez deux fois sur un marqueur hypertexte de type multimédia.

  3. Dans la boîte de dialogue Modifier un lien multimédia, modifiez les options requises et cliquez sur Enregistrer.

Parent topic: Objets 3D et multimédia


Joindre JavaScript™ personnalisé à un objet 3D

Découvrez comment joindre JavaScript personnalisé à un objet 3D dans FrameMaker.

Vous pouvez attacher JavaScript™ personnalisé à un objet 3D pour le contrôler.

  1. Cliquez avec le bouton droit sur un objet 3D et dans le menu contextuel 3D, sélectionnez Menu 3D > Sélectionner JavaScript ™.

  2. Dans la boîte de dialogue Sélectionner un fichier JavaScript™, accédez à un fichier JavaScript™, puis cliquez sur Sélectionner.

    Note: Si vous copiez-collez un objet 3D, le JavaScript™ joint est aussi copié vers la nouvelle occurrence de l’objet.
Parent topic: Objets 3D et multimédia


Utilisation du handle d’objet dans JavaScript™

Découvrez comment utiliser le handle d’objet dans JavaScript.

Vous pouvez faire référence au nom d’un objet 3D ou FLV dans un script JavaScript™ en utilisant le préfixe FM_.

L’exemple JavaScript™ suivant utilise le préfixe FM_ avec le nom de l’objet. Cet exemple de code JavaScript™ rend l’objet concerné transparent.

  1. Insérez un objet dans FrameMaker et nommez-le my3d dans les propriétés du menu 3D.

  2. Joignez le code JavaScript™ suivant à l’objet. L’objet my3dest désigné dans ce code comme FM_my3d.

    var i,count,tempObj;
count=FM_my3d.context3D.scene.meshes.count;
var selObj;
for( i=0;i<count;i++){
selObj=FM_my3d.context3D.scene.meshes.getByIndex(i);
tempObj=FM_my3d.context3D.scene.nodes.getByName(selObj.name);
tempObj.renderMode="transparent";
}

  3. Créez le fichier PDF, puis cliquez sur le lien. L’objet 3D devient transparent.

Parent topic: Objets 3D et multimédia


Activation d’objets 3D/multimédia par défaut

Découvrez comment activer par défaut des objets 3D/multimédia dans FrameMaker.

Lorsque vous ouvrez un fichier PDF, les objets 3D/multimédia du PDF ne sont pas activés par défaut. Cliquez sur les objets pour les activer. Pour activer des objets 3D/multimédia dans le fichier PDF par défaut, effectuez les étapes suivantes :

  • Cliquez avec le bouton droit de la souris sur un objet FLV ou 3D et, dans le menu contextuel, choisissez Options d’affichage PDF > Activer par défaut.

Parent topic: Objets 3D et multimédia


Affichage d’objets 3D/multimédia dans les fenêtres contextuelles

Découvrez comment afficher des objets 3D/multimédia dans les fenêtres contextuelles dans FrameMaker.

Vous pouvez choisir d’afficher les objets 3D/multimédia dans une fenêtre contextuelle, lorsque vous cliquez sur le lien approprié. Cette option est utile lorsque les liens et les objets 3D/multimédia se trouvent sur des pages différentes.

  • Cliquez avec le bouton droit de la souris sur un objet FLV ou 3D et, dans le menu contextuel, choisissez Options d’affichage PDF > Ouvrir dans une fenêtre contextuelle.

Note: vous pouvez fermer la fenêtre contextuelle en cliquant sur la croix, dans le coin supérieur droit de la fenêtre.
Parent topic: Objets 3D et multimédia


Codes QR

Découvrez les codes QR et comment les utiliser dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Génération et insertion d’un code QR

  • Modification des codes QR

Introduction

Vous pouvez générer un code QR dans FrameMaker et insérer ce code dans un document FrameMaker. Un code QR (Quick Response, réponse rapide) est un code à barres bidimensionnel lisible par une machine. Le code peut être analysé par un périphérique, tel qu’un smartphone, qui peut ensuite extraire (et utiliser en conséquence) les informations définies dans le code.

FrameMaker offre un puissant Constructeur de code QR.

Figure 1. Constructeur de code QR dans FrameMaker
Constructeur de code QR dans Adobe FrameMaker

Voir la vidéo : Codes QR.

Génération et insertion d’un code QR

  1. Sélectionnez Insérer > Générer un code QR ….

    La boîte de dialogue Contructeur de code QR s’affiche.

  2. Indiquez un nom de fichier et un chemin d’accès pour créer le fichier de code QR (.png).

    La dimension par défaut de l’image est de 186 pixels.

  3. Pour modifier les dimensions de l’image, sélectionnez une autre dimension dans la liste déroulante Dimensions de l’image.

  4. Pour spécifier le type d’informations que vous souhaitez coder, choisissez une option dans la liste déroulante Type.

    SMS

    Envoyer un SMS au numéro de téléphone codé avec le texte codé

    URL

    Ouvrir l’URL encodé

    Téléphone

    Effectuer un appel téléphonique vers le numéro de téléphone codé

    Courrier électronique

    Envoyer un courrier électronique vers une adresse spécifiée

    Texte

    Lire le texte codé

  5. Pour chaque type d’information, saisissez les informations pertinentes et cliquez sur Insérer.

Le code QR avec les informations spécifiques est généré et inséré dans le document.

Modification des codes QR

Vous pouvez modifier un code QR existant dans un document à l’aide du Constructeur de code QR. FrameMaker vous permet également de modifier le fichier dans des applications externes telles qu’Adobe Photoshop et Adobe Illustrator.

Pour modifier le code QR dans le Constructeur de code QR :

  1. Dans le document, sélectionnez le code QR à modifier.

  2. Sélectionnez Modifier > Modifier le QR Code.... La boîte de dialogue Constructeur de code QR s'affiche.

    ou

    Cliquez deux fois sur le code QR dans le document.

    ou

    Cliquez avec le bouton droit de la souris sur le code QR et sélectionnez Modifier le code QR... dans le menu contextuel.

  3. Modifiez les détails de code pertinents et cliquez sur Enregistrer.

Le code QR et les informations mises à jour sont enregistrées dans le fichier .png et le document est mis à jour.

Modification d’un code QR dans une application externe :

  1. Dans le document, sélectionnez le code QR à modifier.

  2. Cliquez avec le bouton droit sur le code QR et sélectionnez Modifier avec... dans le menu contextuel. Sélectionnez l’application dans laquelle vous souhaitez modifier le code QR :

    • Illustrator

    • Photoshop

    • RoboScreenCapture

    Important: Vous pouvez uniquement sélectionner une application qui est déjà installée sur votre ordinateur.

  3. Le fichier de code QR s’ouvre dans l’application que vous sélectionnez.

  4. Apportez des modifications au fichier .png dans l’application externe et enregistrez les modifications.

Dès que vous enregistrez les modifications pour mettre à jour le fichier .png, es modifications sont immédiatement reflétées dans le code QR dans le document FrameMaker.

Parent topic: Graphiques et objets


Utilisation de RoboScreenCapture

Découvrez RoboScreenCapture et comment l’utiliser dans FrameMaker.

Dans ce sujet

  • Introduction

  • Capture et insertion d’images

  • Modification d'images RoboScreenCapture importées

Introduction

RoboScreenCapture est un outil de capture d’écran permettant la capture et la modification d’images. Vous pouvez ensuite utiliser ces images dans vos différents systèmes d’aide tels que les didacticiels en ligne, manuels, supports de formation, présentations, supports marketing et pages Web.

L’intégration d'Adobe FrameMaker avec Adobe RoboScreenCapture vous permet d’effectuer les opérations suivantes :

  • Ouvrir RoboScreenCapture à partir de FrameMaker.

  • Insérer dans FrameMaker des images créées dans RoboScreenCapture.

  • Modifier des images importées par référence dans FrameMaker à l’aide de RoboScreenCapture. Vous pouvez utiliser l’option de menu contextuel Modifier avec RoboScreenCapture pour une image afin d’ouvrir et de modifier l’image dans RoboScreenCapture.

Les modifications apportées à l’image sont reflétées dans FrameMaker une fois l’image enregistrée et fermée dans RoboScreenCapture.

Note: Cette option est disponible uniquement pour les formats d’image pris en charge par RoboScreenCapture.

RoboScreenCapture permet d’effectuer les tâches suivantes :

  • 10 modes de captures d’écran disponibles, notamment un mode dessin à main levée, écran virtuel et multi-régions

  • Capture d’écrans à l’aide d’une liste déroulante, possibilité de création de vos raccourcis clavier personnalisés et commande vocale du logiciel RoboScreenCapture

  • Capture d’images complexes issues de jeux vidéo au format DirectX, Direct3D, 3Dfx, Voodoo et Glide

  • Capture de page Web entière au-delà des limites de l’écran

  • Modification d’images

  • 20 formats d’image disponibles à l’enregistrement

  • Enregistrement automatique de captures d’écran dans des fichiers d’images

  • Ajout rapide de tampons, de cadres, d’ombres portées, etc.

  • Modification des couleurs, rotation et inversement et réduction de la taille de l’image

  • Ajout de tampons d’identification aux captures d’écran (nom ou logo de l’entreprise)

  • Mise en relief de certaines zones de l’image avec des formes, des effets d’ombre, etc.

Capture et insertion d’images

Vous pouvez utiliser RoboScreenCapture à partir de FrameMaker pour capturer les images des applications s’exécutant sur l’ordinateur et les enregistrer dans RoboScreenCapture. Après l’enregistrement, vous pouvez importer le fichier dans un document FrameMaker ouvert.

  1. Ouvrez le document FrameMaker dans lequel vous souhaitez insérer des images.

  2. Sélectionnez Fichier > Lancer RoboScreenCapture. L’application RoboScreenCapture démarre.

  3. Dans RoboScreenCapture, effectuez une capture d’écran de l’application de votre choix en utilisant les différentes options du menu Capture.

  4. Enregistrez et fermez RoboScreenCapture.

  5. Dans Adobe FrameMaker, sélectionnez Fichier > Importer > Fichier ou Insérer > Image.

    La boîte de dialogue Importer s’affiche.

  6. Sélectionnez le fichier créé dans RoboScreenCapture.

  7. Sélectionnez Importer par référence à partir de la boîte de dialogue Importer.

  8. Cliquez sur Importer.

Modification d'images RoboScreenCapture importées

RoboScreenCapture permet de modifier les images insérées par référence dans les documents FrameMaker.

  1. Ouvrez FrameMaker.

  2. Sélectionnez Fichier > Ouvrir, et ouvrez un document contenant l’image à modifier.

  3. Sélectionnez l’image à modifier.

  4. Cliquez avec le bouton droit de la souris sur l'image, puis sélectionnez Modifier avec RoboScreenCapture. L’application RoboScreenCapture s’ouvre avec l’image ouverte pour modification.

  5. Modifiez l’image.

  6. Sélectionnez Fichier > Enregistrer.

  7. Sélectionnez Fichier > Quitterpour fermer l’application RoboScreenCapture.

L’image modifiée est mise à jour dans FrameMaker et peut-être utilisée à votre convenance.

Parent topic: Graphiques et objets


Importer et modifier des images Adobe Illustrator

Découvrez comment importer et modifier des images dans Adobe FrameMaker avec Adobe Illustrator.

Vous pouvez importer des images Adobe Illustrator dans vos documents Adobe FrameMaker. FrameMaker prend en charge les calques, et vous permet d'importer des graphiques contenant plusieurs calques dans votre document.

De plus, vous pouvez ouvrir des images Photoshop pour les modifier directement dans FrameMaker.

Les images Adobe Photoshop suivantes peuvent être importées dans un document FrameMaker :

  • AI (Adobe Illustrator Image)

  • AIT (Adobe Illustrator Template)

  • EPS (Adobe Illustrator EPS)

  • SVG (Scalable Vector Graphics)

Sélectionnez Fichier > Importer, puis accédez à votre fichier Illustrator et insérez-le dans votre document.

Vous pouvez ensuite ouvrir le fichier Illustrator pour le modifier dans Adobe Illustrator à partir de FrameMaker.

Pour modifier l’image dans Adobe Illustrator :

  1. Sélectionnez l’image à modifier.

  2. Cliquez avec le bouton droit de la souris sur l’image et sélectionnez Modifier avec Illustrator. Adobe Illustrator s’ouvre avec l’image ouverte pour modification.

  3. Modifiez l’image.

  4. Sélectionnez Fichier > Enregistrer ou Fichier > Exporter (suivant le type d’image) pour enregistrer l’image modifiée.

  5. Sélectionnez Fichier > Quitterpour fermer Adobe Illustrator.

L’image modifiée est mise à jour dans votre document Adobe FrameMaker.

Note: Adobe Illustrator doit être installé sur le même ordinateur qu’Adobe FrameMaker pour que cette option puisse fonctionner.
Parent topic: Graphiques et objets
  • Importer et modifier des images Adobe Photoshop


Importer et modifier des images Adobe Photoshop

Comprendre comment importer et modifier des images dans Adobe FrameMaker avec Adobe Photoshop.

Vous pouvez importer des images Adobe Photoshop dans vos documents Adobe FrameMaker. FrameMaker prend en charge les calques, et vous permet d'importer des graphiques contenant plusieurs calques dans votre document. Lors de la publication, les fichiers PSD sont pixellisés.

De plus, vous pouvez ouvrir des images Photoshop pour les modifier directement dans FrameMaker.

Les images Adobe Photoshop suivantes peuvent être importées dans un document FrameMaker :

  • PSD (Adobe Photoshop Image)

  • PSB (Adobe Photoshop Large Document Format)

  • PSDT (Adobe Photoshop Document Template)

  • PDD (Adobe Photoshop Elements)

Sélectionnez Fichier > Importer, puis accédez au fichier Photoshop et insérez-le dans votre document.

Vous pouvez ensuite ouvrir le fichier Photoshop pour le modifier dans Adobe Photoshop à partir de FrameMaker.

Pour modifier l’image dans Adobe Photoshop :

  1. Sélectionnez l’image à modifier.

  2. Cliquez avec le bouton droit sur l'image, puis sélectionnez Modifier avec Photoshop. Adobe Photoshop s'ouvre avec l’image ouverte pour modification.

  3. Modifiez l’image.

  4. Sélectionnez Fichier > Enregistrer ou Fichier > Exporter (suivant le type d’image) pour enregistrer l’image modifiée.

  5. Sélectionnez Fichier > Quitter pour fermer Adobe Photoshop.

L’image modifiée est mise à jour dans votre document Adobe FrameMaker.

Note: Adobe Photoshop doit être installé sur le même ordinateur qu’Adobe FrameMaker pour que cette option puisse fonctionner.
Parent topic: Graphiques et objets
  • Importer et modifier des images Adobe Illustrator


Changer le sens d'un document contenant des objets

Découvrez comment vous pouvez modifier le sens de documents contenant des objets dans Adobe FrameMaker.

Lorsque vous changez le sens (Gauche à droite/LTR – Droite à gauche/RTL) d'un document contenant des objets graphiques, des cadres ancrés ou des zones de texte, ces objets sont retournés selon l'axe vertical. Cela implique que si un objet se trouvait à 10 px de la marge gauche, après avoir changé de sens, celui-ci sera placé à 10 px de la marge droite. Cependant, l'orientation de l'objet restera la même.

Modification du sens d’un document contenant des objets

Vous pouvez choisir de modifier l’orientation d’un objet graphique retourné lorsque le sens du document est changé :

Modification de l’orientation d’un objet graphique retourné lorsque le sens du document est modifié

Pour retourner et modifier l’orientation d’un objet graphique, vérifiez que les indicateurs maker.ini sont activés :

TranslateObjectOnDirectionChange=On
FlipObjectOnDirectionChange=On

Si vous ne souhaitez pas retourner les objets d'un document quand son sens est changé, désactivez l'indicateur suivant :

TranslateObjectOnDirectionChange=Off
Parent topic: Graphiques et objets
  • Direction d'un document


Projets, livres et documents longs

Découvrez comment gérer vos multiples projets de documentation en utilisant la fonction Projets de FrameMaker.

Vous pouvez utiliser un projet dans FrameMaker pour organiser plusieurs livrables de votre système d’aide. La vue unique de toutes les ressources d’un projet vous donne plus de contrôle et de flexibilité pour placer et déplacer vos ressources de projet.

En outre, vous pouvez organiser plusieurs sujets ou chapitres dans une seule unité logique nommée livre.

  • Projets
    La fonction de gestion de projet d'Adobe FrameMaker vous permet de créer des projets et de gérer toutes les ressources liées à un projet d’un seul endroit.
  • Livres et longs documents
    Découvrez les fichiers livres et les dispositions possibles dans une configuration de documents longs dans Adobe FrameMaker.
  • Création de livres
    Découvrez comment créer un livre dans Adobe FrameMaker, ajouter des fichiers à un livre, combiner plusieurs livres et associer une application structurée avec des fichiers XML, et familiarisez-vous avec la direction du livre.
  • Gestion des livres
    Apprenez à gérer les fichiers de livres dans FrameMaker, renommer, ouvrir et fermer des fichiers, comparer les documents et appliquer des commentaires à l’échelle du livre.
  • Génération et mise à jour d’un livre
    Découvrez comment générer et mettre à jour des livres dans Adobe FrameMaker.
  • Tables des matières et autres listes
    Découvrez les fichiers générés dans Adobe FrameMaker et les types de listes que vous pouvez générer avec FrameMaker.
  • Création d’index
    Renseignez-vous sur la création d’entrées d'index, l’insertion de marqueurs d’index et d’éléments de marqueur, la création de sous-entrées d’index (index multi-niveaux) et l’ajout de références croisées et de groupes de pages pour les entrées d'index dans Adobe FrameMaker.
  • Formatage des listes et des index
    Découvrez comment formater une liste ou un index avec un modèle dans Adobe FrameMaker.
  • Glossaires
    Familiarisez-vous avec les glossaires dans Adobe FrameMaker. Découvrez comment créer un marqueur de glossaire avec une définition de terme et appliquer le marqueur de glossaire aux occurrences du terme.
  • Création de notes et de notes de fin
    Découvrez comment fonctionnent les notes et les notes de fin dans Adobe FrameMaker.
  • Modification et validation de la structure d’un livre
    Découvrez comment modifier et valider la structure d’un livre dans Adobe FrameMaker.
  • Résolution d’incidents liés aux livres
    Découvrez comment résoudre les problèmes avec les livres Adobe FrameMaker.


Projets

La fonction de gestion de projet d'Adobe FrameMaker vous permet de créer des projets et de gérer toutes les ressources liées à un projet d’un seul endroit.

Vous pouvez créer un projet et ajouter toutes les ressources (telles que des fichiers et dossiers) associées à ce projet à partir d’emplacements différents sur votre système de fichiers. Vous pouvez facilement faire glisser des ressources de votre système de fichiers dans la fenêtre projet pour les ajouter à votre projet.

Dans ce sujet

  • Introduction

  • Création d’un projet

  • Ajouter un emplacement et enregistrer un projet

  • Ouvrir un projet

  • Supprimer un emplacement

  • Supprimer une ressource

  • Utilisation de la fenêtre de projet

  • Fonctionnalités supplémentaires dans la fenêtre de projet

Introduction

La fonction de gestion de projet vous permet d’effectuer les tâches suivantes facilement et vous aide à accroître votre productivité :

  • Vue en fenêtre unique de tous les fichiers et dossiers du projet

  • Faire glisser et déposer du contenu à partir de l’explorateur Windows pour l’ajouter à votre projet

  • Faire glisser et déposer le contenu d’un emplacement vers un autre pour organiser le contenu dans votre projet

  • Insérer une image en la faisant glisser depuis la fenêtre de projet et en la déposant dans le document

  • Renommer les fichiers et dossiers

Création d’un projet

  1. Sélectionnez Fichier > Nouveau > Projet.

    La boîte de dialogue Nouveau projet s'affiche.

    Figure 1. Boîte de dialogue Nouveau projet
    Boîte de dialogue Nouveau projet dans FrameMaker

  2. Saisissez le nom du projet.

    Note: Par défaut, un nouveau dossier portant le nom du projet est créé dans l’emplacement que vous avez sélectionné pour la création du projet. Vous pouvez choisir de renommer le projet ou le dossier du projet.

Ajouter un emplacement et enregistrer un projet

Une fois que vous avez créé un projet, vous devez ajouter des ressources à votre projet. En règle générale, vous stockez tous vos fichiers de projet à divers endroits dans votre système de fichiers. Vous pouvez ajouter l’ensemble de ces emplacements dans votre projet afin d’obtenir une vue complète du projet.

Effectuez les étapes suivantes pour ajouter un emplacement à votre projet :

  1. Dans la fenêtre de projet, cliquez sur l’icône Ajouter un emplacement.

  2. Recherchez et sélectionnez l’emplacement où les ressources de votre projet sont disponibles.

    Note: Par défaut, le nom de l’emplacement correspond au nom du dossier de destination. Vous pouvez choisir un autre nom pour l’emplacement..

  3. ( Facultatif) Indiquez un nom pour l’emplacement.

  4. Cliquez sur OK.

    L’emplacement est ajouté à votre projet. Dans la fenêtre de projet, vous pouvez afficher toutes les ressources disponibles dans l’emplacement que vous avez ajouté.

    Note: Vous pouvez également ajouter un emplacement en faisant glisser le dossier requis depuis l’explorateur Windows dans la fenêtre de projet.

  5. Une fois que vous avez effectué les modifications nécessaires de votre projet, cliquez sur l’icône Enregistrer pour enregistrer les modifications.

Ouvrir un projet

  1. Choisissez Fichier > Ouvrir.

  2. Recherchez le fichier du projet. Cliquez sur Ouvrir.

    Note: L’extension du fichier du projet est .fxpr.

Supprimer un emplacement

Si vous souhaitez supprimer un emplacement qui n’est plus nécessaire dans votre projet, effectuez les étapes suivantes :

  1. Cliquez avec le bouton droit sur l’emplacement que vous souhaitez supprimer.

  2. Dans le menu contextuel, sélectionnez Supprimer.

    L’emplacement est supprimée de votre projet. Toutefois, il n’est pas supprimé de votre système de fichiers.

Supprimer une ressource

La fenêtre de projet affiche les ressources (fichiers et dossiers) de votre système de fichiers. Si vous n’avez plus besoin d’une ressource (fichier), vous pouvez le supprimer de votre projet.

Important: La suppression d’un fichier du projet le supprime également de votre système de fichiers. Par conséquent, utilisez cette fonction avec précaution.

Effectuez les étapes suivantes pour supprimer une ressource de votre projet :

  1. Cliquez avec le bouton droit de la souris sur la ressource que vous souhaitez supprimer.

  2. Dans le menu contextuel, sélectionnez Supprimer.

    Dans la boîte de dialogue de confirmation, cliquez sur OK.

    La ressource est supprimée de votre projet et est également supprimée de votre système de fichiers.

Utilisation de la fenêtre de projet

L’illustration suivante représente la fenêtre du projet :

Figure 2. Fenêtre du projet et sa barre d’outils

A (Ajouter un emplacement)
Ajoutez un emplacement à votre projet.
B (Créer un dossier)
Créez un dossier ou un sous-dossier au sein d’un projet. Le dossier que vous créez à partir de la fenêtre de projet est également créé dans votre système de fichiers. De même, si vous créez manuellement un nouveau dossier ou fichier dans votre système de fichiers, FrameMaker met à jour la liste automatiquement pour refléter les modifications dans la fenêtre de projet.
C (Enregistrer)
Enregistrez le projet actuellement ouvert.
D (Supprimer)
Utilisez le bouton Supprimer pour supprimer le fichier ou le dossier du projet. Notez que si vous supprimez n’importe quel fichier ou dossier dans la fenêtre de projet, il est également supprimé du système de fichiers. Toutefois, si vous supprimez un emplacement, il est uniquement supprimé du projet et non du système de fichiers.
E (Afficher chemins fichiers/dossiers)
Basculez entre l’option Afficher chemin fichier et Afficher nom fichier pour afficher le chemin du dossier ou le nom des ressources du projet.

Fonctionnalités supplémentaires dans la fenêtre de projet

Cliquez avec le bouton droit de la souris sur une ressource du projet (emplacement, dossier ou fichier) pour effectuer les opérations supplémentaires suivantes dans le menu contextuel.

Modifier
Ouvre le fichier sélectionné pour modification. Si le fichier est un fichier FrameMaker valide, il est ouvert pour modification dans FrameMaker. Sinon, si le fichier n’est pas de reconnu par FrameMaker, le fichier est ouvert dans le programme associé pour modification.
Explorer
Ouvre le dossier parent de la ressource sélectionnée dans l’explorateur Windows.
Renommer
Fonction permettant de renommer la ressource sélectionnée dans le projet.
Supprimer
Supprime l’emplacement ou le fichier sélectionné du projet. Pour de plus amples informations, voir Supprimer un emplacement et Supprimer une ressource.
Parent topic: Projets, livres et documents longs


Livres et longs documents

Découvrez les fichiers livres et les dispositions possibles dans une configuration de documents longs dans Adobe FrameMaker.

Un fichier livre contient les noms des documents constituant le livre (les chapitres et annexes, par exemple), des fichiers générés (une table des matières, par exemple) et d’autres livres. Le nom et l’emplacement de chaque fichier sont ajoutés au fichier livre et un lien est établi entre le fichier et le livre.

Un livre peut également s’organiser selon une hiérarchie de documents associés, via des dossiers et des groupes. Les dossiers représentent des chapitres, des sections ou des sous-sections en fonction de leur niveau hiérarchique dans le livre. Vous pouvez également inclure à un livre d’autres livres associés afin d’élaborer un ensemble de documentation complexe.

Un fichier livre comporte des paramètres de numérotation et de pagination pour chaque fichier du livre. Lors de la mise à jour du livre, FrameMaker met à jour la numérotation sur l’ensemble du livre et peut également créer et mettre à jour les fichiers générés.

Les livres peuvent inclure des documents non-FrameMaker, tels que des fichiers .mif ou .txt, mais ils ne sont pas traités de la même façon que les fichiers .fm.

Vue d’ensemble du flux de travail d'élaboration de livres dans Adobe FrameMaker

  1. Créez un livre et ajoutez des documents à celui-ci. Il peut s’agir de fichiers .fm, .xml, .mif, ou même .book.

  2. Organisez vos documents en dossiers ou en groupes le cas échéant.

  3. Définissez la numérotation des volumes, des chapitres, des pages et des paragraphes.

  4. Ajoutez des fichiers générés, par exemple une table des matières, une liste de tableaux ou d’images ou un index.

  5. Mettez le livre à jour.

Note: Un livre FrameMaker référence tous les documents inclus dans le livre. Un document peut ainsi être inclus dans plusieurs livres.

Définition de livres hiérarchisés

Dans Adobe FrameMaker, vous pouvez créer des livres hiérarchisés qui incluent plusieurs livres. Les fichiers peuvent être organisés en dossiers ou en groupes.

Livre hiérarchisé mixte de FrameMaker
Définition de livres hiérarchiques dans FrameMaker

A. Ajouter un fichier au livre B. Ajouter un dossier dans le livre C. Ajouter un groupe dans le livre D. Enregistrer le fichier livre E. Supprimer un fichier du livre F. Mettre à jour le livre G. Touches fléchées pour déplacer les composants du livre H. Afficher le texte d’en-tête du fichier. L’icône devient Afficher les noms de fichiers d’un simple clic. I. Rechercher dans un livre J. Chemin complet du livre et nom du livre K. Fichier FrameMaker généré – Table de matière L. Fichier .fm M. Dossier N. Fichiers .xml inclus dans un livre O. Groupe de fichiers P. Fichier .mif dans un groupe Q. Plusieurs sous-niveaux de dossiers R. Barre d’état du livre

Parent topic: Projets, livres et documents longs


Création de livres

Découvrez comment créer un livre dans Adobe FrameMaker, ajouter des fichiers à un livre, combiner plusieurs livres et associer une application structurée avec des fichiers XML, et familiarisez-vous avec la direction du livre.

Dans ce sujet

  • Introduction

  • Création d’un livre

  • Ajout de fichiers à un livre

  • Association d’une application structurée à un fichier XML

  • Ajout de fichiers générés à un livre

  • Ajout d’un livre enfant

  • Direction d'un livre

Introduction

Avec Adobe FrameMaker, vous pouvez combiner plusieurs documents en un fichier livre. Vous pouvez également ajouter une table des matières, un index et d’autres listes générées automatiquement (p. ex., une liste de tableaux et une liste de figures). Vous pouvez également créer des livres, inclure d’autres livres et organiser vos composants de livre dans des dossiers et des groupes.

Création d’un livre

Pour créer un livre, procédez comme suit :

  1. Choisissez Fichier > Nouveau > Livre. Si un document est actif, un message d’alerte vous demande si vous souhaitez l’inclure au livre. Une nouvelle fenêtre du livre s’affiche :

    Figure 1. Fenêtre du livre
    La capture d’écran montre la fenêtre du livre dans Adobe FrameMaker. Le livre vient d’être créé et n'est pas encore enregistré (« UntitledBook1.book »).

  2. Sélectionnez Fichier > Enregistrer le livre sous ou cliquez sur le icône Enregistrer le livre dans la barre de menu du livre.

Ajout de fichiers à un livre

Pour ajouter des fichiers à un livre, procédez comme suit :

  1. Dans la fenêtre du livre, choisissez Insérer > Fichiers ou cliquez sur bouton Ajouter le fichier au livre.

  2. Sélectionnez le ou les fichiers de document à ajouter au livre, puis cliquez sur Ajouter.

Vous pouvez également ajouter des fichiers à un livre en les faisant glisser de l'Explorateur Windows dans une fenêtre de livre.

Note: Vous pouvez également ajouter des fichiers en spécifiant un chemin HTTP et un nom de fichier dans la boîte de dialogue Ajouter des fichiers au livre. Assurez-vous que vous spécifiez un chemin et un nom de fichier corrects. Sinon, un message indique que le format du fichier n’est pas reconnu, et un pseudo-fichier non modifiable est ajouté au livre.

Association d’une application structurée à un fichier XML

Pour associer une application structurée aux fichiers .xml inclus dans un livre, procédez comme suit :

  1. Cliquez avec le bouton droit de la souris sur le fichier .xml dans la fenêtre du livre, puis sélectionnez Caractéristiques.

  2. Sélectionnez le nom de l’application structurée dans la zone de liste Utiliser l’application structurée. Cliquez sur Continuer.

Ajout de fichiers générés à un livre

Pour ajouter un fichier généré à un livre, procédez comme suit :

  1. Ouvrez la fenêtre du livre et sélectionnez le fichier en regard duquel vous voulez voir figurer le fichier généré.

  2. Procédez de l’une des façons suivantes :

    • Choisissez Insérer > Créer une table des matières autonome ou choisissez Insérer > Liste de, puis sélectionnez un type de liste dans le menu.

    • Choisissez Insérer > Index standard ou Insérer > Index de, puis choisissez le type d’index spécialisé à créer.

    Voici les types de listes générées disponibles :

    • Liste des figures (LDF)

    • Liste des tableaux (LDT)

    • Liste d'éléments et paragraphes (LDP)

    • Liste d'éléments et paragraphes (Alphabétique) (LAP)

    • Liste des marqueurs (LDM)

    • Liste des marqueurs (Alphabétique) (LAM)

    • Liste des références (LDR)

    Voici les types de Liste des références (LDR) disponibles :

    • Etiquettes de condition

    • Références croisées externes

    • Polices

    • Graphiques importés

    • Encarts de texte

    • Références croisées non résolues

    • Encarts de texte non résolus

Note: Vous pouvez également créer des tables des matières, des listes et des index pour chacun des fichiers du livre. Par exemple, choisissez Insérer > Liste de figures afin de créer un liste indépendante de figures pour le document actif. Vous pouvez également créer un livre avec une copie du fichier actif et le fichier généré correspondant. FrameMaker crée toujours les fichiers générés dans le même dossier que le fichier source.

Ajout d’un livre enfant

Dans Adobe FrameMaker, vous pouvez également ajouter des livres dans les livres. Il peut s’agir de fichiers livre non structurés ou de mappages DITA. Vous pouvez désormais inclure plusieurs livres enfant à plusieurs niveaux d’un livre.

  1. Ouvrez le livre parent auquel vous voulez ajouter un livre enfant.

  2. Dans la fenêtre du livre, choisissez Insérer > Fichiers ou cliquez sur Bouton Ajouter le fichier au livre.

  3. Recherchez et sélectionnez le fichier .book à ajouter en tant que livre enfant. Cliquez sur Ajouter. Lorsque vous cliquez deux fois sur le livre enfant, ce dernier s’ouvre dans un panneau Gestionnaire de ressources séparé.

    Note: Vous pouvez cliquer sur le bouton Parcourir l’URL de la boîte de dialogue Ajouter le fichier pour sélectionner un livre placé sur un serveur WebDAV.

FrameMaker stocke les informations de numérotation et de pagination au niveau du livre et pour chaque livre séparément. Les livres enfants sont des marques de réservation dans le livre parent. Vous ne pouvez pas modifier le contenu d'un livre enfant depuis la vue du livre parent. Toutes les tâches de maintenance doivent être effectuées dans le livre enfant séparément.

Une mise à jour du livre parent n’affecte pas la numérotation des pages dans le livre enfant. Lorsque vous mettez à jour un livre parent, assurez-vous de mettre d’abord à jour les livres enfants. Mettez ensuite à jour le livre parent.

Cependant, si les fichiers du livre enfant sont déjà ouverts, ils sont mis à jour, mais sans être enregistrés. Vous devez toujours enregistrer explicitement tous les fichiers ouverts après la mise à jour du livre ou une commande affectant l’ensemble du livre.

Lorsque vous enregistrez le livre parent en tant que PDF, FrameMaker met à jour les informations uniquement pour les fichiers appartenant au livre parent. Pour vous assurer que les informations sont correctement représentées dans le PDF pour les livres enfants également, effectuez l’une des opérations suivantes :

  • Mettez à jour tous les livres enfants, puis leurs livres parents, avant d’enregistrer le fichier livre en tant que PDF.

  • Ouvrez tous les fichiers, y compris les fichiers des livres enfants, avant d’enregistrer le fichier livre parent en tant que PDF. Une fois le PDF créé, assurez-vous d’enregistrer tous les fichiers ouverts pour conserver les éventuelles mises à jour.

Direction d'un livre

Lorsque vous créez un livre et y ajoutez des documents, la direction du livre dépend de la direction du premier chapitre ou composant non générable du livre. La direction peut être de gauche à droite (GàD) ou de droite à gauche (DàG).

Par exemple, si un livre contient des documents DàG et des documents GàD, FrameMaker prend la direction du premier document non générable du livre comme direction du livre. La direction des listes et des index générés d’un livre est basée sur la direction du livre.

Parent topic: Projets, livres et documents longs


Gestion des livres

Apprenez à gérer les fichiers de livres dans FrameMaker, renommer, ouvrir et fermer des fichiers, comparer les documents et appliquer des commentaires à l’échelle du livre.

  • Gestion des composants d'un livre
    Découvrez comment travailler avec les composants de livres dans Adobe FrameMaker.
  • Groupes et dossiers de livres
    Découvrez comment organiser des composants de livres dans des groupes et des dossiers de livres avec Adobe FrameMaker.
  • Numérotation des documents et des pages
    Familiarisez-vous avec la numérotation des documents et des pages dans Adobe FrameMaker, configurez la numérotation, découvrez les numéros de composants de livre et incluez les numéros de composants de livre dans les en-têtes et les pieds de page.
  • Modification et importation de formats
    Découvrez comment modifier et importer des styles et des définitions d’éléments dans Adobe FrameMaker.
  • Table des matières principale/Index principal
    Découvrez comment configurer un fichier livre pour créer une table des matières ou un index principal dans Adobe FrameMaker.
Parent topic: Projets, livres et documents longs


Gestion des composants d'un livre

Découvrez comment travailler avec les composants de livres dans Adobe FrameMaker.

Dans ce sujet

  • Affichage des noms de fichier ou de l’intitulé dans le panneau du livre

  • Exclusion de composants de livre de la sortie

  • Sélection de composants de livre

  • Réorganisation et suppression de composants de livre dans un livre

  • Renommage des composants du livre dans un livre

  • Retour à une version enregistrée précédemment

  • Ouverture, enregistrement ou fermeture de composants de livre

  • Comparaison de documents

  • Application des commandes de livre

Affichage des noms de fichier ou de l’intitulé dans le panneau du livre

Dans un panneau de livre Adobe FrameMaker, vous pouvez afficher les noms de fichiers ou l'intitulé d’un composant de livre :

  • Cliquez sur l’icône Afficher l’intitulé icône Afficher l’intitulé.

  • Cliquez sur l’icône Afficher les noms de fichiers icône Afficher les noms de fichiers.

Figure 1. Livre Adobe FrameMaker avec l'option « Afficher les noms de fichiers »
Capture d'écran d'un livre Adobe FrameMaker avec l'option « Afficher les noms de fichiers »

Figure 2. Livre Adobe FrameMaker avec l'option « Afficher l'intitulé »
Capture d'écran d'un livre Adobe FrameMaker avec l'option « Afficher l'intitulé »

Exclusion de composants de livre de la sortie

Cliquez avec le bouton droit de la souris sur le composant de livre à exclure, puis sélectionnez Exclure.

Si vous excluez un dossier ou un groupe, Adobe FrameMaker exclut de la sortie tous les composants de livre qui s'y trouvent. Lorsque vous mettez à jour un livre, la numérotation est automatiquement actualisée pour rendre compte des composants de livre exclus.

Sélection de composants de livre

Pour sélectionner certains types de composants de livre dans un livre Adobe FrameMaker, procédez de l’une des façons suivantes :

Sélectionner tous les composants de livre

Sélectionnez Edition > Sélectionner > Tout.

Sélectionner tous les fichiers générés dans un livre

Sélectionnez Edition > Sélectionner > Fichiers générés.

Sélectionner tous les fichiers non générés dans un livre

Sélectionnez Edition > Sélectionner > Fichiers non générés.

Sélectionner uniquement les fichiers FrameMaker, tels que .fm, .book et .mif

Sélectionnez Edition > Sélectionner > Fichiers FrameMaker.

Sélectionner tous les composants de livre exclus

Sélectionnez Edition > Sélectionner > Composants exclus.

Sélectionner tous les composants de livre non marqués comme exclus

Sélectionnez Edition > Sélectionner > Composants non exclus.

Sélectionner tous les composants de livre situés au premier niveau hiérarchique

Sélectionnez Edition > Sélectionner > Composants du chapitre.

Sélectionner tous les composants de livre situés au deuxième niveau hiérarchique

Sélectionnez Edition > Sélectionner > Composants de la section.

Sélectionner tous les composants de livre situés au troisième niveau hiérarchique

Sélectionnez Edition > Sélectionner > Composants de sous-section.

Réorganisation et suppression de composants de livre dans un livre

Dans le cas de livres structurés dans Adobe FrameMaker, vous pouvez réorganiser et supprimer des composants de livre en utilisant les bulles d’élément de la Vue de la structure. Une fois le livre mis à jour, les fragments de texte permettent d’identifier les composants de livre.

Si vous supprimez un composant de livre dans un livre structuré mis à jour, ce composant de livre peut conserver des informations sur la structure héritée du livre. Supprimez ces informations du composant de livre pour le rendre de nouveau autonome.

Dans le panneau du livre, sélectionnez un ou plusieurs composants de livre. Effectuez l’une des opérations suivantes :

  • Glissez les composants de livre sélectionnés vers la position souhaitée dans le livre.

  • Sélectionnez Edition > Supprimer. Les composants de livre sont supprimés du livre, mais les fichiers restent sur le disque.

Renommage des composants du livre dans un livre

Lorsque vous modifiez un composant de livre, Adobe FrameMaker modifie le nom du fichier correspondant sur le disque et met à jour les références croisées, les liens hypertexte et les liens des encarts de texte dans les autres fichiers du livre.

Lors de l’ajout d’un fichier généré (comme une table des matières ou un index) à un livre, FrameMaker attribue au fichier un nom basé sur le nom de fichier du livre. Si vous conservez le nom par défaut donné aux fichiers générés et renommez le livre, FrameMaker modifie les noms de fichiers dans le livre, mais pas sur le disque.

Par exemple, dans New.book, vous avez un fichier généré avec un nom par défaut NewTOC.fm :

si vous renommez le livre en Samples.book, FrameMaker renomme le fichier généré en SamplesTOC.fm dans le livre, mais pas sur le disque.

Si vous renommez le fichier généré en Contents.fm, puis renommez le livre, la table des matières générée conserve le nom Contents.fm dans le livre ainsi que sur le disque.

  1. Sélectionnez le fichier que vous voulez renommer, et choisissez Modifier > Renommer ou faites un clic droit et sélectionnez Renommer.

  2. Saisissez le nouveau nom du composant de livre, puis appuyez sur la touche Entrée. Lorsque le message d’alerte s’affiche à l’écran, cliquez sur OK pour mettre à jour les autres composants du livre.

Retour à une version enregistrée précédemment

Cette procédure affecte les composants de livre que vous avez ajoutés ou supprimés dans Adobe FrameMaker. Elle modifie également les paramètres que vous avez appliqués aux composants du livre, tels que la numérotation, la pagination et les définitions de couleurs. Le contenu des documents n’est pas modifié.

Sélectionnez Fichier > Retour au livre enregistré pour revenir à une version enregistrée précédemment.

Note: Cette commande permet d’effacer l’historique des commandes. Pour annuler uniquement les commandes sélectionnées, utilisez le panneau Annuler Historique plutôt que l’option Version précédente du livre.

Ouverture, enregistrement ou fermeture de composants de livre

Dans Adobe FrameMaker, vous pouvez utiliser le panneau de livre pour ouvrir, enregistrer, imprimer et fermer les différents composants d’un livre. Vous pouvez également ouvrir, enregistrer et fermer l’ensemble des composants d’un livre, ainsi qu’imprimer et mettre à jour le format d’une partie ou de l’ensemble des composants de livre.

Lorsque vous ouvrez un document non FrameMaker à partir du panneau d’un livre, l’application appropriée est lancée si elle est disponible.

Procédez de l’une des façons suivantes :

  • Pour ouvrir un composant de livre, cliquez deux fois dessus.

  • Pour ouvrir plusieurs composants de livre, sélectionnez les composants que vous voulez ouvrir et appuyez sur Entrée.

  • Pour ouvrir tous les composants du livre, maintenez la touche Maj enfoncée, puis sélectionnez Fichier > Ouvrir tous les fichiers du livre.

Tip: Vous pouvez suspendre la mise à jour automatique des références croisées et des encarts de texte en sélectionnant Modifier > Annuler la mise à jour automatique des références. Dans la boîte de dialogue Annuler la mise à jour automatique des références, sélectionnez Annuler la mise à jour automatique. Cliquez sur Définir- Lorsque vous ouvrez un document individuel possédant des paramètres de mise à jour automatique, les références croisées et les encarts de texte sont toujours mis à jour.

  • Pour fermer tous les fichiers du livre, maintenez la touche Maj enfoncée et choisissez Fichier > Fermer tous les fichiers d’un livre.

  • Pour enregistrer tous les fichiers du livre, maintenez la touche Maj enfoncée et choisissez Fichier > Enregistrer tous les fichiers du livre. Cela enregistre également le fichier de livre proprement dit.

Comparaison de documents

Adobe FrameMaker permet de comparer deux versions d’un document afin d’afficher les modifications effectuées. FrameMaker compare non seulement le texte dans les deux versions, mais également les notes, les marqueurs, les cadres ancrés, les encarts de texte, les variables et les références croisées.

Note: Dans les documents structurés, FrameMaker compare par ailleurs la structure des deux documents et éventuellement les attributs au sein des structures.

  1. Ouvrez les deux versions des documents.

  2. Dans la fenêtre de document de la version la plus récente, cliquez sur Fichier > Utilitaires > Comparer les documents.

  3. Spécifiez l’ancienne version du document à comparer.

  4. Choisissez le format du rapport. Vous pouvez choisir un document résumé ou un document composite.

    Le document résumé fait état des différences entre les composants de livre. Les documents composites (portant le suffixe CMP) affichent côte à côte les différences entre les fichiers.

  5. Pour définir les options de comparaison, cliquez sur Options. L’écran d’options s’affiche comme suit :
    Figure 3. Boîte de dialogue Options de comparaison
    Boîte de dialogue Options de comparaison dans Adobe FrameMaker

  6. Définissez les options. Cliquez sur Définir.

  7. Cliquez sur Comparer.

  8. Le format de rapport sélectionné affiche les différences. Toutes les différences s’affichent avec le suivi des modifications. Vous pouvez accepter ou rejeter les modifications comme vous le souhaitez.

Application des commandes de livre

Vous pouvez utiliser de nombreuses commandes Adobe FrameMaker sur une partie ou la totalité des composants d'un même livre. Par exemple, vous pouvez modifier les options d’affichage, effectuer une vérification orthographique et modifier la mise en page des composants de livre sélectionnés.

Si les composants du livre sont ouverts, FrameMaker applique la commande de livre aux composants du livre. Pour autant, les composants de livre ne sont pas enregistrés ou fermés. Si les composants de livre sont ouverts, vous devez donc enregistrer explicitement les fichiers avant de les fermer.

Si les composants de livre sont fermés, FrameMaker les ouvre en arrière-plan, leur applique les commandes du livre, puis les enregistre et les ferme. Si FrameMaker ne peut pas ouvrir un fichier sélectionné ou si d’autres problèmes se produisent lors de l’exécution de la commande sur un fichier sélectionné, un message s’affiche dans le journal des erreurs du livre.

  1. Dans le panneau du livre, sélectionnez les composants du livre que vous souhaitez modifier.

  2. Sélectionnez la commande que vous souhaitez exécuter, telle que Edition > Orthographe.

Tip: Pour les fichiers .mif et .xml, ouvrez les fichiers avant de lancer une commande sur l’ensemble du livre.

Dans le cas d’un document structuré, vous pouvez également modifier les attributs et définir les éléments disponibles et les options des nouveaux éléments du livre.

Parent topic: Gestion des livres


Groupes et dossiers de livres

Découvrez comment organiser des composants de livres dans des groupes et des dossiers de livres avec Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Dossiers de livres

  • Groupes de livres

  • Renommer un groupe ou un dossier de livres

  • Association d’un modèle à un dossier de livres

  • Ajout d’informations sur les fichiers pour un modèle de dossier de livres

Introduction

Avec Adobe FrameMaker, vous pouvez combiner plusieurs documents en un fichier livre. Vous pouvez également organiser vos documents dans des dossiers et des groupes de livres, associer des modèles à des dossiers et ajouter des pages de couverture personnalisées.

Dossiers de livres

Vous pouvez ajouter des dossiers à votre livre et y organiser les documents qui présentent un lien. FrameMaker traite un dossier comme un conteneur logique. Il ne crée pas de dossier logique sur le disque. Un dossier peut contenir un ou plusieurs dossiers, groupes ou fichiers.

Selon le niveau auquel vous ajoutez un dossier, il peut faire office de chapitre, de section ou de sous-section. Vous pouvez définir des styles de numérotation spécifiques pour un dossier et son contenu. Vous pouvez également exclure les fichiers de la publication en cliquant sur Exclure dans le menu contextuel.

Lorsque vous sélectionnez un fichier dans un livre et ajoutez un autre fichier, ce dernier est ajouté dessous, au même niveau que le fichier sélectionné. Lorsque vous sélectionnez un dossier et ajoutez un fichier, ce dernier est ajouté à la fin de la liste des fichiers de ce dossier.

Ajout de dossiers à votre livre dans Adobe FrameMaker

A. Sélectionnez One.fm et ajoutez Four.fm. B. Sélectionnez Dossier1 et ajoutez A.fm.

Note: Si un fichier est déjà inclus dans un livre, vous ne pouvez pas l’ajouter de nouveau à un dossier.

Groupes de livres

Vous pouvez créer des groupes dans un fichier livre. Comme les dossiers, les groupes sont des conteneurs logiques à l’intérieur d’un fichier livre. Ils n’existent pas sur le disque. La différence entre un groupe et un dossier réside dans le fait qu’un groupe ne modifie pas la hiérarchie des fichiers qu’il contient. De plus, un groupe ne permet pas de définir des styles de numérotation.

Par exemple, le numéro de chapitre est incrémenté séquentiellement si le chapitre est à l’intérieur d’un groupe. Si les fichiers sont organisés sous un dossier, le numéro de chapitre ne change pas, mais le numéro de section est incrémenté séquentiellement. Vous ne pouvez pas modifier explicitement le numéro de chapitre pour les fichiers contenus dans un dossier, car le dossier transmet cette caractéristique aux fichiers.

Création de groupes dans un fichier livre dans FrameMaker

Renommer un groupe ou un dossier de livres

Pour renommer un groupe de livres, procédez comme suit :

  1. Cliquez avec le bouton droit de la souris sur le groupe de livres et sélectionnez Renommer.

  2. Tapez un nouveau nom de groupe et appuyez sur Retour.

Pour renommer un dossier de livres, procédez comme suit :

  1. Cliquez avec le bouton droit de la souris sur le dossier et sélectionnez Caractéristiques.

  2. Entrez un nouveau nom de dossier dans le champ Titre, puis cliquez sur Définir.

Association d’un modèle à un dossier de livres

Associez un modèle à un dossier afin de publier une page de couverture pour les fichiers du dossier. Tout modèle associé à un dossier est publié comme tout autre fichier d’un livre. Utilisez la variable <$chaptertitlename> pour inclure le nom du dossier au modèle associé au dossier. Vous pouvez utiliser cette variable pour un dossier placé à tout niveau d’un livre.

Pour associer un modèle à un dossier de livre, procédez comme suit :

  1. Cliquez avec le bouton droit de la souris sur le dossier et sélectionnez Caractéristiques.

  2. Cochez la case Chemin du modèle, recherchez le nom du fichier modèle et sélectionnez-le. Cliquez sur Ouvrir.

  3. Cliquez sur Définir- L’icône du dossier se modifie pour indiquer qu’un modèle est associé au dossier.

    Note: un modèle associé à un dossier est publié au format PDF comme tout autre fichier d’un livre.

Pour ouvrir un modèle associé à un dossier, cliquez avec le bouton droit de la souris sur le dossier, puis sélectionnez Ouvrir. Cette opération ouvre tous les fichiers placés sous le dossier, y compris le fichier modèle.

Ajout d’informations sur les fichiers pour un modèle de dossier de livres

Vous pouvez spécifier des informations sur les fichiers, tels que le nom de l’auteur, le titre, les mots-clés pour un modèle associé à un dossier.

Pour ajouter des informations sur les fichiers pour un modèle de dossier de livres, procédez comme suit :

  1. Cliquez avec le bouton droit de la souris sur le dossier disposant d’un modèle associé, puis sélectionnez Informations sur les fichiers.

  2. Spécifiez les informations sur les fichiers.

  3. Cliquez sur Définir-

Parent topic: Gestion des livres


Numérotation des documents et des pages

Familiarisez-vous avec la numérotation des documents et des pages dans Adobe FrameMaker, configurez la numérotation, découvrez les numéros de composants de livre et incluez les numéros de composants de livre dans les en-têtes et les pieds de page.

  • A propos de la numérotation
  • Configuration de la numérotation
  • Ajout des numéros d’un composant de livre dans les références croisées
  • Inclure des numéros de composants de livre dans les en-têtes et les pieds de page
  • Insertion du nombre de pages total d’un livre dans un en-tête ou un pied de page
Parent topic: Gestion des livres


A propos de la numérotation

Chaque fichier d’un livre peut posséder son système de numérotation. Par exemple, vous pouvez commencer la numérotation de pages par i sur la page de titre, par 1 dans le premier chapitre, puis numéroter successivement les chapitres suivants. Vous pouvez également ajouter des numéros de volume, chapitre, section et sous-section aux numéros de page (par exemple, le numéro de chapitre2 dans le numéro de page2-1). Toutes les pages courantes d’un document présentent le même style de numérotation.

Les caractéristiques de numérotation du livre remplacent celles des documents appartenant au livre. Si vous définissez une numérotation de pages dans un livre, assurez-vous de modifier les caractéristiques de numérotation en sélectionnant les documents dans la fenêtre du livre plutôt que de procéder au changement individuellement dans chaque fichier.

Vous pouvez modifier la numérotation des volumes, des chapitres, des sections, des sous-sections, des pages, des paragraphes, des notes et des notes de tableaux dans les documents.

Vous pouvez ajouter les variables Numéro du volume, Numéro du chapitre, Numéro de section, Numéro de sous-section et N° de page en cours dans les en-têtes et les pieds de pages. Vous pouvez également utiliser les composantes <$volnum>, <$chapnum>, <$sectionnum>, <$subsectionnum> et <$pagenum> dans les formats de références croisées, les numérotations automatiques de paragraphes ou les fichiers générés.

Numérotation des fichiers dans un dossier

Le niveau de dossier d’un fichier dans un livre détermine la numérotation des fichiers dans un dossier de livre. Pour un fichier placé dans un dossier de premier niveau, le numéro du chapitre est hérité du livre parent et ne peut être modifié. Vous pouvez uniquement définir le numéro de section des fichiers. Pour un fichier placé dans un dossier de premier niveau, l’onglet Chapitre est désactivé dans la boîte de dialogue Caractéristiques de numérotation.

De la même façon, un fichier placé dans un dossier de deuxième niveau hérite des numéros de chapitre et de section, mais vous permet de définir les numéros de sous-sections.

Numérotation de fichiers dans un livre enfant

Le niveau auquel un livre enfant est inclus dans un livre détermine les paramètres de numérotation de ses documents. Par exemple, tous les fichiers d’un livre enfant placés au premier niveau héritent du numéro de chapitre du livre parent. Le numéro de section augmente pour chaque fichier du livre enfant.

Note: les fichiers générés, telles que la TDM ou l’index, pour un livre parent incluant des livres enfants, ne reflètent pas les paramètres de numérotation personnalisés du livre enfant. Par exemple, la TDM du livre parent affiche les numéros de page au format numérique ([14]), même si la numérotation des fichiers du livre enfant est en chiffres romains ([XIV]).
Parent topic: Numérotation des documents et des pages
Related information
  • Numérotation dans les livres hiérarchiques


Configuration de la numérotation

  1. Si le document appartient à un livre, ouvrez ce dernier et sélectionnez le document dans la fenêtre du livre.

  2. Choisissez Format > Document > Numérotation.

  3. Sélectionnez une option dans la liste déroulante.

  4. Définissez les options.

    Note: Si une fenêtre de livre était active lors de l’ouverture de la boîte de dialogue, vous pouvez sélectionner l’option Lire depuis le fichier, qui utilise la valeur de numérotation spécifiée dans le document associé. Si vous sélectionnez plusieurs fichiers dans la fenêtre du livre, vous pouvez choisir Tel que afin d’utiliser les valeurs de numérotation spécifiées dans les documents sélectionnés.

  5. Cliquez sur Définir-

Parent topic: Numérotation des documents et des pages


Ajout des numéros d’un composant de livre dans les références croisées

  1. Créez un format de référence croisée incluant la composante de numéro de volume, de chapitre, de section ou de sous-section. Le format de référence croisée peut avoir l’aspect suivant : Voir page <$chapnum><$sectionnum><$subsectionnum><$pagenum>.

    Tip: Pour conserver le numéro de chapitre sur la même ligne que le numéro de page, utilisez un tiret insécable dans le format de référence croisée.
Parent topic: Numérotation des documents et des pages


Inclure des numéros de composants de livre dans les en-têtes et les pieds de page

Pour numéroter les pages par chapitre, vous pouvez utiliser une variable de numéro de chapitre (ou de numéro de volume) ou une variable d’en-tête ou de pied de page courant pour les numéros de chapitre. Vous pouvez également utiliser les variables de numéro de section ou de sous-section. Les numéros sont alors automatiquement mis à jour à chaque mise à jour du livre.

  1. Affichez la maquette contenant l’en-tête ou le pied de page.

  2. Placez le point d’insertion dans l’en-tête ou le pied de page dans lequel vous souhaitez ajouter la numérotation et cliquez deux fois sur la variable à ajouter dans le panneau Variables.

  3. Insérez la ponctuation appropriée, telle qu’un tiret ou un point.

  4. Pour ajouter la numérotation des pages, choisissez Insérer > En-têtes et pieds de pages > Insérer numéro de page.

L’en-tête ou le pied de page doit avoir l’aspect suivant sur la page courante :

Ajout de la numérotation de page avec un numéro de chapitre [A] et le numéro de page du chapitre actuel [B]

A. Variable de numéro de chapitre (<$chapnum>) B. Variable de numéro de page courante

Parent topic: Numérotation des documents et des pages


Insertion du nombre de pages total d’un livre dans un en-tête ou un pied de page

Supposons que vous souhaitiez indiquer, dans l’en-tête ou dans le pied de page, le nombre total de pages d’un livre (par exemple, 4 sur 200 sur la page 4 d’un livre de 200 pages).

Si vous insérez le nombre de pages dans l’en-tête ou le pied de page d’un fichier à l’aide de la variable Nombre de pages, l’en-tête ou le pied de page affiche le nombre de pages dans ce fichier et non dans le livre entier. Pour indiquer le nombre de pages d’un livre, vous pouvez utiliser une référence croisée à un paragraphe spécial que vous créez.

  1. Définissez les fichiers du livre en vue d’une numérotation de pages continue.

  2. Affichez la maquette de la dernière page du dernier fichier du livre et placez le point d’insertion dans un paragraphe vide de l’en-tête ou du pied de page.

  3. Insérez la variable Nombre de pages à l’aide de la commande Insérer > En-têtes et pieds de pages > Insérer nombre de pages.

    Figure 1. Variable Nombre de pages dans un paragraphe distinct
    Insertion de la variable Nombre de pages

  4. Créez un style de paragraphe pour le paragraphe comportant le nombre de pages et enregistrez-le dans le catalogue de paragraphes. Le fait de définir un format unique pour ce paragraphe facilite les références croisées ultérieures.

  5. Si vous ne souhaitez pas que le nombre de pages s’affiche à cet emplacement, redimensionnez la zone de texte afin que le nombre soit caché ou définissez le blanc comme couleur du paragraphe.

  6. Dans les autres fichiers du livre, insérez des références croisées au paragraphe comportant le nombre de pages sur les maquettes dans l'en-tête ou le pied de page. Le format de référence croisée doit utiliser la composante <$paratext>.

Nombre total de pages d'un livre

Vous disposez également d'un moyen simple et plus efficace d'afficher rapidement le nombre total de pages d'un livre. Pour afficher le nombre de pages d'un livre, vous pouvez utiliser la variable Nombre de pages dans le livre.

  1. Ouvrez la maquette en choisissant Affichage > Maquettes.
  2. Placez le point d'insertion dans le pied de page à l'endroit où vous voulez que le nombre total de pages apparaisse.
  3. Insérez la variable Nombre total de pages en sélectionnant Insertion> Variable > Nombre de pages dans le livre.
  4. Dans la fenêtre du livre, choisissez Edition > Mettre à jour le livre ou cliquez sur l’icône de mise à jour du livre Icône Mettre le livre à jour.

Le nombre total de pages est mis à jour dans le livre.

Parent topic: Numérotation des documents et des pages
Related information
  • Configuration de la numérotation


Modification et importation de formats

Découvrez comment modifier et importer des styles et des définitions d’éléments dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Importation de styles dans un livre

  • Importation de définitions d’éléments dans un livre structuré

Introduction

Dans Adobe FrameMaker, vous pouvez apporter des modifications aux styles et définitions d’éléments d'un fichier, puis mettre à jour tous les fichiers d’un livre en important les définitions du fichier mis à jour.

Pour modifier les définitions dans un sous-ensemble des fichiers d'un livre, vous pouvez sélectionner les fichiers dans la fenêtre du livre, puis importer les définitions dans les fichiers sélectionnés.

Important: Les règles de formatage des définitions d’éléments spécifient souvent des personnalisations, de sorte qu’un fichier utilise aussi peu de styles que possible. De manière générale, lors de l’importation de styles dans un livre structuré, vous ne devez pas supprimer les formats personnalisés.

FrameMaker fusionne les nouvelles définitions dans le document plutôt que de remplacer les informations existantes.

Les fichiers non ouverts sont mis à jour sur le disque. Les fichiers ouverts sont uniquement mis à jour dans la mémoire de l’ordinateur et non sur le disque. Vous devrez les enregistrer pour conserver les modifications.

Importation de styles dans un livre

  1. Ouvrez ou créez le fichier contenant les styles à utiliser. Si vous venez de créer le fichier, enregistrez-le avant de l’utiliser comme source pour l’importation de styles.

  2. Dans la fenêtre de livre, sélectionnez le ou les fichiers à modifier, puis choisissez Fichier > Importer > Formats.

  3. Dans la liste déroulante Importer du document, sélectionnez le fichier ou le modèle contenant les styles à importer.

  4. Sélectionnez les paramètres à importer et à mettre à jour. Si vous mettez à jour des styles de référence croisée, des définitions mathématiques ou des définitions de variables utilisant des styles de caractères, sélectionnez également Styles de caractères.

  5. Si vous souhaitez supprimer des modifications qui ont été apportées au formatage mais qui n’ont pas été enregistrées comme style dans le catalogue de styles, procédez comme suit :

    • Pour supprimer les sauts de page qui ne font pas partie d’un style de paragraphe, sélectionnez Sauts de page manuels.

    • Pour supprimer les formats personnalisés de paragraphes, de caractères, de mises en page et de tableaux, sélectionnez Autres formats/mises en page pers..

    D’une manière générale, évitez de sélectionner Autres formats/mises en page pers. dans un livre structuré, car les définitions d’éléments peuvent utiliser des formats personnalisés. Toutefois, vous pouvez sélectionner Autres formats/mises en page pers. dans un livre non structuré sans répercussion.

  6. Cliquez sur Importer.

Importation de définitions d’éléments dans un livre structuré

Les définitions sont enregistrées dans le catalogue Eléments du livre et des autres fichiers. Vous devrez importer les définitions d’éléments dans les cas suivants :

  • Pour ajouter une structure à un livre non structuré : après avoir importé les définitions, vous pouvez insérer des éléments dans le fichier livre.

  • Pour mettre à jour les définitions d’éléments dans un livre ou dans ses fichiers : vous devez mettre à jour les définitions dès que le développeur d’application révise les définitions dans votre modèle.

  • Pour appliquer les mêmes définitions d’éléments à un livre et à tous ses fichiers : Vous voudrez peut-être mettre à jour un livre si ses fichiers ont été créés à partir de modèles différents.

Lorsque vous importez des définitions d’éléments dans un livre, FrameMaker remplace les définitions utilisées dans le livre et tous ses fichiers par les nouvelles définitions et applique de nouveau les règles de formatage à partir de ces définitions. Il valide également le fichier livre.

  1. Ouvrez le livre à mettre à jour, le modèle, le document ou le livre contenant les définitions à importer.

  2. Dans la fenêtre de livre, sélectionnez les fichiers dans lesquels vous voulez importer les définitions d’éléments et cliquez sur Fichier > Importer > Définitions d’éléments.

  3. Choisissez le modèle ou document approprié dans la liste déroulante Importer du document. Ce menu affiche tous les documents et livres ouverts et enregistrés.

  4. Pour supprimer les règles de formatage personnalisées dans les fichiers, sélectionnez Lors de la mise à jour, Supprimer les règles de formatage personnalisées. Utilisez ce paramètre si vous avez apporté des modifications aux formatages de texte et de paragraphe des éléments et que vous souhaitez revenir aux formats décrits dans les définitions d’éléments.

  5. Cliquez sur Importer. FrameMaker met à jour les définitions d’éléments dans le fichier livre et dans les fichiers affichés dans la liste de sélection Mettre à jour.

Parent topic: Gestion des livres
Related information
  • Formatages personnalisés


Table des matières principale/Index principal

Découvrez comment configurer un fichier livre pour créer une table des matières ou un index principal dans Adobe FrameMaker.

Si vous produisez plusieurs livres associés, vous pouvez créer une maquette de table des matières ou d’index pour les livres.

  1. Créez un fichier livre contenant les fichiers de tous les livres dans l’ordre.

    Si vous ajoutez des fichiers générés dans les livres d’origine, ajoutez-les au nouveau livre en tant que fichiers de document. Si vous devez mettre à jour ces fichiers générés, faites-le à partir de leur fichier livre original et non dans la maquette de fichier livre.

  2. Ajoutez une table des matières, un index ou tout autre fichier généré au nouveau fichier livre. Ce fichier généré servira de maquette.

  3. À l’aide du panneau Livre, Indiquez la manière dont les numéros de volume, de chapitre et de page de chaque document doivent apparaître dans le fichier principal généré.

    Note: Lorsque vous mettez à jour le livre, ses options de numérotation remplacent celles du document, sauf si vous sélectionnez l’option Lire depuis fichier.

  4. Dans la fenêtre du livre, définissez les options de pagination et de mise en page appropriées.

  5. Générez et mettez à jour le fichier.

Parent topic: Gestion des livres
Related information
  • Tables des matières et autres listes
  • Numérotation des documents et des pages
  • Mises en page


Génération et mise à jour d’un livre

Découvrez comment générer et mettre à jour des livres dans Adobe FrameMaker.

Après avoir configuré un livre dans Adobe FrameMaker et spécifié la numérotation des pages et des paragraphes pour chaque fichier du livre, vous devez générer et mettre à jour les fichiers. Même s’il suffit d’une seule opération pour cela, il s’agit de deux processus distincts.

La génération a pour effet de créer la table des matières, d’autres listes générées et l’index du fichier livre. Lors de la première génération d’une liste ou d’un index, le processus utilise la mise en page (maquettes) et les pages de référence du premier document non généré du fichier livre.

La mise à jour corrige la numérotation, actualise les références croisées afin qu’elles reflètent la nouvelle numérotation, réimporte les encarts de texte et ajoute ou supprime les pages vides le cas échéant. Dans les documents structurés, le processus de mise à jour actualise également les éléments du livre à partir des informations contenues dans les fichiers et réapplique les règles de format à partir des définitions d’éléments du livre.

Veillez à générer et à mettre à jour le livre lorsque vous effectuez l’une des modifications suivantes à un document ou un fichier livre :

  • Modification affectant la pagination, tel que l’ajout de contenu

  • Réorganisation, ajout ou suppression de fichiers dans le livre

  • Modification des indicateurs ou paramètres de texte

  • Modification affectant un fichier généré, tel que le changement de titre de chapitre ou l’ajout d’un élément de section dans un document structuré.

  • Modification de la définition des documents ou fichiers générés

  • Modification des informations de formatage dans l’enchaînement de texte spécial d’une page de référence d’un fichier généré

  • Ajout d’une nouvelle couleur (pour l’exactitude des séparations de couleurs)

  • Importation de définitions d’éléments nouvelles ou révisées (documents structurés)

  • Modification de l’élément racine d’un des fichiers du livre (documents structurés)

  • Mise à jour d’un livre
    Découvrez comment mettre à jour un livre dans Adobe FrameMaker et mettre à jour diverses caractéristiques.
  • Mise à jour d’un livre avec des livres enfants et des fichiers XML
    Découvrez comment mettre à jour un livre avec des livres enfants et des fichiers XML dans Adobe FrameMaker.
  • Mise à jour d’un livre structuré
    Découvrez comment mettre à jour un livre structuré dans Adobe FrameMaker.
  • Suppression des informations héritées dans un fichier structuré
    Découvrez comment supprimer les informations héritées d'un fichier structuré dans un livre Adobe FrameMaker.
Parent topic: Projets, livres et documents longs


Mise à jour d’un livre

Découvrez comment mettre à jour un livre dans Adobe FrameMaker et mettre à jour diverses caractéristiques.

  1. Dans la fenêtre du livre, sélectionnez Edition > Mettre à jour le livreou cliquez sur l’icône de mise à jour du livre Icône Mettre le livre à jour.

  2. Choisissez de mettre à jour la numérotation, les références croisées, les encarts de texte ou les fichiers générés tels que les tables des matières et les index.

  3. Transférez les noms de fichiers à générer dans la liste de sélection Générer.

    Pour déplacer un nom de fichier d’une liste de sélection à l’autre, sélectionnez-le et cliquez sur une touche fléchée ou cliquez deux fois sur le nom du fichier. Pour déplacer tous les noms de fichier d’une liste à l’autre, maintenez la touche Maj enfoncée et cliquez sur une touche fléchée.

    Note: si aucun fichier n’est présent, cela signifie que le livre ne contient pas de fichier généré. Dans ce cas, ou si vous avez déplacé tous les fichiers vers la liste Ne pas générer, poursuivez tout de même jusqu’à l’étape suivante pour mettre à jour la pagination, la numérotation, les encarts de texte et les références croisées du livre.

  4. Cliquez sur Mettre à jour.

  5. Enregistrez les fichiers ouverts pour conserver les modifications. Ces fichiers sont uniquement mis à jour dans la mémoire de l’ordinateur et non sur le disque. Si un fichier n’est pas ouvert, les modifications sont effectuées sur le disque, même si le fichier est en lecture seule.

Parent topic: Génération et mise à jour d’un livre


Mise à jour d’un livre avec des livres enfants et des fichiers XML

Découvrez comment mettre à jour un livre avec des livres enfants et des fichiers XML dans Adobe FrameMaker.

Lorsque vous mettez à jour un livre parent, les fichiers du livre enfant ne sont pas automatiquement mis à jour. Pour mettre à jour les informations de numérotation et de référence croisée dans des fichiers livre enfant, assurez-vous que tous les fichiers de ces livres sont ouverts avant de mettre à jour le livre parent. Les mises à jour apportées à ces fichiers ne sont pas enregistrées. Vous serez invité à enregistrer les modifications à leur fermeture.

De la même façon, si un fichier XML est déjà ouvert, FrameMaker met à jour la numérotation, mais n’enregistre pas ces modifications. Ainsi, lorsque vous fermez le fichier XML, vous pouvez être invité à enregistrer les modifications.

Les fichiers générés, tels que la table des matières ou l’index du livre enfant ne sont pas inclus dans la sortie publiée, car les fichiers générés dans le livre parent contiennent également des informations pour les fichiers du livre enfant. Exécutez également les opérations de livre séparément pour chaque livre.

Parent topic: Génération et mise à jour d’un livre


Mise à jour d’un livre structuré

Découvrez comment mettre à jour un livre structuré dans Adobe FrameMaker.

<Avant la première mise à jour d’un livre structuré, chaque fichier du livre est représenté par un élément appelé COMPOSANT DE LIVRE>. Lorsque vous mettez à jour, l’élément représentant chaque fichier structuré change pour adopter la balise de l’élément au niveau le plus haut de ce fichier, par exemple <topic> ou <chapter> qui décrit le fichier dans son ensemble. Si un fichier est composé de plusieurs enchaînements, la balise est issue de l’élément le plus haut de l’enchaînement A.

Les éléments représentant les fichiers non structurés du livre sont toujours identifiés par l’élément <COMPOSANT DE LIVRE>. Pour changer l’élément <COMPOSANT DE LIVRE> en balise d’élément, structurez les fichiers, puis générez-les et mettez-les de nouveau à jour.

Parent topic: Génération et mise à jour d’un livre


Suppression des informations héritées dans un fichier structuré

Découvrez comment supprimer les informations héritées d'un fichier structuré dans un livre Adobe FrameMaker.

Lorsque vous générez et mettez à jour un livre, les fichiers qu’il contient héritent des informations de structure du fichier livre. Le catalogue Eléments d’un fichier peut contenir des inclusions et des exclusions issues du livre ; d’autres informations héritées peuvent également affecter le formatage des éléments de texte du fichier.

Si vous supprimez un fichier d’un livre et souhaitez l’utiliser comme document autonome, appliquez de nouveau les définitions d’éléments du fichier de manière à supprimer toute information sur la structure héritée du livre. Si le formatage de texte du fichier a été affecté par ces informations, le formatage d’origine du fichier sera également restauré lors de la nouvelle application des définitions d’éléments.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Dans le fichier, cliquez sur Fichier > Importer > Définitions d’éléments.

  3. Ne modifiez pas l’option En cours de la liste déroulante Importer du document et sélectionnez Lors de la mise à jour : Supprimer les informations héritées du livre. Cliquez sur Importer.

Parent topic: Génération et mise à jour d’un livre


Tables des matières et autres listes

Découvrez les fichiers générés dans Adobe FrameMaker et les types de listes que vous pouvez générer avec FrameMaker.

Introduction

Un fichier généré est un fichier créé par Adobe FrameMaker en extrayant le texte de paragraphes ou de marqueurs depuis un ou plusieurs documents d’un livre. A chaque mise à jour d’un fichier généré, tout le texte de paragraphes et de marqueurs sont également mis à jour avec le texte actuel dans les documents sources. De cette manière, FrameMaker maintient les fichiers générés (les tables des matières et les index, par exemple) à jour et exacts.

Outre les tables des matières et index standard, vous pouvez générer plusieurs types de listes et d’index. Par exemple, vous pouvez générer des listes et index contenant du texte provenant de paragraphes ou de marqueurs insérés. Vous pouvez éventuellement obtenir une table des matières basée sur des paragraphes d’en-tête, une liste d’illustrations basée sur le titre des figures ou un index basé sur des marqueurs spéciaux d’auteurs. La plupart des listes et index se partagent en trois catégories : les listes de paragraphes (ou éléments dans des documents structurés), les listes de marqueurs et les index de marqueurs. Il existe une quatrième catégorie, les listes et index de références, moins utilisée.

  • A propos des tables des matières et des autres listes
    Découvrez la table des matières et diverses autres listes générées dans Adobe FrameMaker.
  • Génération d’une table des matières ou d’une liste
    Découvrez comment générer une table des matières ou une liste de livre et de table des matières pour un document Adobe FrameMaker. Découvrez comment générer diverses autres listes dans les documents structurés et ajouter un titre ou un autre texte statique dans Adobe FrameMaker.
  • Générer une table des matières miniature
    Découvrez les mini-tables des matières dans Adobe FrameMaker. Découvrez comment créer, mettre à jour ou supprimer une mini-table des matières dans FrameMaker.
  • Incorporation d’une table des matières dans un document
    Découvrez comment intégrer des tables des matières dans un document en utilisant une référence croisée ou sous forme d'encart de texte dans Adobe FrameMaker.
  • Mise à jour et modification des tables des matières et des listes
    Découvrez comment mettre à jour et modifier les tables des matières et les listes dans Adobe FrameMaker, ajouter ou supprimer des styles de paragraphes dans une table des matières, ainsi que trouver et mettre à jour des entrées de liste dans FrameMaker.
Parent topic: Projets, livres et documents longs


A propos des tables des matières et des autres listes

Découvrez la table des matières et diverses autres listes générées dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Listes de paragraphes

  • Listes de marqueurs

  • Index de marqueurs

  • Listes et index de références

Introduction

Sous Adobe FrameMaker, les tables des matières (TDM), les listes de chiffres et les autres listes du même type sont générées à partir du texte figurant dans des paragraphes déterminés dans un ensemble de documents. Les marqueurs que vous insérez dans les documents permettent de générer un index.

Une table des matières ou toute autre liste générée est basée sur le contenu de sa source. La source peut être un seul document ou un livre constitué de plusieurs documents. Dans la plupart des cas, vous devez préparer les documents sources pour obtenir le résultat voulu.

Listes de paragraphes

Les listes de paragraphes contiennent le texte des paragraphes spécifiés (ceux possédant les styles que vous spécifiez), à raison d’une entrée par paragraphe (ou élément dans les documents structurés). Vous pouvez générer les listes de paragraphes (ou d’éléments de documents structurés) suivantes :

  • Les tables des matières, qui contiennent les intitulés de niveaux spécifiés, répertoriés suivant leur ordre d’apparition dans les documents sources.

  • Les listes de figures, tableaux ou paragraphes (ou éléments) contenant les légendes des figures, les titres des tableaux ou le texte d’autres paragraphes spécifiés, affichés suivant leur ordre d’apparition dans les documents sources.

  • Les listes alphabétiques de paragraphes (ou d’éléments) contenant les mêmes informations que les autres listes, mais dans l’ordre alphabétique.

Note: les tables des matières et les listes prennent en charge le format de codage de texte Unicode.

Listes de marqueurs

Les listes de marqueurs contiennent des entrées correspondant aux marqueurs insérés dans les pages courantes du document source. Ces marqueurs sont insérés manuellement, normalement sous forme d’éléments de marqueurs dans les documents structurés, et le texte des marqueurs s’affiche dans la liste générée. Par exemple, vous pouvez créer une liste comprenant les commentaires des correcteurs en générant une liste de marqueurs de type Commentaire. Dans une liste de marqueurs standard, les entrées s’affichent selon leur ordre d’apparition dans le document source ou dans le livre. Vous pouvez également générer une liste alphabétique des marqueurs.

Index de marqueurs

Les index de marqueurs incluent les index standard, les index d’auteurs et de sujets et les index d’autres types de marqueurs. Les marqueurs sont insérés manuellement dans les pages courantes du document source et le texte du marqueur s’affiche dans l’index. Vous pouvez utiliser la syntaxe (composantes) dans le texte du marqueur pour spécifier des niveaux d’index et une numérotation de page, un tri et un formatage spéciaux. Les entrées sont triées par ordre alphabétique et celles possédant le même texte sont regroupées dans une seule entrée constituée de plusieurs références de page.

Figure 1. Index de marqueurs de références croisées
Index de marqueurs de références croisées dans FrameMaker

Listes et index de références

Les listes et index de références vous permettent de répertorier des catégories d’informations spécifiques. Vous pouvez générer des listes et des index de balises de condition, de références croisées externes, de références croisées non résolues, de polices, d’encarts de texte, d’encarts de texte non résolus ou de graphiques importés.

Parent topic: Tables des matières et autres listes


Génération d’une table des matières ou d’une liste

Découvrez comment générer une table des matières ou une liste de livre et de table des matières pour un document Adobe FrameMaker. Découvrez comment générer diverses autres listes dans les documents structurés et ajouter un titre ou un autre texte statique dans Adobe FrameMaker.

Lorsque vous générez une table des matières ou une liste de paragraphes, procédez comme suit pour éviter des problèmes au niveau des listes générées :

  • Assurez-vous que les styles et les éléments sont appliqués correctement et de manière cohérente. Par exemple, utilisez le format Intitulé1 uniquement pour les intitulés de premier niveau.

  • Faites de chaque élément à inclure dans la liste un paragraphe distinct. Par exemple, vous n’obtiendrez pas les résultats escomptés si un intitulé s’étend sur deux lignes, chacune d’elles appartenant à des paragraphes distincts.

  • Validez les documents structurés pour vous assurer qu’ils ne comportent aucune erreur de structure.

Note: lorsque vous travaillez sur un document, vous pouvez générer une liste de références (telle qu’une liste de polices ou de références croisées non résolues) pour votre usage personnel. Il n’est pas nécessaire de préparer le document avant de générer une telle liste.
  • Génération d’une table des matières ou d’une liste pour un livre
  • Génération d’une table des matières ou d’une liste pour un document
  • Génération de tables des matières et autres listes dans des documents structurés
  • Ajout de titre ou autre texte statique aux listes et index
Parent topic: Tables des matières et autres listes


Génération d’une table des matières ou d’une liste pour un livre

  1. Ouvrez la fenêtre de livre et sélectionnez le fichier sous lequel vous voulez que le fichier généré apparaisse.

  2. Procédez de l’une des façons suivantes :

    • Séléctionnez Insérer > Créer une table des matières autonome.

    • Sélectionnez Insérer > Liste de, puis choisissez le type de liste dans le menu

    Les éléments dans la boîte de dialogue dépendent du type de liste générée.

  3. Entrez un suffixe ou conservez celui par défaut. Le suffixe indique le type de fichier généré. Par exemple, TDM est le suffixe habituel pour une table des matières.

    Note: le suffixe est différent de l’extension du nom de fichier. Le suffixe est utilisé avec des styles de paragraphes dans les listes générées et s’affiche dans le nom de fichier généré, par exemple UserGuideTOC.fm.

  4. Dans la liste déroulante Ajouter un fichier de la boîte de dialogue de configuration, spécifiez si vous voulez que la liste générée apparaisse avant ou après le document en cours.

  5. Placez les éléments dans la liste de sélection Inclure. Pour déplacer un élément dans les listes, sélectionnez-le, puis cliquez deux fois dessus ou cliquez sur une touche fléchée. Pour déplacer tous les éléments d’une liste à l’autre, maintenez la touche Maj enfoncée et cliquez sur une touche fléchée.

  6. Pour associer chaque entrée de la liste générée à la source correspondante, sélectionnez Créer des liens hypertexte. Ces liens vous permettent de vous placer à la source d’une entrée lorsque vous cliquez sur l’entrée.

  7. Cliquez sur OK, puis sur Mettre à jour. FrameMaker génère la liste. Vous pouvez visualiser la liste générée en cliquant deux fois sur son nom dans la fenêtre de livre.

  8. Enregistrez la liste générée dans le même dossier que le document ou le livre source. Si vous désirez renommer le fichier généré, faites-le dans la fenêtre de livre (le fichier sur le disque est alors renommé et les références sont mises à jour).

    La première fois que vous générez une liste sans modèle, celle-ci utilise la mise en page (maquettes) du premier document non généré du livre et affiche toutes les entrées de la même manière.

    Si la liste existe déjà dans le dossier du document source lorsque vous l’enregistrez, enregistrez-la dans le même dossier et ne modifiez pas le nom du fichier. Dans ce cas, le formatage de la liste est utilisé lors de sa régénération. Dans le cas contraire, les modifications ne sont pas conservées lors de la mise à jour de la liste.

    Tip: Pour utiliser un modèle ou un fichier généré existant dans un nouveau fichier livre, ajoutez-le au livre en tant que fichier généré. Placez ensuite le fichier existant dans le dossier contenant le fichier livre, en utilisant le nom affiché dans la fenêtre du livre.

  9. Enregistrez tous les fichiers ouverts dans le livre. Ces fichiers sont uniquement mis à jour dans la mémoire de l’ordinateur et non sur le disque. Si un ficher n’est pas ouvert, les modifications sont apportées sur le disque.

Parent topic: Génération d’une table des matières ou d’une liste
Related information
  • Formatage des listes et des index


Génération d’une table des matières ou d’une liste pour un document

  1. Ouvrez le document à l’endroit où vous souhaitez insérer la table des matières ou la liste.

  2. Dans la fenêtre du document, procédez de l’une des façons suivantes :

    • Choisissez Insérer > Table des matières > Créer une table des matières autonome.

    • Sélectionnez Insérer > Liste de, puis choisissez le type de liste dans le menu

  3. A l’invite, indiquez si vous voulez que le document généré soit indépendant ou ajouté à un livre.

    Si vous sélectionnez Oui pour créer un document indépendant, FrameMaker crée la liste générée dans le répertoire du document d’origine.

    Si vous sélectionnez Non, FrameMaker ajoute le fichier généré à un livre ouvert ou crée un livre si nécessaire.

  4. La boîte de dialogue de configuration pour la table des matières ou la liste sélectionnée s’affiche. Indiquez les détails suivants dans la boîte de dialogue :

    Figure 1. Configuration de la boîte de dialogue Table des matières
    Configuration de la boîte de dialogue Table des matières dans FrameMaker

    • Entrez un suffixe ou conservez celui par défaut. Le suffixe indique le type de fichier généré. Par exemple, TDM est le suffixe habituel pour une table des matières.
    Note: le suffixe est différent de l’extension du nom de fichier. Le suffixe est utilisé avec des styles de paragraphes dans les listes générées et s’affiche dans le nom de fichier généré, par exemple Chapter1TOC.fm.
    • Déplacez les styles de paragraphe, les types de marqueurs ou les types de références dans la liste de sélection Inclure. Pour déplacer un élément dans les listes, sélectionnez-le, puis cliquez deux fois dessus ou cliquez sur une touche fléchée. Pour déplacer tous les éléments d’une liste à l’autre, maintenez la touche Maj enfoncée et cliquez sur une touche fléchée.
    • Pour associer chaque entrée de la liste générée à la source correspondante, sélectionnez Créer des liens hypertexte. Ces liens vous permettent de vous placer à la source d’une entrée lorsque vous cliquez sur l’entrée.

  5. Selon votre sélection de l’étape 3, effectuez l’une des opérations suivantes :

    • Si vous créez une liste indépendante (lorsque le choix est Oui à l’étape 3), cliquez sur OK. FrameMaker génère la liste et l’affiche.

    • Si vous ajoutez la liste à un livre (lorsque le choix est Non à l’étape 3), cliquez sur OK, puis cliquez sur Mettre à jour. Si un nouveau livre est créé, sélectionnez Fichier > Enregistrer le livre sous, puis enregistrez le livre.

  6. Enregistrez la liste générée dans le même dossier que le document ou le livre source.

    Lorsque vous générez une liste pour la première fois (sans utiliser de modèle), la liste reprend la mise en page (les maquettes) du document source ou du premier document non généré dans le livre et toutes les entrées se ressemblent. Pour plus d’informations sur la modification du format d’une liste (sans perte de données lors de la régénération).

  7. Enregistrez la liste dans le même dossier que le document source ou le livre.

Parent topic: Génération d’une table des matières ou d’une liste
Related information
  • Formatage des listes et des index
  • Renommage des composants du livre dans un livre


Génération de tables des matières et autres listes dans des documents structurés

Bien que la procédure de génération de tables des matières et de listes dans des documents structurés soit la même que pour les documents non structurés, tenez compte des précisions suivantes :

  • Les listes générées ne sont pas structurées par défaut. Vous pouvez néanmoins les structurer vous-même. si une liste générée est structurée, elle perd sa structure à chaque régénération. Aussi est-il préférable de ne pas structurer la liste tant qu’elle n’est pas finalisée.

  • Les éléments des listes de sélection peuvent varier suivant le type de liste que vous établissez. S’il s’agit d’une table des matières, les styles d’éléments et de paragraphes du document source s’affichent. Les styles de paragraphes s’affichent après les styles d’éléments et sont précédés du symbole de paragraphe (¶). Dans le cas d’une liste de références, les types de références disponibles sont affichés.

  • Certains éléments peuvent comporter des libellés de contexte, qui donnent des informations relatives à l’emplacement de l’élément dans la structure. Par exemple, si les éléments <Section> peuvent être imbriqués dans d’autres éléments <Section>, les libellés de contexte indiquent en principe si ces éléments sont des sections de premier, second ou troisième niveau.

Figure 1. Labels de contexte
Labels de contexte pour identifier les éléments

  • En cas d’utilisation de labels de contexte, une entrée <sans identificateur> apparaît également dans la liste de sélection pour les occurrences non décrites par les labels. Dans l’exemple ci-dessus, Section (<sans identificateur>) représente les éléments <Section> se trouvant au quatrième niveau ou à un niveau inférieur dans la hiérarchie du document.

  • Si un élément comporte plusieurs paragraphes, seul le texte du premier figure dans la liste générée. Par exemple, le premier paragraphe d’un élément <Section>, généralement son élément Intitulé, apparaît dans la liste.

  • La première fois que vous générez une liste sans modèle, celle-ci utilise la mise en page (maquettes) du premier document non généré du livre et affiche toutes les entrées de la même manière. La liste comporte également des définitions d’éléments issues du document source.

Parent topic: Génération d’une table des matières ou d’une liste
Related information
  • Génération d’index


Ajout de titre ou autre texte statique aux listes et index

Si vous souhaitez ajouter un titre ou tout autre texte statique à la liste ou l’index, ajoutez-le après la première génération de la liste ou de l’index.

Vous pouvez également ajouter un texte statique à un modèle et utiliser le modèle pour formater une liste ou un index.

  1. Insérez le titre avant la première entrée dans une page courante.

  2. Utilisez le Catalogue de paragraphes pour attribuer au texte le style spécial prévu pour le texte statique ou créer un style de paragraphe pour le titre.

  3. Si vous créez un style de paragraphe, vérifiez qu’il ne se termine pas par le suffixe du nom de fichier (IX pour un index standard ou TDM pour une table des matières). Lors de la régénération de l’index, FrameMaker ne remplace que les paragraphes dont le style se termine par ce suffixe.

Parent topic: Génération d’une table des matières ou d’une liste
Related information
  • Formatage d’une liste ou d’un index à l’aide d’un modèle


Générer une table des matières miniature

Découvrez les mini-tables des matières dans Adobe FrameMaker. Découvrez comment créer, mettre à jour ou supprimer une mini-table des matières dans FrameMaker.

Dans ce sujet

  • Introduction

  • Créer une mini-table des matières

  • Mettre la mini-table des matières à jour

  • Suppression de la mini-table des matières

Introduction

FrameMaker vous permet d’ajouter une table des matières miniature (mini TDM) au niveau du document. Cette fonctionnalité est actuellement prise en charge pour les documents non structurés uniquement. Une mini-table des matières améliore la lisibilité et facilite la navigation dans les documents volumineux. La fonction de mini-table des matières vous permet de ne plus avoir à ajouter des références croisées à chaque titre dans votre document pour simuler une mini-table des matières. Cette fonction vous permet de créer, trier et insérer automatiquement une mini TDM à un emplacement spécifié dans votre document.

Vous pouvez changer le format et le style d’une mini TDM de la même façon que vous le feriez pour une TDM classique. Pour plus d’informations sur le formatage des mini-tables des matières, voir Mettre la mini-table des matières à jour. Une fois que vous avez inséré votre mini TDM à un document, vous pouvez le publier dans tous les formats de sortie pris en charge.

Si vous travaillez dans un document RTL (se lisant de droite à gauche), la direction de votre mini TDM sera la même que celle du document (Format > Document > Direction). Cela implique que, même si tout le contenu d'un document est dans une langue LTR, si la direction du document est définie comme RTL, la direction de la mini TDM sera aussi RTL.

Créer une mini-table des matières

  1. Ouvrez le document dans lequel vous souhaitez insérer une mini TDM.

  2. Cliquez à l’endroit où vous voulez insérer la mini TDM.

  3. Sélectionnez Insérer > Table des matières > Créer une mini-table des matières.

  4. Déplacez les styles de paragraphes dans la liste de sélection Inclure. Pour déplacer un élément dans les listes, sélectionnez-le, puis cliquez deux fois dessus ou cliquez sur une touche fléchée. Pour déplacer tous les éléments d’une liste à l’autre, maintenez la touche Maj enfoncée et cliquez sur une touche fléchée.

  5. Pour associer chaque entrée de la liste générée à la source correspondante, sélectionnez Créer des liens hypertexte. Ces liens vous permettent de vous placer à la source d’une entrée lorsque vous cliquez sur l’entrée.

  6. Cliquez sur Définir-

    Une mini-table des matières est créée et placée dans votre document. Une fois le document enregistré, FrameMaker crée de nouveaux styles de paragraphes avec le suffixe MTOC pour tous les paragraphes figurant dans la mini TDM. Une nouvelle page de référence (MTOC) est aussi ajoutée au document.

Mettre la mini-table des matières à jour

Si vous mettez à jour un intitulé ou changez la mise en forme de la mini TDM dans la page de référence, cette modification n’est pas reflétée tant que vous n’enregistrez pas, n’imprimez pas, ou ne mettez pas à jour manuellement la mini TDM.

  1. Modifiez les intitulés dans votre document.

  2. Cliquez avec le bouton droit de la souris sur la mini TDM et sélectionnez Mettre à jour la mini-table des matières dans le menu contextuel.

    Note: Vous pouvez aussi choisir Insérer > Table des matières > Mettre à jour la mini-table des matières.

  3. Cliquez sur OK quand s'affiche le message d'avertissement.

Note: Si vous voulez changer les intitulés composant votre mini TDM, effacez la mini TDM existante et recréez-en une nouvelle.

Si vous voulez mettre à jour des mini-tables des matières dans tous les documents d'un livre, vous pouvez le faire en un seul clic.

  1. Ouvrez la fenêtre de livre et sélectionnez le fichier livre.

  2. Sélectionnez Modifier > Mettre à jour le livre.

    Figure 1. Boîte de dialogue Mettre à jour le livre
    Mise à jour de mini-table des matières dans la boîte de dialogue Mettre à jour le livre dans FrameMaker

  3. Sélectionnez l'option Mini-table des matières.

  4. Cliquez sur Mettre à jour.

Avec cette simple opération de mise à jour du livre, les mini-tables des matières de tous les documents du livre sont mises à jour.

Vous pouvez également mettre à jour l’aspect et le comportement général de la mini TDM en modifiant les styles de paragraphes utilisés pour générer la mini TDM. Vous pouvez simplement ouvrir le style de paragraphe (avec le suffixe de MTDM) dans la Configuration de paragraphes, apporter les modifications requises, puis mettre à jour la définition de style de paragraphe. Vous pouvez également utiliser la page de référence (MTDM) pour effectuer les modifications nécessaires.

Si vous ne souhaitez pas les numéros de page dans la mini table des matières, vous pouvez utiliser l'une des deux méthodes suivantes :

  • Supprimer les numéros de page de tous les formats de sortie :

    Ouvrez la page de référence, puis supprimer toutes les occurrences de la variable <$pagenum> de la page Mini-table des matières. Une fois que vous avez supprimé la variable, enregistrez le document et mettez à jour la mini-table des matières. Les numéros de page ne sont affichés ni dans le document source, ni dans aucune sortie publiée.

  • Supprimer les numéros de page des formats de sortie pris en charge par le panneau Publication

    Créer un nouveau caractère de style et appliquer le à toutes les occurrences de la variable <$pagenum> de la page Table des matières. Ouvrez les Paramètres de publication (dans Publication > Paramètres > Modifier les paramètres), ouvrez l’onglet Mappage de style, et sélectionnez le format de caractère dans la liste. Activez l'option Exclure de la sortie pour le style de caractère que vous avez appliqué sur la variable <$pagenum>. Les numéros de page sont alors visibles dans le document source, mais ils ne seront publiés dans aucun format pris en charge par le panneau Publication.

Pour plus d’informations sur les différents formats de sortie pris en charge par le panneau Publication, voir Publication multicanaux.

Suppression de la mini-table des matières

Pour effacer une mini TDM, faites un clic droit sur la mini TDM et sélectionnez Effacer la mini-table des matières dans le menu contextuel.

Autrement, vous pouvez choisir Insérer > Table des matières > Effacer la mini-table des matières.

Parent topic: Tables des matières et autres listes


Incorporation d’une table des matières dans un document

Découvrez comment intégrer des tables des matières dans un document en utilisant une référence croisée ou sous forme d'encart de texte dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création d’une table des matières dans un document avec des références croisées

  • Création d’une table des matières dans un document structuré avec des références croisées

  • Incorporation d’une table des matières dans un document sous forme d’encart de texte

  • Gestion d’une table des matières incorporée dans un document

Introduction

Si vous souhaitez insérer une petite table des matières au début du document source au lieu de la placer dans un document distinct, vous pouvez la configurer à l’aide de références croisées. Vous devez toujours définir un élément de référence croisée spécifique pour les documents structurés.

Figure 1. Table des matières insérée au début d’un document
Incorporation d’une table des matières dans un document

FrameMaker ne gère pas automatiquement ce type de table des matières. Si vous modifiez l’ordre des références ou supprimez un intitulé durant l’édition du document, vous devrez vous-même réorganiser les entrées ou supprimer l’entrée correspondante dans la table des matières.

Vous pouvez également générer une table des matières distincte, puis importer le fichier généré par référence en le plaçant au début du document source. Dans ce cas, l’encart de texte contenant la table des matières est automatiquement mis à jour lorsque la table des matières est modifiée.

Création d’une table des matières dans un document avec des références croisées

Pour incorporer une table des matières dans un document avec des références croisées :

  1. Créez un style de référence croisée pour obtenir le type d’affichage voulu pour les entrées de la table. Généralement, ce style contient les composantes <$paratext> et <$pagenum>.

  2. Au début du document, définissez une référence croisée pour chaque paragraphe à afficher dans la table des matières. Utilisez le style de référence croisée créé à l’étape précédente.

Création d’une table des matières dans un document structuré avec des références croisées

Pour chacun des éléments à afficher dans la table des matières, insérez un élément de référence croisée. Le document peut également comporter des éléments paragraphes définis pour formater. Contactez votre développeur d’applications pour plus d’informations.

Note: veillez à ce que l’ordre des entrées de la table des matières reflète celui des éléments sources du document. Ce tri n’est pas automatique comme dans une table des matières générée.

Incorporation d’une table des matières dans un document sous forme d’encart de texte

Pour incorporer une table des matières dans un document sous forme d’encart de texte :

  1. Générez une table des matières.

  2. Importez la table des matières dans un document.

Gestion d’une table des matières incorporée dans un document

Pour gérer une table des matières incorporée dans un document, procédez comme suit :

  • Si vous changez l’ordre des paragraphes ou des éléments sources lorsque vous modifiez le document, remettez les références croisées dans le même ordre que les paragraphes ou les éléments sources. Mettez ensuite à jour les références croisées.

  • Si vous supprimez un paragraphe ou un élément source, supprimez sa référence croisée

Parent topic: Tables des matières et autres listes


Mise à jour et modification des tables des matières et des listes

Découvrez comment mettre à jour et modifier les tables des matières et les listes dans Adobe FrameMaker, ajouter ou supprimer des styles de paragraphes dans une table des matières, ainsi que trouver et mettre à jour des entrées de liste dans FrameMaker.

Dans ce sujet

  • Introduction

  • Mise à jour d’une table des matières ou d’une liste appartenant à un livre

  • Ajout ou suppression de styles de paragraphes d’une table des matières ou d’une liste appartenant à un livre

  • Mise à jour d’une table des matières ou d’une liste appartenant à un document autonome

  • Recherche de la source des entrées d’une liste

  • Recherche et sélection d’un paragraphe à l’aide de l’option Chercher/Remplacer

  • Modification et suppression des entrées d’une liste

Introduction

Pour cela, éditez les entrées d’une liste en modifiant le paragraphe ou le marqueur correspondant dans le document source et en régénérant ensuite la liste. Si vous effectuez les modifications directement dans la liste, elles seront perdues lors de la régénération de celle-ci.

Si vous corrigez une erreur directement dans une table des matières, elle réapparaîtra lors de la prochaine génération, car elle existe toujours dans le paragraphe source. Pour la corriger définitivement, vous devez modifier le paragraphe ou le texte du marqueur dans le document source, puis régénérer la liste.

Important: si une liste générée est structurée, elle perd sa structure à chaque régénération. Aussi est-il préférable de ne pas structurer la liste tant qu’elle n’est pas finalisée.

Mise à jour d’une table des matières ou d’une liste appartenant à un livre

Pour mettre à jour une table des matières ou d’une liste appartenant à un livre :

  1. Modifiez les documents sources selon vos besoins.

  2. Dans la fenêtre du livre, choisissez Edition > Mettre à jour le livre.

  3. Déplacez les listes à mettre à jour dans la liste de sélection Générer ; assurez-vous que l’option Générer la table des matières, Listes et Index est sélectionnée.

  4. Cliquez sur Mettre à jour.

Ajout ou suppression de styles de paragraphes d’une table des matières ou d’une liste appartenant à un livre

  1. Sélectionnez le fichier généré (la table des matières) dans la fenêtre de livre.

  2. Choisissez Edition > Préparer la table des matières ou Configurer la liste de type.

  3. Déplacez les éléments d’une liste à l’autre selon vos besoins.

  4. Cliquez sur Définir-

  5. Cliquez sur Mettre à jour.

Mise à jour d’une table des matières ou d’une liste appartenant à un document autonome

Pour mettre à jour une table des matières ou une liste appartenant à un document autonome :

  1. Modifiez le document source selon vos besoins.

  2. Dans le document source, choisissez Insérer > Table des matières. A l’invite de création d’un document indépendant, sélectionnez Oui.

  3. Déplacez les éléments d’une liste à l’autre selon vos besoins.

  4. Cliquez sur Définir-

Recherche de la source des entrées d’une liste

Avant de réviser une entrée, vous devez localiser sa source (paragraphe ou élément correspondant dans le document source) et la modifier.

  1. Si l’option Créer des liens hypertexte n’était pas sélectionnée lors de la génération de la liste ou de l’index, sélectionnez-la et régénérez la liste.

  2. Dans la liste générée, appuyez sur les touches Alt-Ctrl et cliquez sur une entrée.

FrameMaker ouvre le document source à la page contenant le paragraphe correspondant et sélectionne celui-ci. S’il s’agit d’un marqueur, le texte correspondant apparaît dans le panneau Marqueur.

Recherche et sélection d’un paragraphe à l’aide de l’option Chercher/Remplacer

Pour rechercher et sélectionner un paragraphe à l’aide de Chercher/Remplacer :

  1. Si vous révisez un élément de marqueur dans un élément structuré, sélectionnez l’optionAffichage > Panneaux > Marqueur pour afficher le texte du marqueur.

  2. Dans le document source (et non dans la liste générée), choisissez Edition > Chercher/Remplacer.

  3. Sélectionnez Style de paragraphe (documents non structurés) ou Elément (documents structurés) dans la liste déroulante Chercher. Entrez le style ou l’élément à chercher, puis cliquez sur Rechercher.

Warning: Lorsqu’un élément de marqueur est sélectionné, le texte correspondant apparaît dans le panneau Marqueur. Ne cliquez pas sur Remplacer dans la boîte de dialogue Chercher/Remplacer si vous voulez modifier le texte du marqueur. Sinon, FrameMaker remplacerait le marqueur lui-même. Au lieu de cela, modifiez le texte dans le panneau panneau Marqueur, puis cliquez sur Modifier le marqueur.

Modification et suppression des entrées d’une liste

Pour modifier et supprimer des entrées d’une liste :

  1. Dans un document non structuré, éditez ou supprimez le texte du paragraphe.

  2. Dans un document structuré, sélectionnez l’élément puis procédez de l’une des façons suivantes :

    • Modifiez le texte dans le panneau Marqueur. Cliquez sur Modifier un marqueur.

    • Appuyez sur la touche Suppr.

Parent topic: Tables des matières et autres listes


Création d’index

Renseignez-vous sur la création d’entrées d'index, l’insertion de marqueurs d’index et d’éléments de marqueur, la création de sous-entrées d’index (index multi-niveaux) et l’ajout de références croisées et de groupes de pages pour les entrées d'index dans Adobe FrameMaker.

  • Entrées d’index
    Découvrez les marqueurs d'index d’Adobe FrameMaker.
  • Insertion d'un marqueur d’index dans un document FrameMaker
    Découvrez comment insérer un marqueur d'index dans un document Adobe FrameMaker.
  • Insertion d'un élément marqueur d’index dans un document FrameMaker structuré
    Découvrez comment insérer un marqueur d'index dans un document Adobe FrameMaker structuré.
  • Insertion d’un marqueur d’index sans saisie
    Découvrez comment créer des marqueurs d’index rapidement et facilement dans Adobe FrameMaker.
  • Combinaison de plusieurs entrées d'index dans un marqueur
    Découvrez comment combiner plusieurs sous-entrées d'index dans un marqueur d’index dans Adobe FrameMaker.
  • Création d’une entrée d’index secondaire
    Découvrez comment créer une entrée d’index secondaire dans Adobe FrameMaker.
  • Création d’une référence croisée dans une entrée d’index
    Découvrez comment créer une référence croisée dans une entrée d’index dans Adobe FrameMaker.
  • Utilisation de groupes de pages dans les entrées d’index
    Découvrez comment créer des groupes de pages pour les entrées d'index dans Adobe FrameMaker.
  • Formatage de caractères dans les entrées d’index
    Découvrez comment formater le texte dans une entrée d’index dans FrameMaker.
  • Utilisation des titres de groupe dans un index
    Découvrez comment travailler avec les titres de groupe dans les index. Créez un accès rapide aux titres de groupe avec des références croisées/hyperliens.
  • Ordre de tri de l’index
    Découvrez comment travailler avec l’ordre de tri d’index, trier par lettres et caractères, et spécifier l’ordre de tri pour le japonais dans FrameMaker.
  • Génération d’index
    Découvrez comment générer un index pour un livre et un document. Vous pouvez également afficher les numéros de page dans l’index dans FrameMaker.
  • Mise à jour et modification des index
    Découvrez comment mettre à jour et modifier les index appartenant à un livre ou formant un document autonome dans FrameMaker.
  • Recherche de la source des entrées d’index
    Découvrez comment trouver la source d’entrées d’index, en utilisant un lien de recherche/modification dans FrameMaker.
  • Ajout, modification ou suppression de marqueurs et de types de marqueurs
    Découvrez comment ajouter, modifier ou supprimer des marqueurs et des types de marqueurs et copier un type de marqueur d’un document à l’autre dans FrameMaker.
Parent topic: Projets, livres et documents longs


Entrées d’index

Découvrez les marqueurs d'index d’Adobe FrameMaker.

Dans un index standard, les entrées sont générées à partir de marqueurs et sont triées par ordre alphabétique. Les entrées possédant le même texte sont regroupées dans une seule entrée constituée de plusieurs références de page. Vous pouvez ajouter des composantes spéciales à un texte de marqueur afin de contrôler la forme de l’entrée d’index, par exemple pour spécifier s’il s’agit d’une entrée secondaire ou d’une référence croisée.

Figure 1. Entrées d’index
Création d’entrées d’index dans FrameMaker

A. Entrée principale B. Sous-entrée C. Référence croisée à une autre entrée D. Etendue

Vous pouvez aussi créer des index spécialisés en utilisant des types de marqueurs prédéfinis tels que Sujet ou Auteur ou en utilisant d’autres types de marqueurs que vous créez.

Figure 2. Marqueur d’index placé dans le document source et entrée formatée de l’index
Place de marché d’index dans le document source et l’entrée formatée de l’index

Parent topic: Création d’index


Insertion d'un marqueur d’index dans un document FrameMaker

Découvrez comment insérer un marqueur d'index dans un document Adobe FrameMaker.

Pour créer un marqueur d’index dans un document FrameMaker :

  1. Cliquez sur l’endroit où vous souhaitez insérer le marqueur ou sélectionnez le mot que vous souhaitez inclure dans le marqueur d'index.

  2. Sélectionnez Insérer > Marqueur.

  3. Choisissez un type de marqueur dans la liste déroulante. Dans la plupart des cas, vous utiliserez le type de marqueur Index. Pour créer plusieurs index dans un document (par exemple, un index de sujets et un index d’auteurs), utilisez un type de marqueur différent pour chacun.

  4. Entrez le texte de l’entrée d’index dans le panneau Marqueur. Vous pouvez taper jusqu’à 1 023 caractères (511 caractères sur deux octets en japonais). Vous pouvez également utiliser l’une des composantes suivantes dans le texte des marqueurs pour définir la forme de l’entrée d’index et son emplacement dans l’index.

    Composante

    Signification

    : (deux-points)

    Sépare les niveaux dans une entrée.

    ; (point-virgule)

    Sépare les entrées dans un marqueur.

    [ ] (crochets)

    Spécifie un ordre de tri spécial pour l’entrée.

    <$startrange>

    Indique le début d’un groupe de pages.

    <$endrange>

    Indique la fin d’un groupe de pages.

    <$nopage>

    Supprime le numéro de page dans l’entrée.

    <$singlepage>

    Dans un marqueur contenant plusieurs entrées, restaure le numéro de page d’une entrée qui suit une composante <$nopage>.

    < >

    Style de caractère entre chevrons.

    Change le style de caractère.

    Exemple : <Emphasis>

    <Default Para Font>

    Restaure la police par défaut du paragraphe.

    Si vous utilisez des polices japonaises, entrez toutes ces composantes à l’exception des crochets ([ ]) avec des caractères à un octet.

  5. Cliquez sur Créer. Un symbole de marqueur symbole de marqueur s’affiche si les symboles de texte sont visibles.

Tip: Pour insérer comme caractère normal une barre oblique inverse ou tout autre caractère spécial réservé et utilisé dans des composantes (deux-points, point-virgule, crochet ou chevron), faites-les précéder d’une barre oblique inverse ( \ ).
Note: Vous ne pouvez insérer des marqueurs que dans des zones de texte.
Parent topic: Création d’index


Insertion d'un élément marqueur d’index dans un document FrameMaker structuré

Découvrez comment insérer un marqueur d'index dans un document Adobe FrameMaker structuré.

Pour créer un marqueur d’index dans un document structuré :

  1. Cliquez sur l’endroit où vous souhaitez insérer le marqueur ou sélectionnez le mot que vous souhaitez inclure dans le marqueur d'index.

  2. Sélectionnez un élément de marqueur dans le catalogue Éléments. Cliquez sur Insérer.

    Vous pouvez également utiliser l’option Insérer > Marqueur pour insérer un élément. Si plusieurs éléments de marqueurs sont disponibles, choisissez celui qui vous intéresse dans la liste déroulante Balise d’élément de la boîte de dialogue.

  3. Pour changer de type de marqueur, sélectionnez-en un autre dans la liste déroulante Type de marqueur. Ce changement ne constitue pas une règle de formatage personnalisée, même si l’élément comporte un type prédéfini.

    Consultez votre développeur d'applications structurées avant de modifier le type de marqueur. Il se peut que votre document comporte un élément distinct, défini pour chaque type de marqueur dont vous avez besoin.

    Vous pouvez générer un index à partir des types de marqueur prédéfinis Index, Sujet et Auteur. Il se peut que certains types personnalisés soient également disponibles.

  4. Saisissez le texte de l’entrée d’index. Vous pouvez taper jusqu’à 1 023 caractères (511 caractères sur deux octets en japonais). Vous pouvez également utiliser l’une des composantes suivantes dans le texte des marqueurs pour définir la forme de l’entrée d’index et son emplacement dans l’index.

    Composante

    Signification

    : (deux-points)

    Sépare les niveaux dans une entrée.

    ; (point-virgule)

    Sépare les entrées dans un marqueur.

    [ ] (crochets)

    Spécifie un ordre de tri spécial pour l’entrée.

    <$startrange>

    Indique le début d’un groupe de pages.

    <$endrange>

    Indique la fin d’un groupe de pages.

    <$nopage>

    Supprime le numéro de page dans l’entrée.

    <$singlepage>

    Restaure le numéro de page d’une entrée qui suit une composante <$nopage> dans un marqueur qui contient plusieurs entrées.

    < >

    Style de caractère entre chevrons

    Modifie le style de caractère.

    Exemple : <Emphasis>

    <Default Para Font>

    Restaure la police par défaut du paragraphe.
    Note: pour saisir comme caractère normal une barre oblique inverse ou l’un des caractères spéciaux utilisés dans ces composantes (crochet, deux points, point-virgule ou chevrons), faites-les précéder d’une barre oblique inverse (\).

  5. Cliquez sur Nouveau marqueur. Si les symboles de texte s’affichent, celui du marqueur symbole de marqueur apparaît dans la fenêtre du document. Une bulle apparaît dans la Vue de la structure et un fragment de texte indique le début du texte du marqueur.

  6. Si la boîte de dialogue Attributs du nouvel élément s’affiche, entrez les valeurs d’attributs dans l’élément de marqueur. Cliquez sur Insérer l’élément.

  7. Si aucun élément de marqueur n’est disponible dans l’emplacement voulu, vous pouvez utiliser un élément non valide. Après l’avoir inséré, consultez votre développeur pour savoir comment le rendre valide pour cet emplacement.

Tip: Pour insérer comme caractère normal une barre oblique inverse ou tout autre caractère spécial réservé et utilisé dans des composantes (deux-points, point-virgule, crochet ou chevron), faites-les précéder d’une barre oblique inverse ( \ ).
Note: Vous ne pouvez insérer des marqueurs que dans des zones de texte.
Parent topic: Création d’index


Insertion d’un marqueur d’index sans saisie

Découvrez comment créer des marqueurs d’index rapidement et facilement dans Adobe FrameMaker.

Pour réduire ou supprimer la saisie lors de la création de marqueurs d’index, procédez de l’une des façons suivantes :

  • Insérez un marqueur vide ou un élément de marqueur (un marqueur sans texte) au début du mot à indexer. Si vous générez l’index, le texte à droite du marqueur (jusqu’au premier espace suivant) devient le texte d’une entrée.

  • Pour utiliser comme texte de marqueur un texte affiché dans le document, sélectionnez ce texte dans le document. Tant que le mot ou groupe de mots sélectionné ne contient pas de marqueur, il s’affiche automatiquement dans la zone Texte du marqueur.

Parent topic: Création d’index


Combinaison de plusieurs entrées d'index dans un marqueur

Découvrez comment combiner plusieurs sous-entrées d'index dans un marqueur d’index dans Adobe FrameMaker.

Vous pouvez combiner plusieurs entrées d’index dans un marqueur d’index.

Tapez plusieurs entrées dans le marqueur, en insérant un point-virgule (;) entre les entrées, comme dans les exemples suivants.

Texte de marqueur | Résultat dans l’index
Abrasion; Erosion | Abrasion 10 Erosion 10
<$nopage>Erosion. Voir Abrasion ; <$singlepage>Abrasion | Abrasion 10 Erosion. Voir Abrasion

Dans la seconde ligne de l’exemple, la composante <$nopage> affecte les entrées ultérieures dans le marqueur. Pour revenir à un seul numéro de page, la composante <$singlepage> est incluse avec l’entrée suivante dans le marqueur.

Tip: Pour une meilleure lisibilité, vous pouvez entrer plusieurs espaces après le point-virgule. Les espaces au début ne sont pas pris en compte lors de la compilation de l’index, à moins qu’il ne s’agisse d’espaces spéciaux, tels qu’un espace insécable ou un espace cadratin.
Note: Si vous utilisez des polices japonaises, seuls les caractères d’espace à un octet sont ignorés.
Parent topic: Création d’index


Création d’une entrée d’index secondaire

Découvrez comment créer une entrée d’index secondaire dans Adobe FrameMaker.

Vous pouvez grouper plusieurs entrées sous une autre pour créer une catégorie d’informations en les transformant en entrées secondaires. Vous pouvez également créer des entrées de troisième niveau.

Figure 1. Entrées secondaires
Création d’entrées secondaires d’index dans FrameMaker

Séparez l’entrée principale de l’entrée secondaire par des deux points (:). Par exemple, pour créer la première entrée secondaire de l’illustration, entrez Continental drift:fossil evidence (Dérive des continents:fossiles).

Une entrée secondaire est toujours précédée de son entrée principale. Si vous comptez utiliser deux niveaux d’entrées secondaires, placez un signe deux points entre l’entrée secondaire et son entrée secondaire. Par exemple, entrez Continental drift:fossil evidence:dating of (Dérive des continents:fossiles:datation)..

Parent topic: Création d’index


Création d’une référence croisée dans une entrée d’index

Découvrez comment créer une référence croisée dans une entrée d’index dans Adobe FrameMaker.

Les index contiennent souvent des entrées de références croisées destinées à diriger le lecteur vers des termes associés. Ceci permet de ne pas dupliquer les entrées et numéros de page pour les termes associés figurant déjà dans l’index.

Figure 1. Références croisées
Création d’une référence croisée dans une entrée d’index

Les références croisées peuvent aussi s’afficher sous forme d’entrées secondaires, généralement précédées de Voir aussi (voir illustration). Vous pouvez trier les entrées secondaires de références croisées pour qu’elles apparaissent au début ou à la fin de la liste au-dessous d’une même entrée principale.

Note: Insérez un marqueur et utilisez <$nopage> au début du texte du marqueur pour empêcher l’affichage d’un numéro de page pour cette entrée. Par exemple, pour créer la première référence croisée de l’illustration, entrez <$nopage>Abrasion. See also Sandstone.
Parent topic: Création d’index
Related information
  • Ordre de tri de l’index
  • Références croisées


Utilisation de groupes de pages dans les entrées d’index

Découvrez comment créer des groupes de pages pour les entrées d'index dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création manuelle d’un groupe de pages pour une entrée d’index

  • Création automatique d’un groupe de pages dans un index

Introduction

Pour marquer des informations s’étendant sur plusieurs pages, vous pouvez utiliser un groupe de pages, tel que 36-37.

Vous pouvez créer un groupe de pages dans une entrée en insérant manuellement deux marqueurs pour indiquer le groupe, l’un au début de celui-ci et l’autre à la fin. FrameMaker peut aussi créer des groupes de pages de manière automatique lorsque le même texte de marqueur se répète sur des pages consécutives d’un document. Par exemple, au lieu de 3, 4, 5, l’entrée peut s’afficher automatiquement sous la forme d’un groupe de pages (3–5).

Création manuelle d’un groupe de pages pour une entrée d’index

  1. Insérez un marqueur d’index au début des informations et faites précéder le texte du marqueur par la composante <$startrange>. Par exemple, pour créer le premier numéro de page d’une plage, entrez <$startrange>Dérive des continents:fossiles.

  2. A la fin des informations, ajoutez le même marqueur d’index (ou élément de marqueur dans le cas d’un document structuré) et faites-le précéder de la composante <$endrange> au lieu de la composante <$startrange>. Par exemple, pour créer le second numéro de page d’une plage, entrez <$endrange>Dérive des continents:fossiles.

Si les deux marqueurs se trouvent sur la même page, le groupe se réduit à un seul numéro de page.

Création automatique d’un groupe de pages dans un index

  1. Affichage de la page de référence contenant l’enchaînement de texte spécial pour les index.

  2. Saisissez la composante <$autorange> au début du paragraphe dont le style débute par le type de marqueur.

Pour rassembler les entrées générées à partir de marqueurs de type Index dans des groupes de pages, lorsque c’est possible, insérez les composantes suivantes dans le style de paragraphe IndexIX : <$autorange><$pagenum>.

Parent topic: Création d’index
Related information
  • Modification de l’enchaînement de texte spécial pour une liste ou un index


Formatage de caractères dans les entrées d’index

Découvrez comment formater le texte dans une entrée d’index dans FrameMaker.

Vous pouvez modifier le style de caractère du texte spécifié ou du numéro de page d’une entrée et afficher, par exemple, le titre d’un livre en italique ou le numéro d’une page déterminée en gras. Le style de caractère doit être enregistré dans le Catalogue de caractères de l’index.

Figure 1. Formatage de caractères
Formatage du texte dans une entrée d'index dans FrameMaker

Créez une entrée d’index. Pour formater une partie de l’entrée avec un style de caractère, procédez de l’une des façons suivantes :

Tip: Si vous utilisez un style de caractère spécial pour plusieurs numéros de page, mais pas tous, dans un index (par exemple, pour mettre les entrées principales en gras), vous pouvez créer un type de marqueur personnalisé avec ce formatage.

  • Pour formater un texte donné dans une entrée, entrez le style de caractère entre chevrons ( < et > ) avant le texte et tapez <Default Para Font> à la suite. Par exemple, pour créer l’entrée « Marées Voir Tsunami », tapez le texte suivant : Marées <Emphasis>Voir <Default Para Font> Tsunami.

    Les styles de formatage ne s’appliquent qu’à l’entrée qu’ils précèdent. Par exemple, <gras>fruit:fraise permet d’obtenir une entrée à deux lignes où seul le terme « fruit » apparaît en gras. Pour afficher ces deux entrées en gras, tapez <gras>fruit:<gras>fraise..

  • Pour ne formater que le numéro de page, entrez le style de caractère entre chevrons à la fin du texte du marqueur. Par exemple, pour créer l’entrée « Erosion 24 », entrez le texte de marqueur suivant : Erosion<Gras>.

Parent topic: Création d’index
Related information
  • Modification des styles de paragraphes et de caractères des entrées de liste générées
  • Ajout, modification ou suppression de marqueurs et de types de marqueurs


Utilisation des titres de groupe dans un index

Découvrez comment travailler avec les titres de groupe dans les index. Créez un accès rapide aux titres de groupe avec des références croisées/hyperliens.

Dans ce sujet

  • Introduction

  • Modification des groupes et de leur titre

  • Création d’un index sans titre de groupe

  • Création d’un index sans titre de groupe ni espace entre les groupes d’entrées

Introduction

Les entrées d’index sont initialement groupées lettre par lettre en utilisant une lettre majuscule comme titre de groupe. Dans un petit index ou lorsque seules quelques entrées s’affichent sous certaines lettres telles que X, Y et Z, vous pouvez grouper les lettres différemment et modifier les titres de groupe.

FrameMaker insère les titres de groupe sous la forme d’entrées d’index mais utilise un style de paragraphe différent. Il utilise les étiquettes et les positions de tri spécifiées dans le paragraphe TitresGroupe de l’enchaînement de texte spécial.

Figure 1. Paragraphe TitresGroupe dans la page de référence IX
Paragraphe AneditedGroupTitles sur la page de références IX dans FrameMaker

A. Informations sur le tri B. Titre de groupe

Figure 2. Index obtenu

Modification des groupes et de leur titre

  1. Sélectionnez Affichage > Pages référence et affichez la page de référence contenant l’enchaînement de texte spécial pour l’index.

  2. Modifiez le paragraphe TitresGroupe dans l’enchaînement de texte spécial. Par exemple, les titres de groupe (caractères entre points-virgules, excepté le texte entre crochets). Vous pouvez également supprimer les titres de groupe de votre choix. Entrez le texte entre crochets ( [ ] ) pour spécifier l’endroit auquel vous souhaitez trier les titres de groupe.

    Ainsi, pour placer toutes les entrées allant de V à Z dans un seul groupe dont le titre est classé sous la lettre V, modifiez le paragraphe TitresGroupe afin que sa dernière entrée soit V-Z[V].

Tip: Les deux premières entrées du paragraphe TitresGroupe définissent les titres de groupe à utiliser pour les symboles et les chiffres ainsi que l’emplacement de ces titres. Vous pouvez modifier les titres, mais la modification des informations de tri de ces deux groupes peut produire des résultats inattendus.

Création d’un index sans titre de groupe

Pour créer un index sans titres de groupe, modifiez le paragraphe GroupTitlesIX dans l'enchaînement de texte IX sur la page de référence IX de la façon suivante :

[\];[0];[A];[B];[C];[D];[E];[F];[G];[H];[I];[J];[K];[L];[M];[N];
[O];[P];[Q];[R];[S];[T];[U];[V];[W];[X];[Y];[Z]

Création d’un index sans titre de groupe ni espace entre les groupes d’entrées

Pour créer un index sans titre de groupe ni espace entre les groupes d’entrée, supprimez tout le texte du paragraphe GroupTitlesIX dans l'enchaînement de texte IX sur la page de référence IX sans toucher au symbole de paragraphe.

Parent topic: Création d’index


Ordre de tri de l’index

Découvrez comment travailler avec l’ordre de tri d’index, trier par lettres et caractères, et spécifier l’ordre de tri pour le japonais dans FrameMaker.

Dans ce sujet

  • Introduction

  • Spécification d’un ordre de tri d’une entrée d’index kanji

  • Spécification de l’ordre de tri d’un index

  • Application d’un tri lettre par lettre plutôt que mot par mot

  • Indication des caractères à ignorer

  • Tri de symboles, de nombres ou d’autres caractères à un autre endroit dans l’index

  • Spécification de l’ordre de tri pour le japonais

Introduction

Dans un index trié, les symboles spéciaux s’affichent en premier, suivis des nombres et des caractères alphabétiques. Par défaut, certains caractères de ponctuation sont ignorés dans le tri et les lettres s’affichent dans l’ordre alphabétique de la langue française.

Note: lors de la génération d’index dans des documents multilingues, les symboles sont triés selon l’algorithme UCA (Unicode Collation Algorithm) de la norme de codage de texte Unicode.

Spécification d’un ordre de tri d’une entrée d’index kanji

Vous pouvez modifier la position d’une entrée dans l’index en spécifiant un ordre de tri. Par exemple, même si 36 doit normalement s’afficher avec d’autres nombres, vous pouvez le placer sous la lettre T (comme s’il était épelé trente-six). De même, si vous utilisez une référence croisée Voir aussi dans une entrée secondaire, vous pouvez décider qu’elle constitue la dernière entrée secondaire de l’entrée principale.

Ajoutez le texte entre crochets ([ et ]) à la fin du texte du marqueur, en indiquant exactement le type de tri à appliquer à l’entrée.

Texte du marqueur | Résultat dans l’index | Description
1970[Années soixante-dix] | Marées noires 47 Années 1950 10 Amérique du Nord 21 | Trie sous A (pour Années soixante-dix).
Erosion : du sol [Erosion:soil] | Taux d’érosion 32 du sol 10 | Ignore le mot du.
<$nopage>Erosion : voir aussi Vent [Erosion:aaa] | Erosion voir aussi Taux de vent 16 | Trie en tant que première entrée sous Erosion.
<$nopage>Erosion : Voir aussi Vent [Erosion:zzz] | Taux d’érosion 10 Voir aussi Vent | Trie en tant que dernière entrée sous Erosion.
Note: les informations de tri entre crochets doivent constituer le dernier élément du texte du marqueur.

Spécification de l’ordre de tri d’un index

Pour modifier l’ordre de tri, spécifiez un ordre de tri et modifiez le contenu des paragraphes IgnoreCharsIX et SortOrderIX dans l’enchaînement de texte IX de la page de référence IX.

Le paragraphe SortOrderIX de l’enchaînement de texte spécial contient des composantes contrôlant le tri des caractères dans un index.

Figure 1. Paragraphe SortOrderIX
Spécification de l’ordre de tri d’un index à l’aide du paragraphe SortOrdreIX

Chaque composante d’ordre de tri représente plusieurs caractères dans un ordre spécifique. Le tableau suivant concerne le français. L’ordre de tri alphabétique diffère légèrement dans d’autres langues.

Composante | Caractères, dans cet ordre
<$numerics> | 0 1 2 3 4 5 6 7 8 9
<$alphabetics> | A Á À Â Ä Ã Å a á à â ä ã å ª B b C Ç c ç D d E É È Ê Ë e é è ê ë F f ƒ Gg H h I Í Ì Î Ï i ì í î ï J j K k L l M m N Ñ n ñ O Ó Ò Ô Ö Õ Ø o ó ò ô ö õ ø º P p Q q R r S s T t U Ú Ù Û Ü u ú ù û ü V v W w X x Y Ÿ y ÿ Z z
<$symbols> | Tous les autres caractères sont classés selon l’ordre ASCII.

  1. Sélectionnez Affichage > Pages référence et affichez la page de référence contenant l’enchaînement de texte spécial pour l’index.

  2. Remplacez une composante dans le paragraphe SortOrderIX par les caractères spécifiques dans l’ordre souhaité.

Suivez les règles ci-dessous lorsque vous définissez un nouvel ordre de tri :

  • Si vous remplacez <$alphabetics> par des caractères, séparez les groupes de lettres par un espace. Les groupes de lettres (comme F f ƒ) sont triés comme un caractère unique, à moins qu’ils ne soient les seuls caractères qui diffèrent dans le texte trié. Dans ce cas, le premier caractère de la chaîne s’affiche en premier.

  • Si vous remplacez <$symbols> par des caractères, placez une barre oblique inversée avant les chevrons ( < > ).

  • N’appuyez pas sur la touche Entrée à la fin d’une ligne. Laissez FrameMaker insérer automatiquement les sauts de ligne.

  • Pour qu’une paire de lettres soit triée comme un seul caractère, insérez la paire entre chevrons (< >). Exemple : C Ç c ç<CH><Ch><ch>. Dans cet exemple, tous les caractères ou paires de lettres se trouvent dans le même groupe (la lettre C). La paire CH est triée après la lettre C et les paires de lettres majuscules sont triées avant les paires minuscules.

Application d’un tri lettre par lettre plutôt que mot par mot

Pour trier un index lettre par lettre plutôt que mot par mot :

  1. Sélectionnez Affichage > Pages de référence, et affichez la page de référence contenant l’enchaînement de texte IX pour l’index.

  2. Ajoutez un espace au début du paragraphe IgnoreCharsIX dans l'enchaînement de texte IX de la page de référence IX.

    Tri lettre par lettre

    Tri mot par mot

    Fond marin

    Niveau de la mer

    Changement de saisons

    Digues

    Niveau de la mer

    Digues

    Fond marin

    Changement de saisons

Indication des caractères à ignorer

Par défaut, FrameMaker ignore les tirets, les tirets insécables, les tirets cadratins et les tirets demi-cadratins lors du tri des entrées d’index: -_–—

Vous pouvez spécifier d’autres caractères à ignorer (par exemple, les virgules, points, crochets, accolades, guillemets, points d’exclamation, symboles de devise, etc.) :

-_–—,.()[]{}$?!"

Pour spécifier les caractères à ignorer lors de la génération d'un index :

  1. Sélectionnez Afficher > Pages de référence, et affichez la page de référence IX contenant l’enchaînement de texte IX pour l’index.

  2. Modifiez le paragraphe IgnoreCharsIX.

Note: Si vous utilisez des polices japonaises, vous pouvez insérer le caractère Chouon Caractère Chouon dans le paragraphe IgnoreCharsIX. De cette manière, ce caractère utilisé pour allonger le son de la voyelle qui le suit n’aura aucune incidence sur l’ordre de tri.

Tri de symboles, de nombres ou d’autres caractères à un autre endroit dans l’index

Pour trier des symboles, des nombres ou d’autres caractères à un autre endroit dans l’index :

  1. Sélectionnez Afficher > Pages de référence, et affichez la page de référence contenant l’enchaînement de texte spécial pour l’index.

  2. Réorganisez les composantes du paragraphe SortOrderIX dans l’enchaînement de texte spécial. Par exemple, pour placer les symboles à la fin d’un index en anglais et non au début, organisez les composantes de la façon suivante : <$numerics><$alphabetics><$symbols>

Spécification de l’ordre de tri pour le japonais

Un ordre de tri spécial doit toujours être défini pour les caractères Kanji.

Un document utilisant des polices japonaises inclut la composante <$kana>, qui contrôle le tri japonais kana (hiragana et katakana).

Composante | Caractères, dans cet ordre
<$kana> | Spécification de l’ordre de tri pour le japonais

Les caractères katakana à un octet (demi-largeur) sont convertis en caractères katakana sur deux octets dans le fichier généré lors du tri. L’ordre de tri des caractères kanji est déterminé par sa prononciation kana (yomigana). Pour cette raison, la composante <$kana> contrôle également la plus grande partie du tri kanji.

L’ordre de tri kanji sans yomigana et des symboles japonais (alphabétiques romains et numériques sur deux octets) n’est pas inclus par défaut dans la composante <$kana>. En revanche, les caractères kanji sont triés par valeur de code et placés après les caractères triés par <$kana>.

Pour trier différemment les caractères kanji sans yomigana et les symboles japonais, ajoutez ces caractères aux composantes <$numerics>, <$alphabetics> ou <$kana>. Par exemple, les caractères japonais sur deux octets peuvent être ajoutés à la composante <$symbols>.

Entrez la prononciation (yomigana) entre crochets dans le texte du marqueur (vous pouvez utiliser des caractères de crochet sur deux octets).

Figure 2. Ordre de tri d’une entrée d’index kanji
Ordre de tri d’une entrée d’index kanji

Parent topic: Création d’index
Related information
  • Modification de l’enchaînement de texte spécial pour une liste ou un index


Génération d’index

Découvrez comment générer un index pour un livre et un document. Vous pouvez également afficher les numéros de page dans l’index dans FrameMaker.

Une fois les marqueurs d’index insérés dans le document source, vous pouvez générer un index standard ou un autre index de marqueurs. Lorsque vous révisez le document source, vous pouvez à nouveau générer l’index afin de le mettre à jour.

D’ordinaire, vous utilisez des types de marqueurs prédéfinis. Vous pouvez cependant élaborer vos propres types, par exemple, pour afficher des entrées principales en gras ou ajouter un texte personnalisé à certaines entrées et pas à d’autres. Ce texte peut être le mot remarque pour suivre certains numéros de page ou figure pour en suivre d’autres. Certains index peuvent utiliser des abréviations après les numéros de page.

Vous pouvez également générer un index de références relatif à l’utilisateur, tel qu’un index des polices utilisées dans un document. Ce type d’index n’est pas généré à partir de marqueurs.

Note: Si vous générez un index pour une langue lue de gauche à droite telle que l’arabe, l'hébreu ou le farsi, assurez-vous que l’environnement de votre ordinateur est défini sur l’environnement de cette langue.
  • Génération de l’index d’un livre
  • Génération de l’index d’un livre
  • Génération d’un index standard affichant les numéros de page suivant diverses méthodes
Parent topic: Création d’index


Génération de l’index d’un livre

Pour générer l’index d’un livre :

  1. Ouvrez la fenêtre de livre et sélectionnez le fichier sous lequel vous voulez que le fichier généré apparaisse.

  2. Procédez de l’une des façons suivantes :

    • Sélectionnez Insérer > Index standard.

    • Sélectionnez Insérer > Index de, puis choisissez le type d’index spécialisé à créer.

  3. Déplacez les types de marqueurs utilisés pour les entrées dans la liste de sélection Inclure.

    Figure 1. Boîte de dialogue Préparer un index standard
    Génération d’un index pour un livre dans FrameMaker

    Pour déplacer un élément dans les listes, sélectionnez-le, puis cliquez deux fois dessus ou cliquez sur un bouton fléché.

    Pour déplacer tous les éléments d’une liste à l’autre, maintenez la touche Maj enfoncée et cliquez sur un bouton fléché.

  4. Dans la liste déroulante Ajouter, spécifiez si vous voulez que la liste générée apparaisse avant ou après le document en cours.

  5. Entrez un suffixe ou conservez celui par défaut. Le suffixe indique le type de fichier généré. Par exemple, IX est le suffixe habituel d’un index standard.

    Note: le suffixe est différent de l’extension du nom de fichier. Le suffixe est utilisé avec des styles de paragraphes dans les listes générées et s’affiche dans le nom de fichier généré, par exemple UserGuideIX.fm.

  6. Pour lier chaque entrée de l’index généré à sa source, sélectionnez Création de liens hypertexte.

  7. Cliquez sur OK. FrameMaker génère l’index et l’affiche sous forme de document distinct.

  8. Enregistrez l’index dans le même dossier que le document ou le livre source. Si vous souhaitez renommer le fichier généré, utilisez pour cela la fenêtre du livre. FrameMaker renommera le fichier sur le disque et mettra à jour toutes les références.

    Lors de sa génération initiale, l’index reprend la mise en page du premier document non généré du livre et affiche toutes les entrées de la même manière. Vous pouvez éviter cet aspect non formaté en utilisant un modèle. Pour plus d’informations sur la modification du format de l’index (modifications non perdues lors de la régénération).

  9. Enregistrez tous les fichiers ouverts dans le livre. Ces fichiers sont uniquement mis à jour dans la mémoire de l’ordinateur et non sur le disque. Si un ficher n’est pas ouvert, les modifications sont apportées sur le disque.

Parent topic: Génération d’index
Related information
  • Formatage des listes et des index


Génération de l’index d’un livre

  1. Procédez de l’une des façons suivantes :

    • Sélectionnez Insérer > Index standard.

    • Sélectionnez Insérer > Index de, puis choisissez le type d’index spécialisé à créer.

  2. A l’invite, indiquez si vous voulez que le document généré soit indépendant ou ajouté à un livre.

    Si vous sélectionnez Oui pour créer un document indépendant, FrameMaker crée un index généré dans le dossier du document d’origine.

    Si vous sélectionnez Non, FrameMaker ajoute l’index à un livre ouvert ou crée un livre si nécessaire.

  3. Entrez un suffixe ou conservez celui par défaut. Le suffixe indique le type de fichier généré. Par exemple, IX est le suffixe habituel d’un index standard.

    Note: le suffixe est différent de l’extension du nom de fichier. Le suffixe est utilisé avec des styles de paragraphes dans les listes générées et s’affiche dans le nom de fichier généré, par exemple UserGuideIX.fm.

  4. Pour lier chaque entrée de l’index généré à sa source, sélectionnez Création de liens hypertexte.

  5. Procédez de l’une des façons suivantes :

    • Si vous voulez créer un index indépendant, cliquez sur OK. FrameMaker génère l’index et l’affiche.

    • Si vous ajoutez l’index à un livre, cliquez sur Ajouter, puis cliquez sur Mettre à jour. Si un nouveau livre est créé, sélectionnez Fichier > Enregistrer le livre sous, puis enregistrez le livre.

    Lors de sa génération initiale, l’index reprend la mise en page du document source ou du premier document non généré dans le livre et affiche toutes les entrées de la même manière. Pour plus d’informations sur la modification du format de l’index (modifications non perdues lors de la régénération).

  6. Enregistrez l’index dans le même dossier que le document ou le livre source.

Parent topic: Génération d’index
Related information
  • Formatage des listes et des index
  • Renommage des composants du livre dans un livre


Génération d’un index standard affichant les numéros de page suivant diverses méthodes

Pour générer un index standard affichant les numéros de page suivant diverses méthodes :

  1. Créez un ou plusieurs types de marqueurs personnalisés et attribuez-leur un nom significatif. Par exemple, pour distinguer les entrées d’index se rapportant aux notes, vous pouvez créer un type de marqueur nommé IndexNote.

  2. Indexez le document source, en utilisant le type de marqueur Index pour les entrées normales et un type de marqueur personnalisé pour les autres.

  3. Générez l’index. Sélectionnez le type de marqueur Index, ainsi que les index personnalisés.

    Dans l’index, modifiez l’enchaînement de texte spécial sur la page de référence pour le marqueur personnalisé (la page de référence s’appellera IX) pour ajouter un texte après le numéro de page ou pour modifier le style de caractère. Par exemple, vous pouvez modifier le texte pour IndexNoteIX de la manière suivante pour que [note] s’affiche après le numéro de page : <$pagenum> [note].

  4. Mettez à jour l’index pour valider les modifications.

Parent topic: Génération d’index
Related information
  • Ajout, modification ou suppression de marqueurs et de types de marqueurs
  • Modification des séparateurs de numéros de page
  • Modification des styles de paragraphes et de caractères des entrées de liste générées


Mise à jour et modification des index

Découvrez comment mettre à jour et modifier les index appartenant à un livre ou formant un document autonome dans FrameMaker.

Dans ce sujet

  • Introduction

  • Mise à jour d’un index appartenant à un livre

  • Ajout ou suppression d’éléments figurant dans un index appartenant à un livre

  • Mise à jour d’un index constituant un document indépendant

Introduction

Un index peut rapidement devenir obsolète. A la première révision d’un index, vous pouvez être amené à apporter certaines modifications, par exemple si certaines entrées n’utilisent pas le même type de rédaction ou si vous décidez de modifier l’organisation d’autres entrées.

Pour modifier les entrées d’un index, vous devez modifier les paragraphes ou les marqueurs correspondants dans le document source, avant de régénérer l’index. Si vous effectuez les modifications directement dans l’index, elles seront perdues lors de la régénération de celui-ci.

Si vous corrigez une erreur directement dans une table des matières, elle réapparaîtra lors de la prochaine génération, car elle existe toujours dans le paragraphe source. Pour la corriger de façon définitive, vous devez modifier le texte du marqueur dans le document source, puis régénérer l’index.

Mise à jour d’un index appartenant à un livre

Pour mettre à jour un index appartenant à un livre :

  1. Modifiez le document source selon vos besoins.

  2. Dans la fenêtre du livre, choisissez Edition > Mettre à jour le livre.

  3. Déplacez les listes à mettre à jour dans la liste de sélection Générer ; assurez-vous que l’option Générer la table des matières, Listes et Index est sélectionnée, plus cliquez sur Mettre à jour.

Ajout ou suppression d’éléments figurant dans un index appartenant à un livre

Pour ajouter ou supprimer des éléments figurant dans un index appartenant à un livre :

  1. Sélectionnez l’index généré dans la fenêtre de livre.

  2. Choisissez Edition > Préparer un index standard (ou Préparer un index de type).

  3. Déplacez les éléments d’une liste à l’autre selon vos besoins. Cliquez sur Définir.

  4. Cliquez sur Mettre à jour.

Mise à jour d’un index constituant un document indépendant

  1. Modifiez le document source selon vos besoins.

  2. Dans le document source, choisissez la commande (par exemple, Index standard) dans le menu Insérer, puis sélectionnez Oui à l’invite de création d’un document indépendant.

  3. Déplacez les éléments d’une liste à l’autre selon vos besoins.

  4. Cliquez sur OK.

Parent topic: Création d’index
Related information
  • Mise à jour et modification des tables des matières et des listes


Recherche de la source des entrées d’index

Découvrez comment trouver la source d’entrées d’index, en utilisant un lien de recherche/modification dans FrameMaker.

Dans ce sujet

  • Introduction

  • Recherche de la source d’une entrée d’index à l’aide d’un lien

  • Sélection d’un marqueur à l’aide de l’option Chercher/Remplacer

Introduction

Avant de réviser une entrée, vous devez localiser sa source, c’est-à-dire le marqueur (ou élément de marqueur, dans le cas d’un document structuré) correspondant dans le document source.

Pour rechercher la source d’une entrée d’index le plus rapidement possible, cliquez sur le lien hypertexte de l’entrée dans le fichier généré. Ce lien hypertexte permet d’afficher et de sélectionner les informations correspondantes dans le document source. Dans un document structuré, vous pouvez sélectionner l’élément dans la Vue de la structure si sa bulle est visible.

Il est également facile de rechercher et de sélectionner un marqueur dans le document source à l’aide du panneau Marqueurs. Le panneau Marqueurs affiche le texte de marqueur, le type de marqueur et le document dans lequel se trouve le marqueur. Vous pouvez trier la liste en fonction du type de marqueur afin d’afficher toutes les entrées de marqueurs d’index présentes dans le document. Si vous sélectionnez une entrée dans le panneau Marqueurs, le marqueur est automatiquement mis en surbrillance dans le document. Si vous cliquez deux fois sur une entrée, le panneau Panneau Marqueur pour des modifications rapides.

L’utilisation du panneau Marqueurs facilite la sélection d’un marqueur spécifique lorsque plusieurs marqueurs se trouvent au même emplacement dans un document.

Important: Si vous générez de très gros index (supérieurs à 50 000 marqueurs), n’utilisez pas l’option Création de liens hypertexte. La génération d’index de cette taille avec l'option Création de liens hypertexte prend beaucoup de temps et peut échouer.

Recherche de la source d’une entrée d’index à l’aide d’un lien

Pour rechercher la source d’une entrée d’index à l’aide d’un lien :

  1. Si l’option Création de liens hypertexte n’était pas sélectionnée lors de la génération de l’index, sélectionnez-la maintenant, puis régénérez l’index.

  2. Sélectionnez Insérer > Marqueur.

  3. Dans l’index généré, maintenez les touches Alt+Ctrl enfoncées et cliquez sur une référence de page dans l’index.

FrameMaker ouvre le document source à la page contenant le marqueur correspondant et le sélectionne. Le texte de marqueur apparaît dans le panneau Marqueurs.

Sélection d’un marqueur à l’aide de l’option Chercher/Remplacer

Pour sélectionner un marqueur à l’aide de l’option Chercher/Remplacer :

  1. Dans le document source (et non dans la liste générée), choisissez Edition > Chercher/Remplacer.

  2. Procédez de l’une des façons suivantes :

    • Si vous modifiez un document FrameMaker, sélectionnez Tout marqueur, Marqueur du type ou Texte du marqueur dans la liste déroulante Rechercher. Entrez le type ou le texte de marqueur approprié.

    • Si vous modifiez un document FrameMaker structuré, sélectionnez Elément dans la liste déroulante Rechercher, puis saisissez le nom de l’élément recherché. Cliquez sur Définir-

  3. Cliquez sur Rechercher.

Note: Lorsqu'un marqueur est sélectionné, le texte de marqueur s’affiche dans le panneau Marqueurs. Ne cliquez pas sur Remplacer dans la boîte de dialogue Chercher/Remplacer si vous voulez modifier le texte du marqueur. Sinon, FrameMaker remplacerait le marqueur lui-même. Au lieu de cela, modifiez le texte dans le panneau Panneau Marqueurs, puis cliquez sur Modifier le marqueur.
Parent topic: Création d’index


Ajout, modification ou suppression de marqueurs et de types de marqueurs

Découvrez comment ajouter, modifier ou supprimer des marqueurs et des types de marqueurs et copier un type de marqueur d’un document à l’autre dans FrameMaker.

Dans ce sujet

  • Introduction

  • Modification ou suppression d’un marqueur

  • Copie d’un type de marqueur d’un document à un autre

  • Changement de nom du type de marqueur

Introduction

Vous pouvez créer vos propres types de marqueurs et les utiliser dans les listes ou index comme tout autre type de marqueur.

Une fois que vous avez créé un nouveau type de marqueur, il peut être partagé avec d’autres documents et livres.

Modification ou suppression d’un marqueur

Pour modifier ou supprimer un marqueur :

  1. Sélectionnez le marqueur (ou l’élément) que vous souhaitez supprimer, puis procédez de l’une des façons suivantes :

    • Cliquez sur l’icône Supprimer dans le panneau Marqueurs.

    • Cliquez sur le bouton Supprimer le marqueur dans le panneau Marqueurs.

  2. Sélectionnez le marqueur (ou l’élément) que vous souhaitez modifier, changez le texte dans le panneau Marqueurs, et cliquez sur l’icône Modifier du marqueur.

Ajout ou suppression d’un type de marqueur personnalisé

Pour ajouter ou supprimer un type de marqueur personnalisé, procédez comme suit :

  1. Sélectionnez Insérer > Marqueur, puis Modifier dans la liste déroulante Type de marqueur.

  2. Entrez un nouveau nom et cliquez sur Ajouter.

    Vous pouvez également sélectionner un nom dans la liste déroulante. Cliquez sur Supprimer.

  3. Cliquez sur Terminé.

Tip: Vous pouvez également utiliser la fenêtre du livre pour modifier les marqueurs personnalisés. Sélectionnez les documents appropriés et appuyez sur Echap+e+m+t.

Copie d’un type de marqueur d’un document à un autre

Pour copier un type de marqueur d’un document à un autre, procédez comme suit :

  • Copiez un marqueur ou un texte contenant un marqueur et collez-le dans un autre document.

  • Sélectionnez Fichier > Importer > Formats et importez les Propriétés du document.

Changement de nom du type de marqueur

Pour renommer un type de marqueur, procédez comme suit :

  1. Sélectionnez Insérer > Marqueur, puis Modifier dans la liste déroulante Type de marqueur.

  2. Choisissez le type de marqueur à renommer dans la liste déroulante. Cliquez sur Modifier.

  3. Procédez de l’une des façons suivantes :

    • Pour renommer les marqueurs spécifiés, entrez le nouveau nom dans la zone de texte En.

    • Pour renommer les marqueurs spécifiés avec le nom d’un autre type de marqueur, choisissez le nouveau type de marqueur dans la liste déroulante En.

  4. Cliquez sur OK.

  5. Cliquez sur Terminé.

Parent topic: Création d’index


Formatage des listes et des index

Découvrez comment formater une liste ou un index avec un modèle dans Adobe FrameMaker.

  • Formatage d’une liste ou d’un index à l’aide d’un modèle
    Découvrez comment formater une liste ou un index généré avec un modèle dans Adobe FrameMaker.
  • Modification de l’enchaînement de texte spécial pour une liste ou un index
    Découvrez comment modifier un enchaînement de texte spécial pour une liste ou un index.
  • Modification des styles de paragraphes et de caractères des entrées de liste générées
    Découvrez comment modifier les styles de paragraphes et de caractères des entrées de liste générées dans Adobe FrameMaker.
  • Inclusion des numéros automatiques de composant de livre et de paragraphe
    Découvrez comment inclure les numéros automatiques de composant de livre et de paragraphe dans une liste générée dans Adobe FrameMaker.
  • Modification des séparateurs de numéros de page
    Découvrez comment modifier les séparateurs de numéros de page dans Adobe FrameMaker.
  • Ajout manuel de texte aux entrées de liste générées
    Découvrez comment ajouter manuellement du texte aux entrées de liste générées dans Adobe FrameMaker.
  • Utilisation de tabulations et de chaînes de conduite dans une liste ou un index
    Découvrez comment utilisez les tabulations et les chaînes de conduite dans une liste ou un index dans Adobe FrameMaker.
  • Réorganisation des informations dans les entrées de liste
    Découvrez comment réorganiser les informations dans les entrées de liste dans Adobe FrameMaker.
  • Résolution des références croisées
    Découvrez comment résoudre les références croisées dans Adobe FrameMaker lorsqu’un marqueur a été supprimé ou que la référence ID et l'ID ne concordent pas.
Parent topic: Projets, livres et documents longs


Formatage d’une liste ou d’un index à l’aide d’un modèle

Découvrez comment formater une liste ou un index généré avec un modèle dans Adobe FrameMaker.

Lorsque vous générez une liste ou un index pour la première fois (sans utiliser de modèle), la liste ou l’index reprend la mise en page du document source ou du premier document non généré du livre et affiche les entrées de la même manière. Vous pouvez modifier la mise en page et les formats dans la liste ou l’index après sa génération, comme pour tout autre document. Lorsque vous régénérez le fichier, les modifications sont conservées.

  1. Copiez le modèle dans le dossier du document source en utilisant le même nom de fichier que la liste ou l’index.

  2. Générez la liste ou l’index.

Tip: Vous pouvez également utiliser l’option Fichier > Importer > Formats pour importer des formats de modèle. Régénérez ensuite la liste ou l’index afin que toute modification de l’enchaînement de texte spécial s’affiche dans le fichier généré.
Parent topic: Formatage des listes et des index


Modification de l’enchaînement de texte spécial pour une liste ou un index

Découvrez comment modifier un enchaînement de texte spécial pour une liste ou un index.

Plusieurs aspects du formatage d’une liste ou d’un index sont contrôlés par un enchaînement de texte spécial sur une page de référence dans le fichier généré. Le nom de la page de référence correspond au suffixe du nom de fichier par défaut (TDM pour une table des matières ou IX pour un index standard).

Dans le cas des listes générées, chaque paragraphe de l’enchaînement correspond à un style de paragraphe ou à un type de marqueur que vous avez inclus dans la liste. Le style de ces paragraphes se termine par le suffixe par défaut. Par exemple, un paragraphe du style Intitulé1TDM dans l’enchaînement de texte pour une table des matières correspond aux entrées d’intitulés de premier niveau (portant l’étiquette Intitulé1 dans le document source).

Figure 1. Enchaînement de texte spécial sur page de référence pour une table des matières
Enchaînement de texte spécial sur la page de référence pour une table des matières

Dans le cas des index, les paragraphes dans l’enchaînement correspondent aux types de marqueurs que vous avez inclus dans l’index, aux niveaux des entrées et entrées secondaires, à l’ordre de tri, au texte de séparation utilisé et à plusieurs autres caractéristiques d’index.

Figure 2. Enchaînement de texte spécial dans un index
Structure de l’enchaînement de texte spécial pour un index

A. Paramètre de séparateurs B. Niveaux des entrées C. Paramètre des titres de groupes D. Ordre de triE. Ignorer le paramètre de caractère

Si la liste ou l’index a été créé(e) avec des liens hypertexte, l’enchaînement de texte spécial contient également un paragraphe spécifiant la forme des commandes hypertexte dans le fichier généré

Le nom du style du paragraphe commence par le mot Active.

Les enchaînements de texte spéciaux pour listes et index contiennent des paragraphes spéciaux avec un texte de marque de réservation. Ce texte permet de spécifier l’aspect des entrées lors de la régénération du fichier.

Les composantes placées dans chaque paragraphe de l’enchaînement de texte spécial définissent les informations à afficher dans la liste ou l’index, ainsi que leur ordre d’apparition. Les composantes suivantes peuvent être utilisées dans l’enchaînement de texte spécial.

Composante | Signification
<$autorange> | Crée automatiquement des groupes de pages d’index.
<$numerics> <$alphabetics> <$symbols> <$kana> | Spécifie l’ordre de tri global d’un index.
<$pagenum> | Affiche le numéro de la page dans laquelle le marqueur ou paragraphe source apparaît.
<$volnum> | Affiche le numéro de volume du document dans lequel se trouve le paragraphe ou le marqueur source.
<$chapnum> | Affiche le numéro de chapitre du document dans lequel se trouve le paragraphe ou le marqueur source.
<$paratext> | Affiche le texte du paragraphe, sans numéro automatique.
<$paranum> | Affiche le numéro automatique entier du paragraphe, excepté les espaces et caractères de tabulation situés à la fin du numéro (par exemple, Section 2.1.1).
<$paranumonly> | Affiche les compteurs de numéros automatiques du paragraphe et les caractères entre eux (par exemple, 2.1.1).
<$paratag> | Affiche le nom du style du paragraphe source.

  1. Dans la liste ou l’index, choisissez Affichage > Pages de référence.

  2. Affichez la page de référence contenant l’enchaînement de texte souhaité.

  3. Modifiez les paragraphes appropriés dans l’enchaînement.

  4. Sélectionnez Affichage > Pages de corps.

  5. Régénérez l’index pour visualiser le résultat des modifications.

Note: assurez-vous que vous générez la liste ou l’index depuis le document source et non depuis le fichier généré.
Parent topic: Formatage des listes et des index
Related information
  • Utilisation de groupes de pages dans les entrées d’index
  • Modification des styles de paragraphes et de caractères des entrées de liste générées


Modification des styles de paragraphes et de caractères des entrées de liste générées

Découvrez comment modifier les styles de paragraphes et de caractères des entrées de liste générées dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Modification du style de paragraphe des entrées

  • Modification du style de caractère des entrées

Introduction

Dans Adobe FrameMaker, vous pouvez modifier l’aspect des entrées d’une liste ou d’un index généré en modifiant leur style de paragraphe.

Vous pouvez également modifier le style de caractère de tout texte affiché dans une liste et de tous les numéros de page d’index créés avec le même type de marqueur. Par exemple, tous les numéros de page peuvent s’afficher en italique.

Note: Si vous créez un format de caractères dans le document source après avoir généré la liste ou l’index, vous pouvez être amené à utiliser l’option Fichier > Importer > Formats pour importer le format de caractères dans la liste générée. Ceci n’est requis que si vous utilisez le nouveau style de caractère dans un paragraphe ou un marqueur faisant partie de la liste ou de l’index. Si vous avez créé le style de caractère avant de générer la liste ou l’index, FrameMaker l’importe dans le fichier généré.

Modification du style de paragraphe des entrées

Pour modifier le style de paragraphe d’une entrée d'une liste générée, procédez comme suit :

  1. Dans la liste ou dans l’index, affichez la page de référence comprenant l’enchaînement de texte spécial. En général, il s’agit de TDM pour une table des matières et de IX pour un index standard.

  2. Repérez les paragraphes de marque de réservation ayant un style correspondant aux entrées de liste ou d’index. Par exemple, Niveau1IX correspond au style du texte de marque de réservation pour une entrée d’index de premier niveau et Intitulé1TDM correspond au style d’une entrée Intitulé1 dans une table des matières.

  3. Modifiez les caractéristiques des styles de paragraphes, telles que les retraits et la taille de police, et mettez à jour les styles afin qu’ils soient disponibles à la prochaine génération du fichier. Les paragraphes de marque de réservation présentent l’aspect des entrées.

Figure 1. Paragraphes de marque de réservation formatés
Paragraphes de remplacement formatés montrant l'aspect des entrées

Modification du style de caractère des entrées

Pour modifier le style de caractère d’une entrée d'une liste générée, procédez comme suit :

  1. Dans la liste ou l’index, créez un nouveau style de caractère et enregistrez-le dans le Catalogue de caractères.

  2. Choisissez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte spécial.

Dans le paragraphe dont le style correspond aux entrées à modifier, procédez comme suit :

  • Dans une liste, entrez le style de caractère entre chevrons (< >) avant le texte à modifier. Pour revenir à la police par défaut du paragraphe, entrez <Default Para Font>. Ainsi, vous pouvez définir le format PoliceNumChap, puis l’utiliser pour formater les numéros de chapitre dans une police plus grande dans une table des matières.

    Figure 2. Page de référence et TDM obtenue
    Modification du style de caractère des entrées dans la page de référence et la table des matières obtenue

  • Dans un index, entrez le nom du style de caractère, entre chevrons (< >), à gauche de <$pagenum>. Par exemple, si NumPageIndex est un style de caractère défini pour des numéros de page en italique dans un index standard, vous pouvez l’utiliser pour ne formater que les numéros de page dans les paragraphes étiquetés IndexIX.

    Figure 3. Page de référence et index obtenu
    Modification du style de caractère des entrées dans la page de référence et la table des matières obtenue

Tip: Vous pouvez aussi modifier le style de caractère du texte affiché dans une liste ou un index en appliquant directement un style de caractère à la composante plutôt que de la faire précéder d’un style de caractère entouré de chevrons. Evitez d’appliquer le style de caractère au symbole de paragraphe.
Parent topic: Formatage des listes et des index


Inclusion des numéros automatiques de composant de livre et de paragraphe

Découvrez comment inclure les numéros automatiques de composant de livre et de paragraphe dans une liste générée dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Insertion des numéros automatiques de volumes et de chapitres

  • Insertion des numéros automatiques de paragraphes

Introduction

Dans une liste générée, vous pouvez insérer des numéros automatiques (texte et numéros insérés automatiquement comme élément d’un style de paragraphe) en plus ou au lieu des numéros de page des entrées. Dans un index, vous pouvez utiliser des numéros automatiques au lieu des numéros de page si tous les paragraphes contenant des marqueurs d’index sont également numérotés automatiquement.

Figure 1. Index utilisant des symboles et des numéros de section au lieu de numéros de page
Index utilisant des symboles et des numéros de section au lieu de numéros de page

Les composantes suivantes permettent d’ajouter des numéros automatiques :

  • <$volnum>, <$chapnum>, <$sectionnum>, <$subsectionnum>, qui incluent les compteurs de volumes, de chapitres, de sections et de sous-sections.

    Figure 2. Composante de numérotation automatique des volumes et chapitres et index obtenu
    Composante de numérotation automatique des volumes et chapitres et index obtenu

  • <$paranumonly>, qui inclut les compteurs et les caractères entre eux (par exemple, 2.2 pour un paragraphe dont le numéro automatique est Section 2.2).

    Figure 3. Composante de numérotation automatique des paragraphes au moyen des numéros de section et index obtenu
    Composante de numérotation automatique des paragraphes au moyen du texte « Section » et des numéros de section et index obtenu

  • <$paranum>, qui inclut les compteurs et tout le texte dans le numéro automatique (à l’exception des espaces ou des caractères de tabulation à la fin).

    Figure 4. Composante de numérotation automatique des paragraphes au moyen du texte « Section » et des numéros de section et index obtenu
    Bloc de construction pour la numérotation automatique des paragraphes au moyen du texte « Section » et des numéros de section et index obtenu

Insertion des numéros automatiques de volumes et de chapitres

Pour inclure le numéro automatique des volumes et des chapitres d'une entrée de liste générée, procédez comme suit :

  1. Choisissez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte spécial.

  2. Dans une liste ou dans un index, insérez la composante <$volnum> ou <$chapnum> à l’endroit où vous souhaitez insérer le numéro automatique.

    Par exemple, pour insérer le numéro du chapitre avec celui de la page (par exemple, 3-1) dans des entrées générées avec des marqueurs de type Index, tapez <$chapnum>- devant la composante <$pagenum> dans le paragraphe de style IndexIX.

Tip: Pour éviter que les numéros tels que « 3-1 » ne soient coupés dans des sauts de ligne, insérez un tiret insécable en appuyant sur Echap+-+h.

Insertion des numéros automatiques de paragraphes

Pour inclure le numéro automatique des paragraphes d'une entrée de liste générée, procédez comme suit :

  1. Sélectionnez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte « Spécial ».

  2. Procédez de l’une des façons suivantes :

    • Dans une liste, insérez la composante <$paranumonly> ou <$paranum> à l’endroit où vous souhaitez insérer le numéro automatique.

    • Dans un index, remplacez la composante <$pagenum> par <$paranum> ou <$paranumonly> dans le paragraphe dont le style commence par le type de marqueur. Par exemple, pour inclure le numéro automatique du paragraphe plutôt que le numéro de page dans les entrées générées à partir des marqueurs du type Index, remplacez la composante <$pagenum> dans le paragraphe de style IndexIX.

Parent topic: Formatage des listes et des index
Related information
  • Numérotation des documents et des pages


Modification des séparateurs de numéros de page

Découvrez comment modifier les séparateurs de numéros de page dans Adobe FrameMaker.

Dans une entrée standard telle que Erosion 1, 23, le texte est suivi d’un espace, les numéros de page sont séparés par une virgule et un espace, un tiret demi-cadratin sépare les numéros d’un groupe de pages et le dernier numéro n’est suivi d’aucun élément. Vous pouvez remplacer le tiret demi-cadratin par à ou effectuer d’autres modifications. Ainsi, vous pouvez modifier le texte du séparateur afin de placer une virgule après l’entrée (Erosion, 1, par exemple).

Pour modifier le séparateur de numéros de page pour les entrées d'index, procédez comme suit :

  1. Choisissez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte spécial.

  2. Modifiez le paragraphe des séparateurs (en recherchant le paragraphe contenant 1, 23-.) Vous pouvez modifier n’importe quel séparateur, mais vous devez utiliser les chiffres 1, 2 et 3.

Figure 1. Paragraphe de séparateurs personnalisé dans la page de référence IX
Paragraphe de séparateurs personnalisé dans la page de référence IX

A. Tiret demi-cadratin B. Espace cadratin

Parent topic: Formatage des listes et des index


Ajout manuel de texte aux entrées de liste générées

Découvrez comment ajouter manuellement du texte aux entrées de liste générées dans Adobe FrameMaker.

Vous pouvez ajouter du texte à toutes les entrées générées à partir de paragraphes comportant un style particulier ou des marqueurs d’un type particulier. Par exemple, vous pouvez insérer les numéros de page entre crochets.

Figure 1. Crochets ajoutés dans une table des matières
Crochets ajoutés à une table des matières

Vous pouvez aussi utiliser des types de marqueurs personnalisés avec un texte ajouté pour afficher des numéros de page dans un index de plusieurs manières. Supposons que vous souhaitiez générer l’index suivant.

Figure 2. Insertion de numéros de page personnalisés dans un index
Insertion de numéros de page personnalisés dans un index

Pour ce faire, vous devez disposer de deux marqueurs personnalisés : l’un pour les numéros de page, suivi de ff, et l’autre pour les numéros de page, suivi de note. Vous pouvez appeler ces marqueurs Indexff et NoteIndex.

Lors de la génération d’un index, vous devez insérer les trois types de marqueur (Index et les deux nouveaux). Après la première génération de l’index, vous pouvez modifier l’enchaînement de texte spécial pour les types de marqueurs sur la page de référence.

Type de marqueur | Modification de la page de référence | Résultat
Indexff | <$pagenum> ff | 15 ff
NoteIndex | <$pagenum>note | 15 note

Lors de la régénération de l’index, les modifications s’affichent dans l’index généré.

Pour ajouter des numéros de page personnalisés pour les entrées d'index, procédez comme suit :

  1. Choisissez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte spécial pour la liste ou l’index.

  2. Entrez le texte à l’endroit où vous souhaitez l’afficher. Par exemple, pour placer entre crochets tous les numéros de page, entrez des crochets autour des composantes de numéro de page : <$textepara>[<$numpage>]

Parent topic: Formatage des listes et des index


Utilisation de tabulations et de chaînes de conduite dans une liste ou un index

Découvrez comment utilisez les tabulations et les chaînes de conduite dans une liste ou un index dans Adobe FrameMaker.

Vous pouvez utiliser des tabulations pour aligner des numéros de page dans une liste ou un index. Vous pouvez aussi utiliser des tabulations pour ajouter des chaînes de conduite, comme une rangée de points, entre le texte et le numéro de page.

Figure 1. Taquet de tabulation aligné à droite avec points de conduite dans une table des matières
Taquet de tabulation aligné à droite avec points de conduite dans une table des matières

Figure 2. Les taquets de tabulation alignent en colonnes les numéros de page de l’index.
Les taquets de tabulation alignent en colonnes les numéros de page de l’index

  1. Choisissez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte spécial.

  2. Procédez de l’une des façons suivantes :

    • Pour une liste, sélectionnez l’espace entre les composantes <$paratext> et <$pagenum> dans le paragraphe dont le style correspond aux entrées à modifier.

    • Pour un index, sélectionnez l’espace avant le numéro 1 dans le paragraphe Séparateurs.

  3. Appuyez sur la touche de tabulation.

  4. Modifiez le style de paragraphe en ajoutant un taquet de tabulation à l’endroit auquel aligner les numéros de page. Le cas échéant, définissez le format pour inclure les points de conduite. Ensuite, mettez à jour les styles de paragraphes afin que les modifications soient disponibles à la prochaine génération de la liste ou de l’index.

Parent topic: Formatage des listes et des index


Réorganisation des informations dans les entrées de liste

Découvrez comment réorganiser les informations dans les entrées de liste dans Adobe FrameMaker.

Vous pouvez spécifier l’ordre d’affichage des éléments d’une liste. Par exemple, vous pouvez configurer la liste de manière à ce que le numéro de page s’affiche avant le texte du paragraphe.

  1. Choisissez Affichage > Pages de référence et affichez la page de référence contenant l’enchaînement de texte spécial pour la table des matières ou la liste.

  2. Réorganisez les composantes. Par exemple, pour placer le numéro de page en premier, suivi du texte du paragraphe, réorganisez les composantes comme suit : <$pagenum> <$paratext>.

Parent topic: Formatage des listes et des index


Résolution des références croisées

Découvrez comment résoudre les références croisées dans Adobe FrameMaker lorsqu’un marqueur a été supprimé ou que la référence ID et l'ID ne concordent pas.

Dans ce sujet

  • Résolution d’une référence croisée lorsqu’un marqueur a été supprimé

  • Résolution d’une référence croisée dont la valeur d’ID et la valeur de Référence ID ne concordent pas

Résolution d’une référence croisée lorsqu’un marqueur a été supprimé

  1. Ouvrez le conteneur Références croisées, sélectionnez Filtre > Références > Référence croisée non résolue. Vérifiez que le nom de fichier correct est sélectionné. Le panneau montre toutes les références croisées non résolues.

  2. Procédez de l’une des façons suivantes :

    • Supprimez la référence croisée si vous n’en avez pas besoin.

    • Si FrameMaker trouve une référence croisée de paragraphe non résolue, cliquez deux fois dessus pour afficher la boîte de dialogue Référence croisée, puis indiquez une source différente. Cliquez sur Remplacer.

    • Si FrameMaker trouve une référence croisée localisée non résolue, insérez un nouveau marqueur de référence croisée dans le texte source. Sélectionnez le nouveau marqueur dans la boîte de dialogue Référence croisée. Cliquez sur Remplacer.

Résolution d’une référence croisée dont la valeur d’ID et la valeur de Référence ID ne concordent pas

Pour les documents structurés, changez la valeur d’ID ou la valeur de Référence ID pour que les deux valeurs concordent.

Les attributs d’ID sont souvent en lecture seule de sorte que vous devrez probablement modifier l’attribut de Référence ID.

Parent topic: Formatage des listes et des index


Glossaires

Familiarisez-vous avec les glossaires dans Adobe FrameMaker. Découvrez comment créer un marqueur de glossaire avec une définition de terme et appliquer le marqueur de glossaire aux occurrences du terme.

Dans ce sujet

  • Introduction

  • Créer la définition du terme du glossaire

  • Appliquer le marqueur de glossaire aux occurrences du terme

Introduction

Dans Adobe FrameMaker, vous pouvez définir des termes de glossaire à l'aide de marqueurs. Vous pouvez ensuite publier un document contenant le glossaire des termes définis. Si l’utilisateur rencontre un terme du glossaire dans la sortie publiée, il peut accéder à sa définition.

Pour publier la sortie contenant un glossaire des termes, vous devez créer la définition du terme de glossaire et appliquer le marqueur de glossaire aux occurrences du terme.

Créer la définition du terme du glossaire

Dans votre document, vous devez fournir des définitions pour les termes que vous souhaitez inclure dans le glossaire.

  1. Dans le document, placez le pointeur dans le paragraphe contenant la définition du terme.

    Par exemple, vous pouvez définir le terme PDF comme Portable Document Format. Le cas échéant, vous devez positionner le pointeur dans le paragraphe contenant la définition de Portable Document Format du document.

  2. Sélectionnez Insérer > Marqueur pour ouvrir la boîte de dialogue Marqueur. Dans la boîte de dialogue Marqueur, sélectionnez le type de marqueur en tant que Glossaire.

  3. Spécifiez le texte du marqueur en tant que terme.

Appliquer le marqueur de glossaire aux occurrences du terme

Le terme du glossaire est défini. Ensuite, vous devez appliquer cette définition aux occurrences du terme dans le document.

  1. Sélectionnez le terme auquel vous souhaitez appliquer la définition du glossaire. Si l’utilisateur sélectionne un terme dans la sortie publiée, la définition du terme s’affiche.

    Par exemple, si le document contient le terme PDF, vous devez sélectionner le texte PDF.

  2. Sélectionnez Insérer > Marqueur pour ouvrir la boîte de dialogue Marqueur. Dans la boîte de dialogue Marqueur, sélectionnez le type de marqueur en tant que Terme du glossaire.

  3. Spécifiez le texte du marqueur en tant que terme.

    Par défaut, FrameMaker affiche le texte sélectionné à l’étape précédente comme texte du marqueur.

Note: Il n’est pas nécessaire de spécifier le texte du marqueur en tant que terme. Toutefois, vous devez vous assurer que le texte du marqueur spécifié est identique au premier mot du texte du marqueur défini lors de la création de la définition du terme du glossaire .

Lorsque vous publiez le document, vous pouvez spécifier l’affichage de la définition de glossaire lorsqu’un utilisateur sélectionne un terme dans le document. Pour plus d’informations, reportez-vous aux options Paramètres généraux dans la table Mappage de style des options de publication.

Parent topic: Projets, livres et documents longs


Création de notes et de notes de fin

Découvrez comment fonctionnent les notes et les notes de fin dans Adobe FrameMaker.

Dans Adobe FrameMaker, les Notes sont un texte placé en bas de page et contenant un commentaire ou une citation qui fait référence à un fragment désigné du texte.

Les Notes de fin sont un texte placé à la fin d’un chapitre ou d’un livre et contenant un commentaire ou une citation qui fait référence à un fragment désigné du texte.

  • Insertion, modification ou suppression de notes
    Découvrez comment insérer, modifier, dupliquer, déplacer et supprimer des notes dans Adobe FrameMaker.
  • Formatage des notes
    Découvrez comment changer les caractéristiques des notes, modifier le style de numérotation des notes, créer une numérotation personnalisée des notes et modifier le séparateur de notes dans Adobe FrameMaker.
  • Création et conservation des notes de fin
    Découvrez comment créer et maintenir les notes de fin dans Adobe FrameMaker
Parent topic: Projets, livres et documents longs


Insertion, modification ou suppression de notes

Découvrez comment insérer, modifier, dupliquer, déplacer et supprimer des notes dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Insertion d'une note dans un document FrameMaker

  • Insertion d'un élément note dans un document FrameMaker structuré

  • Utilisation d’un élément note non valide

  • Modification d’une note

  • Duplication, déplacement ou suppression d’une note

  • Maintien d’une note dans la même colonne que sa référence

  • Insertion de plusieurs références de notes

  • Insertion de plusieurs références de notes (documents structurés)

Introduction

Lorsque vous insérez une référence de note et une note, FrameMaker attribue un numéro à cette note, formate son texte et insère un séparateur si la note est la première d’une colonne.

Structure d’une note dans Adobe FrameMaker

A. Note B. Séparateur de note C. Référence de la note

Lorsque vous insérez, déplacez et supprimez des notes, FrameMaker ajuste la numérotation. Lorsque vous modifiez le texte environnant, FrameMaker déplace en conséquence les notes, de page en page. FrameMaker numérote de manière consécutive les notes de document dans tous les fichiers d’un livre.

La référence de la note et la note elle-même apparaissent généralement dans la même colonne. Lors de l’insertion d’une référence de note dans un tableau, la note s’affiche à la fin de ce dernier. Si le tableau s’étend sur deux pages, toutes les notes se trouvent sur la seconde page.

Insertion d'une note dans un document FrameMaker

Pour insérer une note dans un document FrameMaker :

  1. Cliquez à l’endroit auquel vous souhaitez que la référence de la note s’affiche. Vous pouvez insérer une référence de note dans une colonne de texte ou une cellule de tableau.

  2. Choisissez Insérer > Note. FrameMaker insère la référence de la note, affiche le numéro de cette dernière au bas de la colonne ou en dessous du tableau, place le point d’insertion après le numéro de la note et renumérote les notes suivantes.

    Note: Les notes sont numérotées de manière consécutive dans un enchaînement de texte. Si le document contient plusieurs enchaînements, la numérotation des notes dans chaque enchaînement est indépendante des autres.

  3. Entrez le texte de la note au point d’insertion. Une fois la note saisie, revenez au texte principal en cliquant dessus ou en sélectionnant de nouveau la commande Insérer > Note.

Tip: Pour placer deux références de note ensemble, insérez un espace ou une virgule entre elles (par exemple, références5 6 ou références5,6). Si vous ne procédez pas ainsi, la deuxième note n’est pas créée. Si vous séparez les références de note par une virgule, formatez la virgule manuellement en exposant.

Insertion d'un élément note dans un document FrameMaker structuré

Pour insérer une note dans un document FrameMaker structuré :

  1. Cliquez à l’endroit auquel vous souhaitez que la référence de la note s’affiche.

  2. Sélectionnez un élément note dans le Catalogue Eléments. Cliquez sur Insérer.

    FrameMaker insère la référence de la note, affiche le numéro de la note au bas de la colonne ou à la fin du tableau puis renumérote les notes suivantes. Une bulle correspondant à la note s’affiche dans la Vue de la structure avec un fragment de texte mentionnant le début du texte de la note.

    Vous pouvez également utiliser Insérer > Note pour insérer un élément note. Si plusieurs éléments note sont disponibles, choisissez-en un dans la liste déroulante Balise d’élément de la boîte de dialogue qui s’affiche.

  3. Si la boîte de dialogue Attributs du nouvel élément s’affiche, saisissez les valeurs d’attributs de l’élément. Cliquez sur Insérer l’élément.

  4. Entrez le texte de la note au point d’insertion. Une fois la note saisie, revenez au texte principal en cliquant dessus ou en choisissant Insérer > Note.

Utilisation d’un élément note non valide

Si aucun élément note n’est disponible dans l’emplacement voulu, il se peut que vous utilisiez un élément non valide. Après avoir inséré l’élément, demandez à votre développeur de le valider pour cet emplacement.

Pour utiliser un élément note non valide, procédez de l’une des façons suivantes :

  • Pour utiliser un élément valide dans une autre partie du document, insérez l’élément dans un emplacement valide puis déplacez-le ou bien utilisez le paramètre Tous les éléments pour rendre l’élément disponible partout, puis insérez-le à l’endroit souhaité.

  • Pour insérer une note non valide avec la balise par défaut <NOTE>, choisissez Insérer > Note. Une note par défaut est créée si aucun élément note défini n’est disponible.

Modification d’une note

Sélectionnez le texte de la note et modifiez-le comme n’importe quel autre texte.

Toutefois, vous ne pouvez pas changer la numérotation manuellement, car elle est gérée automatiquement par FrameMaker.

Duplication, déplacement ou suppression d’une note

Pour dupliquer, déplacer ou supprimer une note :

  1. Sélectionnez la référence de la note (et non le texte de la note).

    Dans la fenêtre Vue de la structure, cliquez sur l’élément note.

  2. Procédez de l’une des façons suivantes :

    • Pour dupliquer ou déplacer la note, utilisez les commandes Edition > Copier ou Edition > Couper et Edition > Coller.

    • Pour supprimer la note, appuyez sur la touche Suppr.

Maintien d’une note dans la même colonne que sa référence

Il arrive que FrameMaker ne puisse pas conserver une note dans la même colonne que sa référence. Par exemple, si vous insérez une référence de note au bas d’une colonne de texte de telle sorte que l’espace restant dessous n’est pas suffisant pour placer la note, FrameMaker déplace la note au bas de la colonne suivante. Dans ce cas, vous pouvez forcer un saut de page ou de colonne avant la référence de note afin de conserver la référence et la note dans la même colonne.

L’ajout de texte à une note peut entraîner le transfert de la dernière note d’une colonne ou d’une page vers le bas de la colonne ou de la page suivante. Pour éviter qu’une note ne tienne pas dans une colonne, réservez plus d’espace aux notes dans une colonne.

Insertion de plusieurs références de notes

Vous pouvez créer une seule note associée à plusieurs références (note de tableau ayant des références dans plusieurs cellules par exemple).

Figure 1. Deux références pour une même note
Insertion de plusieurs références de note

Important: Il se peut que le numéro auquel se rapporte une référence croisée soit erroné si vous ajoutez ou supprimez une note qui se trouve avant la référence de note. Choisissez Edition > Mettre à jour les références pour mettre à jour la numérotation.

Pour insérer plusieurs références de note :

  1. Insérez la première référence de note.

  2. Si nécessaire, créez un style de référence croisée pour les autres références de note.

    Le style de référence croisée doit afficher le numéro de note correct. Par exemple, si les références de note sont affichées en exposant et si le document contient un style de caractère Exposant, un style de référence croisée <Exposant><$paranumonly> affiche le numéro automatique d’un paragraphe en exposant. Lorsque vous l’utilisez pour faire référence à un paragraphe contenant une note, il affiche le numéro de note en exposant.

  3. Cliquez à l’endroit auquel vous souhaitez insérer la référence de note supplémentaire.

  4. Choisissez Insérer > Référence croisée pour insérer une référence croisée dans la note à l’endroit où vous avez cliqué. Utilisez le format de référence croisée créé à l’étape 2.

  5. Cliquez sur Insérer.

    FrameMaker insère une référence croisée identique à la référence de note d’origine.

Insertion de plusieurs références de notes (documents structurés)

Il vous faut un élément référence croisée spécifique déjà défini pour les références supplémentaires. Cet élément doit comporter un numéro de référence se présentant comme celui de la référence de note d’origine. S’il est en exposant dans la référence d’origine par exemple, celui de l’élément référence croisée devra l’être aussi.

  1. Insérez l’élément note.

  2. A l’endroit auquel vous souhaitez placer une référence de note supplémentaire, insérez un élément référence croisée défini pour n’afficher qu’une référence de note.

Parent topic: Création de notes et de notes de fin
Related information
  • Formatage des notes
  • Création et conservation des notes de fin


Formatage des notes

Découvrez comment changer les caractéristiques des notes, modifier le style de numérotation des notes, créer une numérotation personnalisée des notes et modifier le séparateur de notes dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Modification des caractéristiques d’une note

  • Modification du style de numérotation des notes

  • Création d'un style de numérotation personnalisée de notes

  • Modification d’un séparateur de note

  • Utilisation de notes dans une mise en page à colonnes multiples

Introduction

Dans Adobe FrameMaker, vous pouvez modifier toutes les caractéristiques d’une note (son style ou son format de numérotation ou le style de paragraphe à utiliser pour son texte par exemple).

FrameMaker utilise différents formats pour les notes de document et les notes de tableau.

Modification des caractéristiques d’une note

Les modifications, à l’exception du style de paragraphe, sont appliquées aux nouvelles notes et aux notes existantes.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Choisissez Format > Document > Caractéristiques des notes. Pour modifier les caractéristiques d’une note de tableau, sélectionnez Note de tableau dans la liste déroulante.

  3. Procédez comme suit :

    • Pour régler la hauteur maximum allouée aux notes dans une colonne, entrez une valeur dans la zone de texte Hauteur maximum par colonne.

    • Pour utiliser un style de paragraphe différent pour les nouvelles notes, entrez le nom du style de paragraphe de la note dans la zone de texte Format de paragraphe. Le style doit être disponible dans le Catalogue de paragraphes du document.

      Pour utiliser un style différent pour une note existante, appliquez-lui le style directement.

    • Spécifiez le style de la référence de note dans le texte principal et celui du numéro de note dans la note. Ces numéros peuvent être placés en exposant, sur la ligne de base ou en indice et comporter un suffixe ou un préfixe.

    • Pour conserver la note et sa référence dans la même page ou colonne (dans une mise en page à plusieurs colonnes), sélectionnez l'option Conserver la note avec la référence.

  4. Cliquez sur Définir-

Tip: Par défaut, les documents peuvent inclure des styles de paragraphes nommés Note_Page et Note_Tableau pouvant être utilisés pour de nouvelles notes. Pour modifier l’aspect des notes, modifiez ces styles.

Modification du style de numérotation des notes

Note: si vous travaillez avec des documents appartenant à un livre, il est conseillé de définir leurs caractéristiques à partir de la fenêtre du livre et non directement dans la fenêtre de chaque document. Une fois le livre mis à jour, les caractéristiques du livre annulent celles des documents.

Pour modifier le style de numérotation des notes :

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Choisissez Format > Document > Numérotation. La boîte de dialogue Propriétés de numérotation s’affiche :

    Figure 1. Boîte de dialogue Caractéristiques de numérotation dans Adobe FrameMaker
    Boîte de dialogue Caractéristiques de numérotation dans Adobe FrameMaker

  3. Choisissez Note ou Note de tableau.

  4. Choisissez un style de numérotation dans la liste déroulante Format.

  5. Indiquez si vous souhaitez recommencer la numérotation des notes du document à chaque page, commencer la numérotation des notes à un numéro donné ou poursuivre la numérotation du chapitre précédent du livre. La numérotation séquentielle permet de commencer à partir de n’importe quel numéro. La numérotation des notes de tableaux recommence toujours à chaque tableau.

  6. Cliquez sur Définir-

Création d'un style de numérotation personnalisée de notes

Note: Si vous travaillez avec des documents appartenant à un livre, il est conseillé de définir leurs caractéristiques à partir de la fenêtre du livre et non directement dans la fenêtre de chaque document. Une fois le livre mis à jour, les caractéristiques du livre annulent celles des documents.

Votre style de Numérotation personnalisée peut utiliser toute combinaison de nombres, lettres et symboles, qui seront appliqués dans leur ordre de saisie. Si vous utilisez des symboles dans un style personnalisé et que le document contient plus de notes que de symboles, les symboles sont répétés. Ainsi, lorsque vous utilisez les deux symboles * et † par exemple et que le document contient trois notes, la troisième note est marquée **. Le numéro de note s’affiche dans la police par défaut du style de paragraphe de la note.

Pour créer un style de note Numérotation personnalisée :

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Choisissez Format > Document > Numérotation. La boîte de dialogue Propriétés de numérotation s’affiche :

    Figure 2. Boîte de dialogue Caractéristiques de numérotation dans Adobe FrameMaker
    Boîte de dialogue Caractéristiques de numérotation dans Adobe FrameMaker

  3. Choisissez Note ou Note de tableau.

  4. Sélectionnez Personnalisé… dans la liste déroulante Format. La boîte de dialogue Numérotation personnalisée s’affiche.

    Figure 3. Boîte de dialogue Numérotation personnalisée dans Adobe FrameMaker
    Spécification de la numérotation personnalisée de notes dans la boîte de dialogue Numérotation personnalisée

  5. Spécifiez votre modèle de numérotation personnalisée.

  6. Cliquez sur Définir-

Note: certains caractères spéciaux sont entrés ou affichés différemment dans les boîtes de dialogue. Vous devez entrer une séquence de caractères commençant par une barre oblique inverse (\).

Modification d’un séparateur de note

Un séparateur de note est un cadre (graphique) automatiquement placé entre le bas du texte courant ou du tableau et la première note. Il contient généralement une ligne ou un autre élément représentant une séparation visuelle entre le texte courant et les notes. La hauteur du cadre détermine l’espace entre le texte courant ou le tableau et la note.

Les cadres de séparation pour notes de documents et de tableaux sont stockés sur une page de référence. Leurs noms sont identiques aux styles de paragraphes utilisés pour ces notes (par défaut Note_Page et Note_Tableau).

Figure 4. Page de référence
Page de référence avec le cadre du séparateur

Figure 5. Séparateur de note sur une page courante
Séparateur de note sur une page courante

  1. Sélectionnez Affichage > Pages de références et accédez à la page contenant le cadre de séparation de la note.

  2. Redimensionnez le cadre ou modifiez son contenu. Vous pouvez modifier la taille ou la position de la ligne dans le cadre ou supprimer ou remplacer cette ligne. Si vous diminuez la hauteur du cadre, la première note est positionnée plus près du bas du texte ou du tableau. Si vous déplacez la ligne vers le bas du cadre, la première note reste à la même position, mais la ligne se rapproche d’elle.

    Tip: Pour ajouter un espace (et non une ligne), entre le texte courant ou le tableau et les notes, laissez le cadre de séparation vide.

  3. Sélectionnez Affichage > Pages de corps.

Utilisation de notes dans une mise en page à colonnes multiples

Le positionnement des notes dans des mises en page à colonnes multiples est fonction de l’emplacement de la référence de note et de la présence ou non de titres de marge ou de texte de fusion de colonnes.

Titres de marge

Dans un document à une colonne comportant des titres de marge, les notes dans la colonne courante s’étendent sur la largeur de la colonne courante. Les notes dans un titre de marge s’étendent sur la zone de titre de marge et sur la colonne courante.

Figure 6. Les notes dans un titre de marge s’étendent sur la colonne courante et la zone de titre de marge.
Les notes dans un titre de marge s’étendent sur la colonne courante et la zone de titre de marge

Pour aligner une note se trouvant dans un titre de marge avec des notes de la colonne courante, modifiez les retraits de la note dans la zone du titre de marge en ajoutant une distance égale à la largeur de la zone du titre de marge plus la gouttière.

Positionnement de notes s'étendant sur toutes les colonnes

Dans un format à colonnes multiples où seule une partie du texte recouvre toutes les colonnes, les notes peuvent ou non s'étendre sur les colonnes. Les notes dont les références apparaissent dans le texte fusionné s'étendent toujours sur les colonnes. Ces notes s’affichent au bas de la zone de texte. Les notes dont les références apparaissent dans du texte non fusionné ne s'étendent sur les colonnes que si leur style de paragraphe est défini sur Dans toutes les colonnes (caractéristiques Propriétés Pagination de Configuration de paragraphes.

Figure 7. Note s’étendant sur toutes les colonnes
utilisation d'une note sur toutes les colonnes

Si vous avez défini le style de paragraphe est défini sur Dans colonne, la note s’affiche juste au-dessus du paragraphe fusionné suivant (s’il y en a un sur la page). Si la page ne comporte pas de paragraphe fusionné, la note s’affiche au bas de la colonne.

Figure 8. Note dans une colonne
utilisation d'une note dans toutes les colonnes

Si les notes n’apparaissent pas dans l’ordre, sélectionnez l’option Dans toutes les colonnes comme style de paragraphe de notes. Cela permet d'afficher toutes les notes par ordre numérique au bas de la page.

Parent topic: Création de notes et de notes de fin
  • Insertion, modification ou suppression de notes
  • Création et conservation des notes de fin


Création et conservation des notes de fin

Découvrez comment créer et maintenir les notes de fin dans Adobe FrameMaker

Dans ce sujet

  • Création d’une note de fin

  • Création d'une note de fin dans un document structuré

  • Conservation des notes de fin

Création d’une note de fin

Pour créer une note de fin dans un document Adobe FrameMaker :

  1. Entrez la première note de fin à la fin du document et attribuez-lui le style de paragraphe pour notes de fin. Ce style doit inclure un numéro automatique afin que les notes de fin soient numérotées consécutivement.

  2. Cliquez à l’endroit auquel vous souhaitez insérer la référence de la note de fin, puis associez à celle-ci une référence croisée. Utilisez le format de référence croisée que vous avez créé pour les notes de fin.

    Par exemple, si les références de note de fin doivent être affichées en exposant et si le document contient un style de caractère « Exposant », le format de référence croisée <Exposant><$paranumonly> affiche le numéro automatique du paragraphe de note de fin en exposant.

Création d'une note de fin dans un document structuré

Pour créer une note de fin dans un document FrameMaker structuré :

  1. Insérez l’élément note de fin à la fin du document et tapez le texte de la note.

  2. Cliquez à l’endroit auquel vous souhaitez insérer la référence de la note de fin.

  3. Insérez un élément référence croisée défini pour afficher une référence de note de fin.

Note: vérifiez que l’ordre des notes de fin correspond bien à celui des références dans le document. En effet, FrameMaker n’ordonne pas automatiquement les notes de fin comme il le fait pour les notes.

Conservation des notes de fin

Si vous modifiez l’ordre des références de note de fin lors de la modification d’un document, réorganisez les notes pour que leur ordre corresponde à celui des références. Mettez ensuite à jour les références croisées pour mettre à jour les numéros des références des notes de fin.

Si vous supprimez une note de fin, vous devez supprimer toutes ses références. Sinon, la référence sera une référence croisée non résolue.

Parent topic: Création de notes et de notes de fin
  • Insertion, modification ou suppression de notes
  • Formatage des notes
  • Références croisées


Modification et validation de la structure d’un livre

Découvrez comment modifier et valider la structure d’un livre dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Validation de la structure du livre

  • Effacement de toutes les exceptions

Introduction

Dans Adobe FrameMaker, un nouveau fichier de livre qui n’est pas créé en fonction d’une application structurée possède une structure avec un élément racine appelé <SansNom> et un élément appelé <COMPOSANT DE LIVRE> représentant chaque fichier document et chaque fichier généré ajouté au livre. Lors de la mise à jour du livre, les éléments représentant les fichiers structurés changent pour adopter l'élément de l’élément racine de ces fichiers.

Il est dans certains cas nécessaire d’apporter quelques modifications à la structure d’un fichier livre après sa mise à jour. Par exemple, vous devrez peut-être modifier l’élément <NoName> sur l’élément racine défini dans votre application structurée pour le livre. Si des éléments de fichiers sont toujours identifiés par l’élément <COMPOSANT DU LIVRE>, vous devez structurer ces fichiers, puis de nouveau les générer et les mettre à jour.

Lors de la définition des éléments du livre, le groupement des éléments dans des éléments racines, tels que Premier sujet, Courant et Annexes, peut se révéler nécessaire.

Figure 1. Exemple de structure d'un fichier de livre
Exemple de structure de livre dans FrameMaker

Tip: Pour ouvrir rapidement un fichier, cliquez deux fois sur sa bulle d'élément dans la Vue de la structure.

Vous pouvez modifier la structure d’un livre de la même manière que vous modifiez la structure d’un document, en insérant, en enveloppant et en changeant des éléments ou en faisant glisser et en supprimant des bulles dans la Vue de la structure. Néanmoins, vous ne pouvez pas fusionner ni partager des éléments qui représentent des fichiers et il est impossible d’annuler un copier-coller dans un livre structuré ne contenant rien d’autre que la structure par défaut.

Validation de la structure du livre

Vous pouvez valider un livre entier (y compris ses fichiers), seulement le fichier livre ou seulement l’élément en cours dans le fichier livre. Si vous validez le livre entier, la structure du livre et de chacun de ses fichiers est vérifiée par confrontation avec les définitions d’éléments de ce livre.

Pour valider la structure d’un livre FrameMaker en fonction des définitions d’éléments, procédez comme suit :

  1. Sélectionnez Structure > Valider. La boîte de dialogue Validation d’éléments apparaît.

    Figure 2. Boîte de dialogue Validation d’éléments
    La capture d’écran montre la boîte de dialogue « Validation d’éléments » dans Adobe FrameMaker.

  2. Sélectionnez Document entier, Enchaînement en cours ou Elément en cours pour spécifier la portée de la validation.

  3. Pour exclure de la validation les éléments ou les valeurs d’attributs manquants, activez Ignorer les éléments manquants ou Ignorer les valeurs d’attributs manquantes.

    Si ces paramètres sont activés, FrameMaker n’effectue pas de recherche dans les endroits où manque un élément enfant requis ou une valeur d’attribut requise. Ces paramètres pourront être activés si vous ne constituez pas un livre complet.

  4. Cliquez sur Commencer validation.

    Si FrameMaker trouve une erreur, vous pouvez la corriger ou cliquer sur Autoriser comme exception. Ensuite, cliquez à nouveau sur Commencer validation.

    La partie supérieure de la boîte de dialogue Validation de l’élément affiche le nom de l’élément et un court message relatif au problème.

  5. Répétez l’étape 5 jusqu’à ce que FrameMaker ne détecte plus d’erreur.

Effacement de toutes les exceptions

Pour effacer tous les cas spéciaux que vous avez autorisés comme exceptions lors d’une validation précédente, procédez comme suit :

  1. Sélectionnez Structure > Valider.

  2. Cliquez sur Effacer les exceptions. FrameMaker efface les exceptions dans le livre entier, uniquement dans le fichier livre ou uniquement dans l’élément en cours, en fonction du paramètre sélectionné dans la boîte de dialogue.

Parent topic: Projets, livres et documents longs
Related information
  • Importation de définitions d’éléments dans un livre structuré
  • Génération et mise à jour d’un livre


Résolution d’incidents liés aux livres

Découvrez comment résoudre les problèmes avec les livres Adobe FrameMaker.

Même si vous pouvez mettre à jour et générer un livre sans qu’aucun message d’erreur ne s’affiche, le livre peut présenter certains problèmes devant être corrigés.

Fichier généré vide

Assurez-vous que le nom du fichier généré est précédé de l’icône des fichiers générés icône des fichiers générés dans la fenêtre de livre. Si tel n’est pas le cas, cela signifie que le fichier a été ajouté au fichier livre en tant que document et non en tant que fichier généré (voir Création d’un livre). Lorsqu’un fichier est ajouté sous forme de fichier de document, FrameMaker ne le génère pas. Vérifiez également que la configuration du fichier généré est correcte.

Baisse de performances

Pour améliorer les performances, ouvrez autant de fichiers que possible dans le livre avant d’utiliser la commande Edition > Mettre à jour le livre ou Fichier > Importer > Formats dans une fenêtre de livre. Une fois la commande émise, enregistrez tous les fichiers du livre.

Note: En outre, si les performances du programme sont ralenties lors d’opérations effectuées sur des livres, réduisez ou supprimez le panneau Afficher/Masquer le texte conditionnel de l’espace de travail.
Chapitre commençant du mauvais côté

Vous devez corriger la pagination du document.

  • Interprétation des messages d’erreur des livres
    Découvrez l’interprétation de divers messages d’erreur dans les livres dans Adobe FrameMaker.
  • Correction des erreurs de tables des matières et de listes
    Découvrez comment corriger les erreurs de tables des matières et de listes dans Adobe FrameMaker.
  • Correction des erreurs dans les index
    Découvrez comment résoudre les problèmes d’index dans Adobe FrameMaker.
Parent topic: Projets, livres et documents longs


Interprétation des messages d’erreur des livres

Découvrez l’interprétation de divers messages d’erreur dans les livres dans Adobe FrameMaker.

Le journal des erreurs du livre répertorie toutes les erreurs intervenant lorsque vous appliquez une commande à un livre. En outre, la plupart des messages d’erreur contiennent des liens hypertexte afin que vous puissiez cliquer directement sur le message d’erreur du journal pour la localiser.

Références croisées non résolues

Le journal des erreurs du livre répertorie tous les fichiers qui contiennent des références croisées non résolues.

Paramètres Afficher/Masquer incohérents, usage incohérent des indicateurs de condition ou Indicateurs de condition incohérents

Le fichier mentionné contient des paramètres de texte conditionnel qui diffèrent de ceux du fichier précédent du livre. Vous pouvez modifier les paramètres dans chaque fichier (à l’aide de la commande Insérer > Balises conditionnelles) ou mettre à jour les paramètres simultanément dans l’ensemble du livre. Pour ce faire, modifiez les paramètres dans un fichier, puis utilisez la commande Fichier > Importer > Formats pour appliquer les paramètres à l’ensemble du livre.

Caractéristiques de numérotation incohérentes

Les caractéristiques de numérotation spécifiées dans le composant sont différentes de celles du livre. Les caractéristiques de numérotation du livre remplacent celles du document. Voir Numérotation des documents et des pages.

Paramètres de couleur incohérents

Le fichier mentionné contient des paramètres de séparation de couleurs ou des définitions de couleurs différents de ceux du fichier précédent dans le livre.

Ouverture du fichier impossible

Le journal des erreurs du livre indique si le fichier a été enregistré sous un ancien format, s’il utilise des polices indisponibles ou si le fichier est introuvable. Pour plus détails sur ce problème, ouvrez le fichier pour afficher le message d’alerte.

Livre incohérent

Le contenu des fichiers générés, le nombre de pages ou les références croisées ont été modifiés lors de la génération et de la mise à jour du livre. Par exemple, si un livre contient une liste de marqueurs et une liste alphabétique de marqueurs et que les deux listes comportent des liens hypertexte, le nombre de marqueurs croît à chaque génération des fichiers. Dans ce cas, déplacez l’une des listes générées hors de la liste de sélection Inclure lorsque vous utilisez à nouveau la commande Générer/Mettre à jour.

Paramètres de limites d’éléments incohérents

Dans un livre structuré, les limites d’éléments sont affichées dans certains fichiers du livre mais pas dans d’autres. Rectifiez ces paramètres dans chacun des fichiers afin de rétablir la cohérence.

Parent topic: Résolution d’incidents liés aux livres


Correction des erreurs de tables des matières et de listes

Découvrez comment corriger les erreurs de tables des matières et de listes dans Adobe FrameMaker.

Des problèmes mineurs dans le document source peuvent se répercuter dans la liste. Par exemple, un paragraphe mal étiqueté peut créer une entrée supplémentaire dans la liste ou ne pas s’afficher du tout. De même, un paragraphe vide peut créer une ligne supplémentaire inutile dans la liste.

Entrées ou lignes supplémentaires

Un formatage incorrect du document source peut entraîner l’affichage de paragraphes supplémentaires dans une liste telle qu’une table des matières. Pour corriger ce problème, procédez comme suit :

  • Si la liste contient une entrée ne devant pas y figurer, vérifiez le style de paragraphe ou le type de marqueur correspondant dans le document source et appliquez un format différent au paragraphe ou modifiez le type de marqueur.

  • Si la liste contient une ligne supplémentaire avec un seul numéro de page, supprimez le paragraphe vide correspondant dans le document source. Si vous devez ajouter un espace supplémentaire entre deux paragraphes du document source, utilisez les caractéristiques d’espacement des formats de paragraphe au lieu d’insérer un paragraphe vide.

Entrées manquantes

Pour inclure des entrées présentes dans le document source, mais pas dans la liste, procédez de l’une des façons suivantes :

  • Si toutes les entrées dotées d’un style de paragraphe ou d’un type de marqueur particulier sont absentes, assurez-vous que la liste de sélection Inclure dans la boîte de dialogue de configuration contient les éléments appropriés.

  • S’il manque une entrée, vérifiez le style du paragraphe ou de l’élément ou le type du marqueur correspondant dans le document source. Si l’une de ces données est incorrecte, les informations ne seront pas incluses dans la liste.

Entrées divisées

Un intitulé multiligne dans le document source peut constituer un problème si les sauts de ligne ont été créés à l’aide de la touche Entrée, chaque ligne correspondant à un paragraphe distinct. La liste contiendra une entrée pour chaque paragraphe dans l’intitulé. Corrigez ce problème en n’utilisant qu’un seul paragraphe pour chaque intitulé du document source.

Evitez d’utiliser des retours chariot forcés, car ils apparaîtront ensuite dans la table des matières générée. Aussi, pour forcer la division d’un intitulé sur deux lignes, modifiez le retrait droit du paragraphe de l’intitulé dans le document source. Si l’intitulé est centré, vous pouvez modifier les retraits gauche et droit. Vous pouvez également utiliser des espaces insécables pour diviser un intitulé à l’endroit voulu.

Entrées incomplètes (documents non structurés)

Lorsqu’un élément contient plusieurs paragraphes, seul le premier figure en entrée dans la liste. Un intitulé constitué de plusieurs lignes dans le document source peut poser problème si chaque ligne forme un paragraphe distinct.

Evitez d’utiliser des retours chariot forcés, car ils apparaîtront ensuite dans la table des matières générée. Pour forcer la division d’un intitulé sur deux lignes, en incluant l’intégralité du texte dans la liste, utilisez des espaces insécables. Vous pouvez également ajuster le retrait droit de l’intitulé ou les retraits gauche et droit, s’il est centré, même si cela constitue une règle de formatage personnalisée.

Note: ces techniques créent des formatages personnalisés pour les styles de paragraphes et les définitions d’éléments. Ces formatages personnalisés risquent par définition de ne pas être conservés lors de l’importation de formats ou de définitions d’éléments ou lors du changement de contexte de l’élément après la modification d’autres parties du document structuré.
Pagination incorrecte (livres avec des composants XML)

Si un livre contient une combinaison de fichiers non structurés et de fichiers XML structurés, il arrive que les numéros de page soient incorrects lorsque vous générez un fichier PDF. Ce problème peut provenir du fait que les informations de pagination des fichiers XML sont obtenues d’un modèle ayant une double configuration de pagination.

Pour éviter ce problème, ouvrez toujours les fichiers XML avant de mettre à jour le livre. De cette manière, tous les composants du livre disposent des informations de pagination correctes, et le PDF généré par la suite affiche les bons numéros de page.

Sauts de ligne incorrects

Un saut de ligne incorrect dans la liste ou son document source peut séparer des informations devant rester groupées dans la liste. Pour corriger ce problème, procédez de l’une des façons suivantes :

  • Modifiez les caractères après lesquels les sauts de ligne sont autorisés par FrameMaker. Par exemple, un saut de ligne est généralement autorisé après un tiret demi-cadratin (–). Pour annuler un tel saut de ligne, utilisez la commande Format > Document > Options de texte.

  • Dans l’enchaînement de texte spécial sur la page de référence, insérez un espace insécable entre le texte et le numéro de page de chaque entrée afin qu’un numéro de page ne s’affiche pas seul sur une ligne. Voir Modification de l’enchaînement de texte spécial pour une liste ou un index.

Titres manquants

Un titre saisi dans un document peut disparaître lors de la régénération d’une liste, à moins que vous n’appliquiez au titre un style de paragraphe.

Formatage manquant

Si les modifications d’un formatage ne s’affichent pas lors de la régénération (voir Formatage des listes et des index), procédez comme suit :

  • Si vous avez modifié le nom de fichier ou l’emplacement de la liste, annulez la modification. Pour que FrameMaker identifie les modifications de formatage, enregistrez la liste dans le même dossier que le document source et utilisez le nom de fichier attribué par FrameMaker.

  • Pour conserver les modifications des formats de paragraphes et de caractères, enregistrez-les dans le Catalogue de paragraphes ou le Catalogues de caractères de la liste, afin qu’ils soient disponibles à la prochaine génération.

  • Pour conserver les autres modifications, effectuez-les dans l’enchaînement de texte spécial (voir Modification de l’enchaînement de texte spécial pour une liste ou un index).

Parent topic: Résolution d’incidents liés aux livres


Correction des erreurs dans les index

Découvrez comment résoudre les problèmes d’index dans Adobe FrameMaker.

Entrées manquantes

Si une entrée est absente de l’index généré, procédez comme suit :

  • Vérifiez le type du marqueur (ou de l’élément de marqueur) correspondant. Pour ce faire, générez la liste de tous les marqueurs, puis recherchez l’entrée appropriée dans cette liste.

  • Recherchez si le marqueur ou l’élément de marqueur correspondant se trouve dans du texte conditionnel masqué. Pour ce faire, affichez tous les textes masqués à l’aide de la commande Insérer > Balises conditionnelles, puis régénérez l’index.

  • Vérifiez que le marqueur (ou l’élément de marqueur) n’a pas été supprimé accidentellement.

Entrées contenant deux points d’interrogation

Un double point d’interrogation (??) dans un groupe de pages indique que FrameMaker ne trouve que l’un des deux marqueurs définissant le groupe. Dans ce cas, procédez comme suit :

  • Vérifiez que les deux marqueurs (ou éléments de marqueur) sont présents.

    Figure 1. Affichage d’un groupe de pages sans <$startrange>
    Affichage d’un groupe de pages sans $startrange

  • Vérifiez que l’orthographe, la ponctuation et la casse du texte du marqueur correspondent exactement.

    Figure 2. Affichage d’un groupe de pages avec une orthographe incohérente
    Affichage d’un groupe de pages avec une orthographe incohérente

  • Vérifiez que <$startrange> figure dans le premier marqueur (ou élément de marqueur) et que <$endrange> figure dans le second.

    Figure 3. Affichage d’un groupe de pages avec <$endrange> placé au début
    Affichage d’un groupe de pages avec $endrange placé au début

Tri d’entrées incorrect

La plupart des problèmes de tri résulte d’un texte de marqueur incorrect. Si un problème survient, procédez comme suit :

  • Vérifiez que les points-virgules et les deux points sont correctement utilisés. Si un point-virgule est utilisé au lieu des deux points, deux entrées principales sont créées au lieu d’une entrée principale et d’une entrée secondaire. Si les deux points sont absents, une entrée secondaire s’affiche comme entrée principale.

    Figure 4. Affichage d’un groupe de pages sans deux points
    Affichage d’un groupe de pages sans deux points

  • Vérifiez que les informations de tri sont présentes et correctes, et qu’elles apparaissent entre crochets ([ ]) à la fin du texte du marqueur (voir Ordre de tri de l’index). Par exemple, pour trier une référence croisée en tant que dernière entrée secondaire, les informations de tri dans le texte du marqueur doivent se terminer par :zzz.

    Figure 5. Affichage d’un groupe de pages sans :zzz
    Affichage d’un groupe de pages sans :zzz

  • Si des erreurs de tri se répètent (par exemple, si toutes les entrées numériques s’affichent à la fin de l’index et non au début), vérifiez que les informations de tri dans l’enchaînement de texte spécial sur la page de référence sont correctes.

Numéros de page avec références croisées Voir ou Voir aussi

Une entrée d’index de référence croisée peut contenir un numéro de page. Assurez-vous que <$nopage> s’affiche au début du texte du marqueur pour l’entrée de référence croisée.

Figure 6. Affichage incorrect du numéro de page en l’absence de <$nopage>
Affichage incorrect du numéro de page en l’absence de $nopage

Sauts de ligne incorrects

Si les numéros d’un groupe de pages s’affichent sur deux lignes différentes ou si une entrée et son numéro de page sont séparés par un saut de ligne, procédez comme suit :

  • Modifiez les caractères après lesquels les sauts de ligne sont autorisés par FrameMaker. Pour empêcher un saut de ligne après certains caractères, tel qu’un tiret demi-cadratin (–), utilisez la commande Format > Document > Options de texte.

  • Pour forcer l’affichage de la fin d’une entrée sur la même ligne que le numéro de page, séparez-les par un espace insécable, un espace demi-cadratin ou un espace cadratin.

  • Si vous avez spécifié dans l’enchaînement de texte spécial sur la page de référence que des tirets ou des espaces s’affichent entre les numéros de page d’un groupe de pages, assurez-vous qu’ils sont insécables (voir Modification de l’enchaînement de texte spécial pour une liste ou un index).

  • Modifiez le volume ou la numérotation du chapitre dans le document source (voir Configuration de la numérotation). Si les pages du livre sont numérotées par chapitre (11, 12, …, 21, 22, …), les numéros de volume ou de chapitre doivent être suivis d’un tiret insécable.

Figure 7. Sauts de ligne incorrects
Sauts de ligne incorrects dans les entrées d'index

Titres manquants

Pour qu’un titre ne disparaisse pas lors de la prochaine génération de l’index, suivez la procédure décrite dans la section Ajout de titre ou autre texte statique aux listes et index.

Formatage manquant

Si les modifications d’un formatage ne s’affichent pas lors de la régénération (voir Formatage des listes et des index), procédez comme suit :

  • Si vous devez renommer un fichier généré, faites-le en utilisant la fenêtre de livre. Le fichier sera alors renommé à la fois dans la fenêtre de livre et sur le disque.

  • Pour conserver les modifications des styles de paragraphes et de caractères, enregistrez-les dans les Catalogues de paragraphes ou caractères de l’index, afin qu’ils soient disponibles lors de la prochaine génération de l’index. Pour plus d’informations, voir Redéfinition (mise à jour) de formats.

  • Pour conserver les autres modifications, effectuez-les dans l’enchaînement de texte spécial (voir Modification de l’enchaînement de texte spécial pour une liste ou un index).

Parent topic: Résolution d’incidents liés aux livres


Contenu de source unique

Savoir ce qu’est le contenu d’approvisionnement unique et comment travailler avec du contenu d’approvisionnement unique dans FrameMaker

Si vous rédigez une documentation, il est souvent nécessaire de fournir plusieurs sorties différentes pour le même contenu. Par exemple, vous pouvez avoir besoin de publier le même document en ligne ou dans un fichier PDF.

En outre, différents documents peuvent comporter un contenu commun que vous pouvez réutiliser. FrameMaker propose différentes techniques de source unique comme le texte conditionnel, les encarts de texte, les références de contenu et les variables qui permettent de réutiliser facilement un contenu au sein d’un même document ou sur d’autres documents.

Contenu d’approvisionnement unique dans FrameMaker pour réutiliser le contenu dans un document ou entre les documents

  • Texte conditionnel
    Comprendre ce qu’est le texte conditionnel et travailler avec des balises conditionnelles dans Adobe FrameMaker.
  • Références croisées
    Découvrez les références croisées et comment utiliser le panneau Références croisées dans Adobe FrameMaker.
  • Encarts de texte
    Découvrez comment utiliser les encarts de texte et le panneau Encarts dans Adobe FrameMaker.
  • Variables
    Découvrez les variables dans Adobe FrameMaker, comprenez les variables du système et de l’utilisateur, utilisez le panneau Variables pour gérer les variables.


Texte conditionnel

Comprendre ce qu’est le texte conditionnel et travailler avec des balises conditionnelles dans Adobe FrameMaker.

Vous pouvez également avoir besoin de créer un type de contenu différent pour chaque format de sortie avec le même document FrameMaker. Ce document pourra contenir des balises conditionnelles, ainsi que des graphiques conditionnels pour chaque type de sortie. Par exemple, si vous voulez créer à la fois une version PDF imprimable et une version d’aide HTML d’un document, marquez les différents contenus de chaque version à l’aide de balises conditionnelles.

Vous pouvez également utiliser les balises conditionnelles afin d'inclure des commentaires pour vous-même ou pour vos correcteurs. Vous pouvez ensuite masquer ces commentaires avant d’imprimer la copie finale.

Les balises conditionnelles diffèrent d’une version d’un document à une autre. Le texte non conditionnel est commun à toutes les versions.

Le texte conditionnel est un contenu que vous pouvez afficher ou masquer, selon la ou les conditions appliquées au livre ou à un document individuel. Vous pouvez le saisir dans un document, puis utiliser le texte conditionnel pour créer plusieurs sorties.

Vous pouvez spécifier les balises conditionnelles dans FrameMaker au niveau du livre ou au niveau d’un chapitre individuel. Si une condition s’applique à tous les chapitres d’un livre, vous pouvez facilement appliquer cette condition à tous les chapitres par un simple clic. Voir Application de balises conditionnelles au niveau du livre.

Alors que le texte conditionnel du document diffère d’une sortie à une autre du document, le texte non conditionnel est commun à toutes les sorties.

Toute unité de texte peut être conditionnelle, que ce soit un caractère unique ou des sections entières. Les cadres ancrés, les images, les tableaux, les références croisées, les notes, les marqueurs ainsi que les lignes et colonnes de tableau peuvent être rendus conditionnels.

Note: L’état conditionnel de balise pour une ligne ou une colonne de tableau remplace toutes les balises conditionnelles qui sont appliquées au texte dans les cellules de la colonne.
Deux versions d’une fiche produit : des balises conditionnelles peuvent être utilisées pour créer deux fiches produit dans un seul document. Le texte et les graphiques communs aux deux fiches produit sont non conditionnels. Le texte et les graphiques qui s’affichent dans une seule fiche produit sont identifiés par une balise conditionnelle.
Application du formatage conditionnel dans FrameMaker

A. L'image et le premier paragraphe contiennent des éléments conditionnels et non conditionnels. B. Texte non conditionnel

Parent topic: Contenu de source unique

Gestion des balises conditionnelles

Adobe FrameMaker vous permet de gérer les balises conditionnelles à l’aide de plusieurs options. Comprendre ces options pour traiter le texte conditionnel dans vos documents.

Pour créer un texte conditionnel dans FrameMaker, créez et appliquez des balises conditionnelles.

Utilisez le panneau Balises conditionnelles pour travailler avec le texte conditionnel dans vos documents. A partir de ce panneau, vous pouvez ajouter, modifier, supprimer, appliquer ou supprimer les balises conditionnelles dans un document.

Cette section traite des rubriques suivantes :

  • Panneau de balises conditionnelles

  • Création et modification de balises conditionnelles

  • Importation de balises et expressions conditionnelles

  • Vérification de l’utilisation d’une balise dans un document

  • Lister des balises conditionnelles dans un document

  • Identification de l’état de texte à rendre conditionnel

Panneau de balises conditionnelles

Pour ouvrir le panneau Balises conditionnelles :

  • Sélectionnez Affichage > Panneaux > Balises conditionnelles.

  • Alternativement, sélectionnez Insérer > Balises conditionnelles.

Figure 1. Panneau Balises conditionnelles
Panneau Balises conditionnelles dans FrameMaker

Le panneau Balises conditionnelles affiche la liste des balises conditionnelles dans le document actuel.

Pour trier la liste des balises conditionnelles, cliquez sur un en-tête de colonne de la liste. La liste est triée selon l’en-tête sur lequel vous cliquez.

Pour redimensionner une colonne :

  1. Passez le pointeur de la souris entre deux colonnes jusqu’à ce que le curseur change pour une flèche bidirectionnelle.

  2. Maintenez le bouton gauche de la souris enfoncé, faites glisser, puis relâchez le bouton de la souris lorsque la largeur de la colonne correspond au besoin.

Utilisez le panneau Balises conditionnelles pour :

A (Créer une balise) :

Ouvrez la boîte de dialogue Ajouter/modifier une balise conditionnelle pour créer une balise. Voir Création et modification de balises conditionnelles.

B (Modifier) :

Ouvrez la boîte de dialogue Ajouter/modifier une balise conditionnelle pour modifier une balise sélectionnée. Voir Création et modification de balises conditionnelles.

C (Supprimer) :

Supprimez une balise sélectionnée. Voir Suppression des balises conditionnelles.

B (Afficher/masquer) :

Ouvrez le conteneur Afficher/Masquer le texte conditionnel.

E (Tout désélectionner) :

Supprimez toutes les balises conditionnelles appliquées au texte sélectionné.

F (Appliquer) :

Sélectionnez du texte dans un document, modifiez l'état (appliqué ou non appliqué) d'au moins une balise, puis cliquez sur Appliquer. Voir Appliquer les balises conditionnelles.

G (Filtrer) :

Sélectionnez dans la liste des documents ouverts, pour afficher les balises conditionnelles disponibles dans ce document.

Note: Vous pouvez créer et utiliser des balises conditionnelles uniquement au niveau d’un document. Vous pouvez cependant importer des balises d’un document à un autre. Pour plus de détails, reportez-vous à la section Importation de balises et expressions conditionnelles.
H (Actualiser) :

Actualisation de la liste des balises disponibles.

I (Rechercher) :

Recherche d’une balise conditionnelle dans la liste. La fonctionnalité SAYT (recherche lors de la saisie) fonctionne sur toutes les colonnes dans la liste.

J (Info-bulle) :

Survolez un élément de la liste avec la souris pour voir les détails de la balise.

Création et modification de balises conditionnelles

Pour appliquer des conditions au texte d’un document, vous devez d’abord créer des balises conditionnelles. Ensuite, vous devez appliquer les balises au texte dans le document.

Pour créer une balise conditionnelle :

  1. Dans le panneau Balises conditionnelles, cliquez sur Créer une balise.

    La boîte de dialogue Ajouter une balise conditionnelle s’ouvre.

    Figure 2. Ajouter une boîte de dialogue Balise conditionnelle
    Ajouter une boîte de dialogue Balise conditionnelle dans FrameMaker

  2. Dans le champ Nom de la balise, saisissez le nom de la balise.

  3. Spécifiez des indicateurs conditionnels :

    Lorsque vous appliquez une balise au texte d’un document, vous pouvez utiliser des indicateurs conditionnels comme signets visuelles. Par exemple, lorsque vous appliquez une balise à un paragraphe d’un texte, vous pouvez spécifier que le paragraphe du texte doit être souligné ou que la couleur du texte est rouge.

    En outre, les indicateurs conditionnels sont des signets visuels pour d’autres auteurs qui n’ont pas nécessairement créé le document ou appliqué les conditions au texte. À l’aide de ces indicateurs visuels, les auteurs peuvent rapidement identifier les conditions appliquées à divers types de contenu.

    En plus des indices visuels, la liste Emplacement dans le panneau Modifier une balise conditionnelle répertorie toutes les pages où une condition est utilisée.

    Note: Les indicateurs conditionnels spécifiés pour une balise conditionnelle s’affichent dans la sortie PDF. Pour vous assurer que les indicateurs n’apparaissent pas dans la sortie PDF, désélectionnez l’option Afficher les indicateurs de condition dans la boîte de dialogue Afficher/Masquer le texte conditionnel.
    Style:

    Appliquer des styles comme souligné, barré ou barre de modification, au texte appliqué conditionnellement.

    Couleur :

    Appliquer une couleur de texte au texte appliqué conditionnellement.

    Arrière-plan

    Appliquer une couleur d’arrière-plan au texte appliqué conditionnellement.

  4. Cliquez sur OK.

L’étiquette conditionnelle nouvellement créée dans le panneau Balises conditionnelles montre le style défini, la couleur de texte et la couleur de fond. Elle affiche également le document dans lequel la balise est créée.

Tip: Si vous ajoutez ou modifiez une balise conditionnelle et que les modifications ne sont pas immédiatement visibles dans le panneau, cliquez sur Actualiser dans le panneau.

Pour modifier une étiquette de condition :

  1. Sélectionnez une balise dans le panneau Balises conditionnelles et cliquez sur le bouton Modifier.

    La boîte de dialogue Modifier une balise conditionnelle affiche les propriétés de la balise conditionnelle sélectionnée. La boîte de dialogue répertorie également les pages où la condition sélectionnée est appliquée.

  2. Mettez à jour les propriétés de la balise et cliquez sur OK.

Important: Si vous modifiez le nom d'une balise et que vous cliquez sur OK, une nouvelle balise est créée.

Si vous modifiez les propriétés de l’indicateur conditionnelles d’une balise existante, celles-ci sont immédiatement répercutées sur le contenu du document. Par exemple, si vous modifiez l’indicateur de couleur sur la balise PrintOnly de bleu en vert, la couleur du texte sur lequel cette balise est appliquée change pour le vert.

Importation de balises et expressions conditionnelles

Vous pouvez importer des balises et des expressions conditionnelles d’un document à un autre.

Dans une équipe d’auteurs, vous pouvez créer un document qui définit toutes les balises et expressions conditionnelles que l’équipe peut utiliser. Tous les auteurs de l’équipe peuvent alors importer et utiliser ces balises et expressions conditionnelles. Pour plus d’informations sur les expressions conditionnelles, voirAfficher/Masquer un texte conditionnel à l’aide d’expressions conditionnelles.

Pour importer des balises et expressions conditionnelles :

  1. Ouvrez les documents source et cible, puis accédez au document cible.

  2. Sélectionnez Fichier > Importer > Formats.

  3. Dans la liste Importer à partir du document, sélectionnez le document source.

  4. Cliquez sur Tout désélectionner et sélectionnez Paramètres de texte conditionnel.

  5. Pour importer les balises et expressions, cliquez sur Importer.

Les balises et expressions conditionnelles définies dans le document source sont importées dans le document cible.

Important: Si le document cible définit une expression conditionnelle portant le même nom qu’une expression du document source, l’expression cible est remplacée.

Vérification de l’utilisation d’une balise dans un document

Le panneau Modifier une balise conditionnelle contient les emplacements où la condition sélectionnée a été utilisée. Vous pouvez cliquer deux fois sur n’importe quel élément de la liste pour ouvrir le contenu conditionnel.

Figure 3. Modifier un panneau Balise conditionnelle

En plus du panneau Modifier une balise conditionnelle, vous pouvez également trouver une balise conditionnelle en utilisant la boîte de dialogue Chercher/Remplacer.

Utilisez la boîte de dialogue Chercher/Remplacer pour vérifier si une balise est appliquée au texte dans le document :

  1. Ouvez la boîte de dialogue Chercher/Remplacer.

  2. Dans la liste déroulante Chercher/Remplacer, sélectionnez Texte conditionnel.

    La boîte de dialogue Chercher du texte conditionnel s’affiche.

    Figure 4. Boîte de dialogue Rechercher du texte conditionnel
    Boîte de dialogue Rechercher du texte conditionnel dans FrameMaker

  3. Déplacez la condition que vous souhaitez rechercher dans la liste Dans.

  4. Cliquez sur Définir-

  5. Dans la boîte de dialogue Chercher/Remplacer, cliquez sur Chercher.

    Vous pourrez effectuer la recherche si la condition sélectionnée est utilisée dans votre document.

Lister des balises conditionnelles dans un document

Pour générer un rapport de toutes les balises conditionnelles appliquées au texte du document :

  1. Sélectionnez Insérer > Liste de > Références.

  2. A l’invite, choisissez comment créer le rapport.

  3. Ajoutez des balises conditionnelles à la liste Inclure références, puis cliquez sur Définir pour générer le rapport.

Identification de l’état de texte à rendre conditionnel

La case à cocher Etat de la balise conditionnelle dans le panneau Balise conditionnelle a deux fonctions :

  1. La case à cocher Etat vous permet d'appliquer des balises conditionnelles du texte à un document ou de les supprimer.

  2. Si vous sélectionnez un texte, la case à cocher indique l’état actuel du texte. Cela signifie que si vous sélectionnez une partie du texte dans lequel une ou plusieurs de balises sont appliquées, les cases à cocher Etat des balises correspondantes apparaissent sélectionnées.

Cependant, les cases à cocher ont également un état Tel quel. Cet état indique qu’une ou plusieurs balises sont appliquées à une partie du texte. Par exemple, si une balise est appliquée à une phrase et que vous sélectionnez le paragraphe complet, la balise affiche l’état Tel quel. De même, si vous sélectionnez deux paragraphes auxquels deux balises différentes sont appliquées, les deux balises affichent l’état Tel quel.

Figure 5. Etat intermédiaire des balises conditionnelles
Identification de l’état de texte rendu conditionnel dans la boîte de dialogue Balise conditionnelle

Appliquer les balises conditionnelles

Découvrez comment appliquer les balises conditionnelles et les différents objets où vous pouvez appliquer du texte conditionnel dans Adobe FrameMaker.

Après avoir créé des balises conditionnelles, appliquez ces balises à un texte à rendre conditionnel dans le document. Par exemple, si une image ne s’applique qu’à l’impression d’un document, appliquez la balise de PrintOnly.

Vous pouvez également spécifiez la balise conditionnelle au niveau du livre sans avoir besoin d’appliquer des conditions ou des expressions à des chapitres individuels.

Application de balises conditionnelles au texte

  1. Sélectionnez le texte sur lequel la balise est à appliquer.

    Le tableau suivant récapitule les éléments FrameMaker que vous devez sélectionner pour appliquer des balises conditionnelles aux types de contenu FrameMaker correspondants :

    Pour appliquer une balise au contenu suivant

    Sélectionnez

    Un texte dans une zone de texte, une cellule de tableau ou une note

    Texte

    Un cadre ancré et son contenu

    La bordure du cadre ou le symbole d’ancrage

    Tableau

    Le symbole d’ancrage d’un tableau

    Une rangée d’un tableau

    Toute la rangée

    Référence croisée ou variable

    Le texte de la référence croisée ou de la variable

    Note

    La référence de la note (son numéro dans le texte principal)

    Marqueur

    Le symbole de marqueur
    Note: Pour créer un graphique, une image ou une illustration conditionnelle, vous devez les ajouter dans un cadre ancré et appliquer ensuite une balise conditionnelle au cadre ancré.

  2. Ouvrez le panneau Balises conditionnelles.

    La colonne Etat de la grille de la liste des balises indique l’état de la balise (appliquée ou non appliquée) au niveau du texte actuellement sélectionné.

  3. Pour appliquer une balise au texte sélectionné, activez la case à cocher Etat.

    Note: Dès que vous cliquez sur la case à cocher Etat, un astérisque s'affiche à droite de la case à cocher. Il indique que vous avez modifié l’état de balise du texte sélectionné sans avoir appliqué (ou enregistré) les modifications.

  4. Pour appliquer la balise au texte, cliquez sur Appliquer dans le panneau Balises conditionnelles.

Si vous avez défini des indicateurs conditionnels pour la balise, le texte appliqué reflète ces indicateurs. Par exemple, si vous appliquez une balise à un paragraphe du texte et si une couleur de texte pour la balise est définie rouge, la couleur de texte appliquée au texte change immédiatement pour le rouge.

Vous pouvez appliquer plusieurs balises à une partie du texte en sélectionnant le texte, puis en sélectionnant les balises dans le panneau Balises conditionnelles. Vous pouvez également sélectionner un texte auquel une balise est appliquée et ensuite appliquer d’autres balises au texte.

Quelques conseils et détails pour l’utilisation du catalogue dynamique :

  • Vous pouvez utiliser le raccourci du catalogue dynamique pour appliquer une balise conditionnelle.

  • Appuyez sur ctrl+4 pour afficher le catalogue dynamique et appliquer une balise dynamique.

  • Dans le catalogue dynamique, sélectionnez la balise à appliquer.

  • L'état de la balise est mis à jour dans le panneau Balises conditionnelles.

Application de balises conditionnelles aux tables

FrameMaker vous fournit les indicateurs visuels permettant d’identifier et de différencier les différentes balises conditionnelles appliquées aux tableaux.

Si vous sélectionnez l’indicateur conditionnel Couleur lorsque vous créez la balise conditionnelle, la bordure du tableau s’affiche avec un hachage de la couleur sélectionnée.

Si vous sélectionnez l’indicateur conditionnel Arrière-plan lorsque vous créez la balise conditionnelle, la bordure du tableau s’affiche avec une bordure pleine de la couleur sélectionnée.

Si vous ne sélectionnez pas les indicateurs Couleur ou Arrière-plan, la bordure du tableau s’affiche avec un hachage coloré en noir.

Application de balises conditionnelles à des cadres ancrés

FrameMaker vous fournit les indicateurs visuels afin d’identifier et de différencier les différentes balises conditionnelles appliquées aux cadres ancrés.

Si vous sélectionnez les indicateurs conditionnels Couleur ou Arrière-plan lorsque vous créez la balise conditionnelle, la bordure du cadre ancré s’affiche avec un hachage de la couleur sélectionnée.

Si vous ne sélectionnez pas les indicateurs de couleur ou d’arrière-plan, la bordure du cadre ancré s’affiche avec un cadre coloré en noir.

Application de plusieurs balises conditionnelles

Vous pouvez appliquer un nombre quelconque de balises à un même élément d’un texte dans des documents structurés ou non structurés. Vous pouvez également remplacer des balises à travers le texte.

Si vous appliquez plusieurs balises sur le même texte dans un document, les conditions suivantes contiennent :

Comportement des indicateurs conditionnels :

Si chaque balise possède des indicateurs conditionnels différents, FrameMaker tente de combiner les indicateurs. Par exemple, si vous appliquez à un paragraphe du texte deux balises avec un jeu de couleurs défini à bleu et jaune, le texte obtenu s’affiche en vert.

Afficher la priorité des balises :

La balise Afficher est prioritaire. Si plusieurs balises sont appliquées à une partie d’un texte, et qu’au moins une balise est marquée Afficher, le texte s’affiche.

Si vous appliquez plusieurs balises sur un texte de chevauchement dans un document, les conditions suivantes incluent :

Application d’une balise Afficher à une grande partie du texte et d’une balise Masquer à son sous-ensemble :

Si vous appliquez une balise Afficher sur une grande partie du texte et une balise Masquer sur un sous-ensemble du texte, tout le texte s’affiche. Ce comportement se justifier par la priorité de la balise Afficher. Prenez l’exemple de document non structuré suivant :

Si vous appliquez une balise Afficher à un paragraphe du texte (la grande partie du texte), chaque phrase (le sous-ensemble) hérite de la balise Afficher. Ainsi, si vous appliquez une balise Masquer sur une phrase, cette phrase se voit alors appliquer une balise Afficher et une balise Masquer. Le paragraphe s’affiche parce qu’une balise Afficher y est appliquée. En outre, en raison de la prévalence de balise Afficher, la phrase s’affiche avec le paragraphe.

Application d’une balise Masquer à une grande partie du texte et d’une balise Afficher à son sous-ensemble :

Si vous appliquez une balise Masquer sur une grande partie du texte et une balise Afficher sur un sous-ensemble du texte, seul le sous-ensemble s’affiche. Ce comportement se justifier par la priorité de la balise Afficher. Prenez l’exemple de document structuré suivant :

Si vous appliquez une balise Masquer à une liste triée (<ol>), chaque élément de liste (<li>) hérite de la balise Masquer. Ainsi, si vous appliquez une balise Afficher sur un élément de liste, cet élément se voit alors appliquer une balise Afficher et une balise Masquer. Les autres éléments de liste ne s’affichent pas parce que chacun d’eux a hérité de la balise Masquer de la liste triée. Cependant, vu la prévalence de la balise Afficher, l’élément de liste sur lequel la balise Afficher est appliqué s’affiche.

Application de balises conditionnelles au niveau du livre

Pour appliquer une ou plusieurs conditions communes à tous les chapitres du livre :

Note: Votre fichier .book peut être un mélange des deux fichiers structuré (.xml) et non structuré (.fm). Cependant, vous ne pouvez pas appliquer des conditions au niveau du livre pour les fichiers .ditamap et .bookmap.

  1. Sélectionnez le fichier .book.

  2. Sélectionnez Affichage > Afficher/masquer le texte conditionnel.

  3. Sélectionnez le(s) critère(s) que vous voulez appliquer à tous les fichiers du livre.

  4. Sélectionnez l’option Mettre le livre à jour après application.

  5. Cliquez sur Appliquer, puis sur OK dans la boîte de dialogue d'alerte.

  6. Cliquez sur Mettre à jour dans la boîte de dialogue Mettre à jour le livre.

    Les conditions sélectionnées sont appliquées à tous les fichiers du livre.

Application de balises conditionnelles dans des documents structurés

Dans un document FrameMaker structuré, les éléments sont organisés hiérarchiquement. FrameMaker permet d’appliquer des balises conditionnelles à tout élément de la hiérarchie du document. Par exemple, vous pouvez appliquer une balise conditionnelle à la liste de définition (<dl>) ou à tout élément contenu dans la liste.

Vous devez prendre soin de ne pas rompre la structure du document. Si vous appliquez une balise conditionnelle à un élément enfant obligatoire et que vous marquez la balise comme masquée, la structure du document est rompue. FrameMaker ne vous empêche pas de procéder de la sorte ; cependant, la Vue de la structure indique la rupture dans le document.

Figure 6. Structure rompue lorsque la balise dt est marquée Masquer
Structure rompue dans la vue de la structure lorsque l’étiquette dt est marquée comme masquée

Application de balises conditionnelles à des éléments d’un document structuré

Pour appliquer une balise conditionnelle à un élément, par défaut, vous devez sélectionner l’élément entier (dans le panneau Vue de la structure). Ensuite, appliquez la balise conditionnelle avec le panneau Balises conditionnelles ou à l’aide de ctrl+4. Toutefois, si vous définissez (ou ajoutez) l'indicateur maker.ini suivant, vous pouvez appliquer une balise à un élément en plaçant le curseur n’importe où dans l'élément :

ApplyCondTillElementBoundaries=On

Instructions de traitement pour des balises conditionnelles

Lorsque vous appliquez des balises conditionnelles à un document structuré, les instructions de traitement de gestion des balises sont définies dans l’application structurée. Pour plus d’informations, consultez la section de spécification d’une sortie de texte conditionnel du Guide de référence du développeur d’applications structurées avec FrameMaker.

Instructions de traitement pour les balises conditionnelles appliquées aux colonnes du tableau

Lorsque vous appliquez des balises conditionnelles aux colonnes d’un tableau, FrameMaker ajoute des instructions de traitement pour activer l’aller-retour dans XML.

Par exemple, l’instruction de traitement suivante indique que l’état ConditionCol1 est appliqué à la première colonne du tableau :

<?Fm TableColumnCond start=0 end=0 ConditionCol1?>

L'instruction de traitement suivante indique que la condition ConditionCol1 est appliquée à la première colonne du tableau :

<?Fm TableColumnCond start=1 end=2 ConditionCol2?>

Copie de conditions à travers le texte

Comprendre comment copier des balises conditionnelles d’une partie du contenu à d’autres parties du contenu.

Vous pouvez copier sur d’autres parties du texte des conditions appliquées à une partie du texte. Par exemple, imaginons que deux balises conditionnelles soient appliquées à un paragraphe du texte. Vous pouvez utiliser la fonctionnalité Copier/Coller spéciale pour appliquer ces deux balises à une autre partie du texte.

Pour copier des conditions à travers le texte :

  1. Sélectionnez le texte à partir duquel vous allez copier la ou les conditions.

    Note: Pour vérifier que vous avez correctement sélectionné le texte, assurez-vous que la case à cocher Etat dans le panneau Balises conditionnelles est bien sélectionnée.

  2. Sélectionnez Modifier > Copier (spécial) > Paramètres de texte conditionnel.

  3. Sélectionnez le texte auquel les balises sont à appliquer.

  4. Sélectionnez Modifier > Coller.

Suppression des balises conditionnelles

Découvrez comment appliquer des balises conditionnelles. Comprendre les différents objets où vous pouvez appliquer du texte conditionnel dans Adobe FrameMaker.

Suppression de balises conditionnelles du texte

Si vous devez rendre non conditionnelle une partie de texte spécifique, vous pouvez supprimer les balises conditionnelles appliquées à ce texte. Dans ce cas, FrameMaker ne supprime pas les balises du catalogue du document. Ceci implique qu’il est possible d’appliquer les balises à un autre texte du document. Pour supprimer des balises conditionnelles d’un document, voir Suppression des balises conditionnelles.

  1. Sélectionnez le texte dans lequel vous voulez supprimer la balise conditionnelle appliquée.

  2. Ouvrez le panneau Balises conditionnelles et désélectionnez la case à cocher Etat pour la balise conditionnelle requise.

    Note: Dès que cliquez sur la case à cocher Etat, un astérisque s'affiche à droite de la case à cocher. Il indique que vous avez modifié l’état de la balise du texte sélectionné sans avoir appliqué (ou enregistré) les modifications.

  3. Cliquez sur Appliquer dans le panneau Balises conditionnelles.

Si vous avez défini des indicateurs conditionnels (comme style, couleur ou couleur d’arrière-plan) pour la balise conditionnelle, les indicateurs sont supprimés du texte auquel vous supprimez la balise.

Quelques conseils et détails pour l’utilisation du catalogue dynamique :

  • Vous pouvez utiliser le raccourci clavier du catalogue dynamique pour supprimer une balise conditionnelle,

  • Appuyez sur ctrl+5 pour afficher le catalogue dynamique et supprimer une balise conditionnelle.

  • L'état de la balise est mis à jour dans le panneau Balises conditionnelles.

  • Dans le catalogue dynamique, sélectionnez la balise à supprimer.

Suppression de toutes les balises conditionnelles du texte

Vous pouvez choisir de supprimer toutes les balises conditionnelles qui ont été appliquées à une partie du texte d’un document.

  1. Sélectionnez le texte dont vous souhaitez supprimer toutes les balises.

  2. Cliquez sur Tout désélectionner dans le panneau Balises conditionnelles.

    Note: Dès que vous cliquez sur Tout désélectionner, un astérisque s'affiche à droite de la case à cocher pour chaque balise conditionnelle appliquée au texte. Il indique que vous avez modifié l'état des balises du texte sélectionné sans avoir appliqué (ou enregistré) les modifications.

  3. Pour supprimer toutes les balises du texte, cliquez sur Appliquer dans le panneau Balises conditionnelles.

Si vous avez défini des indicateurs conditionnels (comme style, couleur ou couleur d’arrière-plan) pour les balises, les indicateurs sont supprimés du texte auquel vous supprimez les balises.

Tip: Appuyez sur ctrl+6 pour supprimer toutes les balises conditionnelles du texte sélectionné. L’état des balises est mis à jour dans le panneau Balises conditionnelles.

Suppression des balises conditionnelles

Découvrez comment vous pouvez afficher et masquer du texte et des indicateurs conditionnels dans Adobe FrameMaker grâce à la boîte de dialogue de texte conditionnel.

Vous pouvez supprimer une balise conditionnelle si elle n’est plus nécessaire à appliquer.

  1. Sélectionnez une balise et cliquez sur Supprimer dans le panneau Balises conditionnelles.

  2. Cliquez sur OK pour confirmer l'opération de suppression.

  3. Si la balise est utilisée dans un document, vous êtes invité à choisir comment résoudre le contenu auquel la balise est appliquée.

    Vous pouvez choisir de définir le contenu comme non conditionnel ou de le supprimer.

Important: Lorsque vous supprimez une balise, elle est supprimée du catalogue de documents. Elle ne sera plus disponible pour une utilisation dans le document. Si vous devez supprimer une condition du contenu, ne supprimez pas la ou les balises appliquées.

Afficher ou masquer le texte conditionnel

Découvrez comment vous pouvez afficher et masquer du texte et des indicateurs conditionnels dans Adobe FrameMaker grâce à la boîte de dialogue de texte conditionnel.

Dans FrameMaker, un texte conditionnel permet d’appliquer des conditions au texte. Après l’application des conditions, vous pouvez ensuite décider, selon les conditions appliquées, du texte à afficher ou masquer.

Lorsque vous appliquez une balise au texte d’un document, le texte est marqué comme conditionnel. Si vous avez défini des indicateurs conditionnels (tels que le style, la couleur ou la couleur d’arrière-plan) , le texte auquel les balises sont appliquées est formaté de manière conditionnelle en fonction des indicateurs. Cependant, tout le texte s’affiche dans FrameMaker. Vous devez toujours spécifier le texte à afficher et le texte à masquer en fonction des balises appliquées.

Pour afficher ou masquer un texte conditionnel, utilisez Boîte de dialogue Afficher/Masquer le texte conditionnel.

Boîte de dialogue Afficher/Masquer le texte conditionnel

Après l’application de balises conditionnelles au texte dans un document, utilisez la boîte de dialogue Afficher/Masquer le texte conditionnel pour définir le texte à afficher ou masquer.

Figure 7. Boîte de dialogue Afficher/Masquer le texte conditionnel
Boîte de dialogue Afficher/Masquer le texte conditionnel dans FrameMaker

Tout afficher :

Valeur par défaut. Tout le texte de document est affiché (inconditionnellement) indépendamment des conditions appliquées.

Note: L'option Tout afficher garantit l'affichage de tout le texte. Cependant, le texte à rendre conditionnel apparaît avec les indicateurs conditionnels spécifiés.
Afficher en fonction de la condition :

Sélectionnez cette option et déplacez les balises conditionnelles entre les listes de balises Affichage et Masquer pour spécifier respectivement le texte balisé à afficher ou à masquer.

Afficher si toutes les conditions sont appliquées :

Sélectionnez cette option pour vérifier que tout texte balisé dans le document s’affiche uniquement si toutes les balises conditionnelles sélectionnées dans la liste Affichage sont appliquées à ce texte.

Afficher par expression

Sélectionnez cette option et sélectionnez une expression conditionnelle qui définit les conditions d’affichage et de masquage.

Afficher des indicateurs conditionnels :

Lorsque vous définissez des indicateurs conditionnels pour le texte conditionnel d’un document, par défaut, le texte s’affiche et sort (PDF) avec les indicateurs. Vous pouvez désactiver cette option.

Figure 8. Les indicateurs de condition (barré et souligné) identifient les deux conditions.
Indicateurs de condition identifiant deux conditions

Appliquer les paramètres Afficher/masquer aux livres imbriqués

Si vous avez imbriqué des livres dans votre livre principal, sélectionnez cette option pour vous assurer que les balises conditionnelles sont appliquées à tous les livres imbriqués.

Mettre le livre à jour après application

Sélectionnez cette option pour appliquer des balises conditionnelles à tous les fichiers de votre livre.

Afficher/Masquer un texte conditionnel à l’aide de balises conditionnelles

  1. Ouvrez le conteneur Afficher/Masquer le texte conditionnel.

  2. Pour afficher ou masquer un texte dans le document à l’aide de balises conditionnelles, sélectionnez Afficher en fonction de la condition.

  3. Utilisez les flèches pour déplacer des balises entre les listes de balises conditionnelles Affichage et Masquer.

    Par exemple, pour n’afficher que du texte balisé Imprimer, vérifiez que la balise PrintOnly est dans la liste Affichage. Déplacez toutes les autres balises vers la liste Masquer.

    Pour afficher un texte balisé PrintOnly et MobileOnly, vérifiez que ces balises sont dans la liste Affichage.

  4. Pour afficher et masquer le texte à rendre conditionnel selon la liste à laquelle vous les ajoutez, cliquez sur Appliquer.

Le texte conditionnel est masqué ou affiché.

Si des indicateurs conditionnels sont appliqués aux balises dans la liste Affichage, le texte balisé correspondant s’affiche avec les indicateurs spécifiés. Vous pouvez choisir de supprimer les indicateurs en désélectionnant l’option Afficher des indicateurs conditionnels dans Afficher/Masquer le texte conditionnel.

Important: Si vous envisagez de générer un Sortie PDF d’un document auquel un texte conditionnel est appliqué, vous devez désactiver cette option. Si vous maintenir l’option Afficher des indicateurs conditionnels active, la sortie PDF apparaît avec les indicateurs.

Afficher/Masquer un texte conditionnel à l’aide d’expressions conditionnelles

Les balises conditionnelles permettent d’afficher ou de masquer un texte selon les balises que vous placez dans les listes de balises Affichage et Masquer, respectivement. Cela signifie que toute balise de la liste Affichager entraîne l’affichage du texte balisé correspondant. Cependant, regardez l’exemple suivant :

un document définit les balises conditionnelles Comment, PrintOnly, et MobileOnly. Des paragraphes du document sont balisés avec différentes combinaisons de ces balises :

  • Le paragraphe un est balisé PrintOnly.

  • Le paragraphe deux est balisé PrintOnly et MobileOnly.

  • Le paragraphe trois est balisé PrintOnly et Comment.

Vous devez configurer le document pour n’afficher que le texte balisé PrintOnly et MobileOnly. Si vous déplacez les balises PrintOnly et MobileOnly dans la liste Affichage, les trois paragraphes s’affichent puisque tous ont l’une ou l’autre de ces balises associées. Pour ce faire, créez des expressions conditionnelles permettant de combiner plusieurs balises avec les opérateurs et, ou et pas.

Dans l’exemple ci-dessus, l’expression « PrintOnly » et « MobileOnly » assure que seul le texte avec les balises PrintOnly et MobileOnly est inclus.

Pour créer une expression conditionnelle :

  1. Dans la boîte de dialogue Afficher/Masquer le texte conditionnel, cliquez sur Créer une expression.

    La boîte de dialogue Gérer l’expression conditionnelle permet de créer ou de modifier des expressions conditionnelles.

  2. Pour créer une expression, saisissez un nom pour l’expression.

    Etablissez une expression en utilisant les balises disponibles combinées aux opérateurs et, ou, et pas.

  3. Dans l’exemple ci-dessus, cliquez sur la balise PrintOnly, puis cliquez sur la flèche pour ajouter la balise à la zone d’expression au point d’insertion.

    Vous pouvez aussi cliquer deux fois sur la balise PrintOnly.

  4. Cliquez sur et pour ajouter l’opérateur après la balise PrintOnly.

  5. Cliquez sur la balise MobileOnly, puis cliquez sur la flèche pour ajouter la balise à l’expression.

  6. Cliquez sur Enregistrer.

    L’expression conditionnelle apparaît dans la liste.

  7. Dans laboîte de dialogue Afficher/Masquer le texte conditionnel, sélectionnez Afficher par expression.

  8. Dans la liste Créer une expression, sélectionnez l’expression requise, puis cliquez sur Appliquer.

Le texte apparaît en fonction de l’expression conditionnelle.

L’expression conditionnelle peut nécessiter le regroupement des sous-expressions entre parenthèses. Voici l’exemple d’un document avec les balises suivantes :

Plate-formes :

Windows, Mac, et Unix

Versions :

Version 1.0, Version 2.0 et Version 3.0

Sortie:

Sortie : PDF, HTML, EPUB et RTF

Pour afficher un texte balisé Win ou Mac avec toutes les versions, sauf la version 1.0 et une sortie PDF ou HTML, créez l’expression suivante :

Figure 9. Utilisation de parenthèses pour simplifier les expressions conditionnelles
Utilisation de parenthèses pour simplifier les expressions conditionnelles

Lorsque vous créez des expressions conditionnelles :

  • Les noms de balises apparaissent en texte vert.

  • Les noms de balises doivent être inclus dans des guillemets doubles.

    Si vous sélectionnez un nom de balise dans la liste Balise conditionnelle, le nom s'affiche entre des guillemets doubles. Cependant, vous pouvez également saisir le nom de balise manuellement. Dans ce cas, veillez à saisir le nom entre des guillemets doubles.

  • Les noms de balises mal orthographiés sont soulignés d’un trait rouge ondulé.

  • Les opérateurs et, ou, et pas s’affichent en texte bleu.

  • Les erreurs de syntaxe apparaissent avec un arrière-plan jaune.

  • Le bouton Enregistrer est désactivé en cas d'erreurs dans l'expression.

Mise au point des documents conditionnels

Découvrez comment finaliser des documents conditionnels dans Adobe FrameMaker.

Avant de produire une version finale d’un document conditionnel, suivez les lignes directrices suivantes :

  • Modifiez l’affichage du document pour n’inclure que la version à imprimer et désactivez les indicateurs de condition.

  • Si le document contient des variables, assurez-vous que leurs définitions sont correctes pour la version à imprimer.

  • Vérifiez l’orthographe du document. Ceci permet de trouver les doubles espaces et les problèmes de ponctuation provoqués par des balises conditionnelles mal étiquetées.

  • Mettez à jour les références croisées. Si le document contient des références croisées non résolues, elles peuvent faire référence à des marqueurs dans les balises conditionnelles masquées. Affichez la version et mettez à nouveau à jour les références croisées.

  • Créez une copie du document pour chaque version avant de définir manuellement les sauts de ligne et les sauts de page. Utilisez la copie de chaque version pour effectuer les réglages et l’impression. Ces modifications diffèrent selon chaque version. Utilisez le document original pour les éditions futures.

  • Si le document fait partie d’un livre, mettez à jour le livre et ses fichiers générés. Si le livre contient des documents contenant des indicateurs de condition différents pour une même balise, FrameMaker affiche un message d’alerte. FrameMaker vous alerte également si certaines balises conditionnelles sont affichées dans un document, mais sont masquées dans un autre. Si cette situation se produit, cliquez sur Annuler pour arrêter la création du livre. Corrigez les paramètres de balises conditionnelles de vos documents.

  • Une fois un index généré, vérifiez s’il comporte des doubles points d’interrogation (??), ce qui indique des marqueurs d’index manquants ou incorrects.

Forum aux questions (FAQ) et résolution des problèmes

Apprenez à résoudre les problèmes de texte conditionnel dans Adobe FrameMaker. Consultez également les questions fréquemment posées sur le texte conditionnel.

J’ai appliqué des balises conditionnelles au texte, mais tout le texte est affiché.

Vous devez utiliser le panneau Afficher/Masquer le texte conditionnel pour spécifier le texte à afficher ou à masquer. Pour plus de détails, reportez-vous à la section Boîte de dialogue Afficher/Masquer le texte conditionnel.

Puis-je appliquer deux balises conditionnelles à la même phrase?

Vous pouvez appliquer un nombre quelconque de balises au texte.

Les tableaux ne peuvent pas être balisés en tant que texte conditionnel.

Vous pouvez appliquer des balises conditionnelles à un tableau entier, à des lignes d'un tableau ou à des colonnes d'un tableau. Pour plus de détails, reportez-vous à la section Appliquer les balises conditionnelles.

Je souhaite utiliser le même paramètre conditionnel sur tous mes livres. Comment puis-je réutiliser les paramètres d’un livre à un autre ?

Vous pouvez importer dans un document des balises et des expressions conditionnelles provenant d’un autre document. Pour plus de détails, reportez-vous à la section Importation de balises et expressions conditionnelles.

Pourquoi rien ne se passe lorsque je modifie l’état dans le panneau de texte conditionnel ?

Après avoir modifié l’état d’une balise dans le panneau Balise conditionnelle, vous devez cliquer sur Appliquer pour appliquer les mises à jour au texte du document. Pour plus de détails, reportez-vous à la section Appliquer les balises conditionnelles.

Comment puis-je éviter d’avoir des références croisées non résolues?

Il peut arriver que vous ayez à appliquer une référence croisée à un paragraphe et que le premier mot du paragraphe soit conditionnel. Le marqueur de référence croisée que FrameMaker insère est alors également conditionnel (avec les paramètres de la balise conditionnelle du premier mot). Le marqueur n’apparaît pas si vous masquez les conditions du premier mot. Ainsi, la référence croisée est parfois non résolue si les paramètres de balise conditionnelle de la référence croisée et de son marqueur diffèrent.

Pour éviter ce problème, ne sélectionnez que le marqueur de référence croisée au début du paragraphe source et définissez-le comme inconditionnel. De cette façon, le marqueur est toujours visible. La référence croisée est résolue quelle que soit la version visible.


Références croisées

Découvrez les références croisées et comment utiliser le panneau Références croisées dans Adobe FrameMaker.

Vous pouvez fournir aux lecteurs des liens d’un document à un autre ou d’une partie d’un document à une autre. Adobe FrameMaker permet de créer des liens à l’aide des références croisées. Dans FrameMaker, les références croisées sont basées sur les marqueurs, si la position d’une référence croisée dans le document change, le lien reste intact tant que le marqueur est conservé. Par exemple, imaginons que vous créez une référence croisée pour un en-tête d’un document, puis incluez ou supprimez le contenu avant l’en-tête. La référence croisée reste intacte, même si l’emplacement de l’en-tête de destination a changé.

Sélectionnez Affichage > Panneaux > Références croisées pour ouvrir le panneau Références croisées.

Figure 1. Panneau Références croisées
Panneau Références croisées dans FrameMaker

Le panneau Références croisées affiche la liste des références croisées du document en cours.

Pour trier la liste, cliquez sur un en-tête de colonne de la liste. La liste est triée selon l’en-tête sur lequel vous cliquez.

Pour redimensionner une colonne :

  1. Passez le pointeur de la souris entre deux colonnes jusqu’à ce que le curseur change pour une flèche bidirectionnelle.

  2. Maintenez le bouton gauche de la souris enfoncé, faites glisser, puis relâchez le bouton de la souris lorsque la largeur de la colonne correspond au besoin.

Utilisez le panneau Références croisées pour :

A (Rechercher) :

Recherche de références croisées dans la liste. La fonctionnalité SAYT (recherche lors de la saisie) fonctionne sur toutes les colonnes dans la liste.

B (Insérer) :

Insérez une référence croisée dans le document.

C (Modifier) :

Ouvrez la boîte de dialogue des références croisées pour modifier une référence croisée.

D (Supprimer) :

Supprimer une référence croisée sélectionnée

E (Aller à l’emplacement) :

Accédez à la référence croisée sélectionnée dans le document en cours.

F (Convertir en texte) :

Convertit la référence croisée sélectionnée en texte modifiable.

Note: Le texte visible de la référence croisée est converti en texte modifiable. Par exemple, si vous choisissez d’inclure le numéro de page dans le texte de référence croisée, celui-ci est conservé comme texte modifiable.
G (Filtrer) :

Filtrez les références croisées sur la base du document ou du type de références. Dans la liste Document, sélectionnez l’une des options suivantes :

  • En cours

  • Documents ouverts

  • Sélectionner un document dans la liste

Pour le type de références, sélectionnez l’une des options suivantes :

  • Toutes les références croisées

  • Références croisées externes.

  • Références croisées non résolues.

H (Actualiser) :

Actualisation de la liste des références croisées disponibles.

  • Boîte de dialogue Références croisées
    Découvrez la boîte de dialogue Références croisées dans Adobe FrameMaker.
  • Insertion de références croisées
    Apprenez à insérer une référence croisée dans Adobe FrameMaker.
  • Gestion des références croisées
    Découvrez comment créer, appliquer, redéfinir et supprimer les formats de références croisées dans Adobe FrameMaker. Apprenez également à remplacer et à supprimer des références croisées dans Adobe FrameMaker et à importer des formats de références croisées d’un document dans un autre.
  • Composantes du format de référence croisée
    Découvrez les composantes des références croisées dans Adobe FrameMaker.
  • Mise à jour des références croisées dans un document
    Découvrez comment mettre à jour les références croisées dans Adobe FrameMaker.
  • Gestion des références croisées non résolues
    Découvrez comment identifier et résoudre les références croisées non résolues dans Adobe FrameMaker.
Parent topic: Contenu de source unique


Boîte de dialogue Références croisées

Découvrez la boîte de dialogue Références croisées dans Adobe FrameMaker.

Dans Adobe FrameMaker, vous utilisez la boîte de dialogue Référence croisée pour insérer une référence croisée dans un document.

Dans la boîte de dialogue Référence croisée, vous pouvez :

  • Mettre à jour le document de destination et le paragraphe, la référence croisée ou l’élément ;

  • Mettre à jour l'élément si la référence croisée est un élément d’un document structuré ;

  • Changer le format de la référence croisée ;

  • Convertir des références croisées du document en texte.

Sélectionnez Insérer > Référence croisée pour afficher la boîte de dialogue Référence croisée.

Figure 1. Boîte de dialogue Références croisées
Boîte de dialogue Références croisées dans Adobe FrameMaker

Document

Sélectionnez le document contenant la cible de la référence croisée.

Note: Si la référence croisée pointe sur emplacement d’un autre document, vous devez d'abord ouvrir ce document.
Aller à la source

Accédez à l’emplacement de la référence croisée. Si la référence croisée se trouve dans un autre document, ouvrez le document et accédez au style du paragraphe sélectionné.

Type de source

Sélectionnez le type de contenu de l’emplacement de destination :

Paragraphe

Pour insérer une référence croisée à un paragraphe d’un document.

Marqueurs de référence croisée

Pour insérer une référence croisée pour un marqueur RC dans un document.

Éléments répertoriés dans l’ordre/Éléments répertoriés par ID

Pour insérer une référence croisée à un élément dans des documents structurés

Vous pouvez choisir de lister les éléments du document dans l’ordre dans lequel ceux-ci apparaissent dans le document. Sinon, vous pouvez répertorier les éléments par leur ID.

Listes Type de source

Selon le type de source sélectionné ci-dessus, la liste de gauche ci-dessous affiche les styles de paragraphe, les références croisées ou les types d’éléments du document sélectionné.

La zone de liste de droite affiche les paragraphes, les références croisées ou les éléments spécifiques.

Balise d’élément

Sélectionnez l’élément (par exemple XRef) à utiliser pour la référence croisée.

Format

Sélectionnez un format de référence croisée dans le document en cours.

Modifier un format

Par défaut, FrameMaker fournit la liste des formats de références croisées. Sélectionnez cette option pour ajouter, modifier ou supprimer dans cette liste.

Convertir en texte

Affiche la boîte de dialogue de conversion des références croisées texte:

Figure 2. Boîte de dialogue Convertir la référence croisée en texte
Boîte de dialogue Convertir la référence croisée en texte dans Adobe FrameMaker

Cette boîte de dialogue permet de convertir en texte modifiable :

  • la référence croisée actuellement sélectionnée ;

  • des références croisées avec un format spécifique ;

  • des références croisées avec un élément spécifique ;

  • toutes les références croisées du document en cours.

Insérer / Remplacer

Insère une référence croisée à l’emplacement spécifié.

Si vous avez sélectionné une référence croisée existante, le bouton Remplacer est actif pour mettre à jour la référence croisée.

Parent topic: Références croisées


Insertion de références croisées

Apprenez à insérer une référence croisée dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Insertion d’une référence croisée à un paragraphe d’un document

  • Insertion d’une référence croisée vers un paragraphe dans un encart de texte

  • Insertion d’une référence croisée pour un marqueur RC dans un document

  • Insertion d’une référence croisée à un élément dans des documents structurés

Introduction

Dans Adobe FrameMaker, vous pouvez insérer une référence croisée pour désigner une autre partie du même document ou une partie d’un autre document. Dans les documents structurés, vous pouvez également insérer des références croisées à des éléments.

Insertion d’une référence croisée à un paragraphe d’un document

  1. Placez le point d’insertion à l’endroit du document en cours où vous souhaitez insérer la référence croisée.

  2. Cliquez sur Insérer dans le panneau Références croisées. Alternativement, sélectionnez Insérer > Référence croisée. La boîte de dialogue Référence croisée apparaît.

  3. Dans la liste déroulante Document, sélectionnez le document contenant le paragraphe de destination. Pour insérer une référence croisée dans un autre document, ouvrez le document de destination dans FrameMaker.

  4. Sélectionnez le type de paragraphe et le paragraphe de destination.

  5. Dans la liste Format, sélectionnez le format d'affichage de la référence croisée.

    Par exemple, le format See Heading & Page (Voir intitulé et page) s'affiche sous la forme : Voir “Creating cross-references” page 1

  6. Cliquez sur Insérer.

Tip: Si vous déplacez un paragraphe qui est la cible d’une référence croisée dans le même document, veillez à déplacer également le marqueur de référence croisée (Cross-Ref) dans ce paragraphe.
Important: Si le paragraphe de destination existe dans un document distinct, vous devez vérifier que vous disposez d'autorisations en écriture pour ce document. Par exemple, si vous utilisez un système de gestion de contenu, vous pourriez être amené à extraire les documents source et de destination.

Insertion d’une référence croisée vers un paragraphe dans un encart de texte

Si vous avez un document comportant une référence d’encart de texte à un autre document, vous pouvez insérer une référence croisée aux paragraphes de l'encart de texte.

  1. Placez le point d’insertion à l’endroit du document où vous souhaitez insérer la référence croisée.

  2. Cliquez sur Insérer dans le panneau Références croisées. Alternativement, sélectionnez Insérer > Référence croisée. La boîte de dialogue Référence croisée apparaît.

  3. Dans la liste déroulante Document, sélectionnez le document qui contient le paragraphe de destination. Pour insérer une référence croisée dans un autre document, vous devez ouvrir le document de destination dans FrameMaker.

  4. Sélectionnez le type de paragraphe et le paragraphe de destination.

  5. Dans la liste Format, sélectionnez le format d'affichage de la référence croisée.

    Par exemple, le format See Heading & Page (Voir intitulé et page) s'affiche sous la forme : Voir “Creating cross-references” page 1

  6. Cliquez sur Insérer.

Note: Si vous insérez une référence croisée dans un paragraphe d'un encart de texte, le marqueur de cette référence croisée risque d’être perdu lors de la mise à jour de l’encart. Pour empêcher la perte du marqueur, insérez tout d’abord une référence croisée au paragraphe dans le document source de l’encart de texte.

  1. Ouvrez la source de l'encart en cliquant deux fois sur ce dernier, puis en cliquand sur Ouvrir la source dans le panneau Caractéristiques de l’encart de texte.

  2. Insérez une référence croisée vers le paragraphe à n’importe quel endroit dans le document source.

  3. Supprimez le texte de la référence croisée. Le marqueur est toujours présent.

  4. Enregistrez le document source. Dans le document qui contient l'encart de texte, mettez à jour l'encart de texte en sélectionnant Edition > Mettre à jour les références.

  5. Insérez une référence croisée localisée, cette fois dans le document contenant l’encart. La référence croisée utilise le marqueur dans l’encart mis à jour.

Insertion d’une référence croisée pour un marqueur RC dans un document

Vous pouvez insérer une référence croisée pour n’importe quel emplacement d’un document à l’aide du marqueur de type RC. Le marqueur de référence croisée (Cross-Ref) permet d’établir un lien à un mot ou à une expression dans un paragraphe ou un cadre ancré. Vous pouvez même établir un lien au texte d'une cellule d'un tableau. Vous pouvez établir un lien à tout emplacement d’un document où il est possible d’insérer un marqueur RC.

  1. Placez le point d’insertion à l’emplacement de destination. Sélectionnez Insérer > Marqueur pour ouvrir la boîte de dialogue Marqueur.

  2. Dans la boîte de dialogue Marqueur, sélectionnez le type de marqueur RC.

  3. Spécifiez le texte du marqueur, puis cliquez sur Nouveau marqueur.

    Le texte du marqueur peut avoir n’importe quel nom. Sélectionnez ce nom dans la boîte de dialogue Référence croisée lorsque vous insérez la référence croisée.

    FrameMaker insère un nouveau marqueur à l'emplacement de destination.

  4. Placez le point d’insertion à l’emplacement pour créer la référence croisée.

    Note: Les emplacements des références croisées et des marqueurs peuvent être dans les mêmes documents ou des documents distincts.

  5. Sélectionnez Insérer > Référence croisée pour ouvrir la boîte de dialogue Référence croisée.

  6. Dans la liste déroulante Type de source, sélectionnez Marqueurs de références croisées.

  7. Dans la liste Type de marqueur, sélectionnez Cross-Ref.

  8. Dans la liste Marqueurs de références croisées, sélectionnez le marqueur (par nom) que vous avez créé lors des étapes 1 à 3.

Pour insérer la référence croisée, exécutez le reste des étapes selon la procédure décrite dans Insertion d’une référence croisée à un paragraphe d’un document.

Important: Si la référence croisée de destination existe dans un document distinct, vous devez vérifier que vous disposez d'autorisations en écriture pour ce document. Par exemple, si vous utilisez un système de gestion de contenu, vous pourriez être amené à extraire les documents source et de destination.

Insertion d’une référence croisée à un élément dans des documents structurés

Dans un document structuré, vous pouvez également insérer des références croisées à des éléments du document actuel ou à d’autres documents structurés.

  1. Placez le point d’insertion à l’endroit du document en cours où vous souhaitez insérer la référence croisée.

  2. Cliquez sur Insérer dans le panneau Références croisées. Alternativement, sélectionnez Insérer > Référence croisée. La boîte de dialogue Référence croisée apparaît.

    Boîte de dialogue des références croisées dans FrameMaker

  3. Sélectionnez l’élément DITA à utiliser pour insérer la référence croisée.

    Note: Les éléments de cette liste dépendent des éléments de référence croisée définis dans l'application structurée.

  4. Dans la zone Cible, sélectionnez Fichier, Touche ou Les deux contiennent l'élément de destination.

    Note: Si vous sélectionnez Fichier, sélectionnez le fichier qui contient la destination cible. Si vous sélectionnez Touche, puis sélectionnez la Touche cible. Si vous sélectionnez Les deux, vous devez sélectionner la source de votre référence croisée dans la liste déroulante Paramètre pour. Vous pouvez également rechercher l’élément requis en effectzabt une saisie dans la zone de texte Filtre.

  5. Sélectionnez l’élément cible dans la liste.

    La liste contient des informations concernant le type d’élément, l’ID et le contenu à l’emplacement où l’élément est utilisé.

  6. Dans la zone Affichage entrez le texte de la référence croisée, ou sélectionnez le format dans la liste déroulante.

    Par exemple, le format Format DITA par défaut s'affiche sous la forme : “Creating cross-references”

  7. Cliquez sur Insérer.

Lorsque vous insérez une référence croisée à un élément dans un document structuré, FrameMaker utilise respectivement les attributs @ID et @IDRef de la destination et des éléments sources.

@Si vous insérez une référence croisée renvoyant à un élément dont l’attribut ID n’a pas actuellement de valeur affectée, FrameMaker affecte une valeur unique à l’attribut. Cependant, si l’attribut @ID n’est pas en lecture seule, vous pouvez définir manuellement la valeur d’attribut.

@Vous devez vérifier que l’élément de destination contient l’attribut ID défini. Sinon, vous devez utiliser un autre élément ou modifier l’application structurée.

Important: Si l'élément de destination existe dans un document distinct, vous devez vérifier que vous disposez d'autorisations en écriture pour ce document. Par exemple, si vous utilisez un système de gestion de contenu, vous pourriez être amené à extraire les documents source et de destination.
Parent topic: Références croisées


Gestion des références croisées

Découvrez comment créer, appliquer, redéfinir et supprimer les formats de références croisées dans Adobe FrameMaker. Apprenez également à remplacer et à supprimer des références croisées dans Adobe FrameMaker et à importer des formats de références croisées d’un document dans un autre.

Dans ce sujet

  • Introduction

  • Boîte de dialogue Modifier le format de référence croisée

  • Créer un nouveau format de référence croisée

  • Application d'un format de référence croisée

  • Redéfinition d'un format de référence croisée existant

  • Suppression d’un format de référence croisée

  • Remplacement d'une référence croisée dans un document

  • Suppression d’une référence croisée dans un document

  • Importation de formats de références croisées

Introduction

Dans Adobe FrameMaker, vous pouvez insérer, modifier, mettre à jour et supprimer des références croisées dans un document.

Vous pouvez également, modifier des formats de références croisées pour changer la façon dont la référence croisée s'affiche dans le document. Par exemple, vous pouvez choisir de n’afficher que le texte de l’intitulé, sans inclure le numéro de page dans la référence croisée.

Utilisez le panneau Références croisées pour gérer les références croisées dans votre document et la boîte de dialogue Référence croisée pour insérer une référence croisée. Vous pouvez créer, modifier et supprimer des formats de références croisées avec la boîte de dialogue Modifier format de référence croisée.

Boîte de dialogue Modifier le format de référence croisée

La boîte de dialogue Modifier le format de référence croisée permet de créer, modifier ou supprimer des formats de référence croisée dans le document en cours.

Pour afficher la boîte de dialogue Modifier format de référence croisée, cliquez deux fois sur une référence croisée existante dans un document, puis cliquez sur Modifier le format dans la boîte de dialogue Référence croisée.

Alternativement, sélectionnez Affichage > Panneaux > Références croisées pour ouvrir le panneau Référence croisée. Sélectionnez une référence croisée dans le panneau, puis cliquez sur Edition.

La boîte de dialogue Référence croisée apparaît:

Figure 1. Boîte de dialogue Modifier le format de référence croisée
Modification de la boîte de dialogue Référence croisée dans Adobe FrameMaker

Nom:

Mettre à jour le nom d’un format existant ou spécifier un nom pour un nouveau format.

Définition :

Définir le format de référence croisée. Une définition de format de référence croisée peut contenir du texte (lettres, caractères ou chiffres) et des Composantes pour afficher des informations contextuelles.

Par exemple, le format par défaut « En-tête et page » est défini sur :

« <$paratext> » à la page\ <$pagenum>

Les composantes de la définition (<$paratext> et <$pagenum>) se situent entre des chevrons (<>) et précédées du symbole du dollar ($). Le \ définit un espace insécable. Dans l'exemple ci-dessus :

La composante <$paratext> insère le texte du paragraphe du paragraphe contenant des références croisées.

La composante <$pagenum> insère le numéro de page du paragraphe contenant des références croisées.

La référence croisée qui en résulte peut s’afficher sous la forme : « Insertion de références croisées » à la page 25

Ajoutez des éléments

Créer un nouveau format de référence croisée et ajoutez-le au catalogue de documents des formats de références croisées disponibles.

Modifier

Modifier un format de référence croisée existant dans le document.

Supprimer

Supprimer un format de référence croisée existant dans le document.

Créer un nouveau format de référence croisée

Pour créer un nouveau format de référence croisée, procédez comme suit :

  1. Dans le menu Modifier le format de référence croisée, saisissez un nom pour la référence croisée dans le champ Nom.

  2. Dans le champ Définition, définissez le format de référence croisée. Vous pouvez entrer n'importe quel texte (lettres, caractères ou chiffres) et les composantes. Utilisez les composantes pour afficher des informations contextuelles dans la référence croisée.

    Pour ajouter une composante à la définition, placez le point d’insertion à l’emplacement approprié, puis cliquez sur la définition dans la liste Composantes.

  3. Pour créer le nouveau format de référence croisée, cliquez sur Ajouter.

Application d'un format de référence croisée

Lorsque vous insérez une référence croisée dans un document, vous pouvez sélectionner un format de référence croisée présent dans le document. Les formats de référence croisée sont spécifiques du document FrameMaker.

La liste déroulante Format dans la boîte de dialogue Références croisées affiche les formats disponibles dans le document actuel. Vous pouvez choisir l’un des formats lorsque vous insérez une référence croisée dans un document.

Vous pouvez modifier ces formats ou en créer d’autres. Vous pouvez également importer des formats d’un document dans un autre document.

Redéfinition d'un format de référence croisée existant

Pour modifier un format de référence croisée existant, procédez comme suit :

  1. Dans la boîte de dialogue Modifier le format de références croisées, sélectionnez un format existant dans la liste Formats. Cliquez sur Modifier le format. La boîte de dialogue Modifier le format de référence croisée s’affiche.

  2. Dans le champ Nom, modifiez le nom du format de référence croisée.

  3. Dans le champ Définition, modifiez la définition du format de référence croisée.

    Vous pouvez entrer n'importe quel texte (lettres, caractères ou chiffres) et les composantes. Utilisez des composantes pour afficher des informations contextuelles dans la référence croisée.

  4. Cliquez sur Modifier pour mettre à jour le format de référence croisée sélectionné.

  5. Cliquez sur Terminé.

Suppression d’un format de référence croisée

Vous pouvez choisir de supprimer des formats de référence croisée non utilisés dans le document. Vous pouvez également décider de supprimer des formats de référence croisée actuellement utilisés. Si vous supprimez un format de référence croisée utilisé dans le document en cours, toutes les références croisées qui utilisent ce format seront converties en texte modifiable.

  1. Dans la boîte de dialogue Modifier le format de référence croisée, sélectionnez un format existant dans la liste Formats.

  2. Cliquez sur Supprimer pour supprimer le format de référence croisée sélectionné du catalogue de documents.

  3. Cliquez sur Terminé. Vous êtes invité à changer en texte modifiable toutes les références croisées qui utilisent le format supprimé.

  4. Cliquez sur OK ou sur Annuler.

Remplacement d'une référence croisée dans un document

Pour modifier une référence croisée existante, procédez comme suit :

  1. Cliquez deux fois sur la référence croisée dans un document.

    Alternativement, sélectionnez Affichage > Panneaux > Références croisées pour ouvrir le panneau Références croisées. Sélectionnez la référence croisée dans le panneau Références croisées et cliquez sur Edition pour ouvrir la boîte de dialogue Référence croisée.

    Alternativement, sélectionnez Insérer > Référence croisée pour ouvrir la boîte de dialogue Référence croisée. Sélectionnez la référence croisée dans la boîte de dialogue. Sélectionnez une nouvelle destination de référence croisée, puis cliquez sur Remplacer.

  2. Sélectionnez une nouvelle destination de référence croisée, puis cliquez sur Remplacer.

Suppression d’une référence croisée dans un document

Pour supprimer une référence croisée dans un document, procédez comme suit :

  1. Sélectionnez Affichage > Panneaux > Références croisées pour ouvrir le panneau Références croisées.

  2. Sélectionnez la référence croisée dans le panneau Références croisées.

  3. Cliquez sur Supprimer.

Vous pouvez également sélectionner la référence croisée dans le document, puis appuyer sur la touche Suppr. du clavier.

Importation de formats de références croisées

Pour importer des formats de références croisées d’un document à un autre document, procédez comme suit :

  1. Ouvrez le document contenant les formats de références croisées que vous souhaitez importer dans un autre document.

  2. Ouvrez le document dans lequel vous devez importer les formats.

  3. Sélectionnez Fichier > Importer > Formats pour ouvrir la boîte de dialogue Importer des formats.

    Figure 2. la boîte de dialogue Importer des formats avec l’option Formats de références croisées sélectionnée
    Boîte de dialogue Importer des formats dans Adobe FrameMaker avec la seule option Formats de références croisées sélectionnée

  4. Dans la liste déroulante Importer du document, sélectionnez le document source et vérifiez que seule la case à cocher Formats de références croisées est sélectionnée.

    Vous pouvez utiliser le bouton Tout désélectionner pour désactiver toutes les cases à cocher, puis activer uniquement la case à cocher Formats de références croisées.

  5. Pour importer les formats de références croisées, cliquez sur Importer.

Parent topic: Références croisées


Composantes du format de référence croisée

Découvrez les composantes des références croisées dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Composantes d’informations de fichier source

  • Paragraphe source

  • Paragraphe précédant le paragraphe source

  • Composantes de références croisées dans des documents structurés

Introduction

Lorsque vous ajoutez ou modifiez un format de référence croisée, les composantes permettent d’afficher des informations contextuelles dans la référence croisée.

Les sections suivantes décrivent les composantes utilisables pour créer des formats de référence croisée.

Composantes d’informations de fichier source

Les composantes suivantes fournissent des informations sur le fichier source du document contenant la référence croisée :

Composante | Description
<$filename> | Nom du fichier du document source.
<$fullfilename> | Chemin complet et le nom du fichier du document source.
<$volnum> | Numéro de volume du document contenant le paragraphe source.
<$chapnum> | Numéro de chapitre du document contenant le paragraphe source.

Paragraphe source

Les composantes suivantes fournissent des informations sur le paragraphe source référencé par la référence croisée :

Composante | Description
<$pagenum> | Numéro de page du paragraphe source.
<$paratext> | Le texte du paragraphe source sans numéro automatique. Si le style de caractères du texte dans le paragraphe source a été modifié en appliquant un style de caractère, les caractéristiques de la famille de police, de l'exposant et de l'indice sont conservés dans le texte de la référence croisée.
<$paratag> | Nom du style de paragraphe (balise) du paragraphe source.
<$paranum> | Numéro automatique complet du paragraphe source, incluant tout texte figurant dans le format de numéro automatique.
<$paranumonly> | Compteurs de numéros automatiques du paragraphe source, incluant tous les caractères situés entre ceux-ci.

Paragraphe précédant le paragraphe source

Une référence croisée à une sous-section identifie souvent la section qui la contient. Par exemple, cette référence croisée à un sous-intitulé identifie l’intitulé principal sous lequel il se trouve : Voir « Types de limites des plaques » dans « Tectonique des plaques ». Dans cet exemple, Types de limites des plaques constitue le paragraphe source et Tectonique des plaques l’intitulé principal sous lequel se trouve le paragraphe source.

Dans chaque composante, remplacez balise par le nom du style de paragraphe (balise) du paragraphe auquel vous souhaitez faire référence, mais ne supprimez pas les crochets “[ ]”. Par exemple, si vous souhaitez vous référer au texte du paragraphe précédent avec le style Head1, utilisez <$paratext[Head1]>.

Composante | Description
<$pagenum[tag]> | Numéro de page du paragraphe précédent avec le nom de style de paragraphe spécifié (balise).
<$paratext[tag]> | Texte du paragraphe précédent avec le nom du style de paragraphe spécifié (balise), à l’exclusion de son numéro automatique.
<$paratag[tag]> | Nom du style de paragraphe (balise) du paragraphe précédent avec la balise spécifiée.
<$paranum[tag]> | Numéro automatique complet du paragraphe précédent avec le nom du style de paragraphe spécifié (balise), y compris tout texte figurant dans le format de numéro automatique.
<$paranumonly[tag]> | Compteurs de numéros automatiques du paragraphe précédent avec le nom du style de paragraphe spécifié (balise), y compris tous les caractères situés entre ceux-ci.
Important: N’utilisez pas de noms de styles de paragraphes incluant des crochets ([ ]).

Composantes de références croisées dans des documents structurés

Utilisez les composantes suivantes pour créer des formats de références croisées qui se rapportent à des éléments de document structurés.

Composante | Description
<$elempagenum> | Numéro de page de l’élément source.
<$elemtext> | Texte de l’élément source sans son numéro automatique, mais avec tout préfixe et suffixe spécifié dans la définition de l’élément.
<$elemtextonly> | Texte de l’élément source sans son numéro automatique ni aucun préfixe et suffixe spécifié dans la définition de l’élément.
<$elemtag> | Nom de l’élément source.
<$elemparanum> | Numéro automatique complet du paragraphe de l'élément source (ou du paragraphe contenant l'élément source), avec tout le texte au format de numéro automatique.
<$elemparanumonly> | Compteurs de numéros automatiques du premier paragraphe de l’élément source (ou du paragraphe contenant l’élément source), y compris tous les caractères situés entre ceux-ci.
<$attribute[name]> | Valeur de l’attribut avec le nom spécifié (ou valeur par défaut si aucune valeur n’est spécifiée).
Parent topic: Références croisées


Mise à jour des références croisées dans un document

Découvrez comment mettre à jour les références croisées dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Mise à jour des références croisées d’un document

  • Suppression de la mise à jour automatique des références croisées

Introduction

Si le contenu source des références croisées est mis à jour, vous devez mettre à jour les références croisées dans le document en cours. Par exemple, si vous créez une référence croisée de paragraphe pour un intitulé et modifiez ensuite le texte de l’intitulé, vous devez mettre à jour la référence croisée dans le document contenant la référence croisée.

Adobe FrameMaker met à jour automatiquement les références croisées d’un document chaque fois que le document est ouvert. Vous pouvez également mettre à jour manuellement les références dans un document déjà ouvert. En outre, vous pouvez empêcher FrameMaker de mettre à jour les références croisées à chaque ouverture d’un document.

Mise à jour des références croisées d’un document

  1. Sélectionnez Modifier > Mettre à jour les références.

  2. Dans la boîte de dialogue Mettre à jour les références, vérifiez Toutes les références croisées et cliquez sur Mettre à jour.

Si FrameMaker ne parvient pas à résoudre les références croisées, la boîte de dialogue Mettre à jour les références croisées non résolues s’affiche.

Suppression de la mise à jour automatique des références croisées

Par défaut, Adobe FrameMaker met à jour automatiquement les références croisées d’un document chaque fois que le document est ouvert.

Pour empêcher FrameMaker de mettre à jour les références croisées lors de l’ouverture d’un document :

  1. Sélectionnez Modifier > Mettre à jour les références.

  2. Dans la boîte de dialogue Mettre à jour les références, ouvrez la liste déroulante Commandes dans le coin supérieur droit et sélectionnez Annuler la mise à jour automatique.

  3. Dans la boîte de dialogue Annuler la mise à jour automatique des références, cochez Annuler la mise à jour automatique de toutes les références croisées et cliquez sur Définir.

Parent topic: Références croisées


Gestion des références croisées non résolues

Découvrez comment identifier et résoudre les références croisées non résolues dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Identification des références croisées non résolues dans un document

  • Résolution de références croisées non résolues dans un document

Introduction

Si la source de la référence croisée est modifiée sans que FrameMaker soit en mesure de mettre à jour la référence à la destination, FrameMaker signale la référence croisée comme non résolue.

FrameMaker signale une référence croisée comme non résolue si :

  • Le marqueur ou la source de la référence croisée ont été déplacés dans un autre fichier ou le fichier source lui-même a été déplacé ou renommé.

  • La source a été supprimée, ou le marqueur de référence croisée indiquant que la source a été supprimée.

  • Le fichier contenant le marqueur est actuellement ouvert par un autre utilisateur.

  • @La valeur de l’attribut d’identification de l’élément source ou de l’attribut d'ID des références croisées (@IDRef) a été modifiée ou supprimée.

Identification des références croisées non résolues dans un document

Vous pouvez afficher la liste des références croisées non résolues dans un document dans le panneau Références croisées :

  1. Sélectionnez Affichage > Panneaux > Références croisées pour ouvrir le panneau Références croisées.

  2. Dans la liste déroulante Références, sélectionnez Références croisées non résolues.

La liste affiche les références croisées non résolues.

Vous avez également la possibilité de générer une liste des références croisées non résolues d’un document :

  1. Sélectionnez Insérer > Liste de > Références.

  2. Choisissez de créer la liste en tant qu’index autonome des références ou d’ajouter l’index dans un nouveau livre.

  3. Déplacez l’outil Références croisées non résolues vers la liste Inclure références et cliquez sur Définir.

La liste générée comprend le numéro de page de chaque référence croisée non résolue et indique si la source manquante est interne (dans le document en cours) ou externe (dans un autre document). Cette liste comporte des informations supplémentaires, comme le nom du style et le texte du paragraphe source, par exemple (pour les documents non structurés), ou l’ID, le nom d’élément et le texte de l’élément source (pour les documents structurés). Pour les références croisées du marqueur de références croisées, la liste inclut le texte des marqueurs.

Note: Le nom du style et le texte ne sont pas toujours précis, car ils ne sont pas mis à jour après la première insertion de la référence croisée.

Résolution de références croisées non résolues dans un document

Pour résoudre les références croisées externes non résolues d’un document :

  1. Sélectionnez Modifier > Mettre à jour les références. La boîte de dialogue Références de mise à jour s’affiche:

    Figure 1. Boîte de dialogue Mettre à jour les références
    Boîte de dialogue Mettre à jour les références dans Adobe FrameMaker

  2. Cliquez sur la liste déroulante Commandes et sélectionnez Mettre à jour les références croisées non résolues.

    La boîte de dialogue Mettre à jour les références croisées non résolues apparaît.

  3. Dans la liste de sélection Total de références croisées non résolues, sélectionnez le fichier qui contenait précédemment la source de la référence croisée non résolue. Le texte sous la liste indique le nombre de références croisées au fichier sélectionné non résolues.

  4. Accédez au document alternatif contenant la référence croisée, et sélectionnez-le.

  5. Pour résoudre les références croisées à n’importe quel autre fichier répertorié dans la liste de sélection Total de références croisées non résolues, répétez les étapes 3 et 4, puis cliquez sur Terminé.

Pour résoudre les références croisées pour le marqueur RC (Cross-Ref), vous devez recréer le marqueur RC (Cross-Ref) et la référence croisée.

De même, pour résoudre des références croisées pour des éléments dans des documents structurés, vous devez recréer la référence croisée.

Parent topic: Références croisées


Encarts de texte

Découvrez comment utiliser les encarts de texte et le panneau Encarts dans Adobe FrameMaker.

Un encart de texte permet d’insérer un contenu d’une source externe dans un document FrameMaker. La fonction Encart de texte de FrameMaker permet de réutiliser facilement un texte sur des documents et des livres. Vous pouvez stocker un tel contenu réutilisable dans un document externe (comme un fichier texte ou un document FrameMaker), puis importer le contenu sur un ou plusieurs documents.

Vous pouvez importer un texte simple d’un fichier texte ou importer un texte et un contenu formaté d’un document FrameMaker (.fm ou .mif).

Utilisez le panneau Insérer pour travailler avec des encarts de texte et de graphiques dans vos documents. Dans ce panneau, vous pouvez importer des encarts dans un document, afficher les propriétés de l’encart ou supprimer des encarts d’un document.

Sélectionnez Affichage > Panneaux > Encarts, pour ouvrir le panneau Encarts.

Figure 1. Panneau Encarts
Insertion de contenu provenant d’une source externe dans un document FrameMaker à l’aide du panneau Panneau Encarts

Le panneau Encarts affiche la liste des encarts du document en cours.

Pour trier la liste des encarts, cliquez sur un en-tête de colonne de la liste. Par exemple, vous pouvez trier par le fichier référencé ou le numéro de page.

Pour redimensionner une colonne :

  1. Passez le pointeur de la souris entre deux colonnes jusqu’à ce que le curseur change pour une flèche bidirectionnelle.

  2. Maintenez le bouton gauche de la souris enfoncé, faites glisser, puis relâchez le bouton de la souris lorsque la largeur de la colonne correspond au besoin.

Utilisez le panneau Encarts pour :

A (Rechercher) :

Rechercher un encart dans la liste. La fonctionnalité SAYT (recherche lors de la saisie) fonctionne sur toutes les colonnes dans la liste des encarts.

B (Importer nouveau) :

Importez un encart dans le document en cours. Voir Insérer des encarts de texte.

C (Caractéristiques) :

Ouvrir la boîte de dialogue Caractéristiques de l’encart de texte. Voir Affichage et modification des caractéristiques de l’encart.

D (Supprimer) :

Supprimer l’encart sélectionné du document en cours. Voir Suppression des encarts de texte.

E (Supprimer avec cadre ancré) :

Supprimer l’encart graphique sélectionné (avec le cadre ancré) du document en cours.

F (Aller à l’emplacement) :

Accéder à l’emplacement où l’encart de texte est inclus dans le document en cours.

G (Convertir en texte) :

Convertir l’encart sélectionné en texte en ligne. Voir Affichage et modification des caractéristiques de l’encart.

H (Filtrer) :

Effectuer une sélection dans la liste Document (Actuel, Tous les documents ouverts ou tout document ouvert), Type (Tout répertorier, Encarts de texte ou Encarts de graphique), ou État (résolu ou non résolu) pour afficher les encarts disponibles dans ce document.

Voir Correction des encarts de texte non résolus.

I (Actualiser) :

Actualiser la liste.

  • Insérer des encarts de texte
    Apprenez à insérer des encarts de texte, à importer un texte dans un document et à mettre à jour le texte importé dans FrameMaker.
  • Gestion des encarts de texte
    Découvrez comment gérer les encarts de texte, mettre à jour les propriétés des encarts de texte, supprimer les encarts de texte dans Adobe FrameMaker.
  • Insertion d’une référence croisée vers un paragraphe dans un encart de texte
    Découvrez comment insérer une référence croisée dans un paragraphe d'encart de texte dans FrameMaker.
  • Forum aux questions (FAQ) et résolution des problèmes
    Mise à jour avec la FAQ et des conseils de dépannage pour les encarts de texte.
Parent topic: Contenu de source unique


Insérer des encarts de texte

Apprenez à insérer des encarts de texte, à importer un texte dans un document et à mettre à jour le texte importé dans FrameMaker.

Vous pouvez importer les formats de fichier suivants en tant que texte dans un document :

Fichier texte :

Importer un texte simple à partir d’un fichier texte.

Document FrameMaker (.fm ou .mif) :

Importer un texte simple ou formaté d’un document FrameMaker.

Microsoft Word:

Importer un texte simple ou formaté d’un document Microsoft Word.

Microsoft Excel :

Importer un texte simple ou formaté d’un document Microsoft Excel.

Note: Si vous importez un livre Excel contenant plusieurs feuilles, le texte de toutes les feuilles est importé.
PDF

Importer une page sélectionnée d’un document PDF sous forme d’image.

  • Importation de texte dans un document
  • Enchaînement à importer
  • Formatage de l’enchaînement importé
  • Mise à jour de l’enchaînement importé
Parent topic: Encarts de texte


Importation de texte dans un document

  1. Dans le panneau Encarts, cliquez sur Importer nouveau.

    Sinon, dans le menu Fichier, sélectionnez Importer > Fichier.

    La boîte de dialogue Importer s’affiche.

  2. Sélectionnez un fichier à importer.

  3. Sélectionnez le mode dans lequel vous souhaitez importer le contenu du fichier sélectionné.

    Par référence

    Le contenu du fichier sélectionné est inséré dans le document en cours comme un encart de texte. Si le fichier source est mis à jour, le contenu de l’encart est également mis à jour.

    Copier dans le document

    Le contenu du fichier sélectionné est inséré dans le document en cours comme un contenu FrameMaker. Cela implique que vous pouvez mettre à jour le contenu dans le document FrameMaker. Toutes les modifications apportées au document source n’apparaissent dans le document en cours.

  4. Si vous choisissez un format de fichier autre que MIF ou FM, la boîte de dialogue Type de fichier indéterminé apparaît.

    Sélectionnez le filtre d’application à utiliser pour convertir le fichier avant d’importer le contenu dans le document en cours.

  5. Si vous décidez d’importer un fichier texte, la boîte de dialogue Importer fichier texte par référence ou Importer un fichier texte par copie s’affiche.

    Figure 1. Boîte de dialogue Importation d’un enchaînement de texte par référence (ou copie)
    Boîtes de dialogue Importer fichier texte par référence et Importer un fichier texte par copie

    Fusionner les lignes en paragraphes

    Divisez le texte en paragraphes uniquement aux lignes vides. Utilisez cette option pour un fichier texte comportant des paragraphes, par exemple un fichier contenant un texte de document.

    Considérer chaque ligne comme paragraphe

    Divisez le texte en paragraphes à la fin de chaque ligne. Utilisez cette option pour un fichier texte comportant des lignes, tel un fichier contenant du code.

    Convertir en tableau

    Convertissez le texte importé en un tableau. Vous serez invité à sélectionner le format du tableau. Vérifiez que le texte du fichier contient un délimiteur défini pour séparer des colonnes. Lorsque vous sélectionnez cette option, la boîte de dialogue Convertir en tableau apparaît.

    Figure 2. Convertir en tableau
    Conversion du texte importé en tableau à l’aide de la boîte de dialogue Convertir en tableau

    Mise à jour du texte importé

    Si vous importez le texte par référence, vous pouvez choisir de mettre à jour l’encart de texte chaque fois que vous ouvrez le document, ou uniquement lorsque vous mettez à jour manuellement l’encart. Pour plus de détails, reportez-vous à la section Mise à jour des encarts de texte.

    Si vous sélectionnez un format de fichier Word, Excel ou MIF, la boîte de dialogueImportation d’enchaînement de texte par référence ou Importation d’un enchaînement de texte par copie s’affiche.

    Figure 3. Boîte de dialogue Importation d’un enchaînement de texte par référence (ou copie)
    Boîtes de dialogue Importation d’enchaînement de texte par référence ou Importation d’enchaînement de texte par copie

Parent topic: Insérer des encarts de texte


Enchaînement à importer

Dans cette section, vous pouvez choisir d’importer l’enchaînement de pages courantes ou l’enchaînement de pages de référence.

Note: Les pages courantes ou de référence d’un document peuvent contenir plusieurs enchaînements.
Ench. de page courante

Importez l’enchaînement sélectionné à partir de la page courante du document.

Par défaut, les pages courantes contiennent un enchaînement : A (enchaînement principal). Si un document contient plusieurs enchaînements, vous devez sélectionner l’enchaînement à importer.

Ench. de page de référence

Similaire à l’importation de pages courantes, vous pouvez choisir l’enchaînement dans la page de référence à importer. Par défaut, les pages de référence contiennent les enchaînements suivants :

  • Table des matières

  • IX

  • HTML

  • Intitulé

Vous pouvez également ajouter un enchaînement défini par l’utilisateur au document de référence. Vous pouvez ensuite ajouter cet enchaînement de page de référence comme encart de texte à votre document.

Parent topic: Insérer des encarts de texte


Formatage de l’enchaînement importé

Dans cette section, sélectionnez l’option de formatage de l’encart de texte.

Reformatage à l’aide des formats du document en cours

Utilisez les paramètres définis dans le catalogue du document source.

Lorsque vous importez à l’aide des formats du document en cours, vous pouvez également choisir de supprimer des :

Sauts de page manuels :

L’encart dans le document du conteneur ne comprend aucun saut de page manuel inclus dans le contenu source.

Autres personnalisations :

Si le contenu source comprend des personnalisations de paragraphes ou de caractères, celles-ci sont ignorées dans l’encart.

Convertir en texte simple

N’inclut aucun formatage du document source.

Conserver le format de la source

Ignorer la structure du contenu de la source, mais conserver le formatage. Si vous modifiez ultérieurement le formatage du document conteneur, les formats importés ne sont pas affectés (même si les balises de formatage du document en cours et le texte importé correspondent).

Parent topic: Insérer des encarts de texte


Mise à jour de l’enchaînement importé

Automatique

Les références aux encarts de texte du document sont mises à jour chaque fois que le document est ouvert.

Manuelle :

Les références aux encarts de texte du document ne sont pas mises à jour à l’ouverture du document. Pour plus d’informations sur la mise à jour manuelle des références, voir Utilisation d’un document ouvert.

Parent topic: Insérer des encarts de texte


Gestion des encarts de texte

Découvrez comment gérer les encarts de texte, mettre à jour les propriétés des encarts de texte, supprimer les encarts de texte dans Adobe FrameMaker.

Dans le panneau Encarts, vous pouvez importer du texte dans un document. Vous pouvez également gérer les encarts qui sont actuellement inclus dans le document.

Cette section traite des rubriques suivantes :

  • Affichage et modification des caractéristiques de l’encart

  • Suppression des encarts de texte

  • Mise à jour des encarts de texte

  • Correction des encarts de texte non résolus

  • Affichage et modification des caractéristiques de l’encart
  • Suppression des encarts de texte
  • Mise à jour des encarts de texte
  • Correction des encarts de texte non résolus
Parent topic: Encarts de texte


Affichage et modification des caractéristiques de l’encart

Vous pouvez afficher et modifier les caractéristiques d’un encart de texte inclus dans un document.

Pour afficher les caractéristiques d’un encart de texte :

  1. Dans le panneau Encarts, sélectionnez un encart, puis cliquez sur Propriétés.

    Vous pouvez aussi cliquer deux fois sur l’encart dans le document.

    La boîte de dialogue Caractéristiques de l’encart de texte s’affiche.

    Figure 1. Boîte de dialogue Caractéristiques de l’encart de texte
    Boîte de dialogue Caractéristiques de l’encart de texte

  2. Dans la boîte de dialogue Caractéristiques de l’encart de texte, vous pouvez effectuer les tâches suivantes :

    Paramètres :

    Ouvre la boîte de dialogue Importation d’un enchaînement de texte par référence.

    Cette boîte de dialogue permet de mettre à jour le mode d’importation du texte de la source dans le document. Pour plus d’informations sur cette boîte de dialogue, voir Insérer des encarts de texte.

    Convertir :

    Convertit l’encart de texte en texte dans le document.

    La boîte de dialogue Convertir les encarts de texte en texte apparaît.

    Vous pouvez choisir de convertir l’encart de texte sélectionné en texte.

    Vous pouvez également choisir de convertir tous les encarts de texte dans le document en texte. Cela équivaut à choisir l’option Copier dans le document dans la boîte de dialogue Importer lorsque vous allez Insérer des encarts de texte.

    Après avoir converti l’encart de texte en texte dans le document, la référence au document source est rompue. De plus, l’encart de texte est supprimé de la liste dans le panneau Encarts.

    Note: Pour convertir l’encart de texte en texte, vous pouvez également utiliser le bouton Convertir en texte dans le panneau Encarts.
    Mettre à jour :

    Mettre à jour l’encart de texte sélectionné. Utilisez cette option si vous avez apporté des modifications à la source de l’encart. Pour plus d’informations sur la mise à jour des encarts de texte, voir Mise à jour des encarts de texte.

    Ouvrir source :

    Ouvre le fichier source de l’encart de texte. Cette option permet d’ouvrir des fichiers source d’encart qui sont du type MIF. Si vous ouvrez un texte ou bien un fichier source Microsoft Word ou Microsoft Excel, FrameMaker essaiera de convertir le fichier en fichier .fm, puis d'ouvrir le fichier .fm.

Parent topic: Gestion des encarts de texte


Suppression des encarts de texte

Lorsque vous supprimez un encart de texte d’un document, le fichier source reste intact. La référence à l’encart de texte est cependant supprimée du document.

Pour supprimer un encart de texte:

  1. Sélectionnez l’encart de texte dans le panneau Encarts.

    Vous pouvez également sélectionner l’encart à l’intérieur du document. Cependant, pour vous assurer d’avoir correctement sélectionné l’encart, sélectionnez-le dans le panneau Encarts.

  2. Cliquez sur Supprimer.

Parent topic: Gestion des encarts de texte


Mise à jour des encarts de texte

Après avoir importé un texte dans un document FrameMaker par référence, lorsque vous mettez à jour le fichier source, les mises à jour sont répercutées dans le document.

FrameMaker permet de spécifier comment les mises à jour apportées aux fichiers source sont répercutées dans les encarts de texte inclus dans le document.

Ouverture d’un document

Lorsque vous ouvrez un document, par défaut, FrameMaker met à jour tous les encarts de texte inclus dans le document. Cependant, puisque cela peut générer des problèmes de performances lors de l’ouverture du document, vous pouvez choisir de ne pas mettre à jour les encarts de texte à l’ouverture d’un document.

Dans la boîte de dialogue Importation d’enchaînement de texte par référence :

Automatique :

Pour mettre à jour tous les encarts du texte du document chaque fois qu’un document est ouvert.

Manuelle :

Pour forcer l’auteur du document à mettre à jour les encarts de texte manuellement.

Pour plus d'informations sur la façon de définir ces propriétés lors de l’importation d’un encart de texte, voir Insérer des encarts de texte

Pour plus d’informations sur la façon de mettre à jour cette caractéristique pour un encart de texte inclus dans un document, voir Affichage et modification des caractéristiques de l’encart.

Utilisation d’un document ouvert

Vous pouvez également mettre à jour un encart de texte dans un document ouvert. Par exemple, si vous avez inclus un encart de texte dans un document et qu’ensuite vous mettez à jour l’encart de texte. Vous pouvez immédiatement mettre à jour le document pour répercuter les mises à jour dans le fichier source.

Pour plus d’informations sur la façon de mettre à jour un document manuellement, voir Affichage et modification des caractéristiques de l’encart.

Parent topic: Gestion des encarts de texte


Correction des encarts de texte non résolus

Si le nom ou l’emplacement du fichier source pour un encart de texte référencé change, ce dernier est marqué comme non résolu dans le panneau Encarts.

Pour corriger des encarts de texte non résolus:

  1. Si vous ouvrez un document contenant des encarts non résolues, vous êtes invité à corriger les erreurs.

  2. Sélectionnez Affichage > Panneaux > Encarts pour ouvrir le panneau Encarts. Filtrer la liste des encarts pour afficher uniquement les encarts non résolus.

    Figure 1. Filtrer pour afficher les encarts non résolus
    Filtrage pour afficher les encarts non résolus

  3. Sélectionnez chaque encart non résolu, puis cliquez sur Aller à l’emplacement.

    L’encart de texte non résolu du document est sélectionné.

  4. Vérifiez les caractéristiques de l’encart (non résolu) existant dans les caractéristiques affichées dans la liste.

    Pour plus de détails sur l'encart, cliquez sur Propriétés pour ouvrir la boîte de dialogue Caractéristiques de l’encart de texte.

  5. Réimporter l’encart de texte dans le document.

Parent topic: Gestion des encarts de texte


Insertion d’une référence croisée vers un paragraphe dans un encart de texte

Découvrez comment insérer une référence croisée dans un paragraphe d'encart de texte dans FrameMaker.

Si vous insérez une référence croisée de paragraphe dans un encart de texte, le marqueur de cette référence croisée risque d’être perdu lors de la mise à jour de l’encart. Pour empêcher la perte du marqueur, insérez tout d’abord une référence croisée au paragraphe dans le document source de l’encart de texte.

  1. Ouvrez la source de l'encart en cliquant deux fois sur ce dernier, puis en cliquant sur Ouvrir la source dans le panneau Caractéristiques de l’encart de texte.

  2. Insérez une référence croisée vers le paragraphe à n’importe quel endroit dans le document source.

  3. Supprimez le texte de la référence croisée. Le marqueur est toujours présent.

  4. Enregistrez le document source, puis, dans le document qui contient l'encart de texte, mettez à jour l'encart de texte en sélectionnant Edition > Mettre à jour les références.

  5. Insérez une référence croisée localisée, cette fois dans le document contenant l’encart. La référence croisée utilise le marqueur dans l’encart mis à jour.

Parent topic: Encarts de texte


Forum aux questions (FAQ) et résolution des problèmes

Mise à jour avec la FAQ et des conseils de dépannage pour les encarts de texte.

Puis-je utiliser dans le document conteneur des variables définies dans un document source de l’encart de texte ?

Oui. Si les variables sont utilisées dans le document source, elles deviennent disponibles pour être utilisées dans le document conteneur.

Puis-je utiliser dans le document conteneur des formats définis dans un document source de l’encart de texte ?

Non. Les formats définis dans le document source ne sont pas disponibles dans le document conteneur.

La fonction Rechercher/Remplacer fonctionne-t-elle dans des encarts de texte insérés dans un document ?

Non. La fonction Rechercher/Remplacer ne fait pas de recherches dans le texte contenu dans les encarts de texte.

Puis-je lancer une vérification orthographique du contenu d’une fonction d’encart de texte fonctionnant dans les encarts de texte insérés dans un document ?

Non. Le correcteur orthographique ne vérifie pas le texte contenu dans les encarts de texte.

Puis-je créer une référence croisée d’un encart de texte au document conteneur ?

Oui. Toutefois, après avoir créé la référence croisée, vous devez mettre à jour l’encart de texte dans le document conteneur. Pour plus de détails, reportez-vous à la section Mise à jour des encarts de texte.

Parent topic: Encarts de texte


Variables

Découvrez les variables dans Adobe FrameMaker, comprenez les variables du système et de l’utilisateur, utilisez le panneau Variables pour gérer les variables.

Introduction

Dans Adobe FrameMaker, une variable permet de définir une paire nom-valeur de données qui peut être réutilisée à travers le document. Par exemple, vous pouvez créer une variable nom_auteur qui définit le nom de l’auteur du document. Si la valeur de la variable est modifiée, cette modification est répercutée sur toutes les occurrences de cette variable dans le document.

Variables système

FrameMaker fournit un ensemble de variables système prédéfinies. Utilisez des variables système pour ajouter des informations à un document qui sont spécifiques à Adobe FrameMaker ou à l’environnement informatique actuel. Par exemple, la variable Numéro du chapitre, si incluse dans une page, affiche le numéro du chapitre auquel la page appartient. La variable Date de modification (longue), elle, affiche la date de la dernière modification du document.

Variables utilisateur

Vous pouvez également créer des variables utilisateur pour définir des valeurs personnalisées. Par exemple, vous pouvez créer une variable utilisateur Nom de produit pour le nom d’un produit que vous documentez. Outre la valeur que vous affectez à une variable utilisateur, vous pouvez également attribuer un style de caractères pour afficher la valeur de variable dans un formatage spécifique.

Le panneau Variables dans Adobe FrameMaker

Le panneau Variables affiche la liste des variables système et utilisateur que vous pouvez ajouter au document actuel.

Figure 1. Panneau de variables
Panneau Variables dans FrameMaker

Pour ouvrir le panneau Variables :

  • SélectionnezAffichage > Panneaux > Variables.

  • Alternativement, choisissezInsérer > Variables.

Utilisez le panneau Variables pour :

K (icône rouge)

L’icône rouge indique une variable système.

B (icône bleue)

L’icône bleue indique une variable utilisateur.

C (Rechercher) :

Rechercher une variable dans la liste. La fonctionnalité SAYT (Search As You Type) fonctionne sur toutes les colonnes dans la liste des variables.

D (Créer une variable utilisateur) :

Ouvrez la boîte de dialogue Ajouter une variable pour créer une variable utilisateur.

E (Modifier) :

Pour modifier la variable sélectionnée, ouvrez la boîte de dialogue Modifier une variable (pour les variables utilisateur) ou Modifier des variables système (pour les variables système).

F (Supprimer la variable utilisateur) :

Suppression d’une variable utilisateur sélectionnée.

Note: Vous ne pouvez pas supprimer une variable système.
G (Insérer) :

Ajout de la variable sélectionnée au point d’insertion dans le document en cours.

Pour insérer une variable, vous pouvez également cliquer deux fois sur la variable dans le panneau.

H (Mettre les variables système à jour) :

Si vous modifiez la définition d’une variable système, utilisez cette commande pour mettre à jour les définitions des variables utilisées dans le document en cours.

I (Convertir en texte) :

Conversion de la variable en texte. Dans la boîte de dialogue Convertir les variables en texte, vous pouvez choisir de convertir en texte la variable sélectionnée, les variables nommées ou toutes les variables.

J (Sélectionner) :

Dans la liste des documents ouverts, sélectionnez les variables disponibles dans ce document pour les afficher.

Important: Vous pouvez utiliser des variables au niveau du document. Cela signifie que des variables disponibles dans un document peuvent être utilisées dans ce document. Vous pouvez cependant importer des variables d’un document à un autre.
K (Actualiser) :

Actualiser la liste des variables disponibles.

Pour trier la liste dans le panneau Variables, cliquez sur un intitulé de colonne dans la liste. La liste est triée selon l’en-tête sur lequel vous cliquez.

Pour redimensionner une colonne :

  1. Passez le pointeur de la souris entre deux colonnes jusqu’à ce que le curseur change pour une flèche bidirectionnelle.

  2. Maintenez le bouton gauche de la souris enfoncé, faites glisser, puis relâchez le bouton de la souris lorsque la largeur de la colonne correspond au besoin.

Dans le panneau Variables, vous pouvez créer et supprimer des variables utilisateur, modifier des variables système et utilisateur et convertir des variables insérées dans un document en texte modifiable.

  • Création de variables utilisateur
    Découvrez comment créer des variables utilisateur dans Adobe FrameMaker.
  • Insertion de variables
    Découvrez comment insérer une variable dans un document dans Adobe FrameMaker.
  • Insertion de variables dans des documents structurés
    Découvrez comment insérer une variable dans un document structuré dans Adobe FrameMaker.
  • Insérer de variables dans les en-têtes et les pieds
    Découvrez comment ajouter des variables aux en-têtes et aux pieds dans Adobe FrameMaker.
  • Modification des variables utilisateur et système
    Découvrez comment modifier des variables utilisateur et système dans Adobe FrameMaker.
  • Suppression de variables
    Découvrez comment supprimer des variables utilisateur dans Adobe FrameMaker.
  • Conversion de variables en texte
    Découvrez comment créer des variables utilisateur dans Adobe FrameMaker.
  • Importation de variables d’un document à un autre
    Découvrez comment importer des variables d’un document à l’autre dans Adobe FrameMaker.
Parent topic: Contenu de source unique


Création de variables utilisateur

Découvrez comment créer des variables utilisateur dans Adobe FrameMaker.

Introduction

Créez et ajoutez des variables utilisateur pour afficher des informations personnalisées dans un document. Par exemple, vous pouvez créer une variable nom_auteur qui définit le nom de l’auteur du document. Ou bien, vous pouvez créer une variable nom_produit pour indiquer le nom du produit.

Pour créer une variable utilisateur :

  1. Dans le panneau Variables, cliquez sur Créer une nouvelle variables utilisateur.

    La boîte de dialogue Ajouter/Modifier une variable s’affiche.

    Figure 1. Boîte de dialogue Ajouter une variable
    Boîte de dialogue Ajouter/modifier une variable dans FrameMaker

  2. Saisissez un nom pour la variable : Nom du produit.

    Important: Si vous saisissez un nom utilisé par une variable existante (système ou utilisateur), la définition de la variable existante est remplacée.

  3. Entrez une définition pour la variable.

    Par exemple, vous pouvez entrer la définition FrameMaker pour la variable Nom du produit.

  4. Pour créer la variable, cliquez sur Ajouter.

    Si vous modifiez la définition d’une variable existante, cliquez sur Edition.

Après avoir créé une variable utilisateur, vous pouvez insérer la variable dans votre document.

Vous pouvez également utiliser des noms de style de paragraphes ou des noms d’éléments dans la définition de variable.

Par exemple, <$paratext[ChapterTitle, SectionTitle, AppendixTitle]> récupère le texte du paragraphe le plus récent avec le style de paragraphes ChapterTitle, SectionTitle ou AppendixdTitle.

Vous pouvez également choisir un style de caractères pour la variable en faisant précéder la définition de la variable par le nom du style de caractères. Il est recommandé de fermer le formatage avec le composant <Default ¶ Font>.

Pour appliquer un style de caractères à une définition de variable :

  1. Cliquez sur le nom d'un style de caractères (par ex., <strong>) dans la liste. Le nom du style de caractères est ajouté à la définition de la variable.

  2. Faites suivre le style de caractères par la valeur de texte de la variable. Vous pouvez terminer la plage de formatage en ajoutant <Default ¶ Font> (forme courte : </>).

    Exemple :

    <Emphasis>Adobe<Default ¶ Font>

    Vous pouvez également ajouter plusieurs styles de caractère à un autre texte dans la définition de la variable. Exemple :

    <Emphasis>Adobe <strong>FrameMaker<Default ¶ Font>
Parent topic: Variables


Insertion de variables

Découvrez comment insérer une variable dans un document dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Découvrez comment insérer une variable dans un document

  • Affichage des variables dans un document

Introduction

Vous pouvez insérer une variable dans les pages courantes ou les maquettes d’un document Adobe FrameMaker.

Par exemple, pour afficher la date de la dernière modification dans le pied de page d’un document, ajoutez la variable Date de modification au pied d'une maquette du document.

Vous pouvez également afficher une valeur de variable à un emplacement spécifique du contenu d’un document en insérant la variable dans la page courante du document.

Découvrez comment insérer une variable dans un document

Pour insérer une variable dans un document, procédez comme suit :

  1. Placez le point d’insertion à l’emplacement du document où insérer une variable.

  2. Pour insérer la variable au point d’insertion, sélectionnez la variable dans le panneau Variables. Cliquez sur Insérer ou cliquez deux fois sur la variable dans la liste pour insérer la variable au point d’insertion.

Note: Le panneau Variables affiche uniquement les variable valides dans le contexte actuel. Par exemple, les variables E/P courant sont affichées dans le panneau uniquement si êtes dans la maquette d’un document.

Affichage des variables dans un document

Il dépend du type de variable et de sa position dans le document si le nom de variable ou la valeur de variable est affiché. Toutes les variables utilisateur et la plupart des variables système affichent la valeur sur les maquettes ou pages courantes d’un document.

Les variables système suivantes affichent le nom sur la maquette et la valeur sur la page courante :

  • Variables de numéro de page courante

  • Variables E/P courant

Parent topic: Variables


Insertion de variables dans des documents structurés

Découvrez comment insérer une variable dans un document structuré dans Adobe FrameMaker.

Lorsque vous insérez une variable dans un document structuré, Adobe FrameMaker insère une variable XML et crée un élément d’entité XML. FrameMaker utilise ensuite cette combinaison de variable et entité XML pour conserver la variable.

Pour afficher la variable et l’entité XML créées dans XML, accédez à la vue XML.

Par exemple, si vous insérez la variable Date de modification (longue) dans un document structuré, FrameMaker insère une variable &fm.lmdate; et un élément d’entité correspondant.

Figure 1. Variable fm.lmdate; et élément d’entité correspondant
Insertion de variables dans XML

Parent topic: Variables


Insérer de variables dans les en-têtes et les pieds

Découvrez comment ajouter des variables aux en-têtes et aux pieds dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Variables E/P courant

  • Utilisation des marqueurs pour afficher un texte dans un en-tête ou pied de page courant

  • Création d’un en-tête ou d’un pied de page de style dictionnaire

Introduction

Dans Adobe FrameMaker, vous pouvez ajouter une variable à un en-tête ou un pied en cours d’exécution sur la maquette d’un document. La variable s’affiche sur toutes les pages courantes du document auxquelles cette maquette s'applique.

Variables E/P courant

Le tableau suivant décrit les variables par défaut E/P courant (En-tête/Pied courant) disponibles dans un (nouveau) document vide :

Variable E/P courant par défaut | Description
E/P courant 1 | Titre du chapitre
E/P courant 2 | Intitulé de premier niveau. Par exemple, En-tête 1.
E/P courant 3, E/P courant 4, E/P courant 13 jusqu’à E/P courant 18 | Texte de marqueur défini pour les marqueurs de type En-tête/Pied de page $1 jusqu’à $8.
E/P courant 5 jusqu’à E/P courant 12 | Texte du paragraphe tel que défini par la partie etiqpara de la définition.
Important: Vous pouvez modifier la définition par défaut de toutes les variables E/P courant selon les exigences de votre projet. Par exemple, vous pouvez créer une variable E/P courant contenant du texte fixe, un ou plusieurs composants et des styles de caractères.

Utilisation des marqueurs pour afficher un texte dans un en-tête ou pied de page courant

Vous pouvez utiliser les variables E/P courant (4, 5 et 13 à 18) pour ajouter le texte de marqueur à un en-tête ou un pied de page courant. Utilisez ces variables pour afficher un texte dans un en-tête ou pied de page qui n’est pas disponible dans le contenu ou une variable système.

  1. SélectionnezAffichage > Pages courantes pour afficher les pages courantes d’un document.

  2. Placez le point d’insertion à n’importe quel endroit du document. Sélectionnez Insérer > Marqueur pour ouvrir la boîte de dialoguq Marqueur.

    Note: L’emplacement du marqueur dans le document n’est pas pertinent. Par exemple, vous pouvez placer tous les marqueurs pour inclure un texte d’en-tête ou de pied de page à un emplacement du document.

  3. Dans la liste contextuelle Type de marqueur, sélectionnez En-tête/Pied page $1.

  4. Dans la zone Texte du marqueur, saisissez le texte à afficher dans l'en-tête ou le pied.

  5. SélectionnezAffichage > Maquettes pour afficher les maquettes du document. Insérez la variable variable E/P courant 3 dans l’en-tête ou le pied.

De même, utilisez le type de marqueur E/P courant 4 et E/P 13 à E/P 18 avec l'en-tête/pied 2 à l'en-tête/pied $8 pour ajouter un texte de marqueur supplémentaire à un en-tête ou à un pied courant.

Création d’un en-tête ou d’un pied de page de style dictionnaire

Le terme affiché dans l’en-tête ou le pied de page d’une page numérotée impaire d’un dictionnaire est le premier terme décrit sur la page de numéro impair. De même, le terme affiché dans l’en-tête ou le pied de page de numéro pair est le dernier terme décrit sur la page de numéro pair. Pour créer un en-tête ou un pied de style dictionnaire, utilisez l'une des variables paratext (E/P courant 5 à E/P 12) :

  1. SélectionnezAffichage > Maquettes pour afficher la maquette du document. Naviguez vers la maquette impaire.

  2. Sélectionnez une variable paratext et cliquez sur Edition dans le panneau Variables. La boîte de dialogue Ajouter/Modifier une variable s’affiche.

  3. Dans la boîte de dialogue Ajouter/Modifier une variable, modifiez la définition de la variable pour spécifier le style de paragraphes utilisé par les termes du dictionnaire dans le document. Par exemple, modifiez la définition de E/P courant 5 en <$textepara[Intitulé3]>.

  4. Insérer la variable dans l’en-tête de page impaire.

  5. Accédez à l’en-tête de page paire.

  6. Dans la boîte de dialogue Ajouter/Modifier une variable, modifiez la définition de la variable pour spécifier le style de paragraphes utilisé par les termes du dictionnaire dans le document. Par exemple, modifiez la définition de E/P courant 5 en <$textepara[+Intitulé3]>.

    Important: Le signe plus (+) qui précède le style de paragraphes affiche le texte du dernier paragraphe avec le style indiqué dans les définitions de variable.

Les en-têtes de page impairs du document affichent le premier style de paragraphes défini dans la variable E/P courant. Les pages paires affichent le dernier style de paragraphes.

Parent topic: Variables


Modification des variables utilisateur et système

Découvrez comment modifier des variables utilisateur et système dans Adobe FrameMaker.

Introduction

Vous pouvez modifier la définition d’une variable système ou utilisateur.

Une définition de variable utilisateur peut inclure des styles de caractères du document.

Une définition de variable système peut contenir des composants FrameMaker autres que les styles de caractères. Par exemple, le format par défaut pour la variable système Date de création (courte) est :

<$monthnum>/<$daynum>/<$shortyear>

Vous pouvez le convertir dans tout autre format comme :

<$daynum>/<$monthnum>/<$shortyear>

De même, vous pouvez modifier la définition et le style de caractères appliqués à une variable utilisateur.

Modification d’une variable

Pour modifier une définition de variable existante, procédez comme suit :

  1. Sélectionnez la variable dans le panneau Variables, puis cliquez sur Edition.

    La boîte de dialogue Ajouter/Modifier une variable s’affiche.

    Figure 1. Boîte de dialogue Ajouter/Modifier une variable
    Boîte de dialogue de modificatin des variables dans FrameMaker

  2. Modification de la définition de la variable.

    Variables utilisateur

    Vous pouvez modifier le nom, la définition ou le style de caractères d’une variable utilisateur.

    Exemple:

    <i>Adobe FrameMaker<Default ¶ Font>

    Vous pouvez y ajouter des informations supplémentaires sur le style de caractères :

    <i>Adobe <b>FrameMaker<Default ¶ Font>

    Variables système :

    Vous pouvez modifier la définition d’une variable système à l’aide des définitions de variables disponibles dans la liste Composants.

    Vous pouvez ajouter des styles de caractères aux variables système.

    La liste Emplacement dans le panneau affiche le numéro de page dans le document actuel où la variable est utilisée.

    Note: Vous ne pouvez pas changer le nom d’une variable système.

  3. Pour enregistrer les modifications de la définition de variable, cliquez sur Edition.

Note: Lorsque vous modifiez une variable utilisateur, la boîte de dialogue Ajouter/Modifier une variable affiche le bouton Edition. Si vous modifiez le nom de la variable utilisateur et cliquez sur Edition, le nom de l’ancienne variable est modifié. Toutefois, étant donné que vous ne pouvez pas modifier le nom des variables système, le bouton Edition met uniquement à jour la définition de la variable.

Mise en surbrillance de variables dans un document

Pendant la création, vous pouvez mettre en surbrillance les variables des fichiers ouverts dans la session en cours. Cela peut vous aider à séparer les variables du texte et à les voir plus distinctement. Vous pouvez mettre les variables en surbrillance à la fois avec des documents structurés et non structurés.

Pour mettre en surbrillance les variables, effectuez les étapes suivantes :
  1. Choisissez Edition > Préférences > Variables.
  2. Sélectionnez Autoriser la mise en surbrillance. Cette option n’est pas sélectionnée par défaut.

  3. Sélectionnez la couleur de la surbrillance pour la variable dans la liste déroulante Coleur. La liste déroulante répertorie les couleurs FrameMaker par défaut. Par défaut, la couleur Saumon clair est sélectionnée.
    Note: La surbrillance de la variable prévaut sur toute couleur de fond.
  4. Cliquez sur OK. Les variables sont mises en surbrillance dans la couleur sélectionnée pour les fichiers ouverts dans la session actuelle.
    Note: Vous pouvez voir les variables mises en surbrillance uniquement dans l'environnement de création. Il n'y a pas d'impact sur les résultats publiés.
Parent topic: Variables


Suppression de variables

Découvrez comment supprimer des variables utilisateur dans Adobe FrameMaker.

Introduction

Vous pouvez supprimer des variables utilisateur qui ne sont plus nécessaires d’un document Adobe FrameMaker.

De la même manière, vous pouvez supprimer les occurrences d’une variable système ou utilisateur ajoutées dans un document.

Pour supprimer une variable utilisateur

Lorsque vous supprimez une variable utilisateur, la définition de la variable est supprimée du catalogue de variables du document. Après cela, la variable n’est plus utilisable dans le document.

Pour supprimer une variable utilisateur, procédez comme suit :

  1. Sélectionnez la variable utilisateur dans le panneau Variables, puis cliquez sur Supprimer.

  2. Si la variable est utilisée dans le document en cours, le message qui s’affiche indique que toutes les occurrences figurant dans le document seront converties en texte modifiable.

  3. Cliquez sur OK pour supprimer la variable et convertir toutes ses occurrences en texte.

Note: Si vous sélectionnez une variable système, le bouton Supprimer est désactivé.

Pour supprimer une occurrence de variable

Vous pouvez choisir de supprimer des occurrences spécifiques d’une variable dans un document. Cette option conserve la définition de la variable dans le catalogue du document et d’autres occurrences de la variable dans le document.

  1. Ouvez la boîte de dialogue Chercher/Remplacer.

  2. Dans la liste Chercher, sélectionnez Variable – Nom et saisissez le nom complet ou partiel de la variable que vous souhaitez supprimer de votre document.

  3. Cliquez sur Chercher pour trouver la variable dans le document.

  4. Pour supprimer l’occurrence sélectionnée, appuyez sur la touche Supprimer ou cliquez sur Supprimer au-dessous de la liste des occurrences.

    Dans ce cas, l’occurrence de la variable et le texte associé sont supprimés du document.

Parent topic: Variables


Conversion de variables en texte

Découvrez comment créer des variables utilisateur dans Adobe FrameMaker.

Vous pouvez convertir des variables dans un document Adobe FrameMaker en texte. La variable convertie devient un texte modifiable.

Vous pouvez convertir :
  • La variable actuellement sélectionnée dans le document actuel
  • Toutes les occurrences d’une variable de type spécifique dans le document actuel
  • Toutes les occurrences d’une variable balisée avec un élément spécifique dans le document actuel
  • Toutes les occurrences de toutes les variables du document actuel

Pour convertir une variable, procédez comme suit :

  1. Dans le panneau Variables, cliquez sur Convertir en texte.

    La boîte de dialogue Convertir les variables en texte apparaît.

    Figure 1. Boîte de dialogue Conversion des variables
    Boîte de dialogue Convertir des variables en texte dans Adobe FrameMaker

  2. Choisissez si vous souhaitez convertir uniquement la variable actuellement sélectionnée dans le document en texte modifiable, toutes les occurrences d’une variable d’un certain type, toutes les occurrences de variables balisées avec un élément précis, ou toutes les occurrences de toutes les variables.

  3. Cliquez sur le bouton Convertir.

Parent topic: Variables


Importation de variables d’un document à un autre

Découvrez comment importer des variables d’un document à l’autre dans Adobe FrameMaker.

Introduction

Les variables d’un document sont utilisables dans le document dans lequel elles ont été créées (variables utilisateur) ou modifiées (variables utilisateur et système).

Vous pouvez rendre ces modifications accessibles à d’autres documents en important les définitions des variables.

Importation d'une variable d'un document à l'autre

Pour importer des variables d’un document à un autre, procédez comme suit :

  1. Ouvrez le document contenant les définitions de variables que vous devez rendre accessibles dans un ou plusieurs autres documents.

  2. Ouvrez le document dans lequel vous souhaitez importer les définitions de variables depuis le document source.

    Si vous utilisez un livre FrameMaker, vous pouvez sélectionner tous les documents du livre dans lequel vous souhaitez importer les définitions.

  3. Sélectionnez Fichier > Importer > Formats. La boîte de dialogue Importer des formats s’affiche.

  4. Dans la boîte de dialogue Importer des formats, cliquez sur Tout désélectionner, sélectionnez les définitions de variable, puis cliquez sur Importer.

Important: Si les documents de destination contiennent des variables utilisateur avec les mêmes noms que le document source, les définitions de variables utilisateur sont remplacées. En outre, si les définitions des variables système dans le document source sont mises à jour, les définitions des variables correspondantes dans les documents de destination sont remplacées.
Parent topic: Variables


Révision et collaboration

Découvrez les différentes façons de configurer la révision et la collaboration dans Adobe FrameMaker.

FrameMaker prend en charge la configuration de la révision et de la collaboration de plusieurs façons. Des facteurs tels que l’étendue des modifications et le type de révision ou de collaboration vous permettent de déterminer la méthode la plus adaptée à vos besoins. Par exemple, si un document nécessite une révision rédactionnelle par un spécialiste linguistique, et que le réviseur a accès à FrameMaker, la fonction de suivi des modifications est sûrement la meilleure option pour réviser le document. En revanche, si un document nécessite une validation technique par plus d’un expert en la matière, la configuration d’un fichier PDF de révision partagé est sûrement l’option optimale.

En plus de la fonction de suivi des modifications et de la prise en charge de la révision de fichiers PDF (en ligne dans Adobe Document Cloud ou sur votre réseau partagé), FrameMaker offre des fonctions telles que les barres de modification et la comparaison de versions, afin d’aider les auteurs et les réviseurs à suivre et à gérer les modifications dans un document.

  • Suivi des modifications de texte
    Découvrez comment effectuer le suivi de l’ajout et de la suppression de texte lors de la révision dans FrameMaker.
  • Barres de modification
    Découvrez ce que sont les barres de modification et comment elles aident à la révision et la collaboration dans Adobe FrameMaker.
  • Révision de fichiers PDF
    Découvrir ce qu’est la révision de fichiers PDF et en quoi cela constitue une méthode de collaboration appropriée dans Adobe FrameMaker.
  • Créer des packages
    Découvrez comment créer un package de livre ou de document Adobe FrameMaker avec ses fichiers connexes dans une archive zip pour la distribution et la sauvegarde.
  • Intégration de Dropbox
    Apprenez à utiliser Dropbox avec Adobe FrameMaker.
  • Comparaison de documents
    Découvrez comment comparer des documents dans Adobe FrameMaker. Comprendre le document composite et le document de résumé.
  • Comptage du nombre de mots et du nombre de caractères
    Découvrez comment trouver le nombre de mots et de caractères lors de la rédaction et de la révision d’un document dans FrameMaker.
  • FAQ et dépannage
    Consultez les questions fréquemment posées et des conseils de dépannage pour les modifications de texte dans FrameMaker.
Related information
  • Créer un document
  • Afficher ou masquer le texte conditionnel
  • Comparaison de documents
  • Sortie PDF


Suivi des modifications de texte

Découvrez comment effectuer le suivi de l’ajout et de la suppression de texte lors de la révision dans FrameMaker.

L’option Edition > Suivi des modifications du texte vous permet d’activer un mode dans lequel FrameMaker met en surbrillance le texte ajouté et supprimé pour le distinguer. Les éditeurs et les réviseurs peuvent utiliser cette fonction pour suivre, afficher et prévisualiser les modifications effectuées en affichant ou en masquant les changements.

FrameMaker effectue le suivi des modifications à l’aide d’un nom d’utilisateur ainsi que de la date et de l’heure des changements. Si vous partagez le document avec d’autres rédacteurs, au sein d’une équipe par exemple, vous pouvez connaître l’auteur et l’heure des modifications. Par défaut, FrameMaker utilise le nom de connexion de l’utilisateur actuel comme nom d’utilisateur.

  • Modifications de texte affichées et non affichées dans les documents structurés : Exemples
    Voyez quelles sont les modifications de texte que FrameMaker suit ou exclut.
  • Définition de l’étendue du suivi des modifications de texte
    Découvrez comment configurer une étendue du suivi dans FrameMaker.
  • Définir des préférences de couleur pour le suivi des modifications de texte
    Découvrez comment définir des préférences de couleur pour le suivi des modifications de texte.
  • Affichage de la barre d’outils Suivi des modifications de texte
    Comprendre la barre d’outils Suivi des modifications du texte dans FrameMaker.
  • Activer ou désactiver le suivi des modifications de texte
    Comprenez comment activer et désactiver le suivi des modifications de texte dans FrameMaker.
  • Gérez le suivi des modifications du texte dans un document
    Découvrez comment gérer le suivi des modifications de texte dans un document dans FrameMaker.
  • Afficher un aperçu d’un document contenant un suivi des modifications
    Découvrez comment afficher un aperçu d’un document contenant un suivi des modifications dans FrameMaker.
  • Enregistrement et publication d’un document configuré avec le suivi des modifications
    Découvrez comment enregistrer et publier un document avec des modifications de texte dans FrameMaker. Vous pouvez également apprendre à enregistrer un document similaire à XML.
Parent topic: Révision et collaboration


Modifications de texte affichées et non affichées dans les documents structurés : Exemples

Voyez quelles sont les modifications de texte que FrameMaker suit ou exclut.

Le tableau suivant affiche des exemples de types de modifications de texte, que FrameMaker affiche ou exclut du suivi :

Modifications de texte affichées | Modifications de texte non affichées
Ajout et suppression de texte avec le clavier | Ajout de lignes dans un tableau
Ajout de texte entre des passages de texte supprimés | Modification de contenu dans les références croisées
Coupe, copie et collage de texte | Modification de contenu dans les références croisées
Insertion et suppression de cadres ancrés | Modification de contenu dans les équations
Ajout, modification ou suppression d’en-têtes et de pieds de page | Ajout ou suppression de texte avec une API
Insertion et suppression de notes | Insertion, modification ou suppression de graphiques
Ajout, modification ou suppression de texte dans une note de bas de page | Modification du formatage
Modification de texte à l’aide de la fonction Chercher/Remplacer | Texte à l’intérieur d’un marqueur hypertexte
Correction des fautes d’orthographe à l’aide du vérificateur orthographique | Ajout et suppression de sauts de page
Remplacement de texte à l’aide de la fonction de Thésaurus | Conversion de tableau en texte
Insertion, suppression et collage de références croisées | Remplacement de variables
Ajout et suppression de marqueurs | Remplacement de références croisées
Importation et suppression de fichiers par copie ou par référence | Ajout et suppression du marqueur de balises conditionnelles
Insertion, collage et suppression de variables | Importation par copie dans des fichiers MIF
Edition de texte à l’intérieur d’une cellule de tableau |
Insertion, collage et suppression de tableaux |
Insertion et suppression d’équations |
Insertion de texte Rubi |
Modification de texte Rubi |
Parent topic: Suivi des modifications de texte


Définition de l’étendue du suivi des modifications de texte

Découvrez comment configurer une étendue du suivi dans FrameMaker.

Vous pouvez définir l’étendue du suivi des modifications pour le document, le fichier livre et le mappage DITA actifs, ou pour les documents sélectionnés. Lorsque vous ouvrez un livre ou un mappage DITA, l’étendue est définie sur Livre ou Mappage DITA par défaut.

Pour définir l’étendue de façon explicite, procédez comme suit :

  1. Sélectionnez Edition > Suivi des modifications > Etendue.

  2. Sélectionnez l’une des options ci-dessous.

    • Document

    • Livre

    • Mappage DITA

    • Documents sélectionnés

Note: Vous ne pouvez définir l’étendue sur Livre ou Mappage DITA que lorsqu’ils sont ouverts.
Parent topic: Suivi des modifications de texte


Définir des préférences de couleur pour le suivi des modifications de texte

Découvrez comment définir des préférences de couleur pour le suivi des modifications de texte.

Vous pouvez définir des préférences de couleur pour le texte qui est ajouté ou supprimé en plus du formatage par défaut appliqué par FrameMaker : le texte que vous ajoutez est souligné, le texte supprimé est barré. Evitez d’utiliser la même couleur de texte que celle définie pour les balises conditionnelles, afin que les modifications soient clairement visibles. Par ailleurs, lorsque vous prévisualisez ou affichez les modifications, désactivez les indicateurs de balises conditionnelles de manière à distinguer clairement les modifications apportées au texte.

  1. Sélectionnez Edition > Suivi des modifications du texte > Configurer la couleur.

  2. Sélectionnez ou définissez les couleurs souhaitées pour le texte ajouté et le texte supprimé, puis cliquez sur Définir.

Parent topic: Suivi des modifications de texte


Affichage de la barre d’outils Suivi des modifications de texte

Comprendre la barre d’outils Suivi des modifications du texte dans FrameMaker.

La barre d’outils Suivi des modifications du texte fournit un accès rapide à différentes commandes pour le suivi des modifications de texte.

Barre d’outils Suivi des modifications du texte dans FrameMaker

Pour afficher la barre d’outils Suivi des modifications de texte, procédez comme suit :

  1. Sélectionnez Affichage > Barre d’outils > Suivi des modifications du texte.

Parent topic: Suivi des modifications de texte


Activer ou désactiver le suivi des modifications de texte

Comprenez comment activer et désactiver le suivi des modifications de texte dans FrameMaker.

La fonction de suivi des modifications de texte est désactivée par défaut.

Sélectionnez Edition > Suivi des modifications du texte > Activer pour activer le suivi des modifications du texte.

Note: Il est recommandé d’ouvrir les documents lorsque vous activez le suivi des modifications de texte. FrameMaker ne peut activer le suivi des modifications de texte si le document comporte des erreurs qui empêchent FrameMaker de l’ouvrir.

Sélectionnez Edition > Suivi des modifications > Désactiver pour désactiver le suivi des modifications.

Parent topic: Suivi des modifications de texte


Gérez le suivi des modifications du texte dans un document

Découvrez comment gérer le suivi des modifications de texte dans un document dans FrameMaker.

Dans le menu ou dans la barre d’outils Suivi des modifications du texte, plusieurs options vous permettent de gérer les modifications de texte.

  • Sélectionnez Edition > Suivi des modifications du texte > Afficher la suivante pour afficher le modification suivante.

  • Sélectionnez Edition > Suivi des modifications du texte > Afficher la précédente pour afficher la modification précédente.

  • Sélectionnez Edition > Suivi des modifications > Accepter la modification pour accepter une modification de texte.

  • Sélectionnez Edition > Suivi des modifications du texte > Refuser la modification pour refuser une modification de texte.

  • Sélectionnez Edition > Suivi des modifications du texte > Tout accepter pour accepter toutes les modifications de texte en une seule fois.

  • Sélectionnez Edition > Suivi des modifications du texte > Tout refuser pour refuser toutes les modifications de texte en une seule fois.

Une fois acceptées, les modifications, insertions et suppressions deviennent partie intégrante du fichier. Si vous acceptez une insertion de texte, le texte inséré est conservé. Si vous acceptez une suppression de texte, le texte supprimé est effacé. Si vous refusez une insertion de texte, le texte inséré est supprimé. Si vous refusez une suppression de texte, le texte supprimé est conservé dans le fichier. Tout texte inséré ou conservé adopte le formatage du texte environnant.

Pour filtrer les éditions par nom d’auteur ou de réviseur, sélectionnezEdition > Suivi des modifications du texte > Afficher le nom du réviseur > [nom d’utilisateur].

Après avoir sélectionné le nom du réviseur, vous pouvez effectuer les opérations suivantes :

  • Afficher la suivante/précédente : affiche les modifications apportées par le réviseur sélectionné.

  • Accepter/Refuser tout : accepter ou refuser toutes les modifications apportées par le réviseur.

Note: Pour renseigner les noms des réviseurs dans un livre ou un mappage DITA, ouvrez-le, sélectionnez l’étendue souhaitée et cliquez sur Edition > Suivi des modifications du texte > Afficher le nom du réviseur > Mettre à jour la liste des utilisateurs. les noms des réviseurs sont renseignés automatiquement pour un document.
Parent topic: Suivi des modifications de texte


Afficher un aperçu d’un document contenant un suivi des modifications

Découvrez comment afficher un aperçu d’un document contenant un suivi des modifications dans FrameMaker.

Avant d’accepter toutes les modifications de texte, vous pouvez afficher un aperçu du document final, pour visualiser l’incorporation des modifications de texte dans le document. Il est également possible d’afficher le document d’origine sans que les modifications de texte soient mises en surbrillance.

Vous pouvez également prévisualiser tous les documents ou les documents sélectionnés dans le livre ou le mappage DITA en sélectionnant l’étendue appropriée.

Lorsque vous affichez un aperçu du document avec les modifications de texte, l’affichage du document passe du mode de suivi au mode d’aperçu. Dans le mode Aperçu, évitez d’effectuer sur le document des modifications ne pouvant pas être rapportées. Par exemple, ne modifiez ni n’appliquez des conditions au texte en mode Aperçu. Ces modifications ne font l’objet d’aucun suivi et vous pourriez obtenir des résultats inattendus dans le document final.

La fonction de suivi des modifications de texte est désactivée par défaut.

Note: lorsque vous affichez l’aperçu du document d’origine ou du document final pour la première fois, la fonction d’affichage de l’aperçu est désactivée par défaut. Une fois la commande Aperçu final ou Aperçu original exécutée dans un document, il est impossible de l’annuler.

  • Pour prévisualiser le document final avec les modifications de texte, sélectionnezEdition > Suivi des modifications du texte > Aperçu final.

  • Pour prévisualiser le document original avec les modifications de texte, sélectionnezEdition > Suivi des modifications > Aperçu original.

    Les modifications acceptées sont implémentées dans le document. Les modifications refusées sont supprimées et l’état du document d’origine est rétabli.

    Si vous modifiez le document lorsque l’option Aperçu final ou Aperçu original est sélectionnée et que la fonction de suivi des modifications du texte est activée, FrameMaker passe du mode d’aperçu au mode de suivi. Dans ce cas, il n’est pas possible d’annuler les modifications une fois que vous les avez effectuées.

  • Pour désactiver le mode Aperçu, sélectionnez Edition > Suivi des modifications du texte > Aperçu désactivé.

Parent topic: Suivi des modifications de texte


Enregistrement et publication d’un document configuré avec le suivi des modifications

Découvrez comment enregistrer et publier un document avec des modifications de texte dans FrameMaker. Vous pouvez également apprendre à enregistrer un document similaire à XML.

Lorsque vous enregistrez un document après avoir inséré des modifications avec la fonction de suivi activée, les propositions de modifications sont également enregistrées dans le document. Lorsque vous imprimez un document, FrameMaker imprime les modifications de texte telles qu’elles s’affichent dans le document.

Lorsque vous enregistrez une carte DITA comme document composite et si la carte DITA dispose de rubriques avec différents paramètres de Suivi des modifications du texte appliquées, toutes les modifications suggérées sont acceptées dans le document final et le statut Aperçu est appliqué à toutes les rubriques.

Lorsque vous publiez le document au format PDF, celui-ci s’affiche avec les propositions de modifications. Si vous publiez un document FrameMaker au format HTML ou RTF, les modifications sont automatiquement acceptées et le contenu du document est directement modifié. Lorsque le mode Aperçu est activé, le document est publié différemment selon que vous avez choisi l’option Aperçu final ou Aperçu original.

Enregistrement au format XML d’un document avec des modifications de texte

Il est possible d’enregistrer au format XML un document contenant des modifications de texte. Vous pouvez ouvrir le document XML dans FrameMaker, activer le suivi des modifications de texte, puis modifier le document. Lorsque vous enregistrez de nouveau le document au format XML, les informations modifiées sont conservées à l’aide de la conversion XML bidirectionnelle.

Si la conversion bidirectionnelle des balises conditionnelles est désactivée, toutes les informations de suivi des modifications du texte sont perdues lors de la conversion XML bidirectionnelle. Par défaut, la conversion bidirectionnelle des balises conditionnelles est activée pour toutes les applications XML.

Parent topic: Suivi des modifications de texte
Related information
  • Génération d’une sortie imprimée


Barres de modification

Découvrez ce que sont les barres de modification et comment elles aident à la révision et la collaboration dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Application automatique de barres de modification

  • Application manuelle de barres de modification

  • Créer un style de caractère de barre de modification

  • Supprimer toutes les barres de modification dans un document

  • Supprimer les barres de modification d’un texte spécifique

Introduction

Dans Adobe FrameMaker, les barres de modification vous permettent d’indiquer, de façon manuelle ou automatique, les lignes ou paragraphes modifiés dans un document.

Une barre de modification correspond à une ligne verticale qui identifie visuellement le texte nouveau ou révisé. Vous pouvez afficher automatiquement des barres de modification lors de l’insertion, la modification ou la suppression de texte.

Barre de modification appliquée à la gauche du texte révisé.
Barre de modification appliquée à la gauche du texte modifié

Parfois, il peut être préférable de ne pas indiquer toutes les modifications apportées à votre document, mais seulement les plus importantes. Ainsi, si vous transmettez la deuxième révision d’un document pour relecture, vous souhaiterez sûrement attirer l’attention du correcteur sur les modifications substantielles. Dans ce cas, vous pouvez sélectionner du texte spécifique à marquer par des barres de modification au lieu de les ajouter automatiquement.

Vous pouvez supprimer ultérieurement les barres de modification du texte. Par exemple, entre les différentes ébauches d’un manuel, vous pouvez supprimer les anciennes barres de modification avant d’en ajouter de nouvelles.

Vous pouvez insérer des barres de modification dans la plus récente de deux versions d’un document en les comparant.

Note: Il faut parfois ajouter des barres de modification à un paragraphe entier et mettre à jour les styles de paragraphe, par exemple en important des formats à partir d’un autre document. Ne supprimez pas les formats personnalisés lors de la mise à jour si vous souhaitez conserver les barres de modification. L’ajout de barres de modification à un paragraphe entier modifie son style et ce changement représente un style personnalisé.

Application automatique de barres de modification

Pour appliquer automatiquement les barres de modification lorsque vous modifiez le document, faites ce qui suit :

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Document > Barres de modification.

  3. Spécifiez l’épaisseur des barres de modification et la distance entre la colonne de texte et celles-ci.

  4. Choisissez la position des barres de modification dans la liste déroulante Position. Sélectionnez Côté plus proche du bord de page ou Côté Cote plus éloigné du bord de page pour changer la position des barres de modification d’un côté à l’autre en fonction de la mise en page.

    La position est relative aux bords de la colonne contenant le texte modifié, quel que soit le nombre de colonnes sur la page.

  5. Choisissez une couleur pour les barres de modification dans la liste déroulante Couleur.

  6. Sélectionnez Barres de modification automatiques, et cliquez sur Définir.

L’option Barres automatiques ne détecte pas les changements apportés aux graphiques importés par référence, sauf si le nom du fichier importé a été modifié. De même, elle ne détecte pas les modifications n’affectant que le formatage. Par exemple, si le style Courant d’un paragraphe est remplacée par le style Puce, aucune barre de modification ne s’affiche. Dans ce cas, vous pouvez ajouter une barre de modification manuellement, si nécessaire.

Note: si les références croisées sont mises à jour lorsque l’option Barres automatiques est sélectionnée, des barres de modification s’affichent en regard de toutes les références croisées modifiées.

Application manuelle de barres de modification

Pour appliquer manuellement les barres de modification sur le texte sélectionné ou plusieurs paragraphes, faites ce qui suit :

  1. Pour appliquer les barres de modification sur le texte sélectionné, choisissez Format > Style > Barre de modif..

  2. Pour appliquer des barres de modification à des paragraphes, cliquez sur un paragraphe ou faites glisser le pointeur sur plusieurs paragraphes.

  3. Sélectionnez Format > Paragraphes > Configuration de paragraphes et affichez les caractéristiques de l’option Police par défaut.

  4. Sélectionnez Barre de modification et cliquez sur Appliquer.

Créer un style de caractère de barre de modification

Vous pouvez également appliquer des barres de modification au texte à l’aide d’un style de caractère de barre de modification.

Pour créer un style de caractère de barre de modification, faites ce qui suit :

  1. liquez sur n’importe quel paragraphe et choisissez Format > Caractères > Configuration de caractères.

  2. Dans la fenêtre Configuration de caractères, définissez toutes les propriétés sur Tel que.

  3. Sélectionnez Barre de modification.

  4. Dans la zone Style, entrez un nom pour le style de caractère.

  5. Cliquez sur Créer.

Supprimer toutes les barres de modification dans un document

Pour supprimer toutes les barres de modification dans un document, faites ce qui suit :

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Format > Document > Barres de modification.

  3. Sélectionnez Effacer toutes les barres et cliquez sur Définir.

Supprimer les barres de modification d’un texte spécifique

Pour supprimer les barres de modification d’un texte spécifique, procédez de l’une des manières suivantes :

  • Sélectionnez le texte et choisissez Format > Style > Barre de modif. Si une partie du texte sélectionné n’est pas marquée par une barre de modification, choisissez deux fois la commande Format > Style > Barre de modifications pour supprimer les barres de modification.

  • Pour supprimer une barre de modification appliquée par un style de caractère, sélectionnez le texte et appliquez Police par défaut dans le Catalogue des caractères.

Importation de commentaires et d’annotations d’un PDF partagé
Tip: Pour examiner et modifier du texte marqué par des barres de modification, utilisez la commande Chercher/Remplacer. Vous pouvez rechercher du texte défini par la caractéristique Barre de modification ou du texte utilisant un style de caractères définissant cette caractéristique.
Parent topic: Révision et collaboration
Related information
  • Comparaison de documents


Révision de fichiers PDF

Découvrir ce qu’est la révision de fichiers PDF et en quoi cela constitue une méthode de collaboration appropriée dans Adobe FrameMaker.

La révision de fichiers PDF est une option de collaboration adaptée à des environnements dans lesquels les réviseurs n’ont pas à effectuer de modifications directement dans le document source. Ils peuvent à la place utiliser Adobe Document Cloud, Acrobat Pro DC, Adobe Acrobat Reader DC pour réviser le fichier PDF créé à partir du document source.

Vous pouvez créer des fichiers PDF et configurer la révision de fichiers PDF depuis FrameMaker. FrameMaker prend en charge l’importation dans le document source de commentaires depuis un fichier PDF révisé, ce qui vous permet d’accélérer la procédure d’envoi de commentaires.

Vous pouvez envoyer un fichier PDF pour révision partagée, afin de permettre aux réviseurs de s’appuyer sur les commentaires des autres. Acrobat vous permet d’ajouter des réviseurs facilement, de contrôler l’état des révisions partagées et d’envoyer des mises à jour ou des rappels.

Lorsque vous envisagez d’envoyer un document pour révision PDF, tenez compte des points suivants avant de créer le fichier PDF :

  • Différence entre un simple PDF, un PDF de révision et une révision en ligne

    Tout document FrameMaker enregistré au format PDF en utilisant l’option Fichier > Enregistrer au format PDF peut être ouvert et révisé dans Adobe Acrobat Pro DC. Toutefois, lorsque vous importez des commentaires de fichiers PDF de ce type, FrameMaker ne dispose d’aucune information concernant la structure des documents source pour placer des commentaires et des modifications de façon fiable.

    En revanche, si vous enregistrez un document FrameMaker en utilisant l’option Fichier > Enregistrer en tant que PDF de révision, FrameMaker crée un PDF de révision. Un PDF de révision est un fichier PDF balisé, ce qui signifie que la structure logique du document et les métadonnées spécifiques sont conservées dans le fichier PDF. Ces informations aident FrameMaker à importer des commentaires de façon fiable dans le document.

    Si vous enregistrez un document FrameMaker en utilisant l’option Révision > Envoyer une révision en ligne, FrameMaker crée un PDF de révision et l’enregistre sur le serveur Adobe Document Cloud. Pour utiliser le service de révision en ligne, vous devez disposer d’un abonnement à Adobe Document Cloud. Toutefois, vos réviseurs n’ont pas besoin d’être abonnés à Document Cloud. Ils peuvent consulter le document partagé à l’aide de leur Adobe ID ou même en tant qu’invité.

  • Révision dans Acrobat Pro DC et Adobe Acrobat Reader DC

    Acrobat offre une gamme d’outils de commentaires et de balisage pour réviser des fichiers PDF. Dans Adobe Acrobat Reader, que tous les réviseurs ont en général sur leur ordinateur, seuls les outils Note et Mettre le texte en surbrillance sont disponibles par défaut. Afin de rendre disponibles tous les outils de commentaire et de balisage pour réviser un fichier PDF dans Adobe Acrobat Reader, vous devez activer les commentaires dans Adobe Acrobat Reader pour le PDF.

Créer un PDF de révision à partir d’un document non structuré

Lors de l’enregistrement d’un fichier FrameMaker non structuré au format PDF, veillez à sélectionner l’option Générer un PDF pour révision uniquement dans la boîte de dialogue Configuration PDF. Lorsque cette option est sélectionnée, un fichier PDF balisé est créé.

Créer un PDF de révision à partir d’un document structuré

Pour utiliser la fonction d’importation de commentaires PDF dans un document structuré (XML), faites ce qui suit :

  1. Attribuez des @ID à tous les éléments de votre contenu avant de créer un fichier PDF de révision. Pour attribuer les ID, vous devez vous assurer que tous les éléments disposent d’un attribut ID.

  2. Veillez à sélectionner l’option Générer un PDF pour révision uniquement dans la boîte de dialogue Configuration PDF.

  • Configurer une révision de PDF partagée
    Comprendre comment configurer une révision partagée dans Adobe FrameMaker.
  • Envoyer un PDF de révision par courrier électronique
    Découvrez comment vous pouvez envoyer un PDF de révision par courrier électronique avec Adobe FrameMaker et Adobe Acrobat Pro DC.
  • Configurer une révision de PDF en ligne
    Découvrez comment utiliser FrameMaker pour configurer une révision partagée en ligne à l’aide des services Adobe Document Cloud.
  • Importation de commentaires PDF
    Découvrez comment importer des commentaires et des annotations PDF dans Adobe FrameMaker lors de la révision et la collaboration.
Parent topic: Révision et collaboration
Related information
  • Sortie PDF balisé


Configurer une révision de PDF partagée

Comprendre comment configurer une révision partagée dans Adobe FrameMaker.

La configuration de la révision partagée d’un fichier PDF vous permet de créer un environnement de collaboration pour les réviseurs.

Pour configurer une révision de PDF partagée avec Adobe FrameMaker, faites ce qui suit :

  1. Ouvrez le document et sélectionnez Fichier > Enregistrer en tant que PDF de révision.

  2. Sélectionnez Envoyer pour révision partagée.

  3. Dans la boîte de dialogue Enregistrer le document, spécifiez un emplacement et un nom pour le fichier PDF, puis cliquez sur Enregistrer.

  4. Modifiez si nécessaire les paramètres PDF. Par exemple, spécifiez De la page et A la page si vous souhaitez enregistrer une partie du document au format PDF (et non le document dans son intégralité).

    Important: Ne désélectionnez pas les options Générer un PDF pour révision uniquement sur la page Paramètres et l’option Générer un PDF balisé sur la page Balises. Par défaut, ces options sont sélectionnées pour s’assurer que FrameMaker enregistre le fichier PDF avec suffisamment d’informations pour importer les commentaires de façon fiable dans le document source.

  5. Cliquez sur Définir-

    FrameMaker crée le PDF de révision, ouvre le fichier PDF dans Acrobat Pro DC et vous invite à commencer une révision partagée.

  6. Choisissez la manière dont vous souhaitez recevoir les commentaires des réviseurs et cliquez sur Suivant pour continuer.

  7. Pour inviter des réviseurs, spécifiez l’adresse e-mail de chacun d’entre eux.

  8. Cliquez sur Terminer. Acrobat ajoute « _Review » au nom du fichier. Les réviseurs reçoivent un lien vers le fichier et des instructions sur la publication de leurs commentaires.

Note: Pour plus d’informations sur la configuration d’une révision partagée, consultez l’article Démarrer une révision PDF dans le Guide de l’utilisateur Adobe Acrobat.
Parent topic: Révision de fichiers PDF


Envoyer un PDF de révision par courrier électronique

Découvrez comment vous pouvez envoyer un PDF de révision par courrier électronique avec Adobe FrameMaker et Adobe Acrobat Pro DC.

Pour enregistrer un document FrameMaker en tant que PDF de révision et l’envoyer pour révision par courrier électronique, faites ce qui suit dans Adobe FrameMaker :

  1. Ouvrez un document, une rubrique, un livre ou un mappage DITA.

  2. Sélectionnez Fichier > Enregistrer en tant que PDF de révision > Envoyer par courrier électronique.

  3. Dans la boîte de dialogue Enregistrer le document, spécifiez un emplacement et un nom pour le fichier PDF. Cliquez sur Enregistrer.

  4. Modifiez si nécessaire les paramètres PDF. Par exemple, spécifiez De la page et A la page si vous souhaitez enregistrer une partie du document au format PDF (et non le document dans son intégralité).

    Important: Assurez vous que l’option Générer un PDF pour révision uniquement sur la page Paramètres et l’option Générer un PDF balisé sur la page Balises sont sélectionnées. Par défaut, ces options sont sélectionnées pour s’assurer que FrameMaker enregistre le fichier PDF avec suffisamment d’informations pour importer les commentaires de façon fiable dans le document source.

  5. Cliquez sur Définir-

    FrameMaker crée le PDF de révision et ouvre le PDF dans Acrobat Pro DC.

Adobe Acrobat Pro DC vous invite à commencer une révision à partir d’un courrier électronique. Pour lancer la révision à partir d’un courrier électronique, faites ce qui suit :

  1. Cliquez sur Suivant pour continuer.

  2. Pour inviter des réviseurs, spécifiez l’adresse e-mail de chacun d’entre eux. Cliquez sur Suivant.

  3. Un message par défaut s’affiche pour les réviseurs. Modifiez l’invitation si nécessaire et cliquez sur Envoyer l’invitation.

  4. Indiquez si vous souhaitez envoyer l’invitation en utilisant votre application de courriers électroniques par défaut (par exemple Microsoft Outlook) ou une messagerie en ligne (par exemple Gmail). Cliquez sur Continuer.

  5. Vérifiez la notification de message sortant et cliquez sur OK.

Parent topic: Révision de fichiers PDF


Configurer une révision de PDF en ligne

Découvrez comment utiliser FrameMaker pour configurer une révision partagée en ligne à l’aide des services Adobe Document Cloud.

Pour créer un PDF de révision et le partager avec vos réviseurs via le service Acrobat Document Cloud, effectuez les étapes suivantes :

  1. Ouvrez un document, une rubrique, un livre ou un mappage DITA.

  2. Sélectionnez Révision > Envoyer pour révision en ligne.

    FrameMaker commence à créer un PDF de révision et vous invite à vous connecter au service Adobe Document Cloud.

  3. Si un message de confirmation de la sécurité apparaît, cliquez sur Oui.

    Note: Pour désactiver ce message de sécurité, activez l’option Faire confiance à tous les fichiers ouverts via Acrobat Distiller dans les préférences d’Acrobat Distiller. Pour plus d’informations, consultez l’article suivant de l’aide Acrobat Distiller : https://helpx.adobe.com/in/acrobat/kb/security-warning-postscript-pdf.html#PreferencetodisablethesecuritywarningdialoginDistiller.

  4. Entrez votre adresse e-mail et cliquez sur Continuer.

    Suivez les instructions à l’écran pour vous connecter à votre compte Document Cloud.

  5. Une fois que vous êtes connecté, FrameMaker charge le fichier sur votre serveur Document Cloud.

    La boîte de dialogue Envoyer pour révision en ligne s’affiche.

  6. Dans la boîte de dialogue Envoyer pour révision en ligne fournissez les détails suivants :

    • Nom de la révision : entrez une description du document que vous partagez pour révision. Cette description forme la ligne d’objet de l’e-mail qui est envoyé à tous les réviseurs.

    • Réviseurs : entrez l’ID de messagerie du réviseur et cliquez sur Ajouter.

      Note: Vous ne pouvez ajouter qu’un seul réviseur à la fois. Pour supprimer un réviseur de la liste, sélectionnez son ID de messagerie et cliquez sur Supprimer.

    • Définir l’échéance : si vous souhaitez partager une révision limitée dans le temps, choisissez l’option Définir l’échéance. Une fois que vous sélectionnez cette option, le champ de date est activé et vous pouvez choisir une date. Votre révision reste active jusqu’à la date spécifiée.

  7. Cliquez sur Envoyer.

    La tâche de révision est créée et un message Révision en ligne envoyée est affiché.

  8. Cliquez sur OK.

Note: Pour importer des commentaires dans votre document source, voir Importer les commentaires et les annotations d’un PDF de révision en ligne.
Parent topic: Révision de fichiers PDF


Importation de commentaires PDF

Découvrez comment importer des commentaires et des annotations PDF dans Adobe FrameMaker lors de la révision et la collaboration.

Dans ce sujet

  • Introduction

  • Importation de commentaires et d’annotations d’un PDF partagé

  • Importer les commentaires et les annotations d’un PDF de révision en ligne

  • Importer des annotations et des commentaires PDF après avoir modifié le document source

  • Restrictions d’importation des annotations et des commentaires PDF dans les documents modifiés

Introduction

Vous pouvez importer des commentaires et des annotations depuis un PDF de révision directement dans le document source Adobe FrameMaker, et réduire le temps nécessaire à la résolution des commentaires. L’incorporation des suggestions et des modifications des différents réviseurs impliqués dans la révision d’un fichier PDF partagé s’effectue beaucoup plus rapidement dans le document source.

FrameMaker permet l’importation des types suivants de commentaires et annotations PDF :

  • Ajouts de texte

  • Suppressions de texte

  • Remplacements de texte

  • Notes

  • Texte souligné

  • Texte surligné

L’importation d’autres types de commentaires ou d’annotations n’est pas prise en charge.

Lorsque vous importez les commentaires PDF, ils sont insérés sous forme de modifications de texte suivies, de marqueurs suivis ou de formatage de texte simple à l’emplacement correspondant du document FrameMaker. Les ajouts, suppressions et remplacements de texte sont insérés sous forme de modifications de texte. Les notes sont insérées sous forme de marqueurs de type Commentaire. FrameMaker assure le suivi des modifications de texte et des marqueurs que cette fonctionnalité soit activée ou non. Les commentaires PDF de type Mise en surbrillance sont importés avec la mise en surbrillance conservée.

Note: FrameMaker ne permet pas les insertions dans les objets comme les variables, les lignes de texte et les graphiques. En outre, les références croisées, encarts de texte, puces et numéros sont verrouillés pour la modification dans FrameMaker. Les commentaires sur ces objets sont insérés sous forme de marqueurs. Si un réviseur ajoute un commentaire en réponse à un autre commentaire dans le PDF, celui-ci est inséré sous forme de marqueur.

Importation de commentaires et d’annotations d’un PDF partagé

Pour importer des commentaires et des annotations à partir d’un PDF partagé à des fins de commentaires via Fichier > Enregistrer en tant que PDF de révisiondans un document FrameMaker, réalisez les étapes suivantes :

  1. Ouvrez le document, la rubrique, le livre ou le mappage DITA pour importer des commentaires PDF.

  2. Sélectionnez Fichier > Importer > Commentaires PDF ou Révision > Importer des commentaires > À partir du PDF de révision.

  3. Lisez les instructions qui s’affichent dans la boîte de dialogue Importer des commentaires d’Adobe Acrobat. Cliquez sur Oui.

  4. Dans la boîte de dialogue Importer des commentaires PDF, sélectionnez le fichier PDF à partir duquel importer les commentaires.

  5. Sélectionnez le type de commentaires à importer.

    Tous les commentaires

    Sélectionnez cette option pour importer tous les types de commentaires pris en charge à partir du PDF.

    Uniquement les commentaires de types insertion, suppression et remplacement

    Sélectionnez cette option pour importer uniquement des ajouts, suppressions et remplacements de texte.

    Appliquer des filtres personnalisés

    Sélectionnez cette option pour spécifier des filtres pour les commentaires que vous voulez importer. Vous pouvez filtrer des commentaires selon certains paramètres comme le type, l’auteur, l’état défini par l’auteur, l’état de sélection et la date d’insertion.

  6. Si le document source a été modifié après la création du PDF pour révision, FrameMaker vous demande de confirmer si vous voulez poursuivre l’importation.

    Si la date de modification du fichier source est postérieure à la date de création du PDF balisé, FrameMaker vous demande de confirmer si vous voulez poursuivre l’importation.

  7. FrameMaker importe les commentaires du PDF et affiche un résumé de l’importation. Ce résumé indique le nombre de commentaires que FrameMaker à importés et placés à leur emplacement exact, importés et placés à un emplacement approximatif, ainsi que ceux qu’il n’a pas réussi à placer.

  8. Cliquez sur OK pour fermer la boîte de dialogue Résumé de l’importation et revenir à la fenêtre de document.

Importer les commentaires et les annotations d’un PDF de révision en ligne

Pour importer des commentaires et des annotations à partir d’un PDF qui est partagé pour révision en ligne, faites ce qui suit :

Important: Avant d’initier le processus d’importation des commentaires, assurez-vous que le paramètre Sécurité d’Internet Explorer est réglé sur Moyen-Haut ou Moyen. La configuration du paramètre Sécurité sur Haut limite l’exécution JavaScript, ce qui peut entraîner une expérience inattendue d’importation des commentaires.

  1. Ouvrez le document, la rubrique, le livre ou le mappage DITA pour importer des commentaires PDF.

  2. Sélectionnez Révision > Gérer les révisions en ligne ou Révision > Importer des commentaires > À partir de la révision en ligne.

    Vous serez invité à vous connecter au service Adobe Document Cloud et FrameMaker récupérera les révisions actives à partir de votre compte Document Cloud.

  3. Dans la liste Importer des commentaires, sélectionnez le fichier à partir duquel vous souhaitez importer des commentaires de révision.

    Vous pouvez également rechercher votre fichier en entrant n’importe quel terme de recherche. FrameMaker recherche le terme entré dans toutes les colonnes présentées.

    Figure 1. Liste Importer les commentaires

  4. Cliquez sur Importer et ouvrir.

    FrameMaker télécharge les fichiers, importe les commentaires du PDF et affiche le panneau Révision.

  5. Utilisez le panneau Révision pour effectuer les tâches suivantes :

    Figure 2. Panneau Révision

    • Ouvrez la liste Importer des commentaires pour choisir un fichier à partir duquel importer des commentaires dans le document actuel.

    • Entrez un terme de recherche pour afficher les commentaires contenant le terme recherché.

    • Naviguez vers le commentaire précédent ou suivant dans le document.

    • Acceptez ou rejetez le commentaire actuel.

    • Affichez les commentaires d’un réviseur spécifique en sélectionnant son nom dans la liste Tous les réviseurs.

    • Dans le cas d’un livre ou d’un mappage DITA, la liste des chapitres ou des rubriques est affichée dans la liste déroulante des fichiers. Vous pouvez passer au document requis en le sélectionnant dans la liste. Le panneau de commentaires s’actualise et affiche les commentaires donnés uniquement sur le chapitre/la rubrique sélectionné(e).

Importer des annotations et des commentaires PDF après avoir modifié le document source

Vous pouvez modifier le contenu source d’un document FrameMaker pendant que sa sortie PDF est en cours de révision et importer des commentaires de révision PDF.

Vous pouvez apporter les modifications suivantes au contenu FrameMaker source et importer les commentaires de révision au format PDF :

  • Modification de la position relative (en fonction des numéros de ligne) du paragraphe dans le document FrameMaker source

  • Modifier du texte autour (avant/après) du texte commenté dans le paragraphe dans le document FrameMaker source

Figure 3. Barre de modification appliquée à la gauche du texte révisé.
Apporter des modifications au contenu FrameMaker source et importer les commentaires de révision du PDF

Si le document source a changé après l’envoi du fichier PDF pour révision, les points d’insertion exacts de certains commentaires risquent d’être impossibles à déterminer. FrameMaker insère ces commentaires sous forme de marqueurs de suivi à des emplacements approximatifs. Les commentaires appliqués à des enchaînements de texte sans nom, des objets non textuels ou des objets verrouillés pour la modification sont également insérés à des emplacements approximatifs sous forme de marqueurs.

Voir la vidéo : Améliorations de la révision PDF.

Restrictions d’importation des annotations et des commentaires PDF dans les documents modifiés

  • Dans les documents .fm et .mif, si vous glissez-déposez un paragraphe n’importe où dans le document, la fonctionnalité d’importation des commentaires PDF ne fonctionnera pas correctement.

  • Si un commentaire de révision PDF s’étend sur plus de deux paragraphes et que vous modifiez la source dans le commentaire, le commentaire est importé dans le contenu publié également.

  • Si en raison d’opérations de copier-coller, des ID en double existent pour plusieurs éléments dans le document source, les commentaires PDF seront importés pour la première occurrence de l’ID et les occurrences suivantes et en double sont ignorées.

  • Dans un livre, si les chapitres sont déplacés vers le haut et vers le bas après avoir généré un PDF de révision, l’importation de commentaires PDF ne fonctionne pas correctement.

  • Si le texte qui est commenté dans le PDF est modifié dans la source, le commentaire est importé en tant que marqueur avec le type commentaire. Vous pouvez voir ces marqueurs dans le panneau Marqueur.

Parent topic: Révision de fichiers PDF


Créer des packages

Découvrez comment créer un package de livre ou de document Adobe FrameMaker avec ses fichiers connexes dans une archive zip pour la distribution et la sauvegarde.

Vous pouvez compresser un fichier Adobe FrameMaker .book, .ditamap, .xml, .mif ou .fm avec tous ses fichiers associés dans un fichier zip à des fins de distribution ou de sauvegarde. Lorsque vous choisissez de créer un package avec un livre ou le mappage DITA affiché, FrameMaker rassemble automatiquement les fichiers associés, tels que les fichiers de chapitre, d’images, d’encarts de texte, de références contextuelles, de références croisées dans un fichier .zip.

Le fichier zip compressé contient :

  • Le livre ou le mappage DITA

  • Les fichiers de chapitre ou de rubrique

  • Les fichiers référencés dans les fichiers chapitre/rubrique, tels que les encarts, les références contextuelles et les images

Attention: Lors de la compression de fichiers structurés, les fichiers de configuration d’application associés, tels que les fichiers DTD, structapps.fm, les règles de lecture-écriture et les modèles ne sont pas compressés.
Attention: FrameMaker traite les fichiers de rubrique, de chapitre ou dépendants qui existent en dehors du dossier (ou sous-dossiers) du livre ou fichier de mappage DITA comme des fichiers manquants. Pour compresser un livre ou un fichier de mappage DITA, vous devez placer l’ensemble des fichiers de rubrique, de chapitre et fichiers dépendants dans le même dossier ou sous-dossier. Sélectionnez cette option pour créer un package avec un livre ou un fichier de mappage DITA dont les fichiers de chapitre ou de rubrique et dépendants ne sont pas dans le même dossier. Sinon, la création du package pour ce livre ou fichier de mappage DITA échoue.

Pour créer un package, placez les fichiers de rubrique, de chapitre et les fichiers dépendants dans le même dossier ou sous-dossier. Tous les fichiers en dehors de ce dossier sont traités comme des fichiers manquants et ne sont pas copiés dans le fichier zip.

  1. Avec un livre ou un mappage DITA sélectionné, choisissez Fichier > Package ou appuyez sur Echap+F+l+p.

  2. Dans la boîte de dialogue Package, procédez comme suit :

    1. Modifiez le nom et le chemin du fichier zip, si nécessaire. Par défaut, le nom et l’emplacement du fichier zip du package sont les mêmes que ceux du livre ou du fichier de mappage DITA.

    2. Cliquez sur Paramètres pour exclure un ou plusieurs des types de fichiers suivants du package (fichier zip) : multimédia, images et fichiers 3D, références de contenu et références croisées, encarts de texte, et objets OLE.

    3. Sélectionnez Créer le package même s’il manque des fichiers pour créer un package même si certains fichiers de chapitre, de rubriques ou dépendants sont manquants.

      Attention: FrameMaker traite les fichiers de rubrique, de chapitre ou dépendants qui existent en dehors du dossier (ou sous-dossiers) du livre ou fichier de mappage DITA comme des fichiers manquants. Pour compresser un livre ou un fichier de mappage DITA, vous devez placer l’ensemble des fichiers de rubrique, de chapitre et fichiers dépendants dans le même dossier ou sous-dossier. Sélectionnez cette option pour créer un package avec un livre ou un fichier de mappage DITA dont les fichiers de chapitre ou de rubrique et dépendants ne sont pas dans le même dossier. Sinon, la création du package pour ce livre ou fichier de mappage DITA échoue.

    4. Pour afficher le fichier du package une fois qu’il a été créé, sélectionnez Ouvrir le dossier contenant le package après création. Une fois le package créé, le dossier contenant le fichier zip s’ouvre dans l’Explorateur Windows.

    5. Pour générer un journal de problème pour le package, sélectionnez la case Générer le fichier journal.

    6. Cliquez sur Package.

FrameMaker traite le fichier livre et crée le package. Vous pouvez maintenant partager le fichier zip avec d’autres personnes ou le sauvegarder.

Parent topic: Révision et collaboration


Intégration de Dropbox

Apprenez à utiliser Dropbox avec Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Configuration de Dropbox

  • Ajout de fichiers à Dropbox

  • Partage de l’emplacement Dropbox

  • Ouverture et enregistrement de fichiers

Introduction

Adobe FrameMaker vous permet de partager et de conserver les rubriques et fichiers associés à l’aide de Dropbox. La fonctionnalité de Dropbox telle que prise en charge dans FrameMaker vous permet de partager des fichiers pour :

  • Révision par des experts et autres intervenants

  • Partage du travail avec les rédacteurs techniques au cours de leurs déplacements ou s’ils se trouvent à l’extérieur de votre réseau

Configuration de Dropbox

Les utilisateurs souhaitant utiliser Dropbox afin de partager des fichiers doivent télécharger et configurer Dropbox sur leurs ordinateurs, et créer un compte Dropbox :

  1. Téléchargez et installez l’application Dropbox sur votre ordinateur.

  2. Dans FrameMaker, sélectionnez Edition > Préférences....

  3. Sélectionnez Global > Dropboxet paramétrez les éléments suivants :

    Dossier Dropbox actuellement sélectionné : le chemin vers votre dossier Dropbox. Cliquez sur Sélectionner pour naviguer vers votre dossier Dropbox si le champ est vide.

    Supprimer les fichiers de Dropbox après les avoir copiés localement : si cette option est sélectionnée, lorsque vous sélectionnez l’enregistrement local ou l’enregistrement local avec les dépendances, les fichiers sont supprimés du dossier Dropbox sur votre ordinateur.

    Créer une structure de dossier pour les fichiers dépendants lors du téléchargement : FrameMaker crée une structure de fichiers dans le dossier Dropbox similaire à celle que vous téléchargez ou chargez. Si cette option n’est pas sélectionnée, FrameMaker crée la structure de dossier uniquement pour les dossiers qui existent au même niveau ou à un niveau inférieur, conformément au document, livre ou fichier ditamap que vous chargez ou téléchargez. Si cette option est sélectionnée, FrameMaker crée une structure de dossier similaire dans le composant le plus élevé (dossier/fichier) même pour les dossiers qui existent en dehors ou au-dessus du fichier que vous chargez ou téléchargez.

  4. Cliquez sur OK.

Ajout de fichiers à Dropbox

Ajoutez des fichiers à Dropbox afin de les partager avec d’autres utilisateurs. Après avoir ajouté les fichiers à Dropbox, vous pouvez Partage de l’emplacement Dropbox.

  1. Ouvrez un fichier dans FrameMaker.

  2. Sélectionnez Fichier > Utilitaires > Dropbox > Enregistrer dans le dossier Dropbox avec les dépendances. Lorsque vous sélectionnez Enregistrer dans le dossier Dropbox avec les dépendances, les actifs suivants sont également téléchargés vers Dropbox :

    • Fichiers de chapitre référencés dans le fichier de livre

    • Fichier de livre pertinent pour un fichier de chapitre

    • Fichiers image

    • Encarts de texte

Partage de l’emplacement Dropbox

Pour que les autres utilisateurs puissent partager des fichiers avec vous, partagez un emplacement Dropbox avec eux. Créez un dossier partagé dans Dropbox et partagez-le avec d’autres utilisateurs qui doivent configurer Dropbox dans FrameMaker. Vous pouvez également partager un lien vers un fichier unique avec d’autres utilisateurs via Dropbox.

Ouverture et enregistrement de fichiers

Pour ouvrir un fichier dans le dossier Dropbox, choisissez Fichier > Utilitaires > Dropbox > Ouvrir. FrameMaker ouvre le fichier à partir de Dropbox. Vous pouvez modifier ou enregistrer le fichier.

Parent topic: Révision et collaboration


Comparaison de documents

Découvrez comment comparer des documents dans Adobe FrameMaker. Comprendre le document composite et le document de résumé.

Dans Adobe FrameMaker, vous pouvez obtenir des informations spécifiques sur les différences entre deux documents ou différentes versions d’un document en comparant les deux documents ou versions. Lorsque vous comparez deux documents, FrameMaker crée un document composite et un résumé.

Document composite

Le document composite est un document qui combine la nouvelle version et l’ancienne. Il montre les différences avec le suivi des modifications. Vous pouvez spécifier les étiquettes de condition à appliquer au texte modifié, inséré et supprimé. Vous pouvez également spécifier si FrameMaker doit marquer les modifications à l’aide de barres de modification.

Dans le document composite, FrameMaker considère les différences comme étant des insertions ou des suppressions. Par exemple, si le contenu d’un cadre graphique a changé, les deux versions s’affichent dans le document composite. L’ancienne version est marquée comme étant supprimée et la nouvelle comme étant insérée. Les variables dans le document composite utilisent les nouvelles définitions, mais ne sont pas marquées comme étant modifiées. Seules les variables insérées et supprimées sont considérées comme modifiées.

Résumé

Le résumé contient une liste générale et une liste de révision pour chaque type d’élément comparé. Vous pouvez créer ce résumé sous forme de document hypertexte contenant des liens vers les pages où les modifications ont eu lieu. La création d’un tel document permet d’afficher rapidement les pages modifiées pour les lire ou les modifier.

Dans le résumé (appelé Summary.fm), les différences sont considérées comme étant des insertions, des suppressions ou des modifications. Si un élément a été déplacé, il est marqué comme étant supprimé et inséré. FrameMaker affiche le numéro de la page sur laquelle le changement s’est produit dans la nouvelle version, dans l’ancienne version et dans le document composite. Pour les insertions, le numéro de page donné pour l’ancienne version représente la page où l’élément serait inséré pour correspondre à la nouvelle version. Dans le cas de suppressions, le numéro de page de la nouvelle version désigne la page où l’élément s’afficherait s’il n’avait pas été supprimé

  • Types d’objets comparés
    Comprendre quels objets Adobe FrameMaker vérifie en comparant deux versions d’un document dans Adobe FrameMaker.
  • Comparaison de deux versions d’un document
    Découvrez comment comparer deux versions d’un document dans Adobe FrameMaker.
  • Comparaison de documents contenant des balises conditionnelles
    Découvrez comment comparer les documents qui contiennent des balises conditionnelles dans Adobe FrameMaker.
Parent topic: Révision et collaboration


Types d’objets comparés

Comprendre quels objets Adobe FrameMaker vérifie en comparant deux versions d’un document dans Adobe FrameMaker.

Lors de la comparaison de deux versions d’un document, Adobe FrameMaker vérifie le contenu des enchaînements possédant le même nom sur les pages Corps et Référence. FrameMaker compare les objets suivants :

  • texte
  • cadre ancré
  • notes de bas de page
  • tableaux
  • variables et leurs définitions
  • références croisées et leurs formats
  • texte de note de bas de page
  • types de marqueurs et texte de marqueur

FrameMaker ne compare pas les éléments de structure. FrameMaker compare le contenu des éléments.

Ainsi, FrameMaker détecte les différences ci-dessous :

Cadres ancrés

FrameMaker compare les objets figurant dans le cadre. Si les objets sont différents ou s’ils se trouvent à des positions différentes, tout le cadre ancré est marqué comme étant modifié.

Références croisées

FrameMaker détermine si une référence croisée est externe ou interne. FrameMaker recherche également le nom du format de la référence, le texte du marqueur à la source et le chemin d’accès du fichier référencé (pour les références croisées externes). Si l’une de ces caractéristiques a changé, la référence croisée est marquée comme étant modifiée.

panneau Équations

FrameMaker compare la taille de l’équation, son emplacement au sein du cadre graphique et les expressions mathématiques. Si l’un de ces objets a changé, l’équation entière est marquée comme étant modifiée.

Graphiques importés

FrameMaker compare le contenu et l’échelle en ppp (point par pouce) des graphiques importés. Par exemple, FrameMaker vérifie si l’objet a été inversé ou a subi une rotation et compare la taille du cadre. FrameMaker compare également la manière dont le graphique a été importé (par référence ou par copie). Lorsque vous importez un graphique par référence, FrameMaker compare les chemins de fichier. Si l’une de ces caractéristiques a changé, la ligne contenant le cadre ancré du graphique importé est marquée comme étant modifiée.

Tableaux

FrameMaker vérifie le nombre de lignes et de colonnes ainsi que la fusion et la rotation des cellules. Si l’une de ces caractéristiques a changé, FrameMaker marque la ligne contenant le symbole d’ancrage du tableau comme étant modifiée. Si le texte des cellules a changé, seul le nouveau tableau s’affiche dans le document composite. FrameMaker marque la ligne de la cellule qui a changé comme étant modifiée. Si plus de 75 % des cellules ont changé, tout le tableau est marqué comme étant modifié.

FrameMaker ne vérifie pas le formatage du texte ni celui des tableaux. Par conséquent, il ne détecte pas que le trait d’encadrement ou l’ombrage d’un tableau est différent ni qu’une couleur différente est attribuée au texte, le cas échéant.

La version en anglais de FrameMaker et la version en japonais s’exécutant sur un système d’exploitation japonais peuvent comparer du texte japonais.

Encarts de texte

FrameMaker compare la date de modification, le nom du fichier, les chemins d’accès relatifs des encarts de texte et la méthode employée pour importer l’encart de texte. Par exemple, pour les encarts de texte importés, FrameMaker détermine si les lignes ont été fusionnées dans les paragraphes. Si l’un de ces objets a changé, l’encart de texte entier est marqué comme étant modifié.

FrameMaker ne compare pas les objets suivants :

  • Enchaînements de la maquette, enchaînements des en-têtes et pieds de page et enchaînements non étiquetés

  • Objets graphiques ou lignes de texte ne se trouvant pas dans des cadres ancrés

  • Position des cadres ancrés

  • Numéros et caractéristiques des notes de bas de page

  • Etiquettes des paragraphes, caractères et tableaux

  • Formatage du texte et des tableaux

  • Etiquettes dans le Catalogue de paragraphes, le Catalogue de caractères et le Catalogue de tableaux

  • Contenu des encarts de texte

Parent topic: Comparaison de documents


Comparaison de deux versions d’un document

Découvrez comment comparer deux versions d’un document dans Adobe FrameMaker.

Pour comparer deux versions d’un document dans Adobe FrameMaker, faites ce qui suit :

  1. Ouvrez les deux versions du document. Si ce dernier contient des balises conditionnelles, toutes les conditions doivent être visibles.

  2. Dans la version la plus récente, choisissez Fichier > Utilitaires > Comparer des documents.

  3. Choisissez l’ancienne version dans la liste déroulante et spécifiez les documents à créer par FrameMaker. La liste déroulante Document le plus ancien répertorie tous les documents nommés ouverts, sauf le document en cours.

  4. Cliquez sur Options, faites ce qui suit et cliquez sur Définir :

    • Spécifiez le type d’affichage du texte inséré dans la zone Indiquer les insertions par. Sélectionnez l’étiquette de condition par défaut (Inséré) ou une autre étiquette de condition. Vous pouvez choisir de ne pas marquer le texte inséré.

    • Spécifiez le type d’affichage du texte supprimé dans la zone Indiquer les suppressions par. Sélectionnez l’étiquette de condition par défaut (Supprimé), une autre étiquette de condition ou du texte que vous spécifiez. Pour omettre le texte supprimé dans le document composite, cochez la case Texte de remplacement et laissez le champ vide.

    • Pour marquer tous les changements (insertions et suppressions) par des barres de modification dans le document composite, sélectionnez l’option Indiquer les changements par des barres de modification. FrameMaker utilise les paramètres de barre de modification en cours pour le document.

    Tip: Pour ajouter des barres de modification à la nouvelle version du document, sélectionnez l’option Indiquer les changements par des barres de modification. Sélectionnez Texte de remplacement dans la zone Indiquer les suppressions par et laissez le champ Remplacement vide.

  5. Cliquez sur Comparer. Une fois la comparaison terminée, FrameMaker affiche le document composite et le résumé. Si les deux versions sont identiques, aucun document n’est créé.

  6. Pour faire du résumé un document hypertexte, cochez la case Créer des liens hypertexte dans le résumé. Si vous cliquez sur le numéro de page d’une modification dans le résumé, FrameMaker affiche la page. Vous pouvez afficher la page de la nouvelle version, de l’ancienne version ou du document composite contenant ce changement.

Parent topic: Comparaison de documents


Comparaison de documents contenant des balises conditionnelles

Découvrez comment comparer les documents qui contiennent des balises conditionnelles dans Adobe FrameMaker.

Vous pouvez comparer des documents comportant des enchaînements multiples. Pour éviter que FrameMaker compare des enchaînements incorrects, assurez-vous que chacun d’eux possède une étiquette unique.

Un document peut contenir différents enchaînements de même nom, par exemple des enchaînements distincts appelés « A » sur des pages non connectées. Dans ce cas, un message d’alerte répertorie les enchaînements en double lorsque vous essayez de comparer les documents. FrameMaker compare les enchaînements uniquement si chaque document contient un enchaînement de même nom.

FrameMaker ignore le texte masqué et les graphiques qui ne s’affichent pas.

Procédez de l’une des façons suivantes :

  • Pour comparer l’intégralité du texte de deux documents contenant des balises conditionnelles, affichez toutes les conditions avant d’effectuer la comparaison.

  • Pour comparer une partie du texte dans deux documents contenant des balises conditionnelles, affichez les conditions relatives à une expression spécifique avant d’effectuer la comparaison.

  • Pour ignorer les balises conditionnelles lors de la comparaison de documents, masquez toutes les conditions avant d’effectuer la comparaison.

Tout élément conditionnel masqué du nouveau document est restitué, masqué, dans le document composite généré.

Parent topic: Comparaison de documents


Comptage du nombre de mots et du nombre de caractères

Découvrez comment trouver le nombre de mots et de caractères lors de la rédaction et de la révision d’un document dans FrameMaker.

Lors de la rédaction ou de la révision d’un document, il peut être nécessaire de connaître le nombre de mots et le nombre de caractères du document. Le comptage du nombre de caractères s’avère utile dans les documents rédigés dans des langues asiatiques et contenant des caractères de largeur double (multi-octets).

  • Sélectionnez Fichier > Utilitaires > Rapports sur les documents.

  • Sélectionnez Comptage du nombre de caractères asiatiques ou Nombre de mots, puis cliquez sur Exécuter.

    Note: Le rapport de Comptage du nombre de caractères asiatiques donne le nombre de caractères de largeur simple, de largeur double et le nombre total de caractères.

En plus de trouver le nombre de mots ou de caractères d'un fichier individuel, vous pouvez également afficher le nombre total de mots de chaque fichier de votre livre.

  • Sélectionnez le fichier livre, puis Fichier > Utilitaires > Nombre de mots du livre.

    Le rapport traite tous les fichiers de votre livre principal, les livres imbriqués et même les fichiers des dossiers de votre livre. Vous pouvez également enregistrer le rapport sous forme de fichier CSV en cliquant sur Enregistrer le rapport.

Parent topic: Révision et collaboration


FAQ et dépannage

Consultez les questions fréquemment posées et des conseils de dépannage pour les modifications de texte dans FrameMaker.

J’ai sélectionné Activer le Suivi des modifications du texte. Le document ne s’ouvre pas.

Si le document auquel vous souhaitez apporter des modifications contient des erreurs, FrameMaker peut rencontrer des problèmes pour l’ouvrir. Il est recommandé d’ouvrir les documents avant d’activer le Suivi des modifications du texte.

Les barres de modification ont disparu des paragraphes.

Vérifiez que vous avez mis à jour les styles de paragraphe après l’application des barres de modification. Si vous devez mettre à jour les styles de paragraphe après l’application des barres de modification, assurez-vous de ne pas supprimer les formats personnalisés.

J’ai oublié d’activer les barres de modification avant de modifier un document. Existe-t-il un moyen d’identifier les modifications effectuées ?
Si vous avez conservé la version du document avant d’avoir apporté les modifications, vous pouvez comparer cette version à la version actuelle du document et identifier les modifications effectuées.
Voir Comparaison de deux versions d’un document.
Parent topic: Révision et collaboration


Création de contenu structuré

Découvrez en quoi consiste la création de contenu structuré et de quelle manière les règles pour la création de contenu structuré sont définies dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Avantages

  • SGML, XML et XHTML

  • DITA et DocBook

Introduction

Dans un flux de production de création de contenu non structuré, il est possible de créer des documents basés sur une narration relativement libre. Par exemple, il est possible d’avoir des intitulés suivis de paragraphes ou des graphiques avec des légendes. Dans le cas de la création de contenu structuré, les règles de contenu respectent une structure cohérente qui s’applique à toutes les informations de même type. Vous pouvez par exemple décider d’appliquer les règles de contenu suivantes :

  • Une rubrique doit toujours commencer par un titre.

  • Un paragraphe doit suivre un titre.

  • Un tableau doit avoir une ligne d’intitulé.

  • Un graphique doit avoir une légende.

La définition de ces règles de contenu se fait soit dans une définition de type de document (DTD) soit dans un schéma XML. Une vérification automatique de la conformité du contenu s’effectue suivant les règles énoncées dans la DTD ou le schéma XML.

Prenons par exemple la structure d’une adresse. Les règles de contenu exigent que les adresses contiennent un nom d’employé, un numéro de rue, un nom de rue, un nom de ville et un code postal. Dans le cas d’une création de contenu non structuré, seule une correction ou une révision permet de détecter une adresse sans numéro de rue. Avec la création de contenu structuré, une vérification automatique permet de confirmer que la structure est bien complète et conforme. Cela permet de garantir une organisation cohérente du contenu.

Avantages

Organisation cohérente des informations

Vous pouvez créer une application structurée pour vous assurer qu’une liste à puces contient au moins deux éléments ou qu’une image inclut une légende.

Validation automatique de l’organisation des informations

FrameMaker fournit des repères visuels pour indiquer lorsque la structure du document est rompue.

Figure 1. Ici, l’élément titre est absent de la rubrique DITA
Repères visuels pour indiquer que la structure d’un document est rompue

Cohérence du contenu

Imposer une structure garantit une cohérence améliorée du contenu dans plusieurs documents d’un ensemble de documents.

Prise en charge de la réutilisation du contenu

FrameMaker fournit des fonctionnalités de réutilisation du contenu basées sur l’interface utilisateur comme DITAVAL, Filtrer par attribut ou les tableaux de relations, pour permettre aux utilisateurs de réutiliser facilement le contenu ultérieurement.

Prise en charge des métadonnées pour ajouter des informations aux documents

Outre le contenu tel que le texte et les images, vous pouvez également associer des métadonnées à un document structuré, par exemple, l’auteur d’un document. Vous pouvez aussi utiliser des attributs pour associer des métadonnées à des éléments spécifiques dans un document. La fonction Filtrer par attribut dans FrameMaker vous permet de définir des valeurs d’attribut, puis de filtrer le contenu d’un document structuré en fonction de ces attributs.

Séparation du contenu et du formatage

Les auteurs se concentrent sur le contenu. Le flux de publication contrôle le formatage et l’aspect de la sortie finale. Par exemple, la sortie imprimée peut utiliser une police différente de celle en ligne.

Toutefois, FrameMaker prend en charge le formatage dans les applications structurées. Cela implique que l’environnement de création de contenu structuré de FrameMaker affiche le contenu formaté. Il fournit des repères visuels aux utilisateurs sur le formatage du document.

Figure 2. Vue XML
Vue XML du contenu formaté

Figure 3. Vue WYSIWYG
Vue WYSIWYG du contenu formaté

Réduction des efforts de localisation

Dans la mesure où les documents structurés séparent le contenu du formatage, l’utilisation des technologies de localisation réduit considérablement les efforts et les coûts de localisation.

SGML, XML et XHTML

A l’aide de FrameMaker, vous pouvez importer et exporter des documents structurés au format SGML ou XML (y compris XHTML 1.0). Une fois importé, le fichier structuré ne constitue plus un fichier SGML ou XML, mais un document FrameMaker structuré. Pour revenir au format d’origine, enregistrez le fichier au format SGML ou XML.

SGML

Le langage SGML (Standard Generalized Markup Language) est la norme internationale de tous les langages de balisage pour l’échange et le stockage des données.

Le SGML est un langage de balisage descriptif plutôt que procédural. En d’autres termes, différents systèmes peuvent traiter le même document. Chaque système applique des instructions de traitement différentes aux sections concernées.

Le SGML est le premier langage à avoir eu recours aux DTD (Document Type Definition), qui définissent de façon formelle le document par ses composants et sa structure. Les documents du même type peuvent dès lors être vérifiés et traités de façon uniforme.

Un document qui est conforme à la structure d’une DTD est considéré comme valide.

XML

Le langage XML (Extensible Markup Language) est un format généralisé de représentation d’informations structurées, principalement destiné au Web. Comme les formats HTML et SGML, XML exige l’utilisation d’éléments et d’une structure.

Cependant, le XML diffère du langage HTML dans la mesure où il est extensible. Vous pouvez ainsi définir non seulement vos éléments, mais aussi leur ordre, leurs relations, ainsi que leur mode de traitement et d’affichage.

Le XML vous permet de définir et d’appliquer une structure adaptée à votre contenu. Un document XML qui est conforme à la structure d’une DTD est considéré comme valide. Un document XML qui utilise des éléments conformes aux spécifications XML standard est considéré comme correctement formé.

XHTML 1.0

Le langage XHTML (Extensible Hypertext Markup Language) est une extension du langage HTML basée sur XML et conçue pour fonctionner avec des applications de type XML. Il peut être visualisé, édité et validé avec les outils XML standard. L’emploi du langage XHTML est une solution simple pour migrer de HTML vers XML tout en conservant une compatibilité ascendante et descendante.

XML et XHTML 1.0

Le XML constitue une base pour la création de contenu structuré et se différencie ainsi des outils de traitement de texte et de publication assistée par ordinateur basés sur le style et orientés sur les paragraphes. Le XML organise le contenu en une arborescence hiérarchique d’éléments.

Dans les environnements de traitement de texte (tels que FrameMaker non structuré), la relation entre les différents éléments du document est mise en évidence par le formatage. Le fichier documentaire, en revanche, ne saisit pas ces relations, étant donné qu’un document créé par traitement de texte est composé d’une chaîne de paragraphes. Par exemple, FrameMaker non structuré ne détecte pas la subordination d’un style paragraphe courant au style Entête1 qui le précède. La création de documents structurés, pour sa part, saisit les relations hiérarchiques entre les différents éléments d’un document.

DITA et DocBook

DITA et DocBook sont des applications structurées prêtes à l’emploi pour la documentation technique dans Adobe FrameMaker.

DITA

DITA (Darwin Information Typing Architecture) est un modèle de données XML pour la rédaction et la publication. Il s’agit d’une norme ouverte qui est définie et mise à jour par le comité technique DITA du consortium OASIS. DITA fournit un ensemble d’éléments et d’attributs, ainsi qu’une structure prédéfinie, conçus spécifiquement pour la documentation technique.

DITA 1.3 comprend cinq types spécialisés de rubrique :

  • Tâche

  • Concept

  • Référence

  • Entrée de glossaire

  • Résolution des problèmes

Parmi les éléments typiques de DITA, on trouve par exemple <title>, <shortdesc>, <prolog>, <body>, <p>, <fig>, <image>, <table> et <related-links>.

Vous trouverez ci-dessous certaines des fonctions spécifiques à DITA :

  • DITA est axée sur les rubriques. Chaque rubrique peut correspondre à du contenu qui peut être réutilisé dans différents contextes.

  • DITA peut comporter plusieurs architectures d’informations, car DITA sépare le contenu du contexte. Il est également possible d’étendre DITA afin de permettre la définition de types d’informations.

  • DITA est basée sur les rubriques. Elle fournit trois types de rubriques de base, mais permet de spécialiser ces types en fonction des besoins.

  • DITA utilise un mappage DITA qui contient des liens vers les fichiers XML dans l’ensemble de documentation. Chaque fichier XML peut être une rubrique ou une collection de rubriques.

  • FrameMaker peut publier du contenu DITA aux formats PDF, Responsive HTML5, applications mobiles pour iOS et Android, EPUB, Kindle, Microsoft HTML Help (CHM) et Basic HTML.

DocBook

DocBook est une norme ouverte, conçue pour les articles et la documentation techniques. DocBook fournit une DTD pour l’écriture de livres et d’articles techniques, avec une structure adaptée à ce type de documents.

Parmi les éléments typiques de DocBook, on trouve par exemple <article>, <section>, <title>, <articleinfo> et <pubdate>.

Vous trouverez ci-dessous certaines des fonctions propres à DocBook :

  • DocBook est axé sur les livres ou les chapitres.

  • DocBook est hiérarchique de nature et doit être développé pour une publication à source unique. Le contenu est dépendant de son contexte.

  • DocBook dispose d’un ensemble d’éléments et d’attributs fixe mais de grande taille.

  • DocBook fournit un fichier XML include qui contient tous les autres fichiers.

  • Parmi les formats de sortie DocBook, on trouve les formats PDF, HTML et HTML Help. Il est possible de l’étendre à d’autres formats de sortie avec du travail de développement.

  • Création de contenu structuré
    Apprenez à créer du contenu structuré dans Adobe FrameMaker.
  • Filtre par attribut
    Apprenez à filtrer des éléments par valeur d’attribut dans une rubrique DITA dans Adobe FrameMaker.
  • Transformations XSL
    Familiarisez-vous avec les transformations XSLT dans Adobe FrameMaker.
  • Interface utilisateur de création de contenu structuré
    Familiarisez-vous avec l’interface utilisateur de création de contenu structuré d’Adobe FrameMaker et avec les outils qu’elle vous offre pour vous aider à créer des documents structurés.
  • Eléments dans des documents structurés
    Découvrez les éléments et ce qui les rend valides, ainsi que les deux classes d’élément qui existent.
  • Utilisation d’attributs d’élément dans des documents structurés
    Apprenez à utiliser des attributs d’élément dans FrameMaker structuré.
  • Recherche/remplacement d’éléments et d’attributs dans des documents structurés
    Apprenez à rechercher et à remplacer des éléments et attributs XML dans Adobe FrameMaker.
  • Recherche dans le code source XML
    Apprenez à effectuer des recherches dans le code source XML avec Adobe FrameMaker.
  • Recherche et correction d’erreurs dans la structure des documents
    Apprenez à rechercher et à corriger des erreurs dans la structure d’un document avec Adobe FrameMaker.
  • Prise en main des applications structurées
    Prenez en main les applications structurées et découvrez l’importance du formatage dans une application structurée.
  • Conversion de documents non structurés
    Vous pouvez convertir des fichiers FrameMaker non structurés en fichiers FrameMaker structurés à l’aide de tableaux de conversion. Avec des tableaux de conversion, vous pouvez mettre en correspondance des styles de paragraphe et de tableau, des variables, des références croisées, des marqueurs et des images, avec des éléments XML.
  • Convertir des documents Word en DITA
    Apprenez à convertir des documents Microsoft Word en documents et mappage DITA.
  • Convertir des documents Markdown en DITA
    Apprenez à convertir des documents Markdown en documents et mappage DITA.


Création de contenu structuré

Apprenez à créer du contenu structuré dans Adobe FrameMaker.

Vous pouvez créer un document structuré en tant que documents XML ou documents binaires FrameMaker (*.fm).

La création de contenu structuré repose sur des éléments. Un élément dans un document contient du texte, des images ou d’autres éléments. Un document structuré se compose d’une hiérarchie d’éléments.

Figure 1. Hiérarchie d’éléments
Hiérarchie des éléments dans un document structuré

Les éléments d’un document structuré dépendent de l’application structurée sur laquelle le document est basé. Une application structurée définit les règles de structure et de mise en forme qui sont ensuite utilisées par les documents structurés qui utilisent l’application. Pour plus de détails, reportez-vous à la section Prise en main des applications structurées.

Lorsque vous créez un document structuré dans FrameMaker, vous devez spécifier l’application structurée à utiliser.

  • Création de documents XML
    Apprenez à créer, ouvrir et enregistrer un document XML avec Adobe FrameMaker.
  • Catalogue d’éléments
    Familiarisez-vous avec le Catalogue d’éléments dans Adobe FrameMaker.
  • Gestion d’éléments à l’aide du Catalogue d’éléments
    Apprenez à fusionner et à diviser des éléments et à enchaîner du contenu d’élément dans Adobe FrameMaker.
  • Texte de bannière d’élément
    Comprendre le texte de bannière d’élément dans Adobe FrameMaker et comment le montrer/le cacher, et comment configurer les paramètres de texte de bannière d’élément dans le maker.ini.
  • Limites d’éléments
    Familiarisez-vous avec les limites d’éléments et apprenez à les utiliser dans Adobe FrameMaker.
  • Création d’une sortie avec du texte de bannière d’élément et des limites d’éléments
    Familiarisez-vous avez les formats de sortie dans lesquels vous pouvez publier du texte de bannière d’élément et des limites d’éléments avec Adobe FrameMaker.
  • Utilisation des attributs d’élément
    Apprenez à utiliser des attributs d’élément dans l’interface de création de contenu structuré dans Adobe FrameMaker.
  • Création d’équations à l’aide du panneau Equations
    Apprenez à créer des équations à l’aide du panneau Equations dans Adobe FrameMaker.
  • Création d’équations à l’aide de MathML
    Apprenez à créer des équations à l’aide de l’éditeur de style et de l’éditeur de structure MathML dans Adobe FrameMaker.
  • Paramètres de langue et de police dans les documents structurés
  • Modification du sens du texte dans des documents structurés
    Apprenez à modifier le sens du texte dans des documents structurés dans Adobe FrameMaker.
  • Collage intelligent
    Familiarisez-vous avec le collage intelligent et avec la manière dont il vous permet de coller du contenu HTML, Word, Excel ou Outlook en tant que contenu DITA dans Adobe FrameMaker.
  • Texte conditionnel au format XML
    Familiarisez-vous avec le texte conditionnel dans XML dans Adobe FrameMaker.
  • Prise en charge des objets OLE dans XML
    Familiarisez-vous avec la prise en charge des objets OLE dans Adobe FrameMaker.
  • Traitement des espaces pour les fichiers XML
    Familiarisez-vous avec le traitement des espaces dans Adobe FrameMaker et avec la norme de normalisation des espaces.
  • Références croisées dans XML
    Familiarisez-vous avec les références croisées sous XML dans Adobe FrameMaker.
  • Conversion bidirectionnelle des propriétés de tableau
    Familiarisez-vous avec la conversion bidirectionnelle des propriétés de tableau dans Adobe FrameMaker.
  • Conversion bidirectionnelle des équations et des cadres ancrés
    Apprenez à appliquer une conversion bidirectionnelle à des équations et à des cadres ancrés en XML avec Adobe FrameMaker.
Parent topic: Création de contenu structuré


Création de documents XML

Apprenez à créer, ouvrir et enregistrer un document XML avec Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création d’un document XML vierge

  • Création d’un document XML basé sur un fichier DTD

  • Création d’un fichier XML basé sur une application structurée

  • Enregistrement d’un document XML

  • Ouverture d’un document XML

Introduction

Adobe FrameMaker vous permet de créer un document XML vierge à partir de zéro. Vous pouvez également créer un document XML basé sur une DTD (définition de type de document) ou une application structurée existante. Vous pouvez également ouvrir des documents XML existants, les modifier et les enregistrer.

Création d’un document XML vierge

Vous pouvez créer un document XML vierge à partir de zéro. Ce document contient un seul élément racine unique (<ROOT>).

  1. Ouvrez la boîte de dialogue Nouveau XML (Fichier > Nouveau > XML).

  2. Dans l’onglet Autres XML, sélectionnez XML vide, puis cliquez sur OK.

  3. Ouvrez le catalogue Eléments pour afficher la liste des éléments du catalogue (Affichage > Panneaux > Catalogue d’éléments).

    Note: Le catalogue Eléments contient un élément <TEXT> et un élément <ROOT>.

Dans la vue WYSIWYG, vous pouvez uniquement ajouter des éléments ROOT ou TEXT aux éléments racine.<>

Dans la vue XML, vous pouvez ajouter des éléments à la structure XML. Par exemple, vous pouvez ajouter une<SECTION> et un élément <P> dans un élément <RACINE> :

Figure 1. élément p ajouté dans la vue XML
Ajout d’un élément p dans la vue XML

Dans la vue WYSIWYG, le catalogue Eléments s’affiche désormais dans l’élément <SECTION> et l’élément <P>. Vous pouvez maintenant ajouter cet élément dans le document XML. Ce document n’est basé sur aucune application structurée. FrameMaker n’impose donc aucune règle de structure au document. FrameMaker, toutefois, garantit que la structure du XML est conservée.

Création d’un document XML basé sur un fichier DTD

Vous pouvez créer un document XML basé sur une DTD (définition de type de document) existante.

  1. Enregistrez le fragment de texte suivant dans un fichier texte.

    <!ELEMENT BOOK (CHAPTER+)>
<!ELEMENT CHAPTER (HEADLINE,BODY)>
<!ELEMENT HEADLINE (#PCDATA)>
<!ELEMENT BODY (#PCDATA)>
<!ATTLIST CHAPTER AUTHOR CDATA #REQUIRED>

  2. Enregistrez le fichier texte avec l’extension .dtd.

  3. Ouvrez la boîte de dialogue Nouveau XML (Fichier > Nouveau > XML).

  4. Dans l’onglet Autres XML, sélectionnez XML basé sur une DTD et cliquez sur OK.

  5. Dans la boîte de dialogue Nouveau XML :

    Elément racine

    Spécifiez le nom de l’élément racine du document XML. Il s’agit de l’élément le plus élevé de la hiérarchie.

    ID public

    Un ID public dans un document XML le rend transférable vers d’autres ordinateurs.

    ID système

    Chemin d’accès à la DTD. Il peut s’agir d’un chemin sur votre système de fichiers ou d’une URL.

    Note: Si vous affichez le document dans la vue XML, l’ID public et l’ID système sont stockés dans la déclaration DOCTTYPE au début du fichier.

  6. Cliquez sur OK.

    Les éléments <BODY>, <CHAPTER>, et <HEADLINE> définis dans le fichier DTD sont disponibles dans le catalogue Eléments.

  7. Insérez l’élément <CHAPTER> dans le document.

    La boîte de dialogue Attributs du nouvel élément vous invite à spécifier la valeur de l’attribut AUTHOR.

Création d’un fichier XML basé sur une application structurée

Une application structurée définit les règles de structure (avec EDD ou DTD), le formatage du contenu (avec des modèles) et les règles de lecture/écriture pour les documents basés sur l’application. FrameMaker fournit un ensemble d’applications structurées clé en main que vous pouvez utiliser pour créer des documents. Ces applications sont basées sur les normes ouvertes suivantes :

DITA

DITA (Darwin Information Typing Architecture) fournit une DTD et un ensemble de règles prêts à l’emploi, conçus spécifiquement pour l’écriture de documentation en ligne, comme les fichiers d’aide de logiciels. Cette architecture définit une structure d’éléments adaptée à la création, à la publication et à la livraison de documentation technique. Parmi les types d’éléments DITA, on trouve par exemple<topic>,<title>,<shortdesc>,<prolog>,<body>et<concept>.

xDocBook

DocBook est une norme ouverte, conçue pour les articles et la documentation techniques. DocBook fournit une DTD pour l’écriture de livres et d’articles techniques, avec une structure adaptée à ce type de documents. Parmi les éléments DocBook, on trouve <article>, <section>, <title>, <articleinfo> et <pubdate>.

XHTML

Le langage XHTML (Extensible Hypertext Markup Language) est une extension du langage HTML basée sur XML et conçue pour fonctionner avec des applications de type XML. Il peut être visualisé, édité et validé avec les outils XML standard.

S1000D

Pour des raisons de performances, FrameMaker n’exécute pas les scripts S1000D associés au démarrage. Avant de créer un document basé sur des applications S1000D, procédez comme suit :

  1. Sélectionnez Edition > Préférences pour ouvrir la boîte de dialogue Préférences.

  2. Accédez à l’onglet Général > Lancement, puis supprimez les entrées suivantes du champ Ne pas charger les scripts de démarrage :

    S1000dUtilities et S1000Dmenu

  3. Cliquez sur OK et redémarrez FrameMaker.

Note: Pour en savoir plus sur S1000D, consultez Pack d’applications Adobe FrameMaker (version 2017) pour S1000D.

Un accès rapide aux ressources S1000D/ATA est fourni dans le menu Aide > Fonctionnalité S1000D.

Les nouveaux éléments du menu sous Fonctionnalité S1000Dsont :
  • Questions fréquentes : obtenez les réponses aux questions fréquentes sur S1000D dans la section Fonctionallité S1000D dans l’article FAQ de FrameMaker.
  • Guide du pack d’applications : obtenez un accès rapide au Guide d’utilisation du pack d’application pour S1000D.
  • Extension tierce améliorée pour S1000D/ATA de Mekon : trouvez des informations sur Mekon, un partenaire d’Adobe Techcomm qui propose des conseils d’expert pour les normes S1000D/ATA.

Pour en savoir plus, sélectionnez Aide > Fonctionnalité S1000D.

Par ailleurs, vous pouvez créer votre propre application structurée. Vous pouvez ensuite créer des documents basés sur cette application.

  1. Sélectionnez Fichier > Nouveau > XML pour ouvrir la boîte de dialogueNouveau XML.

  2. Sélectionnez une application structurée dans l’onglet Applications sctructurées ou sélectionnez une application structurée DITA dans l’onglet DITA.

    Note: Les applications structurées DITA sont également disponibles dans l’onglet Applications structurées.

  3. Cliquez sur OK.

Les éléments du catalogue Eléments et les attributs définis pour chaque élément sont basés sur l’application structurée sur laquelle le document est basé.

Les documents structurés mettent en œuvre des règles de structure, de sorte que les éléments du catalogue Eléments reposent sur le contexte actuel.

Enregistrement d’un document XML

Lorsque vous enregistrez un document XML, si la boîte de dialogue suivante vous y invite, vous devez sélectionner l’application structurée associée.

Figure 2. Sélection de l’application structurée
Sélection de l’application structurée associée lors de l’enregistrement d’un document XML

Si vous sélectionnez une application structurée non compatible, les erreurs sont consignées dans la console de messages.

Lors de l’ouverture d’un document structuré, la nouvelle console d’erreurs de FrameMaker affiche les éventuels problèmes (structurels et autres) dans le document. Cette console fournit également les informations suivantes sur les problèmes de document :

  • Emplacement exact des problèmes au sein du document

  • Nom d’éléments non valides, le cas échéant

Ouverture d’un document XML

Lorsque vous ouvrez un document XML, si la boîte de dialogue suivante vous y invite, vous devez sélectionner l’application structurée associée.

Figure 3. Sélection de l’application structurée
Sélection de l’application structurée associée lors de l’ouverture d’un document XML

Si vous sélectionnez une application structurée non compatible, les erreurs sont consignées dans la console d’erreurs. De même, si la hiérarchie du document XML ne suit pas les règles de structure définies dans l’application, le document s’affiche avec des erreurs dans la Vue de la structure.

Parent topic: Création de contenu structuré


Catalogue d’éléments

Familiarisez-vous avec le Catalogue d’éléments dans Adobe FrameMaker.

Dans Adobe FrameMaker, le catalogue Eléments répertorie les éléments utilisables dans l’emplacement en cours et fournit des commandes permettant d’ajouter et de modifier des éléments. Il affiche également diverses autres informations relatives à l’emplacement en cours. Par exemple, il indique s’il est possible d’y saisir du texte. Les informations du Catalogue d'éléments s'appuient sur les règles de contenu de la définition de l'élément en cours.

Utilisez le catalogue Eléments pour réaliser les actions suivantes :

Insérer

Insérez un élément dans la hiérarchie du document.

Enchaîner

Vous pouvez enchaîner du contenu texte, un élément unique ou plusieurs éléments consécutifs dans un autre élément, si la structure le permet.

Par exemple, dans DITA, vous pouvez enchaîner un ouplusieurs mots dans un paragraphe (<p>) dans des éléments intraligne comme <b> ou <i> pour les identifier pour un formatage en gras ou italique. Vous pouvez aussi enchaîner plusieurs éléments <p> consécutifs dans un élément< section>.

Modifier

Vous pouvez modifier (renommer) un élément en un autre élément autorisé dans la structure.

Par exemple, dans DITA, vous pouvez modifier un élément <p> (paragraphe) en un élément <note>.

Options

Vous pouvez personnaliser l’affichage des éléments dans le catalogue d’éléments en fonction des options de la boîte de dialogue Définir les éléments disponibles.

Le catalogue Eléments est prédéfini pour n’afficher que les éléments valides dans l’emplacement en cours. Toutefois, si vous souhaitez plus de souplesse, vous pouvez faire en sorte qu’il affiche davantage d’éléments. Si vous cliquez ou effectuez une sélection dans un enchaînement non structuré, s’il n’y a pas de définitions d’élément dans le document ou si aucun élément n’est possible dans l’emplacement en cours, le catalogue est vide.

Pour conserver la structure du document, le catalogue d’éléments affiche uniquement les éléments valides. Cela signifie que le catalogue n’affiche que les éléments qui sont définis dans l’application structurée associée et qui sont valides à l’emplacement actuel.

Exemple : une application structurée définit un <tableau> qui contient des éléments <ligne>. L’élément <row> s’affiche dans le catalogue d’éléments uniquement si le point d’insertion est positionné à l’emplacement approprié dans l’élément <table>.

Figure 1. Catalogue d’éléments affichant le seul élément valide à la position actuelle (ligne)
Vue de la structure et Catalogue d’éléments affichant un élément de ligne valide dans le Catalogue d’éléments d’Adobe FrameMaker.

Sélectionnez Affichage > Panneaux > Catalogue d’élémentspour afficher le catalogue Eléments :

Figure 2. Catalogue d’éléments
Catalogue d’éléments dans Adobe FrameMaker

Le catalogue Eléments utilisent les symboles suivants pour indiquer si un élément est valide ou non :

Coche en caractère gras

L'élément est valide à l'emplacement actif. Si vous insérez l'élément, l'élément (parent) actif sera alors correct et complet jusqu'à ce niveau.

Signe plus (+)

L'élément est une inclusion (SGML uniquement) dans l'élément en cours et il est valide dans l'emplacement en cours. Le signe plus apparaît toujours en regard d'une coche en gras. Les inclusions n’étant valides que dans les documents SGML, ce signe n’apparaît pas dans les documents XML.

Tip: Même si les inclusions sont valides au même titre que les éléments marqués d’une coche en gras, il peut être utile de les répertorier séparément. Si les inclusions sont nombreuses, il peut s’avérer difficile de trouver les autres éléments valides au sein du catalogue.
Point d'interrogation (?)

L'élément peut être un élément de substitution pour l'élément situé après le point d'insertion ou les éléments sélectionnés. Il est valide dans l’emplacement en cours mais rendra les éléments enfants suivants non valides. Si vous insérez un élément contenant un point d’interrogation, l’élément (parent) en cours sera complet et correct jusqu’à ce niveau, mais vous aurez à corriger des erreurs de structure suivant le nouvel élément.

Coche normale

L'élément est valide plus loin dans l'élément en cours. Si vous insérez l'un de ces éléments, l'élément (parent) en cours sera, jusque là, correct mais incomplet. Vous devrez donc y revenir ultérieurement pour insérer les éléments enfants manquants.

Aucun symbole

Si un élément du catalogue ne comporte pas de symbole, il n'est pas valide dans l'emplacement en cours, ni plus loin dans l'élément en cours. Il se peut qu’il soit valide plus haut dans l’élément ou à l’extérieur de l’élément.

Le catalogue d’éléments peut également contenir les indicateurs ci-après. Ils fournissent des informations supplémentaires sur l’emplacement en cours :

<TEXTE>

Vous pouvez saisir du texte à cet endroit.

<NON DEFINI>

L'élément en cours n'a pas de définition dans le document. Il a probablement été copié à partir d’un autre document contenant des définitions d’élément différentes. Ceci ne se produit pas lorsque le catalogue est paramétré pour afficher tous les éléments.

<NON VALIDE>

Le contenu de l’élément en cours est non valide. Ceci ne se produit pas lorsque le catalogue est paramétré pour afficher tous les éléments.

Vous pouvez utiliser des boutons dans le catalogue Eléments pour insérer un élément vide, associer un élément à un contenu et modifier le type d’un élément existant.

Si le catalogue comprend de nombreux éléments, vous pouvez filtrer la liste en tapant le nom ou une partie du nom de l’élément, ou bien le « nom convivial » de l’élément, dans la barre de recherche.

Figure 3. Utilisez la barre de recherche du panneau Eléments pour filtrer la liste des éléments valides et trouver facilement le bon élément.
Trouvez plus facilement des éléments dans le panneau Eléments grâce à la barre de recherche

Parent topic: Création de contenu structuré
  • Insertion d’un élément
  • Enchaînement d’un élément
  • Modification d’un élément
  • Configuration du Catalogue d’éléments


Gestion d’éléments à l’aide du Catalogue d’éléments

Apprenez à fusionner et à diviser des éléments et à enchaîner du contenu d’élément dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Fusion d’éléments

  • Division d’un élément

  • Suppression de l’enchaînement du texte d’un élément

Introduction

Lorsque vous utilisez des éléments dans un document, le catalogue Eléments vous permet d’insérer, d’enchaîner et de modifier les éléments. Il vous permet aussi de fusionner plusieurs éléments dans un document, de scinder un élément unique en plusieurs éléments et de supprimer l’enchaînement des éléments dans un document.

Fusion d’éléments

Vous pouvez fusionner plusieurs éléments similaires et contigus dans un document. Par exemple, vous pouvez fusionner deux ou plusieurs éléments <p> pour intégrer les contenus dans un élément <p>. Vous pouvez fusionner plusieurs listes (triées ou non triées) pour inclure les éléments de plusieurs listes dans une seule.

  1. Pour sélectionner plusieurs éléments similaires dans le panneau Vue de la structure, cliquez sur le premier élément en maintenant la touche Maj enfoncée, puis cliquez sur les autres éléments que vous souhaitez fusionner.

    Note: Les éléments que vous souhaitez fusionner doivent être contigus (côte à côte dans la hiérarchie du document).

  2. Sélectionnez Elément > Fusionner.

    Vous pouvez également cliquer avec le bouton droit de la souris sur la sélection, puis sélectionner Fusionner dans le menu contextuel.

Les différents éléments sont fusionnés en un seul élément du même type.

Division d’un élément

Vous pouvez diviser un élément unique en deux éléments. Par exemple, si la liste contient plusieurs éléments de liste, vous pouvez la diviser en deux. Les éléments de liste dans les deux nouvelles listes dépendent de l’élément sélectionné pour diviser la liste. En outre, si un paragraphe de texte contient un fragment de texte enchaîné dans un élément, vous pouvez diviser un paragraphe à l’élément enchaîné.

  1. Sélectionnez l’élément au niveau duquel où vous souhaitez diviser le parent.

    Par exemple, sélectionnez l’élément de liste où vous souhaitez diviser une liste.

    Vous pouvez aussi sélectionner l’élément d’enchaînement au point où vous souhaitez diviser un paragraphe.

  2. Sélectionnez Elément > Diviser.

    Vous pouvez également cliquer avec le bouton droit de la souris sur la sélection et choisir Diviser dans le menu contextuel.

L’élément parent est divisé au niveau de l’élément enfant actuellement sélectionné.

Note: Vous ne pouvez pas diviser le contenu d’un tableau. Vous devez également vous assurer que la division d’un élément ne rompe pas la structure du document.

Suppression de l’enchaînement du texte d’un élément

Vous pouvez enchaîner du texte dans un élément (Enchaînement d’un élément). Vous pouvez aussi choisir de supprimer l’enchaînement d’un texte d’un élément et de supprimer l’élément enchaînant le texte.

  1. Sélectionnez l’élément qui enchaîne le texte dans un document.

  2. Sélectionnez Elément > Supprimer l’enchaînement.

    Vous pouvez également cliquer avec le bouton droit de la souris sur la sélection et choisir Supprimer l’enchaînement dans le menu contextuel.

L’élément d’enchaînement est supprimé du texte.

Parent topic: Création de contenu structuré


Texte de bannière d’élément

Comprendre le texte de bannière d’élément dans Adobe FrameMaker et comment le montrer/le cacher, et comment configurer les paramètres de texte de bannière d’élément dans le maker.ini.

Dans ce sujet

  • Introduction

  • Affichage ou masquage du texte de bannière d’élément

  • Elimination du texte de bannière d’élément en cas de suppression

  • Paramètres de texte de bannière d’élément

Introduction

Le texte de bannière dans le document fait office de repère visuel pour l’utilisation de l’élément dans un document. Par exemple, le document suivant basé sur l’application structurée de rubrique DITA affiche le texte de bannière :

Figure 1. Le texte de bannière indique ce que vous devez saisir dans les divers éléments
Texte de bannière agissant comme un signal visuel pour travailler avec l’élément dans un document

Lorsque vous placez le curseur sur le texte de bannière, tout le texte est sélectionné ; vous pouvez alors commencer la saisie et le texte de bannière est remplacé.

Affichage ou masquage du texte de bannière d’élément

Vous pouvez afficher ou masquer le texte de bannière dans un document. Par défaut, le texte de bannière est affiché.

Pour afficher ou masquer le texte de bannière, choisissez Affichage > Texte de bannière d’élément.

Elimination du texte de bannière d’élément en cas de suppression

Si vous sélectionnez le texte de bannière dans un élément et appuyez sur la touche Suppr, le texte de bannière est supprimé. Cependant, si vous ne saisissez pas de texte au lieu du texte de bannière, dès que vous passez à un autre élément, le texte de bannière supprimé est affiché dans l’élément.

Vous pouvez choisir de remplacer ce comportement par défaut et vous assurer que le texte de bannière, s’il est supprimé, ne réapparaît pas. Le texte de bannière n’apparaîtra pas même si vous fermez et rouvrez le document.

Pour vous assurer que le texte de bannière reste supprimé, vous devez passer l’indicateur RedisplayBannerTextForemptyElements dans le fichier maker.ini sur OFF.

Paramètres de texte de bannière d’élément

Outre l’indicateur RedisplayBannerTextForemptyElements décrit ci-dessus, vous pouvez également configurer le texte de bannière avec les paramètres suivants dans le fichier maker.ini :

Propriété | Description
BannerTextFontAngle | Angle du texte de bannière
BannerTextFontVariation | Toute modification de la largeur de la police
BannerTextTextColor | Couleur de police du texte de bannière
BannerTextBKcolor | Couleur d’arrière-plan du texte de bannière
Parent topic: Création de contenu structuré


Limites d’éléments

Familiarisez-vous avec les limites d’éléments et apprenez à les utiliser dans Adobe FrameMaker.

Lorsque vous travaillez sur un document structuré dans la vue WYSIWYG, vous pouvez utiliser les limites d’éléments comme repères visuels. Une limite d’élément marque le début et la fin d’un élément dans la vue WYSIWYG. Vous pouvez ensuite utiliser ces limites comme repère visuel pour placer le point d’insertion ou sélectionner le texte dans une limite.

Si vous voulez insérer un élément avant ou après un élément, vous pouvez placer le point d’insertion avant ou après la limite d’élément.

Pour placer des limites d’éléments en tant que crochets autour du contenu, sélectionnez Affichage > Limites d’éléments.

Figure 1. Document avec des limites d’éléments dans la vue WYSIWYG
Document avec des limites d’éléments dans la vue WYSIWYG

Pour afficher les limites d’éléments en tant que balises, sélectionnez Affichage > Affichage Limites d’éléments (en tant que balises).

Figure 2. Document avec des limites d’éléments en tant que balises dans la vue WYSIWYG
Document avec des limites d’éléments en tant que balises dans la vue WYSIWYG

Parent topic: Création de contenu structuré


Création d’une sortie avec du texte de bannière d’élément et des limites d’éléments

Familiarisez-vous avez les formats de sortie dans lesquels vous pouvez publier du texte de bannière d’élément et des limites d’éléments avec Adobe FrameMaker.

Le texte de bannière et les limites d’éléments font partie de la vue WYSIWYG d’un document FrameMaker, mais ne font pas partie du contenu du document. Par exemple, si vous travaillez sur un document XML, le texte de bannière et les limites d’éléments ne sont pas disponibles dans la vue XML.

Enregistrer au format PDF

Dans la mesure où le texte de bannière et les limites d’élément font partie de la vue WYSIWYG, ils sont inclus dans la sortie PDF si vous utilisez la fonctionnalité Enregistrer au format PDF de FrameMaker et s’ils sont activés.

Publication multicanaux

Dans la mesure où le texte de bannière et les limites d’éléments ne font pas partie du contenu du document, ils ne sont inclus dans aucun des formats de sortie de publication multicanaux.

Parent topic: Création de contenu structuré


Utilisation des attributs d’élément

Apprenez à utiliser des attributs d’élément dans l’interface de création de contenu structuré dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Définition des valeurs d’attribut pour les éléments

  • Affichage des attributs d’un élément

  • Définition des options d’affichage des attributs lors de l’insertion d’un élément

  • Copie des valeurs d’attribut d’un élément à un autre

Introduction

Les éléments d’un document structuré définissent le contenu du document. Vous pouvez également utiliser des attributs d’élément pour ajouter des informations complémentaires (métadonnées) à des éléments. Un attribut est une paire nom-valeur associée à un élément spécifique.

Par exemple, imaginons que les éléments de contenu dans une application structurée possèdent un attribut @audience. Vous pouvez utiliser cet attribut pour créer du contenu à partir d’une source unique. Vous pouvez par exemple définir les attributs des éléments sur admin et enduser. Ces attributs vous permettent ensuite de créer une sortie Responsive HTML5 avec du contenu dynamique ou, par exemple, deux versions d’un PDF : un PDF pour les administrateurs et un autre PDF pour les utilisateurs finaux.

Vous pouvez adopter la même approche pour créer des sorties pour différentes versions de votre produit, différentes versions pour l’impression et la sortie en ligne, ou par exemple différentes régions de vente.

Note: Les éléments qui s’affichent dans le Catalogue d’éléments sont définis dans l’application structurée sur laquelle le document est basé. De même, les attributs de chaque élément sont également définis dans l’application structurée associée.

Définition des valeurs d’attribut pour les éléments

Pour définir des valeurs d’attribut pour les éléments, procédez comme suit :

  1. Sélectionnez un élément dans la hiérarchie du document.

  2. Sélectionnez Elément > Modifier les attributs pour ouvrir la boîte de dialogue Attributs.

  3. Cliquez sur un attribut dans la boîte de dialogue.

    Au bas de la boîte de dialogue, les informations relatives à l’attribut s’affichent :

    Nom

    Nom de l’attribut tel qu’il apparaît dans la boîte de dialogue.

    Type

    Si la valeur de l’attribut est facultative ou obligatoire. Egalement, le type de valeur :

    Chaîne

    Entrez une valeur pour l’attribut

    Choix

    Sélectionnez une valeur dans la liste déroulante disponible.

    Valeur par défaut

    Affiche la valeur par défaut, le cas échéant. Ou indique qu’aucune valeur par défaut n’est requise.

  4. Pour les attributs de type Chaîne, vous pouvez entrer une valeur de texte.

    Pour les attributs de type Choix, vous devez sélectionner une valeur dans la liste déroulante de valeurs.

Affichage des attributs d’un élément

Vous pouvez afficher les valeurs d’attribut définies pour un élément dans la boîte de dialogue Attributs (Elément > Modifier les attributs).

Vous pouvez également afficher les valeurs d’attribut définies pour un élément dans la vue de la structure. Pour afficher les valeurs d’attribut :

  1. Cliquez sur le signe flèche à droite de l’élément dans la vue de la structure.

    Si une ou plusieurs valeurs d’attribut sont définies pour l’élément, la liste affiche uniquement ces attributs. Toutefois, le signe flèche reste tel quel.

    Cliquez de nouveau sur le signe flèche pour afficher la liste complète des attributs.

  2. Si aucune valeur d’attribut n’est définie pour l’élément, la liste complète des attributs s’affiche.

Définition des options d’affichage des attributs lors de l’insertion d’un élément

Vous pouvez spécifier la manière dont les attributs s’affichent dans la vue de la structure lorsqu’un élément est inséré dans la hiérarchie du document. Pour définir les options d’affichage, ouvrez la boîte de dialogue Options d’affichage des attributs (Affichage > Options d’affichage des attributs).

Attributs obligatoires et spécifiés

Les attributs obligatoires et spécifiés de l’élément s’affichent lorsque l’élément est inséré dans le document.

Tous les attributs

Tous les attributs de l’élément s’affichent lorsque l’élément est inséré dans le document.

Aucun attribut

Aucun attribut de l’élément ne s’affiche lorsque l’élément est inséré dans le document.

Note: Si vous modifiez les options dans la boîte de dialogue Options d’affichage des attributs, les paramètres sont appliqués au document actuellement ouvert. Par exemple, si vous modifiez l’option Aucun attribut sur Tous les attributs, tous les éléments dans les documents de la Vue de la structure sont développés pour afficher tous les attributs.

Copie des valeurs d’attribut d’un élément à un autre

Vous pouvez copier toutes les valeurs d’attribut définies sur un élément vers d’autres éléments dans un document.

  1. Dans Vue structurée, cliquez avec le bouton droit de la souris sur l’élément à partir duquel vous souhaitez copier les valeurs d’attribut, puis sélectionnez Copie de valeurs d’attribut dans la liste déroulante.

  2. Cliquez avec le bouton droit sur l’élément vers lequel vous souhaitez copier les valeurs d’attribut, puis choisissez Coller dans la liste déroulante.

    Pour copier les valeurs d’attribut vers plusieurs éléments, utilisez la combinaison maj + clic pour sélectionner plusieurs éléments contigus dans le document, puis choisissezModifier > Coller.

Parent topic: Création de contenu structuré


Création d’équations à l’aide du panneau Equations

Apprenez à créer des équations à l’aide du panneau Equations dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création d’une équation intégrée à l’aide d’un élément

  • Création d’une équation affichée à l’aide d’un élément

  • Création d’une équation dans un élément cadre ancré

Introduction

Vous créez une équation en insérant un élément équation, puis en tapant l’expression mathématique de l’équation. Pour insérer un élément, vous pouvez utiliser le catalogue Eléments. Vous pouvez également utiliser l’une des commandes Nouvelle équation de la liste déroulante Equations dans le panneau Equations.

Note: Le terme élément mathématique désigne une partie d’une expression (l’opérateur, par exemple). Il ne s’agit pas d’un élément de structure.

Dans les équations intégrées ou les équations affichées, vous pouvez utiliser n’importe quel élément équation. Certains documents comportent également un élément paragraphe défini précisant les caractéristiques de formatage des équations affichées.

Les règles de formatage d’un élément équation prévoient différentes tailles de police pour l’équation : Petite, Moyenne ou Grande. Vous pouvez utiliser d’autres tailles de police. Cette modification n’est pas considérée comme une règle de formatage personnalisée. Si vous supprimez les règles de formatage personnalisées du document, la taille de police d’origine de l’équation ne sera pas restaurée.

Création d’une équation intégrée à l’aide d’un élément

  1. Cliquez sur l’emplacement du texte où vous désirez insérer l’équation. Si le texte se trouve dans une zone de texte à laquelle une rotation a été appliquée, annulez cette rotation en appuyant sur Echap+g+0 (zéro).

  2. Sélectionnez un élément équation dans le catalogueEléments, puis cliquez sur Insérer.

    Le premier élément mathématique que vous insérez remplace le point d’interrogation du nouvel objet d’équation.

    Figure 1. Nouvel objet équation
    Création d’une équation intégrée à l’aide d’un élément

  3. Insérez l’équation en tapant des chiffres et autres éléments ou en cliquant sur les éléments de votre choix dans le panneau Equations.

  4. Sélectionnez Réduire l’équation dans la liste déroulante Equations du panneau.

    Figure 2. Cadre réduit autour d’une équation intégrée
    Cadre réduit autour d’une équation intégrée

  5. Si l’équation semble être placée trop près du texte (d’un côté ou de l’autre), insérez un espace avant ou après le cadre. FrameMaker traite les cadres contenant une équation intégrée comme des caractères ; aucun espace superflu n’est inséré.

    Si une équation intégrée est trop haute pour la ligne sur laquelle elle est insérée, vous pouvez désactiver l’interligne fixe pour le paragraphe concerné.

Création d’une équation affichée à l’aide d’un élément

  1. Si votre document contient un élément paragraphe défini pour formater les équations affichées, cliquez à l’endroit où vous souhaitez placer le paragraphe de l’équation. Sélectionnez un élément paragraphe dans le catalogue Eléments, puis cliquez sur Insérer.

    Cet élément définit parfois l’espace au-dessus et en dessous de l’équation, l’alignement dans la colonne de texte et la numérotation automatique des légendes.

  2. Cliquez dans un élément paragraphe vide à l’endroit où vous souhaitez insérer l’équation.

  3. Sélectionnez un élément équation dans le catalogueEléments, puis cliquez sur Insérer.

    Figure 3. Nouvel objet équation
    Insertion d’un nouvel objet équation

  4. Insérez l’équation.

  5. Sélectionnez Réduire l’équation dans la liste déroulante Equations.

    Figure 4. Cadre réduit autour d’une équation affichée
    Cadre réduit autour d’une équation affichée

  6. Si aucun élément équation n’est disponible à l’emplacement souhaité, vous pouvez utiliser un élément non valide. Procédez de l’une des façons suivantes :

    • Pour utiliser un élément valide dans une autre partie du document, insérez l’élément dans un emplacement valide puis déplacez-le. Vous pouvez également rendre l’élément disponible partout en appliquant le paramètre Tous les éléments, puis insérer l’élément à l’endroit souhaité.

    • Pour insérer un élément équation non valide avec l’élément par défaut <EQUATION>, choisissez une commande Nouvelle équation de la liste déroulante Equations dans le panneau Equations. L’élément porte un nom par défaut si aucun élément équation défini n’est disponible.

    Après l’avoir inséré, consultez votre développeur pour savoir comment le rendre valide pour cet emplacement.

Création d’une équation dans un élément cadre ancré

Pour créer une équation dans un élément cadre ancré, procédez comme suit :

  1. Sélectionnez un cadre ancré ou un objet graphique dans ce cadre.

  2. Sélectionnez l’une des commandes Nouvelle équation de la liste déroulante Equations du panneau.

    Le premier élément mathématique que vous insérez remplace le point d’interrogation du nouvel objet d’équation. L’équation n’apparaît pas dans la structure du document.

    Figure 5. Nouvel objet équation dans un cadre contenant des objets graphiques
    Nouvel objet équation dans un cadre contenant des objets graphiques

  3. Insérez l’équation.

Parent topic: Création de contenu structuré
Related information
  • Présentation du panneau Equations
  • Modification de la sélection d’éléments disponibles dans un document structuré
  • Création d’équations


Création d’équations à l’aide de MathML

Apprenez à créer des équations à l’aide de l’éditeur de style et de l’éditeur de structure MathML dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création et insertion d’une équation MathML dans un document

  • Modification d’une équation MathML dans un document

  • Configuration des paramètres MathFlow dans FrameMaker

  • Configuration des paramètres d’installation

  • Composition d’une équation MathML

  • Configuration de l’éditeur MathFlow

  • Exemple d’application structurée DITA MathML

Introduction

Outre le panneau Equation de FrameMaker, vous pouvez également ajouter des équations à vos documents à l’aide de l’éditeur MathFlow de Design Science pour créer des équations mathématiques complexes. Vous pouvez ensuite ajouter ces équations à vos documents FrameMaker. Vous avez également la possibilité de modifier ces équations ultérieurement dans le même éditeur MathFlow et de publier des documents contenant des équations MathML.

Les équations MathML peuvent être utilisées dans des documents FrameMaker structurés et non structurés.

Note: Vous pouvez également insérer des équations MathML dans les rubriques 1,3 DITA (rubrique, tâche, concept, référence, et dépannage) Un nouvel élément appelé, « mathml » est créé quand vous insérez une équation MathML.

Si vous générez l’option Sortie PDF pour un document contenant des équations MathML, un lecteur peut effectuer une recherche de contenu de ces équations.

FrameMaker est livré avec une version d’essai des éditeurs MathFlow suivants :

  • L’éditeur de style ™MathFlow est destiné aux créateurs de contenu et aux experts en la matière (SME). Il fournit un contrôle précis de l’apparence des expressions mathématiques, une barre d’outils de style pour ajuster rapidement les polices et une interface conviviale permettant de modifier un large éventail de propriétés d’équation, de l’espacement des opérateurs à l’apparence des matrices/tableaux.

    Figure 1. Editeur Style
    Éditeur de style MathFlow™ dans FrameMaker

  • L’éditeur de structure ™MathFlow est destiné aux professionnels du contenu XML. Il offre un contrôle précis de la présentation visuelle et de sa structure sous-jacente MathML. Il propose une vue Source qui permet à l’utilisateur d’ajouter des instructions de traitement et des commentaires directement au MathML, une règle pour la mise en page exacte de l’équation et une barre d’outils à onglets pour stocker des équations ou des fragments couramment utilisés.

    Figure 2. Editeur Structure
    Éditeur de structure MathFlow™ dans FrameMaker

Pour obtenir une comparaison des fonctions des éditeurs, voir Editeurs MathFlow. En outre, pour la procédure permettant de passer à la version complète de l’éditeur MathFlow, voir Configuration des paramètres d’installation.

Voir la vidéo : MathML dans les documents non structurés.

Création et insertion d’une équation MathML dans un document

  1. Dans le menu Insérer, sélectionnez Équation MathML.

  2. Créez une équation dans la fenêtre de l’éditeur MathFlow.

    Pour plus d’informations sur la création d’équations dans l’éditeur MathFlow, reportez-vous à l’aide de MathFlow. Vous pouvez lancer l’aide de MathFlow à partir de la fenêtre de l’éditeur MathFlow.

  3. Pour ajouter l’équation au document, cliquez sur OK.

Lorsque l’équation MathML est créée, un fichier d’image (.png) est inséré dans le document.

Note: Si vous recevez le message d’erreur d’échec de l’initialisation des polices, reportez-vous à l’article de la base de connaissances Erreur d’initialisation de la police de MathML pour la résolution.
Note: FrameMaker ne prend pas en charge le format de fichier .eps pour les images MathML.

Modification d’une équation MathML dans un document

  1. Cliquez deux fois sur l’équation dans le document ou cliquez avec le bouton droit de la souris sur l’équation et choisissez Modifier avec MathFlow.

  2. Modifiez l’équation dans la fenêtre de l’éditeur MathFlow.

  3. Pour mettre à jour l’équation dans le document, cliquez sur OK.

FrameMaker prend également en charge les fonctions Copier/Coller et Annuler/Rétablir pour les équations MathML dans un document.

Important: Dans le cas d’un document structuré (DITA 1.3) et non structuré, vous pouvez insérer des équations MathML à n’importe quel emplacement approprié du document. Toutefois, dans le cas de vos propres documents structurés, vous devez d’abord définir un élément dans le Catalogue d’éléments qui prend en charge ce type d’objet. FrameMaker est livré avec un exemple d’application structurée (pour DITA 1.2), qui inclut un élément MathML. Pour plus d’informations sur l’utilisation de cet élément, voir Exemple d’application structurée DITA MathML.

Configuration des paramètres MathFlow dans FrameMaker

Pour configurer les paramètres MathML dans FrameMaker, choisissez Modifier > Préférences pour ouvrir la boîte de dialogue Préférences et sélectionnez l'onglet MathML.

Configuration des paramètres d’installation

FrameMaker est livré avec une version d’évaluation de 30 jours des éditeurs Style et Structure MathFlow de Design Science. Vous pouvez obtenir la version intégrale de l’éditeur Style ou Structure auprès de Design Science et l’intégrer à FrameMaker.

  1. Après avoir installé la version complète de l’éditeur Style ou Structure, accédez à la section MathFlow de l’onglet MathML.

  2. La version d’évaluation livrée avec FrameMaker est installée sous le chemin d’installation d’Adobe FrameMaker. Si vous avez installé MathFlow à un autre chemin, spécifiez-le.

  3. Dans la zone de texte Chemin du fichier de licence, spécifiez le chemin d’accès du fichier de licence, puis cliquez sur OK.

Vous devez redémarrer FrameMaker pour vous assurer que les modifications prennent effet.

Note: La période d’évaluation de 30 jours de MathFlow commence à partir de la première fois que vous invoquez l’éditeur, et non à partir du jour où vous installez la version FrameMaker qui inclut l’éditeur.

Composition d’une équation MathML

Vous pouvez mettre à jour le formatage d'une équation MathML sélectionnée dans un document ou vous pouvez modifier les préférences pour toutes les équations MathML. Par défaut, la taille de la police des équations est définie sur 14 px. La valeur PPP pour les images que FrameMaker insère dans un document pour chaque équation est par défaut de 300 PPP. En outre, vous pouvez choisir de placer une équation en l'intégrant au paragraphe encadrant et vous pouvez appliquer le formatage du paragraphe encadrant à l'équation.

Pour mettre à jour le formatage de l'équation MathML actuellement sélectionnée :

  1. Sélectionnez l’équation MathML, puis sélectionnez Graphique > Propriétés de l'objet.

    Ou sélectionnez Graphique > Configuration du style de l’objet.

    Ces options sont également disponibles dans le menu contextuel.

  2. Mettez à jour le formatage de l’équation MathML actuellement sélectionnée dans la boîte de dialogue Propriétés de l’équation MathML.

Figure 3. Boîte de dialogue Equation MathML
Mise en forme d’une équation MathML dans la boîte de dialogue Equation MathML

PPP et polices
Vous pouvez modifier les paramètres de PPP et de taille de police.
Insertion
Positionnez l'image en l'intégrant au paragraphe encadrant.
Appliquer le style de paragraphe

Appliquez le formatage suivant du paragraphe encadrant à l’équation :

  • Police

  • Famille de polices

  • Couleur d’arrière-plan

  • Couleur de premier plan

Vous pouvez également appliquer ces paramètres de manière globale à toutes les équations MathML créées ultérieurement.

  1. Ouvrez la boîte de dialogue Préférences (Edition > Préférences).

  2. Dans la section Paramètres de MathFlow de l'onglet MathML, modifiez les paramètres d'équation.

Ces paramètres prennent effet immédiatement. Il est inutile de redémarrer FrameMaker.

Configuration de l’éditeur MathFlow

La version d’évaluation de l’éditeur MathFlow inclut les éditeurs Style et Structure. Pendant la période d’évaluation, vous pouvez utiliser l’un ou l’autre de ces éditeurs.

  1. Pour changer l’éditeur MathFlow, accédez à la section Type d’éditeur de l’onglet MathML.

  2. Sélectionnez l’éditeur MathFlow requis, puis cliquez sur OK.

Vous devez redémarrer FrameMaker pour vous assurer que les modifications prennent effet.

Note: Lors de l’installation de la version complète de MathFlow, vous devez sélectionner l’éditeur Style ou Structure. L’intégration de la version d’évaluation de MathFlow avec FrameMaker comprend les deux éditeurs. Il est donc conseillé d’utiliser ces deux éditeurs lors de l’évaluation.

Exemple d’application structurée DITA MathML

FrameMaker comprend un exemple d’application DITA 1.2 MathML appelé DITA_1.2_MathML_Sample. Cet élément <mathml> permet une prise en charge complète des équations MathML rendues par les éditeurs Style et Structure de MathFlow. Pour ajouter MathML à un document, vous pouvez créer un fichier basé sur cette application puis utiliser l’élément de MathML qu’il contient.

Voir la vidéo, MathML dans les documents structurés.

Pour insérer un élément de type MathML, procédez comme suit :

  1. Sélectionnez Fichier > Nouveau > XML.

  2. Dans la boîte de dialogue Nouvel XML, accédez à l’onglet Applications structurées et sléectionnez DITA_1.2_MathML_Sample. Cliquez sur OK.

    Un nouveau document est créé.

  3. Accédez à la partie du document où vous voulez insérer une équation MathML.

    L’élément MathML, mathml, est disponible dans le Catalogue d’éléments de l’exemple d’application structurée.

    Note: Un élément mathml est disponible en tout point du document où un élément étranger est disponible.

  4. Cliquez deux fois sur l’élément <mathml> pour l’insérer à l’endroit souhaité dans le document.

  5. Accédez à la vue XML du document actif.

    Le XML du document structuré contient un nœud MathML à l’emplacement où vous avez inséré l’élément MathML.

    Note: Chaque élément dans le nœud mathml possède le préfixe mml. Ce préfixe est utilisé pour éviter les conflits avec d’autres éléments utilisés dans le XML, qu’ils proviennent du catalogue d’éléments de l’application structurée ou d’éléments définis dans la structure de MathML.

Vous pouvez également modifier l’équation dans le nœud mathml dans la vue XML. Les modifications peuvent alors être affichées dans la vue WSIYWIG.

Note: Si vous tentez de publier un document DITA_1.2_MathML_Sample sans insérer une équation MathML, aucune sortie n’est générée pour ce document.
Parent topic: Création de contenu structuré
Related information
  • MathML


Paramètres de langue et de police dans les documents structurés

Vous pouvez rédiger et corriger votre contenu en différentes langues dans des documents structurés et non structurés (DITA 1.2, DITA 1.3 et LwDITA). Sélectionnez une des 46 langues intégrées à FrameMaker et l’ajouter en tant que valeur d’attribut pour @xml:lang pour votre contenu structuré. Pour ajouter une valeur d’attribut pour @xml:lang, vous devez suivre la norme BCP 47 définie par l’IETF (Internet Engineering Task Force)

< AttributeForXMLLang > = < BCP47-code> xml: lang = en-US xml: lang = zh-TW

FrameMaker défini les propriétés de Configuration de paragraphes en se basant sur le paramètre de langue dans l’attribut @xml:lang dans votre fichier XML.

Figure 1. @valeur de l'attribut spécifié xml:lang

Les propriétés de Configuration de paragraphes, configurées automatiquement lors de la spécification de la valeur d’attribut pour @xml:lang sont :
  • Langue
  • Sens du texte
  • Famille de polices
  • Crénage par paire
  • Utiliser le compositeur asiatique
Note: Si la valeur de l’attribut @xml:lang n’est pas définie pour votre fichier XML, les règles de formatage par défaut s’appliquent. Si la valeur de l’attribut @xml:lang n’est pas définie pour un paragraphe, c’est la langue de l’élément parent qui sera paramétrée.

Pour prendre en charge la fonctionnalité de création et de publication multilingue, définissez les propriétés de balises de langage suivantes dans le fichier maker.ini disponible dans le répertoire d’installation de FrameMaker :

C:\Program Files\Adobe\Adobe FrameMaker 2022\maker.ini

Dans le fichier maker.ini, les sections suivantes doivent être configurées pour activer cette fonction :

[XMLLangPreferences]
AttributeForXMLLang=xml:lang
ApplyFontSettingsBasedOnXMLLangAttribute=On

[XMLLangExclusionList]
DITA_1.3_task=codeblock
DITA_1.3_topic=codeblock, mathml, equation-block
Note: Vous pouvez copier ces paramètres et annulez les commentaires dans le fichier maker.ini disponible dans le dossier %appdata%\Adobe\FrameMaker\17 .
Les paramètres de la section XMLLangPreferences sont décrits ci-dessous :
  • AttributeForXMLLang=xml:lang : la propriété est commentée par défaut. Supprimez le point-virgule (;) pour annuler les commentaires et configurez la propriété afin que la fonctionnalité @xml:lang soit active dans votre fichier XML.
  • ApplyFontSettingsBasedOnXMLLangAttribute=On : définissez cette propriété pour appliquer les paramètres de famille de polices et de crénage par paire correspondants à la fonctionnalité @xml:lang.

Le paramètre dans la section XMLLangExclusionList est décrit ci-dessous :

  • StructAppName = <liste de balises d’éléments à exclure de la fonctionnalité xml:lang séparés par des virgules>

    StructAppName est le nom de l’application structurée pour laquelle la liste d’exclusion est définie.

    Configurez cette propriété pour répertorier les éléments à exclure de la fonctionnalité xml:lang. Cette propriété est généralement utilisée pour ignorer les éléments sur lesquels vous n’avez pas besoin d’exécuter de vérification orthographique, comme le <bloc de code>. Voici quelques exemples de balises d’éléments à exclure de la fonctionnalité xml:lang :

    DITA_1.3_topic=codeblock
DITA_1.3_task=codeblock
DITA_1.3_topic=codeblock, mathml, equation-block

    Le document suivant contient un échantillon de texte écrit en plusieurs langues. La vérification orthographique se fait selon le paramètre de langue de l’attribut @xml:lang pour chaque paragraphe.

Figure 2. Document type contenant du texte écrit en plusieurs langues.

Parent topic: Création de contenu structuré


Modification du sens du texte dans des documents structurés

Apprenez à modifier le sens du texte dans des documents structurés dans Adobe FrameMaker.

Le sens (de gauche à droite ou de droite à gauche) d’un document structuré est défini dans l’application structurée Adobe FrameMaker associée. Si l’application structurée prend en charge le sens du document, vous pouvez modifier le sens du texte pour les éléments pris en charge dans le document.

Pour modifier le sens du texte d’un élément, procédez comme suit :

  1. Sélectionnez l'élément dans la Vue de la structure.

  2. Ouvrez l’éditeur d’attributs et modifiez l’attribut dir.

FrameMaker fournit une prise en charge de direction prête à l’emploi pour les rubriques DITA (rubrique, tâche, concept et référence). Cependant, vous pouvez créer votre propre application structurée avec prise en charge du sens.

FrameMaker propose une propriété de sens que vous pouvez utiliser dans votre application structurée.

Par exemple, vous pouvez créer des règles de lecture/écriture comme la suivante pour spécifier que la propriété de sens de FrameMaker met en correspondance l’attribut dir du document structuré :

attribute "dir"
{
   is fm attribute;
   is fm property direction;
}
Note: Si vous modifiez l’attribut de sens d’un élément dans un fichier XML non DITA, le sens du contenu ne change pas immédiatement. Vous devez fermer et ouvrir à nouveau le fichier XML pour refléter les modifications.

Pour plus d’informations sur l’ajout de la prise en charge du sens dans vos propres applications structurées, consultez le manuel FDK Programmer’s Guide.

Parent topic: Création de contenu structuré


Collage intelligent

Familiarisez-vous avec le collage intelligent et avec la manière dont il vous permet de coller du contenu HTML, Word, Excel ou Outlook en tant que contenu DITA dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Collage intelligent d’un contenu dans un fichier DITA

  • Ajout d’un XSLT de collage intelligent pour une application XML personnalisée

Introduction

FrameMaker vous permet de coller du contenu HTML, Microsoft® Word, Microsoft® Excel et Microsoft® Outlook en tant que contenu DITA. Vous pouvez également créer et configurer des fichiers XSLT pour d’autres applications structurées FrameMaker. XSLT permet à FrameMaker d’identifier le contenu dans le Presse-papiers et de le structurer selon la hiérarchie ou la séquence d’éléments la plus adaptée. Vous pouvez ensuite ajouter ce contenu à FrameMaker sous forme de contenu DITA à l’aide de la commande de collage intelligent.

Note: Lorsque vous collez du texte dans un sens spécifique (de gauche à droite, ou de droite à gauche) dans un document FrameMaker, vous devez vérifier que le sens du texte de l’emplacement de destination (document, tableau ou paragraphe) est identique.

Le contenu que vous collez est structuré en fonction d’un fichier XSLT spécifié dans l’application structurée concernée. Dans FrameMaker, les fichiers XSLT sont spécifiés pour les documents DITA suivants :

  • Rubrique

  • Tâche

  • Concept

  • Référence

Le nom et le chemin du fichier XSL sont spécifiés en utilisant l’élément Stylesheet (Stylesheets > XSLTPreferences > SmartPaste > Stylesheet).

Les XSLT de collage intelligent pour DITA se trouvent dans le dossier suivant :

$STRUCTDIR\xml\DITA_1.2\app\technicalContent\xslt\

Collage intelligent d’un contenu dans un fichier DITA

Pour effectuer le collage intelligent d’un contenu dans un fichier DITA, procédez comme suit :

  1. Copiez du contenu HTML, Microsoft® Word, Microsoft® Excel et Microsoft® Outlook.

  2. Placez votre curseur dans l’un des types de rubriques DITA suivants : rubrique, tâche, concept ou référence.

  3. Sélectionnez l’option Collage intelligent dans le menu contextuel. Le raccourci clavier pour le collage intelligent est Echap+s+p+t.

    Le contenu collé est structuré dans les éléments appropriés autorisés par la structure.

Ajout d’un XSLT de collage intelligent pour une application XML personnalisée

Vous pouvez également créer un fichier XSLT afin d’utiliser le collage intelligent pour votre application structurée personnalisée.

  1. Créez un XSLT approprié pour votre document EDD.

  2. Ouvrez le fichier structapps.fm.

  3. Sous <Feuillez de style>\<Préférences XSLT>, ajoutez l’élément <Collage intelligent> ainsi que les éléments suivants :

    1. <Stylesheet> : chemin d’accès au fichier XSLT pertinent.

    2. <StylesheetParameters> : cet élément comporte deux éléments enfant : <ParameterName> et <ParameterExpression>. Reportez-vous à une application DITA dans structapps.fm pour plus d’informations.

  4. Enregistrez le fichier.

  5. Sélectionnez Structure > Définition d’application > Lire les définitions d’application.

    Vous pouvez maintenant utiliser le collage intelligent pour un fichier XML en fonction de votre application personnalisée.

Parent topic: Création de contenu structuré


Texte conditionnel au format XML

Familiarisez-vous avec le texte conditionnel dans XML dans Adobe FrameMaker.

FrameMaker structuré vous permet d’exporter et d’importer n’importe quel texte conditionnel (visible et masqué), ainsi les informations concernant les balises conditionnelles, telles que leur état (affiché/masqué), leur couleur et leur style.

Pour vous permettre de conserver le texte conditionnel lors de l’enregistrement et de l’ouverture de fichiers XML, le fichier XML généré par FrameMaker contient les données suivantes :

  • Balises de texte conditionnel correspondant au texte conditionnel figurant dans le document

  • Indicateurs de condition (couleur et effet) associés à chaque balise de texte conditionnel

  • Etat (affiché ou masqué) de chaque balise conditionnelle

  • Marqueurs de début et de fin des sections correspondant à chaque balise

Outre le texte normal, la prise en charge du texte conditionnel au format XML permet de spécifier un tableau entier ou des lignes de tableau en tant que texte conditionnel. Cette fonction s’applique également aux notes, aux marqueurs et aux images ancrées. Par ailleurs, le texte conditionnel peut être situé dans un encart de texte (XML ou texte).

Parent topic: Création de contenu structuré


Prise en charge des objets OLE dans XML

Familiarisez-vous avec la prise en charge des objets OLE dans Adobe FrameMaker.

FrameMaker structuré prend en charge la conversion bidirectionnelle d’objets OLE, tels que les objets Visio et les présentations PowerPoint. FrameMaker utilise une instruction de traitement XML pour gérer la conversion bidirectionnelle de l’objet OLE.

Vous pouvez contrôler la prise en charge d’objets OLE à l’aide de l’indicateur DirectOLESupportInXml dans le fichier maker.ini. Pour activer cette fonctionnalité, définissez l’indicateur comme Activé. La valeur par défaut de cet indicateur est Désactivé ; lorsque cet indicateur est désactivé, l’objet OLE est enregistré en tant que fichier .mif .

Remarquez également les entrées suivantes du fichier maker.ini :
54="pptx"  OLE2 OLE2  OLE2     FMGFXImport "pptx" frame.exe ^.pptx
55="VSD"  OLE2 OLE2  OLE2      FMGFXImport "VSD" frame.exe ^.vsd
Ces entrées affectent un filtre Type de fichier automatique à un fichier lorsqu’il est importé. Si nécessaire, vous pouvez ajouter davantage de filtres (avec les objets OLE respectifs).

Pour insérer un objet OLE :

  1. Sélectionnez Fichier > Importer > Objet. La boîte de dialogue Insérer un objet s’affiche.

  2. Naviguez jusqu’à l’objet OLE, puis sélectionnez Créer à partir du fichier ou Lien.

  3. Cliquez sur OK.

Note: Vous pouvez également coller un objet OLE à l’aide de la commande Collage spécial puis en sélectionnant Coller le lien.
Parent topic: Création de contenu structuré


Traitement des espaces pour les fichiers XML

Familiarisez-vous avec le traitement des espaces dans Adobe FrameMaker et avec la norme de normalisation des espaces.

Dans ce sujet

  • Introduction

  • Norme de normalisation des espaces

  • Désactivation de l’abandon des espaces lors de l’importation

  • Conservation des espaces pour des éléments spécifiques

Introduction

Lorsque vous ouvrez un fichier XML dans la vue WYSIWYG de FrameMaker, les espaces blancs sont normalisés.

En XML, un espace correspond à n’importe quel caractère de l’ensemble suivant : espace, tabulation et ligne vide/nouvelle ligne (sauf retour chariot). L’espace remplit les objectifs suivants :

  1. Formater visuellement le document dans sa forme source, comme pour le code, pour indiquer la signification sémantique du document XML.

  2. Lors de l’utilisation d’un éditeur de texte pour modifier du code XML, ajouter des espaces et sauts de ligne dans le modèle de contenu d’élément pour une meilleure lisibilité du XML. Cet espace ne fait pas partie des informations transmises par le document et n’a pas de signification sémantique pour l’application XML.

    Note: La mise en forme automatique par défaut est désactivée dans la vue XML pour les documents nouveaux et modifiés.

W3C a défini comment l’espace dans les documents XML doit apparaître dans les applications XML.

Norme de normalisation des espaces

FrameMaker utilise les règles suivantes pour la normalisation des espaces en fonction de la norme :

  1. XML ignore la première séquence d’espaces juste après la balise d’ouverture et la dernière séquence d’espaces juste avant la balise de fin.

  2. XML traduit les caractères autres que des espaces (tabulation et nouvelle ligne) en caractères d’espace et associe tous les caractères d’espace multiples dans un seul espace.

  3. XML ignore la séquence d’espaces se produisant entre deux éléments si l’élément parent est défini comme possédant du contenu d’élément.

  4. Vous pouvez définir l’attribut xml:space d’un élément à conserver pour conserver les espaces. Par exemple, si nous normalisons l’élément suivant (tel qu’il apparaît dans la vue Code XML) :

    Hickory[SPACE][SPACE][SPACE]dikory dock.
The mouse[TAB][SPACE]ran up the clock.

    Il s’affiche comme (dans la vue WYSIWYG) :

    Hickory[SPACE]dikory dock.
The mouse[SPACE]ran up the clock.

  5. L’espace introduit par extension des références de caractères (par exemple Space=&#32; Tab= &#9; Newline=&#10;) est conservé dans le XML ouvert. Il n’est pas considéré comme un espace selon les règles ci-dessus.

    Par exemple, si FrameMaker normalise l’élément suivant (tel qu’il apparaît dans la vue Code XML) :

    Hickory&#32;&#32;&#32;dikory dock.
The mouse&#9;&#32;ran up the clock.

    Après normalisation, il s’affiche comme suit (dans la vue WYSIWYG) :

    Hickory[SPACE][SPACE][SPACE]dikory dock.
The mouse[TAB][SPACE]ran up the clock.

Désactivation de l’abandon des espaces lors de l’importation

Pour désactiver l’abandon des espaces, définissez la propriété RemoveExtraWhiteSpacesOnXMLImport du fichier maker.ini sur FALSE.

Note: Faites preuve de prudence lors de la modification d’un fichier INI.

Conservation des espaces pour des éléments spécifiques

Si l’attribut xml:space est défini sur preserve (xml:space="preserve"), FrameMaker conserve tous les espaces. Vous pouvez utiliser ce paramètre pour conserver les espaces pour certains éléments uniquement. Ce paramètre permet à FrameMaker d’ignorer les espaces pour tous les autres éléments de la vue WYSIWYG.

Parent topic: Création de contenu structuré


Références croisées dans XML

Familiarisez-vous avec les références croisées sous XML dans Adobe FrameMaker.

FrameMaker structuré vous permet de générer et de conserver des références croisées externes lors de l’enregistrement et de l’ouverture de fichiers XML.

Par exemple, si le fichier FrameMaker contient une référence croisée vers un autre fichier, lorsque vous enregistrez ce fichier au format XML, FrameMaker génère des balises représentant la référence croisée, ainsi que des informations sur le fichier auquel il est fait référence. Lors de l’ouverture du fichier XML, FrameMaker convertit les balises de référence croisée et les informations qu’elles contiennent en référence croisée FrameMaker.

FrameMaker prend en charge le nouvel attribut, @srcfile, qui permet de conserver les informations de références croisées externes lors de la génération de documents XML.

Lorsque vous exportez un fichier contenant une référence croisée externe au format XML, l’attribut @srcfile de la référence croisée contient le nom du fichier auquel elle fait référence et l’ID de l’élément auquel il est fait référence dans le fichier.

Note: FrameMaker convertit en URI les chemins d’accès aux fichiers figurant dans le XML généré.
Parent topic: Création de contenu structuré


Conversion bidirectionnelle des propriétés de tableau

Familiarisez-vous avec la conversion bidirectionnelle des propriétés de tableau dans Adobe FrameMaker.

Les règles de lecture-écriture gèrent la conversion bidirectionnelle des propriétés de formatage de tableau. Le nouveau mappage des règles R/W (lecture-écriture) des propriétés de la cellule d’un tableau est le suivant :

Propriété | Règle R/W non-CALS | Règle R/W CALS | Valeur d’attribut
FP_CellAngle | angle de cellule | rotation | Nombre entier
FP_CellOverrideFill | Remplissage personnalisé | S.O. | Nombre entier correspondant à des valeurs FDK
FP_CellUseOverrideFill | Utiliser le remplissage personnalisé | S.O. | 0 = False Nonzero value = True
FP_CellOverrideShading | Ombrage personnalisé | S.O. | Balise de FO_Color
FP_CellUseOverrideShading | Ombrage personnalisé | S.O. | 0 = False Nonzero value = True
FP_CellOverrideBottomRuling | trait d’encadrement bas personnalisé | S.O. | Balise de FO_RulingFmt
FP_CellUseOverrideBRuling | trait d’encadrement bas personnalisé | S.O. | 0 = False Nonzero value = True
FP_CellOverrideLeftRuling | trait d’encadrement gauche personnalisé | S.O. | Balise de FO_RulingFmt
FP_CellUseOverrideLRuling | trait d’encadrement gauche personnalisé | S.O. | 0 = False Nonzero value = True
FP_CellOverrideRightRuling | trait d’encadrement droit personnalisé | S.O. | Balise de FO_RulingFmt
FP_CellUseOverrideRRuling | trait d’encadrement droit personnalisé | S.O. | 0 = False Nonzero value = True
FP_CellOverrideTopRuling | trait d’encadrement haut personnalisé | S.O. | Balise de FO_RulingFmt
FP_CellUseOverrideTRuling | trait d’encadrement haut personnalisé | S.O. | 0 = False Nonzero value = True

Le mappage de la règle R/W (lecture/écriture) des propriétés des lignes d’un tableau est le suivant :

Propriété | Règle R/W non-CALS | Règle R/W CALS | Valeur d’attribut
FP_RowKeepWithNext | garder avec le suivant | S.O. | 0 = False Nonzero value = True
FP_RowKeepWithPrev | garder avec le suivant | S.O. | 0 = False Nonzero value = True
FP_RowStart | placement de la ligne | S.O. | Nombre entier correspondant à des valeurs FDK

Dans l’exemple suivant, l’attribut prop5 contrôle l’encadrement inférieur du tableau.

element "tablecell"
{
   is fm table cell element;
   attribute "prop1" is fm property right ruling override;
   attribute "prop2" is fm property use right ruling override;
   attribute "prop3" is fm property top ruling override;
   attribute "prop4" is fm property use top ruling override;
   attribute "prop5" is fm property bottom ruling override;
   attribute "prop6" is fm property use bottom ruling override;
   attribute "prop7" is fm property left ruling override;
   attribute "prop8" is fm property use left ruling override;
   attribute "prop9" is fm property cell angle;
}

Dans l’exemple suivant, les attributs att1, att2, att3, et att4 contrôlent les propriétés d’ombrage de la cellule de tableau :

element "tablecell2"
{
   is fm table cell element;
   attribute "att1" is fm property shading override;
   attribute "att2" is fm property use shading override;
   attribute "att3" is fm property bottom ruling override;
   attribute "att4" is fm property use bottom ruling override;
   attribute "att5" is fm property fill override;
   attribute "att6" is fm property use fill override;
}
Parent topic: Création de contenu structuré


Conversion bidirectionnelle des équations et des cadres ancrés

Apprenez à appliquer une conversion bidirectionnelle à des équations et à des cadres ancrés en XML avec Adobe FrameMaker.

Vous pouvez appliquer une conversion directionnelle à des équations et des cadres ancrés entre FrameMaker structuré et XML. Lorsque vous enregistrez un document FrameMaker structuré au format XML, FrameMaker crée des fichiers MIF pour les équations et les cadres ancrés dans le document. FrameMaker enregistre chaque équation et cadre ancré dans un autre fichier MIF.

Note: Pour tester cette fonction, vous pouvez utiliser l’application XML ReportPlain dans le fichiersamplesStructapps.fmà l’emplacement suivant : <Fm_install_location>\Structure. Cette application XML possède des éléments Equation et Cadre.

Vous pouvez modifier le type des fichiers qui sont créés pour le stockage des équations et des cadres ancrés en spécifiant l’indicateur suivant dans le fichier maker.ini.

Pour spécifier le format vectoriel par défaut pour XML, ajoutez l’indicateur DefaultvectorformatforXMLexport au fichier maker.ini dans le profil utilisateur Windows (%appdata%\Adobe\FrameMaker\xx).

Par exemple, l’instruction suivante définit le format vectoriel par défaut de XML sur CGM.

DefaultvectorformatforXMLexport=CGM
Parent topic: Création de contenu structuré


Filtre par attribut

Apprenez à filtrer des éléments par valeur d’attribut dans une rubrique DITA dans Adobe FrameMaker.

Dans Adobe FrameMaker, vous pouvez filtrer les éléments d’une rubrique DITA par valeurs d’attribut. Vous pouvez rédiger une seule rubrique, puis définir les attributs nécessaires aux éléments conditionnels. Vous pouvez ensuite utiliser la fonction de filtrage par attribut pour filtrer les éléments en fonction de valeurs d’attribut.

Par exemple, dans une rubrique de caractéristiques, vous pouvez définir l’attribut@product sur framemaker et robohelp pour les éléments dans la rubrique. De même, si la rubrique contient du contenu conditionnel basé sur la sortie, définissez l’attribut @audience sur print (pour une sortie PDF) etweb (pour une sortie Web). Vous créez ensuite une sortie différente, en fonction des filtres appliqués sur les attributs @product et @audience.

  • Application de filtres d’attributs
    Apprenez à appliquer des filtres d’attributs dans une rubrique DITA dans Adobe FrameMaker.
  • Création de filtres d’attributs
    Apprenez à créer des filtres dans FrameMaker et découvrez les différents conseils pour créer des règles de filtre.
  • Conseils pour la création de règles de filtrage d’attribut
    Conseils pour la création de règles de filtrage d’attribut.
  • Gestion des filtres d’attribut
    Apprenez à gérer les filtres dans FrameMaker. Découvrez la boîte de dialogue Gérer les expressions d’attribut.
  • Définition d’attributs
    Apprenez à définir des attributs ou des balises conditionnelles après la création de filtres pour une rubrique dans Adobe FrameMaker.
  • Forum aux questions (FAQ) et résolution des problèmes
    Consultez les questions de FAQ courantes, ainsi que des conseils pour la résolution des problèmes relatifs aux attributs et aux filtres d’attribut dans Adobe FrameMaker.
Parent topic: Création de contenu structuré


Application de filtres d’attributs

Apprenez à appliquer des filtres d’attributs dans une rubrique DITA dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Application d’attributs à un élément

  • Définition des valeurs d’attribut pour les éléments

  • Raccourcis clavier pour l’application d’un attribut

Introduction

Vous pouvez rendre les éléments dans une rubrique DITA conditionnels en appliquant des valeurs à l’attribut des éléments. Vous pouvez ensuite créer un filtre dans lequel vous définissez les règles afin d’inclure et d’exclure du contenu en fonction des valeurs d’attribut de l’élément.

Avant de créer des rubriques avec du contenu conditionnel, vous devez prévoir les critères pour la sortie. Par exemple, supposons qu’une rubrique possède du contenu conditionnel destiné aux administrateurs et aux utilisateurs finaux. Dans la rubrique, vous appliquez des valeurs d’attribut basées sur le public cible du contenu (voir Création de filtres d’attributs). Vous pouvez ensuite créer un filtre dans FrameMaker, dans lequel vous spécifiez les éléments à inclure et à exclure, en fonction de la valeur d’attribut définie dans la rubrique (voir Création de filtres d’attributs).

Application d’attributs à un élément

Pour appliquer des attributs à un élément, procédez comme suit :

  1. Sélectionnez l’élément dans la rubrique.

    Vous pouvez sélectionner l’élément dans la Vue structurée ou dans la Vue du document.

  2. Sélectionnez Elément > Modifier les attributs pour ouvrir le panneau Attributs et entrez la valeur de l’attribut d’élément spécifique.

Vous n’avez pas besoin d’appliquer des attributs à chaque élément de votre rubrique. Il suffit de les appliquer aux éléments qui doivent être filtrés de manière conditionnelle.

Tip: Dans le panneau Attributs, sélectionnez l’option Obligatoires et spécifiés pour filtrer la liste d’attributs et afficher les attributs définis.

Définition des valeurs d’attribut pour les éléments

Pour autoriser FrameMaker à appliquer un traitement conditionnel aux éléments dans une rubrique DITA, vous devez spécifier les éléments à inclure ou exclure de la sortie en fonction des valeurs d’attribut.

Par exemple, vous pouvez définir les valeurs de l’attribut @audience d’un élément sur admin, enduser et author selon le public cible.

Vous pouvez définir une valeur sur n’importe quel attribut dans les éléments d’une rubrique DITA. Vous pouvez ensuite filtrer le contenu en fonction des valeurs d’attribut spécifiées.

Important: Vous pouvez appliquer un filtre à tout élément d’une rubrique DITA. Cela signifie que si vous appliquez un filtre qui masque un élément obligatoire (tel qu’un titre), la structure de la rubrique sera rompue.

Raccourcis clavier pour l’application d’un attribut

Vous pouvez utiliser le raccourci Catalogue dynamique pour appliquer des valeurs d’attribut à un élément :

  1. Appuyez sur ctrl+7 pour afficher le Catalogue dynamique pour définir une ou plusieurs valeurs d’attribut pour l’élément actif.

  2. Dans le catalogue dynamique, sélectionnez l’attribut requis.

    Le panneau Attributs s’affiche avec l’attribut sélectionné.

  3. Saisissez la valeur d’attribut.

    Note: Une fois l’attribut sélectionné dans le panneau Attributs, vous n’avez pas besoin de le sélectionner. Il vous suffit de commencer la saisie pour entrer la valeur d’attribut.
Parent topic: Filtre par attribut


Création de filtres d’attributs

Apprenez à créer des filtres dans FrameMaker et découvrez les différents conseils pour créer des règles de filtre.

Après avoir configuré votre contenu en utilisant des valeurs d’attribut pour créer du contenu conditionnel, créez des filtres en fonction du contenu à afficher et masquer. Par exemple, vous pouvez filtrer votre contenu pour cibler les administrateurs et les auteurs et exclure les utilisateurs finaux en créant le filtre suivant :

(audience="admin" or audience="author")

Création d’un filtre

  1. Sélectionnez Affichage > Filtrer par attribut.

    La boîte de dialogue Gérer les expressions d’attribut s’affiche.

    Figure 1. Boîte de dialogue Gérer les expressions d’attribut
    Boîte de dialogue Gérer les expressions d'attribut dans Adobe FrameMaker

    Utilisez cette boîte de dialogue pour créer, modifier, supprimer et appliquer des filtres aux rubriques DITA.

  2. Pour créer un filtre, cliquez sur Nouveau.

    La boîte de dialogue Créer une expression s’affiche.

    Figure 2. Boîte de dialogue Créer une expression
    Boîte de dialogue Créer une expression dans Adobe FrameMaker

  3. Dans la zone de texte Balise d’expression, saisissez un nom pour le filtre.

  4. Dans la liste Attributs, sélectionnez un attribut pour créer un filtre.

  5. Dans la zone de texte Nouvelle valeur, saisissez une valeur pour l’attribut sélectionné, puis cliquez sur Ajouter. Répétez cette étape pour ajouter les valeurs affectées à l’attribut sélectionné dans la rubrique.

  6. Sélectionnez le type de règle Est égal(e) à, Tout ou Contient uniquement, puis cliquez sur Ajouter une règle.

    Est égal(e) à :

    Filtre le contenu auquel les valeurs sont affectées dans la liste Valeurs définies pour l’attribut sélectionné.

    Passe sur true si certaines des valeurs d’attribut correspondent à la valeur spécifiée.

    Par exemple, si l’attribut sélectionné est audience et les valeurs de la liste Valeurs définies sont admin et enduser, la règle définie est :

    (audience="admin" OR audience="enduser")
    Tout :

    Filtre le contenu sur toutes les valeurs de l’attribut sélectionné.

    Passe sur true si les valeurs d’attribut contiennent la valeur spécifiée.

    Par exemple, si l’attribut sélectionné est audience, la règle définie est :

    (audience #ANY)
    Contient uniquement :

    Filtre le contenu uniquement avec les valeurs d’attribut définies dans la liste.

    Passe sur true si certaines des valeurs d’attribut contiennent uniquement toutes les valeurs spécifiées.

    adminenduserPar exemple, la règle suivante filtre le contenu qui possède des balises pour les valeurs et :

    (audience # "admin", "enduser")

    ORCette syntaxe est utilisée comme raccourci pour l’utilisation de l’opérateur L’exemple ci-dessus peut également être défini à l’aide de l’opérateur OR :

    (audience = "admin" OR audience="enduser")

  7. Cliquez sur OK.

  8. Cliquez sur Terminé dans la boîte de dialogue Gérer les expressions d’attribut.

Important: Les options décrites dans les étapes ci-dessus sont des outils permettant de créer des règles. Toutefois, vous pouvez entrer la règle dans la zone de texte Expression.
Parent topic: Filtre par attribut


Conseils pour la création de règles de filtrage d’attribut

Conseils pour la création de règles de filtrage d’attribut.

Lorsque vous créez une règle de filtrage, vous pouvez choisir d’utiliser le bouton Ajouter une règle ou saisir la règle manuellement dans la zone Expression. Lorsque vous choisissez d’enregistrer une règle, FrameMaker vérifie la syntaxe de la règle. Vous ne pouvez pas enregistrer de règle avec une syntaxe incorrecte.

Casse de la paire nom-valeur de l’attribut

Le nom de l’attribut dans une règle est sensible à la casse. Toutefois, la valeur de l’attribut ne l’est pas.

Correct :

(audience="ADMIN" OR audience="enduser")

La règle ci-dessus filtrera le contenu qui possède une balise avec la valeur d’attribut ADMIN, Admin ou admin.

Incorrect :

(audience="admin" OR Audience="enduser")

Le nom d’attribut doit être défini avec la même casse que dans le panneau Attributs.

Valeur d’attribut

La valeur d’un attribut doit être entourée de guillemets doubles et ne peut pas être vide.

Incorrect :

(audience="")

N’utilisez pas cette règle pour filtrer des éléments comportant n’importe quelle valeur comme attribut. En revanche, vous pouvez utiliser l’opérateur ANY décrit ci-dessus.

Utilisation des parenthèses

Chaque paire nom-valeur de l’attribut doit être entourée de parenthèses.

Incluez uniquement les attributs identiques dans les mêmes parenthèses.

Correct :

(audience="admin" OR audience="enduser" OR audience="author")

Incorrect :

(audience="admin" AND product="framemaker")

Seuls les attributs identiques peuvent être inclus dans les mêmes parenthèses.

Incorrect :

audience="admin" OR audience="enduser" OR audience="author"

Les paires nom-valeur doivent être entourées de parenthèses. Même une seule paire nom-valeur doit être entourée de parenthèses.

Utilisation de l’opérateur AND

L’opérateur AND ne peut pas être utilisé pour filtrer le même attribut. Il peut être utilisé pour filtrer des attributs différents.

Incorrect :

(audience="admin" AND audience="enduser")

Correct :

(audience="admin" OR audience="enduser") AND (product="framemaker")

Utilisation de l’opérateur NOT

L’opérateur NOT doit figurer avant la parenthèse ouvrante d’un groupe nom-valeur d’attribut.

Incorrect :

(audience="admin") AND (NOT product="framemaker")

Correct :

(audience="admin") AND NOT (product="framemaker")

Correct :

NOT (product="framemaker")

Utilisation de l’opérateur ANY

Pour filtrer le contenu possédant une balise avec n’importe quelle valeur d’un attribut.

Correct :

(audience #ANY)

La règle ci-dessus inclut tout le contenu possédant une balise avec l’attribut audience, quelle que soit la valeur de l’attribut.

Correct :

NOT (audience #ANY)

La règle ci-dessus exclut tout le contenu possédant une balise avec l’attribut audience, quelle que soit la valeur de l’attribut.

Parent topic: Filtre par attribut


Gestion des filtres d’attribut

Apprenez à gérer les filtres dans FrameMaker. Découvrez la boîte de dialogue Gérer les expressions d’attribut.

Dans ce sujet

  • Modification des filtres d’attributs

  • Suppression des filtres d’attributs

  • Importation de filtres d’attributs

Modification des filtres d’attributs

Vous pouvez modifier le nom et la définition d’un filtre. Vous pouvez modifier un filtre actuellement appliqué à une rubrique. Toutefois, vous devrez réappliquer le filtre à la rubrique.

Pour modifier un filtre d’attribut, procédez comme suit :

  1. Dans la boîte de dialogue Gérer les expressions d’attribut (Affichage > Filtrer par attribut), sélectionnez l’expression et cliquez sur Modifier.

    La boîte de dialogue Créer une expression s’affiche.

  2. Dans la boîte de dialogue Créer une expression, modifiez le nom et/ou la règle du filtre.

  3. Cliquez sur OK pour enregistrer les modifications.

Suppression des filtres d’attributs

Si vous supprimez un filtre d’attribut, la définition du filtre est supprimée du catalogue de rubriques et ne peut plus être utilisée dans la rubrique. De même, si un filtre de suppression est actuellement appliqué à la rubrique, le filtre est supprimé du contenu de la rubrique. Dans la mesure où vous pouvez uniquement appliquer un filtre à une rubrique à la fois, si vous supprimez le filtre actuellement appliqué, la rubrique affiche tout le contenu.

Pour supprimer un filtre d’attribut, procédez comme suit :

  1. Dans la boîte de dialogue Gérer les expressions d’attribut (Affichage > Filtrer par attribut), sélectionnez l’expression.

  2. Cliquez sur Supprimer.

Si le filtre n’est actuellement pas appliqué à la rubrique, vous êtes invité à confirmer l’opération de suppression.

Si le filtre est actuellement appliqué à la rubrique, le message correspondant s’affiche. Si vous confirmez l’opération de suppression, le filtre est supprimé du contenu.

Importation de filtres d’attributs

Les filtres dans une rubrique peuvent être utilisés dans la rubrique dans laquelle ils ont été créés. Vous pouvez rendre ces filtres disponibles pour les autres rubriques en important leurs définitions dans d’autres rubriques.

Pour importer un filtre d’attribut, procédez comme suit :

  1. Ouvrez la rubrique contenant les filtres que vous devez rendre disponibles dans une ou plusieurs autres rubriques.

  2. Ouvrez la rubrique dans laquelle importer les filtres de la rubrique de source.

    Si vous travaillez dans le livre FrameMaker, vous pouvez sélectionner plusieurs rubriques dans le livre dans lesquelles importer les filtres de la rubrique source.

  3. Sélectionnez Fichier > Importer > Formats.

  4. Dans la boîte de dialogue Importer des formats, sélectionnez le document source dans le menu déroulant Importer à partir du document.

  5. Dans la section Importer et mettre à jour, cliquez sur Tout désélectionner, cochez la case Filtrer par attribut, puis cliquez sur Importer.

Lorsque vous importez les filtres d’une rubrique à une autre, en plus des filtres, la condition de filtre (Afficher tout ou Afficher par expression) est également importée.

Si les rubriques de destination contiennent des filtres portant le même nom que la rubrique source, ces derniers sont remplacés.

Après avoir importé les filtres d’une rubrique à une autre, vous devez appliquer les filtres au contenu de la rubrique de destination.

Parent topic: Filtre par attribut


Définition d’attributs

Apprenez à définir des attributs ou des balises conditionnelles après la création de filtres pour une rubrique dans Adobe FrameMaker.

Après avoir créé les filtres dans une rubrique, vous pouvez les utiliser pour afficher ou masquer le contenu en fonction des attributs appliqués. Pour filtrer le contenu dans une rubrique, appliquez les valeurs d’attributs aux éléments du contenu. Vous pouvez ensuite créer des filtres basés sur les attributs appliqués au contenu. Pour afficher ou masquer le contenu en fonction des filtres, vous devez appliquer le filtre spécifique au contenu.

Important: Un élément qui ne possède aucune balise d’attribut est inconditionnel. Cela signifie que le contenu des éléments qui ne possèdent pas de balise s’affiche indépendamment du filtre appliqué à la rubrique. L’avantage de cette fonctionnalité est que vous n’avez pas besoin d’ajouter une balise à chaque élément dans une rubrique. Les éléments qui ne possèdent aucune balise d’attribut ne sont affectés par aucun filtre.

Par exemple : vous avez appliqué l’attribut @audience à différents éléments (avec les valeurs admin, author et enduser). Vous créez ensuite plusieurs filtres :

(audience="admin" or audience="author")

Filtre le contenu destiné aux administrateurs et aux auteurs.

(audience #ANY)

Filtre le contenu destiné aux administrateurs, aux auteurs et aux utilisateurs finaux.

Cela signifie que vous appliquez un filtre différent selon la sortie souhaitée.

A tout moment, vous pouvez appliquer un seul filtre à une rubrique. Cela signifie que vous pouvez créer un nombre illimité de filtres puis, selon la sortie souhaitée, appliquer le filtre approprié.

Pour appliquer un filtre, procédez comme suit :

  1. Sélectionnez Affichage > Filtrer par attribut pour ouvrir la boîte de dialogue Gérer les expressions d’attribut.

  2. Pour filtrer le contenu, sélectionnez Afficher par expression, puis sélectionnez l’expression requise.

    Par exemple, l’expression suivante filtre le contenu qui possède des balises avec l’attribut @audience défini sur admin ou author :

    (audience="admin" or audience="author")

    @Cela signifie que tout élément possédant une balise avec l’attribut audience défini sur toute autre valeur est exclu. Toutefois, si un élément ne possède pas de balise avec l’attribut @audience, il n’est pas supprimé.

    Dans le groupe Texte filtré, vous pouvez choisir la manière de filtrer le contenu :

    Masquer

    Masque le contenu selon l’expression de filtre.

    Aperçu en couleur

    Affiche la couleur de police du texte selon l’expression de filtre avec la couleur sélectionnée. Utilisez cette option pour la révision.

    Note: Utilisez cette option pour du contenu basé sur du texte. Par exemple, si vous appliquez cette option à un élément de tableau, la couleur de police du texte du tableau n’est pas appliquée.
    Appliquer une balise conditionnelle

    Appliquez une balise conditionnelle au contenu filtré.

    Dans la liste déroulante, sélectionnez la balise conditionnelle. La balise conditionnelle sélectionnée est alors appliquée au contenu filtré.

    Par exemple, supposons que l’attribut audience des éléments conditionnels d’une rubrique possède les balises admin, author et enduser. Si vous appliquez le filtre d’attribut suivant à une rubrique : filtre

    (audience="admin" or audience="author")

    Le filtre exclut les éléments possédant une balise enduser. Si vous sélectionnez l’option Appliquer une balise conditionnelle, la balise conditionnelle sélectionnée est appliquée aux éléments exclus. Pour plus d’informations sur la façon d’appliquer des balises conditionnelles et d’afficher/masquer du contenu à l’aide de texte conditionnel, voir Texte conditionnel.

  3. Cliquez sur Appliquer.

Parent topic: Filtre par attribut


Forum aux questions (FAQ) et résolution des problèmes

Consultez les questions de FAQ courantes, ainsi que des conseils pour la résolution des problèmes relatifs aux attributs et aux filtres d’attribut dans Adobe FrameMaker.

J’ai défini un attribut d’un élément, puis j’ai appliqué un filtre qui a exclu l’élément en fonction de l’attribut. Cependant, l’élément est toujours visible :

Si vous apportez des modifications au contenu ou à l’expression de filtre, vous devez appliquer le filtre à la rubrique. Par exemple, si vous appliquez un filtre à la rubrique, puis définissez un attribut pour un élément inclus dans le filtre, le filtre n’est pas immédiatement appliqué au contenu mis à jour. Vous devez appliquer le filtre à la rubrique.

J’ai appliqué un filtre à une rubrique et la structure de la rubrique est désormais rompue :

Vous devez prendre soin de ne pas rompre la structure de la rubrique. Si le filtre appliqué à une rubrique mène au masquage d’un élément obligatoire, la structure de rubrique est rompue. FrameMaker ne vous empêche pas de faire cela ; toutefois, la Vue de la structure indique la rupture dans la rubrique.

Figure 1. Structure rompue causée par le masquage de l’élément dt par le filtre appliqué
La structure du document est rompue, car un élément est masqué par le filtre appliqué.

Que se passe-t-il si j’applique différents attributs aux éléments enfants et parent dans une rubrique ?

Si un filtre mène au masquage d’un élément parent, les éléments enfants sont masqués, indépendamment des attributs appliqués aux éléments enfants. Cependant, si un filtre entraîne l’affichage d’un parent et le masquage d’un enfant, l’enfant est masqué.

Parent topic: Filtre par attribut


Transformations XSL

Familiarisez-vous avec les transformations XSLT dans Adobe FrameMaker.

FrameMaker fournit des options de traitement des fichiers XML. FrameMaker permet également l’importation et l’exportation XML pour prendre en charge les transformations XSL et le langage Schema pour la grammaire et la définition des règles. Vous pouvez importer un document XML utilisant le langage Schema en créant automatiquement une DTD (Document Type Definition) à partir du schéma référencé ou vous pouvez créer une EDD (Element Definition Document) directement à partir d’une définition de schéma. Vous pouvez également valider les fichiers en les comparant à un schéma associé, à l’importation comme à l’exportation.

XSL (EXtensible Stylesheet Language) est un langage de feuille de style pour les documents XML. XSLT (Extensible Stylesheet Language Transformation) est le moyen par lequel les transformations définies en XSL sont appliquées à des documents XML.

XSL est un ensemble réunissant les trois spécifications suivantes :

XSLT

Langage pour la conversion de documents XML.

XPath

Langage de navigation dans des documents XML.

XSL-FO

Langage pour la mise en forme de documents XML.

FrameMaker inclut un programme de traitement XSLT vous permettant d’associer un fichier XSLT à une application structurée XML ou à un document XML et d’appliquer les transformations définies dans ce document lors de l’importation ou de l’exportation au format XML. FrameMaker prend en charge les spécifications de la norme W3C XSLT 3.0. Vous pouvez changer le processeur XSLT en modifiant le fichier maker.ini ou à partir de votre application structurée.

  • Les nouveaux éléments (SmartPaste, PreProcessing, PostProcessing) de l’application structurée (XSLTPreferences dans l’élément stylesheets de XMLApplication) vous permettent d’indiquer quel fichier XSLT de votre application structurée est à utiliser pour l’importation et l’exportation.

  • Par le biais de l’instruction de traitement xml-stylesheet, vous pouvez désormais indiquer le fichier XSL d’un document comportant des balises XML, qui remplace tout XSLT spécifié dans l’application structurée lors de l’importation de ce document.

Lors de l’importation, les transformations XSL sont appliquées avant les règles de lecture par défaut ou toute autre règle de lecture que vous avez définie. Par conséquent, l’application d’une transformation XSL à l’importation crée un nouveau fichier qui est transmis aux règles de lecture/écriture s’il est au format XML.

Lors de l’exportation, les transformations XSL sont appliquées après les règles d’écriture par défaut ou explicites. L’application des règles de lecture/écriture à l’exportation se solde par la création d’un nouveau fichier XML qui est transmis au processeur XSLT s’il est valide.

Vous pouvez créer une sortie hypertexte (XML ou HTML) à partir d’un fichier XML en utilisant la fonction XSL. En outre, vous pouvez créer et enregistrer des transformations réutilisables dans un fichier XML. Les transformations réutilisables contiennent des informations telles que le nom et le chemin d’accès du XSLT et le chemin d’accès des fichiers d’entrée et de sortie.

La sortie est créé à l’aide d’un analyseur installé sur la machine et enregistré avec FrameMaker via les paramètres maker.ini. Les analyseurs XALAN et SAXON sont installés par défaut sur votre ordinateur avec FrameMaker. XALAN prend en charge le langage XSLT 1.0 et SAXON le langage XSLT 3.0. Tous deux sont conformes à JAXP.

Note: FrameMaker inclut Saxon Enterprise Edition 9.8.3.

SAXON est l’analyseur par défaut utilisé lorsque XSL est exécuté directement ou si aucun analyseur spécifique à la transformation n’est spécifié. Toutefois, vous pouvez spécifier un nouveau processeur par défaut dans le fichier maker.ini à l’aide des indicateurs suivants :

[XSLTProcessors]
; processorName=jar path(all dependent jars should be in same dir), TransformerFactory class,
; default if default processor
; (if not specified – 1st processor would become default.)
XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_2-bin\xalan.jar,
  org.apache.xalan.processor.TransformerFactoryImpl
SAXON=fminit\XSLT\XSLTProcessors\saxon\SaxonEE9-8-0-7J\saxon9ee.jar,
  net.sf.saxon.TransformerFactoryImpl, Default

Une transformation XSL comprend des informations telles que XSL, Analyseur et Dossier de sortie, pour créer une sortie à partir de fichiers XML. Les transformations que vous créez sont stockées dans un fichier XML. Il existe deux types de transformations : par défaut et spécifique à l’application. Les transformations par défaut sont stockées dans le fichier comme spécifié dans le fichier maker.ini en utilisant l’indicateur TransformationFilePath. Les transformations spécifiques à l’application sont enregistrées dans un fichier XML que vous spécifiez pour l’application structurée dans le fichier structapps.fm.

La barre d’outils XSLT conserve un historique des transformations que vous utilisez et vous permet de créer une sortie issue de plusieurs fichiers XML à l’aide de la fonctionnalité Exécution avancée. Dans la barre d’outils, vous pouvez également choisir et exécuter une transformation\XSL à l’ouverture du fichier.

Barre d’outils XSLT dans FrameMaker

A. Cliquer pour sélectionner un fichier XSL B. Cliquer pour sélectionner une transformation C. Exécuter la transformation ou le XSL sélectionné D. Cliquer pour afficher la boîte de dialogue Exécution avancée

Passage au processeur XALAN

  1. Dans le fichier maker.ini, recherchez la section XSLTProcessors.

  2. L’entrée correspondant au processeur SAXON porte le suffixe : Défaut.

    XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_2-bin\xalan.jar,
   org.apache.xalan.processor.TransformerFactoryImpl
SAXON=fminit\XSLT\XSLTProcessors\saxon\SaxonEE9-8-0-7J\saxon9ee.jar,
   net.sf.saxon.TransformerFactoryImpl, Default

  3. Coupez et collez pour déplacer le suffixe vers l’entrée du processeur XALAN comme suit :

    XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_2-bin\xalan.jar,
   org.apache.xalan.processor.TransformerFactoryImpl, Default
SAXON=fminit\XSLT\XSLTProcessors\saxon\SaxonEE9-8-0-7J\saxon9ee.jar,
   net.sf.saxon.TransformerFactoryImpl
  • Création de transformations XSL
    Apprenez à créer des transformations XSLT dans Adobe FrameMaker.
  • Modification des transformations XSL
    Apprenez à associer les fichiers de transformation à votre application XML dans FrameMaker.
  • Transformations spécifiques à une application
    Apprenez à utiliser des XSLT spécifiques à une application dans Adobe FrameMaker.
  • Exécution avancée - Transformation de plusieurs fichiers à l’aide de XSLT
    Apprenez à transformer plusieurs fichiers XML à l’aide de XSLT avec l’exécution avancée dans FrameMaker.
Parent topic: Création de contenu structuré
  • XML avec schéma
  • Exécution avancée - Transformation de plusieurs fichiers à l’aide de XSLT


Création de transformations XSL

Apprenez à créer des transformations XSLT dans Adobe FrameMaker.

Note: Assurez-vous de passer à la vue XML avant d’effectuer cette procédure.

  1. Sélectionnez XSLT > Gérer la transformation.

    Boîte de dialogue Gérer les transformations dans la vue XML de FrameMaker

  2. Dans la boîte de dialogue Gérer les transformations :

    Pour utiliser le fichier de transformation par défaut, sélectionnez Fichier de transformation par défaut, puis cliquez sur Nouveau.

    Pour créer un fichier de transformation, sélectionnez Fichier de transformation, puis cliquez sur Nouveau.

    Note: Si vous disposez déjà d’un fichier de transformation, cliquez sur le bouton Parcourir, puis sélectionnez-le.

  3. Cliquez sur Nouveau.

  4. Dans la boîte de dialogue Nouvelle transformation, spécifiez les informations suivantes, puis cliquez sur Enregistrer sous pour créer un fichier de transformation :

    Note: Si vous avez sélectionné un fichier de transformation existant à l’étape 1 à l’aide du bouton Parcourir, enregistrez la nouvelle transformation dans le fichier de transformation sélectionné.

    1. Nom de la transformation : nom pour le paramètre de transformation.

    2. Utilisation : vous pouvez sélectionner un fichier XSL ou choisir d’utiliser les instructions de traitement (PI) dans le fichier XML.

    3. Processeur : SAXON, XALAN, ou tout autre analyseur enregistré avec FrameMaker.

    4. Sortie : paramètres relatifs au fichier de sortie, tels que l’emplacement de l’enregistrement, le suffixe, ainsi que la manière d’ouvrir le fichier de sortie.

Parent topic: Transformations XSL


Modification des transformations XSL

Apprenez à associer les fichiers de transformation à votre application XML dans FrameMaker.

Une fois que vous avez créé une transformation, vous pouvez associer le fichier de transformation à une ou plusieurs applications XML dans le fichier structapps.fm.

  1. Dans la vue WYSIWYG, sélectionnez Structure > Définition d’application > Modifier les définitions d’application globales.

  2. Dans une application structurée, recherchez l’élément<TransformationFile> et indiquez le nom et le chemin du fichier de transformations.

    Recherche de l’élément fichier de transformation et spécification du chemin et du nom du fichier de transformations dans la Vue de la structure

  3. Enregistrez le fichier StructApps.fm et sélectionnez Structure > Définition d’application > Lire les définitions d’application.

Maintenant, vous pouvez choisir de générer le fichier de sortie à l’aide de la transformation de l’application concernée.

Parent topic: Transformations XSL


Transformations spécifiques à une application

Apprenez à utiliser des XSLT spécifiques à une application dans Adobe FrameMaker.

  1. Avec un fichier XML actif dans la vue XML, dans la barre d’outils XSLT, sélectionnez Transformation dans la liste déroulante Choisir.

  2. Dans la boîte de dialogue Choisir la transformation, sélectionnez Applications structurées.

    Transformation spécifique à l’application dans la boîte de dialogue Gérer les transformations

  3. L’application concernée, telle que spécifiée dans structapps.fm, est sélectionnée dans la liste déroulante et les transformations pertinentes apparaissent dans le champ Transformations.

  4. Dans Transformations, sélectionnez la transformation que vous souhaitez utiliser pour générer la sortie, puis cliquez sur OK.

  5. Dans la barre d’outils XSLT, cliquez sur Exécuter.

    FrameMaker génère la sortie hypertexte et affiche le fichier.

Parent topic: Transformations XSL


Exécution avancée - Transformation de plusieurs fichiers à l’aide de XSLT

Apprenez à transformer plusieurs fichiers XML à l’aide de XSLT avec l’exécution avancée dans FrameMaker.

Avec la boîte de dialogue Exécution avancée, vous pouvez exécuter un XSLT sur plusieurs fichiers.

  1. Sélectionnez XSLT > Exécution avancée.

    ou

    Sélectionnez Exécution avancée dans la barre d’outils XSLT.

    Exécution avancée dans la barre d’outils XSLT

  2. Dans la boîte de dialogue Exécution avancée, sélectionnez une portée d’exécution de la transformation :

    1. Fichier en cours : génération d’une sortie depuis le fichier XML ouvert dans FrameMaker.

    2. Inclure les éléments enfant si le document actif est un livre ou un mappage. Lorsque cette option est sélectionnée, la fonction XSLT est appliquée aux éléments enfant, conjointement à l’élément parent.

    3. Tous les fichiers ouverts : génération d’une sortie de tous les fichiers XML ouverts dans FrameMaker à l’aide d’une transformation ou d’un XSL.

    4. Dossier : génération d’une sortie de tous les fichiers XML présents dans un dossier, à l’aide d’une transformation ou d’un XSL. Sélectionnez l’option Inclure les sous-dossiers, le cas échéant.

  3. Sélectionnez une transformation ou un XSL, puis cliquez sur Exécuter.

Les fichiers de sortie sont lancés dans l’application associée.

Parent topic: Transformations XSL


Interface utilisateur de création de contenu structuré

Familiarisez-vous avec l’interface utilisateur de création de contenu structuré d’Adobe FrameMaker et avec les outils qu’elle vous offre pour vous aider à créer des documents structurés.

L’interface de création de contenu de FrameMaker structuré fournit les outils suivants pour permettre la création de contenu dans les documents (hiérarchiques) structurés :

Figure 1. Panneaux Vue de la structure, Eléments et Attributs
Panneaux Vue de la structure, Eléments et Attributs dans l’interface de création de contenu de FrameMaker structuré

Vue de la structure

Affiche la structure hiérarchique du document. Vous pouvez ajouter, supprimer, déplacer, copier et coller des éléments dans ce panneau au cours de la création de votre document structuré.

Catalogue d’éléments

Affiche la liste des éléments disponibles pouvant être utilisés dans le document actif. Les éléments de la liste sont définis dans l’application structurée sur laquelle le document actif est basé. Par défaut, les éléments affichés dans la liste se basent sur le point d’insertion dans le document. Cela garantit que vous ne placez pas par inadvertance des éléments à des emplacements non valides dans la hiérarchie structurée.

Panneau Attributs

Affiche la liste des attributs pour l’élément sélectionné. Définit ou supprime les valeurs pour les attributs d’un élément.

Note: À l’aide de l’espace de travail XML/structuré, organisez automatiquement toutes les fenêtres et tous les panneaux les plus couramment utilisés dans l’environnement de création de contenu structuré.
  • Mode de création de contenu structuré
    Familiarisez-vous avec le mode de création de contenu structuré dans Adobe FrameMaker et apprenez à passer de la version non structurée à la version structurée d’Adobe FrameMaker.
  • Vues d’édition pour la création de contenu structuré
    Cette rubrique présente les vues d’édition d’Adobe FrameMaker : vue XML et vue WYSIWYG.
  • Barre d’outils d’élément rapide
    Familiarisez-vous avec la barre d’outils d’élément rapide dans Adobe FrameMaker et apprenez à vous en servir pour créer du contenu structuré.
  • Catalogue d’éléments
    Apprenez à utiliser le Catalogue d’éléments dans Adobe FrameMaker et à insérer, enchaîner et modifier un élément.
  • Modification de la sélection d’éléments disponibles dans un document structuré
    Découvrez comment définir quels éléments sont disponibles au point d’insertion dans un document structuré avec Adobe FrameMaker.
  • Limites d’éléments
    Familiarisez-vous avec les limites d’éléments et apprenez à afficher/masquer des limites et balises d’élément dans la vue Auteur d’Adobe FrameMaker.
  • Console d’erreurs
    Apprenez à trouver des erreurs dans un document FrameMaker et à les corriger à l’aide d’une console d’erreurs.
Parent topic: Création de contenu structuré
  • Catalogue d’éléments
  • Utilisation des attributs d’élément


Mode de création de contenu structuré

Familiarisez-vous avec le mode de création de contenu structuré dans Adobe FrameMaker et apprenez à passer de la version non structurée à la version structurée d’Adobe FrameMaker.

Par défaut, Adobe FrameMaker s’ouvre en mode de création FrameMaker structuré.

Si vous travaillez actuellement en mode FrameMaker, vous pouvez également modifier l’interface comme suit :

  1. Sélectionnez Modifier > Préférencespuis accédez à Global > Général.

  2. Dans la liste déroulante Interface produit, sélectionnez FrameMaker structuré. Cliquez sur OK.

Vous devez redémarrer FrameMaker pour que la modification de l’interface prenne effet.

Lorsque vous ouvrez FrameMaker en mode FrameMaker structuré, les options de menu spécifiques à FrameMaker structuré sont disponibles. Les options d’interface suivantes sont uniquement disponibles dans l’interface de FrameMaker structuré :

  • menus

    Elément et Structure

  • Options du menuFichier > Nouveau > XML et Fichier > Nouveau > DITA.

  • Boîte de dialogue Nouvel XML.

Parent topic: Interface utilisateur de création de contenu structuré


Vues d’édition pour la création de contenu structuré

Cette rubrique présente les vues d’édition d’Adobe FrameMaker : vue XML et vue WYSIWYG.

Dans ce sujet

  • Introduction

  • Vue XML

  • La vue WYSIWYG

  • Permutation des vues

Introduction

Adobe FrameMaker possède trois modes d’affichage qui vous permettent de créer votre contenu :

  • La vue XML vous permet de travailler avec le code XML brut de vos fichiers XML FrameMaker structurés.

  • La vue WYSIWYG est un classique de FrameMaker, non structuré et structuré. Cette vue affiche les sauts de page, les en-têtes et pieds de page, tous les raccourcis clavier, et tous les menus.

Vue XML

La vue XML vous permet de travailler avec le code XML brut de vos fichiers XML FrameMaker structurés.

Figure 1. Vue XML
Vue XML dans l’interface de création FrameMaker structurée

A. Vue du code XML B. Vue de la structure C. Console d’erreur

FrameMaker indente les éléments enfants d’un espace de tabulation par rapport à leurs éléments parents. Le retour à la ligne conserve le contenu des éléments visibles dans la largeur de la fenêtre. La vue XML prend en charge le mode Unicode. Vous pouvez modifier un contenu multilingue dans la vue XML. Vous pouvez également copier/coller le contenu du presse-papiers.

Lorsque vous éditez ou changez les références comme les références contextuelles, les liens et les références croisées dans la vue XML, FrameMaker les met également à jour dans la vue WYSIWYG. La vue XML valide automatiquement le contenu XML avec la DTD et vous permet de garantir le bon format du contenu à tout moment. Pendant que vous travaillez dans la vue XML, FrameMaker insère automatiquement les valeurs d’attribut et ferme les balises pour celles que vous insérez dans le fichier.

Une boîte de dialogue Rechercher/Remplacer dans la vue XML vous permet d’effectuer des recherches dans le code XML. Vous pouvez également utiliser des expressions régulières, par exemple avec & et en cascade pour rechercher du texte. La vue XML prend également en charge XPath. Vous pouvez créer et utiliser des expressions XPath pour localiser le contenu XML. Pour plus d’informations sur XPath, consultez la rubrique XPath.

Les fonctions suivantes sont accessibles en utilisant la vue XML uniquement :

  • Expression Xpath

  • Transformations XSL

Panneau console

Le panneau Console dans la vue XML décrit les erreurs, le cas échéant, dans les fichiers XML ouverts. Le panneau Console affiche également le nom de fichier de l’erreur. Pour accéder au fichier et à l’emplacement de l’erreur, cliquez sur une ligne d’erreur.

Sélectionnez Affichage > Panneaux > Erreurs pour afficher le panneau Console.

Vue de la structure

La vue XML fournit une vue de la structure qui vous permet de naviguer et de visualiser la structure du document XML. Les touches fléchées vers le haut et vers le bas vous permettent un déplacement vers le haut et vers le bas dans la vue de la structure.

Pour afficher la vue de l’arborescence, sélectionnez Affichage > Vue de la structure.

Les fonctionnalités suivantes sont disponibles dans la vue de la structure lorsqu'elle est accessible via la vue XML :

  • Rechercher : vous pouvez rechercher un élément par son nom, par la combinaison nom/valeur de l'attribut, ou même par son contenu. Les exemples suivants illustrent la recherche par le nom de l'attribut :

    Figure 2. Prise en charge de la recherche dans la vue de la structure

  • Navigation : cliquer sur un élément dans la vue de la structure permet de sélectionner l'élément et son contenu dans la vue XML. De cette façon, vous pouvez rapidement accéder au contenu requis dans votre document.

  • Modifier les valeurs de l'attribut : si votre élément contient un attribut, un signe constitué de trois points apparaît en regard de celui-ci. L'exemple suivant montre les éléments auxquels des attributs sont associés :

    En cliquant sur les points, vous pouvez développer et afficher l'attribut et sa valeur. Le premier élément mis en évidence dans l'exemple est développé, et son attribut est visible. Mais le deuxième élément mis en évidence n'est pas développé. Pour modifier la valeur de l'attribut, cliquez sur la valeur, puis entrez la nouvelle valeur. Lorsque vous appuyez sur la touche Entrée, les modifications sont enregistrées et le code XML de l'élément est également mis à jour.

  • Couper, copier, coller et supprimer un élément : cliquer sur un élément permet de sélectionner l'élément et son contenu. Vous pouvez utiliser le menu contextuel ou les raccourcis clavier standard pour couper (Ctrl+x), copier (Ctrl+c), coller (Ctrl+v) ou supprimer (Suppr) l'élément sélectionné. Vous pouvez également choisir de coller un élément avant ou après l'élément actuellement sélectionné. Pour ce faire, cliquez avec le bouton droit de la souris sur un élément, puis sélectionnez Coller avant ou Coller après. Vous pouvez également glisser-déposer des éléments sur la rubrique pour réorganiser le contenu. Si un élément est mal positionné, il est mis en surbrillance en rouge :

    Figure 3. L'élément mal positionné est mis en surbrillance dans la vue de la structure

  • Insérer un élément : vous pouvez insérer un élément avant ou après l'élément actuellement sélectionné. Pour ce faire, cliquez avec le bouton droit de la souris sur un élément, puis sélectionnez Insérer avant ou Insérer après. Le catalogue Insérer un élément apparaît, dans lequel vous pouvez choisir l'élément à insérer.

La vue WYSIWYG

WYSIWYG est la vue classique de FrameMaker, qui prend en charge la création de contenu structuré et non structuré. La vue WYSIWYG a toutes les fonctions de FrameMaker.

Les éléments suivants peuvent être gérés à l’aide de la vue WYSIWYG uniquement :

  • Modèles

  • Formats

  • Pages courantes, maquettes et pages de référence

  • Mises en page

  • Documents à enchaînements multiples

La création de votre contenu structuré dans la vue WYSIWYG rend votre expérience de création très simple. La dernière version de FrameMaker a combiné les fonctionnalités de création de son mode XML simplifié antérieur avec la vue WYSIWYG.

Avec la convergence de WYSIWYG avec XML simplifié, vous n’avez pas besoin de connaître les règles de contenu sous-jacentes ou la structure XML pour créer un document structuré ou travailler dessus. La barre d’outils d’élément rapide est également personnalisée pour créer du contenu dans la vue WYSIWYG, qui permet d’insérer facilement des objets valides dans votre document structuré.

Les sous-sections suivantes expliquent les différentes façons de travailler avec les objets les plus couramment utilisés dans la vue WYSIWYG.

Utilisation de la liste triée ou non triée

  • Pour créer une liste triée ou non triée dans le document, sélectionnez le bouton correspondant de la barre d’outils d’élément rapide.

  • Pour créer un élément de liste, placez le curseur à la fin de l’élément actuel, puis appuyez sur Entrée.

  • Dans un élément de liste, pour insérer un objet (par exemple une image ou un tableau), utilisez la barre d'outils d'élément rapide ou le menu déroulant Insérer un objet.

  • Pour convertir entre la liste triée et les listes non triées, placez le point d'insertion n'importe où à l'intérieur de la liste et choisissez le type de liste alternatif depuis la barre d'outils d'élément rapide.

  • Pour annuler une liste, placez le point d'insertion à la fin du dernier élément de la liste et appuyez sur la touche Entrée deux fois.

  • Pour insérer un élément de liste entre deux listes, placez le point d’insertion à la fin du premier élément de la liste ou au début du second élément de liste et appuyez sur Entrée.

  • Pour scinder un élément de liste en deux éléments, placez le point d’insertion là où vous souhaitez scinder un élément, puis appuyez sur Entrée.

  • Pour scinder une liste en deux, placez le point d’insertion à la fin du premier élément de la liste, puis appuyez sur Entrée deux fois. Un nouveau paragraphe est créé entre les listes.

Vous pouvez utiliser les touches de tabulation et majuscule ou le bouton Retrait de liste ou Retrait de liste négatif dans la barre d'outils d'élément rapide pour mettre en retrait ou en retrait négatif (imbriquer) des éléments de liste :

  • Pour mettre en retrait un élément de la liste, placez le point d'insertion au début de l'élément de liste et appuyez sur la touche de tabulation. Vous pouvez également placer le point d'insertion n'importe sur l'élément Liste et cliquez sur Retrait de liste négatif.

    Note: Les opérations effectuées par les boutons de Retrait de liste et Retrait de liste négatif fonctionnent également avec les textes partiellement sélectionnés.

  • Pour réduire le retrait de l'élément de liste, placez le point d'insertion au début de l'élément de liste et appuyez sur la touche Maj. + Tab. Vous pouvez également placer le point d'insertion n'importe où sur l'élément Liste et cliquer sur Retrait de liste négatif.

  • Si une liste comporte plusieurs éléments, pour imbriquer certains des éléments de la liste, sélectionnez les éléments et appuyez sur la touche de tabulation, ou cliquez sur Retrait de liste.

  • Pour réduire le retrait de tout élément d’une liste imbriquée, placez le point d’insertion au début de l’élément de liste et appuyez sur Maj+Tab. Vous pouvez également placer le point d'insertion n'importe où sur l'élément Liste et cliquer sur Retrait de liste négatif.

    Note: Si vous réduisez le retrait d'un élément dans une liste imbriquée, les autres éléments restent imbriqués.

Utilisation des tableaux

  • Pour insérer des éléments après la table, cliquez sur le bouton Insérer une table dans la barre d'outil d'élément rapide.

  • Pour ajouter des lignes ou des colonnes au tableau, cliquez dans une cellule de tableau à côté de l’endroit où vous voulez ajouter une ligne ou une colonne, choisissez Tableau > Ajouter des lignes ou des colonnes, puis indiquez le nombre de lignes ou de colonnes à ajouter. Vous pouvez également déplacer des lignes ou des colonnes dans un ou plusieurs tableaux, et trier les lignes ou les colonnes d’un tableau. Pour plus d’informations, voir Lignes et colonnes d'un tableau dans le chapitre Tableaux.

  • Pour ajouter une ligne au tableau, appuyez sur Tab dans la dernière colonne de la dernière ligne.

  • Pour passer d’une cellule à l’autre dans un tableau, utilisez la touche Tab, les touches Maj+Tab, ou les touches fléchées.

Utilisation des images

  • Lorsque vous travaillez dans un sujet, un concept ou un document de référence DITA, cliquez sur le bouton Image de la barre d'outil d'élément rapide.

  • Si vous créez une rubrique de tâche DITA, vous pouvez insérer un graphique dans les champs Titre de procédure, Courte description, et Etapes de procédure. Ceci est dû au fait que dans les rubriques de tâche, le graphique est imbriqué dans l'élément d'<image>.

  • Pour déplacer l'image, vous devez cliquer sur l'ancrage de l'image puis faire un glisser-déposer d'image.

  • Pour redimensionner une image, cliquez pour sélectionner l'objet Image (pas l'ancrage d'image) et faites glisser une poignée latérale pour modifier la largeur ou la hauteur.

  • Pour afficher les propriétés de l'objet de l'image importée, faites un clic droit sur le graphique et sélectionnez Propriétés de l'objet. Pour afficher les propriétés de l’objet du cadre ancré, cliquez sur l’ancrage, puis sélectionnez Graphique > Caractéristiques de l’objet.

Permutation des vues

Vous pouvez basculer entre les trois vues en cliquant sur l’icône correspondante dans la barre d’application.

Figure 4. Icônes des trois vues dans la barre de l’application
Permutation des vues création de FrameMaker

A. Vue XML B. Vue WYSIWYG

La vue XML est prise en charge uniquement pour les fichiers structurés. Lorsque vous avez des fichiers non structurés ouverts et que vous passez de la vue WYSIWYG à la vue XML, FrameMaker conserve également les fichiers non structurés dans la vue. Lorsque vous quittez FrameMaker et que des fichiers ne sont pas enregistrés, FrameMaker vous alerte.

Parent topic: Interface utilisateur de création de contenu structuré


Barre d’outils d’élément rapide

Familiarisez-vous avec la barre d’outils d’élément rapide dans Adobe FrameMaker et apprenez à vous en servir pour créer du contenu structuré.

Dans ce sujet

  • Introduction

  • Utilisation de la barre d’outils d’élément rapide

  • Personnalisation

  • Emplacements des fichiers xml de configuration

  • Création de votre propre barre d’outils d’élément rapide

Introduction

La Barre d’outils d’élément rapide d’Adobe FrameMaker contient des commandes permettant aux utilisateurs d’insérer (liste, tableau, image) et d’enchaîner (gras, insertion) rapidement les éléments couramment utilisés dans un document structuré de création.

Elle est propre à la combinaison vue-espace de travail structuré. Les icônes de la barre d’outils sont activées/désactivées en fonction du contexte actuel de l’application (position du curseur).

Voir la vidéo, Barre d’outils d’élément rapide.

Utilisation de la barre d’outils d’élément rapide

La fonctionnalité clé en main fournie par Adobe FrameMaker prend en charge la structure d’éléments DITA. Pour utiliser cette barre d’outils, vous devez créer un document DITA.

  1. Sélectionnez Fichier > Nouveau > XML.

  2. Dans la boîte de dialogue Nouveau XML, accédez à l’onglet DITA, sélectionnez Rubrique, puis cliquez sur OK.

  3. Pour afficher la Barre d’outils d’élément rapide, sélectionnez Affichage > Barres d’outils > Barre d’outils d’élément rapide.

    Figure 1. Barre d’outils d’élément rapide
    Barre d'outil d'élément rapide dans Adobe FrameMaker

  4. Lorsque vous placez le point d’insertion du document dans une section du document, les options correspondantes dans la barre d’outils sont activées.

    Cette fonctionnalité est identique aux éléments qui s’affichent (ou sont masqués) dans le catalogue Eléments.

  5. Si vous placez le pointeur sur un bouton dans la barre d’outils, l’info-bulle affiche le nom et la description de l’élément tandis qu’il s’affiche dans le catalogue Eléments.

  6. Pour insérer un élément dans le document (exemple :<ol>, <ul>, <table>), placez le point d’insertion au niveau du point correspondant dans le document, puis choisissez l’élément dans la Barre d’outils d’élément rapide.

  7. Pour enchaîner un élément dans le document (par exemple, <b>, <i>), sélectionnez l’élément, puis cliquez dessus dans la Barre d’outils d’élément rapide.

Personnalisation

La fonctionnalité clé en main fournie par FrameMaker prend en charge la structure d’éléments DITA. Cependant, vous pouvez personnaliser la barre d’outils pour associer les commandes avec n’importe quelle application structurée personnalisée.

Vous pouvez personnaliser les commandes de la Barre d’outils d’élément rapide en ajoutant des commandes liées à d’autres éléments dans le catalogue Éléments de l’application structurée. Par exemple, vous pouvez ajouter une commande pour insérer un élément <ph> (expression) dans le document actif.

Chaque combinaison vue-espace de travail FrameMaker est dotée d’un fichier xml de configuration de barre d’outils d’élément rapide associé (quick_element.xml). Chaque fichier de configuration contient des informations qui associent la barre d’outils à une ou plusieurs applications structurées. Le fichier contient également des informations qui associent les commandes de la barre d’outils aux éléments correspondants dans le catalogue Eléments.

Emplacements des fichiers xml de configuration

Le fichier de configuration de la barre d’outils d'élément rapide est disponible à l’emplacement suivant :

<Fm_install_location>\fminit\WorkSpaces\Structured\WYSIWYGView\toolbars\quick_element.xml

Important: Créez une sauvegarde du fichier d’origine avant d'effectuer des mises à jour.

Création de votre propre barre d’outils d’élément rapide

Les étapes ci-dessous incluent l’association d’une nouvelle barre d’outils à une application structurée personnalisée. Cela inclut également l’association des commandes de la barre d’outils à des éléments du catalogue Éléments de l’application structurée.

  1. Ouvrez le fichier quick_element.xml dans un éditeur de texte ou XML.

    Note: Pour inclure la barre d’outils dans toutes les vues, vous devez mettre à jour des fichiers quick_element.xml dans tous les emplacements ci-dessus.

    Le fichier XML contient un nœud <STRUCTURED_APPLICATION> pour chaque application structurée.

    Ce nœud contient un nœud <ELEMENT> pour chaque commande dans la barre d’outils d’élément rapide.

  2. Pour créer une barre d’outils pour l’application personnalisée, il vous suffit de dupliquer l’un des nœuds <STRUCTURED_APPLICATION> existants.

  3. Définissez l’attribut @app_name sur le nom de l’application personnalisée.

    <STRUCTURED_APPLICATION  app_name="<Custom app name>">

    Dans le catalogue Eléments de l’application personnalisée, sélectionnez les éléments pour lesquels vous souhaitez créer des commandes dans la Barre d’outils d’élément rapide de l’application personnalisée.

    Pour chaque élément, créez un nœud <ELEMENT> dans le nœud <STRUCTURED_APPLICATION>.

  4. Définissez l’attribut elemTag sur la nouvelle commande.@

    Par exemple, pour ajouter une commande pour insérer l’élément ph (expression) :

    <ELEMENT elemTag="ph">

  5. Vous devez également associer chaque commande à une icône. Les étapes pour définir l’icône d’une commande sont décrites dans la section Personnalisation des icônes.

Parent topic: Interface utilisateur de création de contenu structuré


Catalogue d’éléments

Apprenez à utiliser le Catalogue d’éléments dans Adobe FrameMaker et à insérer, enchaîner et modifier un élément.

Dans ce sujet

  • Introduction

  • Insertion d’un élément

  • Raccourcis clavier pour l’insertion d’un élément

  • Enchaînement d’un élément

  • Raccourcis clavier pour l’enchaînement d’un élément

  • Modification d’un élément

  • Raccourci clavier pour la modification d’un élément

Introduction

Les éléments d’un document structuré dépendent de l’application structurée sur laquelle le document est basé.

Lorsque vous créez un document structuré, le catalogue Eléments du document est renseigné avec les éléments définis dans l’application. Avec le catalogue Eléments, vous pouvez insérer de nouveaux éléments, enchaîner des éléments dans un élément parent, ou modifier (renommer) un élément en un autre élément. Vous pouvez également utiliser les raccourcis clavier et le Catalogue dynamique pour effectuer les mêmes manipulations d'éléments.

Insertion d’un élément

Pour insérer un élément dans un document structuré, procédez comme suit :

  1. Placez le point d’insertion à un emplacement de la hiérarchie du document.

  2. Select the required element in theEléments.

  3. Cliquez sur Insérer pour insérer l’élément dans la hiérarchie du document.

  4. Si la boîte de dialogue Attributs du nouvel élément s’affiche, spécifiez les attributs nécessaires et cliquez sur Insérer un élément.

    Vous pouvez également cliquer sur Insérer un élément et spécifier les attributs ultérieurement. Pour plus d’informations sur les attributs des éléments dans un document, voir Utilisation des attributs d’élément.

Note: Cliquez deux fois sur un élément dans la boîte de dialogue en tant que raccourci à insérer.

S’il s’agit d’un élément basé sur du texte (paragraphe ou note), vous pouvez saisir le texte dans le document. FrameMaker garantit que le texte est inséré dans les limites d’éléments.

Si l’élément est basé sur une image, la boîte de dialogue de sélection de fichiers s’affiche.

Si l’élément est basé sur un tableau, la boîte de dialogue Insérer un tableau s’affiche.

Note: Les boîtes de dialogue de sélection de fichiers ou Insérer un tableau s’affichent uniquement si la fonctionnalité d’affichage des boîtes de dialogue est implémentée dans l’application structurée sur laquelle le document actif est basé.

Pour modifier le fonctionnement de FrameMaker lorsque vous insérez un élément dans la hiérarchie, utilisez les options de la boîte de dialogue Options de nouvel élément (Elément > Options de nouvel élément) :

Toujours demander les valeurs d’attribut

Affichez la boîte de dialogue Attributs du nouvel élément chaque fois que vous insérez un élément dans le document.

Demander les valeurs d’attributs obligatoires

Affiche la boîte de dialogue uniquement si l’application structurée associée indique des valeurs d’attributs obligatoires pour un élément. Si vous ne spécifiez pas de valeur, la structure du document est rompue. Vous pouvez cependant spécifier les valeurs ultérieurement.

Ne pas demander les valeurs d’attributs

N’affiche pas de boîte de dialogue lorsqu’un nouvel élément est inséré dans la hiérarchie.

Autoriser l’insertion automatique d’enfants

Si un élément contient des éléments enfants, insère les éléments enfants lors de l’insertion de l’élément parent.

Les éléments enfants insérés avec le parent dépendent des règles définies dans l’application structurée associée. Par exemple, dans une rubrique DITA, si vous insérez un élément de liste triée (<ol>), un élément de liste (<li>) est également inséré. Si vous désactivez cette option, un élément de liste triée vide est inséré.

Appliquer la règle d’insertion automatique de manière récursive

Si un élément contient des éléments descendants (éléments enfants qui contiennent également des enfants), insère tous les éléments descendants lors de l’insertion de l’élément parent.

Les éléments descendants insérés avec le parent dépendent des règles définies dans l’application structurée associée. Par exemple, dans une rubrique DITA, si vous insérez un élément de liste triée (<ol>), un élément de liste (<li>) est également inséré. Dans l’élément de liste, un élément de paragraphe est inséré. Si vous désactivez cette option, un élément de liste triée est inséré avec l’élément de liste.

Raccourcis clavier pour l’insertion d’un élément

Pour insérer un élément dans un document structuré à l’aide du Catalogue dynamique, procédez comme suit :

  1. Sélectionnez un élément dans le document ou dans la Vue de la structure.

  2. Appuyez sur ctrl+1 pour afficher le Catalogue dynamique.

  3. Dans le Catalogue dynamique, sélectionnez le nouvel élément, puis appuyez sur Entrée.

Enchaînement d’un élément

Pour enchaîner un élément dans un autre élément, procédez comme suit :

  1. Sélectionnez un élément dans le document ou dans la Vue de la structure.

  2. Sélectionnez le nouvel élément parent dans le panneau Eléments.

  3. Cliquez sur Enchaîner pour placer l’élément sélectionné au sein du nouvel élément parent.

Note: Si vous êtes sûr que l’élément sélectionné dans la boîte de dialogue est un basé sur le format, gras ou italique par exemple, le raccourci par double-clic fonctionne. Toutefois, si l’élément n’est pas basé sur le format, FrameMaker essaiera d’insérer l’élément (par exemple un tableau) à l’emplacement sélectionné. Vous pouvez vérifier la validité du document structuré dans la Vue de la structure.

Raccourcis clavier pour l’enchaînement d’un élément

Pour enchaîner un élément dans un document structuré à l’aide du Catalogue dynamique, procédez comme suit :

  1. Sélectionnez un élément dans le document ou dans la Vue de la structure.

  2. Appuyez sur ctrl+2 pour afficher le Catalogue dynamique.

  3. Dans le Catalogue dynamique, sélectionnez le nouvel élément, puis appuyez sur Entrée.

Modification d’un élément

Pour modifier un élément (le renommer), procédez comme suit :

  1. Vérifiez que la Vue de la structure (Affichage > Panneaux > Vue structurée) et le catalogue Eléments (Affichage > Panneaux > Catalogue d’éléments) sont ouverts.

  2. Dans le panneau Vue de la structure, sélectionnez l’élément que vous souhaitez modifier. Vous pouvez sélectionner plusieurs éléments à la fois, même s’ils n’ont pas la même balise. Ils sont tous transformés en un élément du nouveau type. Les enfants des éléments ne sont pas modifiés, mais ils deviennent parfois non valides suite à la modification de leur parent.

  3. Sélectionnez un élément dans le catalogue Eléments et cliquez sur Modifier.

Raccourci clavier pour la modification d’un élément

our modifier un élément dans un document structuré à l’aide du Catalogue dynamique, procédez comme suit :

  1. Sélectionnez un élément dans le document ou dans la Vue de la structure.

  2. Appuyez sur ctrl+3 pour afficher le Catalogue dynamique.

  3. Dans le Catalogue dynamique, sélectionnez le nouvel élément, puis appuyez sur Entrée.

  • Configuration du Catalogue d’éléments
    Apprenez à configurer le Catalogue d’éléments dans Adobe FrameMaker.
Parent topic: Interface utilisateur de création de contenu structuré


Configuration du Catalogue d’éléments

Apprenez à configurer le Catalogue d’éléments dans Adobe FrameMaker.

Dans le catalogue Eléments, cliquez sur Options pour ouvrir la boîte de dialogue pour réaliser les tâches suivantes :

Eléments valides dans l’emplacement en cours

Affiche uniquement les éléments qui sont valides au point d’insertion actuel dans la hiérarchie. L’ordre des éléments dans le panneau est identique à celui dans lequel ils sont définis dans l’application structurée.

Sélectionnez cette option si vous prévoyez de travailler sur l’intégralité du document et d’insérer les éléments selon l’ordre et la hiérarchie qui conviennent.

Eléments valides dans l’emplacement en cours et les suivants

Affiche uniquement les éléments qui sont valides au point d’insertion actuel dans la hiérarchie.

Utilisez ce paramètre si vous prévoyez de construire un document valide, mais pas nécessairement du début à la fin. Ceci est utile lorsque vous ne disposez pas de toutes les informations nécessaires.

Eléments autorisés n’importe où dans parent

Affiche tous les éléments valides pour le parent actif.

Sélectionnez cette option si vous souhaitez plus de souplesse pour entrer les éléments. Vous pouvez insérer des éléments qui ne sont pas valides et corriger les erreurs ultérieurement.

Afficher tous les éléments

Affiche tous les éléments disponibles dans le catalogue Eléments défini dans l’application structurée. Toutefois, les éléments valides à n’importe quel point d’insertion sont précédés d’une coche.

Sélectionnez cette option :

  • Vous n’êtes pas en train de créer un document valide.

  • Vous souhaitez de la souplesse et corrigerez les erreurs ultérieurement.

  • Vous enchaînez des éléments autour du contenu.

  • Vous souhaitez voir les éléments disponibles ailleurs dans le document.

Figure 1. Coche indiquant les éléments valides
Coche indiquant les éléments valides dans le panneau Eléments

Liste personnalisée

Cliquez sur Modifier pour ouvrir la boîte de dialogue Personnaliser la liste d’éléments disponibles. Vous pouvez alors sélectionner les éléments à afficher ou masquer. À l’aide des boutons Monter et Descendre, définissez l’ordre dans lequel les éléments s’affichent dans le panneau.

Sélectionnez cette option pour :

  • utiliser un sous-ensemble d’éléments prédéfini

  • afficher les éléments dans un ordre spécifique

  • utiliser une liste d’éléments statique et non contextuelle

Important: Il s’agit d’une liste fixe de sorte que la liste ne comprend pas d’éléments valides au point d’insertion actuel sauf si vous avez sélectionné les éléments lors de la création de la liste.
Affichage des balises descriptives des éléments

Affiche la description d’un élément, entre parenthèses, à droite de l’élément.

Inclusions de listes séparées

En fonction des options sélectionnées ci-dessus, le panneau peut comporter des éléments non valides à l’emplacement spécifié. Sélectionnez cette option pour afficher les éléments valides en premier, suivis des éléments non valides.

Parent topic: Catalogue d’éléments


Modification de la sélection d’éléments disponibles dans un document structuré

Découvrez comment définir quels éléments sont disponibles au point d’insertion dans un document structuré avec Adobe FrameMaker.

Lorsque vous ajoutez des éléments à un document structuré, insérez uniquement des éléments qui sont valides dans l’emplacement en cours. Il s’agit des éléments marqués d’une coche en gras et d’un signe plus, ou d’un point d’interrogation dans le catalogue Éléments. En procédant ainsi, vous pourrez travailler sur l'intégralité du document en vous assurant que la structure est valide du début à la fin.

Vous préférerez parfois travailler de façon plus souple. Vous pouvez alors faire en sorte de disposer d'un plus grand nombre d'éléments. Par exemple, certains documents provisoires ne doivent pas forcément adhérer de façon stricte à une structure prédéfinie et peuvent l'utiliser comme simple guide. Vous pouvez également avoir décidé de suivre une structure mais ne pas disposer de toutes les informations nécessaires pour la respecter du début à la fin.

Lorsqu’un plus grand nombre d’éléments est disponible, ceux-ci s’affichent dans le catalogue Eléments et vous pouvez les insérer à l’aide du clavier. Vous avez également la possibilité de répertorier les inclusions à la suite des autres éléments valides dans le catalogue.

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Dans le cas d’une fenêtre de livre, sélectionnez les documents concernés.

  2. Sélectionnez Elément > Définir les éléments disponibles pour ouvrir la boîte de dialogue Définir les éléments disponibles. Vous pouvez également cliquer sur Options dans le catalogue Eléments.

    Figure 1. Boîte de dialogue Définir les éléments disponibles
    Boîte de dialogue Définir les éléments disponibles

  3. Sélectionnez l’une des options suivantes dans la zone Afficher ces éléments :

    • Pour afficher uniquement les éléments qui sont valides dans l’emplacement en cours, sélectionnez Eléments valides dans l’emplacement en cours. Utilisez cette option si vous prévoyez de travailler sur l’intégralité du document et d’insérer les éléments selon l’ordre et la hiérarchie qui conviennent.

    • Pour afficher les éléments qui sont valides dans l’emplacement en cours ou plus loin dans l’élément en cours, sélectionnez Eléments valides dans l’emplacement en cours et les suivants. Utilisez ce paramètre si vous prévoyez de construire un document valide, mais pas nécessairement du début à la fin. Ceci est utile lorsque vous ne disposez pas de toutes les informations nécessaires.

    • Pour afficher les éléments autorisés n’importe où dans l’élément en cours, sélectionnez Eléments autorisés n’importe où dans parent. Utilisez ce paramètre si vous souhaitez plus de souplesse pour entrer les éléments. Vous pouvez insérer des éléments qui ne sont pas valides et corriger les erreurs ultérieurement.

    • Pour afficher tous les éléments définis pour le document, sélectionnez Tous les éléments. Utilisez ce paramètre si vous ne créez pas de document valide, si vous souhaitez plus de souplesse et corriger les erreurs par la suite, si vous enchaînez des éléments autour du contenu ou si vous souhaitez visualiser les éléments disponibles ailleurs dans le document.

    • Pour afficher un ensemble d’éléments déterminés, sélectionnez Liste personnalisée. Utilisez ce paramètre pour travailler avec un sous-ensemble d’éléments, pour afficher des éléments dans un ordre particulier ou pour travailler avec une liste statique plutôt que contextuelle.

  4. Si vous avez sélectionné Liste personnalisée, cliquez sur Modifier, puis créez ou modifiez la liste d’éléments.

    Déplacez les balises d’élément entre la liste Afficher et la liste Ne pas afficher à l’aide des boutons fléchés ou en cliquant deux fois sur les balises d’élément. Pour transférer tous les éléments d’une liste à une autre, cliquez sur un des boutons de flèche tout en maintenant la touche Maj enfoncée. Cliquez sur les boutons Déplacer vers le haut et Déplacer vers le bas pour classer les éléments dans la liste Afficher dans l’ordre dans lequel vous souhaitez qu’ils apparaissent dans le catalogue Eléments. Cliquez sur Définir lorsque la liste est prête.

    Note: Une liste de balises personnalisée ne varie pas, quelle que soit la position du point d’insertion. Veillez par conséquent à inclure toutes les balises dont vous avez besoin. La seule marque contextuelle de validation est matérialisée par la coche située en regard de la balise.

  5. Pour répertorier séparément les inclusions dans le catalogue Eléments, activez Lister après les autres éléments valides.

    Ceci a pour effet de regrouper les inclusions juste après les autres éléments valides. Utilisez ce paramètre si vous disposez d'un grand nombre d'inclusions que vous utilisez rarement.

  6. Cliquez sur Définir-

Parent topic: Interface utilisateur de création de contenu structuré


Limites d’éléments

Familiarisez-vous avec les limites d’éléments et apprenez à afficher/masquer des limites et balises d’élément dans la vue Auteur d’Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Affichage/Masquage des limites d’éléments

  • Développement et réduction des éléments dans la fenêtre de document

Introduction

Les limites d'éléments affichées dans la fenêtre de document indiquent le début et la fin de chaque élément. En travaillant avec les limites d'élément visibles, il est plus facile de voir la façon dont le contenu d'un document est divisé en sous-éléments. Il est également plus facile de placer correctement un point d'insertion ou d'effectuer une sélection appropriée.

Les limites de la plupart des éléments apparaissent sous la forme de crochets ouvrants et fermants [ ] ou de deux zones avec une balise d’élément. L'emplacement d'autres éléments (graphiques, notes de bas de page, marqueurs, tableaux et équations) peut être indiqué uniquement par la présence d'une zone avec une balise.

Lorsque des éléments sont imbriqués dans d’autres éléments, leurs crochets ou balises s’emboîtent pour indiquer leur ordre hiérarchique.

Note: Les crochets et les balises qui marquent les limites d’élément sont des caractères qui apparaissent à l’impression et occupent de l’espace dans un document. Masquez-les avant l'impression afin qu'ils n'apparaissent pas dans la sortie imprimée. Vous pouvez également les masquer pour afficher une mise en page de document qui ne soit pas modifiée par les limites d’élément.

Affichage/Masquage des limites d’éléments

Pour afficher ou masquer les limites d’élément, procédez comme suit :

  • Pour entourer chaque élément avec des crochets, sélectionnezAffichage > Limites d’éléments.

  • Pour entourer chaque élément avec des étiquettes de texte, sélectionnezAffichage > Limites d’éléments (comme étiquettes).

  • Pour masquer les limites d’éléments, sélectionnez Affichage > Limites d’éléments ou Limites d’éléments (comme étiquettes).

Développement et réduction des éléments dans la fenêtre de document

Si vous affichez les limites d’éléments sous forme de balises dans la fenêtre de document, vous pouvez effectuer les opérations suivantes :

  • Réduire tous les éléments, même dans la vue de document

  • Réduire un élément parent afin de masquer les éléments enfant sans les réduire

  • Réduire les éléments enfant lors de la réduction de l’élément parent

  • Réduire tous les éléments au même niveau lors de la réduction d’un élément

  • Sélectionner un élément en cliquant sur sa balise

  • Activer/désactiver la forme réduite d’un élément en cliquant deux fois sur sa balise

  • Afficher la structure développée d’un élément lorsqu’une opération (par exemple, chercher/remplacer) donne lieu à une sélection dans la structure d’un élément réduit

  • Synchroniser la vue du document et la Vue de la structure par rapport à l’état de réduction des éléments.

Parent topic: Interface utilisateur de création de contenu structuré


Console d’erreurs

Apprenez à trouver des erreurs dans un document FrameMaker et à les corriger à l’aide d’une console d’erreurs.

Lors de l’utilisation d’un document, la nouvelle console d’erreurs de FrameMaker affiche les éventuels problèmes (structurels et autres) dans le document. Cette console fournit également les informations suivantes sur les problèmes de document :

  • Emplacement exact du problème au sein du document

  • Nom d’éléments non valides, le cas échéant

Figure 1. Console d’erreurs affichant les détails d’une erreur
Console d’erreurs FrameMaker affichant des problèmes structurels et autres dans un document

Parent topic: Interface utilisateur de création de contenu structuré


Eléments dans des documents structurés

Découvrez les éléments et ce qui les rend valides, ainsi que les deux classes d’élément qui existent.

Dans ce sujet

  • Introduction

  • Contenus valides pour les éléments

  • Classes d’éléments

Introduction

L’unité d’information de base des documents structurés est nommée élément. Les éléments contiennent d’autres éléments, du texte, des graphiques, des tableaux, des références croisées et des marqueurs.

Vous pouvez ajouter des éléments à un document pour construire sa structure ou modifier les éléments existants de multiples façons.

Pour construire la structure d’un document, vous pouvez soit lui ajouter des éléments et saisir le contenu, soit sélectionner des contenus existants et les enchaîner dans les éléments.

Un document structuré comporte des définitions d’éléments enregistrées dans son catalogue Eléments. Ces définitions donnent la description des contenus autorisés pour chaque type d’élément susceptible d’apparaître dans le document. Parfois, elles spécifient les attributs et le formatage de ces éléments. Si tous les éléments d’un document ont des contenus et des attributs conformes à ces spécifications, le document est considéré comme valide.

Contenus valides pour les éléments

La définition d’un élément comporte des règles de contenu qui déterminent ce que peut contenir cet élément. Par exemple, la définition d’un élément <section> peut spécifier que la section doit commencer par un élément <title>, puis être suivi par une combinaison de <p>, <image> et <table>. Parfois, un élément <p> autorise du texte et des éléments <xref>, dans n’importe quel ordre.

Le catalogue Eléments indique les éléments valides pour l’emplacement en cours avec une coche en gras. Si un élément peut contenir du texte, il indique que le texte est autorisé avec l’étiquette <TEXTE>.

Classes d’éléments

Les éléments se répartissent en deux classes élémentaires, déterminées par les contenus autorisés :

  • Un élément de type Contenant peut contenir du texte, d’autres éléments ou les deux. Les éléments de ce type, tels que les titres et les paragraphes, constituent la structure du document.

  • Un élément objet est un objet simple, tel qu’un marqueur, une référence croisée, une variable système, une équation ou un cadre ancré. Il n’est pas possible de saisir ces éléments au clavier ni d’y ajouter des éléments enfants.

Figure 1. Élément de type Contenant et élément Objet
Élément de type Contenant et élément Objet

A. Les éléments Contenant ont des bulles à coins arrondis. B. Les éléments Objet ont des bulles à coins carrés.

Il est possible de définir un élément de type Contenant afin qu’il reste vide. Par exemple, il se peut qu’un tableau comporte une cellule destinée à rester vide. Si un élément ne contient que des espaces ou des caractères non imprimables, tels que des tabulations, son fragment de texte dans la Vue de la structure est <BLANC>.

  • Importation des définitions d’éléments
    Apprenez à importer des définitions d’éléments dans un document structuré avec Adobe FrameMaker.
  • Insertion d’éléments
    Apprenez à insérer des éléments dans des documents structurés dans Adobe FrameMaker en appuyant sur la touche Entrée, à l’aide du Catalogue d’éléments, ou à l’aide du Catalogue rapide d’éléments, et à configurer des options pour les nouveaux éléments.
  • Ajout de texte dans un document structuré
    Apprenez à ajouter du texte dans un document structuré avec Adobe FrameMaker.
  • Modification d’éléments
    Apprenez à modifier, fusionner, diviser, enchaîner, déplacer et copier des éléments, à supprimer l’enchaînement d’un élément et à déplacer d’une position un élément dans Adobe FrameMaker.
  • Sélection et modification de texte d’élément
    Apprenez à sélectionner et à modifier du texte dans des éléments avec Adobe FrameMaker.
  • Suppression d’éléments
    Apprenez à supprimer un élément dans un document structuré avec Adobe FrameMaker.
Parent topic: Création de contenu structuré


Importation des définitions d’éléments

Apprenez à importer des définitions d’éléments dans un document structuré avec Adobe FrameMaker.

Afin de vérifier si des définitions d’éléments sont associées à un document Adobe FrameMaker, ouvrez le catalogue Eléments et cliquez sur un enchaînement de texte. Si le catalogue affiche des éléments, c’est qu’il existe des définitions d’éléments pour ce document. Il faut parfois sélectionner l’option Tous les éléments pour que les éléments s’affichent (Élément > Définir les éléments disponibles > Tous les éléments).

Si vous utilisez un modèle structuré, celui-ci définit généralement les définitions d’éléments. Toutefois, il se peut que votre développeur d’applications vous fournisse une EDD ou une DTD que vous pouvez importer directement dans vos documents.

  1. Ouvrez le modèle, l’EDD ou la DTD contenant les définitions d’éléments. Le modèle, l’EDD ou la DTD doivent être nommés et enregistrés.

  2. Créez un document vierge ou ouvrez le document ou le livre que vous voulez mettre à jour. Si la fenêtre de livre est active, sélectionnez les documents que vous voulez mettre à jour.

  3. Dans le document ou le livre que vous mettez à jour, sélectionnezFichier > Importer > Définitions d’éléments.

  4. Sélectionnez le modèle, l’EDD ou la DTD dans la liste déroulante Importer du document. Cette liste déroulante répertorie tous les documents ouverts.

  5. Pour supprimer des formatages particuliers ou des modifications affectant un livre, procédez comme suit :

    Pour supprimer les remplacements de règles de format, sélectionnez Lors de la mise à jour, supprimer les remplacement de règles de format. Utilisez ce paramètre si vous avez apporté des modifications aux formatages de texte et de paragraphe des éléments et que vous souhaitez revenir aux formats décrits dans l’EDD ou la DTD.

    Pour supprimer les informations d’élément tirées d’un fichier livre, sélectionnez Lors de la mise à jour, supprimer les informations héritées du livre. Utilisez ce paramètre si le document faisait partie d’un livre et qu’il est désormais un document indépendant.

  6. Cliquez sur Importer. FrameMaker ajoute les définitions au catalogue Eléments du document, et remplace les définitions existantes.

Parent topic: Eléments dans des documents structurés


Insertion d’éléments

Apprenez à insérer des éléments dans des documents structurés dans Adobe FrameMaker en appuyant sur la touche Entrée, à l’aide du Catalogue d’éléments, ou à l’aide du Catalogue rapide d’éléments, et à configurer des options pour les nouveaux éléments.

Dans ce sujet

  • Introduction

  • Insertion d’un élément en appuyant sur la touche Entrée

  • Insertion d’un élément au moyen du Catalogue d’éléments

  • Insertion d’un élément au moyen du Catalogue rapide d’éléments

  • Définition d’options pour l’insertion de nouveaux éléments

Introduction

Pour ajouter un élément à un document, vous devez soit insérer un élément vide et saisir son contenu, soit enchaîner un élément à des contenus existants. Avant de commencer, assurez-vous que la définition des éléments du document figure dans le catalogue Eléments.

Si vous n’avez pas encore terminé la préparation de votre document, vous pouvez envisager d’insérer uniquement les éléments de niveau supérieur, tels que les éléments <en-tête>, <corps>, <section> et <titre>, puis utiliser cette structure comme guide pour le développement du contenu du document.

Vous pouvez également insérer directement tous les éléments dans le bon ordre - et selon la hiérarchie prévue - ou vous concentrer sur leur contenu plutôt que sur la structure qui sera validée ultérieurement.

La catalogue Eléments affiche les éléments disponibles dans l’emplacement en cours. Vous pouvez modifier la portée des éléments disponibles à un certain emplacement de la structure en modifiant l’application structurée.

Si vous avez activé la fonction correspondante, une paire de limites d’élément apparaît dans la fenêtre de document et une nouvelle bulle d’élément apparaît dans laVue de la structure lorsque vous insérez ou enchaînez un élément.

Figure 1. Limites d’élément vide (gauche) et bulle d’élément du nouvel élément (droite)
Limites d’élément vide dans la Vue de document et bulle pour le nouvel élément dans la Vue de la structure dans Adobe FrameMaker

Insertion d’un élément en appuyant sur la touche Entrée

Bien souvent, vous pouvez insérer des éléments automatiquement en appuyant sur la touche Entrée. A chaque fois que vous appuyez sur la touche Entrée, FrameMaker vérifie les conditions suivantes (dans l’ordre ci-après) de la définition en cours de l’élément : Si l’EDD de l’application structurée définit l’insertion automatique d’un élément enfant, l’élément enfant est également inséré automatiquement.

Un élément valide

Si un seul élément enfant est valide dans l’emplacement en cours, vous pouvez ajouter cet élément en appuyant sur Entrée. Par exemple, une fois que vous avez ajouté une <rubrique>, un <titre> est le seul élément enfant autorisé. Cette technique peut également servir à créer des éléments qui se répètent, tels que les paragraphes courants et les éléments de la liste.

Plusieurs éléments valides

Si plusieurs éléments enfants sont valides, la touche Entrée met en surbrillance la zone de balise afin de vous demander l’insertion d’un élément. Continuez à taper jusqu’à ce que le nom d’élément voulu apparaisse ; appuyez ensuite sur Entrée pour insérer l’élément.

Fin d’un élément

Si le point d’insertion se trouve à la fin d’un élément et s’il n’y a plus d’élément enfant valide, la touche Entrée vous permettra de rechercher des éléments valides dans les ancêtres après cet emplacement. Si un élément valide est trouvé, le point d’insertion se déplace vers l’ancêtre et l’élément est inséré (si un seul élément est valide) ou la zone de balise apparaît en surbrillance (si plus d’un élément est valide).

Autres conditions

Si aucune des conditions précédentes n’est vraie, aucun élément n’est inséré.

Insertion d’un élément au moyen du Catalogue d’éléments

Pour insérer un élément à l’aide du catalogue Eléments, procédez comme suit :

  1. Si le document ne dispose pas de définitions d’éléments, vous pouvez les importer depuis un modèle structuré, une EDD ou une DTD.

  2. Spécification de l’étendue des éléments disponibles.

  3. Cliquez à l’endroit où vous voulez insérer l’élément. Si vous l’insérez entre d’autres éléments, travaillez dans la Vue de la structure plutôt que dans la fenêtre de document.

  4. Sélectionnez un élément dans le catalogue Eléments et cliquez sur Insérer. Si un seul élément apparaît dans le catalogue, vous pouvez cliquer sur Insérer sans le sélectionner.

    Vous pouvez aussi cliquer deux fois sur le nom d’un élément pour l’insérer.

    Note: Par défaut, le catalogue Eléments n’affiche que les éléments valides au point d’insertion.

  5. Si la boîte de dialogue Attributs du nouvel élément s’affiche, entrez la valeur des attributs de l’élément, puis cliquez sur le bouton Insérer élément.

    Cette boîte de dialogue n’apparaît que si l’élément comporte des attributs et si une option a été définie dans la boîte de dialogue Options de nouvel élément, pour vous demander les valeurs d’attributs lors de l’insertion de nouveaux éléments.

  6. Si vous voulez insérer un tableau, un marqueur, un graphique ou une référence croisée, fournissez des informations supplémentaires sur l’élément dans la boîte de dialogue qui apparaît.

  7. Ajout de contenu aux éléments. Vous pouvez ajouter du contenu lorsque vous insérez des éléments ou après avoir construit la structure de votre document.

Insertion d’un élément au moyen du Catalogue rapide d’éléments

À l’aide du Catalogue rapide d’éléments, vous pouvez sélectionner et insérer plusieurs niveaux d’éléments. Lorsque vous sélectionnez un élément dans le Catalogue rapide d’éléments, FrameMaker affiche les éléments disponibles au sein de l’élément sélectionné.

Appuyez sur Entrée et sélectionnez une hiérarchie des éléments que vous souhaitez insérer à l’aide du pointeur ou des touches fléchées. Lorsque vous appuyez sur Entrée, s’il n’existe qu’un seul élément valide à la position du pointeur, FrameMaker insère l’élément.

Les touches suivantes vous permettent de naviguer dans la hiérarchie des éléments dans le Catalogue rapide :

Touche/action de touche | Type de navigation/d’action
Placer le curseur dans un élément, puis appuyer sur la touche Entrée | Afficher le Catalogue rapide
→ | Afficher les éléments disponibles au sein de l’élément sélectionné
← | Masque un niveau de hiérarchie des éléments
Tab | Faire défiler vers le bas
Maj+Tab | Faire défiler vers le haut
Lettre/combinaison de lettres | Saisissez une lettre ou une combinaison de lettres pour sélectionner un élément. Par exemple, appuyez sur b pour sélectionner<body> et appuyez sur to pour accéder à la <rubrique>.

La liste des éléments du Catalogue rapide s’affiche en fonction des paramètres de la boîte de dialogue Définir les éléments disponibles. Si l’option Afficher les noms d’élément descriptifs de l’élément est sélectionnée, les infobulles d’élément du catalogue affichent les descriptions d’élément.

L’insertion hiérarchique d’éléments prend en charge les insertions automatiques pour le dernier élément sélectionné dans la hiérarchie, comme spécifié dans le document EDD (document de définition d’élément). S’il existe des règles d’insertion automatique en vigueur pour les éléments à l’exception du dernier élément, elles sont ignorées.

Figure 2. Insertion hiérarchique d’éléments
Sélection et insertion de plusieurs niveaux d’éléments dans une hiérarchie

A. Sélection d’une hiérarchie d’éléments B. Les éléments sont insérés en tant que groupe

Définition d’options pour l’insertion de nouveaux éléments

Pour définir les options d’insertion de nouveaux éléments, procédez comme suit :

  1. Activez la fenêtre de document ou de livre qui vous intéresse. Si une fenêtre de livre est active, sélectionnez les documents que vous souhaitez affecter dans le panneau des livres.

  2. Sélectionnez Elément > Options de nouvel élément. La boîte de dialogue Options de nouvel élément s’affiche :

    Figure 3. Boîte de dialogue Options de nouvel élément
    Boîte de dialogue Options de nouvel élément dans Adobe FrameMaker.

  3. Précisez comment les valeurs d’attributs doivent vous être demandées lors de l’ajout de nouveaux éléments :

    • Pour saisir toutes les valeurs d’attributs possibles lors de l’ajout d’éléments, sélectionnez Toujours demander les valeurs d’attributs.

    • Pour saisir uniquement les valeurs d’attributs obligatoires lors de l’ajout d’éléments, sélectionnez Demander les valeurs d’attributs obligatoires.

    • Pour saisir les valeurs d’attributs après l’ajout d’éléments, sélectionnez Ne pas demander les valeurs d’attributs.

  4. Pour permettre à FrameMaker d’insérer automatiquement des éléments enfants pour de nouveaux éléments, sélectionnez Autoriser l’insertion automatique d’enfants.

  5. Cliquez sur Définir-

Tip: Pour accélérer l’ajout d’éléments, sélectionnez les options Ne pas demander les valeurs d’attributs et Autoriser l’insertion automatique d’enfants.
Parent topic: Eléments dans des documents structurés


Ajout de texte dans un document structuré

Apprenez à ajouter du texte dans un document structuré avec Adobe FrameMaker.

Placez le point d’insertion n’importe où à l’intérieur d’une zone de texte dans la fenêtre de document. Un point d’insertion apparaît à l’endroit correspondant dans la Vue de la structure. Pour placer le point d’insertion au milieu du texte, utilisez la fenêtre de document plutôt que la Vue de la structure. Lorsque vous pouvez placez le point d’insertion au début ou à la fin d’un élément ou entre des éléments, cliquez dans la Vue de la structure.

Le catalogue Eléments décrit ce que peut contenir l’élément en cours. Vous pouvez entrer du texte lorsque l’indicateur <TEXTE> apparaît dans le catalogue.

  1. Placez le point d’insertion :

    • Pour le placer au début ou à la fin du texte, cliquez à gauche ou à droite ou dans la première ou la seconde moitié du fragment de texte. Un trait vertical à gauche ou à droite du point d’insertion en triangle indique alors qu’il se situe au début ou à la fin du texte.

    • Pour le placer entre deux éléments, cliquez à droite de la ligne verticale reliant les éléments, entre les deux bulles.

    Figure 1. Point d’insertion entre deux éléments
    Ajout de texte au point d’insertion entre deux éléments

  2. Tapez votre texte. N’appuyez pas sur la touche Entrée, sauf si vous souhaitez insérer un nouvel élément ou commencer un nouveau paragraphe dans un enchaînement non structuré.

Parent topic: Eléments dans des documents structurés


Modification d’éléments

Apprenez à modifier, fusionner, diviser, enchaîner, déplacer et copier des éléments, à supprimer l’enchaînement d’un élément et à déplacer d’une position un élément dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Modification d’éléments

  • Fusion d’éléments

  • Division d’un élément

  • Enchaînement des éléments au contenu existant

  • Suppression de l’enchaînement du contenu d’éléments

  • Déplacement ou copie d’éléments

  • Déplacement d’un élément d’une position

Introduction

Dans Adobe FrameMaker, vous pouvez modifier la structure d’un document de plusieurs manières. Vous pouvez réorganiser les éléments, modifier le type d’un élément, enchaîner et supprimer l’enchaînement d’éléments, et diviser et fusionner des éléments.

Après avoir modifié la structure d’un document, vous devez parfois modifier le document plus en profondeur pour corriger les violations de la structure. Par exemple, si vous divisez une <section> en deux, vous devrez peut-être ajouter un élément <title> supplémantaire pour la nouvelle deuxième <section>.

Utilisez la Vue de la structure pour obtenir une vue de la structure de votre document et identifier plus facilement les erreurs qu’elle contient. Dans la Vue de la structure, vous pouvez réorganiser et modifier les éléments.

Dans le catalogue Eléments, vous voyez tous les éléments disponibles à la position actuelle dans le document.

  • Sélectionnez Affichage > Panneaux > Vue de la structure pour ouvrir la Vue de la structure.

  • Sélectionnez Affichage > Panneaux > Catalogue d’éléments pour ouvrir le catalogue Eléments.

Modification d’éléments

Vous pouvez modifier (renommer) un élément existant en un autre élément du même type. Par exemple, vous pouvez convertir un élément <p> en un élément <note>, ou une série d’éléments <p> en éléments <li> que vous pouvez inclure dans un élément <ul> ou <ol>.

Cependant, il n’est pas possible de convertir un type d’élément en un autre type d’élément. Par exemple, vous ne pouvez pas modifier un élément de cellule de tableau (<entry>) en un élément de paragraphe (<p>).

Pour renommer un élément, procédez comme suit :

  1. Dans la Vue de la structure, sélectionnez l’élément que vous souhaitez modifier. Vous pouvez sélectionner plusieurs éléments à la fois, même s’ils n’ont pas la même balise.

  2. Sélectionnez un élément dans le catalogue Eléments et cliquez sur Modifier.

FrameMaker remplace tous les éléments sélectionnés par le nouvel élément. Les enfants des éléments ne sont pas modifiés, mais ils deviennent parfois non valides suite à la modification de leur parent.

Fusion d’éléments

Vous pouvez fusionner deux éléments ou plus en un seul. FrameMaker place alors le contenu du second élément (incluant tous les éléments enfants) à la fin du premier élément.

Figure 1. Fusion de deux éléments Sections, avant et après
Avant et après la fusion de deux éléments

Vous pouvez être amené à modifier le document après la fusion des éléments afin de corriger des violations de la structure.

Note: Pour combiner les cellules d’un tableau, utilisez Tableau > Fusionner au lieu de fusionner les cellules de façon traditionnelle. Vous ne pouvez pas combiner d’autres parties du tableau.

Pour fusionner le contenu de deux éléments, procédez comme suit :

  1. Dans la Vue de la structure, sélectionnez l’élément que vous souhaitez fusionner. Les éléments peuvent être de différents types, mais ils doivent être frères et proches l’un de l’autre dans leur élément parent.

  2. Sélectionnez Elément > Fusionner.

Si vous fusionnez des éléments contenant des attributs, seuls les attributs du premier élément sont conservés.

Division d’un élément

Vous pouvez diviser un élément en deux éléments du même type et se trouvant au même niveau. Par exemple, vous pouvez diviser un long paragraphe en deux paragraphes, ou un élément de section en deux sections.

Figure 2. Division d’une section, avant et après
Avant et après la division d’un élément

Pour diviser le contenu d’un élément, procédez comme suit :

  1. Dans la Vue de la structure, cliquez entre deux éléments à l’endroit où vous souhaitez diviser l’élément parent. Tous les éléments de même niveau après le point d’insertion sont déplacés dans le nouvel élément parent.

  2. Sélectionnez Elément > Diviser.

La division produit parfois des éléments ayant des attributs identiques. Toutefois, si l’attribut d’origine comportait un attribut ID unique, le second élément perd sa valeur d’ID et vous devez lui attribuer un nouvel ID.

Enchaînement des éléments au contenu existant

Vous pouvez ajouter une structure à un contenu existant déjà dans le document en y enchaînant un nouvel élément. Il peut s’agir de n’importe quelle partie d’un document, y compris d’autres éléments. Le contenu de l’élément est formaté selon les règles de formatage de l’élément.

Note: Vous ne pouvez pas enchaîner de contenus dans les éléments qui font partie de tableaux (tels que des lignes ou des cellules). Toutefois, vous pouvez enchaîner du texte ou d’autres éléments qui se trouvent dans une cellule ou un élément de titre du tableau. Si vous voulez convertir du texte et des éléments en tableau, utilisez Tableau > Convertir en tableau au lieu d’enchaîner des éléments.

Après l’enchaînement d’un élément, vous devrez parfois modifier le document afin de corriger les erreurs de structure. Par exemple, si vous enchaîner les éléments <Para> dans un élément <Section> qui nécessite un élément <En-tête>, vous aurez besoin d’insérer l’élément <En-tête>.

Pour enchaîner un élément à l’aide du catalogue Eléments, procédez comme suit :

  1. Sélectionnez les contenus que vous voulez enchaîner dans un élément. Si vous sélectionnez du texte, utilisez la fenêtre de document. Si vous sélectionnez des éléments entiers, utilisez la Vue de la structure.

  2. Sélectionnez un élément dans le catalogue Eléments et cliquez sur Enchaîner.

  3. Si la boîte de dialogue Attributs du nouvel élément s’affiche, entrez la valeur des attributs de l’élément, puis cliquez sur le bouton Insérer élément.

    Cette boîte de dialogue s’affiche uniquement si l’élément comporte des attributs et si une option est définie dans la boîte de dialogue Options du nouvel élément, pour vous demander d’entrer les valeurs de l’attribut lors de l’insertion d’éléments.

Pour enchaîner des éléments tout au long d’un document, procédez comme suit :

  1. Dans la fenêtre de document, enchaînez des plages de texte, des variables de système et d’autres éléments se trouvant à l’intérieur des paragraphes. Les erreurs qui s’affichent dans la Vue de la structure sont sans importance à ce stade. Vous pourrez en corriger une grande partie lors de l’enchaînement des niveaux inférieurs dans les éléments parents. Lorsque vous avez terminé, vous pouvez corriger les autres erreurs.

  2. Enchaînez des paragraphes, des intitulés et d’autres éléments de niveau paragraphe dans leurs éléments.

  3. Dans la Vue de la structure, enchaînez les éléments que vous avez jusqu’ici dans les éléments parents, tels que <section>, <ol>, <ul> etc.

Un enchaînement permet de fournir manuellement une structure à un document non structuré existant. Quand vous enchaînez le premier élément du document, la Vue de la structure se modifie immédiatement pour afficher une structure non valide par défaut, comme la suivante :

  • Un élément de plus haut niveau est ajouté avec le nom<NoName>, à moins que vous ne commenciez par enchaîner le contenu dans un élément valide de plus haut niveau. <>Le nom de fichier SansNom est une marque de réservation pour votre élément racine valide.

  • Tous les tableaux sont alors structurés et se voient attribuer des éléments par défaut, tels que <TABLEAU> et <LIGNE>.

  • Les objets deviennent des éléments avec des noms par défaut, tels que <CROSSREF>, <GRAPHIC> et <EQUATION>.

  • <Les notes deviennent NOTE>.

  • <><Le texte rubi devient des éléments RUBI et RUBIGRP.>

Vous pouvez corriger la structure du document une fois l’enchaînement des éléments terminé.

Note: Les variables et les marqueurs ne deviennent pas des éléments d’objet structuré.
Tip: Si votre développeur d’application a installé un tableau de conversion pour le document, vous pouvez l’appliquer à tous les éléments enchaînés du document en même temps. Cette méthode est beaucoup plus rapide que l’enchaînement de texte manuel.

Suppression de l’enchaînement du contenu d’éléments

La suppression d’un enchaînement supprime un élément, mais elle laisse son contenu au même emplacement dans le document. Généralement, vous supprimerez l’enchaînement d’un élément dans le cadre d’une modification plus étendue.

Par exemple, si vous comptez convertir des éléments ElémListe en éléments Para, vous devez parfois commencer par supprimer l’enchaînement de l’élément parent Liste. <><><> Utilisez ensuite Modifier > Rechercher/remplacer<> pour convertir les éléments ListItem en éléments Para.<>

Figure 3. Suppression de l’enchaînement d’éléments ElémListe, avant et après
Avant et après la suppression de l’enchaînement du contenu d’éléments

Vous pouvez être amené à modifier le document après la suppression de l’enchaînement d’un élément. Pour cet exemple, vous pouvez modifier les éléments <ListItem> pour valider des éléments ou en les enchaîner à nouveau.

Note: Il n’est pas possible de supprimer l’enchaînement d’un élément s’il s’agit d’une partie d’un tableau (telle qu’une ligne ou une cellule).

  1. Sélectionnez l’élément pour lequel vous voulez supprimer l’enchaînement du contenu.

  2. Sélectionnez Eléments > Supprimer l’enchaînement.

Déplacement ou copie d’éléments

Vous pouvez placer un élément dans un autre emplacement du document en faisant glisser sa bulle dans la Vue de la structure. Ce faisant, son contenu, y compris ses descendants, se déplace ou est copié en même temps. Le contenu du Presse-papiers n’est pas affecté.

Tip: Si vous déplacez un élément possédant de nombreux descendants, commencez par le réduire. Dans laVue de la structure, cliquez sur un élément en maintenant la touche Maj enfoncée pour développer/réduire tous ses éléments frères. Cliquez sur un élément en maintenant la touche Alt enfoncée pour développer ou réduire ses éléments enfants.

Pour déplacer ou copier un élément, vous pouvez également le couper ou le copier dans le Presse-papiers, puis le coller ailleurs, même dans un autre document. Si vous collez un élément provenant d’un autre document, il arrive qu’il ne soit pas défini dans votre document actuel. Si vous ne comptez pas ajouter de définition pour cet élément, changez-le en élément valide. Il est impossible d’utiliser les fonctions couper et coller dans un fichier livre.

  1. Procédez de l’une des façons suivantes :

    • Pour déplacer un élément, faites glisser la bulle de ce dernier sur l’emplacement voulu

    • Pour copier un élément, maintenez la touche Alt enfoncée et faites glisser la bulle sur l’emplacement.

    Le pointeur prend alors l’aspect d’une pointe de flèche empilée et creuse dirigée vers le haut et vers le bas ; une flèche horizontale animée indique où la copie va se placer si vous relâchez le bouton de la souris.

    Lorsque vous faites glisser la bulle à déplacer, le pointeur prend l’aspect d’une pointe de flèche haut et bas pleine, une flèche animée indiquant où la bulle va se placer si vous lâchez le bouton de la souris.

    Si l’élément est valide dans l’emplacement indiqué par la flèche, une coche ou un point d’interrogation apparaît dans la bulle.

Déplacement d’un élément d’une position

  1. Faites glisser la bulle de l’élément légèrement vers un côté ou vers le haut ou le bas. Si la distance est courte, le pointeur prend l’aspect d’une flèche simple. Si vous le faites glisser trop loin, la flèche prend l’aspect d’une pointe de flèche dirigée vers le haut et le bas.

    Figure 4. Déplacement d’un élément Liste d’une position, avant et après
    Avant et après le déplacement d’un élément d’une position

    Lorsque vous relâchez le bouton de la souris, l’élément se déplace d’une position dans la direction indiquée :

    • Déplacer un élément vers le haut le place au-dessus de l’élément frère qui le précède immédiatement.

    • Déplacer un élément vers le bas le place en dessous de l’élément frère qui le suit.

    • Déplacer un élément vers la gauche fait de lui un frère du parent.

    • Déplacer un élément vers la droite fait de lui un enfant de l’élément frère qui le précède.

Parent topic: Eléments dans des documents structurés


Sélection et modification de texte d’élément

Apprenez à sélectionner et à modifier du texte dans des éléments avec Adobe FrameMaker.

Dans ce sujet

  • Sélection de texte dans un enchaînement

  • Sélection de texte dans une fenêtre de document structuré

  • Sélection d’un élément ou du contenu d’un élément dans la Vue de la structure

Sélection de texte dans un enchaînement

Pour sélectionner tout le texte d'un enchaînement, cliquez dans l’enchaînement et sélectionnez Modifier > Sélectionner l’enchaînement ou appuyez sur ctrl+a.

Sélection de texte dans une fenêtre de document structuré

Dans la fenêtre de document, vous pouvez sélectionner des éléments entiers et n’importe quelle partie du contenu du document. Une sélection correspondante apparaît également dans la Vue de la structure.

Si un élément renferme un contenu, vous pouvez sélectionner tout ou partie de ce contenu sans pour autant sélectionner l’élément lui-même. Si un élément est composé d’un objet seulement, graphique ou référence croisée par exemple, sélectionnez l’élément dans son intégralité.

Lorsque vous sélectionnez un élément entier, son contenu est automatiquement sélectionné.

Pour sélectionner du texte dans un élément, procédez comme suit :

  • Pour sélectionner du texte sans sélectionner l’élément complet, faites glisser le curseur sur le texte. Veillez à ne pas franchir une limite d’élément ; sinon, vous sélectionnez l’élément dans son intégralité.

  • Pour sélectionner un élément, faites glisser le curseur de n’importe quel point de l’élément vers l’extérieur de l’une de ses limites.

  • Pour sélectionner plusieurs éléments, faites glisser le curseur sur les éléments. FrameMaker sélectionne chaque élément au fur et à mesure que le curseur glisse sur une de ses limites.

Tip: Travaillez avec les limites d’éléments activées, afin de visualiser le début et la fin de chaque élément. Après sélection, vérifiez dans la barre d’état le nom d’élément correct de l’élément parent de la sélection. Le chemin complet de l’élément apparaît à la suite de « E: » comme chemin de navigation.

Sélection d’un élément ou du contenu d’un élément dans la Vue de la structure

Dans la Vue de la structure, vous pouvez sélectionner des éléments entiers ou le contenu de l’élément. La sélection correspondante apparaît également dans la fenêtre de document.

Si l’élément renferme un contenu, vous pouvez sélectionner tout le contenu sans pour autant sélectionner l’élément lui-même. Si l’élément est constitué d’un seul objet, graphique ou référence croisée par exemple, vous devez sélectionner l’élément dans son intégralité. Les coins des bulles d’éléments ayant un contenu autorisé sont arrondis, tandis que ceux des bulles d’éléments comportant un seul objet sont carrés.

Lorsque vous sélectionnez un élément entier, son contenu est automatiquement sélectionné.

Pour sélectionner un contenu d’élément, procédez de l'une des façons suivantes :

  • Pour sélectionner un élément, cliquez au centre de la bulle correspondante.

  • Pour sélectionner plusieurs éléments, cliquez dans la première bulle, puis cliquez sur les autres tout en maintenant la touche Maj enfoncée. Vous pouvez également faire glisser le curseur le long du côté droit de la barre verticale reliant les éléments. Commencez au-dessus du premier élément que vous voulez sélectionner et faites glisser le curseur jusqu’au dernier élément à sélectionner.

  • Pour sélectionner le contenu d’un élément n’ayant pas de descendants sans sélectionner l’élément dans son intégralité, cliquez deux fois sur le fragment de texte.

  • Pour sélectionner le contenu d’un élément ayant des descendants sans sélectionner l’élément dans son intégralité, cliquez deux fois à droite de la ligne verticale reliant le premier niveau de descendants.

Parent topic: Eléments dans des documents structurés


Suppression d’éléments

Apprenez à supprimer un élément dans un document structuré avec Adobe FrameMaker.

Vous pouvez supprimer tout élément, avec ou sans son contenu. Par exemple, il est possible de supprimer un élément <section> et son contenu, ou bien l’élément <section> seul, en laissant son contenu là où il est afin de le placer dans un élément différent.

Vous pouvez également supprimer le contenu d’un élément défini de façon à contenir du texte ou d’autres éléments et laisser l’élément vide dans le document. Pour les éléments qui sont des objets simples sans contenu, vous devez les supprimer entièrement.

  • Pour supprimer un élément et son contenu, sélectionnez l'élément et appuyez sur la touche Supprimer.

  • Pour supprimer un élément, mais pas son contenu, sélectionnez l’élément et choisissez Elément > Supprimer l'enchaînement. FrameMaker reformate le contenu en fonction du nouveau contexte, le cas échéant.

  • Pour supprimer le contenu d'un élément mais pas l'élément proprement dit, sélectionnez le contenu et appuyez sur la touche Supprimer.

  • Pour supprimer un élément et son contenu, puis le remplacer par un autre élément, sélectionnez l’élément. Ensuite, sélectionnez celui qui doit le remplacer dans le catalogue Eléments, puis cliquez sur Insérer. Un nouvel élément vide prend la place de celui que vous avez sélectionné et de son contenu.

  • Pour supprimer tous les éléments d’un document afin de baser celui-ci sur le style des paragraphes et des caractères, choisissez Structure > Retirer la structure de l’enchaînement. Si le document comporte d’autres enchaînements structurés, répétez cette commande pour chacun d’eux.

    FrameMaker supprime tous les éléments de l’enchaînement de texte en cours. Si le formatage a été créé ou modifié par les listes de modification de format du catalogue Eléments, les éléments supprimés deviennent des substitution de format dans le document

Note: Pour créer des styles nommés pour chacune des variations d’élément supprimées et les enregistrer dans le Catalogue de styles de paragraphe, sélecionnez la commande Fichier > Utilitaires > Créer et appliquer des formats.
Parent topic: Eléments dans des documents structurés


Utilisation d’attributs d’élément dans des documents structurés

Apprenez à utiliser des attributs d’élément dans FrameMaker structuré.

Attributs des éléments

Un élément peut posséder des attributs, qui fournissent des informations extérieures à son contenu. Ils servent à plusieurs fins :

  • Pour contrôler le formatage d’un élément. Par exemple, l’attribut @type dans un élément <liste> peut avoir deux valeurs possibles : à puces et numéroté.

    Figure 1. Les attributs peuvent fournir des informations relatives au formatage.
    Attributs d’élément fournissant des informations relatives au formatage

  • Pour enregistrer une information descriptive sur un élément, tel que le niveau de classification. La valeur d’un attribut peut même déclencher une routine personnalisée masquant l’élément lors de l’affichage du document.

  • Pour enregistrer des informations relatives à la source et à la destination, généralement pour les références croisées. Un élément <section> a parfois un attribut @ID contenant une valeur unique. Un élément de référence croisée pointant vers la Section contient la même valeur dans un attribut @reference, afin de préserver la connexion entre les éléments.

    En règle générale, vous saisissez les valeurs des attributs et vous les modifiez, à moins qu’ils ne soient définis en lecture seule. Les ID de référence croisée sont souvent en lecture seule et sont générés par FrameMaker.

  • Types d’attributs XML
    Familiarisez-vous avec les différents types d’attributs d’élément.
  • Affectation de valeurs d’attributs
    Découvrez comment utiliser des attributs dans des documents structurés dans Adobe FrameMaker.
  • Génération automatique d’attributs d’ID uniques pour des éléments
    Découvrez comment configurer Adobe FrameMaker pour affecter automatiquement des valeurs d’attributs d’ID uniques à des éléments, et comment utiliser le Créateur de fichier de configuration.
  • Copie de valeurs d’attributs
    Apprenez à copier une valeur d’attribut d’un élément à un autre.
Parent topic: Création de contenu structuré


Types d’attributs XML

Familiarisez-vous avec les différents types d’attributs d’élément.

Le type d’un attribut détermine le type de valeurs qu’il peut contenir. Par exemple, la valeur version 1 n’est pas autorisée pour un attribut défini en tant qu’entier, en revanche la valeur 1 est correcte. Les types numériques (tels que les nombres entiers ou réels) peuvent également être limités à une plage prédéfinie par leur définition d’attribut.

Choix

Attribut possédant une liste de valeurs prédéfinies.

Référence ID

Attribut ayant une valeur d’ID unique provenant d’un autre élément. Il est généralement utilisé pour les références croisées basées sur des éléments.

Références ID

Attribut ayant une valeur d’une ou plusieurs valeurs d’ID uniques provenant d’un autre élément. Le développeur spécifie parfois cet attribut si vous procédez à une exportation vers une application structurée qui utilise des valeurs multiples à titre d’informations sur la source.

Nombre entier

Attribut ayant une valeur de nombre entier (pas de décimales, comme 22, -22 et +322). Un nombre entier peut également être défini de sorte qu’il soit compris dans une certaine plage.

Nombres entiers

Attribut ayant une valeur composée d’un ou plusieurs nombres entiers. Saisissez chacun d’eux sur une ligne distincte dans la zone Valeur de l’attribut.

Réel

Attribut ayant une valeur composée d’un nombre réel, avec ou sans décimales (cette valeur peut également être exprimée en notation scientifique). Exemples de nombres réels valides : 2, 22,4, -0,22 et 2,3e-1. Il est possible de définir un nombre réel de telle sorte qu’il soit compris dans une plage particulière.

Réels

Attribut ayant une valeur composée d’un ou plusieurs nombres réels. Saisissez chacun d’eux sur une ligne distincte dans la zone Valeur de l’attribut.

Chaîne

Attribut ayant une valeur consistant en une série de caractères (texte).

Chaînes

Attribut ayant une valeur composée d’une ou plusieurs chaînes. Saisissez chaque chaîne sur une ligne distincte dans la zone Valeur de l’attribut.

ID unique

Attribut ayant une valeur composée d’une chaîne de texte unique. Un élément ne peut avoir qu’un seul attribut ID (qui peut être de type ID unique ou ID uniques). Toutes les valeurs d’ID doivent être uniques dans le document ou le livre. Un élément ayant un attribut ID unique peut être la source d’une référence croisée relative à un élément.

ID uniques

Attribut ayant une valeur composée d’une ou de plusieurs chaînes de texte uniques. Saisissez chaque chaîne sur une ligne distincte dans la zone Valeur de l’attribut. Le développeur spécifie parfois cet attribut si vous procédez à une exportation vers une application structurée qui utilise des valeurs multiples à titre d’informations sur la source.

Parent topic: Utilisation d’attributs d’élément dans des documents structurés


Affectation de valeurs d’attributs

Découvrez comment utiliser des attributs dans des documents structurés dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Saisie de valeurs d’attributs lors de l’insertion d’éléments

  • Saisie ou modification de valeurs d’attribut pour les éléments déjà dans un document

Introduction

Les attributs contiennent des informations supplémentaires à propos d’un élément, qui n’apparaissent pas avec le contenu du document. Vous pouvez afficher les attributs et leur valeur dans la Vue de la structure.

Figure 1. Attributs dans la Vue de la structure
Attributs d’un élément dans la Vue de la structure

La définition d’un attribut spécifie le type des valeurs qui sont acceptables (texte ou numériques). Elle inclut parfois une liste de valeurs possibles ou une plage de valeurs numériques.

La définition détermine également si la valeur en question est facultative, obligatoire ou en lecture seule. Elle peut également fournir une valeur par défaut. Vous pouvez affecter une valeur à un attribut uniquement si celui-ci n’est pas en lecture seule.

Si la définition de la valeur actuelle d’un attribut n’est pas conforme aux spécifications, l’attribut n’est pas valide.

Note: FrameMaker peut fournir les valeurs aux attributs ID et Référence ID utilisés dans les références croisées. Ces attributs sont généralement définis en lecture seule.

Saisie de valeurs d’attributs lors de l’insertion d’éléments

Si un élément nécessite un attribut spécifique, FrameMaker vous demande de fournir la valeur de cet attribut. Si un attribut est obligatoire, la boîte de dialogue Attributs du nouvel élément s’ouvre, affichant tous les attributs définis pour l’élément en question (sauf ceux qui sont en lecture seule). Pour chaque valeur d’attribut obligatoire, sélectionnez l’attribut dans la liste de sélection Nom de l’attribut, saisissez la valeur dans la zone Valeur de l’attribut et appuyez sur Entrée. Si un attribut est obligatoire, vous devez saisir une valeur pour que l’élément soit valide.

La valeur que vous pouvez saisir, telle que du texte ou un nombre, est déterminée par le type de l’attribut. Si un attribut possède un ensemble de valeurs prédéfinies, choisissez-en une dans la liste déroulante Valeur de l’attribut au lieu de la saisir au clavier.

Une description de l’attribut sélectionné (son type, si une valeur est obligatoire, etc.) apparaît dans la boîte de dialogue en dessous de la zone Valeur de l’attribut.

Si un attribut n’est pas obligatoire, mais facultatif, vous pouvez fournir la valeur d’attribut à tout moment après l’insertion de l’élément en question.

Cliquez sur Insérer un élément.

Note: Au format XML, les noms de valeurs d’attribut prennent en charge le format de codage de texte Unicode.
Attention: Lorsque vous travaillez au format SGML, vous ne devez pas utiliser de caractères multi-octets (langues asiatiques) pour saisir des valeurs d’attribut. Ces caractères ne sont pas exportés correctement vers SGML, car les caractères multi-octets ne sont pas pris en charge dans le flux de production SGML.

Saisie ou modification de valeurs d’attribut pour les éléments déjà dans un document

Pour modifier une valeur d’attribut plutôt qu’une valeur, sélectionnez l’élément ayant la valeur d’attribut que vous voulez modifier.

Vous pouvez sélectionner plusieurs éléments de même type et leur appliquer la modification. L’élément doit être contigu. Par exemple, si plusieurs éléments <p> d’une même ligne ou un attribut @public, vous pouvez modifier sa valeur dans tous les éléments <p> à la fois.

Cliquez deux fois sur le nom ou la valeur d’un attribut dans la Vue de la structure pour afficher la boîte de dialogue Attributs.

Alternativement, sélectionnez Eléments > Modifier des attributs pour ouvrir le panneau Attributs.

Pour chaque valeur d’attribut à saisir ou modifier, sélectionnez l’attribut dans la liste de sélection Nom de l’attribut, saisissez la valeur dans la zone Valeur de l’attribut et appuyez sur Entrée.

Si un attribut possède un ensemble de valeurs prédéfinies, choisissez-en une dans la liste déroulante Valeur de l’attribut au lieu de la saisir au clavier.

Parent topic: Utilisation d’attributs d’élément dans des documents structurés


Génération automatique d’attributs d’ID uniques pour des éléments

Découvrez comment configurer Adobe FrameMaker pour affecter automatiquement des valeurs d’attributs d’ID uniques à des éléments, et comment utiliser le Créateur de fichier de configuration.

FrameMaker vous permet de définir les éléments de votre application structurée pour lesquels vous souhaitez automatiquement affecter des ID uniques.

Supposons que votre application structurée inclut un élément <section> qui comporte une attribut @id. Vous pouvez créer une règle qui garantit que chaque fois que vous ajoutez l’élément <section> à un document structuré, FrameMaker génère automatiquement un ID unique. FrameMaker attribuera alors automatiquement cet ID unique à l’attribut @id de l’élément <section>.

Pour définir les règles d’auto-génération pour une application structurée, procédez comme suit :

  1. Sélectionnez Elément > Lancer le créateur de fichier de configuration.

  2. Dans la boîte de dialogue Paramètres du fichier de configuration, vous définissez les règles de génération des identifiants.

  3. Cliquez sur Enregistrer ou sur Enregistrer sous pour enregistrer les règles de génération d'identifiant pour un fichier de configuration (.xml).

    Pour charger l’ensemble de règles défini dans un fichier de configuration existant, cliquez sur Charger le fichier de configuration.

  4. Vous pouvez ensuite inclure ce fichier de configuration à votre application de structure.

Les paramètres suivants peuvent être configurés dans la boîte de dialogue Paramètres du fichier de configuration :

Préfixe d’ID
Une combinaison de lettres et de chiffres qui sera ajoutée à l'identifiant généré automatiquement par FrameMaker.
Assigner un ID à un attribut

Le nom de l'attribut auquel FrameMaker assignera l'identifiant généré automatiquement.

Sélectionnez <auto> pour permettre à FrameMaker de décider à quel attribut l’identifiant sera assigné.

Note: Vous pouvez spécifier n’importe quel attribut auquel FrameMaker assignera l’identifiant.
Pour Eléments

Indiquez les noms des éléments auxquels FrameMaker assignera un identifiant d'attribut, comme spécifié dans Assigner un ID à un attribut décrit ci-dessus.

Note: La liste des éléments augmente au fur et à mesure que vous entrez de nouveaux noms d’élément. Cela vous permet d'entrer un nombre indéfini d'éléments auxquels assigner des identifiants pour l'attribut spécifié.
Pour les éléments comportant des attributs

Vous pouvez également choisir de spécifier les éléments par leurs valeurs d’attribut.

Cela signifie que vous pouvez définir un nom d'attribut pour vous assurer que FrameMaker attribue un identifiant à tous les éléments qui contiennent l'attribut spécifié. Par exemple, vous pouvez vous assurer que FrameMaker attribut un identifiant à tous les éléments ayant l’attribut @audience. Toutefois, l’ID est assigné à l’attribut spécifié dans le champ Attribuer un ID à l’attribut, décrit ci-dessus.

Vous pouvez également ajouter des valeurs d’attribut à la règle d’attribut ci-dessus. Par exemple, vous pouvez vous assurer que FrameMaker attribut un identifiant à tous les éléments ayant l’attribut @audience et la valeur admin.

En outre, vous pouvez spécifier plusieurs valeurs et FrameMaker attribuera un identifiant basé sur l’une de ces valeurs. Pour l’exemple @audience, vous pouvez spécifiez la valeur en tant qu’administrateur ou utilisateur final. Dans ce cas, l'ID est assigné si l'élément contient l'attribut @audience et que la valeur de l'attribut est soit admin, soit utilisateur final.

Note: La liste d’attributs augmente au fur et à mesure que vous entrez de nouveaux noms d’attributs.
Parent topic: Utilisation d’attributs d’élément dans des documents structurés


Copie de valeurs d’attributs

Apprenez à copier une valeur d’attribut d’un élément à un autre.

Vous pouvez utiliser le Presse-papiers pour copier et coller les valeurs d’attribut d’un élément vers un autre. Si vous collez des valeurs dans un élément pour lequel aucun attribut correspondant n’a été défini, les attributs ne sont pas valides. Aucune valeur d’attribut d’ID n’est collée afin de préserver les références croisées relatives à un élément.

Si vous copiez un attribut depuis un autre document, il arrive que cet attribut n’ait pas de définition dans le document actuel.

  1. Sélectionnez l’élément ayant les valeurs d’attribut que vous voulez copier, et sélectionnez Modifier > Couper (spécial) > Valeurs d’attribut. Toutes les valeurs d’attribut associées à l’élément sont alors copiées dans le Presse-papiers.

  2. Sélectionnez un autre élément, puis choisissez Modifier > Coller.

Pour supprimer un attribut indéfini copié d'un autre document, sélectionnez l'élément avec l'attribut indéfini, ouvrez la boîte de dialogue Attributs, sélectionnez l’attribut et cliquez sur Supprimer l’attribut. Dans la boîte de dialogue suivante, retirez l’attribut de l’élément en cours ou de tous les éléments qui possèdent également l’attribut.

Parent topic: Utilisation d’attributs d’élément dans des documents structurés


Recherche/remplacement d’éléments et d’attributs dans des documents structurés

Apprenez à rechercher et à remplacer des éléments et attributs XML dans Adobe FrameMaker.

Dans ce sujet

  • Recherche d’éléments et d’attributs

  • Modification d’éléments et d’attributs

Recherche d’éléments et d’attributs

Vous pouvez rechercher des éléments et des attributs dans un document structuré afin d’en garder la trace ou de modifier rapidement leur contenu.

Vous pouvez rechercher un élément, un nom d’attribut et une valeur d’attribut soit séparément, soit simultanément. Par exemple, vous pouvez chercher un élément <li> pour trouver tous les éléments <li>, ou limiter la recherche afin de ne trouver que les éléments <li> ayant un attribut @audience défini sur administrateur.

Pour rechercher un élément, un attribut ou une valeur d’attribut, procédez comme suit :

  1. Sélectionnez Modifier > Rechercher/Remplacer.

  2. Dans la liste déroulante Rechercher, sélectionnezElément.

  3. Sélectionnez les options souhaitées dans la boîte de dialogue Chercher élément.

    Ces paramètres peuvent être utilisés dans des combinaisons multiples. En voici quelques exemples :

    • Pour rechercher n’importe quel élément, laissez les trois zones vides.

    • Pour rechercher un élément spécifique, saisissez un nom d’élément, mais laissez les zones Nom de l’attribut et Valeur de l’attribut vides.

    • Pour rechercher n’importe quel élément ayant un attribut spécifique, saisissez un nom d’attribut, mais laissez les zones Balise d’élément et Valeur de l’attribut vides.

    • Pour rechercher n’importe quel élément ayant une valeur d’attribut spécifique, saisissez une valeur d’attribut, mais laissez les zones Nom de l’élément et Nom de l’attribut vides.

    • Pour rechercher une combinaison spécifique d’élément et d’attribut, saisissez un nom d’élément et choisissez un nom d’attribut.

    • Pour rechercher une combinaison spécifique d’élément et de valeur d’attribut, saisissez un nom d’élément et choisissez un nom et une valeur d’attribut. Si le type de l’attribut est Choix, tapez sa valeur.

    • Pour rechercher un élément spécifique ayant un attribut pour lequel aucune valeur n’a été définie, saisissez un nom d’élément, choisissez un nom d’attribut, puis sélectionnez Aucune valeur dans la liste déroulante Valeur de l’attribut.

    Si vous ne voulez pas restreindre la recherche, laissez une zone vide. Cela aura le même effet que de rechercher n’importe quel élément ou de choisir Tout attribut ou Toute valeur.

  4. Cliquez sur Définir-

  5. Dans la boîte de dialogue Rechercher/Remplacer, sélectionnez Respecter la casse, Mot entier, Utiliser des caractères génériques, ou Rechercher en arrière.

  6. Cliquez sur Rechercher.

Modification d’éléments et d’attributs

Avec la fonctionnalité Rechercher/remplacer, vous pouvez rechercher des éléments et des attributs dans un document structuré afin de les modifier rapidement. Cette fonctionnalité est particulièrement utile si vous voulez appliquer la même modification à plusieurs occurrences d’un élément ou attribut.

Après avoir trouvé un élément, un attribut ou une valeur d’attribut, vous pouvez le ou la remplacer par un autre élément, attribut ou valeur. Par exemple, vous pouvez remplacer rapidement et globalement la valeur d’un attribut @audience d’administrator en enduser.

Lorsque vous modifiez des éléments dans un document, vous pouvez modifier chacune des occurrences trouvées ou bien laisser FrameMaker le faire automatiquement dans tout le document.

Tip: Après avoir collé des éléments depuis un autre document ou importé de nouvelles définitions d’éléments, nettoyez votre document à l’aide de la commande Rechercher/remplacer. Par exemple, si vous collez un tableau depuis un document non structuré, ce tableau et ses différentes parties ont des balises d’élément par défaut non valides. Vous pouvez alors remplacer les éléments<CELLULE>, par exemple, par des éléments<entrée>, à l’aide de l’option Rechercher/remplacer.

  1. Sélectionnez Modifier > Rechercher/Remplacer.

  2. Dans la boîte de dialogue Chercher/Remplacer, sélectionnez Elément dans la liste déroulante Chercher.

  3. Sélectionnez les options souhaitées dans la boîte de dialogue Chercher un élément, puis cliquez sur Définir. Ensuite, choisissez une option dans la liste déroulante Remplacer de la boîte de dialogue Chercher/Remplacer, puis saisissez le nom ou la valeur de remplacement.

    La boîte de dialogue Chercher l’élément et la liste déroulante Remplacer fonctionnent de manière conjointe. Voici quelques exemples des combinaisons possibles :

    • Pour remplacer un élément par un autre, saisissez un nom d’élément dans la boîte de dialogue Chercher un élément, mais laissez Nom de l’aatribut et Valeur de l’attribut vides. Ensuite, choisissez La balise d’élément en : dans la liste déroulante Remplacer, puis saisissez un nom d’élément.

    • Pour remplacer un attribut par un autre, saisissez un nom d’attribut, mais laissez Balise d’élément et Valeur de l’attribut vides. Ensuite, choisissez Le nom de l’attribut en : et tapez un nom d’attribut déjà défini pour cet élément.

    • Pour remplacer une valeur d’attribut par une autre, saisissez-en une, mais laissez Nom de l’attribut et Valeur de l’attribut vides. Ensuite, choisissez La valeur de l’attribut en : et saisissez une valeur.

    • Pour remplacer un attribut ayant un nom spécifique par une certaine valeur, saisissez un nom d’attribut, mais laissez Balise d’élément et Valeur de l’attribut vides. Ensuite, choisissez La valeur de l’attribut en : et saisissez une valeur.

    • Pour remplacer un élément spécifique ayant une valeur d’attribut spécifique en un autre élément, saisissez un nom d’élément, puis choisissez un nom et une valeur d’attribut. Ensuite, choisissez La balise d’élément en : dans la liste déroulante Remplacer, puis saisissez une balise d’élément.

    • Pour retirer une valeur d’attribut, saisissez-la, mais laissez Balise d’élément et Nom de l’attribut vides. Ensuite, choisissez La valeur de l’attribut en : et laissez la zone Choix vide.

    Si vous essayez de faire une modification qui n’est pas autorisée, par exemple, si vous essayez de retirer une balise d’élément, un message d’alerte apparaît, vous expliquant quel est le problème.

  4. Cliquez sur Rechercher.

  5. Lorsque FrameMaker trouve l’élément ou l’attribut recherché, procédez comme suit :

    • Pour faire la modification sans poursuivre la recherche d’autres occurrences de l’élément, cliquez sur Remplacer.

    • Pour effectuer la modification et continuer la recherche des autres occurrences, cliquez sur Remplacer et rechercher.

    • Pour modifier toutes les occurrences de l’élément, spécifiez toutes les occurrences dans le document ou uniquement les occurrences dans la sélection en cours, puis cliquez sur Tout remplacer.

Parent topic: Création de contenu structuré
  • Recherche dans le code source XML
  • Recherche dans le code XML avec des expressions complexes
  • Expression Xpath


Recherche dans le code source XML

Apprenez à effectuer des recherches dans le code source XML avec Adobe FrameMaker.

Si vous travaillez dans la vue XML, vous pouvez effectuer des recherches dans le code source XML à l’aide d’expressions complexes et de requêtes XPath.

Les fonctionnalités de recherche XML (expressions complexes et requêtes XPath) effectuent la recherche dans le code source XML d’un document dans la vue XML.

Par exemple, le texte du paragraphe d’exemple suivant (<p>) contient un mot marqué comme gras avec l’élément XML <b>.

<p>The quick <b>brown</b> fox.</p>

La vue WYSIWYG fournit une fonctionnalité pour rechercher du texte tel qu’il s’affiche dans la fenêtre de FrameMaker. Cela signifie qu’en recherchant « Servez à ce monsieur », vous trouverez le texte en question. Toutefois, dans la vue XML, la même recherche ne renverra aucun résultat.

Dans la vue XML, vous devrez inclure les balises <b> (ouverture) et </b> (fermeture) dans la recherche.

  • Recherche dans le code XML avec des expressions complexes
    Apprenez à utiliser des expressions complexes dans le code XML dans Adobe FrameMaker
  • Expression Xpath
    Apprenez à parcourir les éléments d’un document XML dans Adobe FrameMaker à l’aide des expressions XPath.
Parent topic: Création de contenu structuré
  • Recherche/remplacement d’éléments et d’attributs dans des documents structurés
  • Recherche dans le code XML avec des expressions complexes
  • Expression Xpath


Recherche dans le code XML avec des expressions complexes

Apprenez à utiliser des expressions complexes dans le code XML dans Adobe FrameMaker

Les expressions complexes sont similaires aux expressions régulières. Elles vous permettent d’effectuer des opérations de recherche avancées de texte dans le code XML d’un document.

Pour trouver du contenu dans la vue XML à l’aide d’expressions complexes, procédez comme suit :

  1. Dans la vue XML du document XML actuel, ouvrez la boîte de dialogue Chercher/Remplacer (Modifier > Chercher/Remplacer ou ctrl+F).

    La boîte de dialogue comprend l’option Expressions complexes.

    Figure 1. Boîte de dialogue Rechercher/remplacer dans la vue XML incluant l’option Expressions complexes
    Boîte de dialogue Rechercher/remplacer dans la vue XML incluant l’option Expressions complexes

  2. Cochez l’option Expressions complexes et saisissez une expression dans le champ Rechercher du texte.

  3. Cliquez sur Rechercher.

Le tableau suivant contient une liste d’exemples d’expressions complexes :

Exemple d’expression complexe | Recherche
Licen[sc]e | License et Licence
t{2} | Mots contenant deux « t » consécutifs, comme cette et palette
[2-3][0-2] | Nombres contenant 20, 21, 22, 30 , 31 ou 32, comme 2055, 3155 et 2255.
[a-c][a-c][a-c] | Mots où a, b, et/ou c sont à la suite, par exemple, accompagner, applicable, bactérie et abbaye
Parent topic: Recherche dans le code source XML
  • Recherche dans le code source XML
  • Recherche/remplacement d’éléments et d’attributs dans des documents structurés
  • Expression Xpath


Expression Xpath

Apprenez à parcourir les éléments d’un document XML dans Adobe FrameMaker à l’aide des expressions XPath.

Dans ce sujet

  • Introduction

  • Exemples XPath

  • Barre d’outils XPath

  • Panneau XPath Builder

  • Fonction de suggestion automatique XPath

Introduction

Un document XML se compose d’une hiérarchie d’éléments. Une expression XPath permet de parcourir les éléments et les attributs d’un document XML.

Exemples XPath

Prenons le fichier XML suivant :

<topic id="abc">
  <title>Using XPATH</title>
  <body>
    <p>Using XPATH is easy.</p>
    <fig>
      <image href="images/xpath.png"/>
    </fig>
    <section>
      <title>Examples</title>
      <p audience="novice">A simple example.</p>
      <p audience="expert">An advanced example.</p>
      <p audience="expert">Another advanced example.</p>
      <fig>
        <image href="images/xpath-axes.png">
          <alt>This screenshot shows the XPATH axes</alt>
        </image>
      </fig>
    </section>
    <p>The End.</p>
  </body>
</topic>

Le tableau suivant contient une liste d’expressions XPath pour l’exemple XML donné ci-dessus.

Requête XPath | Recherche
/topic | Renvoir l’élément racine <topic>.
//title | Renvoie n’importe quel élément <title>.
//section/title | Ne renvoie que l'élément <title> qui est un enfant d’un élément <section>.
//p | Renvoie n’importe quel élément <p>.
//p[@audience='expert'] | Renvoie n’importe quel élément <p> pour lequel l’attribut @audience est défini sur expert.
//p[not(@audience)] | Renvoie n’importe quel élément <p> pour lequel l’attribut @audience est manquant.
//p[not(@audience='admin')] | Renvoie n’importe quel élément <p> pour lequel l’attribut @audience n’a pas la valeur admin OU est manquant.
//p[text()='Pour commencer ce processus'] | Renvoie n’importe quel élément <p> qui commence par la chaîne de texte Pour commencer ce processus.
//p[contains(.,'bouton')] | Renvoie n’importe quel élément <p> dont le texte contient la chaîne de texte bouton.
//image[not(alt)] | Renvoie n’importe quel élément <image> pour lequel l’élément enfant <alt> est manquant.

Pour plus d’informations sur XPath, consultez http://www.w3.org/TR/xpath/

Barre d’outils XPath

  1. Sélectionnez Affichage > Barres d’outils > XPath pour ouvrir la barre d’outils XPatch.

    Figure 1. Barre d’outils XPath
    Barre d’outils XPath dans FrameMaker

  2. Dans le champ XPath, saisissez l’expression XPath, puis cliquez sur Exécuter.

Les résultats de la requête s’affichent dans le panneau XPath Builder.

Panneau XPath Builder

Figure 2. Panneau XPath Builder
Panneau XPath Builder dans FrameMaker

L’interface conviviale Query Builder permet aussi de créer des expressions XPath. Dans Query Builder, vous pouvez créer une requête XPath (à l’aide de la fonctionnalité de suggestion automatique), puis l’exécuter.

Vous pouvez également spécifier l’Etendue de la recherche :

  • Fichier actuel

  • Tous les fichiers ouverts

  • Dossier

  • Livre ou mappage DITA : cette option est disponible si vous choisissez un mappage ou un livre DITA dans le Gestionnaire de ressources

Fonction de suggestion automatique XPath

La fonction de suggestion automatique fournit les composants suggérés que vous pouvez ajouter à l’expression XPath lors de sa création.

Par exemple, dans le XML suivant :

<body>
<p>The quick brown fox.</p>
<p audience="admin">Jumped over the lazy dogs.</p>
</body>

  1. Dans le champ Query Builder, commencez par entrer une barre oblique (/).

    Dès que vous entrez la barre oblique, les suggestions suivantes s’affichent :

    Suggestions automatiques
    Suggestions automatiques dans le panneau XPath Builder

  2. A l’aide des touches haut et bas, sélectionnez l’option, puis appuyez sur Entrée pour insérer le composant dans la requête.

  3. Pour ajouter un autre élément à la requête, entrez une barre oblique.

    Pour ajouter un attribut, vous pouvez également saisir un crochet d’ouverture ([).

La liste de suggestions automatiques contient les composants suivants d’une requête XPath :

Élément (indicateur orange)

Éléments à la position actuelle dans le document actif.

Attribut (indicateur bleu)

Attributs à la position actuelle dans le document actif.

Axes (indicateur vert)

Un axe est une définition de nœud par rapport au nœud actif. Par exemple, parent, enfant, ancêtre.

Cliquez sur la liste déroulante à droite de l’option Activer les suggestions automatiques, puis désélectionnez l’option Axes pour masquer les axes disponibles dans la liste de suggestions automatiques.

Note: Vous pouvez choisir de désactiver la fonction de suggestions automatiques dans Query Builder.

Cliquez sur l’icône Enregistrer pour enregistrer les résultats actuels de la requête XPath.

Parent topic: Recherche dans le code source XML
  • Recherche dans le code source XML
  • Recherche/remplacement d’éléments et d’attributs dans des documents structurés
  • Recherche dans le code XML avec des expressions complexes


Recherche et correction d’erreurs dans la structure des documents

Apprenez à rechercher et à corriger des erreurs dans la structure d’un document avec Adobe FrameMaker.

Dans un enchaînement structuré, une erreur peut être un problème structurel, tel qu’un élément à emplacement non valide ou bien un attribut non valide, tel qu’un attribut dont la valeur obligatoire est manquante. Dans la Vue de la structure, lorsqu’un élément réduit contient un contenu non valide dans sa structure, le signe flèche situé sur la droite du nom de l’élément s’affiche en rouge.

Vous pouvez également valider un document pour rechercher les erreurs. Une fois que vous savez où ces erreurs se trouvent, utilisez le catalogue Eléments et la Vue de la structure pour vous aider à les corriger.

Si vous avez apporté des modifications au formatage du texte dans les éléments, il se peut que ceux-ci ne soient plus conformes à leurs règles de formatage.

Parent topic: Création de contenu structuré

Utilisation de la Vue de la structure pour rechercher les erreurs

Apprenez à rechercher et à corriger des erreurs dans la structure d’un document à l’aide de la Vue de la structure dans Adobe FrameMaker.

Lorsqu’un élément n’est pas conforme aux règles de contenu ni aux descriptions d’attributs dans les définitions d’éléments du document, la Vue de la structure identifie l’erreur à votre place.

Eléments manquants

Si un ou plusieurs éléments enfants requis par les définitions d’éléments sont manquants dans un élément, un carré rouge apparaît sur la ligne verticale où l’élément enfant devrait se trouver.

Figure 1. Au moins un élément enfant obligatoire est manquant.
Élément enfant obligatoire manquant dans la Vue de la structure

Eléments à un emplacement non valide

Si un élément se trouve à un emplacement non autorisé par les règles de contenu, la ligne verticale qui se trouve à côté est interrompue à partir de sa position et jusqu’à la fin de l’élément parent.

Figure 2. L’élément Para n’est pas valide à cet emplacement.
Élément invalide à un emplacement dans la Vue de la structure

Eléments non définis

Si un élément n’est pas défini pour le document actif, sa bulle est de couleur rouge. Cela arrive parfois si vous l’avez collé depuis un autre document.

Attributs non valides

Si un attribut a une valeur non valide ou s’il n’est pas défini dans le document, un x de couleur rouge apparaît à gauche du nom de l’attribut et sa valeur est affichée en rouge.

Figure 3. L’attribut VersionEbauche n’est pas valide
Attribut invalide d’un élément dans la Vue de la structure

Valeur obligatoire manquante dans un attribut

Si un attribut n’a pas de valeur définie, aucune valeur n’apparaît à droite de son nom. S’il doit obligatoirement avoir une valeur, aucune valeur n’apparaît en rouge et un carré rouge apparaît à sa gauche.

Figure 4. Une valeur obligatoire est manquante dans l’attribut IdentifRéfCroisée.
Absence d’une valeur d’attribut obligatoire d’un élément dans la Vue de la structure

Validation d’un document

Apprenez à valider un document et à corriger des erreurs dans la structure d’un document avec Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Validation d’un document

  • Effacement de toutes les exceptions

Introduction

Lorsque FrameMaker valide un document, il recherche les éléments non conformes aux règles de contenu et d’attribut dans les définitions d’éléments du document. Si FrameMaker trouve une erreur, il sélectionne l’élément et donne une description de l’erreur.

Vous pouvez valider un document entier, l’enchaînement en cours ou bien l’élément actif. Si vous validez l’élément actif, FrameMaker ne vérifie pas ses éléments enfants. Par exemple, si vous validez l’élément <section> ci-dessous, FrameMaker vérifie que l’élément <En-tête>, les deux éléments <Para> et l’élément <Liste> sont valides, mais il ne vérifie par les éléments <Elément de liste> dans <Liste>.

Figure 5. Seuls les éléments enfants de la section sont validés
Éléments enfants validés d’une section dans la Vue de la structure

Si le document contient du texte conditionnel, seules les versions affichées sont validées.

Vous pouvez également valider un livre entier comprenant tous les fichiers, seulement le fichier du livre ou bien seulement l’élément actif dans le fichier du livre.

Validation d’un document

Pour valider un document, procédez comme suit :

  1. Sélectionnez Structure > Valider. La boîte de dialogue Validation d’éléments s’affiche :

    Figure 6. Boîte de dialogue Validation d’éléments
    Boîte de dialogue Validation d’éléments

  2. Sélectionnez Document/livre entier, Eléments du livre seulement, Enchaînement en cours ou Elément en cours pour spécifier la portée de la validation.

  3. Pour exclure des éléments ou des valeurs d’attributs de la recherche, sélectionnez Ignorer les éléments manquants ou Ignorer les valeurs d’attributs manquantes.

    Si ces paramètres sont sélectionnés, FrameMaker ne recherche pas les emplacements où un élément enfant ou une valeur d’attribut obligatoires sont manquants. Vous pouvez envisager de les sélectionner si vous ne cherchez pas à construire un document complet pour le moment.

  4. Cliquez sur Commencer validation.

    FrameMaker commence la vérification à partir du début de l’élément en cours. Si vous ne validez que celui-ci, il vérifie l’élément contenant le point d’insertion ou l’élément sélectionné. Si vous avez sélectionné plusieurs éléments, il commence par le premier de la sélection.

  5. Si FrameMaker rencontre une erreur, cliquez sur Commencer validation une nouvelle fois pour continuer.

    La partie supérieure de la boîte de dialogue Validation de l’élément affiche le nom de l’élément et un court message relatif au problème.

    Vous avez alors la possibilité de corriger l’erreur, de l’ignorer ou de cliquer sur Autoriser comme exception. Dans ce dernier cas, FrameMaker n’identifiera plus cette erreur lors de la prochaine validation du document.

  6. Répétez l’étape 5 jusqu’à ce que FrameMaker ne détecte plus d’erreur.

Lorsque FrameMaker atteint la fin du document, il reprend à partir du début et poursuit la validation. Lorsque FrameMaker atteint la fin d’un enchaînement, il passe au suivant.

Note: Lors de la validation d’un livre, FrameMaker indique si un fichier du livre possède un contenu non valide. Pour une évaluation plus détaillée, vous devez ouvrir et valider le fichier.

La validation des éléments d’une EDD inclut les attributs des clauses conditionnelles (if-then). Par exemple, supposons que les valeurs possibles d’un attribut soient A ou B ou C et qu’une règle contextuelle indique If [attrval = "D"]. La condition est considérée comme une erreur et signalée comme étant une structure non valide lors de l’importation de définitions d’éléments.

De même, si les règles de formatage du texte ou de préfixe/suffixe d’un élément utilisent des noms d’attributs dans les spécifications de contexte, le nom d’attribut et la casse doivent correspondre à la définition de l’attribut dans la définition d’élément.

Si la valeur initiale d’un attribut est restaurée, l’action n’est pas signalée comme une modification. Ceci accroît les performances en évitant les vérifications de valeurs inutiles.

Effacement de toutes les exceptions

  1. Sélectionnez Structure > Valider.

  2. Cliquez sur Effacer les exceptions. FrameMaker les efface alors du document, de l’enchaînement ou de l’élément, selon l’option que vous avez choisie dans la boîte de dialogue.

Messages d’erreur de validation

Découvrez les messages d’erreur de validation lors de la validation d’un document structuré avec Adobe FrameMaker.

Les messages d’erreurs suivants peuvent apparaître en haut de la boîte de dialogue Validation d’éléments dans Adobe FrameMaker.

L’enchaînement en cours n’est pas structuré.

L’enchaînement en cours ne comporte aucun élément.

Elément non défini.

L’élément en cours n’est pas défini dans le document. Il se peut que vous l’ayez copié depuis un autre document.

Elément manquant avant <élément>

Au moins un élément obligatoire est manquant avant l’élément spécifié.

Au moins un enfant requis en fin d’élément.

Au moins un élément enfant est requis à la fin de l’élément actif.

Pas d’élément en cours.

Il n’y a pas de point d’insertion ou de sélection.

Ce message apparaît lorsque la portée de la validation définie est Elément en cours.

Pas d’enchaînement en cours.

Il n’y a pas de point d’insertion ou de sélection.

Ce message apparaît lorsque la portée de la validation définie est Enchaînement en cours.

Cet élément n’est pas l’élément racine.

L’élément n’est pas autorisé au niveau supérieur du document.

<TEXTE> interdit dans cet élément.

L’élément contient du texte, mais cela n’est pas autorisé.

<TEXTE> non valide dans cet emplacement.

L’élément est autorisé à contenir du texte, mais pas dans cet emplacement.

L’@attribut fait référence à une valeur ID non définie.

L’attribut est une Référence ID et fait référence à une valeur d’ID unique inexistante dans le document (ou dans le livre, si vous validez un livre).

L’@attribut n’est pas défini pour cet élément.

La définition de cet élément ne comporte pas cet @attribut.

Cet élément devrait être un type.

L’élément est de type erroné ; le type peut être un graphique, un marqueur, une référence croisée, une équation ou une variable système. Par exemple, un élément de référence croisée est parfois du texte au lieu d’une référence croisée.

La valeur doit être un type pour @attribut

La valeur de l’attribut est d’un type erroné.

La valeur de l’@attribut doit être comprise entre n et n.

La valeur numérique de l’attribut est en dehors de la plage spécifiée.

La valeur de l’@attribut ne fait pas partie des choix autorisés.

La valeur de l’attribut doit correspondre à une valeur figurant dans la liste déroulante affichant les choix valides.

La valeur de l’attribut nom doit être unique.

Une valeur d’ID doit être unique pour tous les éléments du document ou du livre.

Valeur obligatoire pour l’attribut nom.

L’attribut ne doit pas avoir une valeur obligatoire.

<élément> exclu dans cet élément

L’<élément> n’est pas autorisé en raison d’une règle d’exclusion s’appliquant au parent ou à l’un de ses ancêtres.

<élément> interdit dans cet élément

L’<élément> n’est autorisé nulle part dans l’élément parent.

<élément> non valide dans cet emplacement

L’<élément> est autorisé dans l’élément parent, mais pas dans l’emplacement en cours.

Correction d’erreurs dans les éléments

Apprenez à corriger les erreurs de validation XML avec Adobe FrameMaker.

Après avoir identifié les erreurs dans les éléments et les attributs, corrigez-les en vous aidant du catalogueEléments et de la Vue de la structure :

  • Pour corriger un élément se trouvant dans un emplacement non valide, placez l’élément dans un emplacement valide ou bien modifiez-le en élément valide pour son emplacement actuel.

    Vous pouvez sélectionner un élément non valide dans la Vue de la structure. Si vous êtes en train d’effectuer une validation, FrameMaker sélectionne l’élément pour vous.

    Une fois l’élément sélectionne, le catalogue Eléments affiche les éléments valides dans cet emplacement.

    Figure 7. li (élément de liste) est valide dans cet emplacement.
    Catalogue d’éléments montrant l’élément valide à un emplacement

  • Pour corriger un élément dont le contenu n’est pas valide (contenant le fragment de texte CONTENU NON VALIDE), définissez-le comme élément autorisant ce contenu.

  • Pour corriger une structure où un élément enfant est manquant, insérez l’élément requis.

    Vous pouvez cliquer à l’endroit où un élément est manquant ou, si vous procédez à une validation, FrameMaker y place le point d’insertion pour vous. Lorsque le point d’insertion se trouve dans l’emplacement de l’élément manquant, le catalogue Eléments indique quels sont les éléments valides dans cet emplacement.

    Figure 8. Catalogue d’éléments indiquant l’élément valide à entrer dans un emplacement
    Catalogue d’éléments indiquant l’élément valide à entrer dans un emplacement

  • Pour corriger une valeur d’attribut non valide, remplacez la valeur par une valeur valide pour cet attribut.

  • Pour supprimer un attribut non défini, sélectionnez l’élément comportant l’attribut non défini, ouvrez la boîte de dialogue Attributs, sélectionnez l’attribut, et cliquez sur Supprimer l’attribut. Dans la boîte de dialogue suivante, retirez l’attribut de l’élément en cours ou de tous les éléments qui possèdent également l’attribut.

  • Pour résoudre une référence croisée possédant un ID non valide, sélectionnez la référence croisée, choisissezInsérer > Référence croisée, et remplacez-la par une source ayant un ID valide.


Prise en main des applications structurées

Prenez en main les applications structurées et découvrez l’importance du formatage dans une application structurée.

Dans FrameMaker non structuré, la configuration d’un environnement de création de documents nécessite un seul fichier modèle. Le fichier modèle définit les formats et les styles, tandis qu’un guide de style définit l’utilisation correcte du modèle. Dans FrameMaker structuré, un modèle structuré ne suffit pas.

Pour établir un environnement de création de documents structurés de base dans FrameMaker, une EDD ou une DTD sont nécessaires. Vous pouvez créer vos propres EDD et DTD ou utiliser des EDD et des DTD prêts à l’emploi. En outre, vous devez associer les définitions d’éléments aux informations de formatage. Vous pouvez lier au formatage des éléments dans le document EDD de trois manières différentes :

Modèle de formatage

Vous pouvez assigner le formatage en fonction des diverses balises (styles de paragraphes, de caractères, etc.) d’un modèle. Si vous disposez déjà d’un modèle de formatage, vous pouvez réutiliser les informations qu’il contient.

Listes de modifications du formatage

Vous pouvez créer des définitions de formatage nommées dans l’EDD. Les listes de modifications du formatage vous permettent de fournir des spécifications de formatage partielles, et d’hériter du reste à partir de quelques styles de paragraphes de base. Vous pouvez réutiliser les listes de modifications du formatage pour les éléments associés.

Formatage incorporé

Vous pouvez préciser le formatage en l’incorporant dans chaque définition d’élément.

Une fois l’EDD et le formatage créés, vous pouvez associer les deux composants pour créer un modèle structuré unique. Pour créer ce modèle structuré, vous devez ouvrir le modèle de formatage et importer les définitions d’éléments (Fichier > Importer > Définitions d’éléments) à partir de l’EDD. Le fichier créé correspond à votre modèle structuré.

En plus de l’EDD et du modèle structuré, les éléments suivant sont nécessaires :

Règles de lecture/écriture

Les règles de lecture/écriture contrôlent la conversion de la structure FrameMaker en XML et inversement. Plus particulièrement, ces règles contribuent à la gestion des conversions de tableaux et autres formatages complexes.

Application structurée

L’application structurée répertorie tous les fichiers de composants de votre mise en œuvre de structure et fournit des informations de configuration. Par exemple, vous pouvez utiliser l’application structurée pour indiquer s’il est nécessaire ou non d’exporter le balisage de texte conditionnel et de quelle manière.

Modèles structurés

Toutes les applications structurées FrameMaker doivent disposer de modèles structurés. Les modèles structurés FrameMaker contiennent les définitions de tous les éléments qui peuvent être utilisés dans le document, ainsi que leurs options de mise en page et de formatage.

Les modèles structurés sont similaires aux modèles non structurés, mais ils diffèrent principalement au niveau du catalogue Eléments.

Le catalogue Eléments contient les définitions d’éléments définies dans l’EDD. La première étape de création d’un document structuré consiste à importer les définitions à partir d’une EDD ou d’une DTD. Les définitions d’éléments dans une EDD ou une DTD sont renseignées dans leCatalogue d’éléments. La catalogue Eléments vous permet d’insérer des éléments valides dans votre document et de créer une structure conforme aux règles définies dans l’EDD.

Analyse du contenu

Le terme analyse du contenu décrit une procédure d’examen des documents existants afin de comprendre leur conception et leur structure explicite. Commencez votre analyse en dressant une liste des documents produits par votre entreprise. Votre liste peut comprendre des guides d’utilisateur, des guides de référence, des livres blancs, des tutoriels, des manuels de formation et de l’aide en ligne. Dressez la liste des principaux composants pour chaque type de document. Pour chaque composant, indiquez si l’élément est obligatoire ou facultatif et sa fréquence dans le document. Le tableau suivant présente une analyse de haut niveau pour un livre.

Composant | Exigence | Occurrence
Garde | Obligatoire | 1
Table des matières | Obligatoire | 1
Préface | Facultatif | 0 ou 1
Chapitre | Obligatoire | 2 ou plus
Annexe | Facultatif | 0 ou plus
Glossaire | Facultatif | 0 ou 1
Index | Obligatoire | 1

Pour les principaux composants, tels que les leçons (des manuels de formation) ou les chapitres (des livres), divisez la hiérarchie en catégories toujours plus restreintes jusqu’à accéder au niveau le plus bas de la hiérarchie.

Vous devez procéder à une analyse du contenu pour chaque type de document que vous souhaitez créer dans votre environnement structuré. Lorsque vous avez développé un modèle de contenu pour chaque document, vous pouvez rechercher les possibilités d’affiner le modèle et de réutiliser des noms. Admettons par exemple qu’un document à publier intitulé Aide se compose de rubriques et que les chapitres d’un livre le soient également. En créant un élément Rubrique pouvant être utilisé à la fois pour les documents imprimés et en ligne, vous réduisez d’autant le nombre d’éléments de votre définition de structure et pourrez éventuellement réutiliser les informations pour les deux formats de sortie.

Rubrique imprimée | Rubrique en ligne | Rubrique associée
Rubrique | Rubrique | Rubrique
Titre | Titre | Titre
Para | Para | Para
Etapes | Etapes | Etapes
Peut contenir les éléments Para, Liste, Tableau, Graphique, Note | Peut contenir les éléments Para, Liste, Tableau | Peut contenir les éléments Para, Liste, Tableau, Graphique, Note
 | RubriquesConnexes | RubriquesConnexes

Il est peu probable que tous vos documents soient parfaitement cohérents. Vous devez décider de créer une structure souple (permettant de nombreuses variations) ou stricte (permettant très peu de variations). Vous rencontrerez certaines difficultés, quelle que soit l’option retenue :

  • Une structure très souple est plutôt complexe et peut être difficile à gérer en raison du nombre très important de variations autorisées.

  • Une structure très stricte peut interdire certaines associations d’éléments pourtant nécessaires.

Il est très difficile de trouver le juste équilibre entre ces deux extrêmes. Une approche consiste à autoriser les variations uniquement lorsqu’elles ajoutent de la valeur.

Note: Un problème similaire se présente lors de la création de modèles FrameMaker non structurés. Vous devrez réduire le nombre de balises à gérer tout en mettant à disposition toutes les balises nécessaires à la création de votre contenu.

Une fois l’analyse terminée, vous pouvez choisir entre utiliser une structure existante ou concevoir la vôtre. De nombreuses mises en oeuvre XML sont disponibles ; DocBook et Darwin Information Typing Architecture (DITA) sont les spécifications utilisées pour la documentation technique. Des structures standard sont également définies pour les documents militaires (mil-specs ou mil-standards), les documents de maintenance aérienne et bien d’autres encore. Le tableau suivant décrit certains des facteurs qui peuvent influencer votre décision quant à l’utilisation d’une spécification standard ou à la création de votre propre structure.

Utilisation d’une structure standard | Création de votre structure
Vous devez fournir du contenu respectant la norme. Par exemple, de nombreux fournisseurs de l’armée américaine doivent fournir de la documentation conforme à une norme publiée. | Vous souhaitez créer une structure correspondant précisément à votre analyse du contenu.
Vos exigences en matière de contenu correspondent exactement à une structure existante. Vous devez uniquement apporter quelques modifications mineures à la structure standard. | Votre analyse du contenu indique que vos informations ne correspondent pas vraiment aux structures existantes.
Vous ne voulez pas passer trop de temps à créer une structure et souhaitez modifier l’organisation de votre contenu pour l’adapter à une structure existante. | La structure doit correspondre précisément au contenu. Une période de mise en œuvre plus longue représente un coût acceptable pour vous assurer de développer précisément ce dont vous avez besoin.
Vous ne disposez pas du savoir-faire technique ou des ressources nécessaires pour développer votre propre structure. | Vous disposez de ressources (internes ou consultants) qui peuvent concevoir la structure.

Eléments

Les composantes de base des documents structurés sont les éléments. Ils représentent les parties du contenu d’un document (son texte, ses graphiques, etc.). L’ensemble de ces éléments constitue la structure du document. Les éléments peuvent être simples ou complexes.

Un élément simple en langage XML contient uniquement du texte. Un élément complexe peut avoir des attributs et peut :

  • être vide ;

  • contenir d’autres éléments ;

  • ne contenir que du texte ;

  • contenir des éléments et du texte.

Les éléments peuvent disposer de valeurs comprises dans une plage de valeurs valides.

Tous les documents structurés de FrameMaker utilisent des éléments. Chaque élément possède un nim, tel que <section>, <title> ou <p>. Ce sont les définitions d’éléments du document qui vont déterminer les éléments disponibles.

Attributs

Les attributs fournissent des informations supplémentaires sur un élément. Par exemple, le concepteur de DTD d’un manuel peut utiliser un attribut nommé version pour son élément de livre afin d’autoriser l’utilisateur à spécifier de statut de révision d’un livre. Dans FrameMaker, les attributs d’un élément font partie de la définition de l’élément même. Dans XML ou SGML, les attributs d’un élément existent séparément dans la DTD, dans une déclaration de liste de définition d’attributs (ATTLIST).

La valeur des attributs peut être par défaut ou fixe. Les attributs peuvent être obligatoires ou optionnels. Par exemple, si vous avez un élément de rubrique, l’ID de la rubrique peut être un attribut obligatoire afin de permettre les références croisées dans les rubriques. Il est également possible d’avoir des plages de valeurs pour les attributs ou d’énumérer les valeurs autorisées d’un attribut.

Règles d’éléments

Les sept règles suivantes contrôlent l’utilisation des éléments selon leur séquence, leur nombre d’occurrences et leur groupe.

Tous

Indique que les éléments enfants peuvent se trouver dans toutes les séquences à condition qu’ils apparaissent au moins une fois.

Choix

Indique que l’occurrence d’un élément enfant est possible.

Séquence

Indique l’ordre d’affichage des éléments enfants.

minOccurs

Indique le nombre d’occurrences minimum d’un élément enfant.

maxOccurs

Indique le nombre d’occurrences maximal d’un élément enfant.

Groupes d’éléments

Les éléments peuvent être regroupés sous une déclaration de groupe.

Groupes d’attributs

Les attributs peuvent être regroupés sous une déclaration attributeGroup.

Schémas XML

Un schéma XML définit les composantes autorisées d’un document XML. A la différence de l’EDD, les fichiers DTD et de schéma ne fournissent pas d’informations de formatage.

Les schémas XML définissent :

  • la liste des éléments qui peuvent figurer dans un document ;

  • les attributs qui peuvent figurer dans un document pour un élément ;

  • La hiérarchie des éléments, c’est-à-dire les éléments pouvant s’afficher en tant qu’éléments enfants ;

  • la séquence des éléments enfants ;

  • le nombre d’éléments enfants ;

  • les types de données des éléments et les attributs ;

  • les valeurs fixes et par défaut des éléments et des attributs.

Espace de noms XML

Les espaces de noms XML permettent à un document de contenir des éléments XML et des attributs provenant de langages différents sans que cela entraîne des collisions de noms.

Ouverture ou importation d’un schéma

Vous pouvez importer un document XML faisant référence à un fichier de schéma, et vous pouvez indiquer un fichier de schéma dans votre application structurée afin de l’utiliser pour valider un document lors de son exportation au format XML.

Pour indiquer le fichier de schéma à utiliser lors de l’exportation vers XML, modifiez le fichier structapps.fm. L’élément Schema, un enfant de l’élément <XMLApplication>, spécifie le chemin d’accès à un fichier de schéma pour l’exportation.

  • Création d’une EDD
    Apprenez à créer des EDD dans FrameMaker en choisissant une stratégie adaptée.
  • Création d’une DTD à partir d’une EDD
    Apprenez à créer un fichier DTD (définition de type de document) à partir d’un fichier EDD (document de définition d’élément) avec Adobe FrameMaker.
  • Développement d’une application structurée
    Apprenez à développer une application structurée dans FrameMaker.
  • Création de fichiers de structure
    Apprenez à développer une application structurée dans FrameMaker.
  • Test de conversion XML bidirectionnelle
    Apprenez à tester la conversion XML bidirectionnelle dans FrameMaker.
  • Éditeur Paramètres du fichier de configuration
    Chaque application structurée dispose d’un fichier de configuration qui définit son comportement. Apprenez à utiliser l’éditeur éditeur Paramètres du fichier de configuration dans FrameMaker.
  • HTML avec feuilles de style en cascade
    Découvrez comment fonctionne la relation entre un document XML et un fichier CSS (feuilles de style en cascade) dans FrameMaker structuré.
  • XML avec schéma
    Découvrez ce qu’est un XML avec schéma, et familiarisez-vous avec le flux de production des schémas dans Adobe FrameMaker.
Parent topic: Création de contenu structuré


Création d’une EDD

Apprenez à créer des EDD dans FrameMaker en choisissant une stratégie adaptée.

Un document EDD est un document structuré. Les fonctionnalités de modification structurées permettent de créer et de modifier les documents EDD.

Le document EDD contient les règles de structure du document (DTD, Document Type Definition) et les règles de style qui régissent les styles appliqués à des éléments spécifiques. L’EDD est souvent conçue par un développeur à partir de rien ou à partir d’un fichier DTD existant. Pour plus d’informations, consultez le document Références de développement d’application structurée.

Vous trouverez ci-dessous les étapes de base pour commencer la création de documents structurés dans FrameMaker.

Analyse des exigences

Avant de créer le modèle de devis, analysez les devis existants pour identifier leurs composants. En fonction de cette analyse, créez un plan du contenu. L’exemple de devis respecte l’ordre suivant :

  1. Titre

  2. Résumé : Titre, Un paragraphe

  3. Description du projet : Titre, Un ou plusieurs paragraphes

  4. Coût : Titre, Un ou plusieurs paragraphes

  5. Planification : Titre, Un ou plusieurs paragraphes

Note: Vous pouvez probablement développer l’EDD de ce simple exemple sans analyse formelle du contenu. Pour les projets plus complexes, en revanche, l’analyse du contenu est essentielle.

Choix d’une stratégie EDD

Il existe plusieurs méthodes de création d’une EDD :

  • Créer vous-même un fichier EDD complet

  • Importer un fichier DTD ou un schéma pour créer une EDD contenant des définitions de structure

  • Utiliser un tableau de règles de conversion pour structurer un document type existant, puis créer une version provisoire de l’EDD qui contient des définitions d’éléments de base et un formatage qui correspond à votre modèle non structuré

  • Modifier une EDD existante : soit un des modèles fournis avec FrameMaker, soit une EDD issue d’une autre source.

Conception de l’EDD du devis

En fonction de l’analyse du contenu, vous pouvez à présent créer l’EDD du devis.

  1. Vérifiez que vous exécutez FrameMaker structuré. Pour passer de FrameMaker non structuré à la version structurée, sélectionnez Fichier > Préférences > Général. Dans la liste déroulante Interface produit, sélectionnez FrameMaker structuré. Fermez et redémarrez FrameMaker.

  2. Sélectionnez Structure > EDD > Nouvelle EDD pour créer un fichier EDD. Les éléments par défaut sont insérés dans l’EDD.

    Note: L’EDD est un document FrameMaker structuré. Pour créer l’EDD, vous pouvez utiliser le même environnement d’édition assistée que pour les autres documents structurés.

  3. Sélectionnez Structure > Vue de la structure pour afficher le panneau Vue de la structure.

  4. Créez l’élément Devis de niveau supérieur. <> Positionnez votre curseur à droite de la bulle Balise dans la Vue de la structure, puis entrez Devis. Pendant la saisie, les lettres s’affichent à la fois dans la Vue de la structure et dans la fenêtre de document.

  5. Ouvrez le catalogue Eléments.

  6. Dans la Vue de la structure, cliquez à droite du carré rouge (qui indique que des informations supplémentaires sont requises). Notez que le contenu du catalogue Eléments change en fonction du nouvel emplacement du curseur. Dans le catalogue Eléments, sélectionnez Contenant, puis cliquez sur Insérer. L’élément de type <Contenant> et un élément enfant <RègleGénérale> sont insérés. La règle générale indique quels sont les éléments autorisés dans le devis. Lors de l’analyse de contenu, vous avez identifié ce qui suit : le titre, le résumé, la description du projet, le coût et la planification.

  7. Saisissez une règle générale pour <Devis> : Titre, Résumé, DescriptionProjet, Coût, Planification

    Note: Les noms d’éléments ne peuvent pas contenir d’espaces.

  8. Insérez un élément NiveauSupérieurValide en tant que frère de l’élément RègleGénérale. <><> Pour ce faire, cliquez sous l’élément <RègleGénérale> pour positionner le curseur. Cliquez ensuite sur l’élément <NiveauSupérieurValide> du catalogue Eléments, puis cliquez sur Insérer.

L’élément Devis est complet. <> Vous devez maintenant définir chacun des éléments enfants : <Résumé>, <DescriptionProjet>, <Planification> et <Coût>.

Définition des éléments enfants

  1. Placez votre curseur au bas de la structure.

  2. A l’aide du catalogue d’éléments, insérez une bulle Elément. Nommez l’élément <Résumé>, faites-en un contenant et indiquez le texte suivant en tant que règle générale : Titre, Para+

  3. Répétez l’étape 2 pour définir les éléments restants. Les règles générales sont présentées dans le tableau suivant :

    Menus d’

    élément

    Règle générale

    DescriptionProjet

    Titre, Para+

    Coût

    Titre, Para+

    Schedule

    Titre, Para+

    Titre

    <TEXTE>

    (Saisissez le mot TEXTE entre crochets.)

    Para

    <TEXTE>

    (Saisissez le mot TEXTE entre crochets.)

  4. Enregistrez votre fichier EDD sous le nom EDD_devis.fm.

Ajout du formatage à l’EDD

Vous venez de concevoir une EDD fournissant la structure d’un devis simple. Toutefois, lorsque vous saisissez du contenu, aucun formatage n’est appliqué.

La section suivante explique comment définir le formatage et comment insérer automatiquement le texte correct pour les différents titres. Par défaut, le texte utilise le style de paragraphe Corps.

Modification de la définition de l’élément Corps

  1. Dans structured_proposal.fm, sélectionnez Format > Paragraphes > Configuration de paragraphes et modifiez les définitions par défaut des styles de paragraphes Corps et Entête1. Par exemple, modifiez la police ou ajoutez une ligne au-dessus d’Entête1. Pour mettre vos modifications en évidence, vous pouvez également assigner des couleurs uniques aux deux balises.

  2. Dans devis_EDD.fm, modifiez la définition de l'élément <Para> pour inclure une règle de formatage. Pour indiquer que <Para> doit toujours utiliser le style de paragraphe Corps, cliquez sous l’élément <GeneralRule>, ajoutez un élément <TextFormatRules>, puis un élément <ElementPgfFormatTag>. Entrez Corps en tant que texte de l’élément BaliseFormatfPgfElément.<>

    Pour l’élément Titre, vous avez besoin de règles de formatage plus complexes. <> <Le titre doit automatiquement afficher le titre des sections, notamment Résumé, Description du projet, etc. > Vous devez rédiger une règle contextuelle précisant le texte à afficher pour chaque type de titre et spécifier que le <Titre> utilise le style de pragraphe Heading1.

  3. Dans proposal_EDD.fm, modifier la définition de l’élément <Title> de façon à utiliser le style de paragraphe Entête1. Ajoutez les éléments <RèglesFormatageTexte> et <BaliseFormatagePgfElément> comme vous l’avez fait pour l’élément <Para>.

    Note: À l’instar des styles de paragraphe, les informations saisies doivent respecter la casse et les espaces. Par exemple, « Entête1 » est différent de « entête1 » ou « Entête 1 ».

Ensuite, ajoutez une règle de préfixe à l’élément Titre. <> Les règles de préfixe vous permettent d’indiquer le texte qui doit s’afficher au début de l’élément. En fonction de la position du<Titre>, indiquez le texte à afficher.

Ajout d’une règle de préfixe

  1. Placez votre curseur sur l’élément <Titre> pour insérer un élément enfant de <Contenant> après <RèglesFormatageTexte>.

  2. Insérez un élément <RèglesPréfixe>.

  3. Insérez un élément RègleContexte. <> Les éléments <Si> et <Spécification> sont automatiquement insérés. Pour le texte <Spécification>, saisissez Résumé.

  4. Placez votre curseur sous l’élément Spécification, puis insérez un élément Préfixe.

  5. Pour le texte de l’élément Préfixe, saisissez : Résumé

  6. Répétez les étapes 3 à 5 pour les autres éléments qui ont besoin de titres (<DescriptionProjet>, <Planification>, et <Coût>) et insérez le texte approprié pour chaque préfixe.

Test des résultats

  1. Enregistrez l’EDD.

  2. Importez les définitions d’éléments dans votre fichier devis_structuré pour tester les résultats. Chaque section doit afficher le texte de titre que vous avez indiqué.

Test de l’EDD

Pour tester l’EDD, vous devez l’importer dans un document, puis vérifier que vous pouvez créer la structure souhaitée. Aucun formatage n’est alors appliqué au document, mais il est tout de même possible de vérifier la structure.

  1. Créez un document vierge, d’orientation portrait, en cliquant sur Fichier > Nouveau > Docuement, puis cliquez sur Portrait.

  2. Assurez-vous que l’EDD et le nouveau fichier de document sont tous les deux ouverts. À partir du nouveau document, sélectionnez Fichier > Importer > Définitions d’éléments. Dans la liste déroulante Importer du document, sélectionnez le fichier proposal_EDD.fm et cliquez sur Importer.

    Note: Si votre EDD ne figure pas dans la liste, vérifiez que le fichier est ouvert et que vous l’avez enregistré. Tant qu’il n’est pas enregistré, le document ne figure pas dans cette liste.

    Les définitions de structure de votre EDD sont importées dans le document vierge. Pour vérifier que les définitions ont bien été importées, positionnez le curseur dans le flux de texte principal, puis affichez le catalogue Eléments. Vous devriez maintenant voir l’élément <Devis>.

  3. Insérez un élément Devis. <> L'élément <Titre>, qui est requis en tant que premier enfant de <Devis>, doit désormais s’afficher dan le catalogue Eléments.

  4. Insérez l’élément Titre. <> Continuez d’insérer des éléments jusqu’à ce que la structure du devis soit complète.

    Note: Si la structure est incorrecte, revenez à votre EDD, corrigez-la, puis importez à nouveau les définitions d’éléments. Vous pouvez également vérifier votre EDD en le comparant à l’EDD de devis, disponible à l’adresse : www.adobe.com/go/lr_FrameMaker_support_fr.

  5. Enregistrez votre fichier sous devis_structuré.fm.

Parent topic: Prise en main des applications structurées


Création d’une DTD à partir d’une EDD

Apprenez à créer un fichier DTD (définition de type de document) à partir d’un fichier EDD (document de définition d’élément) avec Adobe FrameMaker.

Les DTD (Document Type Definitions, définition de type de document) définissent les éléments à inclure dans un document structuré. Elles définissent les éléments, leurs attributs, leur ordre, ainsi que les éléments qui peuvent en contenir d’autres.

  1. Ouvrez l’EDD.

  2. Ajoutez l’élément <StructuredApplication> , puis saisissez le nom de l’application XML que vous avez créée dans la section précédente.

  3. Sélectionnez Structure > DTD > Enregistrer en tant que DTD.

  4. Saisissez un nom de fichier. Veillez à spécifier l’extension de fichier .dtd.

    Si votre EDD est valide, aucun journal d’erreurs n’est créé. Toutefois, il est possible de créer des règles générales de style SGML dans FrameMaker qui ne sont pas autorisées dans XML.

  5. Un message vous informant que FrameMaker a terminé l’écriture de la DTD s’affiche dans une nouvelle boîte de dialogue.

  6. Ouvrez la DTD. Si vous n’avez pas spécifié l’élément <StructuredApplication> dans l’étape 2, vous pouvez le sélectionner à partir de la boîte de dialogue Utiliser l’application structurée qui s’affiche.

Il est maintenant possible d’utiliser la DTD.

Parent topic: Prise en main des applications structurées


Développement d’une application structurée

Apprenez à développer une application structurée dans FrameMaker.

Pour permettre l’importation et l’exportation de contenu XML pour les devis structurés, vous devez configurer une application structurée qui répertorie les composants de l’environnement de création de documents structurés.

Pour commencer, vous devez créer une définition de type de document (DTD) correspondant à l’EDD.

Création d’une DTD

  1. Ouvrez le fichier proposal_edd.fm dans FrameMaker structuré.

  2. Sélectionnez Structure > DTD > Enregistrer en tant que DTD. Indiquez le nom du fichier (devis.dtd) et l’emplacement auquel vous voulez l’enregistrer. Cliquez ensuite sur Enregistrer.

  3. Dans la boîte de dialogue Utiliser l’application structurée, conservez la sélection par défaut, <Aucune application>, puis cliquez sur Continuer.

  4. Dans la boîte de dialogue Sélectionnez le type, sélectionnez XML, puis cliquez sur OK. Le fichier DTD est écrit et enregistré à l’emplacement spécifié.

Vous avez également besoin d’un modèle structuré contenant le formatage et les informations de l’EDD.

Création d’un modèle structuré

  1. Ouvrez le fichier devis_structuré.fm.

  2. Effacez tout le contenu du fichier. Un modèle structuré doit être vide.

  3. Enregistrez le fichier sous modèle_devis.fm.

A présent, vous êtes prêt à configurer l’application structurée.

Configuration de l’application structurée

  1. Sélectionnez Structure > Définition d’application > Modifier les définitions d’application. Cette commande ouvre le fichier structapps.fm, qui contient les définitions d’application, à partir de l’emplacement suivant :

    %appdata%\Adobe\FrameMaker\<version>\

    Note: Tout comme l’EDD, le fichier de définition d’application est structuré.

  2. Insérez un élément <ApplicationXML> en tant qu’enfant de l’élément <ConfigStructurée>.

  3. Entrez Devis en tant que nom de l’application.

  4. Insérez un élément DTD et spécifiez le texte suivant en tant que texte de cet élément :

      $STRUCTDIR/proposal/proposal.dtd

  5. Insérez un élément Modèle et spécifiez le texte suivant en tant que texte de cet élément :

      $STRUCTDIR/proposal/proposal_template.fm

  6. Sélectionnez Fichier > Enregistrer pour enregistrer le fichier structapps.fm.

  7. Sélectionnez Structure > Définition d’application > Lire les définitions d’application pour mettre à jour FrameMaker avec la nouvelle défintion d’application.

    Note: Pour vérifier si l’application est correctement installée, sélectionnez Structure > Définir l’application structurée pour afficher la boîte de dialogue Définir l’application structurée. Si vous avez correctement configuré les définitions d’application, Devis s’affiche dans la liste déroulante.

Enfin, vous devez copier les fichiers d’application dans le répertoire dans lequel la définition d’application structurée s’attend à les trouver.

Copie des fichiers d’application

  1. Recherchez le dossier d'installation de FrameMaker à l'aide de l'explorateur de fichiers, puis naviguez dans le dossier Structure\xml.

  2. Dans le dossier xml, créez un dossier devis.

  3. Copiez les fichiers devis.dtd et modèle_devis.fm dans le dossier devis.

Parent topic: Prise en main des applications structurées


Création de fichiers de structure

Apprenez à développer une application structurée dans FrameMaker.

Décidez si vous souhaitez utiliser une structure standard existante ou créer la vôtre.

Création de fichiers de structure sans utiliser de structure existante

  1. Dans FrameMaker, créez une EDD correspondant à la structure requise.

  2. Testez l’EDD pour vérifier si les définitions de structure sont correctes.

  3. Ajoutez du formatage à l’EDD et testez l’EDD afin de vous assurer du bon fonctionnement du formatage.

  4. Créez une DTD à partir de l’EDD.

Vous disposez à présent des deux fichiers de définition de structure dont vous avez besoin : un pour FrameMaker (l’EDD) et un pour XML (la DTD).

Utilisation d’une structure existante

  1. Procurez-vous une copie des fichiers standard et modifiez la DTD ou le fichier de schéma fourni de sorte qu’ils répondent à vos besoins.

  2. Ouvrez le fichier de structure terminé dans FrameMaker pour créer une EDD et ajoutez des informations de formatage à l’EDD.

Une fois les définitions de structure créées, vous devez configurer l’application structurée.

Configuration d’une application structurée

  1. Sélectionnez Structure > Définition d’application > Modifier les définitions d’application pour ouvrir le fichier structapps.fm.

  2. Ajoutez une nouvelle définition d’application au fichier en utilisant des pointeurs vers vos fichiers EDD et DTD/de schéma.

Une fois l’application configurée, il vous faudra affiner les paramètres d’importation/exportation.

Utilisation de la fenêtre Configuration d’applications structurées

La fenêtre Configuration d’applications structurées vous permet de créer une application structurée.

Pour lancer la fenêtre Configuration d’applications structurées, cliquez sur Structure > Configuration d’applications structurées. La fenêtre Configuration d’applications structurées s’affiche :

Configuration d’applications structurées
Utilisation de la fenêtre Configuration d’applications structurées dans FrameMaker

  1. Sélectionnez une application de base sur laquelle la nouvelle application est basée. Pour charger un nouvel ensemble d’applications de base, cliquez sur Charger des applications et sélectionnez le fichier d’application structurée pertinent. La liste d’applications est renseignée automatiquement à partir du fichier d’application structurée sélectionné.

  2. Si nécessaire, saisissez la DTD, le fichier de règles de lecture/écriture, l’EDD et le fichier de modèle, ainsi que les spécifications DOCTYPES.

  3. Entrez le nouveau Nom de l’application.

  4. Par défaut, l’application est enregistrée dans le fichier structapps.fm dans votre répertoire d’application. Pour modifier le nom du fichier, cliquez sur Enregistrer sous, puis sélectionnez ou saisissez un nouveau nom de fichier.

  5. Le cas échéant, cliquez sur Paramètres avancés pour définir les paramètres avancés et effectuez les choix souhaités.

Pour créer un fichier de règles de lecture/écriture basé sur une DTD existante, spécifiez la DTD, puis cliquez sur Nouveau dans la section Règles de lecture/écriture. La fenêtre Création d’un fichier de règles... s’affiche.

Note: Si vous ne spécifiez aucune DTD, un fichier de règles de lecture/écriture vide est créé. Vous pouvez ensuite ajouter des règles à l’aide de la fenêtre Création d’un fichier de règles.

  • Pour mettre à jour un fichier de règles de lecture/écriture existant, sélectionnez le fichier et cliquez sur Mettre à jour. Apportez des modifications dans Création d’un fichier de règles.

  • Pour générer une nouvelle EDD, sélectionnez la DTD et cliquez sur Nouveau à partir de la section EDD. Tous les éléments sont chargés dans l’interface EDD. À partir de l’interface EDD, vous pouvez sélectionner des <Balises de format de paragraphe d’élément> pour chaque élément.

  • Cliquez sur Importer des paramètres de formatage pour importer des paramètres de formatage à partir d’une autre EDD.

  • Cliquez sur Enregistrer pour enregistrer les modifications ou sur Réinitialiser pour revenir à la dernière version enregistrée.

  • Pour mettre à jour une EDD, sélectionnez-la et cliquez sur Mettre à jour.

  • Pour générer un nouveau modèle, sélectionnez le fichier EDD correspondant, puis cliquez sur Nouveau dans la section Modèle.

Retouche des paramètres d’importation/exportation

  1. Définissez un fichier de règles de lecture et d’écriture avec les mises en correspondance nécessaires, ainsi que des fichiers de transformation XSL avec les éventuelles modifications supplémentaires.

  2. Ajoutez une référence au fichier de règles de lecture/écriture et aux fichiers de transformation XSL dans la définition de l’application structurée.

  3. Ajoutez les éventuels autres paramètres de configuration requis, tels que le traitement du texte conditionnel et des références croisées externes, à la définition de l’application structurée.

Utilisation de la fenêtre Création d’un fichier de règles de lecture/écriture

FrameMaker comprend un marqueur de fichier de règles de lecture/écriture puissant qui facilite la création de règles. Cela contribue à simplifier la génération de règles, car tous les paramètres sont rassemblés en un seul lieu et vous n’avez pas à vous souvenir des syntaxes de règles.

Pour lancer l’outil Création d’un fichier de règles de lecture/écriture, sélectionnezStructure > Règles de lecture/écriture > Nouvelles règles de lecture/écriture. Sélectionnez l’option Lancer la création d’un fichier de règles, puis cliquez sur OK.

Note: Vous pouvez éventuellement spécifier la DTD à utiliser lors de la création des règles.

La boîte de dialogue Création de de fichier de règles s’affiche comme suit :

Création d’un fichier de règles
Utilisation de la fenêtre Création d’un fichier de règles de lecture/écriture dans FrameMaker

La fenêtre Création de fichier de règles comporte deux sections de base :

  • Paramètres d’importation/exportation : ces paramètres s’appliquent à l’opération de lecture et d’écriture.

  • Paramètres d’exportation uniquement : ces paramètres ne sont pas traités dans les Paramètres d’importation/exportation et s’appliquent uniquement à l’opération d’écriture.

La section Paramètres d’importation/exportation est divisée en quatre sections :

  1. Eléments de balisage : permet la modification de tous les balisages présents dans la DTD spécifiée. Pour obtenir une liste de tous les éléments, cliquez sur sélectionner à partir de la DTD dans la liste déroulante des valeurs. FrameMaker affiche alors la liste des éléments. Vous pouvez sélectionner plusieurs éléments dans la liste et cliquer sur OK pour insérer les éléments sélectionnés dans le marqueur de fichier de règles de lecture/écriture.

  2. Paramètres globaux : affiche la liste des paramètres appliqués globalement à TOUS les éléments.

  3. Entités : affiche la liste de toutes les entités présentes dans la DTD.

  4. Paramètres avancés : contient les paramètres avancés pour les livres et les mappages de caractères.

La section Paramètres d’exportation uniquement est divisée en trois sections :

  1. Objets FrameMaker : répertorie le type des objets FrameMaker présents. En outre, chaque catégorie d’objets FrameMaker répertorie les balisages mappés comme cet objet. Par exemple, si vous mappez le balisage M1 à l’objet de tableau FrameMaker dans la section Paramètres d’importation/exportation, la liste Tableaux dans la section « Paramètres d’exportation uniquement » affiche la balise M1.

  2. Paramètres globaux : affiche la liste des paramètres appliqués globalement à TOUS les éléments.

  3. Paramètres avancés : contient les paramètres avancés pour SGML, pour DITA, pour les variables et pour les mappages de caractères.

Lors de l’enregistrement des règles, FrameMaker enregistre uniquement les éléments et les règles ayant été modifiés (les valeurs des éléments modifiés sont indiquées en caractères gras, dans le volet de droite). Les comportements par défaut ne sont pas enregistrés.

Parent topic: Prise en main des applications structurées


Test de conversion XML bidirectionnelle

Apprenez à tester la conversion XML bidirectionnelle dans FrameMaker.

Une fois l’application structurée configurée, vous pouvez tester la conversion XML bidirectionnelle.

  1. Créez un devis structuré valide dans FrameMaker.

  2. Exportez le fichier FrameMaker vers XML. Pour ce faire, sélectionnez Fichier > Enregistrer sous, puis sélectionnez XML en tant que format de sortie. Le cas échéant, sélectionnez l’application Devis.

  3. Ouvrez le fichier XML exporté dans un éditeur de texte ou un éditeur XML et vérifiez que vous disposez d’un fichier XML valide.

  4. Dans un éditeur de texte ou XML, modifiez le fichier que vous venez d’exporter. Vous pouvez également créer un fichier XML et le valider en le comparant à la DTD du devis. Enregistrez le nouveau fichier XML.

  5. Dans FrameMaker, ouvrez le fichier XML. Vérifiez que le fichier XML s’importe correctement et que le formatage est automatiquement appliqué.

Parent topic: Prise en main des applications structurées


Éditeur Paramètres du fichier de configuration

Chaque application structurée dispose d’un fichier de configuration qui définit son comportement. Apprenez à utiliser l’éditeur éditeur Paramètres du fichier de configuration dans FrameMaker.

Chaque application structurée peut comprendre un fichier de configuration XML. Le fichier de configuration est facultatif et contient des attributs, ainsi que leurs valeurs suggérées et par défaut. Pour lancer l’éditeur, choisissezElément > Lancer le créateur de fichier de configuration.

Lors de l’ouverture d’une application structurée, FrameMaker lit le fichier de configuration correspondant (s’il existe) et renseigne les valeurs d’attribut automatiquement.

L’éditeur Attributs vous permet de modifier ces valeurs lorsque vous utilisez l’application structurée.

La boîte de dialogue Paramètres du fichier de configuration s’affiche :

Paramètres du fichier de configuration
Paramètres du fichier de configuration pour une application structurée

  • Pour charger un fichier de configuration existant, cliquez sur Charger un fichier de configuration, puis sélectionnez le fichier.

  • Définissez les valeurs de configuration selon vos besoins. Cliquez sur la colonne de valeur de l’élément de choix ou par défaut et saisissez la nouvelle valeur.

  • Pour insérer un nouveau choix, cliquez avec le bouton droit de la souris sur la ligne au-dessus de laquelle le choix doit être placé, puis sélectionnez Insérer au-dessus.

  • Pour supprimer un choix, cliquez dessus avec le bouton droit de la souris, puis sélectionnez Supprimer.

  • Pour enregistrer la configuration, cliquez sur Enregistrer.

  • Pour enregistrer la configuration en tant que nouveau fichier de configuration, cliquez sur Enregistrer sous, puis saisissez le nouveau nom de fichier.

Parent topic: Prise en main des applications structurées


HTML avec feuilles de style en cascade

Découvrez comment fonctionne la relation entre un document XML et un fichier CSS (feuilles de style en cascade) dans FrameMaker structuré.

Lorsqu’un document XML est ouvert dans Adobe FrameMaker, FrameMaker traite la CSS3 (Cascading Style Sheet 2, feuille de style en cascade de niveau 2) en mettant les informations de cette feuille de style en correspondance avec les règles EDD du document EDD.

Le traitement au format CSS3 dans FrameMaker est décrit dans les exemples suivants :

  • Ouvrez une EDD dans FrameMaker. Sélectionnez Structure > Importer les styles CSS. FrameMaker vérifie si le document actuel est une EDD. Si tel est le cas, la boîte de dialogue Ouvrir s’affiche et vous permet de spécifier le fichier CSS. Le fichier CSS est ensuite importé dans le document EDD. Vous pouvez alors importer les définitions des éléments dans un modèle qui vous servira lors de l’ouverture d’un fichier XML. Si le document EDD contient des règles de formatage, les propriétés uniques de la feuille de style CSS sont ajoutées aux règles existantes. Les autres propriétés CSS remplacent les règles de formatage existantes dans le document EDD. Vous pouvez exporter les informations de style XML disponibles dans le document pour tous les éléments utilisant le format CSS3 vers un fichier EDD, à l’aide de l’option Générer CSS2 du menu Structure.

  • Lorsque vous ouvrez un fichier XML lié à des feuilles de style (par le biais d’une instruction de traitement de feuille de style XML), FrameMaker lit la DTD et la feuille de style liées au document XML, puis génère un modèle temporaire servant à l’ouverture du fichier XML. Si un modèle est déjà spécifié dans l’application structurée (utilisée pour ouvrir le fichier XML), FrameMaker utilise ce modèle pour ouvrir le fichier XML et ne génère pas de nouveau modèle à partir de la DTD et des feuilles de style.

Note: Un fichier XML ouvert dans FrameMaker peut comporter plusieurs fichiers CSS. FrameMaker prend uniquement en charge la feuille de style du créateur du document et non celle de l’utilisateur.

Importation de styles d’éléments CSS 3 dans un fichier EDD

Le formatage d’éléments des feuilles de style CSS 3 dans les EDD peut être importé, garantissant ainsi l’harmonisation du formatage entre différentes applications XML. Le fichier CSS peut être référencé dans le document XML ou importé manuellement. Il est possible d’importer séquentiellement plusieurs fichiers CSS, pour un formatage multiniveau.

Lors de l’importation de styles d’éléments dans FrameMaker, les informations contextuelles (sélecteur ou caractéristique d’élément) issues de la CSS sont conservées et importées dans les contextes EDD adéquats.

Note: FrameMaker importe les informations de style uniquement au niveau de l’élément.

Vous pouvez également définir les préférences CSS dans XML à l’aide de FrameMaker structuré. Pour plus d’informations, consultez le manuel Développement d’applications structurées avec Adobe FrameMaker

  1. Ouvrez le fichier EDD dans FrameMaker structuré.

  2. Sélectionnez Structure > Importer les styles CSS. La boîte de dialogue Importer les styles CSS s’affiche.

  3. Sélectionnez un fichier CSS, puis cliquez sur Ouvrir.

  4. Si un élément d’application structurée du fichier EDD ne définit pas un nom d’application, la boîte de dialogue Utiliser l’application structurée s’affiche. Sélectionnez l’application structurée utilisée pour créer le fichier EDD. Cliquez sur Continuer.

Le fichier CSS est ensuite importé dans le fichier EDD.

Note: Si l’EDD contient déjà les règles de formatage, les propriétés CSS sont ajoutées aux règles existantes. Si les propriétés CSS correspondent à des règles existantes, les propriétés CSS remplacent les règles existantes dans l’EDD. L’EDD ne prend pas en charge les propriétés et sélecteurs définis dans CSS 3.0. Si la mise en correspondance d’une propriété ou d’un sélecteur du fichier CSS avec une règle EDD équivalente n’est pas possible, la propriété ou le sélecteur est ignoré. Dans ce cas, aucune erreur ne s’affiche et aucun journal d’erreurs n’est créé.

Une fois les styles CSS importés, vous pouvez importer les définitions d’éléments à partir de l’EDD vers un modèle, puis ouvrir un fichier XML à l’aide du modèle.

Vous pouvez aussi ouvrir dans FrameMaker un fichier XML auquel des styles CSS sont déjà associés. Lorsque vous ouvrez le fichier XML dans FrameMaker, les fichiers CSS et DTD sont lus et un modèle temporaire est généré pour ouvrir le fichier XML.

Exportation de CSS pour un fichier XML FrameMaker

Vous pouvez exporter les informations de style XML disponibles dans le document pour tous les éléments utilisant le format CSS2 (Cascading Style Sheets 2) vers un fichier EDD. Ensuite, vous pouvez importer ces définitions de style CSS à partir d’un fichier EDD vers de nouveaux fichiers XML. Les feuilles de style en cascade permettent aux auteurs d’attacher des styles, tels que des polices et l’espacement, à des fichiers XML structurés. Le format CSS2 est une norme W3C.

Lorsque vous choisissez la commande Générer CSS2, des styles issus de documents structurés correctement formés sont générés, selon les informations de formatage disponibles dans l’EDD associée au document source. FrameMaker exporte les informations de style uniquement au niveau de l’élément. Ainsi, si vous appliquez un style à un mot spécifique d’un élément Texte, le style appliqué au mot n’est pas exporté.

Vous pouvez définir les préférences CSS2 dans l’application XML. Vous pouvez, par exemple, déterminer si le fichier CSS2 est automatiquement généré lors d’une exportation au format XML. Pour plus d’informations, consultez le manuel Développement d’applications structurées avec Adobe FrameMaker.

  1. Ouvrez le modèle ou le document et l’EDD qui lui est associée dans FrameMaker structuré.

  2. Sélectionnez Structure > Générer CSS2....

Parent topic: Prise en main des applications structurées


XML avec schéma

Découvrez ce qu’est un XML avec schéma, et familiarisez-vous avec le flux de production des schémas dans Adobe FrameMaker.

Adobe FrameMaker vous permet d’importer des documents comportant des balises XML associés au langage Schema XML du consortium W3C (World Wide Web Consortium). FrameMaker crée automatiquement une DTD et une EDD à partir du schéma. Au moment de l’importation et de l’exportation au format XML, FrameMaker valide la structure du document en la comparant au schéma associé, mais toutes les informations de schéma ne sont pas conservées durant l’exportation.

Pour plus d’informations sur la mise en correspondance des schémas XML avec une DTD, reportez-vous au document Référence du développeur d’application structurée.

Note: Pour cette raison, les schémas XML sont en lecture seule dans FrameMaker et vous ne pouvez pas réexporter un EDD vers un schéma.
  • Flux de production des schémas
  • Modifications apportées à l’application structurée pour la prise en charge des schémas
  • Génération d’un catalogue d’éléments (EDD) à partir d’un schéma
  • Affichage ou modification d’espaces de noms XML
Parent topic: Prise en main des applications structurées


Flux de production des schémas

Vous pouvez importer un document XML faisant référence à un fichier de schéma, et vous pouvez indiquer un fichier de schéma dans votre application structurée afin de l’utiliser pour valider un document lors de son exportation au format XML.

  1. Pour un document XML donné, vous pouvez inclure le fichier du schéma dans le XML à l’aide des attributs @noNamespaceSchemaLocation ou @schemaLocation selon que votre schéma comprend un espace de noms cible ou non.

  2. Pour indiquer le fichier de schéma à utiliser lors de l’exportation XML, modifiez le fichier structapps.fm. Utilisez l’élément <Schema> de <XMLApplication> pour préciser le chemin d’accès du fichier de schéma à utiliser pour l’exportation.

  3. Ouvrez le fichier XML dans Adobe FrameMaker à l’aide d’une application structurée. Modifiez-le.

  4. Enregistrez le XML à l’aide d’une application structurée. L’élément <Schema> du fichier structapps.fm est envoyé dans le fichier et la validation s’effectue par comparaison avec lui.

Dans ce flux de production, une DTD est générée automatiquement en tant que fichier intermédiaire à partir du schéma fourni dans le document XML. Vous ne pouvez pas la modifier. En revanche, vous pouvez utiliser un fichier de schéma pour générer un EDD. Voir Génération d’un catalogue d’éléments (EDD) à partir d’un schéma.

Parent topic: XML avec schéma


Modifications apportées à l’application structurée pour la prise en charge des schémas

Le nouvel élément <Schéma>, enfant de l’élément <XmlApplication>, indique le chemin d’accès à un fichier de schéma dans le fichier d’application structurée structapps.fm. Si les documents d’instance utilisent des espaces de noms, la valeur de la propriété <Namespace> de <XmlApplication> doit être true.

Pour qu’une application structurée puisse être sélectionnée dans la liste Utiliser l’application structurée pendant l’importation d’un document associé à un schéma, l’élément racine du schéma doit être inclus dans l’élément <DOCTYPE> dans l’élément <XmlApplication>.

Parent topic: XML avec schéma


Génération d’un catalogue d’éléments (EDD) à partir d’un schéma

Vous pouvez créer une EDD à partir d’une définition de schéma ou importer les éléments d’une définition de schéma dans une EDD existante. FrameMaker commence par convertir la définition de schéma en DTD, puis crée ou importe les éléments vers une EDD.

Utilisez les commandes suivantes du menu Structure > Schéma :

  • Ouvrir le schéma... : cette commande convertit un schéma donné en DTD, puis crée une EDD à partir de la DTD.

  • Importer le schéma... : cette commande convertit un schéma donné en DTD, puis importe les éléments de la DTD dans l’EDD existante.

Chaque commande ouvre une boîte de dialogue Choisir un fichier dans laquelle vous pouvez indiquer le fichier de schéma, puis une boîte de dialogue Enregistrer dans laquelle vous pouvez indiquer l’emplacement dans lequel enregistrer le fichier DTD généré.

  1. Dans FrameMaker structuré, sélectionnez Structure > Schéma > Ouvrir le schéma....

  2. Choisissez un fichier de schéma.

  3. Sélectionnez le chemin d’accès de la DTD devant être créée.

  4. Examinez la DTD créée et apportez les éventuelles modifications requises.

  5. Créez une EDD à partir de la DTD générée, en suivant la procédure décrite dans le Références de développement d’application structurée.

  6. Utilisez cette EDD pour créer un modèle pouvant être intégré dans l’application structurée.

  7. Fournissez le chemin d’accès à la DTD ainsi que l’emplacement du schéma dans le XML d’entrée. Cette opération permet à FrameMaker d’utiliser correctement votre modèle. La validation du XML d’entrée et de sortie s’effectue toujours par rapport au schéma.

Parent topic: XML avec schéma


Affichage ou modification d’espaces de noms XML

Un espace de noms XML constitue une collection de noms de types d’éléments et de noms d’attributs spécifiques figurant dans un document XML. Le champ d’un espace de noms s’étend au-delà du document contenant.

Dans la mesure où un même document XML peut contenir des éléments et des attributs susceptibles d’être utilisés par plusieurs applications, vous pouvez utiliser les espaces de noms pour différencier les attributs et éléments qui doivent être utilisés par telle ou telle application. Les applications qui traitent XML utilisent des espaces de noms afin d’identifier les balises et attributs qu’elles sont censées traiter.

Les noms des espaces de noms XML peuvent se présenter sous la forme de noms qualifiés, avec un point séparant les deux parties, à savoir le préfixe de l’espace de noms et la partie locale. Le préfixe, mis en correspondance avec une référence URI (Uniform Resource Identifier), identifie un espace de noms. La combinaison de l’espace de noms URI universel et le propre espace de noms du document permet de créer des identificateurs uniques.

FrameMaker assure la prise en charge des espaces de noms pour tous les éléments d’un document XML. Lors de l’importation d’un document XML contenant des espaces de noms, toutes les informations des espaces de noms sont conservées.

Vous pouvez afficher, éditer, ajouter ou supprimer des espaces de noms d’un document XML dans FrameMaker structuré à l’aide de la commande Espaces de noms. Vous pouvez également utiliser cette commande pour visualiser la définition du préfixe d’un élément et sélectionner l’élément qui définit le préfixe.

Dans FrameMaker, les espaces de noms sont traités par défaut comme des espaces de noms et s’affichent dans la boîte de dialogue Espaces de noms. Vous pouvez toutefois désactiver les espaces de noms dans l’application afin qu’ils soient considérés comme des attributs et qu’ils s’affichent dans la Vue de la structure.

  1. Ouvrez le document dans FrameMaker structuré.

  2. Sélectionnez un élément dans la Vue de la structure.

    Note: Les éléments qui contiennent des espaces de noms apparaissent dans la Vue de la structure avec un astérisque (*) à côté de leur nom.

  3. Sélectionnez Elément > Espaces de noms.

  4. Dans la boîte de dialogue Espaces de noms, cliquez sur Sélectionner l’élément de définition pour visualiser l’espace de noms de l’élément sélectionné dans la Vue de la structure.

  5. Apportez les modifications requises aux champs Espaces de noms déclarés, Préfixe ou Chemin d’accès, puis cliquez sur Ajouter, Modifier ou Supprimer. Pour fermer sans enregistrer les modifications, fermez la boîte de dialogue sans cliquer sur une option.

Parent topic: XML avec schéma


Conversion de documents non structurés

Vous pouvez convertir des fichiers FrameMaker non structurés en fichiers FrameMaker structurés à l’aide de tableaux de conversion. Avec des tableaux de conversion, vous pouvez mettre en correspondance des styles de paragraphe et de tableau, des variables, des références croisées, des marqueurs et des images, avec des éléments XML.

FrameMaker intègre une fonction de mise en correspondance pour vous aider à transférer vos documents non structurés dans la structure. Vos résultats dépendent des facteurs suivants :

  • Cohérence des documents : Les documents qui mettent en œuvre un modèle de formatage de manière cohérente, avec peu de personnalisations du formatage, voire aucune, sont plus faciles à convertir que les documents comprenant de nombreuses personnalisations.

  • Similitude entre les documents non structurés et structurés : une nouvelle structure de document dont l’organisation est similaire à celle des documents non structurés facilite la procédure de conversion.

  • Flux de production de conversion
    La procédure de conversion crée des éléments structurés à partir des composants de formatage FrameMaker, notamment les styles de paragraphe et de caractère, les marqueurs, les références croisées et les composants de tableaux.
  • Exemples de règles de conversion
    Apprenez les exemples de règles de conversion pour convertir les documents non structurés en documents structurés dans FrameMaker.
Parent topic: Création de contenu structuré


Flux de production de conversion

La procédure de conversion crée des éléments structurés à partir des composants de formatage FrameMaker, notamment les styles de paragraphe et de caractère, les marqueurs, les références croisées et les composants de tableaux.

Création d’une table de conversion à partir d’un document non structuré

Pour commencer la procédure de conversion, sélectionnez un document non structuré représentatif de votre contenu typique. Dans l’idéal, ce document doit contenir des exemples de tous les styles de formatage utilisés dans vos documents. Ces étiquettes doivent être affichées en séquences logiques (comme elles le seraient dans les documents). Par conséquent, un modèle de formatage affichant des exemples pour chaque style de paragraphe dans l’ordre alphabétique n’est pas un bon exemple de document.

L’exemple suivant présente un document non structuré disposant de plusieurs paragraphes étiquetés avec différents styles de paragraphe. Ce document sera converti au format DITA à l’aide d’un tableau de conversion.

Figure 1. Exemple d’un document FrameMaker non structuré étiqueté avec différents styles de paragraphe
Document FrameMaker non structuré étiqueté avec des styles de paragraphe

  1. Ouvrez un document non structuré avec un contenu et une structure de formatage similaire à ceux de l’illustration ci-dessus.

  2. Importez les définitions d’éléments depuis l’EDD DITA 1.3 dans le document d’exemple.

  3. Sélectionnez Structure > Utilitaires > Générer un tableau de conversion. La boîte de dialogue Générer tableau de conversion s’ouvre :

    Figure 2. Boîte de dialogue Générer tableau de conversion
    Boîte de dialogue Générer tableau de conversion

    Sélectionnez Générer un tableau de conversion, puis cliquez sur Générer.

    FrameMaker analyse le document et crée une liste des composants de formatage identifiés dans ce document. Les balises définies dans les catalogues de formatage mais inutilisées dans le document ne sont pas incluses dans la liste.

    FrameMaker crée un document avec un tableau de conversion. Un tableau de conversion peut ressembler à ceci :

    Note: FrameMaker part du principe que le nom d’un composant de formatage sera identique à celui de l’élément de structure.
    Wrap this object or objects In this element With this qualifier

    P:Title

    Titre

    P:Heading1

    Heading1

    P:Heading2

    Heading2

    P:Body

    Corps

  4. Pour tester le tableau de conversion, revenez à votre document non structuré.

    Sélectionnez Structure > Utilitaires > Structurer le document en cours. Sélectionnez le document du tableau de règles de conversion dans la liste déroulante, puis cliquez sur Ajouter la structure.

    Boîte de dialogue Structurer le document en cours

    FrameMaker crée un nouveau document structuré sans titre avec la structure plate suivante, qui n’est pas encore compatible avec DITA. Comme ni les éléments ni la structure hiérarchique ne sont compatibles avec DITA, et comme il n’y a pas d’élément racine défini, tous les éléments sont indiqués en rouge.

    Figure 3. Conversion d’un document FrameMaker non structuré en document FrameMaker structuré
    Conversion d’un document FrameMaker non structuré en document FrameMaker structuré

  5. Modifiez le tableau de conversion pour que ses éléments correspondent à ceux utilisés par DITA :

    • Mettez en correspondance tous les paragraphes d’en-tête qui sont balisés dans le document FrameMaker non structuré avec les styles de paragraphe « Title », « Heading1 », « Heading2 » avec un élément titre. Pour modifier cette mise en correspondance, modifiez la deuxième colonne (« Dans cet élément ») pour qu’elle indique title pour tous les styles d’en-tête.

    • Mettez en correspondance tous les paragraphes ayant le style de paragraphe « Body » avec l’élément p. Pour modifier cette mise en correspondance, modifiez la deuxième colonne (« In this element ») pour qu’elle indique p au lieu de Body.

    Le tableau modifié ressemble maintenant à ceci :

    Wrap this object or objects In this element With this qualifier

    P:Title

    titre

    P:Heading1

    title

    P:Heading2

    title

    P:Body

    p

    Pour tester le tableau de règles de conversion, revenez à votre document non structuré. Sélectionnez Structure > Utilitaires > Structurer le document en cours. Sélectionnez le document du tableau de règles de conversion dans la liste déroulante, puis cliquez sur Ajouter la structure.

    L’exécution de ce tableau de conversion sur le document non structuré donnera la structure plate suivante. Les éléments sont maintenant valides, mais ce n’est pas encore le cas de la structure. Aussi, aucun élément racine n’a été défini.

    Figure 4. Conversion d’un document FrameMaker non structuré en document FrameMaker structuré - Étape 1
    Conversion d’un document FrameMaker non structuré en document FrameMaker structuré - Étape 1

  6. Pour ajouter d’autres hiérarchies structurelles compatibles avec DITA, enchaînez des groupes d’éléments dans des éléments parents :

    • Enchaînez tous les éléments p (E:p*) dans un élément body.

    • Enchaînez tous les éléments title possédant le qualificateur H2 (E:title[H2]) et suivis par un ou plusieurs éléments body dans un nouvel élément topic, puis marquez ce nouvel élément topic avec un qualificateur L2 (pour vous souvenir qu’il s’agit du « niveau 2 »).

      Dans le document non structuré, il s’agissait de la « section » commençant par un paragraphe de style Heading2.

      Pour être en mesure de faire la distinction entre les trois éléments de titre au cours de la conversion pour un enchaînement ultérieur dans des éléments parents, nous ajoutons les qualificateurs (temporaires) T, H1 et H2.

    Le tableau modifié ressemble maintenant à ceci :

    Wrap this object or objects In this element With this qualifier

    P:Title

    title

    T

    P:Heading1

    title

    H1

    P:Heading2

    title

    H2

    P:Body

    p

    E:p*

    body

    E:title[H2], body

    topic

    L2

    Pour tester le tableau de règles de conversion, revenez à votre document non structuré. Sélectionnez Structure > Utilitaires > Structurer le document en cours. Sélectionnez le document du tableau de règles de conversion dans la liste déroulante, puis cliquez sur Ajouter la structure.

    L’exécution de ce tableau de conversion sur le document non structuré donnera la structure hiérarchique suivante. Les éléments sont maintenant valides, mais ce n’est pas encore le cas de la structure. Aussi, aucun élément racine n’a été défini.

    Figure 5. Conversion d’un document FrameMaker non structuré en document FrameMaker structuré - Étape 2
    Conversion d’un document FrameMaker non structuré en document FrameMaker structuré - Étape 2

  7. Ajoutez des entrées au tableau de conversion pour créer une hiérarchie plus structurée, ainsi que l’élément racine topic :

    • Enveloppez tous les éléments du titre avec lequalificatifH1 (E:title[H1] ) suivi d’une option (?) élément du corps, suivide zéro ou plus () des éléments de sujet [L2] dans un nouvel élément de sujet parent.

      Dans le document non structuré, il s’agissait de la « section » commençant par un paragraphe de style Heading1, avec des paragraphes, et/ou des sections Heading2.

    • Enchaînez l’élément de titre supérieur (E:title[T]), suivi d’un ou de plusieurs éléments de rubrique, dans un élément de rubrique racine.

    Notre tableau modifié ressemble maintenant à ceci :

    Wrap this object or objects In this element With this qualifier

    P:Title

    title

    T

    P:Heading1

    title

    H1

    P:Heading2

    title

    H2

    P:Body

    p

    E:p*

    body

    E:title[H2], body

    topic

    L2

    E:title[H1], body?, topic[L2]*

    topic

    L2

    E:title[T], topic*

    topic

    L’exécution de ce tableau de conversion sur le document d’exemple donnera cette structure de rubrique finale :

    Figure 6. Conversion d’un document FrameMaker non structuré en document FrameMaker structuré - Étape 2
    Conversion d’un document FrameMaker non structuré en document FrameMaker structuré - Étape finale

Enregistrez le document nouvellement généré en tant que document FrameMaker structuré (*.fm) ou en tant que document XML (*.xml).

Mise à jour d’un tableau de conversion existant avec de nouvelles règles

  1. Assurez-vous que le document de tableau de conversion est ouvert. Ouvrez le fichier contenant les composants de formatage supplémentaires.

  2. Sélectionnez Structure > Utilitaires > Générer un tableau de conversion. La boîte de dialogue Générer tableau de conversion s’ouvre :

    Boîte de dialogue Générer tableau de conversion

    Sélectionnez Mettre à jour le tableau de conversion et sélectionnez le document contenant les règles de conversion dans la liste déroulante.

  3. Cliquez sur Générer. FrameMaker analyse le deuxième document exemple et ajoute les composants de formatage supplémentaires à la fin du tableau de règles de conversion.

  4. Affinez les règles ajoutées au besoin, puis enregistrez le tableau de conversion mis à jour.

Parent topic: Conversion de documents non structurés


Exemples de règles de conversion

Apprenez les exemples de règles de conversion pour convertir les documents non structurés en documents structurés dans FrameMaker.

L’ordre dans lequel les règles de conversion sont répertoriées a son importance. Vous devez partir des éléments de niveau inférieur et remonter jusqu’aux éléments de niveau supérieur. Par exemple, supposons que vous ayez établi les règles de mise en correspondance suivantes :

Wrap this object or objects | In this element | With this qualifier
G: | image |
P:alt | Alt |
E:image, E:caption | fig |

La règle indiquant que les éléments <image> et <alt> sont enchaînés dans un élément <fig> doit se trouver après les règles dans lesquelles les éléments <image> et <alt> sont créés.

Si vous devez mettre plusieurs styles de paragraphe en correspondance avec un même élément, puis les enchaîner dans différents parents, vous devez indiquer un qualificateur dans la troisième colonne. Par exemple, il est fréquent d’utiliser un élément ListItem à la fois pour les listes à puces et les listes numérotées. Une fois les paragraphes à puces et à étapes enchaînés dans l’élément ListItem, vous devez trouver un moyen de distinguer s’ils appartiennent à OrderedList ou à UnorderedList. Pour ce faire, utilisez la colonne Qualificateur, comme indiqué dans l’exemple suivant :

Wrap this object or objects | In this element | With this qualifier
P:Bullet | li | b
P:Step1 | li | st
P:Step2 | li | st
E:ListItem[b]+ | ul |
E:ListItem[st]+ | ol |

Pour indiquer l’élément racine d’un document, utilisez la syntaxe suivante :

Wrap this object or objects | In this element | With this qualifier
RE:RootElement | topic |

Vous ne pouvez indiquer qu’un seul élément racine par tableau de conversion.

Les graphiques et les tableaux sont souvent ancrés au paragraphe précédent dans un document non structuré. Lorsque vous créez la structure du document, les éléments Graphique et Tableaux deviennent des éléments enfants de l’élément Para précédent.

Si vous souhaitez convertir un élément Graphique en frère d’un élément Para (comme indiqué sur la droite de la figure précédente) plutôt qu’en tant qu’enfant, utilisez la commande « Promouvoir » :

Wrap this object or objects | In this element | With this qualifier
G: | image(promote) |
Parent topic: Conversion de documents non structurés


Convertir des documents Word en DITA

Apprenez à convertir des documents Microsoft Word en documents et mappage DITA.

FrameMaker vous permet de migrer vos documents Word existants (.docx) vers des documents de type rubrique DITA. Il vous suffit de spécifier les emplacements des dossiers d'entrée et de sortie ainsi que d'autres paramètres pour convertir le document en document DITA. Selon le contenu, vous pouvez obtenir un fichier .dita et un fichier .ditamap.

Pour pouvoir convertir un document Word avec succès, votre document doit être bien structuré. Par exemple, votre document doit avoir un titre, suivi de l'intitulé 1, de l'intitulé 2, et ainsi de suite. Chacun des intitulés doit inclure certains contenus. Si votre document n'est pas bien structuré, le processus risque de ne pas fonctionner comme prévu.

Par défaut, FrameMaker utilise le cadre de transformation Word-to-DITA (Word2DITA). Cette transformation dépend du fichier de configuration de mappage de style de balisage . Pour pouvoir utiliser la transformation Word2DITA avec succès, vous devez tenir compte des directives suivantes afin de préparer votre document Word à la conversion :

Note: Si vous apportez des modifications au fichier de configuration du mappage de style de balisage par défaut, vous devez alors mettre à jour et utiliser ces directives afin de confirmer votre mappage de style mis à jour.

  • Assurez-vous que votre document commence par un titre ; ce titre est associé au titre du mappage DITA. De plus, le titre doit être suivi d'un contenu standard.

  • Le titre doit être suivi de l'intitulé 1, puis de l'intitulé 2, et ainsi de suite. Chaque intitulé doit inclure certains contenus. Les intitulés sont convertis en nouvelles rubriques de type « concept ». La hiérarchie des rubriques générées est conforme aux niveaux des intitulés dans le document, par exemple, l'intitulé 1 précède l'intitulé 2, et l'intitulé 2 précède le contenu de l'intitulé 3.

  • Le document doit avoir au moins un contenu de type Intitulé.

  • Assurez-vous que vous n'avez pas d'images groupées. Si vous avez regroupé des images dans votre document, dégroupez toutes ces images.

  • Supprimez tous les en-têtes et pieds de page.

  • Les styles en ligne tels que gras, italique et souligné sont convertis en éléments <b>, <i>, et <u>.

  • Toutes les listes ordonnées et non ordonnées sont converties en éléments <ol> et <ul>. Cela s'applique également aux listes imbriquées, aux listes à l'intérieur de tableaux, aux notes ou aux notes de bas de page.

  • Tous les hyperliens sont convertis en <xref>.

  • Le nom des fichiers convertis est basé sur le texte de l'intitulé suivi d'un numéro de fichier.

Pour convertir un document Word en DITA, effectuez les étapes suivantes :

  1. Sélectionnez Structure > Utilitaires > Convertir Word (.docx) en DITA.

    La boîte de dialogue Convertir Word (.docx) en DITA apparaît.

    Figure 1. Boîte de dialogue Conversion Word en DITA

  2. Dans la boîte de dialogue Convertir Word (.docx) en DITA indiquez les éléments suivants :

    • Fichier : chemin du fichier Word source à convertir.

    • Map Style de balisage : fichier de mappage utilisé pour la conversion. Le fichier de mappage par défaut est disponible à l’emplacement suivant :

      C:\Users\<username>\AppData\Roaming\Adobe\FrameMaker\17\X2DITA\Word2DITA\style2tagMap.xml

      Vous pouvez ajouter vos personnalisations au fichier de mappage par défaut. Si vous utilisez un fichier différent du fichier de mappage source, mettez à jour le chemin du fichier dans l'emplacement Map Style de balisage.

    • Fichiers DITA de sortie > Répertoire : emplacement de sortie où enregistrer le document DITA converti. Par défaut, un fichier de mappage DITA est créé avec le nom du document Word source. Le dossier topics contient les fichiers .dita, créés sur la base des configurations du fichier de mappage. Le répertoire Topics contient un sous-répertoire Média, qui inclut tous les fichiers multimédias utilisés dans le document Word source.

Note: Voir une vidéo sur Importer du contenu Word dans DITA.
Parent topic: Création de contenu structuré


Convertir des documents Markdown en DITA

Apprenez à convertir des documents Markdown en documents et mappage DITA.

FrameMaker vous offre une méthode simple et directe pour convertir vos fichiers Markdown (.md) en DITA. Pour ce faire, vous devez ajouter vos fichiers Markdown à un mappage DITA en tant qu’éléments <topicref>. Utilisez ensuite la fonction de conversion du fichier de mappage pour convertir les fichiers Markdown en documents de type rubrique DITA.

Pour convertir des fichiers Markdown en DITA, suivez les étapes suivantes :

  1. Créez un fichier de mappage DITA sur votre disque local.

  2. Ajouter votre fichier Markdown (.md) au mappage.

  3. Choisissez Structure > Utilitaires > Convertir Markdown en DITA.

    La boîte de dialogue Convertir Markdown en DITA apparaît.

    Figure 1. Boîte de dialogue Conversion Markdown en DITA

  4. Dans la boîte de dialogue Convertir Markdown en DITA spécifiez les informations suivantes :

    Important: Assurez-vous que les chemins d’entrée et de sortie se situent sur votre système local. Spécifier un emplacement réseau peut entraîner l’échec de la conversion.

    • Fichier : chemin du fichier de mappage DITA contenant le fichier Markdown.

    • Fichiers DITA de sortie > Répertoire : emplacement de sortie où enregistrer le document DITA converti.

Parent topic: Création de contenu structuré


Création de contenu structuré à l’aide de DITA

Découvrez comment la création de contenu structuré applique une structure à un document que vous créez dans Adobe FrameMaker.

La création de contenu structuré applique une structure à la création de documents. Lorsque vous créez un document structuré dans FrameMaker, il est nécessaire de sélectionner une application structurée sur laquelle vous souhaitez baser le document. L’application structurée définit les règles de structure et de formatage qui sont appliquées lors de la création de votre document. L’architecture DITA (Darwin Information Typing Architecture, Architecture darwinienne d’information typée) est une norme XML ouverte applicable pour une création structurée. Lors de la création dans DITA, vous pouvez également utiliser le Jeu d’outils Open Toolkit DITA (DITA-OT) pour publier la sortie.

Rubriques DITA

Les rubriques DITA sont les unités les plus granulaires du contenu DITA. Chaque rubrique doit être écrite autour d’un sujet unique.

Consultez les spécifications DITA relatives aux rubriques DITA.

Saisie d’informations

La saisie des informations consiste à identifier des types de rubriques qui contiennent des types d’informations distincts, comme des concepts, des tâches et des informations de référence. Les rubriques qui répondent à différents types de questions peuvent être classées comme différents types d’informations. Les types de rubrique de base fournis par DITA (une rubrique générique, plus concept, tâche et référence) fournissent un jeu de démarrage utilisable pouvant être adopté immédiatement pour l’écriture.

Consultez les spécifications DITA relatives à la saisie d’informations.

Mappages DITA

Le mappage DITA est comparable à une table des matières, qui répertorie et lie les rubriques. Les mappages DITA rassemblent les rubriques selon une séquence et une hiérarchie. Vous pouvez utiliser plusieurs mappages pour les mêmes rubriques, chacun d’entre eux organisant les rubriques en fonction des exigences relatives à la sortie, par exemple un manuel de référence, un didacticiel ou une aide en ligne. Le fichier de mappage DITA a pour extension .ditamap

Consultez les spécifications DITA relatives aux mappages DITA.

Plans d’ouvrage

Un plan d’ouvrage est la spécialisation d’un mappage DITA. Vous pouvez enregistrer un mappage DITA en tant que plan d’ouvrage. Dans un plan d’ouvrage, les éléments <topicref> de plus haut niveau dans le mappage DITA deviennent des chapitres dans le livre FrameMaker et contiennent tous les éléments <topicref> imbriqués. Le formatage est déterminé en focntions de l’application structurée que vous avez sélectionnée pour les livre sdans la boîte de dialogue Options DITA.

Pour plus de détails, reportez-vous à la section Plans d’ouvrage DITA.

Consultez les spécifications DITA relatives aux plans d’ouvrage.

  • Rôle de DITA
    Découvrez comment DITA change la façon dont le contenu est créé, stocké, géré et utilisé dans FrameMaker.
  • Rubriques DITA
    Familiarisez-vous avec les rubriques DITA dans FrameMaker.
  • Création d’une rubrique DITA
    Apprenez à créer une rubrique DITA dans Adobe FrameMaker.
  • Ajouter des liens au contenu associé
    Apprenez à ajouter des liens vers du contenu associé à l’aide de la boîte de dialogue Lien DITA dans Adobe FrameMaker.
  • Fichiers ditamap
    Familiarisez-vous avec les fichiers ditamap et apprenez à les utiliser dans Adobe FrameMaker.
  • Plans d’ouvrage DITA
    Familiarisez-vous avec les plans d’ouvrage dans FrameMaker et avec la manière dont ils vous aident à organiser et à imprimer des rubriques DITA sous forme de livres.
  • Référencement DITA
    Familiarisez-vous avec le référencement DITA dans FrameMaker et apprenez à configurer du contenu de référence et à mettre à jour les références DITA.
  • Références contextuelles DITA
    Familiarisez-vous avec les références contextuelles dans DITA et découvrez comment les utiliser dans Adobe FrameMaker.
  • DITAVAL
    Familiarisez-vous avec les fichiers DITAVAL et apprenez à les utiliser pour générer une sortie conditionnelle dans FrameMaker.
  • Références croisées DITA
    Apprenez à utiliser les références croisées DITA dans Adobe FrameMaker.
  • Tableaux de relations DITA
    Familiarisez-vous avec les concepts de rubriques associées dans DITA et avec la manière dont des tableaux de relations permettent de créer des liens pour les rubriques associées dans Adobe FrameMaker.
  • Publication DITA
    Apprenez à générer une sortie pour votre contenu DITA avec Adobe FrameMaker, à l’aide des processus de publication.
  • Jeu d’outils Open Source DITA
    Familiarisez-vous avec le jeu d’outils Open Source DITA et apprenez à vous en servir pour générer une sortie dans FrameMaker.
  • Spécialisation DITA
    Apprenez à convertir automatiquement des fichiers de base en fichiers spécialisés à l’aide d’une DTD spécialisée, avec la boîte de dialogue Spécialisation DITA.
  • Options DITA
    Utilisez la boîte de dialogue Options DITA de FrameMaker pour configurer et personnaliser différentes options relatives aux rubriques DITA.
  • Jeu d’outils Open Source DITA
  • Rubriques DITA
  • Fichiers ditamap


Rôle de DITA

Découvrez comment DITA change la façon dont le contenu est créé, stocké, géré et utilisé dans FrameMaker.

DITA change la façon dont le contenu est créé, stocké, géré et utilisé. DITA apporte de nouveaux outils et modifie la façon dont les auteurs abordent la création de contenu.

Dans ce sujet

  • Réutilisation du contenu et modularité

  • Publication multicanaux

  • Facilité de création et de publication de contenu

  • Minimalisme du contenu

  • Réduction des coûts de traduction

Réutilisation du contenu et modularité

Le contenu est réutilisable à des fins d’impression et de publication Web. DITA permet également de créer différents formats de sortie personnalisés. La réutilisation du contenu à un niveau titre ou ligne peut être chaotique. En outre, sa mise en œuvre et sa gestion peuvent être difficiles, en particulier à l’échelle de l’entreprise. DITA facilite la réutilisation à un niveau de contenu plus facilement gérable : la rubrique. Une <rubrique> représente le plus petit bloc d’informations indépendant. Les rubriques sont ensuite regroupées en documents par le biais des mappages DITA, qui sont des listes hiérarchiques de pointeurs ou de liens pointant vers des rubriques. Ces pointeurs sont appelés éléments <topicref>.

Il est également possible de réutiliser une rubrique dans d’autres rubriques. Un ID unique est attribué à chaque rubrique : à partir d’une rubrique, vous pouvez inclure une référence contextuelle (<conref>) dans une autre rubrique à l’aide de son ID unique. A un niveau plus détaillé de granularité, vous pouvez également attribuer des balises de caractéristique à des éléments de rubrique individuels dans le cadre d’un assemblage conditionnel.

Publication multicanaux

Les rubriques modulaires permettent l’assemblage dynamique du contenu, quel que soit le niveau de granularité. Vous pouvez créer des documents multiples à partir de rubriques réutilisables. Les assemblages peuvent être conditionnels et dépendre des caractéristiques ou des balises de métadonnées liées à une rubrique. Par exemple, la caractéristique audience (public) peut être « beginner » (débutant) ou « advanced » (avancé), tandis que la caractéristique platform (plate-forme) peut être « Windows » ou « Solaris ».

Facilité de création et de publication de contenu

En séparant le contenu de la présentation, DITA vous permet de réutiliser les rubriques modulaires. Vous pouvez réutiliser une rubrique en l’incluant dans plusieurs mappages de rubriques. Vous pouvez alors définir un nouveau contexte à l’aide d’un tableau de relations. Cela facilite également l’étape de publication, car le contenu est indépendant des définitions de format.

Minimalisme du contenu

Le minimalisme en documentation implique de fournir aux utilisateurs uniquement les informations dont ils ont besoin pour accomplir une tâche spécifique. Cette approche requiert un découpage des informations séquentielles en blocs plus petits, concis et homogènes pouvant être réutilisés.

Réduction des coûts de traduction

Le contenu modulaire axé sur les rubriques et avec ID de rubrique unique permet la création et la traduction simultanées du contenu d’un mappage DITA. Cette approche permet de réduire les coûts de traduction ainsi que le temps de mise sur le marché. En plus d’une structure basée sur les rubriques et de la réutilisation du contenu, ces fonctions DITA réduisent également les coûts de traduction.

  • Toutes les rubriques DITA sont stockées au format Unicode.

  • DITA permet de spécifier le paramètre de langue pour quasiment tous les éléments d’une rubrique DITA.

  • L’attribut @translate vous permet d’indiquer les éléments prêts à être traduits.

Parent topic: Création de contenu structuré à l’aide de DITA


Rubriques DITA

Familiarisez-vous avec les rubriques DITA dans FrameMaker.

DITA utilise une approche axée sur les rubriques pour l’écriture. Une rubrique représente l’unité de base du contenu DITA. Chaque rubrique doit couvrir un seul sujet. Une rubrique de base est composée d’un contenu title et d’un contenu body. Elle doit être assez courte pour traiter un seul sujet ou répondre à une seule question, mais assez longue pour pouvoir être comprise sans autre contexte, et être écrite en tant qu’unité.

Pour couvrir un contenu distinct comme des concepts, des tâches et des références, la norme DITA spécifie différents types d’informations. Chaque type d’information définit des éléments structurés facilitant l’écriture de contenu pertinent. Par exemple, le type de tâches définit des éléments comme <contexte>, <exemple>, <étapes> et <résultat>.

Parent topic: Création de contenu structuré à l’aide de DITA


Création d’une rubrique DITA

Apprenez à créer une rubrique DITA dans Adobe FrameMaker.

Dans ce sujet

  • Types d’information DITA

  • Création d’une rubrique DITA

Création d’une rubrique DITA

  1. Sélectionnez Fichier > Nouveau > DITA et sélectionnez un des types de rubriques et de mappage du sous-menu.

  2. Pour afficher la structure hiérarchique de la rubrique créée, sélectionnez Structure > Vue de la structure.

  3. Une rubrique DITA est un document structuré. Cela signifie que dans FrameMaker, vous utilisez la structure de rubrique DITA de la même manière que vous utilisez des documents structurés fondés sur d’autres applications structurées.

Types d’information DITA

FrameMaker prend en charge les types d’information DITA suivants :

<topic>

Une rubrique générique. Pour du contenu spécifique, utilisez les types task, concept, reference, glossentry ou glossgroup.

Consultez les spécifications DITA relatives aux éléments Topic.

<tâche>

Pour un contenu associé à une tâche comme des explications de type « comment faire » ou des procédures.

Consultez les spécifications DITA relatives aux éléments Task.

<concept>

Pour un contenu comme « En quoi consiste ? ». Cela couvre les informations conceptuelles relatives à une fonctionnalité ou une fonction.

Consultez les spécifications DITA relatives aux éléments Concept.

<référence>

Pour un contenu de référence. Par exemple, des spécifications du produit, une référence API et des listes d’équipements ou de pièces.

Consultez les spécifications DITA relatives aux éléments Reference.

<glossentry>

Pour un terme de glossaire et une définition uniques.

Consultez les spécifications DITA relatives aux éléments Glossentry.

<glossgroup>

Pour un groupe d’éléments glossentry.

Glossgroup peut aussi contenir d’autres éléments glossgroup pour créer une structure de glossaire hiérarchique.

Consultez les spécifications DITA relatives à l’élément <glossgroup>.

<troubleshooting>

L’élément <troubleshooting> est l’élément de haut-niveau d’une rubrique de dépannage. Les rubriques de dépannage documentent les actions correctrices comme le dépannage ou l’effacement des alarmes. Les rubriques de dépannage commencent par la description d’un problème que le lecteur voudra sans doute corriger, suivie d’une ou plusieurs combinaisons cause-résolution. Chaque combinaison cause-résolution est une solution potentielle au problème décrit.

Les utilisateurs consultent généralement les rubriques de dépannage pour résoudre un problème.

Consultez les spécifications DITA relatives à l’élément <troubleshooting>.

dita

Elément de conteneur de niveau supérieur qui peut inclure les types de rubrique décrits ci-dessus.

Consultez les spécifications DITA relatives à l’élément <dita>.

Parent topic: Création de contenu structuré à l’aide de DITA
Related information
  • Création de contenu structuré


Ajouter des liens au contenu associé

Apprenez à ajouter des liens vers du contenu associé à l’aide de la boîte de dialogue Lien DITA dans Adobe FrameMaker.

Dans ce sujet

  • Boîte de dialogue Lien DITA

  • Création d’un lien DITA

Boîte de dialogue Lien DITA

Utilisez la boîte de dialogue Lien DITA pour insérer un lien direct et indirect au contenu DITA.

Figure 1. Boîte de dialogue Lien DITA
Insertion d’un lien direct ou indirect vers du contenu DITA à l’aide de la boîte de dialogue Lien DITA

La boîte de dialogue LienDITA vous permet d’effectuer les tâches suivantes :

A (Élément DITA) :

Sélectionnez l’élément de lien à utiliser.

Par défaut, l’élément est <link>.

Consultez les spécifications DITA relatives à link.

B (Cible > Fichier) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement direct.

C (Cible > Touche) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement indirect et sélectionnez une touche dans la liste déroulante Paramètres de touche.

D (Cible > Les deux) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement direct ou indirect.

E (Fichier/Paramètres de touche) :

Si la cible est définie sur Fichier, sélectionnez une rubrique DITA dans la liste des rubriques actuellement ouvertes pour des références directes. Vous pouvez également sélectionner une rubrique qui n’est pas déjà ouverte.

Si la cible est définie sur Touche, sélectionnez une touche pour référence indirecte. Vous pouvez également ouvrir la boîte de dialogue Gestionnaire d’espace de touche DITA. Cette boîte de dialogue vous permet de créer un espace de touche et de définir l’espace de touche par défaut pour la rubrique actuelle.

F (Filtrer texte) :

Recherchez la rubrique ou la touche requise vers laquelle vous souhaitez créer un lien. Cette recherche dynamique filtre les éléments lorsque vous commencez à saisir le nom dans la zone Filtrer texte. Vous pouvez filtrer le contenu selon l’élément, l’ID ou le texte (contenu).

Une fois que vous avez trouvé la rubrique requise, sélectionnez un élément à inclure en tant que lien. L’élément de lien définit une relation à une autre rubrique.

G (Afficher avec) :

Sélectionnez l’élément qui fournit l’étiquette ou la ligne de texte d’un lien.

Par défaut, l’élément est <linktext>.

Consultez les spécifications DITA relatives à linktext.

H (Afficher avec) :

Sélectionnez l’élément qui fournit l’étiquette ou la ligne de texte d’un lien.

Par défaut, l’élément est <linktext>.

Consultez les spécifications DITA relatives à linktext.

H (Texte)

Spécifiez le texte du lien à afficher comme texte.

I (Format)

Sélectionnez Format et choisissez un format de lien dans la liste déroulante :

Format DITA par défaut

Affichage du titre de la rubrique de référence.

See_Title_and_Page

Afficher Voir <titre de rubrique> à la page <numéro de page>.

Title_and_Page

Afficher <titre de rubrique> dans <page>.

J (Lien externe) :

Insertion d’un lien vers une ressource externe (non DITA). Dans la boîte de dialogue Référence croisée externe DITA, indiquez la source pour le lien externe (Se reporter à la touche ou Cible de la référence croisée (href)).

Si vous le souhaitez, vous pouvez spécifier un texte pour le lien. Sinon, le lien saisi dans le champ Cible de la référence croisée (href) est utilisé comme texte du lien. Vous pouvez également insérer un lien externe via le menu principal ( Insérer > Références externesou le menu contextuel.

Création d’un lien DITA

  1. Si vous insérez le premier lien dans l’élément de liens associés, placez le point d’insertion à droite de l’élément de liens associés.

    Figure 2. Placement du point d’insertion à droite de l’élément de liens associés
    Placement du point d’insertion à droite de l’élément de liens associés

  2. Sélectionnez Affichage > Panneaux > Catalogue d’éléments pour ouvrir le panneau Eléments. À partir du panneau Eléments, insérer l’élément <link>.

    La boîte de dialogue Lien DITA s’affiche.

  3. Sélectionnez le lien de l’élément DITA.

  4. Sélectionnez une cible du lien.

    Vous pouvez ajouter un lien comme référence directe ou indirecte au contenu cible.

    Pour ajouter un lien direct, sélectionnez la rubrique DITA (fichier .xml) pour laquelle vous souhaitez créer un lien :

    1. Sélectionnez l’option Fichier pour Cible, puis sélectionnez le fichier contenant la rubrique de référence.

      Vous pouvez sélectionner une rubrique de référence dans la rubrique actuelle, toute rubrique actuellement ouverte, ou utiliser le bouton Parcourir pour sélectionner une rubrique non ouverte.

    2. Dans la liste Éléments, sélectionnez la rubrique à référencer.

    Pour ajouter un lien indirect, vous devez utiliser des références de touche DITA.

    1. Sélectionnez l’option Touche pour Cible, puis cliquez sur Gestionnaire d’espace de touche.

    2. Dans la boîte de dialogue Gestionnaire d’espace de touche DITA, sélectionnez la touche dans la liste Touches définies, puis cliquez sur OK.

  5. Dans la liste déroulante Afficher avec, sélectionnez l’élément pour afficher le texte du lien.

  6. Spécifiez le texte ou le format à afficher dans le lien.

  7. Cliquez sur Insérer.

Parent topic: Création de contenu structuré à l’aide de DITA
  • Création d’un lien DITA
  • Création d’un espace de touche
  • Utilisation des espaces de touche pour gérer des références de touche DITA
  • Référencement DITA


Fichiers ditamap

Familiarisez-vous avec les fichiers ditamap et apprenez à les utiliser dans Adobe FrameMaker.

Un fichier ditamap vous permet d’organiser les rubriques DITA en une structure hiérarchique. Vous pouvez ensuite créer une sortie pour votre contenu organisé selon différents formats de sortie.

Figure 1. Utilisation de fichiers ditamap pour organiser des rubriques DITA en une structure hiérarchique
Utilisation de fichiers ditamap pour organiser des rubriques DITA en une structure hiérarchique

Consultez les spécifications relatives aux fichiers ditamap.

  • Création d’un fichier ditamap
    Apprenez à créer un fichier ditamap dans FrameMaker.
  • Insertion d’un élément de référence de rubrique dans un mappage DITA
    Apprenez à insérer des éléments de référence de rubrique dans un mappage DITA avec Adobe FrameMaker.
  • Insérer la page de garde, le dos et les éléments de l’annexe dans un mappage DITA
    Voici comment vous pouvez insérer les éléments <frontmatter>, <backmatter>, et <appendix> dans un mappage DITA avec Adobe FrameMaker.
  • Affichage du contenu d’un fichier ditamap dans l’éditeur
    Apprenez à afficher le contenu d’un fichier ditamap et à afficher ou masquer la prévisualisation des éléments de référence de rubrique (topicref) dans Adobe FrameMaker.
  • Enregistrement d’un mappage DITA
    Apprenez à enregistrer un mappage DITA dans Adobe FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA
  • Publication DITA
  • Utilisation des espaces de touche pour gérer des références de touche DITA


Création d’un fichier ditamap

Apprenez à créer un fichier ditamap dans FrameMaker.

  1. Sélectionnez Fichier > Nouveau > DITA > <map>.

    Vous pouvez aussi sélectionner Fichier > Nouveau > XML. Dans la boîte de dialogue Nouveau XML, allez sur l’onglet DITA, sélectionnez le mappage.

  2. Par défaut, un fichier ditamap est ouvert dans le Gestionnaire de ressources.

    Le Gestionnaire de ressources vous permet d’effectuer les tâches suivantes :

    • Insérer des rubriques dans le fichier ditamap

    • Enregistrer le fichier ditamap

    • Basculer vers la vue Document pour afficher le contenu du fichier ditamap

  3. Vous pouvez utiliser les outils FrameMaker disponibles, comme la Vue de la structure et le panneau Eléments, pour travailler avec une ditamap.

  4. Vous pouvez également inclure des tableaux de relation dans un fichier ditamap.

    Pour plus de détails, reportez-vous à la section Tableaux de relations DITA.

Parent topic: Fichiers ditamap


Insertion d’un élément de référence de rubrique dans un mappage DITA

Apprenez à insérer des éléments de référence de rubrique dans un mappage DITA avec Adobe FrameMaker.

Vous pouvez ajouter des rubriques à un mappage DITA à l’aide des éléments de référence de rubrique (topicref) du catalogue Eléments. <> Vous pouvez également ajouter des rubriques à l’aide de la fonction Insérer enfant dans le Gestionnaire de ressources.

FrameMaker prend en charge les éléments de référence de rubrique (<topicref>) suivants que vous pouvez insérer dans un mappage DITA :

topicref

Identifie des rubriques comme dita, topic (rubrique), concept, task (tâche), reference (référence), glossentry (entrée du glossaire) et glossgroup (groupe de glossaire). Un élément de référence de rubrique (topicref) peut également contenir d’autres éléments de référence de rubrique (topicref) pour créer une structure hiérarchique.

Consultez les spécifications DITA relatives à l’élément topicref.

mapref

Un élément de commodité qui équivaut à un élément de <topicref> avec l’attribut de format défini sur « ditamap ».

Consultez les spécifications DITA relatives à l’élément mapref.

topicset

Ensemble d’éléments de référence de rubrique (topicref) réutilisables dans des mappages DITA et autres éléments d’ensemble de rubrique (topicset).<>

Consultez les spécifications DITA relatives à l’élément topicset.

keydef

Elément de commodité utilisé pour définir des touches sans avoir les autres effets se produisant lors de l’utilisation d’un élément de référence de rubrique (topicref) : aucun contenu n’est inclus dans une sortie, aucun titre n’est inclus dans la table des matières et aucune liaison ni aucune relation n’est définie.<>

Consultez les spécifications DITA relatives à l’élément keydef.

topicsetref

Fait référence à un élément d’ensemble de rubrique (topicset).<>

Consultez les spécifications DITA relatives à l’élément topicsetref.

Pour insérer un élément <topicref> dans un mappage DITA :

  1. Dans la Vue de la structure, placez le point d’insertion après le titre du livre et les éléments de métadonnées de l'élément <bookmap>.

  2. Sélectionnez Structure > DITA > Insérer Topicref.

  3. Si vous sélectionnez topicref, mapref, topicset ou keydef, la boîte de dialogue Insérer un élément s’affiche :

    Figure 1. Insertion d’éléments dans un mappage DITA à l’aide de la boîte de dialogue Insérer un élément
    Insertion d’éléments dans un mappage DITA à l’aide de la boîte de dialogue Insérer un élément

  4. Pour utiliser la référence de rubrique (topicref) insérée comme référence de touche, saisissez un nom de touche.

  5. Dans la zone HRef, saisissez l’emplacement de la rubrique à référencer. Ou cliquez sur Parcourir pour rechercher et sélectionner la rubrique. La rubrique est ajoutée en tant que référence directe.

    Si vous avez défini un espace de touche pour la rubrique actuelle, vous pouvez aussi sélectionner une référence de touche dans la liste déroulante KeyRef. La rubrique est ajoutée en tant que référence indirecte.

Parent topic: Fichiers ditamap


Insérer la page de garde, le dos et les éléments de l’annexe dans un mappage DITA

Voici comment vous pouvez insérer les éléments <frontmatter>, <backmatter>, et <appendix> dans un mappage DITA avec Adobe FrameMaker.

Un livre traditionnel comprend divers composants, tels que le titre du livre, la page de garde, le chapitre, l’annexe et le dos. FrameMaker vous permet d’insérer les éléments ../dita-1.3-source/langRef/technicalContent/frontmatter.html#frontmatter, ../dita-1.3-source/langRef/technicalContent/backmatter.html#backmatteret ../dita-1.3-source/langRef/technicalContent/appendix.html#appendix dans votre mappage DITA. En plus d’avoir ces éléments dans votre mappage DITA, FrameMaker vous offre également des modèles de sortie dédiés pour chacun de ces composants. Vous pouvez exporter le modèle source, apporter des modifications conformément à vos besoins et l'importer de nouveau dans vos paramètres de publication pour créer la sortie souhaitée. Pour plus d’informations sur les modèles de publication DITA, voir Modèles DITA.

Pour insérer les éléments ../dita-1.3-source/langRef/technicalContent/frontmatter.html#frontmatter, ../dita-1.3-source/langRef/technicalContent/backmatter.html#backmatter et ../dita-1.3-source/langRef/technicalContent/appendix.html#appendix dans un mappage DITA :

  1. Dans la Vue de la structure, placez le point d’insertion là où vous souhaitez insérer l’élément choisi.

  2. Ouvrez le catalogue Eléments (Affichage > Panneaux > Catalogue d’éléments).
    Figure 1. Catalogue d’éléments avec éléments d'annexe, de page de garde et de dos

  3. Double-cliquez sur l’élément à insérer.

    Dans le cas d'éléments ../dita-1.3-source/langRef/technicalContent/frontmatter.html#frontmatter et ../dita-1.3-source/langRef/technicalContent/backmatter.html#backmatter, vous devez également ajouter le contenu requis dans ces éléments. Pour des éléments ../dita-1.3-source/langRef/technicalContent/appendices.html#appendices ou ../dita-1.3-source/langRef/technicalContent/appendix.html#appendix, la boîte de dialogue Insérer un élément apparaît. Avec la boîte de dialogue Insérer un élément, vous pouvez choisir un fichier à inclure dans votre annexe.

    Note: L’ordre dans lequel la page de garde, le dos, l'annexe d’autres composants de votre livre sont publiés dépend du paramètre OutputFilesOrder dans le fichier ditafm-output.ini. Pour plus d’informations, consultez Référence INI Adobe FrameMaker.
Parent topic: Fichiers ditamap


Affichage du contenu d’un fichier ditamap dans l’éditeur

Apprenez à afficher le contenu d’un fichier ditamap et à afficher ou masquer la prévisualisation des éléments de référence de rubrique (topicref) dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Affichage ou masquage de la prévisualisation du contenu des éléments de référence de rubrique (topicref)

  • Ouverture de toutes les rubriques référencées dans un fichier ditamap

Introduction

Après avoir inséré une ou plusieurs références de rubrique (topicref) dans un fichier ditamap, vous pouvez choisir d’afficher le contenu des rubriques référencées dans la vue Document.

Vous pouvez également ouvrir les rubriques DITA référencées en tant que documents séparés dans FrameMaker.

Affichage ou masquage de la prévisualisation du contenu des éléments de référence de rubrique (topicref)

  1. Pour prévisualiser le contenu sur un élément de référence unique, sélectionnez l’élément topicref dans la Vue de la structure.

    Pour prévisualiser le contenu de tous les éléments de référence, cliquez n’importe où dans la rubrique en vous assurant qu’aucun élément n’est sélectionné. Vous êtes invité à afficher le contenu de toutes les références de rubrique. En outre, vous pouvez choisir d’afficher les cartes référencées enfants.

  2. Pour prévisualiser le contenu, sélectionnez Structure > DITA > Résoudre la/les référence(s) de rubrique > Afficher le contenu.

  3. Pour masquer la prévisualisation, sélectionnez Structure > DITA > Résoudre la/les référence(s) de rubrique > Masquer le contenu.

Tip: Pour afficher ou masquer la prévisualisation pour un élément unique, vous pouvez également cliquer avec le bouton droit sur l’élément et sélectionner Résoudre la/les référence(s) de rubrique > Afficher le contenu ou Résoudre la/les référence(s) de rubrique > Masquer le contenu.

Si un fichier ditamap contient des références aux mappages enfants, les options d’affichage et de masquage du fichier ditamap permettent d’afficher ou de masquer les rubriques référencées dans les mappages enfants.

Dans la vue Document, FrameMaker affiche des puces pour indiquer la hiérarchie des rubriques dans un mappage DITA.

Figure 1. Niveaux de rubriques présentés sous forme de puces imbriquées
Niveaux de rubrique signalés par >, >> et >>> dans la vue Document

Lorsque vous passez à la vue Document (d'un mappage DITA), la fenêtre du livre reste également active et vous permet d'ouvrir d'autres rubriques.

Ouverture de toutes les rubriques référencées dans un fichier ditamap

Si un fichier ditamap contient des références à une ou plusieurs rubriques, vous pouvez ouvrir toutes les rubriques référencées dans FrameMaker.

  1. Vérifiez que le fichier ditamap est sélectionné.

  2. Appuyez sur la touche Maj, puis sélectionnez Fichier > Ouvrir tous les fichiers du fichier ditamap.

    Dans le fichier ditamap, vous pouvez aussi sélectionner Structure > DITA > Ouvrir toutes les références de rubrique.

    Pour fermer toutes les références de rubrique, appuyez sur la touche Maj et sélectionnez Fichier > Fermer tous les fichiers du fichier ditamap.

Note: Pour ouvrir une seule rubrique, cliquez deux fois sur la rubrique dans le fichier ditamap.
Parent topic: Fichiers ditamap


Enregistrement d’un mappage DITA

Apprenez à enregistrer un mappage DITA dans Adobe FrameMaker.

La fonctionnalité Enregistrer Ditamap sous de FrameMaker (Fichier > Enregistrer Ditamap sous) vous permet d’enregistrer le mappage DITA dans plusieurs sorties. Lorsque vous enregistrez un mappage DITA en tant que livre, vous pouvez profiter des caractéristiques hiérarchiques du livre FrameMaker comme les dossiers et les groupes. Vous pouvez utiliser les fonctionnalités du livre de FrameMaker comme le numéro de page et la table des matières.

La liste des sorties suivantes fournit une fonctionnalité spécifique :

Document composite <Version> (*.fm)

Fichier de document FrameMaker autonome unique (.fm). Le document contient tout le contenu du mappage DITA. Par exemple, les références de rubrique. Les références de rubrique sont incorporées dans le document. Cela implique que toute modification apportée aux fichiers de rubrique n’est pas répercutée dans le document composite. Si vous partagez ce document avec un autre auteur, l’auteur ne requiert pas les documents de rubrique référencés. Cependant, vous pouvez continuer à travailler sur le document composite à l’aide des outils de structure disponibles dans FrameMaker.

Livre <Version> (*.book)

Le mappage DITA est enregistré comme fichier .book, qui inclut chaque fichier de rubrique référencrée comme un document au sein du livre.

Livre <version> avec composants FM (*.book)

Le mappage DITA est enregistré comme une fichier .book. Chaque fichier de rubrique référencée est converti en fichier .fm.

Lorsque vous enregistrez un mappage DITA comme document composite ou comme livre avec des composants FrameMaker, vous pouvez utiliser la fonctionnalité de sortie conditionnelle DITAVAL. Dans la boîte de dialogue Enregistrer le document, si vous sélectionnez l’option Demander le fichier DitaVal, l’utilisation d’un fichier DITAVAL est proposée pour générer de manière conditionnelle le contenu au format de sortie sélectionné.

Important: Vous ne pouvez pas faire des allers-retours entre le mappage DITA et la conversion en livre. Cela signifie qu’aucune modification que vous apportez dans le livre ne peut être reportée dans le mappage DITA.
Parent topic: Fichiers ditamap
  • DITAVAL


Plans d’ouvrage DITA

Familiarisez-vous avec les plans d’ouvrage dans FrameMaker et avec la manière dont ils vous aident à organiser et à imprimer des rubriques DITA sous forme de livres.

Un plan d’ouvrage est un mappage DITA spécialisé qui vous permet d’organiser et d’imprimer vos rubriques DITA sous la forme d’un livre. Un plan d’ouvrage définit des éléments comme un <chapitre> et une <annexe>. Un mappage DITA n’impose pas de règles de structure compte tenu de la séquence des références de rubriques. Cependant, pour conserver une structure de livre, le plan d’ouvrage définit des règles comme l’interdiction d’un élément de chapitre après l’élément d’annexe.

Consultez les spécifications relatives aux plans d’ouvrage dans la spécification DITA.

Les éléments de l’interface utilisateur de FrameMaker pour un plan d’ouvrage sont identiques à ceux relatifs à un mappage DITA. Par exemple, par défaut, le bookmap s’ouvre dans le Gestionnaire de ressources.

  1. Sélectionnez Fichier > Nouveau > DITA > <bookmap>.

  2. Les éléments <chapter>, <part>, <appendix> et <appendices> sont des éléments référencés.

    Pour ajouter ces éléments, suivez la procédure utilisée pour Insertion d’un élément de référence de rubrique dans un mappage DITA.

  3. Vous pouvez inclure des tableaux de relations dans un plan d’ouvrage.

Parent topic: Création de contenu structuré à l’aide de DITA
  • Tableaux de relations DITA
  • Insertion d’un élément de référence de rubrique dans un mappage DITA


Référencement DITA

Familiarisez-vous avec le référencement DITA dans FrameMaker et apprenez à configurer du contenu de référence et à mettre à jour les références DITA.

Un référencement DITA (également appelé adressage DITA) permet de référencer ou de créer des liens parmi des éléments DITA et entre des éléments DITA et des ressources non DITA.

Référencez le contenu DITA par Utilisation des références contextuelles DITA. Vous pouvez créer des liens vers des ressources DITA ou non DITA, en utilisant des références croisées DITA à un contenu source unique. Vous pouvez également utiliser des liens DITA pour Ajouter des liens au contenu associé.

Les spécifications DITA définissent deux types de référencement :

Référencement Direct (adressage URI)

Les références sont établies par pointage direct sur la cible. Par exemple, dans FrameMaker, lorsque vous créez une référence contextuelle (conref) par le biais d’un référencement direct, vous recherchez et sélectionnez la rubrique DITA (fichier .xml). De même, vous pointez directement sur la rubrique DITA (fichier .xml) pour créer un lien DITA ou une référence croisée DITA. Un référencement direct requiert des auteurs de sélectionner explicitement le fichier contenant le contenu à référencer ou lier. Cela peut s’avérer laborieux et déroutant si le nombre de contenus associés est important. Un référencement direct est préférable avec un nombre de documents en référence ou en lien peu important.

Consultez les spécifications de l’adressage URI (direct).

Référencement indirect (adressage par des touches)

Les références sont établies globalement au niveau du mappage DITA par le biais de touches. Par exemple, dans FrameMaker, lorsque vous créez une référence contextuelle (conref) avec un référencement indirect, vous ne pointez pas directement sur la rubrique DITA. Au lieu de cela, vous pointez sur une touche qui est définie en Utilisation des espaces de touche pour gérer des références de touche DITA. Le référencement indirect requiert des auteurs de sélectionner des touches définies par l’utilisateur lors de la création de références ou de liens. Lors de la configuration des espaces de touche, il convient d’utiliser une nomenclature clairement définie pour nommer les touches. Un référencement indirect est recommandé si vous écrivez dans un ensemble important de contenus associés.

Consultez les spécifications de l’adressage via des touches.

  • Configurer un contenu de référence
    Apprenez à configurer du contenu de référence et des ID dans DITA avec Adobe FrameMaker.
  • Utilisation des espaces de touche pour gérer des références de touche DITA
    Familiarisez-vous avec les espaces de touche DITA et apprenez à créer et à gérer des espaces de touche pour gérer des références de touche DITA dans Adobe FrameMaker.
  • Mise à jour des références DITA
    Apprenez à mettre à jour des références DITA dans Adobe FrameMaker.
  • Recherche de références DITA
    Apprenez à rechercher des références DITA dans Adobe FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA


Configurer un contenu de référence

Apprenez à configurer du contenu de référence et des ID dans DITA avec Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Attribut ID DITA

  • Attribution d’un ID unique à un élément

  • Attribution d’un ID à toutes les occurrences d’un élément

Introduction

Pour créer une référence contextuelle (conref) dans vos rubriques DITA, vous devez d’abord créer une rubrique DITA (référencement direct) ou un mappage DITA (référencement indirect) contenant le contenu (éléments) que vous prévoyez de réutiliser. Par exemple, vous prévoyez de réutiliser un tableau, une liste ordonnée et une image sur plusieurs rubriques. Vous devez ajouter ces éléments à la rubrique source. Si vous utilisez un référencement indirect, la rubrique est alors ajoutée au mappage DITA. Pour plus de détails, reportez-vous à la section Utilisation des espaces de touche pour gérer des références de touche DITA.

Pour rendre un élément réutilisable, vous devez affecter un ID unique à l’élément. Pour plus de détails, reportez-vous à la section Attribut ID DITA. FrameMaker utilise cet ID unique pour différencier les éléments de référence contextuelle (conref). Par exemple, si vous mettez à jour l’élément source, FrameMaker utilise l’ID unique pour identifier les éléments dans des rubriques de conteneur qui doivent être mises à jour.

Attribut ID DITA

L’attribut ID DITA fournit une méthode permettant d’identifier de façon unique le contenu (rubriques ou éléments) à référencer.

Dans une rubrique DITA, vous pouvez affecter un ID unique à un élément afin d’utiliser l’élément lorsque vous créez des références contextuelles (Utilisation des références contextuelles DITA) ou des références croisées (Références croisées) à l’élément d’une autre rubrique. Par défaut, FrameMaker affecte un ID unique à la rubrique lors de la procédure suivante : Création d’une rubrique DITA.

Consultez les spécifications des attributs d’ID.

Attribution d’un ID unique à un élément

  1. Dans la Vue de la structure, sélectionnez un élément de la rubrique de source.

  2. Sélectionnez Structure > Assigner un ID à l’élément.

    Sinon, cliquez avec le bouton droit sur l’élément et sélectionnez Assigner un ID à l’élément dans le menu contextuel.

Pour vérifier si un ID est affecté à un élément, dans la vue de la structure, cliquez sur le signe flèche situé à droite de l’élément.

Figure 1. ID unique affecté à l’élément d’entrée (cellule de tableau)
Attribution d’un ID unique à un élément

Si vous affectez un ID unique à un élément auquel un ID a été affecté précédemment, vous êtes invité à remplacer l’ID existant

Attribution d’un ID à toutes les occurrences d’un élément

  1. Sélectionnez une instance de l’élément auquel vous souhaitez attribuer un ID.

  2. Sélectionnez Structure > Assigner un ID aux éléments pour ouvrir la boîte de dialogue Assigner un ID.

    1. Par défaut, l’élément sélectionné avant de sélectionner Attribuer un ID aux éléments est sélectionné dans la liste déroulante.

    2. Sélectionnez l’option Inclure des spécialisations pour attribuer des ID à des spécialisations de l’élément sélectionné. Si vous êtes dans un mappage DITA, sélectionnez Traiter les références de rubrique dans Ditamap pour attribuer des ID à toutes les occurrences de l’élément sélectionné dans les rubriques contenues dans le mappage DITA.

    3. Si vous avez plusieurs fichiers ouverts, sélectionnez Tous les fichiers ouverts pour attribuer des ID à toutes les occurrences de l’élément sélectionné dans tous les fichiers ouverts.

    4. Cliquez sur Assigner.

Parent topic: Référencement DITA


Utilisation des espaces de touche pour gérer des références de touche DITA

Familiarisez-vous avec les espaces de touche DITA et apprenez à créer et à gérer des espaces de touche pour gérer des références de touche DITA dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Création d’un espace de touche

  • Gestion des espaces de touche

Introduction

Dans une rubrique DITA, vous pouvez référencer directement un contenu en spécifiant le fichier de rubrique DITA (.xml). Par exemple, pour ajouter des liens dans la section des liens associés d’une rubrique DITA, vous pouvez sélectionner les fichiers de rubrique à référencer.

Toutefois, DITA fournit également les spécifications d’utilisation des touches permettant de référencer indirectement un contenu. Consultez les spécifications DITA relatives à l’élément ../dita-1.3-source/archSpec/base/key-based-addressing.html#key-based_addressing.

L’utilisation de touches ajoute un degré d’adressage indirect au contenu référencé. En utilisant des touches, l’auteur ne fait pas référence aux fichiers de rubrique directement. Il dispose d’un espace de touche, une collection de touches définies par l’utilisateur, à référencer. L’espace de touche référence en interne un certain nombre de rubriques. L’auteur n’est alors concerné que par les touches fournies dans l’espace de touche. En outre, puisque les touches sont définies par l’utilisateur, elles peuvent être nommées de manière appropriée pour permettre à l’auteur de les identifier facilement.

Les éléments de définition de touchepermettent de créer des keymaps puisque, par défaut, ces éléments ne sont pas générés dans une sortie DITA.

Création d’un espace de touche

Un espace de touche est créé via un fichier ditamap. Pour créer un fichier ditamap à utiliser comme espace de touche, vous devez ajouter des éléments de définition de touche (keydef) au fichier ditamap.

  1. Création d’un fichier ditamap.

  2. Ajoutez des éléments <keydef> au fichier ditamap.

    @L’attribut de touches permet d’identifier une définition de touche (keydef) spécifique dans un espace de touche. <> Puisque l’attribut @touches est obligatoire pour un élément de définition de touche (<keydef>), vous pouvez spécifier la valeur d’attribut dans la boîte de dialogue Attributs pour nouveaux éléments ou dans le champ Nom de touche de la boîte de dialogue Insérer un élément.

    Avec l’espace de touche, au lieu de se référer directement aux rubriques DITA associées, un auteur se référera uniquement aux noms des touches. C’est pourquoi vous devez spécifier des valeurs de touches qui indiquent clairement le contenu de la rubrique (sous-jacente) référencée.

  3. Enregistrer le fichier ditamap.

Gestion des espaces de touche

Pour utiliser une référence de touche dans votre rubrique DITA, vous devez charger l’espace de touche dans Adobe FrameMaker.

  1. Sélectionnez Structure > DITA > Gérer les espaces de touche pour ouvrir le Gestionnaire d’espaces de touche DITA.

    Vous pouvez également cliquer sur l'icône Gestion des espaces de touche dans la fenêtre du livre.

    Figure 1. Icône Gestion des espaces de touche dans la fenêtre du livre

    La boîte de dialogue Gestionnaire d’espace de touche DITA s'affiche.

    Figure 2. Boîte de dialogue Gestionnaire d’espace de touche DITA
    Boîte de dialogue Gérer l’espace de touche à l’aide du Gestionnaire d’espace de touche DITA

  2. Dans la liste déroulante Espace de touche, sélectionnez un fichier ditamap qui est défini comme espace de touche.

    Par défaut, la première touche dans la liste est toujours sélectionnée. Les fichiers ditamap ouverts dans la session en cours s’affichent dans la liste déroulante Espace de touche. Vous pouvez rechercher un espace de touche en saisissant les premiers caractères de la touche.

    Si le fichier ditamap requis n’est pas disponible dans la liste, cliquez sur Charger l’espace de touche, puis sélectionnez le fichier ditamap. Les références de touches définies dans l’espace de touche s’affichent dans la liste Touches définies.

    Si vous souhaitez mettre à jour les références dans tous les documents ouverts en utilisant l'espace de touche (actuellement chargé), sélectionnez l'option Mettre à jour les références dans tous les documents ouverts à l'aide de cet espace de touche. De cette façon, vous n'aurez pas à charger individuellement l'espace de touche pour chaque document ouvert.

    Si vous souhaitez utiliser le même espace de touche pour les fichiers que vous allez ouvrir dans la session en cours, sélectionnez l'option Keep This Keyspace Loaded While Opening New Files (Conserver cet espace de touche chargé lors de l'ouverture de nouveaux fichiers).

    Si vous apportez des modifications à l’espace de touche (fichier ditamap) après le chargement de l’espace de touche dans l’environnement actuel, cliquez sur l’icône Actualiser pour afficher les modifications apportées aux références de touches.

    Cliquez sur OK pour appliquer l’espace de touche sélectionné à tous les fichiers ditamap ouverts.

    Pour choisir un autre espace de touche pour un document particulier, utilisez le gestionnaire d’espace de touche défini. Vous pouvez définir un espace de touche à partir de plusieurs chemins, tels que des références croisées DITA, des liens DITA et des références contextuelles d’insertion.

Parent topic: Référencement DITA
  • frm_structauth-dita_sd_related-links.xml#topic_dita-related-links
  • frm_structauth-dita_sd_insert-topicref-in-ditamap.xml#topic_insert-topicref-in-ditamap
  • #topic_dita-using-keyspaces-to-manage-key-references


Mise à jour des références DITA

Apprenez à mettre à jour des références DITA dans Adobe FrameMaker.

Vous pouvez créer des références dans des rubriques ou des mappages DITA, en suivant l’une des méthodes ci-dessous :

  • Références au contenu (voir Utilisation des références contextuelles DITA)

  • Références croisées (voir Références croisées)

  • Références de rubrique (voir Insertion d’un élément de référence de rubrique dans un mappage DITA)

Si vous mettez à jour le contenu référencé, les références de la rubrique actuelle ne sont pas immédiatement mises à jour. Par exemple, si un mappage DITA référence une rubrique spécifique et que le titre de la rubrique est modifiée, le titre mis à jour n’apparaît pas immédiatement dans le mappage DITA.

Pour mettre à jour les références dans une rubrique ou un mappage sélectionné, utilisez la boîte de dialogue Références de mise à jour DITA :

  1. Sélectionnez Structure > DITA > Mettre à jour les références.

    La boîte de dialogue Références de mise à jour DITA s’affiche:

    Figure 1. Boîte de dialogue Références de mise à jour DITA
    Mise à jour de références DITA à l’aide de la boîte de dialogue Références de mise à jour DITA

  2. Pour mettre à jour les références de la rubrique actuelle ou du mappage actuel, vérifiez les options spécifiques, puis cliquez sur OK.

Parent topic: Référencement DITA


Recherche de références DITA

Apprenez à rechercher des références DITA dans Adobe FrameMaker.

Vous pouvez effectuer une recherche dans un document ou de manière récursive sur plusieurs fichiers d’un dossier pour trouver des liens tels qu’une référence contextuelle, une référence de rubrique, un lien ou une référence croisée. Par défaut, la boîte de dialogue Trouver des références renseigne l’ID de la rubrique en cours et de l’élément, si un élément est sélectionné. En règle générale, vous sélectionnez l’élément référencé ailleurs, puis appelez cette option.

  1. Sélectionnez Structure > DITA > Trouver des références. Ou, pour trouver la référence de l’élément en cours, cliquez avec le bouton droit de la souris au sein de l’élément, puis sélectionnez Trouver des références. L’ID de l’élément est renseigné automatiquement.

  2. Dans la boîte de dialogue Trouver des références, entrez l’ID de l’élément si nécessaire.

  3. Si vous le souhaitez, pour limiter la recherche à un espace de touche, sélectionnez l’espace de touche du document en cours.

  4. Définissez l’étendue de la recherche. Si vous sélectionnez un dossier, vous pouvez lancer la recherche de manière récursive pour trouver les références de l’élément dans tous les fichiers contenus dans le dossier.

  5. Cliquez sur Rechercher.

Parent topic: Référencement DITA


Références contextuelles DITA

Familiarisez-vous avec les références contextuelles dans DITA et découvrez comment les utiliser dans Adobe FrameMaker.

Lorsque vous travaillez avec DITA dans Adobe FrameMaker, vous pouvez utiliser une référence contextuelle (<conref>) pour réutiliser le contenu d’un autre document DITA. Une référence contextuelle est basée sur l’Attribut ID DITA assigné à l’élément source.

Vous pouvez utiliser un référencement direct pour pointer directement sur la rubrique DITA (fichier .xml) contenant les rubriques ou éléments cibles. Vous pouvez également utiliser le référencement indirect pour pointer sur des touches définies dans des espaces de touche. Pour plus d’informations, voir Référencement DITA.

Vous pouvez créer une <conref> pour presque n’importe quel élément du catalogue d’éléments DITA. Vous pouvez créer une <conref> pour un <topic> DITA afin de pouvoir réutiliser entièrement la rubrique, ou pour une partie spécifique de la rubrique, par ex. : un seul paragraphe ou tableau. Vous pouvez même créer une <conref> pour un seul élément <keyword>, <ph> ou <term> afin de le réutiliser et créer du contenu à partir d’une source unique, notamment des mots spécifiques, comme un nom de produit. La seule exigence pour la création d’une référence contextuelle est que l’élément doit posséder un Attribut ID DITA.

  • Configuration d’une rubrique pour utiliser des références contextuelles (conref)
    Apprenez à configurer une rubrique pour utiliser des références contextuelles (conref) dans Adobe FrameMaker.
  • Boîte de dialogue Référence contextuelle DITA
    Apprenez à ajouter des références contextuelles directes et indirectes à du contenu DITA dans FrameMaker à l’aide de la boîte de dialogue Référence contextuelle DITA.
  • Utilisation des références contextuelles DITA
    Apprenez à utiliser les références contextuelles et à créer ou mettre à jour des références contextuelles dans FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA


Configuration d’une rubrique pour utiliser des références contextuelles (conref)

Apprenez à configurer une rubrique pour utiliser des références contextuelles (conref) dans Adobe FrameMaker.

Pour créer une référence contextuelle (conref) dans vos rubriques DITA, vous devez d’abord créer une rubrique DITA (référencement direct) ou un mappage DITA (référencement indirect) contenant le contenu (éléments) que vous prévoyez de réutiliser. Par exemple, vous prévoyez de réutiliser un tableau, une liste ordonnée et une image sur plusieurs rubriques. Vous devez ajouter ces éléments à la rubrique source.

Si vous utilisez un référencement indirect, la rubrique est alors ajoutée au mappage DITA. En outre, pour rendre un élément réutilisable, vous devez lui affecter un ID unique.

Parent topic: Références contextuelles DITA
  • Configurer un contenu de référence


Boîte de dialogue Référence contextuelle DITA

Apprenez à ajouter des références contextuelles directes et indirectes à du contenu DITA dans FrameMaker à l’aide de la boîte de dialogue Référence contextuelle DITA.

La boîte de dialogue Référence contextuelle DITA permet d’ajouter des références contextuelles (conref) directes et indirectes au contenu DITA.

Pour ouvrir la boîte de dialogue DITA Conref, sélectionnez Insérer > Conref.

Figure 1. Boîte de dialogue Référence contextuelle DITA
Ajout de références contextuelles (conref) directes et indirectes au contenu DITA à l’aide de la boîte de dialogue Référence contextuelle DITA

A (Cible > Fichier) :

Sélectionnez cette option pour insérer une conref via Référencement DITA. Voir Créer une référence contextuelle (conref).

B (Cible > Touche) :

Sélectionnez cette option pour insérer une conref via Référencement DITA. Voir Création d’un lien DITA.

C (Cible > Les deux) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement direct ou indirect.

D (Fichier/Paramètres de touche) :

Si la cible est définie sur Fichier, sélectionnez une rubrique DITA dans la liste des rubriques actuellement ouvertes pour des références directes. Vous pouvez également sélectionner une rubrique qui n’est pas déjà ouverte.

Si la cible est définie sur Touche, sélectionnez une touche pour référence indirecte. Vous pouvez également ouvrir la boîte de dialogue Gestionnaire d’espace de touche DITA. Cette boîte de dialogue permet la Création d’un espace de touche et la définition de l’espace de touche par défaut pour la rubrique actuelle.

E (Filtrer texte) :

Recherchez la rubrique ou la touche requise vers laquelle vous souhaitez créer un lien. Cette recherche dynamique filtre les éléments lorsque vous commencez à saisir le nom dans la zone Filtrer texte. Vous pouvez filtrer le contenu selon l’élément, l’ID ou le texte (contenu).

Une fois que vous avez trouvé la rubrique requise, sélectionnez un élément à inclure en tant que lien. L’élément de lien définit une relation à une autre rubrique.

F (Élément de fin de référence contextuelle) :

Sélection d’un élément comme dernier élément de la plage des éléments en référence contextuelle (conref). Pour plus de détails, reportez-vous à la section Création d’une référence contextuelle (conref) pour une plage d’éléments.

Parent topic: Références contextuelles DITA


Utilisation des références contextuelles DITA

Apprenez à utiliser les références contextuelles et à créer ou mettre à jour des références contextuelles dans FrameMaker.

Dans ce sujet

  • Créer une référence contextuelle (conref)

  • Création d’une référence contextuelle (conref) pour une plage d’éléments

  • Mise à jour des références contextuelles (conrefs)

Créer une référence contextuelle (conref)

Pour créer une référence contextuelle (conref) pour une rubrique ou un mappage DITA dans votre rubrique ou mappage actuel, vous devez d’abord Configurer un contenu de référence dans les rubriques ou mappages cibles.

Créez ensuite une référence directe ou indirecte au contenu DITA cible.

  1. Placez le point d’insertion à l’emplacement pour insérer la référence contextuelle (conref) dans une rubrique ou un mappage.

    Pour insérer une référence contextuelle (conref) dans un emplacement de la rubrique, vous devez placer le point d’insertion pertinent pour l’élément de référence contextuelle (conref) :

    Un élément conref <li> (élément de liste) doit être placé dans une liste <ol> ou <ul>.

    Une <ligne> de tableau doit être placée dans un <tableau> ou un <tableau simple>.

    Dans le cas d’une <entrée> de tableau, vous ne pouvez pas placer le point d’insertion dans la <ligne> du tableau. Vous devez sélectionner l’<entrée> existante à remplacer.

  2. Sélectionnez Insérer > Conref.

    La boîte de dialogue Insérer une référence contextuelle s’affiche.

  3. Vous pouvez ajouter un lien comme référence directe ou indirecte au contenu cible.

    Pour créer une référence directe au contenu cible, procédez comme suit :

    1. Dans la boîte de dialogue Insérer une référence contextuelle, sélectionnez Cible : Fichier. Dans la liste déroulante Paramètres du fichier, choisissez Actuel pour sélectionner une cible de référence dans le fichier actuellement ouvert, ou ouvrez un fichier DITA existant à l’aide du bouton Parcourir….

    2. La liste d’éléments affiche les éléments auxquels des ID uniques sont affectés.

      Si un élément n’a pas d’ID unique affecté, vous pouvez Attribution d’un ID unique à un élément.

    3. Sélectionnez un élément à insérer comme référence contextuelle (conref) dans la rubrique actuelle.

      La liste présente également l’ID et le contenu des éléments (dans le cas d’éléments de texte).

    Si vous apportez des modifications à un élément de référence contextuelle (conref) dans la rubrique source, vous devez enregistrer la rubrique source et mettre à jour la rubrique du conteneur pour afficher les mises à jour.<>

    Pour créer une référence indirecte au contenu cible, procédez comme suit :

    1. Sélectionnez Cible : Touche, puis cliquez sur Gestionnaire d’espace de touche….

    2. Dans la boîte de dialogue Gestionnaire d’espace de touche DITA, sélectionnez la touche dans la liste Touches définies, puis cliquez sur OK.

    3. Sélectionnez un élément.

      Les éléments figurant dans la rubrique DITA de l’élément sélectionné qui possèdent un ID apparaissent dans la liste des éléments.

    4. Sélectionnez un élément à insérer comme référence contextuelle (conref), puis cliquez sur OK.

  4. Cliquez sur Insérer.

Création d’une référence contextuelle (conref) pour une plage d’éléments

Vous pouvez créer une référence contextuelle (conref) pour une plage d’éléments. Pour exemple, vous disposez de plusieurs éléments <p> (paragraphe) auxquels vous souhaitez faire référence. Vous pouvez alors créer une référence contextuelle (conref) pour tous les éléments <p>.

Note: Pour spécifier une plage de référence pour le contenu, les éléments au sein de la plage doit être du même type. Les éléments de début et de fin (au minimum) doivent avoir des identificateurs (ID) uniques.

  1. Pour sélectionner le premier élément d’une plage, suivez la procédure décrite dans la section Créer une référence contextuelle (conref), mais ne cliquez pas sur Insérer.

  2. Dans la liste déroulante Elément de fin de référence contextuelle, sélectionnez le dernier élément de la plage à inclure dans la référence contextuelle (conref).

  3. Cliquez sur Insérer.

Mise à jour des références contextuelles (conrefs)

Si vous mettez à jour un élément réutilisable après l’avoir référencé dans une autre rubrique, vous devez mettre à jour les références contextuelles (conref) dans la rubrique pour afficher les mises à jour.

Pour mettre à jour les références contextuelles (conref) dans une rubrique :

  1. Sélectionnez Structure > DITA > Mettre à jour les références.

    La boîte de dialogue Références de mise à jour DITA s’affiche.

  2. Sélectionnez Mettre à jour toutes les références contextuelles du fichier.

  3. Cliquez sur OK.

Toutes les références contextuelles (conref) de la rubrique actuelle sont mises à jour.

Parent topic: Références contextuelles DITA
  • Boîte de dialogue Référence contextuelle DITA
  • Configurer un contenu de référence
  • Référencement DITA
  • Utilisation des espaces de touche pour gérer des références de touche DITA
  • Création d’un espace de touche
  • Attribution d’un ID unique à un élément


DITAVAL

Familiarisez-vous avec les fichiers DITAVAL et apprenez à les utiliser pour générer une sortie conditionnelle dans FrameMaker.

Dans Adobe FrameMaker, un fichier DITAVAL vous permet de générer une sortie conditionnelle. Écrivez un document unique avec du contenu conditionnel (en utilisant des attributs d’élément).

Créez ensuite un fichier DITAVAL dans lequel vous spécifiez le contenu afin de créer plusieurs versions de sorties du document selon les attributs appliqués.

  • Génération d’une sortie conditionnelle (PDF)
    Apprenez à générer une sortie conditionnelle pour des rubriques DITA dans Adobe FrameMaker.
  • Configuration de rubriques DITA pour utiliser DITAVAL
    Apprenez à configurer des rubriques DITA pour utiliser les fichiers DITAVAL et à appliquer des attributs conditionnels à des éléments avec Adobe FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA


Génération d’une sortie conditionnelle (PDF)

Apprenez à générer une sortie conditionnelle pour des rubriques DITA dans Adobe FrameMaker.

Cette rubrique décrit, avec un exemple de cas d’utilisation, les étapes permettant de générer une sortie PDF contenant un contenu conditionnel.

Note: L’exemple utilisé dans cette rubrique inclut un contenu uniquement dans des balises de paragraphe (<p>). Vous pouvez cependant créer une sortie conditionnelle à partir de n’importe quel élément DITA d’un document.

Création d’un exemple de rubrique DITA

Créez une rubrique DITA avec quatre éléments de paragraphe (<p>) :

  1. Contenu destiné UNIQUEMENT à des administrateurs.

    @ Définissez l’attribut audience à admin.

  2. Contenu destiné UNIQUEMENT aux auteurs.

    @ Définissez l’attribut audience à author.

  3. Contenu pour les administrateurs et les auteurs

    Définissez l’attribut @audience sur admin author.

  4. Contenu destiné aux utilisateurs finaux et aux auteurs.

    @ Définissez l’attribut audience à end_user author.

Enregistrez le document.

Création d’un exemple de fichier DITAVAL

Créez un fichier DITAVAL avec quatre éléments prop :

  1. @attr: audience

    @val: admin

    @action: include

  2. @attr:audience

    @val:author

    @action: exclude

  3. @attr:audience

    @val:end_user

    @action: exclude

Le fichier DITAVAL ci-dessus fournira une sortie reprenant tous les contenus destinés aux administrateurs.

Enregistrez le fichier DITAVAL.

Enregistrement du contenu conditionnel au format PDF

  1. Créez un mappage DITA et incluez le document ci-dessus, puis enregistrez le mappage DITA en tant que PDF (Fichier > Enregistrer en tant que PDF).

  2. Dans la boîte de dialogue Enregistrer le document, sélectionnez l’option Demander le fichier DitaVal et cliquez sur Enregistrer.

    La boîte de dialogue Choisir le fichier DitaVal s’affiche.

  3. Sélectionnez le fichier DITAVAL, puis cliquez sur Sélectionner.

    L’option Appliquer comme condition génère l’intégralité du contenu. Cependant, le contenu marqué comme exclu dans le fichier DITAVAL sort barré. Sélectionnez cette option pour la révision du document. Par exemple, cette option permet d’indiquer à un réviseur le contenu étant marqué comme exclu.

  4. Dans la boîte de dialogue Configuration PDF, cliquez sur Définir.

Le fichier PDF de sortie inclut et exclut un contenu selon les attributs configurés dans le document et le fichier DITAVAL correspondant.

Parent topic: DITAVAL


Configuration de rubriques DITA pour utiliser DITAVAL

Apprenez à configurer des rubriques DITA pour utiliser les fichiers DITAVAL et à appliquer des attributs conditionnels à des éléments avec Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Application d’attributs de condition à des éléments

  • Pour appliquer des attributs de condition à un élément

  • Création d’un fichier DITAVAL pour créer une sortie conditionnelle

Introduction

Vous pouvez rendre des éléments d’un document DITA conditionnels en appliquant des attributs de condition aux éléments. Définissez ensuite dans un fichier DITAVAL les éléments à exclure ou inclure de la sortie en fonction des attributs de condition.

Avant de créer des documents avec un contenu conditionnel, vous devez d’abord prévoir les critères pour la sortie. Par exemple, supposons qu’un document possède un contenu destiné conditionnellement à des administrateurs et à des utilisateurs finaux. Dans le document, vous appliquez les attributs de condition selon le public cible du contenu. Ensuite, créez un fichier DITAVAL dans lequel vous spécifiez les éléments à inclure et à exclure selon la valeur d’attribut définie dans le document.

Application d’attributs de condition à des éléments

Pour autoriser FrameMaker à traiter conditionnellement des éléments dans un document DITA, vous devez spécifier les éléments à inclure ou exclure pour la sortie. Dans le document, appliquez un ou plusieurs des attributs conditionnels suivants aux éléments que vous devez traiter conditionnellement :

audience :

Exemple : administrateurs, auteurs ou utilisateurs finaux.

platform :

Exemple : Windows, Mac ou Linux

product :

Exemple : FrameMaker, RoboHelp ou Captivate.

otherprops :

Utilisez cet attribut pour définir toute autre propriété que vous devez utiliser pour activer un traitement conditionnel pour le document, par exemple :

sortie

Exemple : Impression, PDF ou Web

modèle

Exemple : coupé, berline ou break

Vous pouvez appliquer plusieurs attributs à un élément. Par exemple, vous pouvez appliquer les attributs suivants à un élément :

@public=« administrateur »

@plate-forme=« windows »

Vous pouvez également ajouter des valeurs multiples à un seul attribut. Les valeurs multiples sont séparées par une espace. Par exemple, pour cibler le contenu pour Windows et macOS, vous pouvez ajouter les deux valeurs d’attribut à l’attribut @attribut de plate-forme :

@plate-forme=« windows macos »

Important: Les attributs énumérés ci-dessus sont recommandés lors de l’utilisation de DITAVAL avec un contenu de source unique. Cependant, vous n’êtes pas uniquement limité à ces attributs. Vous pouvez utiliser tout attribut défini pour l’élément sélectionné dans un document.

Pour appliquer des attributs de condition à un élément

  1. Sélectionnez un élément dans la Vue de la structure du document.

  2. Sélectionnez Elément > Modifier les attributs pour éplingler le panneau Attributs.

    Mise à jour d’un ou plusieurs des attributs suivants :

    • audience

    • platform

    • product

    • otherprops

  3. Spécifiez la condition ci-dessus pour chaque élément du document qui doit être traité conditionnellement.

Après avoir appliqué les attributs aux éléments spécifiques du document, sortez conditionnellement le contenu dans votre document selon le mode de configuration de votre fichier DITAVAL.

Création d’un fichier DITAVAL pour créer une sortie conditionnelle

Après avoir configuré votre contenu à l’aide des attributs de condition (audience, platform, product et otherprops), vous devez créer un fichier DITAVAL. Dans un fichier DITAVAL, définissez le traitement conditionnel de votre document selon une paire <nom d’attribut> – <valeur>. Par exemple, vous pouvez spécifier que le contenu destiné aux administrateurs doit être exclu du contenu de sortie destiné aux utilisateurs finaux ou aux auteurs.

  1. Sélectionnez Fichier > Nouveau > XML pour ouvrir la boîte de dialogueNouveau XML.

  2. Dans la section Applications structurées, sélectionnez DITA_<version>_DITAVAL, puis cliquez sur OK.

    L’élément supérieur d’un fichier DITAVAL est l’élément <val>.

    Pour définir des conditions, vous devez créer des éléments <prop>.

  3. Ajoutez un ou plusieurs éléments <accessoire> :

    SélectionnezAffichage > Panneaux > Catalogue d’éléments pour ouvrir le catalogue Éléments. Double-cliquez sur l’élément <accessoire> dans le panneau Éléments.

    Ou appuyez sur ctrl+1 pour afficher le Catalogue intelligent. Sélectionnez prop, puis appuyez sur Entrée.

    La boîte de dialogue Attributs du nouvel élément s’affiche.
    Figure 1. Boîte de dialogue Attributs du nouvel élément
    Boîte de dialogue Attributs d'un nouvel élément

  4. Dans la boîte de dialogue Attributs du nouvel élément, spécifiez les attributs suivants :

    @action

    Choisissez d’inclure ou d’exclure l’attribut spécifié (@att, ci-dessous) de la sortie.

    @att

    Le nom de l’attribut de condition a été appliqué à l’élément dans votre document.

    Entrez le nom d’attribut exactement tel qu’il est défini dans l’élément du document.

    @val

    La valeur de l’attribut de condition (@att) telle que définie dans l’élément.

    Entrez la valeur exactement comme vous la spécifiez pour l’attribut dans l’élément.

    Par exemple, imaginons que vous appliquiez l’attribut @audience à un élément pour une sortie conditionnelle et que vous définissiez la valeur sur admin.

    Vous devez saisir audience dans le champ @attr pour l’élément prop dans le fichier DITAVAL.

    En outre, vous devez entrer admin dans le champ @val.

    Pour exclure l’élément avec l’attribut audience défini sur admin@, spécifiez l’action sur exclude.

  5. Cliquez sur Insérer un élément, puis enregistrez le fichier DITAVAL.

  6. Enregistrez le document avec l’extension .ditaval.

Parent topic: DITAVAL
  • Application d’attributs de condition à des éléments
  • Création d’un fichier DITAVAL pour créer une sortie conditionnelle


Références croisées DITA

Apprenez à utiliser les références croisées DITA dans Adobe FrameMaker.

Vous pouvez fournir aux lecteurs des liens vers des éléments contenus dans la même rubrique ou vers des éléments d’autres rubriques. FrameMaker permet de créer des liens par le biais de références croisées DITA. Une référence croisée DITA se base sur l’attribut ID DITA assigné à l’élément cible. Si la position d’un élément dans la rubrique cible change, le lien reste intact tant que l’ID demeure intact.

Vous pouvez utiliser un référencement direct pour pointer directement sur la rubrique DITA (fichier .xml) contenant les rubriques ou éléments cibles. Vous pouvez également utiliser le référencement indirect pour pointer sur des touches définies dans des espaces de touche.

Il est possible de créer des références croisées pour quasiment n’importe quel élément du catalogue des éléments DITA. Créez des références contextuelles (conrefs) pour une <rubrique> DITA afin de rendre une rubrique entière réutilisable. Vous pouvez également créer une référence croisée à une section, à des listes complètes, à des éléments de liste, à des cellules de tableau, à des paragraphes, ou même à un seul mot ou numéro marqué avec des éléments comme <keyword> ou <ph>. La seule exigence pour la création d’une référence croisée est que l’élément doit posséder un attribut ID.

  • Configuration de rubriques DITA pour utiliser des références croisées
    Apprenez à configurer des rubriques pour utiliser des références croisées DITA dans Adobe FrameMaker.
  • Boîte de dialogue Référence croisée DITA
    Apprenez à utiliser la boîte de dialogue Référence croisée DITA dans Adobe FrameMaker.
  • Création d’une référence croisée DITA
    Apprenez à configurer du contenu de référence dans une rubrique DITA afin de créer une référence croisée dans Adobe FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA
  • Attribut ID DITA
  • Référencement DITA


Configuration de rubriques DITA pour utiliser des références croisées

Apprenez à configurer des rubriques pour utiliser des références croisées DITA dans Adobe FrameMaker.

Pour créer une référence croisée dans votre rubrique DITA, vous devez d’abord créer une rubrique DITA (référencement direct) abritant le contenu que vous prévoyez de réutiliser. Vous pouvez aussi configurer un mappage DITA abritant le contenu que vous prévoyez de réutiliser (référencement indirect).

Par exemple, si vous prévoyez de réutiliser un tableau, une liste ordonnée et une image dans plusieurs rubriques, vous devez ajouter ces éléments à la rubrique source. Si vous utilisez le référencement indirect, vous devez ajouter la rubrique au mappage DITA. Par ailleurs, pour qu’un élément soit réutilisable, vous devez lui affecter un identifiant (ID) unique.

Parent topic: Références croisées DITA
  • Configurer un contenu de référence


Boîte de dialogue Référence croisée DITA

Apprenez à utiliser la boîte de dialogue Référence croisée DITA dans Adobe FrameMaker.

La boîte de dialogue Référence croisée DITA permet d’ajouter des références croisées directes et indirectes au contenu DITA.

Figure 1. Boîte de dialogue Référence croisée DITA
Ajout de références croisées directes et indirectes à du contenu DITA à l’aide de la boîte de dialogue Référence croisée DITA

A (Élément DITA) :

Sélectionnez l’élément DITA à utiliser pour la référence croisée. Par défaut, l’élément est <xref>.

Consultez les spécifications DITA relatives à l’élément xref.

B (Cible > Fichier) :

Sélectionnez cette option pour insérer une référence croisée directe.

C (Cible > Touche) :

Sélectionnez cette option pour créer une référence croisée indirecte. Vous pouvez sélectionner une touche dans la liste déroulante Paramètres de touche.

D (Cible > Les deux) :

Sélectionnez cette option pour créer une référence croisée à l’aide d’un référencement direct ou indirect.

E (Fichier/Paramètres de touche) :

Si la cible est définie sur Fichier, sélectionnez une rubrique DITA dans la liste des rubriques actuellement ouvertes pour des références directes. Vous pouvez aussi sélectionner une rubrique en cliquant sur Parcourir.

Si la cible est définie sur Touche, sélectionnez une touche pour référence indirecte. Vous pouvez également ouvrir la boîte de dialogue Gestionnaire d’espace de touche DITA. Cette boîte de dialogue vous permet de créer un espace de touche et de définir l’espace de touche par défaut pour la rubrique actuelle.

F (Filtrer texte) :

Recherchez la rubrique ou touche requise vers laquelle vous souhaitez créer une référence croisée. Cette recherche dynamique filtre les éléments lorsque vous commencez à saisir le nom dans la zone Filtrer texte. Vous pouvez filtrer le contenu selon un élément, un ID ou un texte (contenu).

Une fois que vous avez trouvé la rubrique requise, sélectionnez un élément à inclure en tant que référence croisée. L’élément de lien définit une relation à une autre rubrique.

G (Texte affiché)

Spécifiez le texte de référence croisée à afficher comme texte.

H (Format d’affichage)

Sélectionnez Format et choisissez un format d’affichage dans la liste déroulante :

Format DITA par défaut

Affichage du titre de la rubrique de référence.

See_Title_and_Page

Afficher Voir <titre de rubrique> à la page <numéro de page>.

Title_and_Page

Afficher <titre de rubrique> dans <page>.

I (Référence croisée externe)

Insérez une référence croisée renvoyant à une ressource externe (non DITA). Dans la boîte de dialogue Référence croisée externe DITA, indiquez la source pour le lien externe : Se reporter à la touche ou Cible de la référence croisée (href). Si vous le souhaitez, vous pouvez spécifier un texte pour le lien. Si vous ne spécifiez pas de texte d’affichage dans le champ Texte du lien, le lien saisi dans le champ Cible de la référence croisée (href) est utilisé comme texte pour le lien.

Vous pouvez également insérer une référence croisée externe via le menu principal (Insérer > Référence externe) ou via le menu contextuel.

Parent topic: Références croisées DITA
  • Création d’une référence croisée DITA
  • Création d’un espace de touche


Création d’une référence croisée DITA

Apprenez à configurer du contenu de référence dans une rubrique DITA afin de créer une référence croisée dans Adobe FrameMaker.

Remember: Une référence croisée est un élément DITA en ligne. Vous ne pouvez insérer des éléments en ligne que dans un élément parent. Vous pouvez insérer une référence croisée dans des éléments parents comme un paragraphe (<p>) ou un élément de liste (<li>).

Pour créer une référence croisée entre une rubrique DITA et une autre rubrique ou un autre mappage, vous devez d’abord configurer du contenu de référence dans la rubrique ou le mappage cible.

Insérez ensuite une référence croisée directe ou indirecte vers le contenu DITA cible.

Création d’une référence directe au contenu cible

  1. Placez le point d’insertion à l’emplacement voulu pour insérer la référence croisée dans une rubrique ou un mappage.

  2. Sélectionnez Insérer > Référence croisée. La boîte de dialogue Référence croisée DITA s’affiche.

  3. Sélectionnez Cible : Fichier.

  4. Dans la liste déroulante Paramètres du fichier, choisissez le fichier DITA qui contient l’élément cible. Sélectionnez Actuel pour les éléments disponibles dans le document actif, ou sélectionnez tout autre fichier DITA actuellement ouvert.

    Si la rubrique n’est pas disponible dans la liste, cliquez sur Parcourir… pour ouvrir un fichier DITA.

  5. Après avoir sélectionné le fichier cible DITA, la liste Elément affiche uniquement les éléments auxquels un identifiant (ID) unique a été affecté. Sélectionnez Tout afficher pour afficher tous les éléments du document cible.

    La liste présente également l’ID et le contenu (dans le cas d’éléments de texte) des éléments.

  6. Sélectionnez un élément à insérer en tant que référence croisée.

  7. Dans la section Affichage, spécifiez le texte ou le format à afficher dans le lien.

  8. Cliquez sur Insérer.

Création d’une référence indirecte au contenu cible

  1. Placez le point d’insertion à l’emplacement voulu pour insérer la référence croisée dans une rubrique ou un mappage.

  2. Sélectionnez Insérer > Référence croisée. La boîte de dialogue Référence croisée DITA s’affiche.

  3. Sélectionnez Cible : Touche. Après avoir sélectionné la touche, la liste Elément affiche les types de rubrique DITA intégrés dans l’espace de touche.

    La liste Elément affiche uniquement les éléments qui possèdent un identifiant (ID) unique. Sélectionnez Tout afficher pour afficher tous les éléments du document cible.

  4. Dans la liste déroulante Paramètres de touche, sélectionnez la touche requise à insérer en tant que référence croisée.

  5. Dans la section Affichage, spécifiez le texte ou le format à afficher dans le lien.

  6. Cliquez sur Insérer.

Note: Si vous apportez des modifications à un élément de référence croisée dans la rubrique source, vous devez enregistrer la rubrique source et mettre à jour la rubrique du conteneur pour afficher les mises à jour.
Parent topic: Références croisées DITA
  • Configurer un contenu de référence
  • Boîte de dialogue Référence croisée DITA
  • Référencement DITA
  • Attribution d’un ID unique à un élément
  • Utilisation des espaces de touche pour gérer des références de touche DITA
  • Création d’un espace de touche


Tableaux de relations DITA

Familiarisez-vous avec les concepts de rubriques associées dans DITA et avec la manière dont des tableaux de relations permettent de créer des liens pour les rubriques associées dans Adobe FrameMaker.

Introduction

Dans un ensemble de rubriques DITA, vous avez certainement des rubriques qui sont reliées les unes aux autres. Dans ce cas, vous pourriez souhaiter inclure un ensemble de liens (Voir aussi) associés à la fin de chaque rubrique. Les lecteurs bénéficient ainsi de davantage de références de lecture, si nécessaire.

Par exemple, si vous traitez les options Enregistrer sous comme des rubriques distinctes dans FrameMaker :

  • Enregistrer sous

  • Enregistrer au format PDF

  • Enregistrer en tant que PDF de révision

  • Enregistrer au format XML

Dans ce cas, à la fin de chacune de ces sections, vous pouvez inclure des liens associés aux trois autres rubriques.

Utilisation des mappages DITA

Dans FrameMaker, les tableaux de relations permettent de créer des liens associés dans des rubriques DITA. Utilisez des tableaux de relations avec des mappages DITA. Cela signifie que vous devez créer un mappage DITA, puis inclure les rubriques dans votre rubrique définie dans le mappage DITA. Ajoutez ensuite les tableaux de relations au mappage. Dans les tableaux de relations, définissez les rubriques associées contenues dans le mappage DITA.

Types de rubrique DITA à ajouter

Vous pouvez ajouter les types de rubrique DITA suivants à un tableau de relations :

  • Rubrique

  • Tâche

  • Concept

  • Référence

  • Création d’un tableau de relations
    Apprenez à créer un tableau de relations dans Adobe FrameMaker. Découvrez un exemple de flux de tableau de relations
  • Test d’un tableau de relations avec l’option Enregistrer au format PDF
    Apprenez à tester la sortie d’un tableau de relations avec l’option Enregistrer au format PDF dans Adobe FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA


Création d’un tableau de relations

Apprenez à créer un tableau de relations dans Adobe FrameMaker. Découvrez un exemple de flux de tableau de relations

Dans ce sujet

  • Création d’un tableau de relations

  • Ajout d’un type de rubrique DITA spécifique à une colonne de tableau de relations

  • Ajout d’une rubrique associée à une cellule du tableau de relations

  • Ajout de rubriques associées à une ligne du tableau de relations

  • Spécification de l’ordre des rubriques associées dans une ligne du tableau de relations

Création d’un tableau de relations

  1. Dans la Vue structurée d’un mappage DITA, placez le point d’insertion à la fin de la rubrique et au même niveau que les éléments topicref.

  2. Pour afficher le Catalogue dynamique, appuyez sur ctrl+1 et sélectionnez reltable.

    La boîte de dialogue Insérer un tableau s’affiche.

  3. Spécifiez le nombre de colonnes et de lignes.

    Le nombre de colonnes dépend du nombre de rubriques associées que vous envisagez de regrouper.

    Le nombre de lignes dépend du nombre de groupes de rubriques associées que vous envisagez de créer.

    Vous pouvez également créer plusieurs tableaux de relation pour plusieurs groupes de rubriques associées.

  4. Cliquez sur Insérer.

Un tableau de relation est ajouté au mappage DITA.

Pour afficher le tableau de relations dans une vue tabulaire, accédez à la vue Document.

Vous pouvez ajouter des rubriques à un tableau de relations à partir de la Vue de la structure, mais la vue tabulaire est plus pratique à utiliser.

Figure 1. Tableau de relations par défaut (comprenant 4 colonnes et 1 ligne courante)
Tableau de relations par défaut (comprenant 4 colonnes et 1 ligne courante) dans Adobe FrameMaker

Dans chaque cellule d’en-tête du tableau de relations, spécifiez le type de rubrique DITA des rubriques associées que vous envisagez d’inclure dans les cellules courantes de la colonne.

FrameMaker permet d’ajouter les types de rubrique DITA suivants dans un tableau de relations :

  • Rubrique

  • Tâche

  • Concept

  • Référence

Par défaut, FrameMaker prend en charge le type Rubrique. Ainsi, si vous envisagez de n’inclure que les types Rubrique dans le tableau, il n’est pas nécessaire de définir l’attribut type.

Ajout d’un type de rubrique DITA spécifique à une colonne de tableau de relations

Pour ajouter un type de rubrique DITA spécifique à une colonne du tableau de relations, procédez comme suit :

  1. Placez le point d’insertion dans la cellule d’en-tête du tableau.

  2. Ouvrez la boîte de dialogue Attributs (Elément > Modifier les attributs).

  3. Définissez l’attribut @type du type de rubrique DITA.

    Type de rubrique → valeur de l’attribut : topic

    Type de tâche → valeur de l’attribut : task

    Type de concept → valeur de l’attribut : concept

    Type de référence → valeur de l’attribut : reference

    CAUTION:
    Les valeurs d’attributs sont sensibles à la casse.

@Si vous définissez un attribut Type comme décrit ci-dessus, l’en-tête de colonne est mis à jour :

Figure 2. Attributs de type mis à jour
Tableau de relations avec attributs de type mis à jour dans FrameMaker

Ajout d’une rubrique associée à une cellule du tableau de relations

Dans chaque cellule d’une ligne du tableau de relations, ajoutez une référence de rubrique vers les rubriques associées. Cela signifie qu’il faut inclure un ensemble de rubriques associées dans les cellules d’une ligne du tableau.

Pour ajouter des références de rubrique aux rubriques associées dans les cellules courantes du tableau, procédez comme suit :

  1. Placez le point d’insertion dans la cellule d’une ligne. Dans le catalogue Eléments (Elément > Catalogue d’élément), cliquez deux fois sur l’élément topicref pour l’ajouter à la cellule. La boîte de dialogue Insérer un élément apparaît.

    Le catalogue dynamique permet également d’insérer l’élément de référence de rubrique (topicref).

    Appuyez sur ctrl+1 pour afficher le Catalogue dynamique. Sélectionnez et ajoutez l’élément de référence de rubrique (topicref).

  2. Dans le champ HRef, saisissez le chemin d’accès à un fichier de rubrique, puis cliquez sur OK.

    Sinon, recherchez et sélectionnez la rubrique à l’aide du bouton Parcourir.

    La référence de rubrique est ajoutée à la ligne du tableau.

  3. Ajoutez une référence de rubrique (à une rubrique associée) à chaque cellule de la ligne du tableau.

Si le tableau comprend plusieurs lignes, vous pouvez ajouter plusieurs groupes de rubriques associées (références) à chaque ligne.

Tip: Si vous ne pouvez pas ajouter de référence de rubrique à une cellule du tableau, sélectionnez le type de rubrique spécifié dans l’en-tête de colonne.

Ajout de rubriques associées à une ligne du tableau de relations

Pour spécifier que dans un mappage DITA deux rubriques ou plus sont associées, vous devez ajouter ces éléments à une seule ligne du tableau de relations. Pour les étapes de création d’un tableau de relations, voir Création d’un tableau de relations.

Par exemple, pour indiquer que les rubriques Enregistrer sous, Enregistrer au format PDF, Enregistrer en tant que PDF de révision et Enregistrer au format XML sont les rubriques associées :

Figure 3. Tableau de relations dans la vue Document
Tableau de relations dans la vue Document dans Adobe FrameMaker

Note: Dans FrameMaker, lorsqu’il apparaît dans la vue Document, le tableau de relations a le même aspect qu’un tableau FrameMaker que vous incluez comme faisant partie de votre contenu.

Vous pouvez ajouter un nombre quelconque de lignes à un tableau de relations. FrameMaker traite toutes les rubriques d’une ligne comme associées.

Vous pouvez ajouter un nombre quelconque de tableaux de relations à un mappage DITA. Ce procédé permettrait ainsi de regrouper des ensembles de rubriques associées.

Spécification de l’ordre des rubriques associées dans une ligne du tableau de relations

L’ordre des rubriques associées dans une ligne du tableau définit la séquence d’affichage des rubriques dans la section Liens associés de la sortie du mappage DITA.

Dans l’exemple suivant, la section Liens associés de la rubrique Enregistrer au format PDF doit apparaître comme suit :

  • Enregistrer sous

  • Enregistrer en tant que PDF de révision

  • Enregistrer au format XML

Figure 4. Tableau de relations dans la vue Document
Tableau de relations dans la vue Document de FrameMaker

Cela signifie que si vous changez l’ordre des rubriques dans le tableau, la séquence dans la section Liens associés s’affiche différemment.

Parent topic: Tableaux de relations DITA


Test d’un tableau de relations avec l’option Enregistrer au format PDF

Apprenez à tester la sortie d’un tableau de relations avec l’option Enregistrer au format PDF dans Adobe FrameMaker.

Pour tester la sortie après la création d’un tableau de relations dans un mappage DITA, vous pouvez utiliser l’option Enregistrer au format PDF de FrameMaker.

  1. Vérifiez que le mappage DITA est sélectionné.

  2. Sélectionnez Fichier > Enregistrer au format PDF.

  3. Dans la boîte de dialogue Enregistrer le document, sélectionnez un emplacement de sortie, cliquez sur Enregistrer.

La sortie PDF du mappage DITA affiche les sections Liens associés pour les rubriques que vous incluez dans les cellules des tableaux de relations du mappage DITA.

Note: La fonctionnalité Enregistrer au format PDF est utilisée dans cette section à titre d’exemple. Vous pouvez également publier le mappage DITA aux formats de sortie disponibles dans la fonction Publication multicanaux de FrameMaker.

Les rubriques apparaissent dans le même ordre que celui que vous avez spécifié dans les cellules de la ligne du tableau.

En outre, la section Rubriques associées n’inclut pas la rubrique actuelle. Prenons l’exemple de tableau de relations suivant :

Figure 1. Tableau de relations dans la vue Document
Tableau de relations dans la vue Document dans FrameMaker

La section Liens associés s’affiche :

  • Enregistrer au format PDF

  • Enregistrer en tant que PDF de révision

  • Enregistrer au format XML

Elle n’affiche pas la rubrique Enregistrer sous (en cours).

Parent topic: Tableaux de relations DITA


Publication DITA

Apprenez à générer une sortie pour votre contenu DITA avec Adobe FrameMaker, à l’aide des processus de publication.

Dans ce sujet

  • Enregistrer au format PDF

  • Publication multicanaux

Enregistrer au format PDF

La fonction Enregistrer au format PDF de FrameMaker permet de générer une rubrique DITA ou un mappage DITA (y compris un plan d’ouvrage) au format PDF. La sortie PDF qui est créée utilise l’affichage de la vue WYSIWYG. En d’autres termes, les règles de formatage d’applications structurées appliquées à la rubrique ou au mappage sont générées au format PDF.

Pour créer une sortie PDF d’une rubrique DITA, sélectionnez Fichier > Enregistrer au format PDF.

Si vous utilisez la fonction Enregistrer au format PDF pour créer une sortie PDF d’un mappage, dans la boîte de dialogue Enregistrer le document, vous pouvez sélectionner l’option Demander le fichier DitaVal.

La fonction DITAVAL permet de générer de manière conditionnelle le contenu des rubriques dans le mappage. Pour plus de détails, reportez-vous à la section DITAVAL.

Publication multicanaux

La fonction Publication multicanaux de FrameMaker permet de générer une rubrique ou un mappage DITA aux formats de sortie suivants :

  • Responsive HTML5

  • App mobile

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • HTML de base

Parent topic: Création de contenu structuré à l’aide de DITA


Jeu d’outils Open Source DITA

Familiarisez-vous avec le jeu d’outils Open Source DITA et apprenez à vous en servir pour générer une sortie dans FrameMaker.

Le jeu d'outils Open Source DITA (DITA OT) est un ensemble d'outils open source basés sur Java, offrant un traitement pour des contenus de mappages DITA et le contenu des rubriques. FrameMaker intègre le jeu d’outils Open Toolkit DITA 3.3 (par défaut), 3.0 et 2.3 (DITA-OT) pour transformer le contenu DITA (mappages et rubriques) en formats livrables.

Par défaut, FrameMaker vous permet de publier votre contenu DITA dans les formats de sortie suivants :

  1. PDF2

  2. XHTML

  3. CHM (installez HTML Help Workshop pour générer des CHM)

  4. Personnalisé

Vous pouvez également générer une sortie pour des formats comme Docbook, Java help et RTF. Pour activer d’autres formats de sortie, voir Personnalisation des types de sortie disponibles avec le jeu d’outils Open Source DITA.

  • Génération d’une sortie avec le jeu d’outils Open Source DITA
    Apprenez à publier des fichiers DITA avec le jeu d’outils Open Source DITA et Adobe FrameMaker.
  • Personnalisation des types de sortie disponibles avec le jeu d’outils Open Source DITA
    Apprenez à publier des fichiers DITA avec le jeu d’outils Open Source DITA et Adobe FrameMaker.
  • Utilisation d’un package DITA-OT différent
    Apprenez à publier des fichiers DITA avec le jeu d’outils Open Source DITA et Adobe FrameMaker.
Parent topic: Création de contenu structuré à l’aide de DITA


Génération d’une sortie avec le jeu d’outils Open Source DITA

Apprenez à publier des fichiers DITA avec le jeu d’outils Open Source DITA et Adobe FrameMaker.

  1. Avec le fichier DITA adéquat sélectionné, sélectionnez Structure > DITA > Générer la sortie DITA-OT.

    La boîte de dialogue Générer la sortie DITA-OT s’affiche.

    Figure 1. Boîte de dialogue Générer la sortie DITA-OT
    Boîte de dialogue Générer la sortie DITA-OT dans FrameMaker

  2. Sélectionnez un type de sortie.

  3. Sélectionnez l’option Afficher le fichier journal si vous souhaitez lancer le fichier journal une fois la publication terminée.

    Par défaut, DITA-OT est installée en même temps que FrameMaker. Cependant, si vous avez installé séparément le jeu d’outils, vous pouvez spécifier l’emplacement d’installation dans le champ Répertoire DITA-OT. Pour modifier le répertoire par défaut, voir Utilisation d’un package DITA-OT différent.

  4. Sélectionnez l’option Ouvrir le dossier de sortie pour ouvrir le dossier de sortie dans l’explorateur Windows. Le dossier de sortie est affiché dans l’explorateur Windows une fois la publication terminée.

  5. Sélectionnez l’option Laisser cette fenêtre ouverte après génération afin de conserver cette boîte de dialogue ouverte une fois la publication terminée.

  6. Sélectionnez un fichier DITAVAL pour spécifier le filtrage conditionnel du contenu avec des paires attribut/valeur définies dans le fichier DITAVAL. Pour plus d’informations sur l’utilisation des fichiers DITAVAL, voir DITAVAL.

    Si vous envisagez d’utiliser le même fichier DITAVAL lorsque vous générez une sortie pour plusieurs documents, vous pouvez spécifier le nom de fichier et l’emplacement dans ditafm.ini. Dans ce cas, vous n’avez pas besoin de sélectionner un fichier DITAVAL à chaque fois que vous générez la sortie.

    Note: Si vous spécifiez un fichier DITAVAL dans les deux emplacements (ditafm.iniet boîte de dialogue Générer la sortie DITA-OT), le fichier sélectionné dans la boîte de dialogue Générer la sortie DITA-OT a la priorité.

  7. Cliquez sur Générer.

FrameMaker appelle DITA-OT et génère la sortie dans le même dossier que celui de la rubrique ou du mappage source.

Parent topic: Jeu d’outils Open Source DITA


Personnalisation des types de sortie disponibles avec le jeu d’outils Open Source DITA

Apprenez à publier des fichiers DITA avec le jeu d’outils Open Source DITA et Adobe FrameMaker.

Par défaut, FrameMaker permet d’utiliser le jeu d’outils Open Source DITA pour générer la sortie pour PDF2, XHTML et l’aide HTML. Cependant, ce jeu d’outils permet également de générer une sortie pour plusieurs autres formats. Pour générer une sortie dans d’autres formats, vous devez mettre à jour le fichier ditafm.ini.

Important: La procédure suivante nécessite des modifications à apporter au fichier ditafm.ini. Préalablement à toute modification, nous recommandons d’effectuer une sauvegarde de ce fichier.

  1. Ouvrez le fichierditafm.inidans le dossier utilisateur actuel : %appdata%\Adobe\FrameMaker\17\ditafm.ini

  2. Recherchez le texte suivant dans le fichier :

    Count=3
1=xhtml
2=htmlhelp
3=pdf
    Note: La liste numérotée ci-dessus est identique à la liste des formats de sortie disponibles dans la boîte de dialogue Générer la sortie DITA-OT.

  3. Pour ajouter ou supprimer des types de sortie de la boîte de dialogue Générer la sortie DITA-OT, vous devez spécifier Count comme le nombre de types à afficher dans la liste.

  4. La liste suivante répertorie tous les types de sortie disponibles que vous pouvez inclure. Pour inclure un ou plusieurs des types suivants, vous devez les ajouter à la liste numérotée et vous assurer que la séquence des nombres est conservée :

    • docbook

    • eclipsecontent

    • eclipsehelp

    • htmlhelp

    • javahelp

    • net.sourceforge

    • html

    • odt

    • pdf

    • tocjs

    • troff

    • wordrtf

    • xhtml

    Note: Les entrées de type output (sortie) dans le fichier ditafm.ini respectent la casse. Vous devez rendre les entrées comme la liste ci-dessus.

    L’exemple suivant ajoute les formats d’aide d’Eclipse et RTF de MS Word à la liste existante.

    Count=5
1=xhtml
2=htmlhelp
3=pdf2
4=eclipsehelp
5=wordrtf
    Note: Vous pouvez modifier complètement la liste pour inclure n’importe quel ensemble de types de sortie.

  5. Redémarrez FrameMaker pour que les modifications prennent effet.

Parent topic: Jeu d’outils Open Source DITA


Utilisation d’un package DITA-OT différent

Apprenez à publier des fichiers DITA avec le jeu d’outils Open Source DITA et Adobe FrameMaker.

Par défaut, FrameMaker utilise DITA Open Toolkit 3.3. Cependant, les packages DITA-OT 3.0 et 2.3 sont également installés avec FrameMaker. Si vous avez déjà installé une autre version du jeu d’outils DITA Open Toolkit, vous pouvez personnaliser son chemin d’accès en modifiant le fichier d’initialisation de DITA ou à partir de la boîte de dialogue Personnaliser DITA-OT.

Pour une modification unique, vous pouvez modifier le chemin d’accès au répertoire lorsque vous générez la sortie à l’aide du jeu d’outils Open Source DITA.

Pour modifier le répertoire DITA-OT par défaut de FrameMaker via le fichier d’initialisation DITA, procédez comme suit :

  1. Ouvrez le fichierditafm.inidans le dossier de profil de l’utilisateur actuel :

    %appdata%\Adobe\FrameMaker\17\ditafm.ini

  2. Recherchez le texte suivant dans le fichier :

    DitaDir=%FMHOME%\fminit\ditafm\DITA-OT

  3. Modifiez la valeur de DitaDir pour désigner l’autre dossier DITA-OT.

    Exemple :

    DitaDir=C:\DITA-OT_3.2.1

  4. Relancez FrameMaker.

    Le nouveau chemin d’accès de DITA OT est renseigné dans la boîte de dialogue Sortie DITA générée.

Pour modifier le répertoire DITA-OT par défaut de FrameMaker via la boîte de dialogue Personnaliser DITA-OT :

  1. Sélectionnez Structure > DITA > Générer la sortie DITA-OT pour ouvrir la boîte de dialogue Générer la sortie DITA-OT.

  2. Cliquez sur le bouton Personnaliser pour ouvrir la boîte de dialogue Personnaliser DITA-OT.

  3. Modifiez les paramètres en fonction de votre configuration, puis cliquez sur OK.

Figure 1. Boîte de dialogue Personnalisation de DITA-OT
Boîte de dialogue Personnalisation de DITA-OT dans FrameMaker

Les paramètres suivants peuvent être spécifiés dans la boîte de dialoguePersonnalisation de DITA-OT:

Répertoire DITA-OT : (%DITA_DIR%)

Spécifiez le chemin vers le jeu d’outils DITA-OT personnalisé. Vous pouvez utiliser la variable %FMHOME% qui se rapporte à l’emplacement d’installation de FrameMaker. Ce chemin est enregistré dans la variable DITA_DIR, qui peut être utilisée pour indiquer le chemin d’accès d’autres dossiers correspondants.

Commande Ant

Spécifiez le chemin du dossier du script Ant. Ce chemin est relatif au répertoire DITA-OT dans votre système de fichiers.

Ant Home

Spécifiez le chemin du dossier d’installation Ant.

Classpath

Spécifiez le chemin des bibliothèques Java.

Build File

Spécifiez le chemin du fichier de script de génération ANT build.xml. Ce chemin est relatif au répertoire DITA-OT.

Extra Params

Spécifiez tous les paramètres supplémentaires requis par votre module externe personnalisé DITA-OT.

Parent topic: Jeu d’outils Open Source DITA


Spécialisation DITA

Apprenez à convertir automatiquement des fichiers de base en fichiers spécialisés à l’aide d’une DTD spécialisée, avec la boîte de dialogue Spécialisation DITA.

FrameMaker facilite la conversion automatique des fichiers de base en fichiers spécialisés, une fois que l’utilisateur a saisi la DTD spécialisée. Pour effectuer la conversion :

  1. Sélectionnez Structure > DITA > Spécialisation DITA. La boîte de dialogue de conversion s’affiche comme suit :

    Figure 1. Boîte de dialogue Spécialisation DITA
    Conversion automatique de fichiers de base en fichiers spécialisés à l’aide de la boîte de dialogue Spécialisation DITA

  2. Spécifiez les fichiers source (règles de lecture/écriture, EDD et fichier modèle). La spécification de ces fichiers est facultative. Notez toutefois qu’il est préférable de les spécifier pour que la spécialisation soit optimale.

  3. Spécifiez un ID public, comme souhaité. La spécification d’un ID public est facultative.

    Note: Si vous ne fournissez pas d’identifiant public, les fichiers XML créés à partir de ces fichiers spécialisés risquent de ne pas être transférables sur d’autres systèmes. Les fichiers XML doivent contenir le chemin absolu de la DTD, qui peut ne pas être disponible sur d’autres systèmes.

  4. Spécifiez le dossier de destination et le nom des fichiers de sortie correspondants, puis cliquez sur OK.

La conversion peut prendre quelques minutes selon la taille des fichiers d’entrée.

Note: Lorsque vous sélectionnez l’option Créer une nouvelle application structurée, le système ouvre la boîte de dialogue Application structurée. L’utilisateur sélectionne l’application de base de son choix. Le système ajoute alors automatiquement les types de document et les paramètres avancés à la nouvelle application.
Note: Les journaux sont générés et s’affichent sur l’écran pendant le processus de conversion.
Parent topic: Création de contenu structuré à l’aide de DITA
Related information
  • Intégration d’une Spécialisation DITA avec FrameMaker


Options DITA

Utilisez la boîte de dialogue Options DITA de FrameMaker pour configurer et personnaliser différentes options relatives aux rubriques DITA.

La boîte de dialogue Options DITA de FrameMaker permet de configurer des options comme les paramètres DITA de version et de chargement automatique pour ouvrir des fichiers de rubrique DITA.

La boîte de dialogue Options DITA permet de définir les options DITA générales et celles spécifiques aux importations et aux exportations. Les options DITA sont les paramètres globaux de l’environnement de création. En d’autres termes, les modifications apportées à l’option affectent tous les fichiers DITA sur lesquels vous travaillez.

Sélectionnez Structure > DITA > Options DITA pour ouvrir la boîte de dialogue Options DITA

Figure 1. Boîte de dialogue Options DITA
Configuration des options dans la boîte de dialogue Options DITA de FrameMaker

Version DITA

Par défaut, FrameMaker est configuré pour utiliser DITA 1.3. Cette option vous permet d’ouvrir les documents créés avec des versions antérieures de DITA et de travailler dessus. Cependant, si vous ajoutez des éléments ou des attributs qui sont disponibles uniquement avec DITA 1.3 et que vous enregistrez la rubrique, celle-ci est convertie au format DITA 1.3. Si vous ouvrez cette rubrique par la suite avec une version antérieure de DITA, vous obtiendrez des erreurs de validation.

Nouveau type

Vous pouvez définir le type de fichier par défaut que FrameMaker utilise lorsque vous créez une nouvelle rubrique. Le type « Nouveau » par défaut spécifie l’extension de fichier attribuée aux nouvelles rubriques (.xml ou .dita). Cette extension s’applique uniquement si l’extension du nouveau fichier n’est pas spécifiée.

Préfixe d’ID

Si l’option Ajouter automatiquement les ID si l’élément l’exige est sélectionnée, vous pouvez spécifier un préfixe pour l’ID de rubrique que FrameMaker génère automatiquement. Par défaut, FrameMaker ajoute @id comme préfixe à l’ID de rubrique.

Charger automatiquement les références de rubrique à l’ouverture du fichier

Chargez des références de rubrique dans un mappage DITA à l’ouverture du fichier dans FrameMaker.

Charger automatiquement les références contextuelles à l’ouverture du fichier

Chargez des références contextuelles (conref) dans une rubrique à l’ouverture du fichier dans FrameMaker.

Charger automatiquement les références croisées à l’ouverture du fichier

Chargez des références croisées (Xref) dans une rubrique à l’ouverture du fichier dans FrameMaker.

Charger automatiquement les graphiques (Documentum uniquement)

Chargez des images dans une rubrique à l’ouverture du fichier dans FrameMaker.

Rendre le prologue conditionnel à l’ouverture du fichier

Affichez ou masquez conditionnellement les éléments de prologue dans une rubrique DITA. Si cette option est sélectionnée, au prochain lancement de FrameMaker, la balise conditionnelle DITA-Prolog est appliquée aux éléments <prolog. > La balise conditionnelle DITA-Prolog est ensuite définie sur Masquer.

En outre, qu’il soit affiché ou non (« OutputAllTextWithoutPIs »), le texte à rendre conditionnel est toujours enregistré (exporté). Si, lors de l’importation, aucune balise conditionnelle associée n’est trouvée dans le modèle structuré, les balises conditionnelles sont ajoutées et définies sur Afficher (en rouge).

Si l’option Rendre conditionnel n’est pas sélectionnée, tous les éléments <prolog> sont importés et affichés à l’aide du formatage provenant de l’EDD et du modèle structuré, sans balise conditionnelle appliquée.

Rendre les commentaires conditionnels à l’ouverture du fichier

Affichez ou masquez conditionnellement les éléments de commentaire dans une rubrique DITA. Si cette option est sélectionnée, au prochain lancement de FrameMaker, la balise conditionnelle DITA-Comment est appliquée aux éléments La balise conditionnelle DITA-Comment est ensuite définie sur Masquer.

En outre, qu’il soit affiché ou non (« OutputAllTextWithoutPIs »), le texte à rendre conditionnel est toujours enregistré (exporté). Si, lors de l’importation, aucune balise conditionnelle associée n’est trouvée dans le modèle structuré, les balises conditionnelles sont ajoutées et définies sur Afficher (en rouge).

Si l’option Rendre conditionnel n’est pas sélectionnée, tous les éléments <comment> sont importés et affichés à l’aide du formatage provenant de l’EDD et du modèle structuré, sans balise conditionnelle appliquée.

Ajouter automatiquement les ID si l’élément l’exige

Par défaut, FrameMaker affecte un ID unique lorsqu’un élément est ajouté si l’attribut ID sur l’élément est obligatoire. Vous pouvez désélectionner cette option et attribuer un ID à toutes les occurrences d’un élément ultérieurement.

Toujours mettre à jour le titre de navigation lors de la mise à jour d’une référence de rubrique

Si l’élément <navtitle> est défini pour une rubrique DITA et si la rubrique est référencée dans un mappage DITA, mettez à jour le titre lors de la mise à jour des références dans la rubrique ou le mappage DITA sélectionné.

Toujours afficher le titre de navigation à l’ouverture d’un fichier

Si l’élément <navtitle> est défini pour une rubrique DITA, affichez l’élément lorsque la rubrique ouverte.

Conversion du terme d’index en marqueur d’index

S’assure que FrameMaker convertit les éléments <indexterm> d’un fichier DITA en entrées de marqueur d’index FrameMaker à l’ouverture du fichier DITA. FrameMaker reconvertit ensuite les marqueurs en éléments <indexterm> lors de l’exportation du document FrameMaker dans un fichier DITA.

Notation URI pour les chemins

Si vous spécifiez des références externes, des références croisées ou des références contextuelles (conref), sélectionnez cette option pour utiliser la barre oblique comme séparateur de répertoire dans le chemin d’accès.

Parent topic: Création de contenu structuré à l’aide de DITA
  • Fichiers ditamap
  • Utilisation des références contextuelles DITA
  • Références croisées
  • Attribution d’un ID à toutes les occurrences d’un élément


Imprimer et publier

Connaître les différents formats de sortie que vous pouvez créer à l’aide de la fonction d’impression puissante et de publication dans FrameMaker.

FrameMaker vous offre un grand nombre d’options de sortie pour les documents et les livres que vous créez. Vous avez le choix parmi les formats de sortie suivants :

  • PDF

  • Responsive HTML5

  • App mobile

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • HTML de base

Lorsque vous créez du contenu au format XML, vous pouvez utiliser la Transformations XSL pour générer du XML ou uneSortie HTML.

FrameMaker offre également un grand nombre d’options et de paramètres pour Génération d’une sortie imprimée.

  • Sortie PDF
    Découvrez comment générer une sortie PDF pour des rubriques et des livres dans FrameMaker.
  • Publication multicanaux
    Découvrez comment Adobe FrameMaker vous permet de générer des sorties pour une multitude de périphériques (par exemple, ordinateur de bureau, tablette et mobile) en utilisant la fonction de publication multicanal.
  • Génération d’une sortie imprimée
    Apprenez à préparer votre livre pour l'impression commerciale, à imprimer un livre ou des éléments de livre sélectionnés, et à imprimer dans un fichier PostScript.


Sortie PDF

Découvrez comment générer une sortie PDF pour des rubriques et des livres dans FrameMaker.

Le format PDF est l’un des formats de sortie les plus utilisés dans les publications techniques. Vous pouvez créer des PDF à partir de FrameMaker en un seul clic. Vous pouvez configurer les paramètres des fichiers PDF à l’aide de la boîte de dialogue Boîte de dialogue Paramètres de publication. Une fois configurés, les paramètres sont stockés dans le fichier de configuration (.sts), qui peut ensuite être utilisé pour générer la sortie PDF.

Vous pouvez également exporter ces paramètres PDF et les utiliser sur un autre système pour générer la sortie PDF souhaitée. Une fois les paramètres PDF en place, vous pouvez générer plusieurs sorties PDF en utilisant les mêmes paramètres directement depuis le menu Fichier > Enregistrer au format PDF.

  • Paramètres PDF
    Découvrez comment configurer les paramètres PDF dans Adobe FrameMaker, et comment mettre à jour les paramètres généraux et importer des paramètres PDF.
  • Optimisation des fichiers créés dans des versions antérieures
    Découvrez comment optimiser les fichiers créés dans des versions antérieures dans la dernière version de FrameMaker.
  • Génération d’un PDF
    Découvrez la fonctionnalité Enregistrer au format PDF dans Adobe FrameMaker.
  • Consignes de conversion PDF
    Comprendre les directives de conversion PDF dans Adobe FrameMaker.
Parent topic: Imprimer et publier


Paramètres PDF

Découvrez comment configurer les paramètres PDF dans Adobe FrameMaker, et comment mettre à jour les paramètres généraux et importer des paramètres PDF.

Dans Adobe FrameMaker, vous pouvez personnaliser les paramètres de sortie PDF (taille de page, repères et fonds perdus, sécurité du document, modèle et options DITA) dans la boîte de dialogueParamètres de publication.

Effectuez les étapes suivantes pour accéder à la boîte de dialogue Paramètres de publication :

  1. Sélectionnez Fichier > Publier.

    Le panneau Publier s’affiche. Le panneau Publier vous permet de publier du contenu FrameMaker vers un ou plusieurs des formats de sortie disponibles.

    Note: Lorsque vous ouvrez le panneau Publier, la liste déroulante s’ouvre par défaut sur le document ou livre/mappage DITA actuellement ouvert. Gardez à l’esprit que si vous affichez un autre fichier (livre, mappage DITA ou document) dans votre espace de travail, le nouveau fichier sélectionné sera publié.
    Figure 1. Panneau Publier
    Génération d'une sortie avec les paramètres de publication par défaut

    A (Document source)
    Sélectionnez le document ou le livre à publier.
    B (Générer la sortie sélectionnée)
    La sortie est générée dans le format de sortie sélectionné.
    C (Générer plusieurs sorties)
    Ouvrez la boîte de dialogue Générer plusieurs sorties et sélectionnez un ou plusieurs formats à publier simultanément.
    Figure 2. Options Générer plusieurs sorties
    Boîte de dialogue Générer plusieurs sorties montrant les formats de sortie disponibles dans Adobe FrameMaker

    D (Publier sur le serveur)
    Publiez une sortie Responsive HTML5 sur RoboHelp Server. Ce bouton est uniquement actif si vous sélectionnez Responsive HTML5 comme format de sortie et avez configuré les paramètres de connexion de RoboHelp Server.
    E (Afficher la sortie)
    Si vous avez préalablement généré une sortie, cliquer sur Afficher la sortie ouvre la dernière sortie publiée pour le format sélectionné.
    F (Liste de formats de sortie)
    Liste des formats de sortie disponibles dans FrameMaker.
    G (Fichier de paramètres)
    Le nom du fichier de paramètres où tous les paramètres de publication sont enregistrés. Lorsque vous survolez le champ Fichier des paramètres, l’info-bulle affiche le chemin complet du fichier de paramètres.
    H (Paramètres)
    La liste déroulante Paramètres contient les options qui vous permettent de modifier, de créer et de parcourir les paramètres de publication. Pour plus de détails, reportez-vous à la section Configurer les paramètres de publication.
    La liste déroulante contient également l’option d’importation de fichier ISF. Pour plus de détails, reportez-vous à la section Utiliser le fichier de paramètres (isf) RoboHelp.
    I (Dossier de sortie)
    Saisissez ou choisissez un emplacement pour enregistrer la sortie publiée.
    J (DITAVAL)
    Disponible lorsque le Document source est un fichier de mappage DITA. Cliquez sur le bouton DITAVAL pour ouvrir la boîte de dialogue DITAVAL qui vous permet de choisir un fichier DITAVAL pour publier la sortie conditionnelle.

  2. Cliquez avec le bouton droit de la souris sur l’option PDF et sélectionnez Modifier les paramètres.

    La boîte de dialogue Paramètres de publication s’ouvre, dans laquelle vous pouvez configurer les paramètres de publication pour le format PDF ou tout autre format de sortie.

    Dans la boîte de dialogue Paramètres de publication, choisissez le format de sortie PDF pour configurer les paramètres de sortie PDF. Les paramètres de sortie PDF sont disponibles sous les onglets suivants :

    • Onglet général, voir Paramètres généraux pour plus de détails sur les paramètres généraux.

    • Onglet Repères et fonds perdus, voir Marqueurs et variables pour la configuration des repères et fonds perdus.

    • Onglet Modèle DITA, voir Modèles DITA pour la personnalisation des modèles DITA à utiliser pour la publication de sorties PDF.

    • Onglet Options DITA, voir Options DITA pour la personnalisation de la sortie lors de la génération de PDF via un livre avec des itinéraires de composants.

  • Paramètres généraux
    Découvrez comment créer des fichiers PDF conformes PDF/A et PDF/X, définir les options d'affichage PDF et la taille des pages, créer un PDF balisé pour une meilleure accessibilité et convertir toutes les couleurs en RGB pour les fichiers PDF en ligne avec Adobe FrameMaker.
  • Marqueurs et variables
    Découvrez comment créer des fichiers PDF avec les repères de l’imprimante, y compris les repères de rognage, les repères de fond perdu, les repères d’enregistrement et les barres de couleur, et définir des paramètres de ligne-bloc avec Adobe FrameMaker.
  • Modèles DITA
    Découvrez comment publier votre mappage DITA au format PDF avec Adobe FrameMaker et définir les modèles que FrameMaker doit utiliser.
  • Options DITA
    Découvrez comment définir quels composants de livre Adobe FrameMaker doit générer lors de la publication d’un mappage DITA en PDF avec l’itinéraire de composants.
  • Signets et étiquettes
    Découvrez comment créer des fichiers PDF avec des signets et des balises avec Adobe FrameMaker.
  • Importation de paramètres PDF
    Découvrez comment importer des signets PDF et des paramètres d’étiquettes PDF d’un document à un autre avec Adobe FrameMaker.
Parent topic: Sortie PDF


Paramètres généraux

Découvrez comment créer des fichiers PDF conformes PDF/A et PDF/X, définir les options d'affichage PDF et la taille des pages, créer un PDF balisé pour une meilleure accessibilité et convertir toutes les couleurs en RGB pour les fichiers PDF en ligne avec Adobe FrameMaker.

Dans l’onglet Général de la boîte de dialogue Paramètres de publication PDF, vous pouvez personnaliser des paramètres tels que les paramètres prédéfinis PDF, les options d’affichage, la taille de la page, l’optimisation, le balisage, etc.

Figure 1. Paramètres généraux dans la boîte de dialogue Paramètres PDF d'Adobe FrameMaker
Mise à jour des paramètres généraux dans la boîte de dialogue Configuration PDF

Les paramètres disponibles dans l’onglet Général sont décrits ci-dessous :

Nom du paramètre prédéfini

Les paramètres de publication PDF sont principalement dérivés du fichier préconfiguré ou de votre fichier .joboptions. Le fichier .joboptions est créé à l’aide d’Acrobat Distiller. La liste déroulante Nom du paramètre prédéfini reprend tous les fichiers préconfigurés .joboptions dans l’emplacement par défaut C:\ProgramData\Adobe\Adobe PDF\Settings. Vous pouvez également ajouter votre propre fichier .joboptions personnalisé en cliquant sur l’icône de navigation en regard de la liste déroulante Nom du paramètre prédéfini et en sélectionnant le fichier .joboptions.

Note: Lorsque vous cliquez sur l’icône de navigation, l’emplacement du préréglage actuellement sélectionné est ouvert par défaut.

FrameMaker fournit également quelques paramètres prédéfinis supplémentaires que vous pouvez utiliser pour générer la sortie PDF. Ces paramètres prédéfinis ne sont pas inclus dans l'emplacement prédéfini par défaut. Cependant, vous pouvez les ajouter à l'emplacement par défaut pour commencer à les utiliser. Les paramètres prédéfinis supplémentaires sont disponibles à l'emplacement suivant :

C:\Users\<username>\AppData\Roaming\Adobe\FrameMaker\17\Additional_PDF_Settings

Dans l’emplacement ci-dessus, vous trouverez le fichier .joboptions pour LiquidMode PDF, Mobile PDF et d’autres normes PDF. Vous devez copier le fichier .joboptionsdans l’emplacement suivant :

C:\Users\<username>\AppData\Roaming\Adobe\Adobe PDF\Settings

Une fois les fichiers .joboptions copiés, ils s’afficheront dans la liste déroulante Nom du paramètre prédéfini.

Pour plus d’informations sur les préréglages PDF préconfigurés et leur utilisation, voir préréglages Adobe PDF dans la documentation Acrobat.

Ouvrir le document PDF à la page

Spécifiez un numéro de page pour ouvrir le fichier PDF généré à la page spécifiée.

Avec le facteur de zoom

Sélectionnez le niveau de zoom auquel le PDF est ouvert. Vous pouvez choisir d’effectuer un zoom avant pour afficher la page entière, de zoomer en largeur ou en hauteur, ou choisir un niveau de zoom entre 10 % et 400 %.

Disposition

Choisissez la mise en page pour afficher le PDF. Vous pouvez choisir d’afficher une seule page, deux pages en flux continu, ou toute autre option de la liste disponible.

Mode de publication principal

Choisissez l’objectif principal du PDF (en ligne ou imprimé). Si vous sélectionnez Imprimer, un PDF de haute qualité adapté à l'impression est créé. Si vous sélectionnez l'option En ligne, un PDF léger qui se charge rapidement sur le Web est créé. Dans le cas de l'option En ligne, les valeurs Format de page ne sont pas pertinentes et ne peuvent pas être modifiées.

Étendue

Spécifiez une plage de pages pour créer une sortie PDF pour toutes les pages ou pour une plage de pages dans la source.

Format de page

Spécifiez la largeur et la hauteur de la page pour un PDF créé à des fins d’impression. Vous pouvez également choisir une unité en pouces ou en millimètres pour les valeurs de largeur et de hauteur.

Créer un PDF balisé

Les balises améliorent l’accessibilité d’un document PDF. FrameMaker utilise un mécanisme prédéfini pour créer des balises basées sur le contenu. Si vous désélectionnez cette option, le PDF est créé avec ces balises prédéfinies. Pour plus d’informations, voir Utiliser l’itinéraire par défaut pour créer un PDF balisé.

Note: Si vous générez un fichier PDF en utilisant le paramètre prédéfini LiquidModePDF, l'option Créer un PDF balisé est sélectionnée par défaut.
Utiliser Acrobat Distiller pour la génération de PDF

Sélectionnez cette option pour utiliser Acrobat Distiller pour générer un PDF plutôt que la génération directe de PDF. Cette solution est recommandée lorsque vous utilisez des repères PDF dans vos documents.

Sélectionnez Format > Document > Configuration PDF > Balises (Distiller) pour spécifier manuellement la structure de balisage de votre PDF en la configurant dans la boîte de dialogue Configuration PDF. Pour plus d’informations, voir Utiliser l’itinéraire Distiller pour créer un PDF balisé.

Convertir les couleurs du texte et des graphiques en RVB

Cette option est sélectionnée par défaut. Cette option garantit que les couleurs que vous avez utilisées pour créer du texte, des formes et des bordures de tableau sont imprimées telles quelles dans le PDF publié. Les couleurs utilisées dans les images (RGB ou CYMK) sont rendues telles qu’elles.

Les repères et les fonds perdus sont principalement destinés à l’impression de documents et un PDF comportant des repères et des fonds perdus est publié dans CMYK. Cependant, si vous choisissez l'option Convertir les couleurs du texte et des graphiques en RVB, même les repères et les fonds perdus sont publiés dans l'espace de couleurs RVB. Par conséquent, si vous souhaitez publier un PDF pour l’impression (avec des repères et des fonds perdus), vous devez désélectionner cette option.

Parent topic: Paramètres PDF


Marqueurs et variables

Découvrez comment créer des fichiers PDF avec les repères de l’imprimante, y compris les repères de rognage, les repères de fond perdu, les repères d’enregistrement et les barres de couleur, et définir des paramètres de ligne-bloc avec Adobe FrameMaker.

Lorsque vous préparez un document pour l’impression, un certain nombre de repères sont nécessaires pour aider l’imprimante à déterminer où couper le papier, aligner les films de séparation lors de la production d’épreuves, mesurer le film pour garantir un calibrage et une densité de points corrects, etc. La sélection d’une option de repère de page étend les limites de la page pour tenir compte des repères de l’imprimante, du fond perdu (parties de texte ou d’objets qui dépassent la limite de la page pour tenir compte d’une légère imprécision lors du découpage), ou la zone de ligne-bloc (zone à l’extérieur de la page et du fond perdu qui contient des instructions de l’imprimante ou des informations d’approbation de travail).

L’onglet Repères et fond perdu dans la boîte de dialogue Paramètres de publication PDF vous permet de spécifier l’étendue du fond perdu et d’ajouter une variété de repères d’imprimante au PDF généré.

Note: Si vous générez un PDF pour l’impression, assurez-vous que vous avez désélectionné l’option Convertir les couleurs du texte et des graphiques en RVB dans les paramètres généraux.

Onglet Repères et fond perdu de la boîte de dialogue Options de sortie PDF

Les paramètres disponibles dans l’onglet Repères et fond perdu sont décrits ci-dessous :

Tous les repères de l’imprimante

Sélectionne tous les repères de l’imprimante, y compris les repères de rognage, les repères de fond perdu, les repères d’enregistrement, les barres de couleur et les informations sur la page.

Traits de coupe

Ajoute de fines règles horizontales et verticales qui définissent l’endroit où la page doit être coupée. Les traits de coupe peuvent aussi aider à enregistrer (aligner) une séparation de couleur par rapport à une autre. L’association à des repères de fond perdu vous permet de sélectionner les repères qui se chevauchent.

Repères de fond perdu

Ajoute de fines règles qui définissent la zone supplémentaire à l’image en dehors du format de page défini.

Marques d’enregistrement

Ajoute de petites « cibles » à l’extérieur de la zone de la page pour aligner les différentes séparations dans un document couleur.

Barres de couleurs

Ajoute de petits carrés de couleur représentant les encres CMJN et les teintes de gris (par incréments de 10 %). Votre fournisseur de service utilise ces repères pour ajuster la densité d’encre sur la presse à imprimer.

Informations sur la page

Imprime le nom du fichier, le numéro de page, la date et l’heure actuelles et le nom de séparation des couleurs dans le coin inférieur gauche de chaque page du PDF.

Grammage

Sélectionnez les poids pour les lignes de trait de coupe et de repère de fond perdu.

Décalage

Spécifie à quelle distance du bord de la page (et non du fond perdu) FrameMaker dessine les repères de l’imprimante. Pour éviter de dessiner les repères de l’imprimante sur la zone de fond perdu, veillez à saisir une valeur de décalage supérieure à la valeur de fond perdu. La valeur est définie en picas. Les exemples suivants présentent le résultat de la conversion de pouces en picas :

  • 1 pouce = 6 p ou 6 p 0 (6 picas et zéro point)

  • ½ pouce = 3 p ou 3 p 0 (3 picas et zéro point)

  • ¼ pouce = 1 p 6 (1 pica et 6 points)

  • 1/8 pouce = 0 p 9 (9 points)

Fond perdu (intérieur, extérieur, haut, bas)

Sélectionnez l’option Fond perdu et spécifiez les valeurs pour les zones Intérieur, Extérieur, Haut et Bas.

Inclure la zone de ligne-bloc

Sélectionnez Inclure la zone de ligne-bloc pour imprimer les objets à l’aide de la zone de ligne-bloc.

Parent topic: Paramètres PDF


Modèles DITA

Découvrez comment publier votre mappage DITA au format PDF avec Adobe FrameMaker et définir les modèles que FrameMaker doit utiliser.

Un mappage DITA dans Adobe FrameMaker peut être converti en PDF de deux façons : comme un document composite unique ou comme un livre avec des composants connexes.

Si vous choisissez d’enregistrer votre mappage DITA en tant que document composite, FrameMaker utilise le modèle de base DITA par défaut pour générer le PDF.

Si vous choisissez Enregistrer au format PDF via un livre avec l’itinéraire de composants dans l’onglet Options DITA, alors le fichier de mappage DITA est converti en fichier .book. Tous les fichiers de rubrique référencés sont convertis en fichiers .fm avant la génération du PDF final.

Le modèle de base DITA génère un PDF standard sans titre, liste de figures ou de tableaux, table des matières et autres composants. Toutefois, si vous choisissez de générer le PDF via un livre avec l’itinéraire de composants FrameMaker, vous obtenez la page de titre, la garde, les parties annexes, la liste des figures ou des tableaux, la table des matières et d’autres composants du livre. En fonction de vos exigences, vous pouvez choisir de générer un PDF à l’aide de l’un des itinéraires disponibles.

L’onglet Modèle DITA contient les modèles que vous pouvez personnaliser et utiliser pour générer un PDF pour un mappage DITA. Si vous souhaitez personnaliser un modèle, exportez le modèle choisi, apportez-y des modifications et importez-le à nouveau. Les icônes de paramètres en regard de chaque modèle vous donnent la possibilité d’exporter et d’importer un modèle.

Note: Par défaut, FrameMaker stocke tous les modèles de publication dans le dossier <Fm_install_location>\Structure\xml\DITA\outputTemplates.

Onglet Modèle DITA de la boîte de dialogue Options de sortie PDF d'Adobe FrameMaker

Adobe FrameMaker utilise les modèles suivants pour générer un PDF via l’itinéraire de document composite :

Base DITA

Ce modèle est utilisé pour générer un PDF via l’itinéraire de document composite.

Les modèles suivants sont utilisés pour générer un PDF via un livre avec l’itinéraire de composants FrameMaker :

Annexe

Ce modèle définit le style des annexes de votre livre. Il s’agit d’un modèle composite unique qui contient les pages principales pour la gauche, la droite, la section gauche, la section droite, la sous-section gauche et la sous-section droite.

Parties annexes

Ce modèle définit le style du dos de votre livre. Il s’agit d’un modèle composite unique qui contient les pages principales pour la gauche, la droite, la section gauche, la section droite, la sous-section gauche et la sous-section droite.

Titre du livre

Ce modèle définit le style de la page de titre du livre.

Sortie de chapitre

Ce modèle définit le style du contenu du chapitre. Les chapitres sont essentiellement des documents DITA de rubrique et conceptuels.

Titre du chapitre

Ce modèle définit le style de la page de titre du chapitre.

Pages liminaires

Ce modèle définit le style de la matière garde de votre livre. Il s’agit d’un modèle composite unique qui contient les pages principales pour la gauche, la droite, la section gauche, la section droite, la sous-section gauche et la sous-section droite.

Index

Ce modèle définit le style d’un index.

Liste des figures

Ce modèle définit le style de la liste des figures.

Liste des tableaux

Ce modèle définit le style de la liste des tableaux.

Sortie de section

Ce modèle définit le style de la section d’un chapitre.

Titre de section

Ce modèle définit le style de la page de titre de la section.

Sortie de sous-section

Ce modèle définit le style de la sous-section.

Titre de sous-section

Ce modèle définit le style de la page de titre de la sous-section.

Table des matières

Ce modèle définit le style de la table des matières.

Importer des modèles DITA à partir d’un dossier

L’onglet Modèles DITA vous permet d’exporter un modèle à la fois. Une fois que vous avez personnalisé ces modèles, vous pouvez les importer individuellement ou ensemble en tant que lot. Pour importer un seul modèle à la fois, cliquez sur les icônes de paramètres en regard du modèle et choisissez Importer. Vous pouvez ensuite accéder à l’emplacement où le fichier de modèle est stocké, sélectionner le fichier, puis cliquer sur Ouvrir pour importer le fichier de modèle souhaité.

Si vous avez plusieurs fichiers de modèles à importer, vous pouvez simplement fournir l’emplacement du dossier et FrameMaker importe tous les modèles à partir du dossier indiqué. Pour importer plusieurs fichiers de modèles à partir d’un dossier, cliquez sur l’icône en regard du champ Importer à partir d’un dossier, puis accédez à l’emplacement où vos fichiers de modèles sont stockés.

Lors de la personnalisation des fichiers de modèles, assurez-vous de ne pas renommer les fichiers. Vous devez enregistrer vos modèles personnalisés avec le nom de fichier d’origine, sinon FrameMaker ne pourra pas importer les fichiers de modèles. Il n’est pas obligatoire que tous les fichiers de modèles soient disponibles à l’emplacement donné. Vous pouvez choisir de personnaliser un ou plusieurs fichiers selon vos besoins. FrameMaker importe uniquement les fichiers qu’il est en mesure de localiser dans le dossier donné. Les autres fichiers sont ignorés.

Parent topic: Paramètres PDF


Options DITA

Découvrez comment définir quels composants de livre Adobe FrameMaker doit générer lors de la publication d’un mappage DITA en PDF avec l’itinéraire de composants.

L’onglet Options DITA contient les paramètres vous permettant de configurer la génération de PDF via un livre avec l’itinéraire de composants FrameMaker.

Onglet Options DITA de la boîte de dialogue Options de sortie PDF

Les paramètres disponibles dans l’onglet Options DITA sont décrits ci-dessous :

Appliquer comme condition

Si vos rubriques DITA contiennent du contenu conditionnel, vous pouvez saisir une valeur dans le champ Appliquer comme condition afin de mettre en évidence le contenu conditionnel dans le PDF publié. Dans le processus de publication, l’ensemble du contenu (conditionnel et inconditionnel) est publié. Toutefois, le contenu appartenant à une condition marquée comme exclue dans le fichier DITAVAL sort barré. Si vous ne spécifiez aucune valeur dans ce champ, le contenu est publié selon les paramètres du fichier DITAVAL.

Enregistrer au format PDF via un livre avec l’itinéraire de composants

Sélectionnez cette option si vous souhaitez générer un PDF à l’aide d’un livre avec l’itinéraire de composants. La sélection de cette option vous permet de choisir d’autres options pour générer le PDF selon vos besoins.

Générer une hiérarchie de livre plat

Sélectionnez cette option pour générer un livre plat depuis un mappage DITA, où toutes les <topicrefs> sont mises à plat au niveau du chapitre.

Générer la table des matières

Sélectionnez cette option pour inclure une table des matières dans le PDF généré.

Générer l’index

Sélectionnez cette option pour inclure un index dans le PDF généré.

Générer la liste des figures

Sélectionnez cette option pour inclure une liste de figures dans le PDF généré.

Générer la liste des tableaux

Sélectionnez cette option pour inclure une liste de tableaux dans le PDF généré.

Générer la page de titre du livre

Sélectionnez cette option pour inclure une page de titre dans le PDF généré.

Générer la page de titre du dossier

Sélectionnez cette option pour inclure une page de titre pour le dossier dans le PDF généré.

Appliquer les modèles de sortie

Sélectionnez cette option pour appliquer les modèles de sortie configurés dans l'élément Modèle DITA pour générer le contenu correspondant.

Optimiser le post-traitement PDF

Sélectionnez cette option pour optimiser le post-traitement en gardant les fichiers intermédiaires ouverts pendant la génération du PDF.

Parent topic: Paramètres PDF


Signets et étiquettes

Découvrez comment créer des fichiers PDF avec des signets et des balises avec Adobe FrameMaker.

Vous pouvez personnaliser la façon dont les signets et balises PDF sont générés dans la sortie PDF d’un document ou livre FrameMaker. Utilisez la boîte de dialogue Configuration PDF pour configurer les signets et les balises.

Pour accéder à la boîte de dialogue Configuration PDF, cliquez surFormat > Document > Configuration PDF.

Configurer les signets

L’onglet Signets dans la boîte de dialogue Configuration PDF vous permet de configurer les signets à inclure dans le PDF.

Figure 1. Boîte de dialogue Configuration PDF
Personnalisation des signets PDF dans l’onglet Signets de la boîte de dialogue Configuration PDF

Générer des signets PDF

Choisissez de générer les signets dans la sortie PDF.

Signets étendus par niveau

Spécifiez le niveau d’extension des signets à l’ouverture du PDF. Vous avez le choix entre les options suivantes :

  • Sélectionnez Par défaut pour ouvrir le PDF avec les signets étendus à l’aide du paramètre par défaut du lecteur PDF.

  • Sélectionnez Tous pour ouvrir le PDF avec tous les signets développés.

  • Sélectionnez Aucun pour ouvrir le PDF avec tous les signets réduits.

  • Vous pouvez également saisir un chiffre pour ouvrir le PDF avec les signets développés à un niveau spécifique.

Source du signet

Sélectionnez Paragraphes pour les documents FrameMaker et Eléments pour les documents FrameMaker structurés.

Niveau du signet

Utilisez les boutons de double flèche situés sous la liste Inclure les paragraphes pour augmenter ou réduire le retrait des signets.

Inclure les paragraphes ou les éléments dans le texte des signets

Déplacez les paragraphes ou les éléments entre les listes Inclure et Ne pas inclure pour spécifier les paragraphes ou les éléments à inclure dans les signets.

Pour déplacer tous les paragraphes ou les éléments d’une liste à l’autre, maintenez la touche Maj appuyée et cliquez sur la flèche.

Articles

Configuration d'enchaînement d'articles :

Enchaînement par zone de texte : pour que l’ordre de lecture passe d’une zone de texte à une autre, sélectionnez Articles, puis Enchaînement par zone de texte dans la liste déroulante. Cette option est généralement la plus appropriée dans les formats de colonne unique.

Enchaînement par colonne : pour que l’ordre de lecture de chaque article suive l’ordre de déplacement du curseur, sélectionnez Articles puis Enchaînement par colonne dans la liste déroulante. Cette option convient généralement aux formats de colonnes multiples.

Sortie PDF balisé

La fonction de format PDF balisé vous permet de créer à partir de FrameMaker des fichiers PDF possédant une structure de document logique et des métadonnées pour redéfinir l’objet du contenu. La structure logique fait référence à l’organisation du document, à savoir la page de titre, les chapitres, les sections et les sous-sections.

Le processus de génération de PDF par défaut dans FrameMaker crée des balises basées sur les paramètres configurés dans l’onglet Balises de la boîte de dialogue Configuration PDF. Si vous voulez utiliser l’itinéraire Distiller, configurez la structure des balises depuis l’onglet Balises (Distiller).

La fonction de fichier PDF balisé fournit les capacités suivantes :

  • Veille à ce que les informations soient dans l’ordre de lecture correct sur une page ;

  • Comprend les attributs de paragraphe utilisés pour redéfinir l’enchaînement du contenu de vos documents en fonction de périphériques de tailles différentes, tels que les périphériques de lecture eBook ;

  • garantit une traduction fiable du texte en code Unicode ; Ce système reconnaît les ligatures et les tirets, de sorte que tous les caractères et les mots sont correctement lisibles par un périphérique de lecture pour Windows ;

  • Reconnaît les descriptions de texte alternatives pour les graphiques dans les cadres ancrés ;

  • Permet une exportation plus fiable des documents au format RTF (Rich Text Format) et XML depuis Adobe Acrobat pour une réutilisation dans d’autres documents

Les fichiers Adobe PDF balisés incluent le contenu de l’auteur, comme les pages, articles, paragraphes, tables et graphiques dans des cadres ancrés.

Les fichiers PDF balisés n’incluent pas les informations suivantes que l’on trouve dans les fichiers PDF standard :

  • Commentaires, tels que notes en ligne, balisages graphiques et textuels ;

  • Eléments de pagination provenant des maquettes (tels que numéros de page et en-têtes courants) et tout objet graphique en dehors des cadres ancrés ;

  • Eléments graphiques et typographiques, tels que les barres colorées entre les colonnes de texte, les lignes horizontales qui séparent les notes du texte et les bordures des tables ;

  • Eléments d’impression, tels que les repères de montage et les informations de page imprimées en dehors des traits de coupe ;

Utiliser l’itinéraire par défaut pour créer un PDF balisé

L’itinéraire par défaut de génération de PDF dans FrameMaker utilise un algorithme d’apprentissage automatique pour générer un PDF balisé entièrement conforme. Vous pouvez également choisir de configurer manuellement les balises selon les styles de paragraphes créés dans votre livre ou document. Utilisez l’onglet Balises de la boîte de dialogue Configuration PDF pour configurer les balises de votre PDF publié.

Figure 2. Options de balises de configuration PDF

Configurez les options suivantes dans l’onglet Balises :

Balises PDF

Sélectionnez une option dans la liste Balise PDF et mappez-la avec le Style de paragraphe correspondant utilisé dans votre livre ou document.

Par exemple, sélectionnez l’option Titres de premier niveau dans la liste déroulante Balise PDF et mappez-la avec le Style de paragraphe de premier niveau utilisé dans votre livre ou document. Vous pouvez choisir de spécifier un mappage pour les en-têtes de premier, deuxième et troisième niveau, le titre du tableau, la table des matières et les listes.

Style

La liste déroulante Style contient tous les styles trouvés dans votre livre ou document.

Commence par ou se termine par

Dans le cas de styles qui ont plusieurs occurrences dans votre livre, vous pouvez spécifier les caractères de début ou de fin du nom du style. Par exemple, si le style de votre table des matières s’appelle TDM_abc et TDM_def, sélectionnez TDM dans la liste Balise PDF et saisissez TDM dans le champCommence par. Le moteur de génération de PDF sélectionnera tous les styles de paragraphes commençant par TDM et leur assignera la balise TDM.

Rétablir défaut

FrameMaker utilise un algorithme d’apprentissage automatique pour créer un mappage entre les balises et les styles de paragraphe. Cliquez sur le bouton Rétablir défaut pour assigner automatiquement des styles aux en-têtes de premier, deuxième et troisième niveau. Les styles TDM sont simplement mappés avec tous les styles de paragraphes qui se terminent par TDM. Aucun mappage n’est effectué pour les balises Titre du tableau et Liste.

Utiliser l’itinéraire Distiller pour créer un PDF balisé

L’onglet Balises (Distiller) dans la boîte de dialogue Configuration PDF vous permet de configurer les paramètres de génération d’un PDF balisé via l’itinéraire Distiller. Le PDF généré via l’itinéraire Distiller est un PDF balisé, mais il ne s’agit pas d’un PDF balisé entièrement conforme.

Figure 3. Options de balises Distiller de configuration PDF

Configurez les options suivantes dans l’onglet Balises (Distiller) :

Générer un PDF balisé

Sélectionnez cette option pour générer un PDF balisé via l’itinéraire Distiller.

Inclure les paragraphes

Pour indiquer les paragraphes à inclure dans la structure PDF, déplacez les styles de paragraphes d’une liste de sélection à une autre. Les paragraphes figurant dans la liste Inclure les paragraphes permettent de définir les relations structurelles entre les styles des paragraphes FrameMaker dans le fichier PDF. Pour déplacer un style d’une liste de sélection à l’autre, sélectionnez-le et cliquez sur une touche fléchée ou cliquez deux fois sur le style.

Niveau de structure logique

Pour modifier les niveaux de structure pour les paragraphes inclus, sélectionnez un style de paragraphe et cliquez sur une flèche de niveau de structure logique. Pour modifier d’un niveau le niveau de tous les éléments, cliquez sur une flèche de niveau de structure logique en maintenant la touche Maj enfoncée. Si la mise en retrait d’un style dépasse six niveaux, n précède le style de paragraphe, où n représente le niveau de retrait du style de paragraphe.

Parent topic: Paramètres PDF


Importation de paramètres PDF

Découvrez comment importer des signets PDF et des paramètres d’étiquettes PDF d’un document à un autre avec Adobe FrameMaker.

Si vous avez personnalisé les paramètres de signets et d'étiquettes d’un document, vous pouvez importer ces paramètres dans un ou plusieurs documents.

  1. Ouvrez le document source avec les paramètres PDF préférés.

  2. Ouvrez le document ou le livre dans lequel vous souhaitez importer les paramètres préférés.

    Si vous importez ces paramètres dans :

    • Un seul document : assurez-vous que le document est actif.

    • Tous les documents d’un livre : assurez-vous que le livre est sélectionné dans le Gestionnaire de ressources.

    • Des documents spécifiques d’un livre : assurez-vous que les documents sont sélectionnés dans le Gestionnaire de ressources.

  3. Sélectionnez Fichier > Importer > Formats.

    La boîte de dialogue Importer des formats s’affiche.

  4. Dans la boîte de dialogue Importer des formats, cliquez sur Tout désélectionner et cochez Propriétés du document.

  5. Pour importer les formats dans les documents sélectionnés ou le livre, cliquez sur Importer.

Parent topic: Paramètres PDF


Optimisation des fichiers créés dans des versions antérieures

Découvrez comment optimiser les fichiers créés dans des versions antérieures dans la dernière version de FrameMaker.

Vous pouvez créer des destinations nommées uniquement pour les paragraphes référencés par des liens hypertexte ou des références croisées, réduisant ainsi la taille des fichiers. Toutefois, les documents créés avec des versions de FrameMaker antérieures à la version 6.0 doivent subir une conversion particulière pour pouvoir tirer profit de cette méthode de marquage.

Les Options d’optimisation modifient les options d’optimisation par défaut, qui restent effectives tant que vous ne les modifiez pas, même si vous quittez et relancez FrameMaker. La boîte de dialogue Sélectionner un fichier pour optimiser la taille du PDF utilise les paramètres spécifiés dans la boîte de dialogue Options d’optimisation afin de préparer vos documents à une réduction de la taille de fichier PDF.

Note: Pour ouvrir la boîte de dialogue Sélectionner un fichier pour optimiser la taille du PDF, entrez « Sélectionner PDF » dans la recherche de commande.

Options d'optimisation

Pour ouvrir la boîte de dialogue Options d’optimisation, utilisez le raccourci clavier Echap+ o+ d+ o.

Figure 1. Boîte de dialogue Options d’optimisation dans FrameMaker
Boîte de dialogue Options d’optimisation dans FrameMaker

Dans la boîte de dialogue Options d’optimisation, configurez les options suivantes :

Optimiser la taille de

Indiquez si vous souhaitez optimiser la taille de Tous les documents liés ou celle de Documents spécifiés uniquement.

Forcer l’optimisation

Si un document a précédemment été optimisé, sélectionnez l’option Forcer l’optimisation pour effectuer une nouvelle optimisation.

Vous pouvez également sélectionner l’option Supprimer infos sur l’optimisation afin d’annuler les précédentes modifications d’optimisation.

Lors de l’ouverture

Une invite s’affiche demandant si vous voulez ouvrir des fichiers liés.

Lors de l’enregistrement

Une invite s’affiche vous demandant si vous voulez enregistrer un document lié ouvert pour optimisation.

De plus, vous êtes invité à choisir si vous voulez enregistrer tous les fichiers ou uniquement les fichiers optimisés au préalable.

Fichiers optimisés

Indiquez si vous voulez remplacer les fichiers existants (recommandé) ou enregistrer les fichiers dans un dossier que vous spécifiez (pour test).

Cliquez sur Parcourir pour sélectionner un dossier cible pour les fichiers optimisés.

Annuler en cas d’erreur

Pour arrêter le processus d’optimisation en cas d’erreur, sélectionnez Annuler si erreur.

Parent topic: Sortie PDF


Génération d’un PDF

Découvrez la fonctionnalité Enregistrer au format PDF dans Adobe FrameMaker.

Il existe deux façons de générer des PDF dans Adobe FrameMaker : dans le panneau Publier ou avec le menu Fichier > Enregistrer au format PDF. Ces deux options vous permettent de générer un PDF à partir des documents ou livres FrameMaker sélectionnés. Par ailleurs, FrameMaker utilise le paramètre PDF défini dans la boîte de dialogue Boîte de dialogue Paramètres de publication PDF pour générer le PDF. Toutefois, si vous utilisez l'option Enregistrer au format PDF, vous avez la possibilité de spécifier l’emplacement de publication et le nom de fichier pour votre PDF. Si vous utilisez la boîte de dialogue Publier, l’emplacement est spécifié dans le champ Dossier de sortie, et le nom du fichier PDF est le nom de votre livre ou document.

Suivez les étapes suivantes pour générer un PDF à l'aide du panneau Publier :

  1. Sélectionnez le livre ou le document de votre choix dans la liste Document source.

  2. Dans la liste des formats de sortie, sélectionnez PDF.

  3. Configurez les paramètres de génération PDF (icône Paramètres et Edition).

  4. Dans l’emplacement Dossier de sortie, naviguez vers un endroit où vous souhaitez enregistrer le PDF.

  5. Cliquez sur l’icône Générer la sortie sélectionnée pour générer le PDF.

Suivez les étapes suivantes pour générer un PDF à l'aide du menu Enregistrer au format PDF :

  1. Sélectionnez le livre ou le document de votre choix dans la fenêtre de livre.

  2. Sélectionnez Fichier > Enregistrer au format PDF.

    La boîte de dialogue Enregistrer le document s’affiche.

  3. Accédez à l'emplacement où vous souhaitez générer le PDF et indiquez le Nom de fichier.

  4. Cliquez sur Enregistrer.

    Un message contenant l’emplacement des Fichiers de paramètres s’affiche. Si vous souhaitez apporter des modifications aux paramètres, utilisez la boîte de dialogue Paramètres de publication pour le faire.

  5. Cliquez sur OK.

Note: Lorsque vous générez un fichier PDF pour un document dont la taille est supérieur à A4, il se peut qu’une partie du cotenu ne rentre pas dans la page et ne ressorte pas correctement. Pour éviter de perdre du contenu, ajoutez l’indicateur UsePDFResolution=300 dans le fichier maker.ini dans le dossier <%appdata%\Adobe\FrameMaker\17>. Pour en savoir plus sur la génération de PD, consultez Modification du format de page.
Parent topic: Sortie PDF


Consignes de conversion PDF

Comprendre les directives de conversion PDF dans Adobe FrameMaker.

Suivez ces consignes pour gérer les problèmes de conversion PDF tels que les performances, les liens brisés et le contenu image :

  • Pour un affichage optimisé des graphiques bitmap, importez-les dans le document FrameMaker en divisant leur résolution ppp par une valeur paire du support de destination.

  • Pour améliorer les performances d’affichage des fichiers PDF, évitez d’utiliser des maquettes complexes contenant de multiples graphiques complexes. Vous pouvez également améliorer l’affichage des graphiques et réduire la taille d’un fichier en sélectionnant l’option Optimiser lors de l’enregistrement d’un fichier PDF dans Acrobat.

  • Pour convertir un livre comportant une table des matières ou un index, incluez le fichier de TDM ou d’index dans le fichier livre avant de l’enregistrer au format PDF.

  • Si le temps d’affichage d’un document volumineux converti au format PDF est long, rouvrez le document ou le livre FrameMaker et désélectionnez l’option Articles. Reconvertissez ensuite le fichier.

  • Pour imprimer un livre sous forme de fichiers distincts, tous les fichiers PDF sont créés dans le même dossier, quel que soit l’emplacement des documents d’origine. Pour cette raison, veillez à ce que tous les documents d’origine se trouvant dans des dossiers séparés possèdent un nom unique avant l’enregistrement au format PDF. Dans le cas contraire, certains fichiers en écraseront d’autres.

  • Ne créez pas de liens hypertexte vers des fichiers utilisant des caractères accentués dans leurs noms. En effet, ce type de nom de fichier peut subir des modifications lors de l’enregistrement au format PDF, ce qui entraîne le non fonctionnement des liens hypertexte.

  • Pour inclure un contenu image dans des fichiers Adobe PDF balisés, placez les objets graphiques dans des cadres ancrés. Ajoutez des descriptions de texte alternatives pour les graphiques.

Parent topic: Sortie PDF


Publication multicanaux

Découvrez comment Adobe FrameMaker vous permet de générer des sorties pour une multitude de périphériques (par exemple, ordinateur de bureau, tablette et mobile) en utilisant la fonction de publication multicanal.

Aujourd’hui, les utilisateurs consomment du contenu sur un éventail de périphériques de plus en plus large : des ordinateurs de bureau, des ordinateurs portables, des tablettes, des smartphones, des lecteurs d'eBook, des écrans embarqués (voitures ou machines), voire des montres intelligentes. Les auteurs de contenu doivent écrire et publier du contenu lisible sur tous ces appareils.

Pour permettre à ses utilisateurs de créer les documents une fois et de les publier dans plusieurs formats, Adobe FrameMaker fournit une solution de publication multicanaux et multipériphériques autonome. Cette solution vous permet de publier aux formats de sortie suivants, donnant ainsi aux lecteurs un accès à vos contenus sur différents périphériques et avec différents facteurs de forme :

Formats de sortie disponibles

FrameMaker propose les formats de sortie suivants :

  • PDF

  • Responsive HTML5

  • App mobile

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • HTML de base

Lorsque vous publiez votre contenu FrameMaker dans un ou plusieurs formats de sortie, les styles et les paramètres de la sortie publiée sont définis par le modèle et le contenu FrameMaker utilisés. Par exemple, le style du format Heading1 dans votre modèle FrameMaker peut être mappé à un élément<H1> dans HTML5 et une définition CSS associée. Dans Adobe FrameMaker, n'importe quel type de sortie peut être hautement personnalisé.

Personnalisation des styles et des paramètres de sortie

La solution de publication Adobe FrameMaker vous permet de facilement personnaliser les styles et paramètres de sortie directement à partir de l’interface de publication.

Flux de travaux de publication multicanaux dans Adobe FrameMaker

  • Génération d'une sortie avec les paramètres de publication par défaut
    Découvrez comment générer une sortie avec les paramètres de publication par défaut et familiarisez-vous avec la boîte de dialogue Publier dans Adobe FrameMaker.
  • Configurer les paramètres de publication
    Découvrez comment configurer différents paramètres de publication pour différentes options de sortie dans Adobe FrameMaker, et familiarisez-vous avec le mappage de style et les paramètres de sortie.
  • Utiliser le fichier de paramètres (isf) RoboHelp
    Découvrez comment utiliser les paramètres d’importation RoboHelp (.isf) qui définissent les paramètres de projet pour chaque document FrameMaker.
  • Sortie HTML
    Découvrir la sortie HTML dans Adobe FrameMaker.
  • Modèles de page HTML
    Découvrez comment la solution de publication Adobe FrameMaker vous permet de créer un modèle de page HTML pour personnaliser votre mise en page.
  • Distribution Microsoft HTML Help
    Découvrez comment distribuer du contenu d’aide HTML Microsoft à vos utilisateurs en utilisant la distribution Microsoft HTML Help dans FrameMaker.
  • Contenu dynamique
    Familiarisez-vous avec le contenu dynamique et découvrez comment marquer du contenu et créer des filtres de contenu dynamique dans Adobe FrameMaker. Découvrez comment fonctionne le mécanisme de filtrage du contenu dynamique avec deux exemples de scénarios.
  • Formatage de la table des matières pour la publication
    Découvrez comment formater la table des matières (TDM) pour la sortie publiée dans Adobe FrameMaker afin d'afficher correctement la mise en retrait des rubriques.
Parent topic: Imprimer et publier


Génération d'une sortie avec les paramètres de publication par défaut

Découvrez comment générer une sortie avec les paramètres de publication par défaut et familiarisez-vous avec la boîte de dialogue Publier dans Adobe FrameMaker.

La solution de publication FrameMaker vous permet de publier du contenu (.ditamap, .xml, .book, .fm, .mif) dans l’un des formats de sortie disponible.

Sélectionnez Fichier > Publier pour afficher le panneau Publier. Le panneau Publier vous permet de publier du contenu FrameMaker vers un ou plusieurs des formats de sortie disponibles.

Lorsque vous ouvrez le panneau

Publier, la liste déroulante affiche par défaut le document ou livre/fichier ditamap actif.

Vous pouvez publier du contenu dans un seul format de sortie ou dans plusieurs formats de sortie différents.

Publication de contenu dans un format de sortie unique

Pour publier du contenu dans un format de sortie unique, procédez comme suit :

  1. Sélectionnez le format dans la liste. Cliquez sur Générer la sortie sélectionnée.

    Vous pouvez également cliquer deux fois sur le format de sortie requis.

    Une fois le processus de publication terminé, la boîte de dialogue Résultats de la publication affiche l’emplacement de la sortie.

  2. Vous pouvez afficher la sortie dans l’application par défaut (Adobe Acrobat pour les PDF, un navigateur Web pour le Responsive HTML5 ou un lecteur eBook) ou vous pouvez afficher les détails du journal du processus.

Vous pouvez également ouvrir directement votre livre électronique dans Kindle Previewer. Cliquez sur Afficher la sortie dans la boîte de dialogue Résultats de la publication pour ouvrir directement votre e-book dans Kindle Previewer.

Imaginons qu’une erreur se produise lorsque vous ouvrez directement un fichier .mobi dans Kindle à l’aide de cette fonctionnalité. Dans ce cas, vous devez probablement modifier votre registre de système pour mapper les fichiers .mobi à l’application Kindle Previewer.

Pour ce faire, consultez Inscrire une application pour gérer des types de fichiers arbitraires

dans la documentation Microsoft.

Publication de contenu dans divers formats de sortie

Pour publier du contenu dans plusieurs formats de sortie, procédez comme suit :

  1. Cliquez sur Générer plusieurs sorties.

    Dans la boîte de dialogue Générer plusieurs sorties :

    • La colonne Dernière génération affiche la date de la dernière génération au format spécifié

    • La colonne État indique si le format spécifié a été publié ou non

  2. Sélectionnez le format de la sortie à publier. Cliquez sur Générer.

    Une fois la boîte de dialogue Progression fermée, notez que la colonne Etat pour les formats sélectionnés affiche à présent Généré.

  3. Pour afficher la sortie dans des applications par défaut (par exemple, HTML dans un navigateur) pour les formats sélectionnés, cliquez sur Affichage.

Parent topic: Publication multicanaux


Configurer les paramètres de publication

Découvrez comment configurer différents paramètres de publication pour différentes options de sortie dans Adobe FrameMaker, et familiarisez-vous avec le mappage de style et les paramètres de sortie.

Lorsque vous publiez du contenu, les paramètres de style tels que l’en-tête et le corps sont définis par le modèle Adobe FrameMaker associé au document publié. De plus, les paramètres de format de sortie tels que l’icône favorite et les options de recherche sont définis pour chaque format de sortie. Cependant, la solution de publication offre un grand nombre d’options pour personnaliser les paramètres de mappage de style et de format de sortie pour la sortie de publication.

Vous pouvez personnaliser les paramètres de sortie dans la boîte de dialogue Publier, accessible à partir du menu principal (Fichier > Publier).

Pour personnaliser les paramètres de sortie :

  1. Sélectionnez Fichier > Publier pour ouvrir la boîte de dialogue Publier. Cliquez sur Paramètres.

    Dans le bouton déroulant Paramètres, choisissez :

  2. Sélectionnez Edition.

    Dans la boîte de dialogue Paramètres de publication, l’onglet Mappage de style contient des options permettant de personnaliser le mappage des styles FrameMaker source et les styles de la sortie sélectionnée. Par défaut, le mappage de style provient du modèle FrameMaker associé.

    Dans l’onglet Mappage de style, vous pouvez personnaliser les éléments suivants :

    • Styles de paragraphes

    • Styles de caractères

    • Styles de tableaux

    • Styles de références croisées

    • les paramètres d’image

    • Paramètres généraux

    Important: Les options de mappages de styles sont disponibles uniquement pour les documents non structurés. Dans les documents structurés, les styles sont mappés à partir du fichier CSS.

  3. Pour les documents non structurés : le modèle FrameMaker du document sélectionné définit les styles par défaut pour la sortie de publication.

    Pour utiliser les styles d'un autre modèle FrameMaker, cliquez sur le bouton Sélectionner en regard du libellé Utiliser le modèle.

    Important: Assurez -vous que le modèle est actuellement sélectionné.

    Dans la boîte de dialogue Gérer le modèle de paramètres de publication, sélectionnez un autre modèle FrameMaker.

    Tip: Si vous imprimez un livre qui contient plusieurs documents, choisissez le modèle dans cette option pour vous assurer que tous les documents utilisent le même mappage de style.
    Note: Le modèle sélectionné est utilisé par le processus de publication. Cela signifie que les styles et paramètres de la source FrameMaker restent inchangés. La source FrameMaker continue à utiliser le modèle précédemment affecté.

  4. Pour les documents non structurés : Utilisez les options dans la liste déroulante Gérer CSS pour exporter ou importer les styles utilisés pour le mappage de style depuis ou vers une feuille de style externe (fichier .css).

    Le fichier définit un ensemble de styles CSS qui correspondent aux styles de sortie, tel que défini dans l’option Styles dans la boîte de dialogue Paramètres de publication.

    Important: Les styles que vous avez personnalisés dans la boîte de dialogue Paramètres de publication sont définis comme styles de remplacement à la fin du fichier .css. Chaque style de remplacement est défini avec un préfixe FM_. Le style de sortie affiché se voit apposer un astérisque (*) pour désigner la personnalisation du style sélectionné.

  5. Pour configurer Paramètres de sortie, accédez à l’onglet Sorties. Cet onglet fournit des options pour la personnalisation de paramètres pour les formats de sortie suivants :

    • Responsive HTML5

    • App mobile

    • EPUB

    • Kindle

    • Microsoft HTML Help

    • HTML de base

  6. Une fois que le mappage de style et la personnalisation des paramètres de sortie terminés, enregistrez les paramètres mis à jour dans un fichier .sts (STS Settings File).

    Important: Le fichier de paramètres est un fichier spécifique à FrameMaker. Autrement dit, vous ne pouvez modifier ce fichier dans aucun autre programme.
  • Mappage de style
    Découvrez comment mapper les styles de vos documents FrameMaker (non structurés) à des éléments HTML et des classes CSS lors de la publication en HTML5.
  • Paramètres de sortie
    Découvrez comment personnaliser les paramètres de format de sortie de publication comme le titre, l'icône favorite, la mise en page, la conception réactive, la table des matières et bien plus encore lors de la publication en HTML5 avec Adobe FrameMaker.
Parent topic: Publication multicanaux


Mappage de style

Découvrez comment mapper les styles de vos documents FrameMaker (non structurés) à des éléments HTML et des classes CSS lors de la publication en HTML5.

Vous pouvez définir des mappages de style uniquement pour les documents FrameMaker. L’éditeur WYSIWYG de Mappage de style vous permet de mapper les formats disponibles dans le modèle de document actif avec les autres styles de sortie. Par exemple, à partir des styles de paragraphes disponibles, vous sélectionnez Entête1. Dans le modèle FrameMaker l’en-tête est associé à un style particulier. Vous pouvez alors associer Entête1 à d’autres styles de sortie.

Note: Lorsque vous associez un format de modèle à un autre style de sortie, le style du document source reste inchangé.

Pour personnaliser les paramètres de style :

  1. Dans l'onglet Mappage de style de la boîte de dialogue Paramètres de publication, sélectionnez le style à personnaliser (paragraphe, caractère, tableau, référence croisée, image ou général).

  2. Configurez les options souhaitées pour le style sélectionné.

    Note: Les options disponibles pour chaque type de style que vous pouvez personnaliser sont décrites dans les tableaux suivants (mappage de style).

  3. Cliquez sur Enregistrer.

Les tableaux suivants de mappage des styles décrivent toutes les options disponibles dans l'onglet Mappage des styles.

Option

Description

Disponible dans

Mappage automatique <Disponible dans> Style

Sélectionnez Mapper automatiquement <Disponible dans> les styles pour mapper les styles de paragraphe du contenu sélectionné aux styles définis dans le CSS sélectionné pour le mappage de style.

  • Paragraphe

  • Caractères

  • Tableau

Aperçu du style

L’Aperçu de style permet de comparer le style source (défini dans la liste Style de sortie avant toute personnalisation) au style personnalisé (défini dans la liste Style de sortie et marqué d’un astérisque après personnalisation avec la boîte de dialogue de définition des Règles CSS).

  • Paragraphe

  • Caractères

  • Tableau

  • Références croisées

Sortie

Pour personnaliser le style de sortie pour le format sélectionné, choisissez un autre style dans la liste Style de sortie.

  • Paragraphe

  • Caractères

  • Tableau

  • Références croisées

Supprimer les formats personnalisés

Annuler tous les changements de style appliqués au format source.

  • Paragraphe

  • Caractères

Modifier le style

Cliquez sur le bouton Modifier le style pour ouvrir la boîte de dialogue de définition des règles CSS et personnaliser le style de sortie.

Si nous mappons un style à un style de document par défaut (par exemple, Heading1) à partir de la liste Style de sortie, puis que nous modifions le style par défaut mappé par le biais de la boîte de dialogue Modifier le style, le style du document (DocumentName.css) a la priorité sur le style modifié (editstyle.css). Dans la sortie publiée, le contenu sélectionné est affiché selon le style Heading1 du document.
Note: Admettons que le style de sortie sélectionné est [source] et que vous utilisez la boîte de dialogue Définition des règles CSS pour personnaliser le style. Dans ce cas, le style de sortie affiché se voit apposer un astérisque (*) pour désigner la personnalisation du style sélectionné.

  • Paragraphe

  • Caractères

Exclusion de la sortie de formulaire

Excluez le style sélectionné de la sortie générée.

  • Paragraphe

  • Caractères

Diviser en rubriques basées sur ce style

Créer une rubrique d’aide à chaque occurrence du style de paragraphe sélectionné. Par exemple, si vous sélectionnez En-tête 1 et Pagination (divisée en rubriques sur base de ce style), FrameMaker commence une nouvelle rubrique à chaque instance de l’En-tête 1.

  • Paragraphe

Etiquette Convertir en élément HTML

Sélectionnez ou saisissez un élément HTML défini par l’utilisateur pour le style sélectionné.

Par exemple, un paragraphe présentant le style ParaStyleOne est importé dans FrameMaker comme :

<p class="ParaStyleOne">Paragraph Text</p>

En spécifiant cette chaîne comme <pre> pour le style ParaStyleOne, FrameMaker importe les paragraphes avec le style ParaStyleOne comme :

<pre>Paragraph Text</pre>

  • Paragraphe

  • Caractères

Numéro automatique

Spécifiez un moyen pour traiter le texte de numérotation automatique. Les options disponibles sont les suivantes :

  • Ignorer : Sélectionnez cette option si le texte de la numérotation automatique est important pour la version imprimée uniquement. Le paragraphe converti ne contient pas de numérotation automatique. Vous pouvez par exemple choisir d’ignorer la numérotation automatique pour le style de paragraphe FrameMaker « Niveau Section2 ». Dans ce cas, le texte « Section 1.1: Configuration requise » dans la source deviendra « Configuration requise » dans la sortie publiée.

  • Convertir en liste (en utilisant la numérotation automatique CSS) : convertissez l'autonumérotation en listes HTML en utilisant les compteurs CSS « :: before and :: after ».
  • Convertir en texte : Conserver l'aspect des listes numérotées FrameMaker. La partie numérotée perd ses propriétés de séquençage et apparaît sous forme de texte de paragraphe dans la rubrique FrameMaker.

  • Paragraphe

Styles de tableau

Le tableau suivant décrit les options supplémentaires disponibles dans les styles de tableau.

Option

Description
Propriétés des tableaux

Style de légende

Sélectionnez le nom Style de légende à mapper à la légende du format de tableau sélectionné. Ou sélectionnez [Style source utilisateur].

FrameMaker conserve l’aspect de la légende du tableau dans le format de l’aide en ligne. Vous pouvez également sélectionner le [Mappage automatique] pour le style de légende dun tableau spécifique.

Taille de tableau

Spécifiez une largeur et/ou une hauteur de tableau préférée (en pixels).
Taille des cellules

Largeur de la colonne préférée/Hauteur de ligne

Spécifiez une largeur et/ou une hauteur de ligne préférée (en pixels).

Style de références croisées

Le tableau suivant décrit une option supplémentaire disponible dans le style de référence croisée.

Option

Description

Composantes

Pour créer un format de référence croisée, placez le curseur dans la boîte Style de sortie et double-cliquez sur un format dans le tableau Composantes.

Les formats disponibles sont appelés composantes, car vous créez un format personnalisé en utilisant une combinaison des formats disponibles. Pour ce faire, cliquez deux fois sur la composante pour placer le format dans la liste Style de sortie. Vous pouvez ensuite continuer à ajouter le format en plaçant le point d’insertion avant ou après n’importe quelle composante sélectionnée.

Paramètres d'image

Le tableau ci-après décrit les options disponibles dans les paramètres d'image.

Option

Description

Importer les images de la page de référence

Sélectionnez cette option pour importer des images incorporées dans les pages de référence des documents FrameMaker.

Conserver les dimensions de l'image originale

Sélectionnez cette option pour conserver les dimensions originales de l'image dans la sortie générée.

Marges

Paramétrez les marges pour les images comme suit :

  • Définissez des marges égales pour tous les côtés dans Tous les côtés.

  • Pour définir des marges sur des côtés particuliers, définissez-les côté par côté.

Bordures

Paramétrez les bordures pour les images comme suit :

  • Pour définir une bordure uniforme sur tous les côtés, sélectionnez Tout dans la liste contextuelle Bordure. Vous pouvez également spécifier le côté auquel appliquer la bordure dans la liste contextuelle.

  • Pour définir le style de bordure, sélectionnez le style dans la liste contextuelle Style.

  • Pour définir la couleur de bordure, sélectionnez la couleur dans la liste contextuelle Couleur.

  • Le menu Largeur permet de définir la largeur de la bordure.

Paramètres généraux

Le tableau ci-après décrit les options disponibles dans les paramètres d'image.

Option

Description
Paramètres de rubrique

Diviser en rubriques à l’aide du Marqueur

Spécifiez un marqueur utilisé dans le document FrameMaker pour la pagination.

Nettoyage des styles HTML en ligne

Spécifie si les styles en ligne de vos documents source sont inclus dans la sortie publiée ou non.

Modèle de nom de rubrique

Spécifiez le système de nom des rubriques générées à partir du document FrameMaker.

Utiliser uniquement des caractères ASCII dans les noms de fichiers générés

Spécifiez s'il convient d'autoriser les caractères non ASCII dans les noms de fichiers de rubrique ou de convertir automatiquement en caractères ASCII.
Glossaire

Style

Spécifiez la façon dont les termes du glossaire s’affichent :

  • Hyperlien : S’affiche sous la forme d’un hyperlien et conduit l’utilisateur à la définition du glossaire.

  • Menu déroulant : Affiche une fenêtre contextuelle sur la page.

  • Expansion de texte : Affiche un texte déroulant en ligne sur la page.

  • Infobulle : Si l’utilisateur passe sa souris sur le terme, il s’affiche en tant qu’infobulle.

    Note: Pour obtenir des détails sur la création d’un glossaire FrameMaker, voir Glossaires.

Type de marqueur

Tout en conservant le même texte de marqueur, appliquez le marqueur de glossaire au paragraphe de définition du glossaire dans le document et le marqueur de terme de glossaire à l'instance du terme de glossaire dans le texte.
Effets DHTML
Création d'une liste déroulante | Définissez l'effet DHTML à appliquer à la liste déroulante dans la sortie Responsive HTML5.
Création de texte à développer | Définissez l'effet DHTML à appliquer au texte étendu dans la sortie Responsive HTML5.
Parent topic: Configurer les paramètres de publication


Paramètres de sortie

Découvrez comment personnaliser les paramètres de format de sortie de publication comme le titre, l'icône favorite, la mise en page, la conception réactive, la table des matières et bien plus encore lors de la publication en HTML5 avec Adobe FrameMaker.

Introduction

L’onglet Sorties de la boîte de dialogue Paramètres de publication fournit des options permettant de personnaliser des paramètres de format de sortie tels que le titre, l’icône favorite, la mise en page et la table des matières (pour les formats de sortie eBook).

Les tableaux suivants décrivent toutes les options disponibles dans l’onglet Sorties.

Note: Pour générer la sortie d'application mobile, consultez les articles Generate mobile apps using Apache Cordova et Télécharger votre application mobile vers la boutique d'applications.

Onglet Général

Les options suivantes sont disponibles dans l’onglet Général.

Option

Description

Disponible dans

Titre

Spécifiez un titre pour votre sortie. Vous pouvez utiliser des variables pour la génération dynamique de titres. Par exemple, vous pouvez utiliser les variables en tant que :

<OutputName>

(Par défaut) Nom de la sortie en cours de publication

<SourceFilename>

Nom du fichier/livre FM en cours de publication

<$NomVar>

Valeur de variable NomVar telle que définie dans le document/livre FrameMaker source

Note: NomVar ne peut pas contenir le caractère / (barre oblique).

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Icône favorite

Spécifiez une icône à associer à la sortie. L’icône s’affiche dans l’onglet du navigateur ou dans la barre d’adresse selon le navigateur utilisé.

  • Responsive HTML5

Langue

Spécifiez la langue de sortie pour la mise en forme si elle est différente de celle du projet. FrameMaker utilise ce paramètre de langue pour les chaînes de l’interface utilisateur et les éléments de l’interface utilisateur liés à la langue dans l’aperçu et dans la sortie générée.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Codage

Spécifiez le format de codage des caractères si le serveur Web sur lequel vous effectuez la publication utilise un codage différent du format UTF-8.

  • Responsive HTML5

Gestion de la mise en page

Personnalisez ou utilisez une mise en page existante pour la sortie publiée. La liste déroulante contient les options suivantes :

  • Modifier : Personnalisation de la mise en page actuelle. Pour plus d’informations sur la personnalisation de la mise en page, voir Personnalisation de la mise en page.

  • Nouveau : sélectionnez Nouveau pour ouvrir la boîte de dialogue Choisir une mise en page d’écran et sélectionner une nouvelle mise en page. Dans la boîte de dialogue Choisir une mise en page d’écran :

    a) Sélectionnez une mise en page d’écran depuis la liste disponible dans la galerie.

    b) Cliquez sur OK pour sélectionner une nouvelle mise en page d’écran pour la sortie.

  • Importer : importez un fichier de mise en page d’écran (.slz).

  • Exporter : Exportez la mise en page d'écran actuelle en tant que fichier.slz. Vous pouvez utiliser cette mise en forme dans FrameMaker ou d'autres projets RoboHelp.

  • Responsive HTML5

Utilisation d'un modèle de page HTML

Importez un fichier modèle .htt, .htm, ou .html pour définir et créer une mini-table des matières dans la sortie publiée.

Pour savoir comment définir le modèle de page HTML, voir Modèles de page HTML.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Styles de remplacement pour cette sortie

Importez un fichier .css pour remplacer les styles de sorties définis.

  • Responsive HTML5

  • EPUB

  • Kindle

  • Microsoft HTML Help

Activer la séquence de navigation

Spécifiez si la sortie doit afficher les séquences de navigation.

  • Responsive HTML5

  • Microsoft HTML Help

Utiliser le filtre de contenu dynamique dans la sortie

Affectez un filtre de contenu dynamique à la sortie actuelle.

Pour plus d’informations sur la création de filtres de contenu dynamique, voir Contenu dynamique.

  • Responsive HTML5

Paramètres de table des matières

Une table des matières à afficher dans l’aide générée. Vous pouvez sélectionner Index, Glossaire ou les deux. En outre, vous pouvez spécifier la position de l'index et du glossaire dans la sortie publiée.

  • EPUB

  • Kindle

Valider la sortie EPUB 3

Définir FrameMaker pour valider la sortie EPUB en utilisant l’outil de validation EPUB standard EpubCheck. Java Runtime 1.5 (ou version supérieure) doit être installé sur l’ordinateur pour pouvoir utiliser EpubCheck.

Note: Si le fichier EpubCheck.jar n’est pas disponible sur votre ordinateur, téléchargez-le à partir du lien fourni dans la boîte de dialogue Validation EPUB. Les messages de validation ne sont disponibles qu’en anglais.

  • EPUB

Incorporer des polices

Incorporer les polices sélectionnées dans l’eBook.

Utilisez cette option lorsque vous créez du contenu qui inclut des polices inhabituelles ou lorsque vous utilisez des polices personnalisées non disponibles dans l’environnement des utilisateurs finaux. Les polices seront incluses dans la sortie eBook et l’expérience utilisateur sera ainsi uniforme, y compris lorsque certains utilisateurs ne disposent pas de la police installée sur leur périphérique.

Lorsque vous cochez cette option, la boîte de dialogue Incorporer la police s’affiche. Dans cette boîte de dialogue, vous pouvez choisir d’incorporer les polices actuellement incluses dans votre projet RoboHelp. Vous pouvez également choisir d’incorporer des polices système actuellement non incluses.

Cliquez sur le bouton Gérer pour ouvrir la boîte de dialogue Incorporer des polices et apporter des modifications aux polices actuellement incluses.

  • EPUB

Afficher les journaux KindleGen

Sélectionnez cette option pour afficher les erreurs, les avertissements et les messages concernant l’état générés par le convertisseur KindleGen dans le panneau Affichage de la sortie.

  • Kindle
Chemin KindleGen
  • KindleGen étant désormais obsolète, vous pouvez télécharger la version la plus récente de Kindle Previewer. Vous pouvez télécharger Kindle Previewer depuis Paramètres de publication, Sorties, Général, Chemin KindleGen.
  • Avant de publier un document/livre au format Kindle, définissez le chemin pour sur votre système. Le chemin par défaut de kindlegen.exe est \Users\Administrator\AppData\Local\Amazon\Kindle Previewer 3\lib\fc\bin. Si votre organisation prend en charge l’authentification LDAP, votre chemin peut se trouver dans le dossier portant le nom de votre LDAP et non pas dans le dossier Administrator.

  • Kindle

Ajout de liens de chemins de navigation

Ajoutez des chemins de navigation dans les pages de rubrique.

  • Microsoft HTML Help

Optimiser la taille du fichier CHM

Réduit la taille du fichier CHM.

  • Microsoft HTML Help

Paramètres de table des matières/d'index

Ouvrez la boîte de dialogue Aide HTML - Paramètres avancés et configurez les paramètres suivants :

Dans l’onglet Index :

  • Fenêtre par défaut : Pour afficher la rubrique dans une fenêtre personnalisée, sélectionnez le nom de la fenêtre.

  • Cadre par défaut : Pour afficher la rubrique dans un cadre personnalisé, sélectionnez le nom du jeu de cadres.

  • Police : Utilisez Sélectionner la police pour en choisir une. Cliquez sur Police par défaut pour définir la police sélectionnée comme police par défaut.

L'onglet Styles de la table des matières comporte les options suivantes en plus des options disponibles dans l'onglet Index :

  • Bordure : Pour ajouter une bordure autour de la table des matières.

  • Cadre de la boîte de dialogue : Pour ajouter un cadre autour de la table des matières.

  • Lignes à partir de la racine : Permet d'afficher les lignes connectant les livres et les pages à partir de la racine.

  • Carrés plus/moins : Pour afficher des icônes plus et moins qui permettent d’ouvrir et de fermer les livres.

  • Toujours afficher la sélection : Pour afficher la rubrique sélectionnée dans l’onglet Table des matières (même si cet onglet n’apparaît pas dans le volet gauche).

  • Dossiers au lieu de livres : Pour afficher des icônes de dossier plutôt que des icônes de livre.

  • Lignes entre éléments : Pour ajouter des lignes entre les livres et les pages.

  • Clic unique pour l’ouverture d’un livre : Pour ouvrir des livres en un seul clic.

  • Bord relevé ou Bord rentré : Pour créer une apparence tridimensionnelle.

  • Table des matières binaire : Création d'une table des matières binaire. l’option Table des matières binaire est uniquement recommandée pour les systèmes d’aide volumineux. Elle requiert une aide compilée au format HTML et ne prend pas en charge la personnalisation ou les fichiers externes de table des matières.

  • Microsoft HTML Help

Onglet Optimisation

Les options suivantes sont disponibles dans l’onglet Optimisation.

Option

Description

Disponible dans

Conversion de la taille de l’image absolue en taille de l’image relative

Convertir la taille et la hauteur réelles des images en pourcentages. De cette façon, vous pouvez adapter les images utilisées dans votre projet au format de votre périphérique.

  • Responsive HTML5

  • ePub (onglet Général)

  • Kindle (onglet Général)

Conversion de la taille de tableau absolue en taille du tableau relative

Convertir la taille et la hauteur réelles des tableaux en pourcentages. En permettant à FrameMaker d’optimiser les tableaux de cette façon, vous vous assurez que les tableaux s’adaptent à différentes tailles de périphérique.

  • Responsive HTML5

  • ePub (onglet Général)

  • Kindle (onglet Général)

Activer le zoom sur les périphériques iOS

Activer ou désactiver contraction zoom sur l’iPad et l’iPhone. Lorsque cette option est activée, les utilisateurs peuvent effectuer un zoom avant sur une sortie FrameMaker affichée sur un iPad ou iPhone en pinçant l’écran du périphérique.

  • Responsive HTML5

Conversion du fichier SVG en image pixellisée

Convertissez les images SVG dans le document en images pixellisées. Par défaut, FrameMaker intègre l'intégralité du code SVG dans la sortie Responsive HTML5 finale. Les images SVG conservent leur qualité d'image, quelle que soit la taille de l'écran et la résolution du périphérique sur lequel elles sont affichées.

  • Responsive HTML5

Notes supplémentaires sur la gestion des références d’image

Référencement d’image d’origine : FrameMaker conserve tous les formats d'image pris en charge sur les pages Web de vos documents non structurés tels quels dans leur sortie HTML5. Les images ne subissent aucun processus de conversion et la qualité et la taille spécifiée de vos images sont maintenues. Les autres formats d'image qui ne sont pas pris en charge par les pages Web, comme .bmp et .tiff, sont convertis en .jpg, mais la qualité de l'image est améliorée pour eux. Les noms originaux des images référencées sont conservés tels quels lorsqu'elles sont publiées au format HTML5.

Onglet Rechercher

Les options suivantes sont disponibles dans l’onglet Rechercher.

Option

Description

Disponible dans

Activer la recherche de sous-chaîne

Si vous activez cette fonctionnalité, la recherche du terme « journal » renvoie les rubriques comportant les mots « journaliser » et « journalisation ».

La recherche de sous-chaîne dure plus longtemps que la recherche de chaîne entière.

  • Responsive HTML5

Affichage du contexte dans les résultats de recherche

Cette option permet d’afficher un nombre spécifié de premiers caractères de la rubrique dans les résultats de la recherche.

  • Responsive HTML5

Nombre de caractères dans le contexte de recherche

Nombre de caractères à afficher tel que défini dans Afficher le contexte dans les résultats de la recherche.

  • Responsive HTML5

Nombre de résultats sur une page

Le nombre de résultats de la recherche à afficher sur une page.

  • Responsive HTML5

Génération de plan de site XML

Sélectionnez cette option afin de générer un plan de site pour votre sortie publiée.

Dans la sortie publiée, vous trouverez le fichier sitemap.xml contenant le plan du site de la sortie publiée. Vous pouvez envoyer le fichier sitemap.xml à votre moteur de recherche pour améliorer les résultats de recherche sur votre site. Les divers moteurs de recherche utilisant des processus différents pour l’envoi du fichier sitemap.xml, assurez-vous que vous suivez bien le processus décrit dans la documentation du moteur de recherche.

  • Responsive HTML5

URL de base du système d'aide

Spécifiez l'URL de base de votre site où vous envisagez d'héberger la sortie publiée.

Si votre URL de base est différente de votre domaine principal, vous devez ajouter l'emplacement du fichier sitemap.xml dans le fichier robots.txt. Par exemple, si le domaine principal de votre site est￼ www.example.com￼ et que vous envisagez de conserver le fichier sitemap.xml à l'emplacement￼ www.example.com/ProductName/help/￼, vous devez ajouter une entrée du fichier sitemap.xml dans le fichier robots.txt. Si le fichier sitemap.xml est enregistré au même emplacement que robots.txt, vous n’avez pas besoin de modifier le fichier robots.txt.

  • Responsive HTML5

Fréquence de modification du contenu

Sélectionnez la fréquence à laquelle vous avez l'intention de mettre à jour votre système d'aide ou votre site Web. Les moteurs de recherche peuvent utiliser ces informations pour consulter votre site et indexer le contenu mis à jour.

  • Responsive HTML5

Onglet Serveur

Les options suivantes sont disponibles dans l’onglet Serveur de la sortie Responsive HTML5.

Option

Description

Serveurs

Cliquez sur Nouveau pour ajouter des détails relatifs au RoboHelp Server sur lequel vous souhaitez publier votre projet. Dans la boîte de dialogue Nouvelle destination, spécifiez les détails suivants :

  • Nom descriptif : saisissez un nom descriptif pour identifier la configuration de RoboHelp Server.

  • Nom du serveur : spécifiez l’URL de RoboHelp Server sous la forme http://<nom-serveur>:<numéro-port>/<nom-contexte>/serveur

  • ID utilisateur et mot de passe : indiquez l’ID utilisateur et le mot de passe du compte utilisateur disposant des droits de modification sur RoboHelp Server.

  • Enregistrer le mot de passe : sélectionnez cette option pour enregistrer les informations de connexion de l’utilisateur.

  • Zone d’aide : cliquez sur le bouton Actualiser pour obtenir une liste des zones définies sur RoboHelp Server. Sélectionnez un nom de zone dans la liste déroulante pour publier votre projet dans la zone sélectionnée. Si vous ne sélectionnez pas de zone, le projet est publié sur la zone par défaut.

Cliquez sur Edition pour apporter des modifications à une configuration existante de RoboHelp Server.

Cliquez sur Supprimer pour supprimer la configuration enregistrée.

Vérifier les fichiers supprimés

Si cette option est sélectionnée, FrameMaker vérifie les fichiers supprimés de l’emplacement de destination et les publie à nouveau.

Demander confirmation avant de remplacer les fichiers (pas de remplacement si génération par lots)

Si cette option est sélectionnée, FrameMaker demande confirmation avant de remplacer les fichiers. Toutefois, il n’écrasera pas les fichiers au cas où vous ayez généré la sortie à l’aide de la fonction de génération par lots.

Republier tout

Sélectionnez cette option pour republier tous les fichiers sur la destination, en remplaçant les fichiers existants.

Note: Si vous avez mis à jour des documents de votre livre, vous devrez regénérer le contenu mis à jour au niveau local. Cependant, seuls les documents mis à jour sont publiés sur RoboHelp Server.

Onglet Métadonnées

Les options suivantes sont disponibles dans l'onglet Métadonnées des formats de sortie EPUB et Kindle.

Option

Description

Auteur(s)

Le nom de l'auteur. Pour spécifier plusieurs noms d’auteurs, utilisez une virgule comme séparateur.

Editeur(s)

Le nom de l’entité chargée de rendre la sortie disponible, par exemple, l’auteur ou l’organisation.

Droits

Une déclaration au sujet des droits, telle qu’une mention des droits d’auteur.

Description

Une description du contenu.

Identifiant de publication

Un identifiant conforme aux spécifications telles qu'ISBN.

Date de publication

La date de la publication de la sortie. Suivez le format spécifié dans Dublin Core™ Metadata Element Set (document en anglais) et Formats de date et d'heure W3C.

Image de couverture

Spécifiez le chemin d'accès d'une image JPG, JPEG ou PNG que vous souhaitez utiliser en tant que page de couverture de l'eBook ainsi que les dimensions. Utilisez les pourcentages pour permettre aux navigateurs d'optimiser l'affichage pour des écrans de taille différente.

Vous pouvez également spécifier une image GIF. Toutefois, dans le cas d’une animation GIF, seule la première image est utilisée en tant que page de couverture.

Note: Si vous ne spécifiez pas d’image de couverture, FrameMaker utilise la première rubrique de la table des matières comme page de couverture.

Métadonnées personnalisées

Spécifiez les métadonnées spécifiques de EPUB3 supplémentaires au format XML. Pour plus d’informations sur la spécification des métadonnées pour EPUB, reportez-vous à la section The Metadata Element de la spécification Publications EPUB 3.0.

Par exemple, si vous souhaitez ajouter le type d’identifiant (ISBN, UUID, DOI, etc.) pour un identifiant de publication, vous pouvez utiliser le format XML ci-dessous :

<dc:identifier id="pub-id">urn:doi:10.1016/j.iheduc.2008.03.001</dc:identifier>
<meta
   refines="#pub-id"
   property="identifier-type"
   scheme="onix:codelist5">06</meta>
  • Personnalisation de la mise en page
  • Télécharger votre application mobile vers la boutique d'applications
  • Publier une sortie Responsive HTML5 sur RoboHelp Server
Parent topic: Configurer les paramètres de publication


Personnalisation de la mise en page

Pour personnaliser la mise en page dans la sortie Responsive HTML5 ou Application mobile, procédez comme suit :

  1. Dans la zone Gestion de la mise en page, cliquez sur le bouton Paramètres et sélectionnez Edition.

    La boîte de dialogue Personnalisation de la mise en page affiche un aperçu de la mise en page.

    Boîte de dialogue Personnalisation de la mise en page avec paramètres de mise en page et prévisualisation

  2. Sélectionnez un composant de mise en page dans la liste Composants de mise en page.

    Chaque composant possède un jeu de propriétés personnalisables associées au composant.

  3. Pour modifier une caractéristique, accédez à la valeur de la caractéristique dans le volet Caractéristiques et modifiez-la.

    Vous pouvez accéder à une caractéristique dans le volet Caractéristiques en cliquant sur la caractéristique et en modifiant sa valeur.

    Vous pouvez également voir que le volet d'aperçu Composant affiche un aperçu du composant. En outre, le volet d'aperçu affiche les boutons indiquant chaque caractéristique dans le volet d'aperçu.

    Vous pouvez cliquer sur un bouton de caractéristique dans le volet d'aperçu pour accéder à la caractéristique dans le volet Caractéristiques.

    Cela vous permettra d’identifier depuis l’aperçu la caractéristique en cours de modification.

  4. Cliquez sur Enregistrer pour enregistrer les mises à jour.

  5. Pour réinitialiser toutes les caractéristiques du composant, cliquez sur Réinitialiser le composant.

  6. Pour réinitialiser une caractéristique spécifique du composant, sélectionnez le composant (depuis le volet Caractéristiques ou d'aperçu). Cliquez sur Réinitialiser la caractéristique.

  7. Cliquez sur Fermer.

Parent topic: Paramètres de sortie


Télécharger votre application mobile vers la boutique d'applications

Pour télécharger l'application sur les boutiques d'applications Apple ou Android, suivez les instructions fournies dans les articles suivants :

  • console de développeur Android

  • Envoi de votre application sur Apple App Store

Parent topic: Paramètres de sortie


Publier une sortie Responsive HTML5 sur RoboHelp Server

Pour publier une sortie Responsive HTML5 sur RoboHelp Server, procédez comme suit :

Note: Avant de suivre les étapes de cette procédure, assurez-vous que RoboHelp Server est prêt et en cours d’exécution.

  1. Sélectionnez le fichier du document (.fm ou .xml) ou du livre (.book ou .ditamap) que vous souhaitez publier.

  2. Sélectionnez Fichier > Publier.

  3. Dans le panneau Publier, faites un clic droit sur la sortie Responsive HTML5 et sélectionnez Modifier les paramètres.

    L’onglet Sortie affiche la sortie Responsive HTML5 sélectionnée par défaut.

  4. Sélectionnez l’onglet Serveur.

  5. Cliquez sur Nouveau pour créer une destination RoboHelp Server pour publier des projets. Dans la boîte de dialogue Nouvelle destination, indiquez le nom descriptif, le nom du serveur, l’ID utilisateur, et le mot de passe pour la connexion et l’authentification sur RoboHelp Server.

  6. Cliquez sur le bouton Actualiser pour actualiser la liste des zones depuis le serveur. Si vous ne sélectionnez pas de zone, le projet est publié dans la zone par défaut.

    Note: Pour publier dans le contexte par défaut (robohelp), saisissez le nom du serveur sous la forme http://<nom-serveur>:<numéro-port>. FrameMaker y ajoute /robohelp/server. Dans le cas contraire, pour publier dans un contexte autre que le contexte par défaut (robohelp), spécifiez l’URL complète sous la forme http://<nom-serveur>:<numéro-port>/<nom-contexte>/serveur.

  7. Cliquez sur OK pour enregistrer les configurations de serveur et fermez la boîte de dialogue Nouvelle destination.

    La nouvelle destination du serveur est affichée dans la boîte de dialogue Serveurs.

  8. Cliquez sur Enregistrer et fermer pour fermer la boîte de dialogue Paramètres de publication.

  9. Pour publier le projet sur le serveur, faites un clic droit sur Responsive HTML5 dans le panneau Publier et sélectionnez Publier sur le serveur.

  10. Cliquez sur Publier dans la boîte de dialogue Résultat.

    Vous pouvez afficher les fichiers publiés sur le serveur dans la fenêtre Statistiques.

Note: Pour afficher le projet sur le serveur, accédez à Administrateur Web de RoboHelp Server et dans l’onglet Projets, sélectionnez la zone dans laquelle vous avez publié les projets.
Parent topic: Paramètres de sortie


Utiliser le fichier de paramètres (isf) RoboHelp

Découvrez comment utiliser les paramètres d’importation RoboHelp (.isf) qui définissent les paramètres de projet pour chaque document FrameMaker.

Vous pouvez utiliser des paramètres d’importation RoboHelp (.isf) qui définissent les paramètres de projet pour chaque document FrameMaker. Pour appliquer ces paramètres à votre sortie de publication FrameMaker, exportez le fichier de paramètres depuis RoboHelp. Utilisez ensuite les paramètres définis dans votre sortie publiée FrameMaker en important le fichier ISF.

Lorsque vous exportez un fichier ISF depuis RoboHelp, les paramètres suivants sont inclus dans le fichier :

  • Feuilles de style en cascade (CSS) pour les projets RoboHelp

  • Mise en correspondance de styles FrameMaker avec des styles RoboHelp

  • Conversion de style et autres paramètres

  • Modèle FrameMaker

Pour plus de détails sur la conversion de FrameMaker à RoboHelp, reportez-vous à la section Composants d’un document FrameMaker convertis vers RoboHelp du guide d’utilisation RoboHelp.

Important: Lorsque vous importez un fichier ISF, les paramètres RoboHelp inclus dans le fichier remplacent les paramètres correspondants du fichier FrameMaker STS.

Pour importer un fichier ISF :

  1. Dans la boîte de dialogue Publier, cliquez sur le bouton Paramètres et sélectionnez Importer un fichier ISF.

  2. Dans la boîte de dialogue Sélectionner un fichier ISF, sélectionnez le fichier de paramètres.

    Lorsque vous importez un fichier ISF, les paramètres contenus dans ce fichier sont importés dans le fichier des paramètres de publication (.sts).

  3. Vous êtes invité à importer les paramètres ISF dans le fichier de paramètres actuels ou à créer un fichier de paramètres.

    La boîte de dialogue Paramètres de publication affiche les paramètres ISF importés.

  4. Si vous avez choisi à l’étape précédente d’importer les paramètres ISF dans un nouveau fichier de paramètres, spécifiez un emplacement pour le nouveau fichier.

    Si vous avez choisi d’importer les paramètres ISF dans le fichier de paramètres de publication existant, enregistrez les paramètres de publication mis à jour.

Parent topic: Publication multicanaux


Sortie HTML

Découvrir la sortie HTML dans Adobe FrameMaker.

FrameMaker vous permet d'enregistrer le livre et les fichiers FM sous plusieurs formats, à l'aide de la fonctionnalité de publication multicanaux. Vous pouvez définir les paramètres de conversion et de pagination dans FrameMaker, puis enregistrer l’ensemble du livre ou un document au format HTML ou à d'autres formats pris en charge. Vous pouvez parcourir le fichier HTML généré par le biais des liens créés à partir du document source.

Si vous publiez le contenu créé dans des formats d'aide en ligne autres que HTML, tels qu'EclipseHelp ou Adobe Air, vous pouvez utiliser Adobe RoboHelp comme outil de publication. De plus, dans le cas de la publication à l’échelle de l’entreprise, vous pouvez utiliser Adobe FrameMaker Publishing Server pour publier du contenu sur plusieurs canaux et périphériques.

  • Préparation de documents à la conversion au format HTML
    Découvrez les documents HTML et comment préparer des documents pour la conversion au format HTML, la conversion de texte et de graphiques dans Adobe FrameMaker.
  • Définition et réglage des mises en correspondance HTML
    Découvrez comment modifier configurer et régler des mises en correspondance HTML, des mises en correspondance de niveau automatique et des mises en correspondance pour les formats dans FrameMaker.
  • Enregistrement d’un document au format HTML
    Découvrez comment enregistrer un document au format HTML dans Adobe FrameMaker
  • Macros de conversion HTML
    Découvrez comment utiliser les macros de conversion HTML dans Adobe FrameMaker
  • Personnalisation de titres dans la sortie HTML
    Découvrez la sortie HTML dans Adobe FrameMaker.
  • Insertion de code HTML spécial dans la sortie HTML
    Découvrez comment insérer du code HTML pour convertir le document en HTML dans Adobe FrameMaker.
  • Conversion de livres en fichiers HTML
    Découvrez comment convertir des livres Adobe FrameMaker au format HTML.
  • Dépannage et conseils relatifs à la conversion HTML
    Découvrez comment dépanner la conversion HTML, des conseils sur la conversion HTML dans Adobe FrameMaker.
  • Enregistrement de documents structurés au format HTML avec Adobe FrameMaker
    Découvrez comment enregistrer et publier des documents structurés au format HTML dans Adobe FrameMaker.
  • Qualité d’image optimisée dans la sortie HTML
Parent topic: Publication multicanaux


Préparation de documents à la conversion au format HTML

Découvrez les documents HTML et comment préparer des documents pour la conversion au format HTML, la conversion de texte et de graphiques dans Adobe FrameMaker.

Le format HTML dispose d’un ensemble d’éléments décrivant chaque partie d’un document. Par exemple, l’élément <p> (paragraphe) est un paragraphe normal du corps ; l’élément <h1> est un intitulé de premier niveau.

La conception des éléments HTML est similaire à celles des formats Adobe FrameMaker. Par exemple, les documents HTML contiennent des éléments de paragraphes courants et d’intitulés, alors qu’un document FrameMaker contient des paragraphes utilisant des formats conçus pour des paragraphes courants et des intitulés.

Cependant, les éléments HTML diffèrent des formats FrameMaker sur les points suivants :

  • Un document HTML utilise un jeu d’éléments standard alors qu’un document FrameMaker peut contenir n’importe quel nombre de formats et utiliser tout nom de format.

  • Les éléments HTML décrivent la structure d’un document et non son format. Un navigateur web tel que Google Chrome ou Microsoft Edge affiche chaque élément dans un format prédéfini. Deux navigateurs peuvent afficher le même élément de manières différentes.

Les documents HTML peuvent contenir des liens hypertextes au sein du même fichier, ou vers d’autres fichiers se trouvant n’importe où sur Internet ou l’intranet. La plupart des commandes hypertextes FrameMaker sont automatiquement converties en commandes hypertextes HTML lorsque vous enregistrez un document au format HTML.

Parent topic: Sortie HTML

Conversion au format HTML

Le format HTML constitue un format en ligne optimisé uniquement pour certains types de présentation. En conséquence, n’espérez pas que vos documents HTML seront identiques à vos documents FrameMaker. Si les éléments de conception de vos documents n’ont pas d’équivalents HTML, il est préférable de les convertir au format PDF. Pour plus de détails, reportez-vous à la section Enregistrer au format PDF.

Eléments convertis

Lors de l’enregistrement d’un document au format HTML, FrameMaker ne convertit que le contenu de l’enchaînement de texte principal (celui portant l’étiquette A). Vérifiez qu’il s’agit bien du texte souhaité et que l’ensemble de l’enchaînement est connecté. (Voir Connexion de zones de texte.)

Tip: Si un document comporte plusieurs enchaînements à conserver, envisagez de l’enregistrer au format PDF. Voir Sortie PDF. Lorsque vous enregistrez un document PDF, chaque enchaînement peut être converti en file d’article Acrobat.

Le contenu des cadres ancrés de l’enchaînement est converti en graphiques (incluant le texte dans les cadres). Les graphiques et le texte en dehors de l’enchaînement principal, situés sur les maquettes (tels que les en-têtes ou les pieds de page) ou directement sur la page courante (tel qu’un graphique) ne sont pas convertis au format HTML. Si vous souhaitez conserver les en-têtes afin que le texte et les graphiques apparaissent en haut de chaque document HTML (texte d’un logo ou boutons de navigation, par exemple), utilisez des macros.

Certaines commandes hypertextes FrameMaker convertissent en liens HTML équivalents.

Problèmes liés à l’exportation au format HTML

Lorsque vous exportez un document au format HTML, notez les points suivants :

  • Les graphiques vectoriels et les zones de texte situés dans des cadres ancrés sont convertis en images en mode point (bitmaps). Si le texte contenu dans le graphique converti est simulé, vous pouvez modifier le paramètre Simuler texte plus petit que dans la boîte de dialogue Préférences.

  • Si vous redimensionnez ou rognez un graphique GIF ayant été importé par référence, ces paramètres se perdront lors de la conversion au format HTML.

  • Les fichiers HTML produits par FrameMaker n’affichent pas les sauts de ligne lorsqu’ils sont ouverts dans le Bloc-notes Windows. Pour afficher correctement les fichiers HTML, utilisez FrameMaker, un éditeur de texte avancé ou un navigateur vous permettant de visualiser le code source.

  • Si le document utilise des noms de styles de paragraphes ou de caractères contenant des caractères accentués, des problèmes d’affichage de ces caractères peuvent survenir dans certains navigateurs. Pour éviter ce problème, renommez les styles de paragraphes ou de caractères pour utiliser des caractères sans accents, ou supprimez le fichier de feuilles de styles en cascade (.css) créé avec le fichier HTML.

Utilisation de modèles pour conversion au format HTML

Pour éviter de retoucher vos documents une fois enregistrés au format HTML, créez vos documents à partir de l’un des modèles FrameMaker. Leurs formats sont aisément convertis en équivalents HTML.

Figure 1. Modèle de chapitre avant et après une conversion HTML
Exemple de modèle de chapitre FrameMaker fourni avant et après la conversion HTML.

Utilisation de couleurs compatibles pour le Web

La bibliothèque de couleurs Online fournit 216°couleurs Web sécurisées, c’est-à-dire ayant une apparence homogène sur toutes les plates-formes lors de leur visualisation à l’aide d’un navigateur Web.

Related information
  • Commandes hypertextes
  • Couleurs

Conservation de l’aspect FrameMaker à l’aide de feuilles de style

Le format HTML a été conçu non comme un langage de formatage mais comme un moyen de présenter la structure d’un document (sa sémantique). Dans certains cas, cependant, vous pouvez être amené à considérer le format aussi bien que la sémantique d’un document. Vous pouvez préserver l’aspect global du document FrameMaker davantage qu’avec des éléments HTML normaux.

Supposons, par exemple, que le premier caractère d’un chapitre d’un document soit bleu et que sa taille soit de 20 points. Une feuille de style HTML peut conserver ce type de formatage unique.

Une feuille de style HTML en cascade est créée automatiquement avec le même nom que le fichier HTML principal mais avec une extension .css. Il s’agit d’un format de fichier normalisé utilisé et interprété par de nombreux navigateurs Web. Une feuille de style .css contient des spécifications de formatage pouvant dupliquer la police, le style, la taille, les retraits, l’espacement et les marges du document d'origine.

Le fichier HTML contient une référence à une feuille de style .css. Si le navigateur trouve cette dernière, il utilise les informations pour formater la page Web. Si le navigateur ne prend pas en charge les feuilles de style, il utilise uniquement le formatage intégré défini pour chaque élément HTML.

  1. Enregistrez le document au format HTML. Un fichier .css est automatiquement créé dans le même dossier que le fichier HTML.

  2. Copiez la feuille de style HTML (fichier .css sur le serveur web dans le même dossier que vos fichiers HTML.

Note: Les feuilles de style sont parfois dites «°en cascade°» car leurs règles de formatage peuvent remplacer, voire annuler celles d’autres feuilles de style, telles qu’une feuille de style personnelle définie par une personne affichant votre document converti. La feuille de style créée par FrameMaker est prioritaire par rapport aux autres feuilles de style.
Related information
  • Enregistrement de documents structurés au format HTML avec Adobe FrameMaker

Format personnalisé

Modifications faisant l’objet d’un suivi en tant que format personnalisé

FrameMaker traite les modifications apportées au texte, aux caractères et aux propriétés de tableau qui diffèrent des définitions en tant que formats personnalisés. En outre, si le format du document actif n’est pas défini, il est considéré comme un format personnalisé, comme lorsque vous copiez et collez du texte à partir d’autres documents.

Les cas suivants sont considérés comme des formats personnalisés :

  • Lorsque vous appliquez un formatage à l’aide de la barre d’outils°: application des styles gras, souligné ou italique, par exemple.

  • Lorsque vous modifiez le format de paragraphes, de caractères ou de tableaux dans la configuration, puis que vous l’appliquez uniquement à la sélection, sans mettre à jour la définition du format.

  • Lorsque vous copiez le contenu à partir d’un autre document à l’aide d’un autre modèle, le contenu copié conserve le formatage, mais les définitions ne sont pas présentes dans le document actif.

Prenons, par exemple, un style de caractères nommé Erreur, avec un texte de couleur rouge et une épaisseur de type Tel que. Si vous modifiez la couleur du texte de Rouge à Noir, alors il s’agit d’un format personnalisé. Toutefois, si la propriété Graisse est modifiée de Normal en Gras, il ne s’agit pas d’un format personnalisé (aucune déviation par rapport à la définition). Cependant, si une propriété de format définie sur Tel que est modifiée, elle ne fait pas l’objet d’un suivi en tant que format personnalisé.

Note: Si les propriétés des cellules du tableau sont modifiées dans Tableau > Format > Ombrage et trait personnalisés, il n’est pas signalé comme format de tableau personnalisé.

Gestion des formats personnalisés pour la conversion du contenu

La précision de la conversion dépend de l’utilisation cohérente des formats dans vos documents FrameMaker. Le résultat ne sera pas aussi satisfaisant si vous utilisez des formats personnalisés au lieu des formats définis dans les catalogues. Ainsi, un document utilisant un format Courant pour les paragraphes normaux et les intitulés ne sera pas converti au format HTML avec précision. Si vos documents utilisent de nombreux formats personnalisés, procédez de l’une des manières suivantes :

Recherche et suppression de formats personnalisés

Vous pouvez rechercher les formats personnalisés de paragraphe, caractère et tableau dans un livre ou un document.

  1. Sélectionnez Edition > Rechercher, et dans liste déroulante Rechercher, sélectionnez le type de format personnalisé.

  2. Dans la liste déroulante Modifier, sélectionnez Supprimer la mise en page personnalisée.

  3. Cliquez sur Rechercher, puis sur Modifier pour chaque instance du format personnalisé.

Création et application d’un nouveau jeu de formats basé sur les personnalisations

Vous pouvez laisser FrameMaker analyser automatiquement le document et rechercher les formats personnalisés, puis créer de nouveaux formats. Tout format utilisé dans le document mais non stocké dans un catalogue est ajouté au catalogue. Ainsi, si le document utilise un format personnalisé, un format distinct basé sur la personnalisation est ajouté au catalogue.

Par exemple, si un document contient un paragraphe Corps avec un format personnalisé (par exemple, un retrait à gauche), ce paragraphe sera balisé Body1.

Si un autre format personnalisé est utilisé pour le Corps (par exemple, une autre police que celle par défaut), tout paragraphe utilisant ce format sera balisé Body2. Il peut être nécessaire de renommer certains formats afin de faciliter leur interprétation. Par exemple, vous pouvez renommer Courant1 en CourantRetrait.

  • Sélectionnez Fichier > Utilitaires > Créer et appliquer des formats, puis cliquez sur Continuer.

Ajout de lien vers des URL

Une URL (uniform resource locator) correspond à l’emplacement d’un document sur Internet ou sur un intranet. Vous pouvez insérer un marqueur spécial dans un document FrameMaker qui se transforme alors en lien vers une URL lorsque le document est enregistré au format HTML ou PDF.

  1. Sélectionnez le texte à lier à une URL et appliquez-lui un style de caractères. Par exemple, vous pouvez appliquer le format souligné aux mots suivants°: cliquez ici pour plus d’informations.

  2. Cliquez sur la zone formatée, et choisissez Insérer > Hypertext.

  3. Sélectionnez Message Client dans la liste déroulante Commande, puis entrez ce qui suit dans la zone de texte Syntaxe :

     message URLurl_name

    Remplacez nom_url par l’URL avec lequel vous voulez établir le lien. Par exemple, pour créer un lien vers le site d’Adobe Systems, vous entrez la ligne suivante :

     message URL http://www.adobe.com

  4. Cliquez sur Nouveau marqueur hypertexte. Une fois le document converti au format HTML, XML ou PDF, un clic sur le texte formaté affiche l’emplacement spécifié par l’URL.

    Note: Lors de la création d'un marqueur hypertexte, il est recommandé de ne pas ajouter le lien d'un PDF dont l'URL comporte une esperluette (&). Cela peut provoquer un lien mort dans la sortie Responsive HTML5.
Related information
  • Définition d’une zone active dans le document

Création de liens simulant une table des matières

Vous pouvez convertir un fichier volumineux en plusieurs sous-documents HTML référencés à un document parent. Ce dernier fonctionne alors comme une table des matières liée aux sous-documents.

Figure 2. Document FrameMaker et TDM simulée sur une page Web
Document FrameMaker et table des matières simulée pour les sous-documents

Les sous-documents sont automatiquement nommés de manière séquentielle. Par exemple, si vous enregistrez au MyDoc au format HTML, le document parent est nommé MyDoc.html, le premier sous-document est MyDoc.1.html, le second est MyDoc.2.html, etc. Ne renommez pas les fichiers sinon les liens ne seront plus valides.

La hiérarchie des niveaux d’intitulé dans les sous-documents est contrôlée par la table Headings.

  1. Ajustez les mises en correspondance de votre document afin qu’un intitulé démarre un nouveau fichier. Pour ce faire, utilisez l’option Lancer une nouvelle, Page Web avec un lien dans la boîte de dialogue Configuration HTML.

    Note: choisissez un intitulé avec un contenu de taille moyenne, pour que le lecteur trouve rapidement la page. De même, assurez-vous qu’un texte s’affiche avant la première occurrence de l’intitulé choisi afin qu’il y ait une introduction à la liste de liens.

  2. Permettez aux lecteurs de revenir facilement au document parent depuis les sous-documents liés en définissant la macro système EndOfSubDoc ou StartOfSubDoc. Le texte ou les graphiques définis par cette macro s’afficheront à la fin ou au début de chaque page Web liée, comme dans l’exemple suivant.

    Nom de la macro

    Remplacer par

    EndOfSubDoc

    <div>
<p><a href="<$parentdoc>">Return to main page</a></p>
<p><a href="<$prevsubdoc>">Go to previous page</a></p>
<p><a href="<$nextsubdoc>">Go to next page</a></p>
</div>

  3. Enregistrez le fichier ou le livre au format HTML. Le document parent contiendra la table des matières liée.

Related information
  • Définition et réglage des mises en correspondance HTML

Définition de liens pour les images interactives

Les images interactives d’une page web sont des graphiques avec des zones définies comme liens. Ces images peuvent ajouter un intérêt visuel aux pages web par rapport à des liens de texte pur.

Lors de la conversion d’un document FrameMaker au format HTML ou XML, les graphiques dans l’enchaînement de texte principal sont automatiquement convertis en images interactives si vous les avez correctement définis. La conversion s’effectue dans les cas suivants :

  • Lorsqu’un graphique dans un cadre ancré comporte une ou plusieurs zones de texte et que ces zones possèdent des marqueurs hypertextes corrects.

  • Lorsqu’un graphique dans un cadre ancré est recouvert par une matrice rectangulaire de liens.

Conversion de graphiques

Lors de l’enregistrement de documents au format HTML, tous les fichiers graphiques importés par duplication dans des cadres ancrés sont convertis au format GIF à moins que vous n’ayez spécifié un autre format d’enregistrement. Chaque graphique est enregistré dans un fichier séparé. Le texte des cadres ancrés est également converti au format GIF.

Le chemin d’accès d’origine des fichiers graphiques importés par référence est conservé à moins que vous n’ayez spécifié d’effectuer des copies. Dans ce cas, les formats sont analysés et convertis selon les besoins (en conservant leur échelle en ppp). Les nouveaux fichiers sont créés dans le même dossier que le document HTML.

Définition du format de fichier d’un graphique converti

  1. Sélectionnez Fichier > Utilitaires > Configuration HTML puis cliquez sur Options.

    Figure 3. Options HTML
    Boîte de dialogue Options HTML FrameMaker

  2. Spécifiez le format de fichier graphique souhaité. Les formats disponibles sont les suivants :

    • Le format GIF est destiné aux images non photographiques comportant moins de 256 couleurs.

    • Le format JPEG est destiné aux images comportant une large gamme de couleurs ; une photographie 24 bits par exemple.

    • Le format PNG est un format du domaine public, de plus en plus utilisé sur le Web. Comme le format GIF, son usage est mieux adapté aux images comportant moins de 256 couleurs.

  3. Cliquez sur OK.

Copie et conversion des graphiques importés par référence

Pour spécifier que les graphiques importés par référence seront copiés à la destination cible :

  1. Sélectionnez Fichier > Utilitaires > Configuration HTML puis cliquez sur Options.

  2. Sélectionnez Copier fichiers importés par référence.


Définition et réglage des mises en correspondance HTML

Découvrez comment modifier configurer et régler des mises en correspondance HTML, des mises en correspondance de niveau automatique et des mises en correspondance pour les formats dans FrameMaker.

Les mises en correspondance HTML suivantes peuvent être modifiées :

  • Les styles de paragraphes sont convertis en éléments HTML définissant le formatage au niveau des paragraphes (notamment les styles des paragraphes courants et des intitulés).

  • Les formats de caractères sont convertis en éléments HTML définissant le formatage au niveau des caractère (notamment les mises en correspondance courantes de texte en gras ou en relief).

  • Les styles de références croisées deviennent des macros de conversion HTML spécifiant l’affichage des références croisées au format HTML.

Une fois un document enregistré au format HTML, vous pouvez retoucher les mises en correspondance.

Note: certaines mises en correspondance ne sont pas modifiables. Par exemple, un tableau FrameMaker est toujours converti en un tableau HTML et un cadre ancré devient toujours une image portant une étiquette IMG.
Parent topic: Sortie HTML

Définition ou modification des mises en correspondance HTML

  1. Choisissez Fichier > Utilitaires > Configuration HTML. La boîte de dialogue Configuration HTML s’affiche.

    Figure 1. Boîte de dialogue Configuration HTML
    Boîte de dialogue Configuration HTML de FrameMaker

    FrameMaker charge soit les mises en correspondance actuelles dans la boîte de dialogue Configuration HTML ou, si aucune mise en correspondance n’a encore été créée, crée des mises en correspondance par défaut.

  2. Dans la liste déroulante Mise en correspondance, sélectionnez le type de formats à mettre en correspondance (Formats de caractères, Formats de paragraphes ou Formats de références croisées).

  3. Spécifiez une mise en correspondance en sélectionnant un format FrameMaker dans la liste déroulante Du : et un élément HTML ou une macro dans la liste déroulante Au :.

    Tip: Vous pouvez cliquer dans le document pour sélectionner un format à ajuster. La boîte de dialogue Configuration HTML affiche immédiatement la mise en correspondance courante pour le format choisi.

  4. Choisissez l’une des options suivantes :

    • Si vous mettez en correspondance des styles de paragraphes et que vous souhaitez inclure le numéro automatique du paragraphe dans le texte converti, cliquez sur Inclure numérotation automatique. (Cela n’est pas nécessaire pour les éléments d’une liste.)

    • Si vous établissez une correspondance avec Intitulé (Niveau auto) et que vous souhaitez commencer une nouvelle page Web lorsque ce format est trouvé, cliquez sur Lancer une nouvelle, page Web avec lien.

      Utilisez cette option pour fractionner un document FrameMaker volumineux en plusieurs fichiers HTML, chacun étant lié à un fichier unique. Lorsque le format spécifié est trouvé, FrameMaker conserve l’intitulé dans le fichier d’origine (le fichier parent) et en fait un lien vers un sous-document dont le contenu démarre au format de l’intitulé et continue jusqu’à l’occurrence suivante du format. Pour plus de détails sur l’utilisation de ce paramètre pour simuler une table des matières, reportez-vous à la section Création de liens simulant une table des matières.

    • Si vous établissez une correspondance avec un élément de liste pour une liste numérotée ou à puces et souhaitez spécifier le niveau d’imbrication de l’élément (se traduisant par la distance de retrait de l’élément), entrez une valeur dans la zone Liste d’imbrication de profondeur.

  5. Cliquez sur Modifier pour accepter la mise en correspondance.

  6. Répétez les étapes 2 à 5 si nécessaire.

  7. Une fois la spécification de mises en correspondance terminée, fermez la boîte de dialogue et enregistrez le document au format HTML.

Si vous souhaitez modifier les tables de mises en correspondance sur la page de référence HTML, assurez-vous d’abord de fermer la boîte de dialogue Configuration HTML. Si cette boîte de dialogue reste ouverte, il en résultera une erreur lorsque vous tenterez de modifier les tables.

Mises en correspondance de niveau automatique pour les intitulés

Le format HTML prend en charge six niveaux d’intitulés. Vous pouvez convertir tout style de paragraphes FrameMaker en intitulé en le mettant en correspondance avec Intitulé (Niveau auto). Avec cette mise en correspondance spéciale, les intitulés du document sont mis en correspondance avec H1, H2, etc., selon leur niveau relatif et en fonction de la mise en correspondance de plus haut niveau dans ce fichier. L’avantage de cette méthode est que si le document est fractionné en fichiers HTML séparés, chacun possédera une mise en correspondance H1 et une hiérarchie appropriée d’intitulés sous ce H1.

Par exemple, supposons que votre document utilise les formats Titre1, Titre2 et Titre3. Lors de la conversion HTML, vous pouvez diviser le document en deux fichiers et le second fichier contiendra exclusivement les occurrences de Titre2 et Titre3. La fonction de niveau automatique assure que Titre2 est mis en correspondance avec H2 dans le premier fichier mais avec H1 dans le second.

Pour plus de détails sur le fonctionnement des intitulés de niveau automatique en cas de fractionnement d’un document en plusieurs fichiers HTML, reportez-vous à la section Utilisation d’une page de référence Headings.

Pour affiner le mécanisme de niveau automatique ou modifier la fonction de niveau automatique et effectuer des mises en correspondance à des niveaux d’intitulé spécifiques, vous devez éditer des tables spéciales sur les pages de référence du document FrameMaker. Pour plus d’informations, voir Modification de la table de HTML Mapping.

Mises en correspondance de listes

FrameMaker met automatiquement en correspondance les listes à puces en listes HTML non triées et les listes numérotées en listes HTML triées. Pour personnaliser la mise en correspondance automatique, vous devez éditer une table de la page de référence HTML du document FrameMaker. (Voir Modification de la table de HTML Mapping.)

La boîte de dialogue Configuration HTML permet de définir le niveau d’une liste en l’indiquant dans la zone Liste d’imbrication de profondeur. Généralement, un navigateur affiche différents niveaux suivant différents retraits.

Vous pouvez inclure une numérotation automatique FrameMaker dans le texte converti en choisissant l’option Inclure numérotation automatique. Cependant, la plupart des navigateurs offrant leurs propres caractères de puce et numéros avec les listes, il est peu probable que vous utilisiez cette option lors de la conversion de listes.

Le tableau suivant montre des éléments HTML basés sur les paragraphes.

Nom de mise en correspondance dans la boîte de dialogue Configuration HTML | Elément HTML équivalent | Utilisation recommandée et aspect typique dans un navigateur Web
Intitulé (Niveau auto) | H1, H2, H3, H4, H5, H6 | Six niveaux d’intitulés, H1 étant le plus élevé et le plus important
Paragraphe | P | Paragraphes courants normaux
Texte préformaté | PRE | Texte faisant globalement apparaître les sauts de ligne et les espacements de l’original ; obtenu généralement par utilisation d’espaces multiples et d’une police à largeur fixe
Adresse | ADDRESS | Texte mis en relief par rapport au reste du texte, indiquant une adresse électronique ou un élément similaire ; généralement mis en retrait ou en italique
Guillemet de bloc | BLOCKQUOTE, BQ | Citation mise en relief par retrait
ElémList | LI | Elément précédé d’une puce lorsqu’il est dans une liste non triée (UL) ou d’un numéro séquentiel lorsqu’il est dans une liste triée (OL)
Elément de liste (suite) | P | Paragraphe courant dans une liste (non précédé d’une puce ou d’un numéro)
Terme de données | DT | Elément (tel qu’un terme de glossaire) défini par un élément DD
Définition de données | DD | Définition d’un terme (DT), comme dans un glossaire
Définition de données (suite) | P | Paragraphe courant dans une définition de données
Abandonner | Aucune | Supprimé au cours de la conversion en HTML

Le tableau suivant montre des éléments HTML basés sur les caractères.

Nom de mise en correspondance dans la boîte de dialogue Configuration HTML | Elément HTML équivalent | Utilisation recommandée et aspect typique dans un navigateur Web
Citation | CITE | Citation, généralement affichée en italique ou soulignée
Code | CODE | Code de programmation, généralement affiché dans une police à largeur fixe telle que Courier
Définition | DFN | Définition d’un terme, généralement affichée en italique
Italique | EM | Texte mis en relief, généralement en italique ou souligné
Clavier | KBD | Texte saisi par un utilisateur, généralement affiché dans une police à largeur fixe telle que Courier
Document-type | SAMP | Texte qui s’affiche dans une police à largeur fixe telle que Courier
Citation courte (Intl.) | Q | Citation plus courte qu’un paragraphe, généralement affichée entre guillemets (peut ne pas être reconnu par tous les navigateurs)
Fraction (CSS) | SPAN | Texte affiché selon les spécifications de la feuille de style HTML (pour les navigateurs reconnaissant les feuilles de style) ou sans formatage particulier (pour les autres navigateurs). A utiliser lorsqu’aucune autre mise en correspondance n’est appropriée (par exemple, pour une lettrine).
Italique fort | STRONG | Texte mis en relief, affiché en gras
Machine à écrire | TT | Texte qui s’affiche dans une police à largeur fixe telle que Courier
Variable | VAR | Terme spécial ou, dans un contexte de programmation, nom d’une variable, généralement affiché en italique ou en italique gras
Texte simple | Aucune | Texte qui annule toute précédente mise en correspondance de caractère, généralement affiché selon les spécifications de la mise en correspondance de paragraphe
Abandonner | Aucune | Supprimé au cours de la conversion en HTML

Mises en correspondance pour formats de références croisées

Une référence croisée standard d’un document imprimé, telles que «°Pour plus d’informations, voir Syntaxe, page 8°» perd toute signification dans des documents HTML n’utilisant pas la fonction de pagination. C’est pourquoi les références croisées sont mises en correspondance par défaut avec une macro de conversion prédéfinie appelée See Also. La macro See also modifie la référence croisée afin qu’elle fasse référence au texte du paragraphe mais non au numéro de page (par exemple, «°Pour plus de détails, voir Syntaxe°»). Le texte de la référence croisée dans le document original devient un lien HTML dans le document converti quel que soit le format utilisé.

Vous pouvez modifier la macro See Also ou créer vos propres macros puis les mettre en correspondance avec les formats de références croisées.

Lorsque vous mettez en correspondance une référence croisée pour la première fois, la macro See Also est la seule macro de la liste déroulante Au dans la boîte de dialogue Configuration HTML. Si vous créez d’autres macros de conversion, elles s’affichent également dans ce menu. Pour plus de détails sur la création et la modification de macros de référence croisés, reportez-vous à la section Macros de conversion HTML.

Deux autres choix dans la liste déroulante Au : permettent de mettre en correspondance une référence croisée de manières différentes :

  • Sélectionnez Format de référence croisée d’origine pour conserver le texte de la référence croisée tel quel.

  • Sélectionnez Abandonner pour supprimer le texte de la référence croisée.

Retouche des mises en correspondance par modification des pages de référence

Vous pouvez affiner la conversion HTML en modifiant les tables de deux pages de référence FrameMaker spéciales : Titres et HTML. Si vous convertissez un livre, les pages de référence sont BookHeadings et BookHTML. (Voir Conversion de livres en fichiers HTML.) Pour plus de détails sur les pages de référence, reportez-vous à la section Pages de référence.

Note: Ne modifiez pas les informations de la page de référence HTML à moins de connaître le codage HTML. La plupart des utilisateurs n’auront pas à modifier les tables de cette page.

Les tables de pages de référence sont définies automatiquement lors du premier enregistrement au format HTML ou de la première sélection de la commande Fichier > Utilitaires > Configuration HTML. La page de référence Headings contient une seule table (Headings). La page de référence HTML contient les tables suivantes :

  • La table de HTML Mapping (Mise en correspondance HTML) (Voir Modification de la table de HTML Mapping.)

  • La table HTML Options (Options HTML), qui contient les paramètres choisis dans la boîte de dialogue Options. (Voir Conversion de graphiques.)

  • La table HTML System Macros (Macros système HTML), la table HTML Cross-Référence Macros (Macros de références croisées HTML) et la table HTML General Macros (Macros générales HTML). (Voir Macros de conversion HTML.)

  • La table HTML Character Macros (Macros Caractères HTML). (Voir Conversion de caractères spéciaux.)

Si les tables sont volumineuses, la page de référence HTML se poursuit sur le nombre de pages requis.

Utilisation d’une page de référence Headings

La table Headings de la page de référence du même nom identifie les étiquettes à utiliser pour les intitulés ainsi que leur hiérarchie.

Figure 2. La table Headings définit la hiérarchie relative des intitulés.
Configuration de la hiérarchie des intitulés dans la table Intitulés de la page de référence des intitulés.

Cette table vous permet de modifier les mises en correspondance d’intitulés et les niveaux relatifs de ceux-ci.

Pour vous aider à identifier les formats d’intitulé, le texte s’affiche en conservant la police et la taille en points des intitulés des pages courantes du document.

Modification de la table Headings

  1. Sélectionnez Affichage > Pages de référence et affichez la page Intitulés. La page Intitulés n'existe pas tant que vous n'avez pas enregistré le document au format HTML ou que vous ne choisissez pas Fichier > Utilitaires > Configuration HTML.

  2. Modifiez la table en procédant de l’une des façons suivantes :

    • Pour mettre en correspondance un autre style de paragraphes et un niveau d’intitulé, modifiez l’étiquette de paragraphe dans la deuxième colonne mais ne changez pas le numéro de niveau d’intitulé. Par exemple, si un format Conseil est mis en correspondance avec un intitulé de niveau 6 mais que vous souhaitez que le style Attention soit mis en correspondance avec ce niveau, il suffit de modifier Conseil en Attention dans la deuxième colonne.

    • Pour modifier le niveau relatif des intitulés, modifiez les numéros dans la colonne Heading Level (Niveau d’intitulé). Ainsi, pour faire passer le style Attention à un niveau d’intitulé supérieur, changez le 6 en 5 dans la colonne Niveau d'intitulé. (Il n’est pas nécessaire de modifier l’ordre des lignes lors de cette opération°; vous pouvez tout de même le faire pour faciliter la lecture de la table.)

    • Pour mettre en correspondance plusieurs styles avec un seul niveau d’intitulé, utilisez le même numéro dans la colonne Niveau d'intitulé. Par exemple, les formats Remarque et Attention sont des intitulés de niveau 6 dans la table Headings suivante.

      Heading Level (Niveau d’intitulé)

      Style de paragraphe

      Commentaire

      6

      Remarque

      6

      Attention

    • Pour ajouter un format à la table Intitulés, appuyez sur Ctrl+Retour pour ajouter une ligne, puis renseignez les colonnes Niveau d'intitulé et Style de paragraphes.

  3. Si vous avez supprimé ou ajouté des formats à la table Headings, modifiez également leurs mises en correspondance dans la table de HTML Mapping. Par exemple, vous pouvez transformer l’entrée d’un style de sous-titres H* en P dans la table de mise en correspondance HTML. Le paragraphe suivant fournit davantage d’informations sur la modification de cette table.

Modification de la table de HTML Mapping

La table de HTML Mapping de la page de référence HTML contient les mises en correspondance attribuées à l’aide de la boîte de dialogue Configuration HTML. (Les mises en correspondance des intitulés s’affichent également ici, ainsi que dans la table Headings.) Vous n’aurez généralement pas à modifier cette table directement excepté dans les situations suivantes°:

  • Pour ignorer la mise en correspondance de niveau automatique des intitulés et mettre explicitement en correspondance un format avec un niveau d’intitulé tel que H1 ou H2 (Voir Mises en correspondance de niveau automatique pour les intitulés.)

  • Pour modifier plusieurs mises en correspondance rapidement ou globalement avec Edition > Rechercher/Remplacer.

  • Pour transformer une liste à puces en une liste numérotée ou l’inverse

  • Pour utiliser un élément HTML non disponible dans la boîte de dialogue Configuration HTML

  • Pour documenter les mises en correspondance dans la colonne Comments (Commentaires) de la table

La première colonne de la table de mise en correspondance contient un élément source FrameMaker portant un préfixe avec une lettre désignant son type :P pour un style de paragraphes, C pour un style de caractères ou X pour un format de références croisées. La deuxième colonne peut contenir le nom d’un élément HTML ou d’une macro de conversion HTML.

Figure 3. Table de HTML Mapping sur la page de référence HTML
Utilisation de la table de HTML Mapping sur la page de référence HTML

Pour plus de détails sur la définition de macros, reportez-vous à la section Macros de conversion HTML.

Modification d’une mise en correspondance à l’aide de la table de HTML Mapping

  1. Sélectionnez Affichage > Page de référence et affichez la page HTML.

  2. Repérez la table de mise en correspondance sur cette page et recherchez le format dont vous souhaitez modifier la mise en correspondance.

  3. Effectuez les modifications suivantes selon vos besoins :

    • Dans la colonne Élément, entrez le nom de l’élément ou de la macro de conversion HTML avec lesquels le format doit être mis en correspondance. Si vous n’êtes pas certain du nom exact de l’élément HTML, consultez les tableaux dans la section Mises en correspondance de listes. Entrez H* pour effectuer une mise en correspondance sur un intitulé de niveau automatique.

    • Dans la colonne Nouvelle page Web, entrezY pour Oui afin de créer un document HTML distinct chaque fois que ce format est trouvé. Sinon, entrez N (Non).

    • Dans la colonne Include Auto# (Numérotation automatique incluse), entrez O ou Oui pour inclure le texte de numérotation automatique complet de ce format dans la conversion. Sinon, entrez N ou Non.

    • Dans la colonne Commentaires, entrez du texte pour documenter l’objectif de la mise en correspondance, les cas particuliers, etc. Cette colonne peut rester vierge.

    Une ligne modifiée peut avoir l’aspect suivant.

    Elément source FrameMaker

    Elément HTML

    Nouvelle page Web ?

    Inclure Auto# ?

    Commentaires

    P:Fnote

    NOTE

    N

    N

    Ne fonctionne pas dans tous les navigateurs

Conversion de caractères spéciaux

Le jeu de caractères FrameMaker et celui utilisé par le format HTML et le Web ne sont pas identiques. C’est pourquoi certains caractères sont mis en correspondance avec des substitutions lors de la conversion au format HTML. Certaines mises en correspondance sont internes et sont basées sur des codes HTML spéciaux appelés entités. (Par exemple, les guillemets courbés sont convertis en guillemets droits.) D’autres substitutions sont définies dans la table Character Macros. Par exemple, un tiret cadratin est défini par deux tirets. Si aucune mise en correspondance n’existe, le caractère est ignoré.

Les caractères suivants possèdent des correspondances prédéfinies ou subissent un traitement particulier.

Caractères | Correspondance par défaut | Définition
… (points de suspension) | ... (trois points) | Table Character Macros
— (tiret cadratin) | -- (deux tirets) | Table Character Macros
– (tiret demi-cadratin) | - (un tiret) | Table Character Macros
¢ (cent) | &#162; (référence de caractère HTML) | Table Character Macros
© (copyright) | &#169; (référence de caractère HTML) | Table Character Macros
®(marque déposée) | &#174; (référence de caractère HTML) | Table Character Macros
° (symbole de degré) | &#176; (référence de caractère HTML) | Table Character Macros
< et > (chevrons) | &lt; et &gt; (entités HTML) | Interne
" | &quot; (entités HTML pour ") | Interne
& (esperluette) | &amp; (entité HTML) | Interne

Vous pouvez ajouter ou modifier des mises en correspondance de caractères en ajoutant ou éditant des entrées de la table Character Macros. Comme l’illustre le tableau précédent, vous pouvez mettre en correspondance des caractères avec du texte ou des références d’entité et de caractère HTML (débutant par & et se terminant par un point virgule).

  1. Sélectionnez Affichage > Pages de référenceet affichez la table Character Macros (Macros Caractères) dans la page HTML.

  2. Modifiez une mise en correspondance ou créez une nouvelle ligne (en appuyant sur Ctrl+Retour) et entrez une nouvelle correspondance.

En cas de doute sur la saisie d’un caractère spécial dans la première colonne, consultez sa séquence de touches.

Par exemple, pour définir la correspondance des caractères croix, marque commerciale ou ligature ae, ajoutez les lignes suivantes.

Caractères | Remplacer par | Commentaires
‡ | * | Croix
™ | (tm) | Marque commerciale
æ | &aelig; | ae est mis en correspondance avec la référence d’entité HTML de ce symbole


Enregistrement d’un document au format HTML

Découvrez comment enregistrer un document au format HTML dans Adobe FrameMaker

Pour convertir un document FrameMaker au format HTML, il suffit de l’enregistrer en tant que fichier HTML. Cette opération définit la façon dont chaque format FrameMaker sera converti (ou mis en correspondance) en un élément HTML. Il est possible d’enregistrer l’intégralité d’un livre au format HTML. (Voir Conversion de livres en fichiers HTML.)

FrameMaker crée automatiquement les mises en correspondance de formats en éléments HTML lors de la conversion initiale au format HTML, mais vous pouvez les retoucher et les personnaliser en créant des macros de conversion. Pour plus de détails, reportez-vous aux sections Définition et réglage des mises en correspondance HTML et Retouche des mises en correspondance par modification des pages de référence.

Même si vous envisagez d’affiner la conversion, il est conseillé de commencer par enregistrer au format HTML. Vous pourrez ensuite, au besoin, retoucher les mises en correspondance automatiques.

  1. Sélectionnez Fichier > Enregistrer sous, puis sélectionnez HTML dans la liste déroulante.

  2. Attribuez une extension .html au nom de fichier, spécifiez son emplacement et cliquez sur Enregistrer. Le fichier converti est enregistré à l’endroit spécifié.

  3. Ouvrez le fichier HTML dans un navigateur pour examiner le résultat obtenu. Si son aspect vous satisfait, votre travail est terminé.

Pour retoucher certaines mises en correspondance, suivez la procédure décrite à la section Définition et réglage des mises en correspondance HTML.

Parent topic: Sortie HTML


Macros de conversion HTML

Découvrez comment utiliser les macros de conversion HTML dans Adobe FrameMaker

Dans ce sujet

  • Introduction

  • Création ou modification d’une macro de conversion HTML

  • Utilisation de composantes dans les macros de conversion HTML

  • Redéfinition de macros système HTML

Introduction

Vous pouvez utiliser les tables suivantes sur la page de référence HTML pour définir les macros de conversion HTML :

  • La table HTLM System Macros, qui contient huit noms de macros prédéfinies permettant d’effectuer des fonctions spéciales au début ou à la fin de pages Web

  • La table HTML Cross-Référence Macros, qui contient un texte de remplacement pour les références croisées FrameMaker

  • La table HTML General Macros, qui contient des macros à usage général que vous définissez (par exemple, le titre du document converti)

Note: Les macros System et General HTML ne peuvent pas être modifiées dans la boîte de dialogue Configuration HTML.

Une fois une macro définie, vous pouvez utiliser son nom dans d’autres macros ou l’utiliser pour une mise en correspondance dans la table de HTML Mapping. Le nom de la macro s’affiche dans la liste déroulante dans la boîte de dialogue Configuration HTML. Ainsi, il est possible de mettre en correspondance un format avec celle-ci sans modifier directement la table de mappage.

Pour des exemples de macros de conversion HTML, reportez-vous aux pages de référence des modèles inclus avec FrameMaker.

Création ou modification d’une macro de conversion HTML

  1. Sélectionnez Affichage > Pages de référence pour afficher la page HTML.

  2. Modifiez une macro dans une table, ou créez une ligne (en appuyant sur Ctrl+ Retour), et saisissez une nouvelle macro en commençant par indiquer un nom de macro. (Vous ne pouvez pas ajouter de macros à la table HTML System Macros ; vous pouvez uniquement personnaliser leur texte.)

Le texte personnalisé peut contenir toute combinaison de texte, codes HTML et composantes FrameMaker. Veillez à entrer un code HTML correct, car FrameMaker ne vérifie pas la syntaxe HTML.

Utilisation de composantes dans les macros de conversion HTML

Vous pouvez utiliser les composantes suivantes dans les macros de conversion HTML afin d’inclure des types de texte spéciaux.

Composante | Description
<$paratext> <$paratag> <$paranum> <$paranumonly> | Pour plus d'informations, voir « Insertion d’informations sur la source dans les références croisées » et « Insertion de styles de caractères dans les références croisées ».
<$variable[nomvar]> | Contient le texte de la variable.
<$defaulttitle> | Contient le texte du premier intitulé affiché dans le document courant.
<$nextsubdoc> | Contient l’URL du sous-document HTML suivant.
<$prevsubdoc> | Contient l’URL du sous-document HTML précédent.
<$parentdoc> | Contient l’URL du document HTML parent.

Les composantes sont entourées de chevrons simples (< >) et débutent par un signe dollar ($). Entrez ces composantes en lettres minuscules.

Note: la table General Macros comporte une colonne portant l’étiquette Head. Utilisez-la pour définir un titre ou pour inclure des informations spéciales sur le document HTML (tels que des mots-clés pouvant être utilisés par un moteur de recherche). Pour remplir cette colonne, vous devez connaître les éléments HTML autorisés dans la section HEAD d’un document HTML.

Redéfinition de macros système HTML

Les macros système HTML constituent un cas spécifique car vous pouvez les redéfinir mais vous ne pouvez pas en ajouter de nouvelles.

Ces macros sont particulièrement utiles lors du fractionnement de documents en fichiers HTML distincts. Par exemple, vous pouvez définir la macro StartOfSubDoc afin d’afficher le logo de votre société en haut de chaque nouvelle page Web.

Dans ces descriptions, le document parent désigne la première page Web et le sous-document se rapporte à un document lié au document parent.

Macro système | Choisissez
StartOfDoc | Insère le texte au début de la page Web de départ.
EndOfDoc | Insère le texte à la fin de la page Web de départ.
StartOfSubDoc | Insère le texte au début de chaque sous-document excepté les premier et dernier.
EndOfSubDoc | Insère le texte à la fin de chaque sous-document excepté les premier et dernier.
StartOfFirstSubDoc | Insère le texte de remplacement seulement au début du premier sous-document créé.
EndOfFirstSubDoc | Insère le texte de remplacement seulement à la fin du premier sous-document créé.
StartOfLastSubDoc | Insère le texte de remplacement seulement au début du dernier sous-document créé.
EndOfLastSubDoc | Insère le texte de remplacement seulement à la fin du dernier sous-document créé.
Parent topic: Sortie HTML


Personnalisation de titres dans la sortie HTML

Découvrez la sortie HTML dans Adobe FrameMaker.

Le titre d’un document HTML s’affiche sur la barre de titre de la fenêtre. Lors de l’ajout d’un signet vers cette page, il s’affiche également dans la liste des signets. Au départ, la composante <$defaulttitle> est utilisée pour le titre, qui utilise le premier intitulé d’un fichier HTML comme titre de ce fichier. Généralement, les titres par défaut sont satisfaisants. Vous pouvez toutefois spécifier un titre différent en modifiant les tables de macros sur la page de référence HTML.

Les macros système et les macros générales permettent de définir deux jeux de texte de remplacement°: l’un s’affichant dans le corps du code et l’autre étant inséré dans la zone de titre.

Vous pouvez modifier le titre par défaut ou le supprimer et définir vos propres titres. FrameMaker offre la possibilité de sélectionner et d'utiliser automatiquement les titres de mappages sur les pages HTML.

Modification des titres par défaut

  1. Sélectionnez Affichage > Pages de référence et affichez la page de référence HTML.

  2. Dans la table HTML System Macros, repérez les quatre macros système définissant les titres par défaut. Elles utilisent initialement la composante <$defaulttitle> pour attribuer le premier intitulé d’un fichier comme titre. Vous pouvez modifier une seule macro ou l’ensemble de ces macros.

    Nom de la macro

    Remplacer par

    EnTête

    Commentaires

    StartOfDoc

    <title><$defaulttitle></title>

  3. Changez la macro par défaut associée à Head. Par exemple, la macro suivante modifie le texte du titre en texte statique.

    Nom de la macro

    Remplacer par

    EnTête

    Commentaires

    StartOfDoc

    <title>Mon livre</title>

Définition de vos propres titres

Pour configurer vos propres titres, procédez comme suit :

  1. Sélectionnez Affichage > Pages de référence et affichez la page de référence HTML.

  2. Supprimez le texte de remplacement des quatre titres par défaut dans la table HTML System Macros.

  3. Dans la table General Macros, définissez une macro utilisant l’élément HTML <TITLE> dans la troisième colonne, intitulée Remplace With (in HEAD). Par exemple, la macro suivante utilise un texte et un numéro automatique de paragraphe pour le titre, ainsi qu’un texte de paragraphe dans le document.

    Nom de la macro

    Remplacer par

    EnTête

    Commentaires

    MonTitre

    <p><$paranum><$paratext></p>

    <title><$paranum><$paratext>

    </title>

  4. Mettez en correspondance la macro et le format dans lequel vous fractionnez le document HTML.

Sélection automatique du titre de mappage en tant que titre dans un fichier de paramètres STS

FrameMaker offre la possibilité de sélectionner et d'utiliser automatiquement les titres de mappages sur les pages HTML. Grâce à cette fonctionnalité, vous pouvez publier plusieurs cartes DITA à l'aide d'un seul fichier .sts, et tous les mappages auront leur titre par défaut sur les pages HTML5.

Pour personnaliser les paramètres de sortie et reprendre automatiquement le titre du mappage comme titre de page HTML :

  1. Sélectionez Fichier > Publier pour ouvrir la boîte de dialogue Publier. Cliquez sur Paramètres.
  2. À l’aide du bouton déroulant Paramètres, sélectionnez Modifier.
  3. Écrivez <$title> dans le champ Titre.
  4. Cliquez sur Enregistrer et fermer.

Lorsque vous publiez la page HTML5, elle choisira le titre du mappage par défaut mentionné dans la boîte de dialogue Fichier> Informations.

Note: Vous pouvez également ajouter une chaîne de texte avec le <$title>. Par exemple, si vous ajouter « Titre de la page : » <$title> dans le fichier .sts et que les informations contiennent le titre « Conseils pour rendre votre contenu attrayant », la page HTML affiche le titre sous la forme « Titre de la page : Conseils pour rendre votre contenu attrayant ».
Parent topic: Sortie HTML


Insertion de code HTML spécial dans la sortie HTML

Découvrez comment insérer du code HTML pour convertir le document en HTML dans Adobe FrameMaker.

Vous pouvez souhaiter insérer un code HTML spécial dans votre document (par exemple, le code définissant une sous-application Java).

  1. Sélectionnez Affichage > Pages de référence pour afficher la page de référence HTML.

  2. Dans la table Macros générales HTML, définissez une macro dont le contenu est le code HTML.

  3. Sélectionnez Affichages > Pages courantes et placez le point d'insertion là où vous voulez insérer le code HTML.

  4. Sélectionnez Insérer > Marqueuret choisissez Macro HTML comme type de marqueur.

  5. Entrez le nom de la macro générale comme texte du marqueur et cliquez sur Nouveau marqueur.

Par exemple, vous pouvez entrer le code Java suivant comme définition d’une macro.

Nom de la macro

Remplacer par

MyCode

<applet code="bullets.class" width="600" height="6" codebase="classes/bullets/">
   <param name="bgColor" value="White">
</applet>

Insérez un marqueur dont le type est Macro HTML et dont le texte est MonCode à l’endroit où vous souhaitez placer cette sous-application.

Parent topic: Sortie HTML


Conversion de livres en fichiers HTML

Découvrez comment convertir des livres Adobe FrameMaker au format HTML.

La procédure élémentaire d’enregistrement d’un livre au format HTML est similaire à celle d’un seul document. Lorsque FrameMaker met en correspondance les fichiers dans le livre, il stocke les mises en correspondance sur les pages de référence ajoutées au premier fichier du livre. Vous pouvez modifier les tables sur ces pages de la même manière que vous modifiez les tables des pages de référence des documents individuels.

Les fichiers d’un livre ne constitueront peut-être plus des fichiers distincts lors de l’enregistrement du livre au format HTML. Pour diviser un livre en fichiers HTML distincts, utilisez l’option Lancer une nouvelle page Web avec lien.

  1. Ouvrez le fichier livre et choisissez Fichier > Enregistrer le livre sous.

  2. Choisissez HTML dans la liste déroulante.

  3. Attribuez au fichier une extension .html et cliquez sur Enregistrer. Les fichiers convertis du livre sont enregistrés à l’emplacement spécifié.

  4. Examinez les fichiers convertis en les ouvrant dans un navigateur Web. Si son aspect vous satisfait, votre travail est terminé.

  5. Pour retoucher certaines mises en correspondance, ouvrez le premier fichier du livre et affichez sa page de référence BookHeadings ou BookHTML. Modifiez ensuite les tables. Enregistrez ensuite le fichier et enregistrez à nouveau le livre au format HTML.

Tip: Si vous retouchez les mises en correspondance d’un document et souhaitez les utiliser pour l’ensemble d’un livre, supprimez les tables sur les pages de référence BookHeadings et BookHTML du premier fichier du livre. Copiez ensuite les tables des pages de référence Headings et HTML du document et collez-les sur les pages de référence BookHeadings et BookHTML.
Parent topic: Sortie HTML
Related information
  • Enregistrement de documents structurés au format HTML avec Adobe FrameMaker
  • Création de liens simulant une table des matières
  • Retouche des mises en correspondance par modification des pages de référence


Dépannage et conseils relatifs à la conversion HTML

Découvrez comment dépanner la conversion HTML, des conseils sur la conversion HTML dans Adobe FrameMaker.

Procédez comme suit pour vous assurer d’une conversion HTML sans problème :

  • Lors de la conversion d’un livre, ouvrez tous les documents avant de commencer. Cela assure qu’aucun message d’erreur ne provoquera l’interruption du processus de conversion.

  • Assurez-vous que les formats de table utilisés possèdent des règles normales définies pour au moins une ligne courante. Dans le cas contraire, les tables HTML ne comporteront pas de bordures autour des cellules de tableau.

  • Assurez-vous que vos documents ne contiennent pas de références croisées non résolues avant de les enregistrer au format HTML. Celles-ci s’affichent sous forme de liens brisés dans un document HTML.

  • Si le texte ou les graphiques ne sont pas correctement convertis, vérifiez qu’ils se trouvent sur les pages courantes et non sur les maquettes, qu’ils font partie de l’enchaînement de texte principal (étiquette°A) et qu’ils sont situés dans des cadres ancrés.

  • Si vous souhaitez importer les paramètres de conversion HTML d’un document dans un autre, utilisez la commande Fichier > Importer > Formats pour copier les pages de référence.

Parent topic: Sortie HTML
Related information
  • Résolution des références croisées
  • Importation de formats à partir d’un modèle ou d’un document


Enregistrement de documents structurés au format HTML avec Adobe FrameMaker

Découvrez comment enregistrer et publier des documents structurés au format HTML dans Adobe FrameMaker.

Introduction

Les procédures d’enregistrement de documents structurés au format HTML sont identiques à celles des documents non structurés, à l’exception des mises en correspondance. Dans les documents structurés, toutes les mises en correspondance s’effectuent sur la base des éléments et des attributs, plutôt que sur les formats de caractères, paragraphes et références croisées. Les éléments FrameMaker structurés s’alignent sur les éléments HTML pour définir les formats des éléments de type Contenant. Les attributs FrameMaker structurés sont mappés sur les attributs HTML pour définir les références croisées, les feuilles de style en cascade, les langues et le texte alternatif des images.

Options de publication pour les formats de sortie en ligne

Outre l’enregistrement des documents FrameMaker au format HTML à partir de FrameMaker, vous pouvez utiliser toutes les options de publication de niveau entreprise fournies par Adobe.

  • Utilisez Adobe RoboHelp pour publier du contenu FrameMaker dans plusieurs formats en plus de ceux pris en charge par la publication multicanal de FrameMaker. Avec cette approche, vous définissez le mappage des styles et d’autres paramètres de conversion, puis importez le contenu FrameMaker dans un projet RoboHelp. Ensuite, vous pouvez publier les formats de sortie de l’aide en ligne requis à l’aide des fonctionnalités de RoboHelp. Voir Aide Adobe RoboHelp.

  • Utilisez Adobe FrameMaker Publishing Server et Adobe RoboHelp Server pour la publication automatisée à l’échelle de l’entreprise des formats de sortie multicanaux et multipériphériques.

Parent topic: Sortie HTML


Qualité d’image optimisée dans la sortie HTML

À partir de la mise à jour 4, FrameMaker offre une sortie HTML 5 de meilleure qualité pour les formats d'image qui ne sont pas pris en charge par les pages Web : .eps, .ai, .pdf, .dib, .bmp et .tiff.

À partir de la mise à jour 4, ces formats sont convertis en .png qui possède les avantages suivants :
  • Il s'agit d'un processus de conversion sans perte qui traite bien les images détaillées et très contrastées. Les images sont claires et favorisent la transparence.
  • La conversion d'une image n'est effectuée qu'une seule fois et, si nécessaire, la même image convertie peut être référencée à plusieurs reprises dans un document. Ceci vous aide à gagner de la place.
  • Pour des images dans un cadre ancré, l’élément wrapper SVG est utilisé, il aide au redimensionnement dynamique et s’occupe des scénarios de rotation et de rognage.
Figure 1. Sortie HTML5 d’une image (.eps) exemple dans la Mise à jour 3
Figure 2. Sortie HTML5 d’une image (.eps) exemple dans la Mise à jour 4

Depuis Update3, FrameMaker offre une sortie HTML5 de meilleure qualité pour les formats d'image pris en charge par les pages Web (comme .png, .svg, .jpg ou .gif). Ces formats d'image ne sont pas soumis au processus de conversion. La mise à l'échelle des images est rendue par le navigateur, et la taille spécifiée des images est maintenue. Vous pouvez également jouer des animations .gif dans votre sortie HTML5 et rendre votre contenu plus attrayant.

Figure 3. Sortie HTML5 d’une image (.png) exemple dans la Mise à jour 2
Figure 4. Sortie HTML5 d’une image (.png) exemple dans la Mise à jour 3
Parent topic: Sortie HTML


Modèles de page HTML

Découvrez comment la solution de publication Adobe FrameMaker vous permet de créer un modèle de page HTML pour personnaliser votre mise en page.

Dans ce sujet

  • Introduction

  • Créer un modèle de page HTML

  • Définition d'une mini table des matières

  • Définir un chemin de navigation navigation

  • Définir un en-tête et un pied de page

  • Définir le contenu de l’attribut body

  • Exemple de modèle de page HTML

Introduction

La solution de publication Adobe FrameMaker vous permet de créer un modèle de page HTML pour personnaliser votre mise en page. Cette fonction vous permet d’ajouter les composants suivants à la sortie de publiée :

Mini-table des matières

Ajout d’une table des matières des sections dans la rubrique sélectionnée.

Chemin de navigation

Ajout d’une piste de navigation de la rubrique actuelle.

En-tête et pied de page

Ajout d’en-têtes et de pieds de page comportant du contenu dynamique défini par des variables dans la source FrameMaker.

Pour tester les exemples de cette rubrique, créez un document FrameMaker à l’aide du modèle standard. Ce modèle est configuré avec les styles et variables de paragraphe utilisés dans les exemples de cette rubrique.

Une fois que vous avez créé le modèle de page HTML, vous pouvez définir le modèle de page HTML dans l’onglet Sortie pour n’importe quelle sortie disponible (voir Paramètres de sortie).

Important: Tous les composants du modèle de page HTML sont facultatifs. Vous pouvez définir un modèle de page avec n’importe quelle combinaison de composants.

Créer un modèle de page HTML

  1. Pour créer un modèle de page, créez un fichier avec l’extension .htt, .htm, ou .html et ouvrez le fichier dans un éditeur de texte.

  2. Collez le contenu HTML suivant dans le fichier texte :

    <!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<body>
</body>
</html>

  3. Pour ajouter du contenu dynamique à un en-tête de page, définissez l’attribut de modèle de page HTML @data-type sur fm_variable.

    Pour définir un en-tête qui utilise la variable FrameMaker Nom du titre de chapitre définie par l'utilisateur, ajoutez l’élément <p> suivant après l’élément d’ouverture <body> :

    <p data-type="fm_variable">Chapter Title Name</p>

    L’attribut du modèle de page HTML @data-type est utilisé pour identifier le type de contenu décrit par l’élément englobant. Dans l’exemple ci-dessus, l’élément <p> contient une variable FrameMaker.

  4. Pour ajouter une piste de navigation à la sortie, définissez l’attribut du modèle de page HTML data-type sur breadcrumbs.

    <Ajoutez l’élément suivant après la balise d’ouverture:>

    <p data-type="breadcrumbs">
<a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span>
</p>

    Dans l’exemple ci-dessus, spécifiez le caractère (dans ce cas, le symbole supérieur écrit sous la forme de l’entité HTML &gt;) qui sépare chaque élément du fil d’Ariane. Les autres éléments de la définition sont requises par la solution d’édition pour créer le chemin de navigation.

    Pour plus de détails et les options disponibles pour le chemin de navigation, voir Définir un chemin de navigation navigation.

  5. Pour définir une mini table des matières, insérez le code suivant après le chemin de navigation indiqué à l’étape précédente :

    <div data-type="minitoc">
  <p data-type="minitoc-level1">
    <span data-type="minitoc-selector">'H1_Heading1'</span>
  </p>
  <p data-type="minitoc-level2">
    <span data-type="minitoc-selector">'H2_Heading2'</span>
  </p>
</div>

    Pour définir la mini table des matières, définissez l’attribut data-type sur minitoc. Pour chaque niveau, utilisez l’attribut @data-type du niveau spécifique. Spécifiez le nom du style de paragraphe FrameMaker requis à afficher au niveau correspondant de la mini-table des matières.

    La mini table des matières que vous créez peut comporter jusqu’à 20 niveaux. Pour plus d’informations, voir Définition d'une mini table des matières.

  6. Pour spécifier l’emplacement d’affichage du contenu source FrameMaker, utilisez une balise <div> avec l’attribut @data-type défini sur body. Ajoutez le code suivant après la mini-table des matières :

    <div data-type="body"></div>

  7. Pour définir un pied de page, ajoutez le code suivant avant la balise de fermeture </body> :

    <p data-type="fm_variable">Creation Date (Long)</p>

    Date de création (Longue) est le nom d’une variable définie dans le document. Pour plus d’informations, voir Définir un en-tête et un pied de page.

  8. Après avoir créé le modèle de page, vous devez inclure le modèle dans l’onglet Sorties de la boîte de dialogue Paramètres de publication. La procédure de publication crée ensuite la mini table des matières dans la sortie spécifiée.

Important: Tous les composants du modèle de page sont définis dans des balises HTML. Cela signifie que vous pouvez ajouter le style CSS (à l’aide de balises de style ou de classe) aux composants de votre choix.

Définition d'une mini table des matières

Pour définir une mini table des matières, utilisez une balise <div> avec l’attribut @data-type avec la valeur minitoc :

<div data-type="minitoc"></div>

Utilisez l’attribut @data-type-after pour spécifier l’emplacement de la mini table des matières dans la sortie publiée. Par exemple, la définition de l’attribut @data-type-after suivante signifie que la mini table des matières s’affichera après la première occurrence du paragraphe H1_Heading dans la sortie publiée.

<div data-type="minitoc" data-type-after="H1_Heading1"></div>

@Spécifiez plusieurs paragraphes dans l’attribut data-type-after d’une table des matières. Dans l’exemple suivant, la mini-table des matières sera affichée après la première occurrence d’un style H1_Heading1 ou H2_Heading2, quelle que soit la première à apparaître dans la source. Définissez plusieurs paragraphes si le livre contient plusieurs documents, par exemple. Ces documents peuvent commencer avec un style de paragraphe d’intitulé différent.

<div data-type="minitoc"
     data-type-after="H1_Heading1 H2_Heading2">
</div>

Pour spécifier des paragraphes avec l’attribut data-type-after :

  • Placez le(s) paragraphe(s) entre guillemets doubles

  • Séparez les paragraphes à l’aide de virgules ou d’espaces

  • Utilisez le caractère d’échappement barre oblique inversée si le nom du paragraphe contient déjà un guillemet simple ou double.

  • Si un style de paragraphe et un style de caractère ont le même nom, qualifiez entièrement le nom du style avec les préfixes p et span, respectivement.

    <div data-type="minitoc"
     data-type-after="p.H1_Heading1 p.H2_Heading2">
</div>
Note: L’attribut data-type-after est facultatif. Si vous ne spécifiez pas l’attribut, la mini table des matières s’affiche à l’emplacement de la sortie défini dans le modèle.

Pour définir un élément dans la mini-table des matières, ajoutez la balise <p> ou <div> avec l’attribut @data-type pour spécifier le niveau de l’élément dans l’élément <div>.

Par exemple, pour définir une mini table des matières à deux niveaux :

<div data-type="minitoc">
  <p data-type="minitoc-level1"></p>
  <p data-type="minitoc-level2"></p>
</div>

La mini table des matières que vous créez peut avoir jusqu’à 20 niveaux. Les niveaux dans la mini table des matières doivent être placés par ordre croissant.

Vous pouvez ajouter une légende dans la partie supérieure de la mini table des matières qui contient une valeur littérale spécifique. Pour ajouter la légende « Cette section aborde les sujets suivants : », ajoutez une balise <p> ou <div>@ avec l’attribut data-type défini sur minitoc-caption dans la partie supérieure de la définition de la mini table des matières :

<div data-type="minitoc">
  <p data-type="minitoc-caption">This section covers the following:</p>
  <p data-type="minitoc-level1"></p>
  <p data-type="minitoc-level2"></p>
  <p data-type="minitoc-level3"></p>
</div>

Pour spécifier le paragraphe à afficher à un niveau spécifique de la mini-table des matières, ajoutez un élément avec l’attribut data-type et la valeur minitoc-selector :

<div data-type="minitoc">
  <p data-type="minitoc-caption">
     This section covers the following:
  </p>
  <p data-type="minitoc-level1">
     <span data-type="minitoc-selector">'H2_Heading2'</span>
  </p>
  <p data-type="minitoc-level2">
     <span data-type="minitoc-selector">'H3_Heading3'</span>
  </p>
  <p data-type="minitoc-level3">
     <span data-type="minitoc-selector">'H4_Heading4'</span>
  </p>
</div>

Vous pouvez spécifier plusieurs paragraphes sur un même niveau dans la mini table des matières :

<p data-type="minitoc-level1">
<span data-type="minitoc-selector">'H2_Heading2' 'H3_Heading3'</span>
</p>

Si vous spécifiez plusieurs paragraphes sur le même niveau dans la mini table des matières :

  • Le contenu publié affiche le paragraphe qui a été trouvé.

  • Si plusieurs paragraphes sont détectés, le contenu publié affiche les paragraphes au même niveau.

Important: Ajoutez des styles CSS à n’importe quelle balise HTML utilisée dans la définition de la mini table des matières à l’aide des attributs de style de classe.

Définir un chemin de navigation navigation

Pour définir un chemin de navigation, définissez l’attribut data-type sur breadcrumbs. Exemple :

<p data-type="breadcrumbs"></p>

Vous pouvez ajouter du texte statique à afficher au début du chemin de navigation. Par exemple, pour afficher « Début du chemin de navigation : » :

<p data-type="breadcrumbs">Start of Breadcrumb: </p>

Utilisez l'élément d’ancrage (a) pour spécifier l’emplacement d’origine du chemin de navigation. Vous pouvez spécifier n’importe quel texte statique comme texte de l’ancrage.

<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type="home_link" href="#">Home</a></p>

En outre le texte de l’ancrage, les autres attributs et valeurs doivent être ajoutés comme indiqué ci-dessus. L’éditeur utilise les attributs et les valeurs exactes pour créer le chemin de navigation.

Définissez le caractère de séparation à afficher entre les éléments du chemin de navigation à l’aide de l’attribut data-type défini sur separator. Dans l’exemple suivant, le séparateur est le symbole supérieur à (>).

<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span></p>

Comme pour le texte du début, vous pouvez ajouter du texte statique à la fin du chemin de navigation. Par exemple, pour afficher « : Fin de chemin de navigation » :

<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span> :End of Breadcrumb</p>

Définir un en-tête et un pied de page

Utilisez les variables FrameMaker pour définir des en-têtes et des pieds de page dans la sortie HTML.

Pour définir un en-tête ou un pied de page, utilisez un élément HTML avec l’attribut @data-type avec la valeur fm_variable. Par exemple, pour définir un en-tête avec la variable Nom du titre de chapitre :

<p data-type="fm_variable">Chapter Title Name</p>

Vous pouvez également fusionner du texte statique et des variables dans un en-tête ou un pied de page. L’exemple suivant affiche la date de la dernière modification du document en cours.

<p>Last modified date: <span data-type="fm_variable">Modification Date (Short)</span></p>

Définir le contenu de l’attribut body

Pour positionner le contenu de rubrique FrameMaker de façon dynamique dans la sortie publiée, définissez un élément <div> et avec l’attribut @data-type avec la valeur body. Par exemple, pour créer un modèle avec un en-tête, le corps puis un pied de page :

<p data-type="fm_variable">Chapter Title Name</p>
<div data-type="body">[The FrameMaker topic content will be placed here]</div>
<p>Last modified date: <span data-type="fm_variable">Modification Data (Short)</span></p>

Exemple de modèle de page HTML

L’exemple suivant de modèle de page HTML défini les composants suivants :

  • Un en-tête dans la partie supérieure du corps de page

  • Une piste de navigation

  • Une mini table des matières

  • Le contenu de la rubrique

  • Un pied de page après le contenu de la rubrique

Pour tester cet exemple, créez un document à l’aide du modèle FrameMaker de carte de référence.

<html>
<body>
<!-- Header using FM variable -->
<p data-type="fm_variable">Chapter Title Name</p>
<!-- Breadcrumb -->
<p data-type="breadcrumbs">Start of Breadcrumb:
<a data-type="home_link" href="#">Home</a>
<span data-type="separator">:&gt;</span></p>
<!-- mini TOC -->
<div data-type="minitoc">
  <p data-type="minitoc-caption">This section covers the following:</p>
  <p data-type="minitoc-level1"><span data-type="minitoc-selector">'H2_Heading2'</span></p>
  <p data-type="minitoc-level2"><span data-type="minitoc-selector">'H3_Heading3'</span></p>
  <p data-type="minitoc-level3"><span data-type="minitoc-selector">'H4_Heading4'</span></p>
</div>
<!-- Footer using FM variable -->
<p>Last modified date: <span data-type="fm_variable">Modification Date (Short)</span></p>
</body>
</html>
Parent topic: Publication multicanaux


Distribution Microsoft HTML Help

Découvrez comment distribuer du contenu d’aide HTML Microsoft à vos utilisateurs en utilisant la distribution Microsoft HTML Help dans FrameMaker.

Si vous publiez votre sortie au format Microsoft HTML Help, utilisez les instructions suivantes pour distribuer votre aide à vos utilisateurs finaux.

Ce que vous livrez au développeur

Distribuez les fichiers d’aide système suivants au développeur, afin qu’il les installe avec le fichier exécutable du programme (EXE). Vous pouvez également distribuer les fichiers pour une utilisation autonome.

Note: les utilisateurs peuvent exécuter une version autonome de Microsoft HTML Help en cliquant deux fois sur le fichier CHM dans l’Explorateur Windows.
CHM

Système d’aide distribué dans un fichier d’aide unique, venant s’ajouter aux fichiers CHM des sous-projets associés au projet maître. Ces fichiers CHM enfants ne sont pas compilés dans le fichier CHM maître.

HLP, CNT

Si le projet comprend des liens vers des rubriques dans un fichier WinHelp compilé, distribuez les fichiers HLM et CNT. Ils ne sont pas compilés dans le fichier CHM maître.

DOC, PDF, XLS

Si le projet comprend des liens vers des fichiers externes, distribuez ces derniers. Ils ne sont pas compilés dans le fichier CHM maître, sauf s’ils sont ajoutés dans le dossier Fichiers bagage.

Ce que le développeur a à faire

Le développeur de l’application distribue les fichiers de support suivants, selon les fonctionnalités utilisées dans le projet et les versions de Windows dont disposent les utilisateurs.

  • Fichiers de support Microsoft HTML Help : composants intégrés.

  • HHActiveX.DLL est un contrôle Adobe ActiveX prenant en charge les glossaires en ligne et les séquences de navigation. Installez et enregistrez le fichier HHActiveX.DLL sur les systèmes des utilisateurs. Copiez ce fichier à l’emplacement approprié dans le même dossier que le CHM.

    Pour les systèmes 32 bits : <Fm_install_location>\fminit\Publisher\Redist\32bit

    Pour les systèmes 64 bits : <Fm_install_location>\fminit\Publisher\Redist\64bit

  • Si le système d’aide inclut des contrôles ActiveX tiers, installez et enregistrez les fichiers de support des composants correspondant sur les systèmes des utilisateurs. Les utilisateurs copient les fichiers des contrôles ActiveX vers un dossier personnalisé, en indiquant le chemin d’accès à l’autre dossier avant l’extension .ocx ou .dll. Ensuite, ils enregistrent ces fichiers.

Note: l’accord de licence Adobe vous autorise à redistribuer les fichiers Microsoft HTML Help et Internet Explorer avec la sortie HTML Help.

Enregistrement des contrôles ActiveX

Si le projet inclut des contrôles ActiveX, transmettez des instructions aux utilisateurs, afin qu’ils puissent enregistrer les contrôles distribués avec le système d’aide.

  1. Cliquez sur Démarrer et saisissez cmd dans la zone de recherche.

  2. Dans les résultats de recherche, sélectionnez Exécuter en tant qu'administrateur.

    Note: Si l’invite de Contrôle du compte d’utilisateur s’affiche, cliquez sur Oui pour continuer.

  3. Pour enregistrer le fichier HHActiveX.DLL, saisissez la commande suivante à l’invite, en indiquant le chemin HHActiveX.DLL et appuyez sur Entrée :

    regsvr32 [path] hhactivex.dll

  4. Pour enregistrer les contrôles ActiveX tiers, saisissez la commande suivante et appuyez sur Entrée :

    regsvr32 [activex_name.dll or activex_name.ocx]

  5. Fermez la fenêtre de l’invite de commande.

Parent topic: Publication multicanaux


Contenu dynamique

Familiarisez-vous avec le contenu dynamique et découvrez comment marquer du contenu et créer des filtres de contenu dynamique dans Adobe FrameMaker. Découvrez comment fonctionne le mécanisme de filtrage du contenu dynamique avec deux exemples de scénarios.

Dans ce sujet
  • Introduction
  • Ajout de balises au contenu
  • Création d’un filtre de contenu dynamique
  • Utilisation de filtres de contenu dynamique dans la sortie publiée

Introduction

Dans Adobe FrameMaker, la fonction de contenu dynamique vous permet de publier du contenu que vos utilisateurs peuvent facilement filtrer en se basant sur des paramètres que vous définissez. Par exemple, vous pouvez créer des filtres de contenu dynamique pour filtrer le contenu par région (p. ex., « Etats-Unis », « CANADA » et « Royaume-Uni »), par audience (p. ex., « Administrateur » et « Utilisateur final ») ou par plateforme de distribution de contenu (p. ex., « Web », « Application » ou « Support imprimé »). Le contenu dynamique vous permet également de créer du contenu à partir d’une source unique. Pour définir le critère du filtre, vous pouvez utiliser des balises conditionnelles ou des attributs d’élément.

Lorsque vous publiez une sortie Responsive HTML et Application mobile, un onglet Filtre s’affiche pour permettre aux utilisateurs de filtrer les contenus en fonction du critère sélectionné. Si l’utilisateur applique un filtre, la recherche limite les résultats au contenu filtré.

Les filtres de contenu dynamique peuvent être appliqués à des sorties Responsive HTML5 et Application mobile.

Ajout de balises au contenu

Pour créer des filtres de contenu dynamique dans votre sortie publiée générée avec Adobe FrameMaker, vous devez ajouter à votre contenu des balises conditionnelles ou des attributs d’éléments. Le contenu comportant des balises peut ensuite être filtré dans la sortie publiée.

  • Le contenu non structuré peut être balisé avec du texte conditionnel.

  • Le contenu structuré peut être balisé avec des attributs d’élément. Dans DITA, vous pouvez utiliser des attributs comme @audience, @otherprops, @platform, @product et @rev.

Vous pouvez ajouter plusieurs balises conditionnelles au même contenu. Exemple :

  • Pour un paragraphe, créez une expression conditionnelle « ETATS-UNIS AND CANADA » et fournissez ensuite un critère de filtre « Amérique du Nord » dans la sortie publiée, qui combine les deux.

  • Pour un autre paragraphe comportant une variante du même contenu, créez une expression conditionnelle « ROYAUME-UNI AND ALLEMAGNE » et fournissez ensuite un critère de filtre « Europe » dans la sortie publiée, qui combine les deux.

Dans la sortie publiée, un utilisateur a ensuite la possibilité de filtrer du contenu en fonction de la région. Vous pouvez également créer une autre expression conditionnelle telle que « ETATS-UNIS AND CANADA » pour créer un critère de filtre intitulé « Marchés anglophones ».

De même, vous pouvez appliquer des balises conditionnelles au contenu dans n’importe quel ordre. C’est pourquoi il vous faut vous rappeler que la sortie s’affiche en fonction du mécanisme de filtrage de la sortie. Pour consulter un exemple de fonctionnement du filtrage, voir Utilisation de filtres de contenu dynamique dans la sortie publiée.

Lorsque vous utilisez des filtres de contenu dynamique, vous n’avez pas besoin de baliser tout le contenu. Les contenus sans balise sont considérés comme inconditionnels. Les contenus inconditionnels s’affichent toujours pour l’utilisateur, qu’un filtre soit appliqué ou non.

Création d’un filtre de contenu dynamique

Vous pouvez créer un filtre dynamique pour chaque canal de distribution de contenu.

Pour créer un filtre de contenu dynamique dans Adobe FrameMaker, procédez comme suit :

  1. Ouvrez le fichier document, le livre ou le mappage DITA que vous souhaitez publier.

  2. Sélectionnez Fichier > Publier pour ouvrir le panneau Publier.

  3. Cliquez avec le bouton droit de la souris sur le canal de distribution de contenu Responsive HTML5 ou Application mobile et sélectionnez Modifier les paramètres dans le menu contextuel. La boîte de dialogue Paramètres de publication s’affiche.

  4. Dans la boîte de dialogue Paramètres de publication, sélectionnez l’onglet Général. Sélectionnez Utiliser le filtre de contenu dynamique dans la sortie. Cliquez sur Personnaliser. La boîte de dialogue Filtre de contenu dynamique s’affiche.

  5. Dans la boîte de dialogue Filtre de contenu dynamique, cliquez sur l’icône Ajouter un nouveau groupe pour créer un groupe de critères de filtre.

    Définissez un nom d’affichage pour ce groupe de critères.

  6. Cliquez sur l’icône Ajouter des critères pour créer un nouveau critère de filtre. Adobe FrameMaker reconnaît automatiquement si vous modifiez les paramètres pour du contenu non structuré ou structuré.

    • Pour le contenu non structuré, la boîte de dialogue Balises et expressions s’affiche. Les Balises conditionnelles et les Expressions conditionnelles disponibles s'affichent.

      Sélectionnez les balises conditionnelles ou les expressions conditionnelles à inclure dans le groupe de critères.

      Cliquez sur OK pour fermer la boîte de dialogue Balises et expressions.

    • Pour le contenu structuré, la boîte de dialogue Sélectionner un attribut conditionnel s’affiche.

      Sélectionnez l’un des éléments d’attributs disponibles dans la liste déroulante Attribut.

      Dans le champ de texte Valeur d’attribut, définissez la valeur d’attribut qui sera utilisée pour filtrer le contenu.

      Dans le champ de texte Afficher dans la sortie au format, définissez le nom qui sera affiché dans la sortie publiée pour ce critère.

      Cliquez sur OK pour fermer la boîte de dialogue Sélectionner un attribut conditionnel.

  7. Définissez si vous souhaitez filtrer le contenu par défaut dans la sortie publiée. Pour définir le critère de filtre par défaut, cliquez avec le bouton droit de la souris sur le critère de filtre. Sélectionnez Sélectionner par défaut.

  8. Pour modifier le nom d’affichage d’un critère de filtre ou d’un groupe de critères de filtre, cliquez avec le bouton droit de la souris sur le nom d’affichage. Sélectionnez Renommer dans le menu contextuel.

  9. Pour permettre à vos utilisateurs de sélectionner plusieurs critères de filtre, sélectionnez Autoriser la sélection multiple dans un groupe.

  10. Utilisez les flèches de navigation pour déplacer les groupes de critères de filtre et le critère de filtre dans un filtre. Par exemple, pour déplacer un critère de filtre à l’extérieur d’un groupe, cliquez sur la flèche gauche. Cette opération déplace le critère de filtre au même niveau que le groupe qui le contient et au-dessus du groupe. Utilisez la flèche droite pour déplacer un critère de filtre situé à l’extérieur des groupes dans le groupe disponible suivant au-dessous. Vous pouvez également déplacer le critère de filtre dans un groupe de critères de filtre, vers le haut ou vers le bas.

  11. Cliquez sur Enregistrer.

  12. Dans la boîte de dialogue Paramètres de publication, cliquez sur Enregistrer et fermer.

Note: Les noms d’affichage d’un groupe de critères de filtre doivent être uniques. Par ailleurs, les noms d’affichage d'un critère de filtre au sein d'un groupe de critères de filtre doivent être uniques. La validation de l’unicité d’un nom d’affichage n'est pas sensible à la casse. Par exemple, vous ne pouvez pas créer deux noms d’affichage Utilisateur-Final et UTILISATEUR-FINAL au sein du même groupe.
Note: Vous pouvez inclure des caractères spéciaux dans le nom d’affichage du critère de filtre. Cependant, les caractères suivants ne sont pas autorisés : deux-points (:), point-virgule (;), virgule (,), pourcentage (%), esperluette (&), le croisillon (#) et égal (=).
Note: Si aucun contenu ne comporte de balise conditionnelle ou d'attribut d’élément, le critère de filtre n’est pas affiché dans la sortie publiée. Si aucun des critères de filtre d'un groupe de critères de filtre ne peut être affiché, le groupe de critères de filtre ne s'affiche pas. Une balise conditionnelle qui n’est pas utilisée dans le filtre (ni en tant que telle ni au sein d’une expression conditionnelle) est supprimée du contenu auquel elle est appliquée dans le projet.

Utilisation de filtres de contenu dynamique dans la sortie publiée

Une fois que vous avez défini un filtre de contenu dynamique, vous pouvez générer la sortie.

La sortie publiée contient une icône de filtre dans la barre de fonction (zone de navigation). Cliquez sur l’icône de filtre pour afficher les filtres de contenu dynamique disponibles.

Pour filtrer le contenu, sélectionnez les groupes de critères de filtre ou un critère de filtre spécifique au sein d’un groupe de critères de filtre.

Les sections suivantes expliquent dans deux scénarios les résultats possibles des filtres appliqués pour décrire le fonctionnement du mécanisme de filtrage du contenu dynamique :

Sélection d'un critère dans un groupe de critères de filtre

Dans le filtre « Région », sélectionnez « US » :

  • Tout le contenu comportant uniquement la balise « ETATS-UNIS » s'affiche.

  • Tout le contenu comportant la combinaison de la balise « ETATS-UNIS » et de tout autre critère s’affiche.

    Le contenu comportant les balises « ETATS-UNIS » et « ROYAUME-UNI » s'affiche, mais le contenu comportant uniquement la balise « ROYAUME-UNI » est masqué. Le contenu comportant les balises « ROYAUME-UNI » et « CANADA » est également masqué.

  • Le contenu comportant des balises conditionnelles ou des attributs d'élément dans le groupe de critères de filtre « Utilisateurs concernés » ne s’affiche pas, sauf si le contenu est combiné à la balise « ETATS-UNIS ».

    Le contenu comportant les balises « ETATS-UNIS » et « PDF » s’affiche. En revanche, le contenu comportant uniquement la balise « PDF » est masqué. Le contenu comportant les balises conditionnelles « ROYAUME-UNI » et « Support imprimé » est également masqué.

  • Tout le contenu sans balise s’affiche.

Sélection d'un critère dans un groupe de critères de filtre et d'un autre critère dans un deuxième groupe de critères de filtre

Si vous sélectionnez « US » dans le groupe « Région » et « Imprimer » dans le groupe « Plateforme » :

  • Tout le contenu comportant uniquement la balise « ETATS-UNIS » s'affiche.

  • Tout le contenu comportant uniquement la balise « PDF » s'affiche.

  • Tout le contenu comportant toute autre balise conditionnelle, tout autre élément d'attribut ou une combinaison d’autres balises conditionnelles est masqué.

  • Tout le contenu comportant la combinaison des balises conditionnelles « ETATS-UNIS » et « PDF » s’affiche.

  • Le contenu comportant la combinaison de la balise « ETATS-UNIS » et de toute autre condition est masqué.

  • Le contenu comportant la combinaison de la balise « PDF » et de toute autre balise conditionnelle est masqué.

  • Le contenu comportant les balises « ETATS-UNIS », « Support imprimé » et « En ligne » s’affiche.

  • Le contenu comportant les balises « ETATS-UNIS » et « En ligne » ou « Support imprimé » et « En ligne » est masqué.

  • Tout le contenu sans balise s’affiche.

Parent topic: Publication multicanaux


Formatage de la table des matières pour la publication

Découvrez comment formater la table des matières (TDM) pour la sortie publiée dans Adobe FrameMaker afin d'afficher correctement la mise en retrait des rubriques.

Dans ce sujet

  • Introduction

  • Éléments en retrait de la table des matières dans un livre

  • Spécification du nombre d'éléments de la table des matières dans un mappage DITA

Introduction

Dans un livre Adobe FrameMaker ou un mappage DITA, vous pouvez définir une table des matières (TDM). Vous pouvez ensuite utiliser la publication multicanal pour afficher cette table des matières dans l'un des formats de sortie disponibles. Par exemple, avec une mise en page de bureau Responsive HTML5, la table des matières s'affiche sur la gauche par défaut.

Mise en page de bureau Responsive HTML5 d’une table des matières

Lors de l'affichage d'une table des matières dans la sortie publiée, les niveaux individuels des paragraphes doivent idéalement être affichés avec le retrait approprié. Par exemple, le titre Qu'est-ce que FrameMaker doit être affiché en retrait à droite du titre de chapitre Prise en main. Il est ainsi clairement indiqué au lecteur quel est le niveau du titre dans la table des matières.

Éléments en retrait de la table des matières dans un livre

FrameMaker met les éléments de la table des matières en retrait en fonction de l'une des valeurs des caractéristiques de style de paragraphe suivantes :

  • Premier retrait (Format > Paragraphes > Configuration de paragraphes > Fondamentaux)

  • Taille de la police (Format > Paragraphes > Configuration de paragraphes > Police)

  • Epaisseur de la police (Format > Paragraphes > Configuration de paragraphes > Police)

Lorsque vous définissez les titres dans le modèle de document, vous devez vous assurer que les valeurs du retrait de première ligne, de la taille de la police ou de l'épaisseur de police de chacun des titres de la table des matières qui apparaissent dans la table des matières publiée sont correctement définies.

L'exemple suivant affiche une liste des valeurs possibles pour les titres dans un modèle. FrameMaker utilise une des propriétés ci-dessus pour créer un retrait pour les différents éléments de la table des matières:

Heading1TOC
Retrait de première ligne : 0,0"
OU
Taille de la police : 16 px
OU
Epaisseur de la police : Gras
Heading2TOC
Retrait de première ligne : 0,5"
OU
Taille de la police : 14 px
OU
Epaisseur de la police : Normal

Spécification du nombre d'éléments de la table des matières dans un mappage DITA

Par défaut, lorsque vous modifiez un mappage DITA, la table des matières affiche jusqu'à quatre niveaux de titres de table des matières :

title.0|title.1|title.2|title.3|title-index.

Vous pouvez modifier ce paramètre pour spécifier le nombre de titres que vous souhaitez afficher dans la table des matières. Vous pouvez indiquer de 1 (titre.0|index des titres) à 5 (titre.0|titre.1|titre.2|titre.3|titre.4|index des titres) titres.

Pour afficher 5 titres dans la table des matières de sortie :

  1. Ouvrez le fichier ditafm-output.ini dans un éditeur de texte et localisez la section BookWithFM-TOC.

    Le paramètre Étiquettes de paragraphe détermine le nombre de titres à afficher dans la table des matières de sortie.

    [BookWithFM-TOC]
Template=TOCTpl.fm
ElementTags=
ParaTags=title.0|title.1|title.2|title.3|title-index

  2. Pour modifier le nombre de titres, actualisez le paramètre Étiquettes de paragraphe. Par exemple, pour afficher 5 titres dans la table des matières :

    ParaTags=title.0|title.1|title.2|title.3|title.4|title-index
Parent topic: Publication multicanaux
  • Ajout de fichiers générés à un livre


Génération d’une sortie imprimée

Apprenez à préparer votre livre pour l'impression commerciale, à imprimer un livre ou des éléments de livre sélectionnés, et à imprimer dans un fichier PostScript.

  • Préparation de documents en couleur pour la publication
    Découvrez comment utiliser la séparation des couleurs pour l’impression commerciale avec Adobe FrameMaker.
  • Impression d'un document
    Découvrez comment imprimer un document et les différentes options d’impression disponibles dans Adobe FrameMaker.
  • Impression de livre
    Découvrez comment imprimer un livre ou certains composants de livre avec Adobe FrameMaker et familiarisez-vous avec les différentes options d’impression disponibles.
  • Création d’un fichier PostScript
    Découvrez comment imprimer un livre complet ou un seul document dans un fichier PostScript avec Adobe FrameMaker.
Parent topic: Imprimer et publier


Préparation de documents en couleur pour la publication

Découvrez comment utiliser la séparation des couleurs pour l’impression commerciale avec Adobe FrameMaker.

Préparer les documents en couleur pour l’impression commerciale

Vous pouvez imprimer chaque page d’un document sous la forme d’une série de séparations de couleurs. La séparation des couleurs répartit les images couleur sur plusieurs pages. Chaque page contient une couleur composite. Un atelier d’impression utilise les séparations pour créer les plaques d’impression, une pour chaque couleur.

Vous pouvez également imprimer des images négatives ou réfléchies, parfois requises par les imprimeurs pour créer une impression sur film.

Si les objets en couleur se chevauchent dans le document, vous pouvez surimprimer. La surimpression permet d’imprimer un objet (sombre, en général) par-dessus un objet en couleur. Vous pouvez également créer une défonce : la couleur de dessus est imprimée, mais pas la couleur qui se trouve derrière. Vous pouvez remplir l’espace entre les objets à l’aide d’un accrochage.

Impression des séparations de couleurs

Lors de l’impression de séparations des couleurs, vous pouvez choisir les couleurs à imprimer en tons directs, celles à imprimer en couleurs quadri et celles à ne pas imprimer. Le texte et les objets graphiques sont imprimés en noir pour chaque séparation, avec des nuances de gris indiquant les pourcentages de saturation de couleur. Le nom de couleur de chaque séparation est imprimé hors des repères de montage (si ceux-ci sont activés et qu’il reste suffisamment d’espace sur la page).

Note: pour de meilleurs résultats, imprimez les couleurs CMJN en quadrichromie plutôt que sous forme de tons directs. Pour vérifier les allocations de plaques, choisissez Fichier > > Imprimer, puis cliquez sur Définition pour accéder à la boîte de dialogue Définition.

Image composite d’illustration graphique, Séparation noire et Séparation de tons directs

A. Image composite B. Séparation noire C. Séparation des couleurs directes

Les graphiques couleur importés sont séparés s’ils sont d’un format CMJN, TIFF, DCS ou image en mode point EPS. De plus, les images bitmap des graphiques EPS peuvent être séparées à condition de pouvoir également l’être dans Adobe Illustrator.

Vous pouvez également séparer un document en imprimant dans un fichier PostScript unique et ensuite demander à un atelier d’impression de séparer le fichier.

Veillez à ce que les tons directs dont la définition est identique portent le même nom. Les tons directs ayant la même définition mais des noms différents apparaissent sur des plaques distinctes lors de l’impression de séparations des couleurs.

Les séparations en quadrichromie sont imprimées à l’aide de grilles de points noirs pour chaque couleur (plus les points sont larges, plus la nuance d’impression de la couleur est intense). Les paramètres d’écran demi-ton déterminent le rapprochement des points entre eux, l’orientation de la grille (l’angle d’écran) et la forme des points. Pour plus d’informations, consultez la documentation de l’imprimante ainsi que votre imprimeur.

Pour créer des séparations de couleur, procédez comme suit :

  1. Vérifiez que vous n’avez pas paramétré l’impression des couleurs en noir et blanc plutôt qu’en nuances de gris.

  2. Sélectionnez Fichier > Imprimer.

  3. Choisissez une option dans la liste déroulante Hirondelles.

  4. Pour imprimer toutes les pages d’une plaque puis toutes les pages de la plaque suivante, désélectionnez l’option Trier. Sélectionnez l'option Trier pour imprimer toutes les plaques d’une page avant d’imprimer toutes les plaques de la page suivante, etc.

  5. Cliquez sur Définition.

    Figure 1. Boîte de dialogue Définir les séparations dans Adobe FrameMaker
    La capture d’écran montre la boîte de dialogue « Définir les séparations » dans Adobe FrameMaker.

    Le cas échéant, déplacez les noms de couleur vers les listes de sélection appropriées et cliquez sur Définir. Pour déplacer une couleur, cliquez deux fois dessus. Pour déplacer toutes les couleurs, sélectionnez une couleur dans la liste, maintenez la touche Maj enfoncée et cliquez sur une touche fléchée.

    Les teintes ne s’affichent pas dans cette boîte de dialogue ; elles s’impriment sur la même plaque que la couleur de base.

    Si votre imprimante ne peut pas imprimer des séparations de couleurs, la boîte de dialogue contient uniquement les listes de sélection Couleurs directes et Ne pas imprimer. La liste dans laquelle chaque couleur s’affiche par défaut est fonction de la définition de la couleur (son paramètre Imprimer en tant que).

  6. Pour spécifier les paramètres d’écran demi-ton, cliquez sur Ecrans demi-ton.

    Figure 2. Boîte de dialogue Ecrans demi-ton dans Adobe FrameMaker
    La capture d’écran montre la boîte de dialogue « Ecrans demi-ton » dans Adobe FrameMaker.

    Dans la boîte de dialogue Ecrans demi-ton, ajustez les paramètres et cliquez sur Définir.

  7. Dans la boîte de dialogue Imprimer, sélectionnez l’option Imprimer les séparations, définissez les autres options si nécessaire, puis cliquez sur Imprimer.

Défonce et couleurs de surimpression

Lorsqu’un objet couleur en chevauche un autre, FrameMaker défonce généralement la partie chevauchée pour qu’elle ne s’imprime pas dans une séparation des couleurs. Elle apparaît comme la couleur du papier. Si vous produisez des séparations de couleurs pour les fournir à un atelier d’impression, des erreurs de repères de montage se produisent parfois et de petits espaces vides s’affichent entre les couleurs.

Figure 3. Coupe exacte et coupe inexacte
Illustration présentant la coupe exacte et la coupe inexacte

Pour éviter les espaces vides entre les couleurs, vous pouvez appliquer une surimpression à l’objet qui figure au premier plan afin qu’aucune défonce ne soit appliquée à la partie chevauchée.

Figure 4. Défonce (à gauche) et surimpression (à droite)
Illustration présentant la défonce (à gauche) et la surimpression (à droite)

Figure 5. Vous pouvez aussi avoir recours à la surimpression pour combiner deux couleurs afin de créer des effets spéciaux.
Utilisation de la surimpression pour combiner deux couleurs afin de créer des effets spéciaux

Pour détourer ou surimprimer tous les objets d’une couleur spécifique, procédez comme suit :

  1. Définissez une couleur

  2. Pour imprimer cette couleur sur d’autres couleurs lors de l’impression de séparations, procédez de l’une des façons suivantes :

    • Pour surimprimer tout objet utilisant cette couleur, sélectionnez Surimpression.

    • Pour détourer tout objet utilisant cette couleur, sélectionnez Défonce.

Pour appliquer une défonce ou une surimpression aux objets, procédez comme suit :

  1. Sélectionnez l’objet et ouvrez la Boîte à outils ou choisissez Graphiques > Caractéristiques de l’objet. Désactivez l'option Remplissage dans la boîte de dialogue Caractéristiques.

  2. Choisissez une des options suivantes pour Surimpression :

    • Pour que cet objet détoure les objets situés derrière lui, sélectionnez Défonce.

    • Pour que cet objet apparaisse en surimpression par rapport aux objets situés derrière lui, sélectionnez Surimpression.

    • Pour que cet objet utilise le paramètre de surimpression défini pour la couleur, sélectionnez Coul. d’origine (paramètre recommandé).

Pour surimprimer des images créées dans d’autres applications, procédez comme suit :

Prenez en compte les cas particuliers suivants pour surimprimer des images créées dans d’autres applications sur des objets lorsque vous imprimez à partir d'Adobe FrameMaker :

  • Les fichiers TIFF CMJN surimpriment les objets sur des plaques utilisant des tons directs dans tous les cas suivants : s’ils sont imprimés en tant que séparations, si la valeur True est associée à l’attribut Surimpression et si la valeur Aucun est associée à la caractéristique de remplissage.

  • Les fichiers EPS ne surimpriment pas d’autres objets lorsqu’ils sont imprimés sous forme de séparations.

Impression d’images négatives et réfléchies

Lorsque vous demandez à votre imprimeur d’imprimer des fichiers sur film, il peut vous demander d’imprimer des images négatives, dans lesquelles le texte et les objets sont inversés. Vous devez parfois imprimer des images réfléchies, côté émulsionné vers le bas. L’émulsion désigne la substance photosensible posée sur la surface du film. Ces images réfléchies reflètent comme dans un miroir l’aspect normal des pages.

Note: Les paramètres peuvent varier selon le pilote d’impression utilisé et n’être disponibles qu’avec un pilote d’impression PostScript.

  1. Sélectionnez Fichier > Paramètres d’impression. Cliquez sur Caractéristiques pour accéder aux options du pilote d’impression. Repérez et définissez les options qui commandent les images négatives et réfléchies.

Accrochage d’objets

Dans le secteur de l’imprimerie, la surimpression visant à compenser les erreurs de montage produit parfois un mélange de couleurs inacceptable. Dans ce cas, vous pouvez accrocher l’objet au lieu de le surimprimer. Un accrochage est une ligne en bordure de l’objet supérieur. Sa largeur est suffisante pour remplir l’espace vide entre les couleurs et surimprimer l’autre objet le long de la bordure de son détourage.

Figure 6. Avec et sans accrochage
Illustration présentant un objet avec et sans accrochage

Vous n’aurez plus à accrocher chaque objet individuellement si l’accrochage est effectué par un atelier d’imprimerie. En outre, l’accrochage manuel doit parfois être annulé si vous décidez ultérieurement de confier l’accrochage à un atelier d’impression.

  1. Créez une bordure pour l’objet de dessus en le dupliquant et en attribuant le motif de remplissage Aucun à la copie. Assurez-vous que l’objet dupliqué est positionné exactement au-dessus de l’original.

  2. Définissez l’épaisseur de la ligne de la bordure. Tenez compte de la taille et du contour de l’objet, du type de papier d’impression et de la précision de la presse. Votre imprimeur vous indiquera les épaisseurs de ligne adaptées pour l’accrochage.

    Le trait d’une ligne est toujours centré sur le bord d’un objet. Par conséquent, doublez l’épaisseur de ligne spécifiée par votre imprimeur.

  3. Sélectionnez la bordure et sélectionnez Surimpression dans la palette Outils.

Traitement des documents en couleur à l’aide de l’interface OPI

Vous pouvez séparer les couleurs d’un document ou accrocher tous les objets d’un document ou d’un livre en imprimant dans un fichier PostScript, puis en donnant ce fichier à un atelier d’impression pour traitement. Des instructions sont incorporées dans les fichiers PostScript générés de cette façon. Ces instructions sont conformes à la convention Adobe DSC (Document Structuring Convention). Cette dernière optimise les performances des applications de post-traitement effectuant l’accrochage et l’imposition. Elles vous permettent également de tirer le meilleur parti des produits prenant en charge la version 1.3 de l’interface OPI (Open Prepress Interface). Cette interface réduit la surcharge de travail lors du traitement d’images couleur haute résolution.

Les fichiers PostScript améliorés pour OPI contiennent les informations utilisées par l’imprimeur afin que les images de marque de réservation correspondent à celles de haute résolution lors de l’impression.

Note: avant de commencer, demandez à votre imprimeur s’il existe des instructions spéciales pour la production de fichiers PostScript.

  1. Demandez à votre imprimeur ou à un atelier spécialisé de numériser votre travail. Conservez les images haute résolution et donnez-lui les versions EPS ou TIFF de vos images en basse résolution pour le traitement OPI.

  2. Importez (par référence ou par copie) les images en basse résolution dans le document.

  3. Créez un fichier d’impression ou une série de fichiers d’impression pour un livre.

Imprimer sur composeuses Linotronic

Conseils relatifs à l’impression sur composeuses Linotronic :

  • Certaines composeuses Linotronic placent automatiquement des repères de montage sur la page. Demandez à votre atelier spécialisé s’il est nécessaire d’utiliser le paramètre Hirondelles lors de l’impression.

  • Les composeuses Linotronic ne prennent pas toutes en charge les chemins de fer. Essayez différents paramètres de chemin de fer pour trouver celui qui fonctionne le mieux. Certains modèles Linotronic impriment correctement les chemins de fer 1×2, mais pas les chemins de fer 2×2.

  • Certains pilotes Linotronic ne permettent pas de définir un format de papier personnalisé, même après la sélection de l’option Personnalisation de la liste déroulante Format de page. Pour définir un format de page personnalisé, cliquez avec le bouton droit de la souris sur le pilote Linotronic sélectionnez Caractéristiques. Cliquez sur l’onglet Papier, puis sélectionnez l’icône associée au format de papier personnalisé dans la liste de sélection des icônes.

Parent topic: Génération d’une sortie imprimée


Impression d'un document

Découvrez comment imprimer un document et les différentes options d’impression disponibles dans Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Impression sur une imprimante de bureau

  • Options d’impression

Introduction

Dans Adobe FrameMaker, vous pouvez imprimer un document sur n’importe quelle imprimante que vous avez installée. Lors de l’impression d’un document, vous pouvez spécifier certaines options telles que le nombre de copies à imprimer et l’impression des traits de coupe et des repères de montage. Les options disponibles varient légèrement en fonction de l’imprimante utilisée. Vous pouvez également imprimer un livre composé de plusieurs documents.

Si vous avez désactivé les graphiques dans la boîte de dialogue Afficher les options, les graphiques n’apparaissent pas dans le document imprimé.

Remember: Dans le cas d’un document structuré, les limites des éléments (crochets ou étiquettes) sont des caractères imprimables. Masquez ces limites avant de lancer une impression.
Note: dans le cas d’une impression PostScript, utilisez un périphérique de sortie PostScript niveau 2 ou supérieur. Assurez-vous d’utiliser un pilote d’impression et un fichier de description d’imprimante (PPD) avec un tel périphérique.

Impression sur une imprimante de bureau

Vous pouvez imprimer chaque page d’un document sous forme de page composite. Une page composite contient toutes les couleurs de la page. Lors de l’impression sur une imprimante couleur de bureau, vous imprimez un document couleur composite.

Pour imprimer des documents FrameMaker sur une imprimante de bureau, procédez comme suit :

  1. Sélectionnez Fichier > Imprimer.

  2. Spécifiez la plage de pages à imprimer.

  3. Vérifiez que l’option Imprimer les séparations n’est pas sélectionnée.

  4. Définissez les options d’impression restantes suivant vos besoins, puis cliquez sur Imprimer.

Options d’impression

Les options d’impression suivantes sont disponibles pour toutes les imprimantes. Toutes ces options se trouvent dans la boîte de dialogue Impression. Pour plus d’informations sur des options supplémentaires disponibles pour votre imprimante, consultez la documentation de celle-ci.

Note: Adobe FrameMaker n'a aucun contrôle sur les fonctions offertes par les pilotes d’impression, ni sur les limites qu’ils imposent. FrameMaker reconnaît uniquement les pilotes d’imprimante acceptés par la version de Windows sur laquelle il s’exécute. Si vous utilisez un pilote d’impression trop ancien, vous risquez de perdre des données (graphiques et caractères) et de ne plus pouvoir ouvrir les documents. Pour plus d’informations sur les pilotes PostScript les plus récents et leur installation, consultez le site Web d’Adobe.
Tri

Pour imprimer une copie complète avant d’imprimer la suivante, sélectionnez Trier lors de l’impression de plusieurs copies. La sélection de l'option Trier peut ralentir l’impression.

Impression recto verso

Pour imprimer un document recto-verso, imprimez les pages impaires, retournez le papier, réinsérez-le dans l’imprimante et imprimez les pages paires. En fonction de votre imprimante, vous pouvez être amené à sélectionner Inverser ordre avant de cliquer sur Imprimer. Le retournement du papier dans l’imprimante risque d’inverser l’ordre des pages.

Modification de l’ordre des pages

Pour imprimer un document en commençant par la dernière page, sélectionnez Inverser ordre.

Impression plus rapide

Pour imprimer un document plus rapidement, sélectionnez Images basse résolution. Les images importées sont imprimées sous la forme de cases grisées.

Impression des traits de coupe et des repères de montage

Pour imprimer un document avec ses traits de coupe et ses repères de montage, choisissez l’une des options de la liste déroulante Marques d’enregistrement. Vous devrez réduire l’échelle de la page imprimée ou choisir une taille de page plus grande, afin que la page affiche correctement les traits de coupe et les repères de montage.

Vous avez le choix entre des traits de coupeOccidentaux et Tombo (japonais).

Figure 1. Traits de coupe occidentaux et Tombo
Impression des traits de coupe occidentaux et Tombo

Réduction ou agrandissement de l’image papier

Pour imprimer une image de page réduite ou agrandie centrée sur la page, indiquez un pourcentage dans le champ Echelle.

Impression des chemins de fer

Pour imprimer des chemins de fer (reproduction réduite de plusieurs pages sur une seule page), entrez les valeurs appropriées dans les zones de texte Ch. de fer. Dans la zone de texte Lignes, entrez le nombre de chemins de fer à imprimer verticalement sur la page. Dans la zone de texte Colonnes, entrez le nombre de chemins de fer à imprimer horizontalement sur la page.

Pages blanches ignorées

Pour éviter d’imprimer des pages blanches, sélectionnez Ignorer les pages blanches.

Impression des couleurs en noir et blanc

Pour imprimer les objets en couleur (illustrations et texte FrameMaker) en noir et blanc plutôt qu’en échelle de gris, sélectionnez Couleur directe en Noir/Blanc.

Alimentation manuelle en papier

Pour imprimer le document sur du papier ne se trouvant pas dans le bac de l’imprimante, choisissez Fichier > Configuration de l’impression. Sélectionnez Alimentation manuelle dans la liste déroulante Source et cliquez sur OK.

Note: La boîte de dialogue Imprimer le document dans FrameMaker contient certaines options qui figurent également dans les propriétés de l’imprimante de Windows, notamment le nombre de copies. Lors de l’impression d’un document, les paramètres définis dans FrameMaker annulent et remplacent les paramètres d’impression de Windows.
Parent topic: Génération d’une sortie imprimée
Related information
  • Limites d’éléments
  • Impression de livre
  • Préparation de documents en couleur pour la publication


Impression de livre

Découvrez comment imprimer un livre ou certains composants de livre avec Adobe FrameMaker et familiarisez-vous avec les différentes options d’impression disponibles.

Dans ce sujet

  • Introduction

  • Impression d'un livre FrameMaker complet

  • Impression de fichiers spécifiques d’un livre FrameMaker

Introduction

Lors de l’impression d’un document, vous pouvez spécifier certaines options telles que le nombre de copies à imprimer et l’impression des traits de coupe et des repères de montage. Les options disponibles varient légèrement en fonction de l’imprimante utilisée.

Si vous avez désactivé les graphiques dans la boîte de dialogue Afficher les options, les graphiques n’apparaissent pas dans le document imprimé.

Tip: Avant d’imprimer, mettez le livre à jour. Cliquez sur Modifier > Mettre à jour le livre pour mettre à jour la numérotation, les encarts de texte, les références croisées, les liens OLE et les mini-tables des matières, la table des matières, les index et d’autres listes générées, et éventuellement réappliquer les maquettes.
Remember: Dans le cas d’un document structuré, les limites des éléments (crochets ou étiquettes) sont des caractères imprimables. Masquez ces limites avant de lancer une impression.

Impression d'un livre FrameMaker complet

Pour imprimer un livre FrameMaker complet, procédez comme suit :

  1. Ouvrez le livre que vous voulez imprimer.

  2. Choisissez Fichier > Imprimer le livre.

  3. Spécifiez les options d’impression. Cliquez sur Imprimer.

Impression de fichiers spécifiques d’un livre FrameMaker

Pour imprimer uniquement des fichiers spécifiques d'un livre FrameMaker, procédez comme suit :

  1. Ouvrez le livre que vous voulez imprimer.

  2. Dans le panneau du livre, sélectionnez le ou les fichiers à imprimer.

  3. Sélectionnez Fichier > Imprimer les fichiers sélectionnés.

  4. Spécifiez les options d’impression. Cliquez sur Imprimer.

Parent topic: Génération d’une sortie imprimée
Related information
  • Impression d'un document


Création d’un fichier PostScript

Découvrez comment imprimer un livre complet ou un seul document dans un fichier PostScript avec Adobe FrameMaker.

Dans ce sujet
  • Introduction
  • Création d’un fichier d’impression à partir d’un document
  • Création d’un fichier d’impression unique à partir d’un livre
  • Création d’un fichier d’impression unique pour certains composants du livre
  • Création de fichiers d’impression distincts pour tous les composants du livre
  • Création de fichiers d’impression distincts pour certains composants du livre

Introduction

Avec Adobe FrameMaker, vous pouvez imprimer un document ou un livre complet dans un seul fichier PostScript (également appelé « fichier d’impression »). Vous pouvez également imprimer tous les composants du livre dans une série de fichiers d'impression. En outre, vous pouvez également imprimer uniquement certains composants du livre dans un fichier d’impression unique ou dans une série de fichiers d'impression.

Vous pouvez télécharger le fichier d’impression PostScript créé sur une imprimante PostScript ou l’envoyer à un fournisseur de services d’impression. Vous pouvez également utiliser Adobe Acrobat Distiller pour convertir le fichier d’impression PostScript en PDF.

Note: dans le cas d’une impression PostScript, utilisez un périphérique de sortie PostScript niveau 2 ou supérieur. Assurez-vous d’utiliser un pilote d’impression et un fichier de description d’imprimante (PPD) avec un tel périphérique.

Création d’un fichier d’impression à partir d’un document

Pour créer un fichier d’impression à partir d’un document FrameMaker, procédez comme suit :

  1. Ouvrez le document que vous souhaitez imprimer.

  2. Sélectionnez Fichier > Imprimer.

  3. Sélectionnez Imprimer dans un fichier et entrez le chemin d’accès et le nom de fichier dans la zone de texte ou cliquez sur Parcourir pour sélectionner un dossier et un nom de fichier.

  4. Cliquez sur Imprimer.

Création d’un fichier d’impression unique à partir d’un livre

Pour créer un fichier d’impression unique à partir d’un livre FrameMaker, procédez comme suit :

  1. Ouvrez le livre que vous voulez imprimer.

  2. Choisissez Fichier > Imprimer le livre.

  3. Dans la boîte de dialogue Imprimer le livre, sélectionnez Imprimer dans un fichier et entrez le chemin d’accès et le nom de fichier dans la zone de texte ou cliquez sur Parcourir et sélectionnez un dossier et un nom de fichier.

  4. Sélectionnez Fichier unique dans la liste déroulante Enregistrer les livres en tant que.

  5. Cliquez sur Imprimer.

Création d’un fichier d’impression unique pour certains composants du livre

Pour créer un fichier d’impression unique pour certains composants du livre FrameMaker, procédez comme suit :

  1. Ouvrez le livre que vous voulez imprimer.

  2. Dans le panneau du livre, sélectionnez les composants du livre que vous souhaitez imprimer.

  3. Sélectionnez Fichier > Imprimer les fichiers sélectionnés.

  4. Dans la boîte de dialogue Imprimer les fichiers sélectionnés dans un livre, sélectionnez Imprimer dans un fichier et entrez le chemin d’accès et le nom de fichier dans la zone de texte ou cliquez sur Parcourir et sélectionnez un dossier et un nom de fichier.

  5. Sélectionnez Fichier unique dans la liste déroulante Enregistrer les fichiers sélectionnés en tant que.

  6. Cliquez sur Imprimer.

Création de fichiers d’impression distincts pour tous les composants du livre

Pour créer une série de fichiers d’impression pour tous les composants du livre FrameMaker, procédez comme suit :

  1. Ouvrez le livre que vous voulez imprimer.

  2. Choisissez Fichier > Imprimer le livre.

  3. Dans la boîte de dialogue Imprimer le livre, sélectionnez Imprimer dans un fichier et entrez le chemin d’accès et le nom de fichier dans la zone de texte ou cliquez sur Parcourir et sélectionnez un dossier et un nom de fichier.

  4. Sélectionnez Fichier distinct pour chaque document dans la liste déroulante Enregistrer le livre en tant que.

  5. Cliquez sur Imprimer.

Création de fichiers d’impression distincts pour certains composants du livre

Pour créer des fichiers d’impression distincts pour certains composants du livre FrameMaker, procédez comme suit :

  1. Ouvrez le livre que vous voulez imprimer.

  2. Dans le panneau du livre, sélectionnez les composants du livre que vous souhaitez imprimer.

  3. Sélectionnez Fichier > Imprimer les fichiers sélectionnés.

  4. Dans la boîte de dialogue Imprimer les fichiers sélectionnés dans un livre, sélectionnez Imprimer dans un fichier et entrez le chemin d’accès et le nom de fichier dans la zone de texte ou cliquez sur Parcourir et sélectionnez un dossier et un nom de fichier.

  5. Sélectionnez Fichier distinct pour chaque document dans la liste déroulante Enregistrer les fichiers sélectionnés en tant que.

  6. Cliquez sur Imprimer.

Parent topic: Génération d’une sortie imprimée
Related information
  • Enregistrer au format PDF


Traduction

Découvrez comment Adobe FrameMaker peut vous aider à préparer le contenu à traduire.

FrameMaker permet de convertir les documents FrameMaker, les livres, le contenu DITA et tout autre contenu XML au format XLIFF (XML Localization Interchange File Format). XLIFF est un format ouvert basé sur XML, permettant de normaliser le transfert de données entre les différents outils utilisés dans le processus de traduction de contenu. XLIFF fournit des éléments et des attributs qui permettent la traduction de contenu, et stocke le contenu traduit dans une mémoire de traduction (TM).

FrameMaker crée des fichiers XLIFF conformes aux normes XLIFF 1.2, qui peuvent être traités dans tout outil de traduction prenant en charge XLIFF 1.2. Vous pouvez également partager des fichiers XLIFF pour la traduction automatique (MT) ou la traduction humaine (HT), des révisions et des contrôles d’assurance qualité entre ces outils. Ainsi, le propriétaire du contenu et le traducteur ne dépendent pas des outils utilisés dans le processus de traduction.

  • Exporter des fichiers vers XLIFF
    Apprenez à exporter des documents FrameMaker, des documents FrameMaker structurés, des fichiers DITA et tout autre contenu basé sur XML vers XLIFF pour la traduction.
  • Rapport de conversion XLIFF
    Apprenez à déchiffrer le rapport de conversion XLIFF généré après la conversion XLIFF.
  • Configurations avancées pour la conversion XLIFF
    Apprenez à configurer les paramètres pour le processus de conversion XLIFF.
  • Importer des fichiers XLIFF
    Apprenez à importer des fichiers XLIFF traduits dans Adobe FrameMaker.
Related information
  • XLIFF Version 1.2


Exporter des fichiers vers XLIFF

Apprenez à exporter des documents FrameMaker, des documents FrameMaker structurés, des fichiers DITA et tout autre contenu basé sur XML vers XLIFF pour la traduction.

Pour exporter votre document vers XLIFF, effectuez les étapes suivantes :

  1. Ouvrez le document que vous souhaitez exporter.

  2. Sélectionnez Fichier > Traduction > Exporter vers XLIFF 1.2.

    Selon le type de document que vous exportez, l'une des boîtes de dialogue suivantes apparaîtra.

    La boîte de dialogue suivante apparaît lorsque vous exportez un livre ou un document FrameMaker.

    Figure 1. Boîte de dialogue Paramètres d'exportation XLIFF lors de l'exportation de documents FrameMaker

    La boîte de dialogue suivante apparaît lorsque vous exportez une rubrique ou un mappage structuré.

    Figure 2. Boîte de dialogue Paramètres d'exportation XLIFF lors de l'exportation de documents structurés

  3. Dans la boîte de dialogue Paramètres d’exportation XLIFF, configurez les paramètres de traduction :

    Nom du fichier de package

    Par défaut, le nom du fichier source est utilisé pour créer l'archive zip du package. Le fichier du package contient les fichiers XLIFF convertis. Vous pouvez modifier le nom de fichier et l'emplacement en cliquant sur le bouton Parcourir.

    Fichier XTS

    Tous les paramètres de la boîte de dialogue Paramètres d'exportation XLIFF sont enregistrés dans un fichier .xts. Ce fichier peut ensuite être réutilisé pour des projets de traduction ultérieurs.

    Sélectionnez un fichier de paramètres de traduction XLIFF (XTS) existant à utiliser, ou utilisez le fichier de paramètres par défaut disponible à l'emplacement suivant :

    C:\Program Files\Adobe\Adobe FrameMaker 2022\Translation\XLIFF\config\default.xts

    Pour plus d’informations sur la configuration de fichiers XTS, consultez Configurations avancées pour la conversion XLIFF.

    Note: Assurez-vous que l'emplacement du fichier XTS ne contient aucun caractère Unicode car le processus d'exportation pourrait ne pas fonctionner comme prévu.
    Langue source

    Sélectionnez la langue source du document que vous convertissez.

    Intégrer la structure au fichier XLIFF (recommandé)

    Un fichier de structure représente le document source original, intégré ou lié dans l'en-tête XLIFF. Il permet de s'assurer que le fichier peut être reconverti après la traduction. L'intégration est recommandée pour que le fichier XLIFF puisse toujours être reconverti, même si les fichiers originaux sont perdus.

    Appliquer les règles de segmentation XLIFF

    La segmentation est un processus consistant à décomposer le contenu en segments traduisibles plus petits. La segmentation permet de fractionner un long passage de texte, par exemple un paragraphe composé de plusieurs phrases, en plusieurs segments afin d'obtenir des unités de traduction plus petites et donc mieux réutilisables. Vous pouvez définir des règles pour créer des segments au niveau d'une phrase, d'un paragraphe ou d'une expression. Utilisez cette option pour appliquer les règles de segmentation définies dans la section SRX de votre fichier de configuration XTS.

    Les paramètres supplémentaires suivants sont disponibles lors de l'exportation de documents FrameMaker ou de documents structurés personnalisés (non-DITA) :

    Exposer le texte sur les pages de référence

    Sélectionnez cette option pour inclure du texte provenant des pages de référence.

    Exposer le texte sur les pages principales

    Sélectionnez cette option pour inclure le texte des pages principales.

    Exposer le texte conditionnel masqué

    Sélectionnez cette option pour inclure un texte conditionnel actuellement masqué dans le document.

    Exposer le texte dans les encarts

    Si vous avez des encarts de texte, vous pouvez sélectionner cette option pour inclure le texte de ces encarts, qui sont copiés dans le document. Les encarts de texte référencés ne sont pas inclus.

    Exposer les informations sur le document

    Sélectionnez cette option pour inclure des informations ou des métadonnées sur le document.

    Exposer les définitions de format de variable

    Choisissez les formats de variable que vous voulez inclure. Vous pouvez choisir d'omettre tous les formats, d'inclure tous les formats, ou de n'inclure que les formats de variable utilisés dans le document.

    Exposer les définitions de formats de références croisées

    Choisissez les formats de références croisées que vous voulez inclure. Vous pouvez choisir d'omettre tous les formats, d'inclure tous les formats, ou de n'inclure que les formats de références croisées utilisés dans le document.

    Exposer le contenu des références croisées externes

    Sélectionnez cette option pour inclure toutes les références croisées externes que vous avez utilisées dans votre document.

    Exposer les styles de numérotation

    Choisissez les styles de numérotation que vous voulez inclure. Vous pouvez choisir d'omettre tous les styles de numérotation, d'inclure tous les styles de numérotation, ou de n'inclure que les styles de numérotation utilisés dans le document.

    Exposer les règles de préfixe/suffixe

    Sélectionnez cette option pour inclure les règles de préfixe ou de suffixe que vous avez utilisées dans vos documents structurés.

    Exposer les valeurs des attributs
    Sélectionnez cette option pour inclure les noms des attributs et leurs valeurs.
    Supprimer le trait d'union facultatif

    Sélectionnez cette option pour supprimer les traits d'union facultatifs que vous avez ajoutés manuellement pour respecter une certaine césure. Ces tirets facultatifs sont généralement interprétés différemment dans les différentes langues.

    Fractionner les marqueurs d'index multiniveaux

    Sélectionnez cette option pour fractionner les marqueurs d'index multiniveaux ou les entrées à plusieurs index en segments et en unités de traduction distincts.

    Déplacer les marqueurs d'index au début du paragraphe

    Sélectionnez cette option pour déplacer tous les marqueurs d'index du mot ou de la phrase au début du paragraphe.

    N'utilisez cette option que si vous disposez d'un marqueur d'index avec des entrées d'index. N'utilisez pas cette option si vous utilisez des marqueurs d'index vides, car la génération de l'index dépend de la position du marqueur d'index devant un mot/une phrase.

    Traiter les retours

    Choisissez comment traiter les retours dans votre contenu. Vous pouvez choisir de les traiter comme des caractères de saut de ligne, des balises en ligne, ou de segmenter les retours chariot.

  4. Cliquez sur Exporter.

FrameMaker convertit maintenant les documents au format XLIFF et crée le package de traduction (ZIP). Une fois le processus terminé, FrameMaker affiche le rapport de conversion XLIFF.

Note: Cliquez sur Enregistrer les paramètres pour enregistrer les paramètres d’exportation XLIFF configurés dans la boîte de dialogue Paramètres d’exportation XLIFF. Vous pouvez réutiliser ces paramètres pour une traduction ultérieure.
Parent topic: Traduction
Related information
  • Segmentation
  • Spécification SRX 2.0


Rapport de conversion XLIFF

Apprenez à déchiffrer le rapport de conversion XLIFF généré après la conversion XLIFF.

Une fois la conversion XLIFF terminée, FrameMaker affiche le rapport de conversion XLIFF dans un panneau. Le rapport de conversion contient les sections et informations suivantes :

Figure 1. Rapport de conversion XLIFF

La première section du rapport contient des des informations telles que l'ID unique du travail pour la traduction XLIFF et un titre basé sur le nom du document.

La section Erreurs/avertissements du fichier journal indique le nombre d’erreurs, d’avertissements et de messages d’information consignés pour le processus de conversion. Toutes les erreurs et tous les messages d'avertissement sont répertoriés dans un tableau séparé dans cette section.

La section Log Complete (Journal complet) contient des informations sur l'ensemble du processus d'exportation.

Parent topic: Traduction


Configurations avancées pour la conversion XLIFF

Apprenez à configurer les paramètres pour le processus de conversion XLIFF.

Les paramètres de conversion XLIFF par défaut conviennent pour la plupart des travaux de traduction de base. Toutefois, en tant qu'utilisateur avancé, vous pouvez configurer et personnaliser des paramètres pertinents pour votre travail de traduction en modifiant les fichiers de configuration. Les fichiers de configuration de la traduction sont regroupés dans le fichier des paramètres de traduction XLIFF (fichier (.xts). Vous devez sélectionner le fichier des paramètres par défaut, le modifier, puis utiliser le fichier mis à jour pour le processus de conversion.

Pour extraire les fichiers de configuration du fichier des paramètres par défaut (.xts), effectuez les étapes suivantes :

  1. Utilisez la boîte de dialogue Paramètres d'exportation XLIFF pour configurer vos paramètres de base.

  2. Cliquez sur Enregistrer les paramètres dans la boîte de dialogue Paramètres d’exportation XLIFF et enregistrez le fichier de paramètres.

  3. Remplacez l'extension du fichier de configuration .xts par .zip.

  4. Utilisez un outil d'archivage capable de traiter des fichiers ZIP, puis extrayez le contenu de votre fichier de paramètres.

    La capture d'écran suivante montre le contenu extrait du fichier .xts par défaut :

    Figure 1. Contenu du fichier XTS

    Les fichiers de configuration XLIFF sont expliqués ci-dessous :

    dita
    Le dossier dita contient les règles de l'Internationalization Tag Set (ITS) pour la conversion de DITA 1.3 à XLIFF 1.2. Vous devez définir vos règles dans le fichier itsrules_overrides.xml.
    Note: Vous trouverez également dans ce dossier un fichier itsrules.xml. Il est recommandé de ne pas modifier le fichier itsrules.xml. Les modifications au fichier itsrules_overrides.xml sont prioritaires et remplacent les règles définies dans le fichier itsrules.xml.
    mif
    Le dossier mif contient les règles ITS pour la conversion de MIF 2022 en XLIFF 1.2. Vous devez définir vos règles dans le fichier itsrules_overrides.xml.
    Note: Vous trouverez également dans ce dossier un fichier itsrules.xml. Il est recommandé de ne pas modifier le fichier itsrules.xml. Les modifications au fichier itsrules_overrides.xml sont prioritaires et remplacent les règles définies dans le fichier itsrules.xml.
    xml
    Le dossier xml contient les règles ITS pour la conversion de XML en XLIFF 1.2. Vous devez définir vos règles dans le fichier itsrules.xml.
    srx
    Le dossier srx contient le fichier Segmentation Rules eXchange (SRX). Utilisez le fichier srxrules.xml pour définir les règles de segmentation du contenu XLIFF 1.2.
    catalog.xml
    Le fichier catalog.xml contient des redirections de contenu DocTypes (DTD) et d'ID publics (RelaxNG) vers sa représentation XSD. Si vous utilisez un fichier DITA spécialisé, vous devez alors ajouter un mappage pour votre contenu DTD/RelaxNG et son XSD.
    root_catalog.xml
    Le fichier root_catalog.xml contient le chemin d'accès à l'implémentation par défaut de DITA 1.3 livrée prête à l'emploi dans FrameMaker. Le chemin par défaut pointe vers l'emplacement :<FrameMaker_Install_Location>\fminit\ditafm\ditaot. Si votre contenu DTD/RelaxNG/XSD est disponible à un autre endroit, vous devez alors mettre à jour le chemin d'accès dans ce fichier.
    xliffsettings.xml
    Le fichier xliffsettings.xml contient les paramètres configurés via la boîte de dialogue Paramètres d'exportation XLIFF.

  5. Une fois que vous avez modifié le fichier des paramètres, utilisez un utilitaire d'archivage pour regrouper tous les fichiers dans un fichier ZIP.

  6. Remplacez l’extension .zip par .xts.

Votre fichier de paramètres mis à jour est maintenant prêt. Indiquez le chemin de ce fichier dans le paramètre d'emplacement du fichier XTS dans la boîte de dialogue Paramètres d'exportation XLIFF.

Parent topic: Traduction
Related information
  • Segmentation
  • Spécification SRX 2.0


Importer des fichiers XLIFF

Apprenez à importer des fichiers XLIFF traduits dans Adobe FrameMaker.

Une fois que vous avez partagé le fichier XLIFF avec votre agence de traduction, le traducteur traite le fichier, en extrait le contenu traduisible, puis traduit ce contenu. Cette procédure peut impliquer de multiples itérations avant que l'ensemble final du contenu traduit ne soit disponible. Une fois que le contenu traduit est prêt, l'agence de traduction vous retourne les fichiers XLIFF traduits. FrameMaker vous permet de réimporter facilement le fichier XLIFF traduit dans FrameMaker, et vous pouvez alors le publier dans le format de sortie souhaité.

Pour importer le fichier XLIFF, effectuez les étapes suivantes :

  1. Allez dans Fichier > Traduction > Importer XLIFF.

    Figure 1. Boîte de dialogue Paramètres d'importation XLIFF

  2. Dans la boîte de dialogue Paramètres d'importation XLIFF, spécifiez le Nom du fichier de package que l'agence de traduction vous a envoyé.

  3. Spécifiez un répertoire de sortie vers lequel extraire le contenu du fichier.

    Note: Il est recommandé de choisir un répertoire de sortie vide. Si vous utilisez un répertoire dans lequel vous avez auparavant extrait les fichiers XLIFF, ces fichiers seront écrasés.

Si le processus d'importation est exécuté avec succès, un message de réussite s'affiche avec le rapport de conversion XLIFF (importation).

Parent topic: Traduction


Systèmes de gestion de contenu

Découvrez comment collaborer à l’aide de différents systèmes de gestion de contenu dans FrameMaker.

Lorsque vous travaillez sur un document, il est souvent nécessaire de conserver ses différentes versions. Ainsi, vous pouvez gérer le contenu et comparer les modifications entre plusieurs versions du document. En outre, conserver les versions se révèle utile voire impératif dans un environnement de création collaboratif. Dans un environnement collaboratif, plusieurs auteurs peuvent travailler sur un même document, souvent sur les mêmes parties du document. Pour vous permettre de travailler dans ce type d’environnement, FrameMaker est livré avec des connecteurs pour les systèmes de gestion de contenu (CMS) suivants :

  • Adobe Experience Manager

  • Documentum, Microsoft SharePoint et DITAExchange

  • WebDAV

  • Adobe Experience Manager
    Découvrez Adobe Experience Manager et comment l’utiliser dans FrameMaker.
  • Documentum, Microsoft SharePoint et DITAExchange
    Découvrez les connecteurs spécifiques d’Adobe FrameMaker permettant d’activer l’intégration avec Documentum, Microsoft SharePoint et DITAExchange.
  • WebDAV
    Familiarisez-vous avec les serveurs et les URL WebDAV et découvrez comment collaborer avec WebDAV dans Adobe FrameMaker.


Adobe Experience Manager

Découvrez Adobe Experience Manager et comment l’utiliser dans FrameMaker.

Développé à partir du meilleur référentiel de contenu CRX conforme JSR-283 du secteur, Adobe Experience Manager (AEM, anciennement CQ) offre une suite complète d’applications pour la gestion de l’expérience Web (WEM) des entreprises. FrameMaker est livré avec un connecteur prêt à l’usage à Adobe Experience Manager. FrameMaker offre également une interface facile d’utilisation qui vous permet de conserver les versions de vos documents dans un environnement collaboratif et distribué.

  • Configuration du connecteur Adobe Experience Manager
    Apprenez à configurer une connexion à Adobe Experience Manager dans Adobe FrameMaker.
  • Gestionnaire de référentiel
    Apprenez à travailler avec le Gestionnaire de référentiel dans FrameMaker.
  • Gestion des dossiers CRX d’Adobe Experience Manager
    Apprenez à créer un dossier CRX et à télécharger des fichiers d’Adobe FrameMaker vers Adobe Experience Manager. Découvrez les autres tâches que vous pouvez effectuer sur le dossier.
  • Utilisation de fichiers
    Après avoir téléchargé un fichier dans le référentiel, vous pouvez effectuer des opérations de fichier CMS sur le fichier tel que l’extraction, l’ouverture en lecture seule, l’archivage, l’affichage des fichiers dépendants, et plus encore.
  • Recherche dans un référentiel Adobe Experience Manager
    Apprenez à effectuer une recherche intuitive dans le référentiel Adobe Experience Manager.
  • Révision avec XML Documentation for Adobe Experience Manager et FrameMaker
    Apprenez à effectuer une révision à l’aide d’XML Documentation for Adobe Experience Manager, et à gérer les commentaires de révision dans FrameMaker.
  • Métadonnées XMP dans FrameMaker et Adobe Experience Manager
    Découvrez comment utiliser les métadonnées XMP dans FrameMaker et Adobe Experience Manager.
  • Modification des préférences Adobe Experience Manager dans le fichier CQPreference.xml
    Découvrez comment modifier les préférences du connecteur Adobe Experience Manager dans Adobe FrameMaker à l’aide du fichier fichier CQPreference.xml.
Parent topic: Systèmes de gestion de contenu


Configuration du connecteur Adobe Experience Manager

Apprenez à configurer une connexion à Adobe Experience Manager dans Adobe FrameMaker.

Adobe Experience Manager (AEM) est un système de gestion de contenu Web qui vous permet de stocker des actifs numériques dans son référentiel DAM (gestion des actifs numériques). Le connecteur AEM vous permet de gérer vos documents FrameMaker à l’aide de DAM.

Note: Vous pouvez choisir de stocker vos documents dans n’importe quel dossier AEM. Si vous utilisez DAM AEM, vous pourrez tirer parti des fonctions de DAM comme la recherche d’actifs numériques.

Avant de commencer

Installez Java Runtime sur le système et définissez la variable d’environement JAVA_HOME.

Note: Le connecteur AEM prend en charge les suites de chiffrement fournies par Java pour la poignée de main TLS dans une connexion HTTPS.

Boîte de dialogue Gestionnaire de connexion

Figure 1. Boîte de dialogue Gestionnaire de connexion dans FrameMaker
Dialogue Gestionnaire de connexions dans FrameMaker
Nom

Un nom facile à retenir pour votre connexion FrameMaker - Adobe Experience Manager.

Serveur

L’emplacement du serveur AEM dans la syntaxe suivante :

http://<server-name>:<port-number>/crx/server

Utiliser l’authentification unique (SSO)

Si votre organisation utilise l’authentification SSO pour l’authentification du serveur AEM, sélectionnez cette option. Lorsque vous sélectionnez cette option, le champ mot de passe est supprimé de l’interface.

Nom d’utilisateur et mot de passe

Indiquez le nom d’utilisateur et le mot de passe pour la connexion au serveur AEM. Sélectionnez l’option Enregistrer le mot de passe pour enregistrer le mot de passe.

Espace de travail

Espace de travail Adobe Experience Manager.

Espace de travail par défaut : crx.default.

Il est conseillé de créer un dossier dans l’espace de travail DAM. Toutefois, vous pouvez créer un dossier dans n’importe quel autre emplacement du référentiel.

Dossier local

Emplacement du dossier local pour enregistrer des fichiers à partir d’AEM.

L’emplacement par défaut est C:\Users\<nom_utilisateur>\Documents. Vous pouvez modifier l’emplacement par défaut en cliquant sur le bouton Parcourir.

FrameMaker crée toujours un dossier local de téléchargement en minuscule, quel que soit le titre de la connexion indiqué dans la boîte de dialogue Gestionnaire de connexion.

Authentification client sur un serveur AEM

FrameMaker dispose d’une fonction permettant de valider l’authentification du client configurée dans le serveur AEM de votre organisation. La prise en charge de l'authentification du client pendant la poignée de main TLS est ajoutée au connecteur AEM. De ce fait, lorsque vous essayez de vous connecter à un serveur sur lequel l’authentification client est activée, FrameMaker vous invite à sélectionner un certificat. Après avoir choisi un certificat, la poignée de main TLS se poursuit avec ce certificat. Après la validation du certificat client sur le serveur, le processus de connexion commence et établit la connexion avec le référentiel AEM.

Vous pouvez remplacer le certificat client à utiliser en ajoutant un paramètre dans le fichier CQPreference.xml et en fournissant le nom d'alias du certificat. Par exemple, vous pouvez ajouter le paramètre suivant où « Adobe » représente le nom d'alias de votre certificat client :

<ClientCertificateAliasOverride value="Adobe"/>
FrameMaker choisit alors le certificat mentionné dans le paramètre pour la connexion et ne demande pas de sélection de certificat.
Note:

Vous devez redémarrer FrameMaker pour que la modification prenne effet.

Configuration du connecteur Adobe Experience Manager

Note: Les paramètres Adobe Experience Manager de la boîte de dialogue Préférences offrent d’autres options pour spécifier un serveur proxy permettant de se connecter à un serveur AEM. Pour plus d’informations, voir CMS > Adobe Experience Manager.

  1. Sélectionnez Fichier > CMS > Gestionnaire de connexion.

    La boîte de dialogue Gestionnaire de connexion apparaît.

  2. Dans le menu déroulant Choisissez la connexion, sélectionnez Adobe Experience Manager.

  3. Entrez un nom et un emplacement de serveur conviviaux.

  4. Si votre organisation utilise l’authentification SSO, sélectionnez l’option Utiliser l’authentification unique (SSO).

    Sinon, entrez le Nom d’utilisateur et le Mot de passe pour une authentification régulière.

  5. Précisez l’espace de travail Adobe Experience Manager ou utilisez l’espace de travail par défaut (crx.default).

  6. Sélectionnez un chemin d’accès au Dossier local.

  7. Cliquez sur Connexion pour configurer le connecteur FrameMaker - Adobe Experience Manager.

    Note: Si vous utilisez l’authentification SSO, une fenêtre contextuelle peut apparaître et vous guider à travers le processus d’authentification SSO de votre organisation. Vous devez fermer la fenêtre après avoir terminé le processus de connexion.

    Lors d’une connexion réussie, la fenêtre Gestionnaire de référentiel apparaît.

Note: Dans la boîte de dialogue Gestionnaire de connexions, cliquez sur Effacer si vous souhaitez effacer les entrées. Ceci efface toutes les valeurs entrées et réinitialise les champs Espace de travail et Dossier local à leurs valeurs par défaut.
Note: Dans la boîte de dialogue Gestionnaire de connexions, cliquez sur Supprimer pour supprimer la connexion de Se connecter à un favori.

Activer la prise en charge de fichiers UUID

La documentation XML pour Adobe Experience Manager, le CCMS DITA d’ADOBE, prend en charge le système de référencement des fichiers Universally Unique Identifier (UUID). En utilisant AEM, vous pouvez télécharher des fichier utilisant le système de référencement des fichiers basés sur UUID via le connecteur AEM. Lorsque ces fichiers sont disponibles sur votre système, vous pouvez les publier sur FrameMaker pour générer la sortie attendue.

Note:
  • Si vous utilisez la documentation XML pour Adobe Experience Manager en tant que service Cloud (version de janvier 2022 et versions ultérieures), vous pouvez créer et publier des fichiers basés sur UUID dans FrameMaker.
  • Si vous utilisez la documentation XML pour Adobe Experience Manager, vous pouvez publier vos fichiers basés sur UUID dans FrameMaker.
Pour l’utiliser, effectuez les opérations suivantes :
  1. Sélectionnez Modifier > Préférences > CMS > Adobe Experience Manager.
  2. Sélectionnez Utilisez un référencement basé sur UUID. Cette option n’est activée par défaut.
    Figure 2. Option de référencement basé sur UUID dans la boîte de dialogue Préférences

  3. Téléchargez les fichiers qui utilisent le référencement basé sur UUID depuis AEM.
  4. Publiez les fichiers à l’aide de la fonctionnalité de publication.

Notes supplémentaires sur l’authentification basée sur la SSO

Vous devez tenir compte des points suivants lors de l’utilisation de l’authentification SSO avec connecteur AEM :

  • Internet Explorer 11 ou supérieur doit être installé sur votre système.

  • Les paramètres de sécurité dans IE doivent être réglés sur faibles.

  • FrameMaker doit avoir l’accès en lecture aux cookies du navigateur.

Parent topic: Adobe Experience Manager


Gestionnaire de référentiel

Apprenez à travailler avec le Gestionnaire de référentiel dans FrameMaker.

La fenêtre Gestionnaire de référentiel répertorie les fichiers et dossiers du référentiel Adobe Experience Manager. Vous pouvez exécuter différentes fonctions liées aux fichiers et dossiers disponibles depuis la fenêtre Gestionnaire de référentiel.

Vous trouverez ci-dessous une représentation schématique des tâches que vous pouvez exécuter à partir du Gestionnaire de référentiel :

A : saisie du critère de recherche

B : recherche de base dans le référentiel

C : recherche avancée dans le référentiel

D : nom de la connexion AEM active actuellement

E : suppression de l’élément sélectionné

F : archivage, extraction ou annulation de l’extraction pour l’élément sélectionné

G : sélection d’un élément de la liste Récent ou Favoris

H : exploration des contenus du DAM

I : accès au panneau Commentaires de révision

J : ajout d’une nouvelle connexion

K : déconnexion

Parent topic: Adobe Experience Manager


Gestion des dossiers CRX d’Adobe Experience Manager

Apprenez à créer un dossier CRX et à télécharger des fichiers d’Adobe FrameMaker vers Adobe Experience Manager. Découvrez les autres tâches que vous pouvez effectuer sur le dossier.

Vous avez la possibilité d’ajouter des fichiers à tout niveau de la hiérarchie de dossiers de contenu. Toutefois, pour tirer parti de la fonctionnalité Digital Asset Management (DAM) d’Adobe Experience Manager, il est conseillé de créer le dossier dans le dossier dam. Après avoir créé un dossier, vous pouvez ensuite télécharger les fichiers et les dossiers dans le référentiel.

  1. Pour créer un sous-dossier dans le dossier dam, cliquez avec le bouton droit de la souris sur le dossier dam, puis sélectionnez Nouveau dossier.

  2. Entrez le nom du nouveau dossier, puis cliquez sur OK.

    Avant de pouvoir commencer à travailler avec des fichiers dans le référentiel, vous devez d’abord télécharger les fichiers.

    Vous pouvez choisir de télécharger un fichier ou de télécharger un dossier. Si vous téléchargez un dossier, tous les sous-dossiers et fichiers dans le dossier sélectionné sont téléchargés.

  3. Pour télécharger un fichier, cliquez avec le bouton droit de la souris sur le dossier que vous souhaitez télécharger et sélectionnez l’une des options suivantes :

    Important: Pour pouvoir télécharger des fichiers, vous devez activer la prise en charge WebDAV sur votre serveur AEM.
    Télécharger un fichier

    Télécharger un seul fichier sans ses dépendances.

    Important: Assurez-vous que le nom de fichier ne contient aucun caractère spécial tel que *, /, :, [, \, ], |, #, %.
    Télécharger un fichier avec des fichiers dépendants

    Télécharger un seul fichier avec des dépendances suivantes :

    • Références au contenu

    • Références croisées

    • barre d'outils Graphiques

    Télécharger le dossier

    Télécharger un dossier et son contenu.

  4. Sélectionnez le fichier ou le dossier à télécharger, puis cliquez sur Sélectionner.

    Le fichier ou dossier est téléchargé dans le dossier sélectionnée dans le référentiel AEM.

Note: Lorsque vous téléchargez un actif (fichier/dossier) déjà présent dans DAM, FrameMaker crée une version mineure de l’actif. Cela se produit uniquement si le fichier actif dans DAM n'est pas verrouillé par un utilisateur.

Autres opérations effectuées dans le dossier

Outre la création d’un dossier et le téléchargement de fichiers/dossiers dans le référentiel AEM, vous pouvez également effectuer les opérations suivantes au niveau du dossier :

Supprimer:

Supprimer un dossier et son contenu.

Explorer
Repérez la destination physique du dossier sur la machine locale. Ceci est disponible uniquement pour les fichiers qui ont été extraits une fois.
Ouvrir sur le serveur
Ouvrez l’actif sélectionné dans le navigateur par défaut.
Extraire des fichiers
Extraction de tous les fichiers dans le dossier
Archiver des fichiers
Archiver tous les fichiers extrait dans le dossier.
Annuler les fichiers extraits
Annuler les fichiers extrait dans le dossier.
Afficher des fichiers extraits

Affichez la liste des fichiers extraits dans le dossier.

Afficher les propriétés

Affichez les propriétés du dossier.

Actualiser

Actualisez le contenu du dossier et reflétez toutes les modifications à partir du serveur.

Parent topic: Adobe Experience Manager


Utilisation de fichiers

Après avoir téléchargé un fichier dans le référentiel, vous pouvez effectuer des opérations de fichier CMS sur le fichier tel que l’extraction, l’ouverture en lecture seule, l’archivage, l’affichage des fichiers dépendants, et plus encore.

Note: Les paramètres Adobe Experience Manager dans la boîte de dialogue Préférences offrent d’autres options pour extraire et archiver automatiquement des fichiers. Pour plus d’informations, voir CMS > Adobe Experience Manager.

Extraction d’un fichier

Pour extraire un fichier, cliquez avec le bouton droit de la souris sur celui-ci, puis sélectionnez Extraire. Le fichier est extrait et ouvert pour modification dans FrameMaker.

Lorsque le fichier a bien été extrait, un indicateur de contrôle apparaît sur l’icône du fichier dans le Gestionnaire de référentiel.

Archivage d’un fichier

Lorsque vous avez terminé les modifications d’un fichier extrait, archivez-le dans le référentiel. L’archivage permet à d’autres utilisateurs de travailler avec le fichier mis à jour.

Pour archiver un fichier, cliquez avec le bouton droit de la souris sur le fichier à archiver, puis sélectionnez Archiver. Dans la boîte de dialogue Archiver, vous pouvez ajouter des commentaires décrivant les modifications que vous avez effectuées dans le document. Si le fichier est ouvert dans FrameMaker, il est archivé et fermé.

Note: FrameMaker vous autorise à ajouter des étiquettes lors de la vérification de vos fichiers de solution de documentation XML à partir de FrameMaker. Pour plus d’informations, consultez Ajouter des étiquettes en vérifiant des fichiers dans AEM.

Annuler l’extraction d’un fichier

Après avoir apporté des modifications à un fichier extrait, vous pouvez choisir de ne pas extraire ces modifications dans le référentiel. Dans ce cas, vous pouvez annuler l’extraction de fichiers et publier le fichier pour d’autres utilisateurs.

Pour annuler l’extraction du fichier, cliquez avec le bouton droit de la souris sur le fichier extrait, puis sélectionnez Annuler l’extraction.

L’extraction du fichier est annulée et la dernière copie du fichier est téléchargée à partir du serveur. D’autres utilisateurs peuvent désormais extraire ce fichier.

Autres opérations effectuées sur un fichier

Outre pour les opérations décrites ci-dessus, vous pouvez également effectuer les opérations de fichiers suivantes dans le référentiel AEM :

Ouvrir

Ouvrez le fichier en lecture seule sans l’extraire.

Extraire avec les fichiers dépendants
Si le fichier que vous souhaitez extraire comporte des fichiers dépendants, vous pouvez choisir Extraire avec les fichiers dépendants pour extraire tous les fichiers à la fois.
Afficher les fichiers dépendants

Afficher la liste des fichiers dépendants ou manquants.

Résolution des fichiers dépendants : multiniveau ou sur un niveau
Lorsque vous travaillez avec des fichiers comprenant des fichiers dépendants, vous pouvez choisir le nombre de niveaux de fichiers dépendants que FrameMaker doit résoudre. Par défaut, les fichiers dépendants à plusieurs niveaux sont résolus. Cela signifie que l’ensemble des références ou des fichiers dépendants du fichier est résolu. Pour un fichier ayant beaucoup de références, cette opération peut prendre du temps. Si vous choisissez de résoudre uniquement des références à un niveau, seules les références directes jusqu’à un niveau sont résolues par FrameMaker. Cela améliore les performances lors de l’ouverture ou de l’extraction d’un fichier.
Supprimer

Si le fichier n’est pas extrait, supprimez le fichier du référentiel.

Explorer

Repérez la destination physique du fichier sur la machine locale. Ceci est disponible uniquement pour les fichiers qui ont été extraits une fois.

Ouvrir sur le serveur
Ouvrir le fichier sélectionné dans le navigateur par défaut.
Afficher les métadonnées

Afficher les métadonnées associées au fichier. Vous pouvez également associer des métadonnées XMP à un fichier FrameMaker. Pour plus de détails, voir Métadonnées XMP dans FrameMaker et Adobe Experience Manager.

Afficher les versions

Affichez la liste des versions disponibles pour le fichier sélectionné dans le référentiel. Dans la boîte de dialogue Versions, vous pouvez cliquer avec le bouton droit de la souris sur n’importe quel fichier et effectuer les opérations suivantes :

  • Comparer deux versions du fichier

  • Ouvrir toute version précédente du fichier

Afficher les propriétés

Affichez la liste des propriétés de fichier comme date de création, créé par, chemin d’accès au serveur, et plus encore.

Actualiser :

Actualiser l’état actuel du fichier. Par exemple, si vous affichez le fichier comme extrait par un autre utilisateur, l’utilisateur archive ensuite le fichier. Actualisez l’état du fichier après que l’autre utilisateur l’ait extrait.

Ajouter des étiquettes en vérifiant des fichiers dans AEM

FrameMaker vous autorise à ajouter des étiquettes lors de la vérification de vos fichiers de solution de documentation KML à partir de FrameMaker. Ces étiquettes sont déjà définies dans la solution de documentation XML et apparaissent sous forme de liste déroulante dans FrameMaker. Pour plus de détails, consultez la section Ajouter des étiquettes dans le guide utilisateur Documentation XML pour Adobe Experience Manager.

Pour archiver un fichier, cliquez avec le bouton droit de la souris sur le fichier à archiver, puis sélectionnez Archiver.

Si vos étiquettes ne sont pas définies dans une solution de documentation XML, vous pouvez les ajouter dans la catégorie Version d’étiquette séparées par des virgules.

Note:

Les étiquettes d'archivage sont affichées dans l'historique des versions du document dans l'interface utilisateur de la solution de documentation XML.

Parent topic: Adobe Experience Manager


Recherche dans un référentiel Adobe Experience Manager

Apprenez à effectuer une recherche intuitive dans le référentiel Adobe Experience Manager.

La fonction de recherche d’Adobe Experience Manager vous permet de rechercher des fichiers dans le dossier sélectionné. La fonctionnalité inclut :

  • Recherche de référentiel

  • Recherche par attributs d’élément

  • Recherche avancée

Recherche de référentiel

Pour rechercher un fichier dans le référentiel :

  1. Sélectionnez le dossier dans lequel vous souhaitez effectuer la recherche.

  2. Saisissez la chaîne de recherche dans la zone de texte de chaîne de recherche dans le gestionnaire de référentiel.

    Figure 1. Gestionnaire de référentiel
    Recherche de référentiel dans le Gestionnaire de référentiel

  3. Cliquez sur l’icône Rechercher dans le référentiel.

    En fonction de la configuration de votre serveur Adobe Experience Manager, les résultats de la recherche sont affichés dans l’un des deux formats suivants :

    • Boîte de dialogue Résultat de la recherche

      La boîte de dialogue Résultat de la recherche s’affiche si le module complémentaire https://www.adobe.com/products/xml-documentation-for-experience-manager.htmlXML Documentation Add-on pour Adobe Experience Manager n’est installé sur votre serveur Adobe Experience Manager.

      La boîte de dialogue Résultat de la recherche affiche le nom de fichier, le chemin d’accès du serveur, la version et la date de création pour chaque fichier renvoyé dans les résultats.

      Figure 2. Boîte de dialogue Résultat de la recherche
      Boîte de dialogue Résultats de la recherche affichant les résultats de la recherche

    • Le panneau Recherche de référentiel

      Le panneau Recherche de référentiel s’affiche si le serveur AEM Documentation XML pour Adobe Experience Manager est installé.

      Le panneau Recherche de référentiel affiche le nom du fichier, le contexte dans lequel le terme de recherche est trouvé, la hiérarchie de l’élément, l’auteur, l’état de la révision et les emplacements où le fichier correspondant est utilisé.

      Figure 3. Panneau Recherche de référentiel
      Panneau Recherche de référentiel affichant le nom du fichier et des informations sur les endroits où le terme de recherche est trouvé.

  4. Dans les résultats de la recherche, cliquez avec le bouton droit de la souris sur un fichier pour exécuter l’opération requise sur le fichier.

    Pour découvrir les tâches que vous pouvez effectuer sur un fichier, reportez-vous à Utilisation de fichiers.

Recherche par attributs d’élément

La fonction de recherche d’Adobe Experience Manager vous permet aussi d’effectuer des recherches par attribut d’élément. Pour une recherche par attribut, saisissez la chaîne de recherche sous la forme Nom d’attribut = Valeur, puis cliquez sur l’icône de recherche. Les résultats de la recherche s’affichent dans le panneau Panneau Recherche de référentiel.

Par exemple, si vous souhaitez rechercher une image d’une largeur de 200, spécifiez la chaîne de recherche sous la forme : largeur=200

Recherche avancée

Découvrez la fonction de Recherche avancée de FrameMaker et apprenez à l’utiliser.

La recherche avancée permet aux utilisateurs d’effectuer une recherche basée sur les critères comme le nom, le chemin d’accès, la date de modification, le type de fichier et les balises. Une telle fonctionnalité est utile lorsque vous disposez d'un grand nombre de fichiers variés dans votre référentiel.

Note: La recherche avancée est désactivée lorsque vous disposez du module complémentaire XML Documentation for Adobe Experience Manager sur votre serveur Adobe Experience Manager.

Pour exécuter une recherche avancée de fichiers dans le référentiel Adobe Experience Manager, procédez comme suit :

  1. Cliquez sur le bouton de recherche avancée du gestionnaire de référentiel.

    Figure 4. Boîte de dialogue Recherche avancée d’Adobe Experience Manager
    Boîte de dialogue Recherche avancée d’Adobe Experience Manager dans le Gestionnaire de référentiel

    Important: Aucun des champs de recherche dans la boîte de dialogue de recherche avancée n’est obligatoire. Par ailleurs, si vous spécifiez un filtre de recherche pour plus d’un champ, la recherche est exécutée à l’aide du critère AND.

  2. Dans la zone Texte intégral, saisissez la chaîne à rechercher.

  3. La case Chemin d’accès affiche le nom du dossier actuellement sélectionné. À l’aide du bouton Parcourir, sélectionnez un autre dossier AEM dans lequel effectuer une recherche.

  4. Cochez la case Modifié pour activer les champs De et À.

    À l’aide des commandes de calendrier dans ces champs, spécifiez la plage de dates de modification de fichiers à rechercher.

  5. Cochez la case Types de fichier pour activer les champs de type de fichier.

    Vous pouvez choisir d’inclure (cocher) ou d’exclure (désactiver) le type de fichier de la recherche.

    • Fichiers FrameMaker

    • Images

    • Multimédia

    • Documents

    Pour chaque groupe de type de fichier ci-dessus, cliquez sur le bouton Parcourir et sélectionnez les types de fichier à inclure ou à exclure. Par exemple, dans la liste Fichiers FrameMaker, vous pouvez choisir d’inclure ou exclure des documents FrameMaker, FrameMaker MIF et XML.

    Vous pouvez également saisir un type de fichier non défini ci-dessus dans la zone de texte Autres types.

    Pour définir les autres types de fichiers, vous devez spécifier le type mime du fichier. En outre, vous pouvez spécifier plusieurs types de fichier séparés par des virgules.

  6. Cochez la case Balises pour activer les champs de métabalise.

    Vous pouvez choisir d'inclure (cocher) ou d'exclure (désactiver) la métabalise de la recherche.

    • Professionnel

    • Industrie

    • Loisirs

    • Nature

    • Illustrations/vecteurs

    Pour chaque groupe de métabalise ci-dessus, cliquez sur le bouton Parcourir et sélectionnez les métabalises à inclure ou à exclure. Par exemple, dans le groupe d’éléments Professionnel, vous pouvez choisir d’inclure ou d’exclure des métabalises liées comme Résumé, Domaine ou Concept.

    Vous pouvez également saisir une métabalise non définie ci-dessus dans la zone de texte Autres balises.

    Pour définir plusieurs métabalises, vous pouvez les spécifier en les séparant par des virgules.

  7. Cliquez sur Rechercher.

    La boîte de dialogue Résultat de la recherche affiche le nom de fichier, le chemin d’accès du serveur, la version et la date de création pour chaque fichier renvoyé dans les résultats.

  8. Cliquez avec le bouton droit de la souris sur un fichier pour exécuter l’opération requise sur le fichier.

    Pour découvrir les tâches que vous pouvez effectuer sur un fichier, reportez-vous à Utilisation de fichiers.

Parent topic: Adobe Experience Manager


Révision avec XML Documentation for Adobe Experience Manager et FrameMaker

Apprenez à effectuer une révision à l’aide d’XML Documentation for Adobe Experience Manager, et à gérer les commentaires de révision dans FrameMaker.

La fonctionnalité de révision vous permet de synchroniser des commentaires reçus des réviseurs, de les afficher et d’y répondre. Pour que cette fonctionnalité soit opérationnelle, XML Documentation for Adobe Experience Manager doit être installé sur votre serveur AEM.

À l’aide de la fonction de révision fournie dans XML Documentation for Adobe Experience Manager, un auteur peut initier la révision d’un document à partir d’AEM. Plusieurs réviseurs peuvent réviser une rubrique unique et partager leurs commentaires. Les commentaires peuvent ensuite être affichés et gérés à partir du panneau le panneau Commentaires de révision dans FrameMaker.

Note: Vous ne pouvez pas lancer une tâche de révision à partir de FrameMaker, mais vous pouvez publier des commentaires sur les rubriques. Ils sont reflétés dans AEM lorsque vous synchronisez la même rubrique dans AEM.
Figure 1. Panneau Commentaires de révision
Boîte de dialogue Commentaires de révision d’Adobe XML Documentation for Adobe Experience Manager

À partir du panneau Commentaires de révision, vous pouvez :

A : filtrer les commentaires par réviseurs depuis la liste Réviseurs. Affichez tous les commentaires en cliquant sur Afficher tous les commentaires.

B : marquer l’état pour chaque commentaire. Vous avez le choix entre Aucun, Accepté ou Refusé.

C : publier une réponse à un commentaire.

Pour accéder au panneau Commentaires de révision et gérer les commentaires, réalisez les étapes suivantes :

  1. Ouvrez la rubrique dont vous souhaitez afficher les commentaires.

  2. Cliquez sur l’icône Commentaires de révision pour ouvrir le panneau Commentaires de révision à partir de la fenêtre Gestionnaire de référentiel.

  3. Dans le panneau Commentaires de révision, cliquez sur Synchroniser les commentaires.

    Vous pouvez afficher une liste des commentaires pour la rubrique actuellement ouverte.

  4. Gérez vos commentaires en publiant une réponse ou en modifiant l’état du commentaire.

Parent topic: Adobe Experience Manager


Métadonnées XMP dans FrameMaker et Adobe Experience Manager

Découvrez comment utiliser les métadonnées XMP dans FrameMaker et Adobe Experience Manager.

Grâce à FrameMaker, vous pouvez modifier et mettre à jour les métadonnées Adobe Experience Manager des actifs DAM FrameMaker, ce qui vous permet de gérer plus facilement les fichiers et les versions. Les métadonnées XMP sont indépendantes de la plate-forme et vous pouvez les personnaliser en fonction de vos besoins de CMS. Pour plus d'informations sur les métadonnées XMP, voir XMP (Extensible Metadata Platform).

FrameMaker et Adobe Experience Manager sont tous les deux compatibles avec XMP. Lorsque vous téléchargez un fichier binaire FrameMaker (.fm, .mif ou .book) dans le référentiel AEM à l’aide de DAM, les informations du fichier FrameMaker (Fichier > Infos sur le fichier) sont ajoutées aux métadonnées AEM du fichier.

Si vous cliquez avec le bouton droit de la souris sur un fichier dans le référentiel AEM et que vous choisissez Afficher les métadonnées, les métadonnées XMP associées au fichier s’affichent.

Parent topic: Adobe Experience Manager


Modification des préférences Adobe Experience Manager dans le fichier CQPreference.xml

Découvrez comment modifier les préférences du connecteur Adobe Experience Manager dans Adobe FrameMaker à l’aide du fichier fichier CQPreference.xml.

Vous pouvez gérer les préférences du connecteur Adobe FrameMaker pour Adobe Experience Manager à l’aide de CQPreference.xml (placé dans le répertoire d'installation de FrameMaker).

Pour mettre à jour les préférences, ouvrez le fichier XML dans un éditeur XML ou texte, puis modifiez les propriétés suivantes :

Élément/Attribut

Valeurs

Valeur par défaut

<ShowOnlyDam>

@valeur

@dossiers

value="true" affiche uniquement les dossiers/actifs associés à DAM pour lesquels vous disposez d’un accès en lecture dans le Gestionnaire de référentiel.

value="false" affiche tous les dossiers du Gestionnaire de référentiel.

Par exemple, si la @valeur est définie sur true, et la valeur @dossiers est définie sur content,apps, FrameMaker n’affiche que deux dossiers dans le référentiel de contenu : le contenu et les applications. Si @valeur est défini sur true et @dossiers est définir sur content/dam, le référentiel de contenu affiche le contenu en tant que dossier de niveau supérieur, et DAM en tant que sous-dossier.

value="true"
dossiers

<SetUserArea>

@

Spécifiez le dossier de l'application AEM dans lequel tous les fichiers FrameMaker sont chargés depuis AEM sur le disque local.

Ce champ est vide par défaut. Lorsque vous ne modifiez pas ce champ et que vous le laissez vide, le dossier par défaut est : %APPDATA%\ Adobe\Frame Maker\CQ
valeur

<SuppressAlert>

@

value="true" supprime les messages d’alerte, tels que les alertes de fichiers dépendants manquants pendant le chargement, l’extraction et l’archivage de fichiers, et affiche le contenu du message dans le fichier de la fenêtre de console FrameMaker.

value="false" ne supprime pas les messages d'avertissement.

value="false"

<FileNameRestrictions>

@anychar

anychar="true" autorise tous les caractères et caractères spéciaux dans les noms de fichier dans le référentiel.

anychar="false"vous permet de spécifier les caractères autorisés dans les noms de fichiers de référentiel à l’aide des valeurs AlphaNumeric et SpecialChars.

Note: Par défaut, Unicode n'est pas pris en charge dans les noms de fichier. Pour activer les caractères Unicode dans les nouveaux noms de fichier et de dossier, désactivez les restrictions. Définissez FileNameRestrictions anychar=true.

value="false"

<AlphaNumeric>

true autorise les caractères alphanumériques dans les noms de fichier.

<>@Cette préférence est pertinente uniquement lorsque FileNameRestrictions anychar est définie sur false.

true

<SpecialChars>

@valeur

Etablit la liste des autres caractères autorisés. Par exemple, pour autoriser « - » et « : » dans les noms de fichiers, définissez la valeur de ce champ sur : « -: ».

Cette préférence n’est pértinente que lorsque l’attribut @anychar pour <FileNameRestrictions> est défini sur false.

aucune

<ShowProgressBar>

@valeur

value="true" affiche une barre de progression pour indiquer la progression des opérations comme l’extraction, l’archivage ou le téléchargement.

value="false" n'affiche pas la barre de progression.

value="false"
valeur

<AddHiddenDependencies>

@

value="true" télécharge les dépendances telles que les références croisées, encarts de texte, graphiques, masqués par le texte conditionnel ou l’attribut de filtre pendant le téléchargement d’un fichier.

value="false" ignore toutes les dépendances masquées pendant le téléchargement d’un fichier

value="false"
valeur

<ManageReferences>

@

value="true" vous permet de personnaliser la gestion des références avec les options de menu et d’interface

value="false" conserve le comportement existant

value="true"
valeur

<AutoRefreshParent>

@

value="true" actualise le nœud parent (fichier ou dossier) du gestionnaire de référentiel après chaque opération, telle que l'archivage.

value="false" n'actualise pas le nœud parent automatiquement.

Définissez la @valeur sur false, si de meilleurs performances sont requises.

value="true"
Parent topic: Adobe Experience Manager


Documentum, Microsoft SharePoint et DITAExchange

Découvrez les connecteurs spécifiques d’Adobe FrameMaker permettant d’activer l’intégration avec Documentum, Microsoft SharePoint et DITAExchange.

Adobe FrameMaker fournit des connecteurs spécifiques permettant d’activer l’intégration avec les systèmes de gestion de contenu (CMS) suivants :

  • OpenText Documentum 7.2

  • Microsoft SharePoint Server 2016, 2013 et 2010

  • Microsoft SharePoint Online

  • DitaExchange

Une fois configuré, Adobe FrameMaker vous permet d’effectuer des opérations de recherche, de lecture, d’écriture, de suppression, de mise à jour, d’archivage et d’extraction sur le référentiel du système de gestion de contenu configuré.

Note: FrameMaker prend également en charge l’authentification basée sur les revendications pour Microsoft SharePoint.
  • Définition du contrôle de version par défaut des fichiers
    Familiarisez-vous avec le modèle de contrôle de version par défaut lors du téléchargement de fichiers vers un référentiel Documentum, Microsoft SharePoint ou DitaExchange avec Adobe FrameMaker.
  • Installation et configuration du connecteur Documentum
    Découvrez comment installer et configurer le connecteur Adobe FrameMaker pour Documentum.
  • Connexion à un système de gestion de contenu
    Apprenez à vous connecter à un système de gestion de contenu avec Adobe FrameMaker, à l’aide de la boîte de dialogue Gestionnaire de connexion.
  • Utilisation du Gestionnaire de référentiel
    Familiarisez-vous avec le Gestionnaire de référentiel Adobe FrameMaker.
  • Téléchargement de fichiers et de dossiers
    Apprenez à télécharger des fichiers et des dossiers vers un serveur Documentum, Microsoft SharePoint, Microsoft SharePoint Online ou DitaExchange à l’aide d’Adobe FrameMaker.
  • Gestion des ressources
    Apprenez à gérer les ressources, telles que les cabinets (Documentum), les dossiers et les fichiers du serveur Documentum, SharePoint ou DitaExchange configuré, avec Adobe FrameMaker.
  • Ajout d’attributs CMS personnalisés
    Apprenez à ajouter des attributs CMS personnalisés en fonction de vos exigences uniques dans Microsoft SharePoint ou Documentum.
  • Recherche de fichiers dans un CMS
    Apprenez à exécuter des recherches de base et des recherches avancées avec Adobe FrameMaker dans les référentiels Documentum, Microsoft SharePoint et DitaExchange configurés.
Parent topic: Systèmes de gestion de contenu


Définition du contrôle de version par défaut des fichiers

Familiarisez-vous avec le modèle de contrôle de version par défaut lors du téléchargement de fichiers vers un référentiel Documentum, Microsoft SharePoint ou DitaExchange avec Adobe FrameMaker.

Vous pouvez spécifier le modèle de contrôle de version à appliquer lorsque vous chargez un document qui existe dans un référentiel Documentum, Microsoft SharePoint ou DITAExchange à l’aide d’Adobe FrameMaker. Le document est remplacé et les paramètres de contrôle de version du fichier spécifiés lui sont appliqués.

Pour spécifier le modèle de version à appliquer lors du téléchargement de fichiers vers un CMS, procédez comme suit :

  1. Choisissez Edition > Préférences.

  2. Dans CMS, vérifiez que l’option Ecraser l’objet existant et enregistrer sous est sélectionnée.

  3. Sélectionnez l’option de contrôle de version correspondant à vos besoins. Vous pouvez choisir la même version (Documentum uniquement), ou la version mineure ou majeure suivante pour le document transféré.

  4. Cliquez sur OK.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Installation et configuration du connecteur Documentum

Découvrez comment installer et configurer le connecteur Adobe FrameMaker pour Documentum.

Dans ce sujet

  • Configuration de la vue du Gestionnaire de référentiel

  • Téléchargement du kit de développement logiciel (SDK) Powerlink

  • Définition du chemin d’accès du SDK DFS

  • Ajout des types de fichiers FrameMaker sur le serveur Documentum à l’aide du fichier .dar

  • Installation des exemples d’applications DITA Adobe FrameMaker pour le serveur Documentum

Configuration de la vue du Gestionnaire de référentiel

Pour configurer la vue du Gestionnaire de référentiel dans Adobe FrameMaker pour Documentum, procédez comme suit :

  1. Choisissez Edition > Préférences.

  2. Dans CMS > Documentum, sélectionnez Afficher les objets masqués pour afficher les fichiers cachés (contenus dans le répertoire) dans la fenêtre Gestionnaire de référentiel.

  3. Sélectionnez Afficher les cabinets privés pour afficher les cabinets privés (contenus dans un répertoire) dans la fenêtre Gestionnaire de référentiel.

  4. Cliquez sur OK.

Téléchargement du kit de développement logiciel (SDK) Powerlink

Téléchargez le kit de développement Documentum Foundation Services à partir du site Web EMC.

Note: Pour télécharger le kit de développement, vous devez posséder un nom d’utilisateur EMC Powerlink.

Définition du chemin d’accès du SDK DFS

Pour définir le chemin d’accès du SDK Documentum Foundation Services (DFS) dans le connecteur CMS Adobe FrameMaker pour Documentum, procédez comme suit :

  1. Téléchargez le SDK DFS (Documentum Foundation Services) sur EMC Community Network (Réseau de la communauté EMC, en anglais).

  2. Extrayez le contenu du fichier .zip file.

  3. Choisissez Edition > Préférences.

  4. Sélectionnez CMS > Documentum > Chemin du SDK DFS. Cliquez sur Parcourir.

  5. Dans la fenêtre Rechercher un dossier, accédez au dossier SDK ( par exemple, emc-dfs-sdk-6.5).

  6. Cliquez sur OK dans la fenêtre Rechercher un dossier.

  7. Cliquez sur OK dans la fenêtre Préférences CMS.

    Une boîte de message vous invite à redémarrer FrameMaker.

  8. Redémarrez Adobe FrameMaker.

Ajout des types de fichiers FrameMaker sur le serveur Documentum à l’aide du fichier .dar

Pour pouvoir utiliser les types de fichiers pris en charge par Adobe FrameMaker, vous devez ajouter les types et les formats FrameMaker sur le serveur de contenu à l’aide d’un fichier .dar.

Pour ajouter les types Adobe FrameMaker sur le serveur de contenu, vous devez posséder les droits d’administrateur ou de création de types.

  1. Vous aurez besoin du fichier .dar pour ajouter les types FrameMaker au serveur. Si vous avez besoin d'aide, contactez votre administrateur ou le service clientèle Adobe.

  2. Exécutez l’utilitaire d’installation de fichiers .dar fourni avec FrameMaker. L’emplacement par défaut de cet utilitaire est <emplacement-installation-Fm>\FmDctmSetup.exe.

    Note: Vous pouvez également utiliser l’utilitaire par défaut darinstaller.exe fourni avec EMC Documentum Composer.
    Figure 1. Boîte de dialogue Informations de connexion de l’utilitaire d’installation de fichiers .dar
    Boîte de dialogue Informations de connexion de l’utilitaire d’installation de fichiers .dar dans Adobe FrameMaker

  3. Dans la boîte de dialogue Informations de connexion, fournissez les informations suivantes :

    Serveur : chemin du serveur Documentum

    Port : port sur lequel le serveur Documentum est en écoute. La valeur par défaut est 1489.

    Nom d’utilisateur et Mot de passe : le nom d’utilisateur et le mot de passe de l’utilisateur avec des privilèges administratifs pour installer le fichier .dar.

    Référentiel : nom du référentiel dans lequel vous souhaitez installer le fichier .dar.

    Chemin du SDK DFS : Indiquez le chemin d’accès du document Documentum Foundation Services (DFS) SDK.

  4. Cliquez sur Créer des types.

Installation des exemples d’applications DITA Adobe FrameMaker pour le serveur Documentum

Le pack d’applications exemple FrameMaker comprend une série indicative d’applications visant à aider les administrateurs de contenu à configurer Adobe FrameMaker et à créer des fichiers sur le serveur Documentum. Vous devez télécharger et installer l’exemple de pack d’applications pour éviter les avertissements et les journaux de l’analyseur XML lorsque vous travaillez avec des fichiers XML à partir du serveur Documentum. Si vous avez besoin d'aide pour télécharger le pack, contactez votre administrateur ou le service clientèle Adobe.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Connexion à un système de gestion de contenu

Apprenez à vous connecter à un système de gestion de contenu avec Adobe FrameMaker, à l’aide de la boîte de dialogue Gestionnaire de connexion.

Adobe FrameMaker est fourni avec des connecteurs CMS pour Adobe Experience Manager, DitaExchange, Documentum, Microsoft SharePoint ou SharePoint Online.

Pour configurer le connecteur CMS correspondant à votre CMS, procédez comme suit :

  1. Dans Adobe FrameMaker, sélectionnez Fichier > CMS > Gestionnaire de connexion.

  2. Sélectionnez le type de connexion : Adobe Experience Manager, DITAExchange, Documentum, Microsoft SharePoint ou SharePoint Online.

  3. Spécifiez les informations de connexion, telles que le nom de serveur, le nom d’utilisateur et le mot de passe pour la connexion au système de gestion de contenu. Spécifiez également un nom unique pour la connexion.

    Note: La valeur du champ Nom identifie chaque connexion de façon unique. Toutes les connexions sont ajoutées à la liste des favoris. La liste peut stocker 16 favoris au maximum. Si vous essayez de stocker une dix-septième connexion, la première connexion de la liste est supprimée pour permettre cet ajout. La liste des connexions fonctionne de la façon suivante : premier entré, premier sorti.
    Note: Pour supprimer une connexion répertoriée, sélectionnez-la dans la liste, puis cliquez sur Supprimer.

  4. Documentum uniquement : indiquez le nom du référentiel Documentum auquel FrameMaker se connecte à l’aide de cette connexion.

  5. Cliquez sur Connexion.

    Le Gestionnaire de référentiel répertorie le contenu du serveur sélectionné.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Utilisation du Gestionnaire de référentiel

Familiarisez-vous avec le Gestionnaire de référentiel Adobe FrameMaker.

Sélectionnez Fichier > CMS > Ouvrir un référentiel pour afficher la fenêtre Gestionnaire de référentiel. Utilisez le Gestionnaire de référentiel pour :

  • Basculer entre les référentiels

  • Parcourir les fichiers au sein d’un référentiel

  • Gestion des ressources

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Téléchargement de fichiers et de dossiers

Apprenez à télécharger des fichiers et des dossiers vers un serveur Documentum, Microsoft SharePoint, Microsoft SharePoint Online ou DitaExchange à l’aide d’Adobe FrameMaker.

Dans ce sujet

  • Introduction

  • Téléchargement d’un fichier ouvert vers un CMS

  • Téléchargement d’un fichier fermé vers un CMS

  • Téléchargement d’un dossier

Introduction

Dans Adobe FrameMaker, vous pouvez télécharger des fichiers XML, DITA, FM, MIF et book vers un CMS, ainsi que des dossiers complets.

Le connecteur DitaExchange prend en charge deux bibliothèques de documents personnalisées : Mappage et Rubrique.

Note: Si vous utilisez Documentum ou Microsoft SharePoint, assurez-vous que les applications requises sont configurées sur le serveur du CMS afin de télécharger des fichiers DITA et XML. Si les applications DITA ne sont pas disponibles sur votre CMS, contactez l’administrateur.

Téléchargement d’un fichier ouvert vers un CMS

Pour télécharger un fichier ouvert vers un CMS dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez le serveur dans la fenêtre Gestionnaire de référentiel.

  2. Basculez entre les documents ouverts pour sélectionner le document à télécharger.

  3. Choisir Fichier > CMS > Télécharger un document actif.

    La fenêtreSélectionner un élément CMS est affichée.

  4. Spécifiez l’emplacement de téléchargement.

  5. Cliquez sur OK.

    Le document sélectionné et ses dépendances directes sont téléchargés. Un message s’affiche lorsque le téléchargement du fichier a réussi.

  6. Cliquez sur OK.

Note: Enregistrez le fichier avant de le télécharger. Si le fichier n’est pas enregistré, la liste des dépendances risque de ne pas être correctement mise à jour.

Téléchargement d’un fichier fermé vers un CMS

Pour télécharger un fichier fermé vers un CMS dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez le serveur dans la fenêtre Gestionnaire de référentiel.

  2. Procédez de l’une des façons suivantes :

    • Pour Microsoft SharePoint ou DitaExchange, cliquez avec le bouton droit de la souris sur une liste ou sur un dossier.

    • Pour Documentum, cliquez avec le bouton droit de la souris sur un cabinet ou sur un dossier.

  3. Sélectionnez l’option Télécharger le document.

    La fenêtre Sélectionner le fichier à télécharger s’affiche.

  4. Spécifiez le fichier à télécharger.

  5. Cliquez sur Sélectionner.

    Le fichier sélectionné et ses dépendances directes sont téléchargés. Un message s’affiche lorsque le téléchargement du fichier a réussi.

  6. Cliquez sur OK.

Note: Le fichier téléchargé reste sur le disque et une copie de celui-ci est téléchargée sur le serveur. Pour travailler à nouveau sur le fichier, commencez par extraire le fichier à partir du serveur.

Téléchargement d’un dossier

Pour télécharger un dossier vers un CMS dans Adobe FrameMaker, procédez comme suit :

  1. Sélectionnez le serveur dans la fenêtre Gestionnaire de référentiel.

  2. Procédez de l’une des façons suivantes :

    • Pour Documentum, cliquez avec le bouton droit de la souris sur un cabinet ou sur un dossier.

    • Pour Microsoft SharePoint ou DitaExchange, cliquez avec le bouton droit de la souris sur une liste ou sur un dossier.

  3. Sélectionnez l’option Télécharger le dossier.

    La fenêtre Rechercher un dossier est affichée.

  4. Recherchez et sélectionnez le dossier à télécharger.

  5. Cliquez sur OK.

    Le dossier sélectionné est téléchargé, ainsi que toutes ses dépendances. Un message s’affiche lorsque le téléchargement du répertoire a réussi.

  6. Cliquez sur OK.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Gestion des ressources

Apprenez à gérer les ressources, telles que les cabinets (Documentum), les dossiers et les fichiers du serveur Documentum, SharePoint ou DitaExchange configuré, avec Adobe FrameMaker.

Dans ce sujet

  • Gérer les cabinets, dossiers et fichiers de Documentum

  • Extraire des fichiers

  • Archiver des fichiers

  • Gestion de fichiers

Gérer les cabinets, dossiers et fichiers de Documentum

Vous pouvez effectuer les opérations suivantes sur vos ressources de système de gestion de contenu.

Ajouter un cabinet

Cliquez avec le bouton droit de la souris sur le nœud racine du serveur Documentum, puis sélectionnez Nouveau cabinet.

Supprimer une ressource

Cliquez avec le bouton droit sur un cabinet (Documentum uniquement), un dossier ou un fichier, puis sélectionnez Supprimer.

Lorsque vous supprimez un fichier dans Documentum, une boîte de dialogue vous invite à supprimer uniquement le fichier, toutes les versions du fichier ou le fichier et toutes ses dépendances.

Lorsque vous supprimez un fichier dans Microsoft SharePoint, une boîte de dialogue vous invite à conserver uniquement la version actuelle du fichier et à supprimer toutes les autres versions, ou à supprimer toutes les versions du fichier.

Télécharger un fichier

Cliquez avec le bouton droit de la souris sur un cabinet, une liste ou un dossier, puis sélectionnez Télécharger le document. FrameMaker télécharge le fichier et toutes ses dépendances, le cas échéant.

Téléchargement d’un dossier

Cliquez avec le bouton droit de la souris sur un cabinet, une liste ou un dossier, puis sélectionnez Télécharger le dossier.

Ajouter un dossier

Cliquez avec le bouton droit de la souris sur un cabinet, une liste ou un dossier, puis sélectionnez Nouveau dossier.

Afficher des fichiers extraits

Cliquez avec le bouton droit de la souris sur un cabinet, un site, une liste ou un dossier, puis sélectionnez Afficher les fichiers extraits.

Afficher les attributs

Cliquez avec le bouton droit de la souris sur un cabinet, un site, une liste ou un dossier, puis sélectionnez Propriétés. Le panneau Attributs s’affiche.

La boîte de dialogue permet de modifier la valeur d’un attribut. Pour modifier une valeur, cliquez sur la valeur de l’attribut souhaité et modifiez-la.

Cliquez sur OK pour enregistrer la valeur modifiée.

Actualiser la vue

Cliquez avec le bouton droit de la souris sur un cabinet, un site, une liste, un dossier ou encore sur le nœud racine, puis sélectionnez Actualiser.

Extraire des fichiers

  1. Dans la boîte de dialogue Gestionnaire de référentiel, sélectionnez le référentiel.

  2. Cliquez sur le fichier avec le bouton droit de la souris, puis effectuez l’une des opérations suivantes :

  3. Sélectionnez Extraire et Modifier pour extraire et ouvrir le fichier.

    Sélectionnez Extraire pour extraire le fichier.

  4. Indiquez si tous les fichiers dépendants doivent être extraits.

  5. Cliquez sur OK.

L’option Extraire tous les fichiers dépendants dans la boîte de dialogue de confirmation est désormais synchronisée à l’option Extraire les fichiers dépendants par défaut dans la boîte de dialogue Préférences.

Pour sélectionner l’option Extraire les fichiers dépendants par défaut, procédez comme suit :
  1. Sélectionnez Modifier > Préférences > Microsoft SharePoint.
  2. Sélectionnez Extraire les fichiers dépendants par défaut.

Si vous sélectionnez l’option Extraire les fichiers dépendants par défau, l’option Extraire tous les fichiers dépendants dans la boîte de dialogue de confirmation est également cochée par défaut.

Par exemple, si dans la boîte de dialogue Préférences vous n’avez pas sélectionné l’option Extraire les fichiers dépendants par défaut, l’option Extraire tous les fichiers dépendants n’est également pas cochée par défaut.

Note: Le serveur DitaExchange conserve les références HTTP dans des fichiers Dita sous forme de chemin HTTP complet. Ce connecteur a un traitement particulier qui permet de prendre en charge les chemins HTTP pour les dépendances lors de l'extraction d'un fichier. Si vous extrayez un fichier de rubrique DITA contenant une image avec une référence href indiquant le chemin HTTP, l'image référencée est également extraite.
Note: En outre, si vous annulez l'extraction d'un fichier de rubrique DITA contenant une image avec une référence href indiquant un chemin HTTP, l'extraction de l'image référencée est également annulée.

Archiver des fichiers

  1. Dans la boîte de dialogue Gestionnaire de référentiel, sélectionnez le référentiel.

  2. Cliquez avec le bouton droit de la souris sur le fichier et sélectionnez Archiver.

  3. Spécifiez les détails de la version.

  4. Cliquez sur OK.

Note: Sélectionnez Annuler l’extraction pour annuler l’extraction et abandonner les modifications apportées au fichier. Dans le cas de Microsoft SharePoint ou de DITAExchange, l’extraction de tous les fichiers dépendants est automatiquement annulée.
Note: Enregistrez le fichier avant l’archivage pour vous assurer que toutes les modifications sont téléchargées correctement. Si un fichier est extrait avec ses dépendances, alors tous les fichiers dépendants sont automatiquement archivés.
Note: Le serveur DitaExchange conserve les références HTTP dans des fichiers DITA sous forme de chemin HTTP complet. Ce connecteur a un traitement particulier qui permet de prendre en charge les chemins HTTP pour les dépendances lors de l'archivage d'un fichier. Si vous archivez un fichier de rubrique DITA contenant une image avec une référence href indiquant le chemin HTTP, l'image référencée est également archivée.

Gestion de fichiers

A l’aide d’Adobe FrameMaker, vous pouvez gérer des fichiers XML, DITA, FM, MIF et book. Outre l’extraction et l’archivage de fichiers, vous pouvez effectuer les tâches suivantes :

Ouverture d’un fichier

Cliquez avec le bouton droit de la souris et sélectionnez Ouvrir (lecture seule) pour afficher le fichier en mode lecture seule. Si le fichier n’est pas extrait, le fait de cliquer deux fois sur le fichier, ou d’appuyer sur la touche Entrée lorsque le fichier est sélectionné, ouvre le fichier en mode lecture seule et télécharge également tous les fichiers dépendants du fichier.

Note: Le serveur DitaExchange conserve les références HTTP dans des fichiers DITA sous forme de chemin HTTP complet. Ce connecteur a un traitement particulier qui permet de prendre en charge les chemins HTTP pour les dépendances lors de l'ouverture d'un fichier en lecture seule. Si vous ouvrez un fichier de rubrique DITA contenant une image avec une référence href indiquant le chemin HTTP, l'image référencée est ouverte également en lecture-seule.
Supprimer un fichier

Cliquez avec le bouton droit de la souris et sélectionnez Supprimer.

Sélectionnez Supprimer toutes les versions pour supprimer toutes les versions du fichier.

Afficher les versions

Cliquez avec le bouton droit et sélectionnez Afficher les versions.

Afficher les dépendances

Cliquez avec le bouton droit de la souris et sélectionnez Afficher les fichiers dépendants.

Note: La commande Afficher les dépendances est valide pour les documents virtuels uniquement dans le cas de Documentum.
Afficher les propriétés

Cliquez avec le bouton droit de la souris et sélectionnez Propriétés.

Actualiser la vue

Cliquez avec le bouton droit de la souris et sélectionnez Actualiser.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Ajout d’attributs CMS personnalisés

Apprenez à ajouter des attributs CMS personnalisés en fonction de vos exigences uniques dans Microsoft SharePoint ou Documentum.

Dans ce sujet

  • Introduction

  • Ajout d’une propriété personnalisée pour Documentum

  • Ajout d’une propriété personnalisée pour Microsoft SharePoint

Introduction

Vous devrez peut-être créer des attributs personnalisés en fonction de vos exigences uniques dans Microsoft SharePoint ou Documentum. Une fois que vous avez créé ces attributs personnalisés, vous pouvez fournir une assistance technique dans Adobe FrameMaker. Vous pouvez ajouter dans FrameMaker les attributs personnalisés qui existent dans votre CMS Documentum ou Microsoft Sharepoint. Vous pouvez ajouter les types d’attributs suivants dans les préférences CMS de FrameMaker pour Microsoft SharePoint :

  • Texte

  • Remarque

  • Nombre

  • Devise

  • Nombre entier

  • Variable booléenne

  • Date/Heure

  • Recherche

  • Choix

  • URL

  • Utilisateur

Vous pouvez ajouter les types de données suivants pour Documentum :

  • Variable booléenne

  • Nombre entier

  • Chaîne

  • Double

  • Heure

  • ID

Lors du téléchargement de fichiers, les attributs spécifiés dans les préférences de gestion des couleurs (CMS) sont renseignées dans le gestionnaire de connexion et la recherche.

Figure 1. Ajout de propriétés personnalisées dans Microsoft SharePoint
Ajout de propriétés personnalisées dans Microsoft SharePoint

A. Propriétés ajoutées dans SharePoint à l’aide de la boîte de dialogue Préférences de FrameMaker B. Ajout de propriétés personnalisées dans FrameMaker (ici : SingleLine, MultiLine et curr)

Ajout d’une propriété personnalisée pour Documentum

Pour ajouter une propriété personnalisée pour Documentum, procédez comme suit :

  1. Choisissez Edition > Préférences.

  2. Dans la boîte de dialogue Préférences, développez CMS et sélectionnez Documentum.

  3. Dans Liste des attributs, entrez le nom de la nouvelle propriété, puis cliquez sur Ajouter. Répétez cette procédure pour ajouter d’autres propriétés.

  4. Cliquez sur OK.

    Pour afficher la propriété ajoutée, cliquez avec le bouton droit de la souris sur un dossier ou un document dans le cabinet approprié. En outre, lorsque vous utilisez la fonction de recherche avancée, la zone Ajouter un critère affiche la nouvelle propriété répertoriée dans la liste déroulante Propriété.

Ajout d’une propriété personnalisée pour Microsoft SharePoint

Pour ajouter une propriété personnalisée pour SharePoint, procédez comme suit :

  1. Choisissez Edition > Préférences.

  2. Dans la boîte de dialoguePréférences, développez CMS, sélectionnez Microsoft SharePoint, puis entrez les informations suivantes :

    Nom : Entrez un nom pour la nouvelle propriété.

    Type de données : entrez le type de données de la nouvelle propriété : Booléen, Date, Double, Nombre entier ou Chaîne.

    Type d’attribut : entrez l’une des valeurs suivantes : Texte, Remarque, Nombre, Devise, Nombre entier, Booléen, Date/Heure, Recherche, Choix, URL ou Utilisateur.

  3. Cliquez sur OK.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


Recherche de fichiers dans un CMS

Apprenez à exécuter des recherches de base et des recherches avancées avec Adobe FrameMaker dans les référentiels Documentum, Microsoft SharePoint et DitaExchange configurés.

Adobe FrameMaker vous permet d’effectuer des recherches de base et avancées dans les référentiels Documentum, Microsoft SharePoint et DitaExchange configurés.

Recherche de base

La recherche de base porte sur le nom du fichier. Pour effectuer une recherche de base :

  1. Dans le Gestionnaire de référentiel, sélectionnez le référentiel.

  2. Entrez le terme de recherche dans le champ de recherche et cliquez sur l’icône de recherche.

Les résultats sont affichés dans la fenêtre de résultats de la recherche.

Note: La recherche de base recherche l’élément sélectionné dans le référentiel. Si l’élément sélectionné est un conteneur de niveau supérieur, alors la recherche porte sur tous les fichiers et sous-conteneurs du conteneur principal.

Recherche avancée dans Microsoft SharePoint ou DitaExchange

Pour exécuter une recherche avancée dans un référentiel Microsoft SharePoint ou DitaExchange, procédez comme suit :

  1. Dans le Gestionnaire de référentiel, sélectionnez le référentiel.

  2. Cliquez sur l’icône de recherche avancée. La fenêtre de recherche avancée s’affiche comme suit :

    Figure 1. Fenêtre de recherche avancée Microsoft SharePoint
    Fenêtre de recherche avancée Microsoft SharePoint

  3. Entrez le terme de recherche dans le volet de recherche.

  4. Le générateur de condition permet d’effectuer des recherches complexes en combinant deux critères de recherche ou plus.

    1. Générez un critère en sélectionnant la propriété (Créé par, par exemple), la condition pertinente (=, par exemple), puis spécifiez une valeur (Jones, par exemple).

      Cliquez sur Ajouter.

    2. Générez un autre critère en sélectionnant l’opérateur (ET ou OU), la propriété (Type de fichier, par exemple), la condition désirée (=, par exemple), puis spécifiez une valeur (PDF, par exemple).

  5. Cliquez sur Rechercher.

Les résultats de la recherche sont affichés en fonction des critères de recherche spécifiés. Dans cet exemple, les fichiers PDF créés par Jones s’affichent.

Filtrage des fichiers par attribut dans DitaExchange

Le connecteur DITAExchange vous permet de filtrer les fichiers dans la boîte de dialogue Rechercher le(s) fichier(s) et Fichier - Ouvrir. Vous pouvez filtrer les fichiers dans ces boîtes de dialogue par n'importe lequel des attributs de fichier disponibles. Par exemple, vous pouvez filtrer les fichiers par type ou par auteur. Dans une longue liste de fichiers, cela peut restreindre la liste et permettre de trouver le ou les fichiers que vous recherchez beaucoup plus facilement.

  1. Dans le menu Gestionnaire de référentiel, cliquez avec le bouton droit de la souris sur une liste ou un dossier, puis sélectionnez Rechercher le(s) fichier(s).

  2. La boîte de dialogue Parcourir le(s) fichier(s) permet d’afficher la liste des fichiers dans la liste ou le dossier sélectionné.

    La liste affiche également tous les attributs associés mentionnés dans la vue pour chaque fichier.

    Important: Dans DITAExchange, si vous mettez à jour les attributs associés à un fichier sur le serveur DITAExchange, les attributs sont mis à jour de manière dynamique dans les boîtes de dialogue Parcourir le(s) fichier(s) ou Fichier - Ouvrir. Ce comportement est propre à DitaExchange.

  3. Pour filtrer la liste des fichiers par un attribut spécifique, placez le pointeur de la souris sur le titre de l'attribut.

    Une flèche s'affiche à droite du titre.

  4. Cliquez sur la flèche.

    La boîte de dialogue Filtre - <Nom de l’attribut> s’affiche.

  5. Pour définir un filtre pour les fichiers dans la boîte de dialogueRechercher le(s) fichier(s), effectuez l’une des opérations suivantes :

    • Cochez les cases situées à côté des entrées de la liste. Par exemple, dans la boîte de dialogue ci-dessus, vous pouvez choisir de filtrer la liste de façon à afficher uniquement les fichiers modifiés par l'administrateur en désélectionnant les deux autres options.

    • Vous pouvez filtrer la liste par le texte saisi dans la zone de texte. Par exemple, saisissez pub pour filtrer les entrées de la liste contenant le texte pub.

  6. Cliquez sur OK.

    La liste des fichiers est filtrée en fonction des conditions que vous avez définies dans la boîte de dialogue Filtre.

    Notez que, dans la boîte de dialogueRechercher le(s) fichier(s), un astérisque apparaît à droite du nom de l’attribut sur lequel le filtre est appliqué.

    Important: Le filtre appliqué sur une liste ou un dossier spécifique est conservé pour la session DitaExchange en cours. Si vous ouvrez ultérieurement la boîte de dialogue Rechercher le(s) fichier(s) : le filtrage se fera donc toujours en fonction des conditions précédemment appliquées.

Vous pouvez supprimer les filtres que vous avez appliqués dans la boîte de dialogue Parcourir le(s) fichier(s) à deux niveaux :

  • Filtres appliqués à un attribut spécifique

  • Filtres appliqués à tous les attributs

  1. Dans le menu Gestionnaire de référentiel, cliquez avec le bouton droit de la souris sur une liste ou un dossier, puis sélectionnez Rechercher le(s) fichier(s).

    Dans la boîte de dialogue Parcourir le(s) fichier(s), notez l’astérisque qui s’affiche à droite de certains des titres d’attribut. L'astérisque est fourni par le connecteur pour indiquer les attributs sur lesquels des filtres sont appliqués.

  2. Pour effacer le filtre sur un attribut spécifique, placez le pointeur de la souris sur le titre de l'attribut et cliquez sur la flèche qui apparaît.

  3. Dans la boîte de dialogue Filtre - <Nom de l’attribut>, cliquez sur Supprimer le filtre.

  4. Le filtre est effacé de la liste des fichiers dans la boîte de dialogue Parcourir le(s) fichier(s).

    Remarquez aussi que l’astérisque n’est pas affiché à droite du titre de l’attribut.

  5. Pour effacer un filtre appliqué à tous les attributs, cliquez sur Supprimer tous les filtres dans la boîte de dialogue Parcourir le(s) fichier(s).

Recherche avancée dans Documentum

Pour exécuter une recherche avancée sur un référentiel Documentum :

  1. Dans le Gestionnaire de référentiel, sélectionnez le référentiel.

  2. Cliquez sur l’icône Recherche avancée. La boîte de dialogue Recherche avancée s’affiche.

  3. Entrez le texte à rechercher.

  4. Sélectionnez l’emplacement, le type de fichier, la date et les valeurs de taille de fichier selon vos besoins.

  5. Le générateur de condition permet d’effectuer des recherches complexes en combinant deux critères de recherche ou plus.

    Générez un critère en sélectionnant la propriété (Titre, par exemple), la condition (commence par, par exemple) et spécifiez un mot-clé (Dépannage, par exemple). Cliquez sur Ajouter.

    Générez un autre critère en sélectionnant l’opérateur (ET ou OU), la propriété (par exemple, Modifié par), la condition (par exemple, commence par), et spécifiez un mot-clé (par exemple, « Daniel »).

  6. Cliquez sur Rechercher.

Les résultats de la recherche s’affichent en fonction des critères spécifiés. Dans cet exemple, les éléments dont le titre commence par « dépannage » et qui sont modifiés par des utilisateurs dont le nom commence par « Daniel » s’affichent.

Parent topic: Documentum, Microsoft SharePoint et DITAExchange


WebDAV

Familiarisez-vous avec les serveurs et les URL WebDAV et découvrez comment collaborer avec WebDAV dans Adobe FrameMaker.

La technologie WebDAV permet de lire et d’écrire des fichiers par l’intermédiaire d’un protocole de transfert hypertexte modifié. Les fichiers résident sur le serveur dans une structure de répertoires et sont extraits sur l’ordinateur local. Votre ordinateur local comporte une structure de répertoires qui reflète à l’identique la structure du serveur WebDAV, de sorte que lorsque vous extrayez les fichiers, ceux-ci sont téléchargés et placés dans le dossier miroir de votre ordinateur.

La prise en charge de la technologie serveur WebDAV (Web Distributed Authoring and Versioning) est intégrée à Adobe FrameMaker. Le protocole standard WebDAV est pris en charge par la plupart des systèmes de gestion de contenu (CMS, Content Management Systems). Il permet de télécharger des documents dans les deux sens et de verrouiller des documents afin que d’autres personnes puissent les modifier en même temps que vous. Utilisez un CMS compatible WebDAV pour travailler dans un environnement de collaboration sans avoir à vous soucier du contrôle de version.

FrameMaker permet de créer et de modifier des fichiers XML, des fichiers et livres FrameMaker et des fichiers MIF résidant sur le serveur WebDAV.

Pour plus d’informations sur WebDAV, visitez le site www.webdav.org.

Serveur WebDAV

Serveur mettant en œuvre le protocole WebDAV. Vous pouvez enregistrer les fichiers et y accéder sur tout serveur WebDAV à l’aide de FrameMaker et d’un client WebDAV, à condition d’être en mesure de vous connecter au serveur.

URL

Dans le contexte de WebDAV, l’URL fait référence au chemin d’un fichier sur un serveur WebDAV. Vous pouvez ouvrir tout fichier sur un serveur WebDAV en indiquant son URL dans la boîte de dialogue Parcourir l’URL.

WebDAV offre deux avantages indéniables par rapport aux serveurs de fichiers traditionnels.

Plusieurs utilisateurs peuvent télécharger des copies d’un fichier géré par un serveur WebDAV, mais le fichier ne peut être extrait que par un seul utilisateur à la fois. Celui-ci peut partager son travail avec les autres utilisateurs sans archiver le fichier extrait en mettant le fichier à jour sur le serveur. Toutefois, tant que le fichier n’est pas archivé, les autres utilisateurs ne peuvent pas le modifier. Ce système d’extraction/archivage permet à plusieurs utilisateurs d’accéder au même fichier sans écraser leur travail respectif.

Comme WebDAV fonctionne dans un environnement de réseaux accessibles par le Web, l’emplacement des fichiers et des utilisateurs n’a pas d’importance. Les membres d’une équipe peuvent partager les fichiers, quelle que soit leur proximité.

  • Prise en main de WebDav
    Apprenez à prendre en main WebDAV et découvrez les avantages de l’utilisation de Parcourir l’URL.
  • Utilisation de la boîte de dialogue Parcourir l’URL WebDAV dans Adobe FrameMaker
    Apprenez à utiliser la boîte de dialogue Parcourir l’URL dans Adobe FrameMaker et à gérer différents fichiers et dossiers dans WebDAV.
Parent topic: Systèmes de gestion de contenu


Prise en main de WebDav

Apprenez à prendre en main WebDAV et découvrez les avantages de l’utilisation de Parcourir l’URL.

Vous pouvez directement ouvrir, mettre à jour et enregistrer les fichiers sur le serveur en indiquant l’URL d’un fichier.

Avantages de l’utilisation de Parcourir l’URL

  • Il n’est pas nécessaire de configurer la connexion au serveur de manière explicite.

  • Il n’est pas nécessaire de télécharger de manière explicite tous les fichiers liés et associés, notamment les images référencées lorsque vous téléchargez un fichier.

  • Il n’est pas nécessaire de télécharger tous les composants de livre ou les fichiers associés à un fichier .xml, tels qu’un schéma, une DTD ou une EDD.

  • Il n’est pas nécessaire de mettre à jour ou télécharger un fichier de manière explicite. ‎Lorsque vous enregistrez et archivez un fichier sur le serveur avant de le fermer, il est automatiquement mis à jour sur ce serveur.

La boîte de dialogue Parcourir l’URL est également compatible Unicode et IPv6 et intégrée à tous les processus FrameMaker.

Parent topic: WebDAV


Utilisation de la boîte de dialogue Parcourir l’URL WebDAV dans Adobe FrameMaker

Apprenez à utiliser la boîte de dialogue Parcourir l’URL dans Adobe FrameMaker et à gérer différents fichiers et dossiers dans WebDAV.

Vous pouvez accéder à la boîte de dialogueParcourir l’URLà l’aide du bouton Parcourir l’URL situé sur l’écran d’accueil, et depuis d’autres boîtes de dialogue en lien avec la gestion des fichiers.

Figure 1. Parcourir l’URL
Fenêtre Parcourir l’URL et son flux de travaux

A. Stocker le chemin URL en indiquant un surnom pour le serveur B. Supprimer le chemin URL stocké C. Liste Rechercher dans, qui affiche les fichiers récemment ouverts D. Monter d’un niveau de dossier E. Créer un dossier sur le serveur F. Renommer un fichier ou un dossier G. Supprimer le fichier ou le dossier sélectionné H. Nom de serveur stocké I. Tri des informations de fichier selon la colonne de votre choix J. Spécifier l’URL complète d’un fichier

Nouvelle

Vous pouvez spécifier l’URL HTTP du modèle à utiliser pour un nouveau document. Vous pouvez taper l’URL complète du modèle dans la boîte de dialogue Nouveau ou sélectionner le modèle à l’aide de la boîte de dialogue Parcourir l’URL.

Ouvrir

Vous pouvez ouvrir tout fichier HTTP sur un serveur en saisissant son URL dans la zone de texte Nom de fichier de la boîte de dialogue Ouvrir. Vous pouvez ouvrir tous les types de fichiers FrameMaker pris en charge à l’aide de chemins de fichiers HTTP locaux. Il peut s’agir de fichiers .fm, .book, .mif, .xml, .ditamap et .bookmap. Vous pouvez également ouvrir des fichiers texte et des documents Microsoft Office, notamment des fichiers .doc, .docx et .rtf.

Importer

Vous pouvez importer des fichiers en spécifiant leurs chemins HTTP. Il est possible de les importer par référence ou en les copiant dans le document. Vous pouvez importer un encart de texte HTTP, ajouter une référence croisée à un fichier HTTP ou importer des graphiques ou des fichiers d’objet U3D en spécifiant leurs chemins d’accès HTTP.

Enregistrer

Vous pouvez indiquer une URL dans la boîte de dialogue Enregistrer sous afin de télécharger le fichier sur un serveur compatible WebDAV. Vous pouvez enregistrer un fichier dans tous les formats FrameMaker.

Note: Il est impossible de convertir des documents par lot pour les répertoires HTTP WebDAV.

Enregistrement d’une connexion à un serveur WebDAV

Lors de l’utilisation de la boîte de dialogue Parcourir l’URL, il n’est pas nécessaire de configurer un serveur de manière explicite. Si un serveur WebDAV requiert la configuration d’un processus d’authentification, vous devez indiquer des informations de connexion lorsque vous accédez pour la première fois à un fichier situé sur le serveur. Si vous utilisez un serveur fréquemment, vous pouvez enregistrer la connexion au serveur dans la boîte de dialogue Parcourir l’URL afin de pouvoir y accéder rapidement.

  1. Dans la boîte de dialogue Parcourir l’URL, saisissez le chemin HTTP du serveur compatible WebDAV dans la zone de texte Nom de fichier.

  2. Le cas échéant, indiquez votre identifiant de connexion et votre mot de passe.

  3. Pour enregistrer les connexions au serveur, cliquez sur l’icône Enregistrer l’URL.

  4. Indiquez un surnom pour la connexion au serveur, puis cliquez sur OK.

Une fois enregistrée, la connexion au serveur s’affiche à chaque fois que vous ouvrez la boîte de dialogue Parcourir l’URL.

Pour supprimer une connexion au serveur enregistrée, cliquez sur l’icône Supprimer l’URL.

Définition des préférences WebDAV

Sélectionnez Edition > Préférences et définissez les options suivantes.

Extraire les fichiers HTTP à l’ouverture

Désactivez cette option si vous ne souhaitez pas extraire un fichier d’un serveur WebDAV lors de son ouverture.

Télécharger les fichiers HTTP à l’enregistrement

Désactivez cette option si vous souhaitez archiver un fichier une seule fois lors de sa fermeture.

Utilisation de chemins HTTP pour ouvrir des fichiers

Vous pouvez ouvrir tout fichier sur un serveur WebDAV en indiquant son URL.

Dans le cas des fichiers XML, FrameMaker télécharge toutes les références HTTP sans avertissement, telles que le schéma XML ou les DTD associées au fichier XML. Il télécharge également d’autres références, telles que des encarts de texte ou graphiques ou des fichiers contenant des références croisées.

Vous pouvez également importer des objets de fichiers graphiques ou en inclure des références dans vos documents en indiquant leurs URL. Il est possible d’inclure des liens vers des documents en indiquant leurs chemins HTTP sous forme de marqueurs hypertexte.

Création, ouverture, importation et enregistrement de documents

Vous pouvez créer, ouvrir, importer et enregistrer des fichiers directement depuis un serveur WebDAV en indiquant leurs URL.

Note: Si vous avez sélectionné l’option Extraire les fichiers HTTP à l’ouverture dans la boîte de dialogue Préférences, un fichier est automatiquement verrouillé et extrait lors de son téléchargement. Un astérisque s’affiche à côté du nom du fichier pour indiquer que celui-ci a été extrait.

Pour créer un document sur un serveur WebDAV, procédez comme suit :

  1. Sélectionnez Fichier > Nouveau > Document. Cliquez sur l’icône Parcourir l’URL.

  2. Sélectionnez le nom du serveur dans le panneau de droite ou spécifiez le chemin HTTP du serveur.

  3. Spécifier un nom de fichier.

  4. Cliquez sur OK.

Pour créer une rubrique DITA, un mappage DITA ou un plan d’ouvrage sur un serveur WebDAV, procédez comme suit :

  1. Choisissez DITA > Nouveau fichier DITA et sélectionnez l’option de votre choix dans le menu.

  2. Cliquez sur l’icône Parcourir l’URL dans les boîtes de dialogue de nouveau fichier afin de créer un fichier DITA sur un serveur WebDAV.

Pour ouvrir un fichier FrameMaker non structuré depuis un serveur WebDAV, procédez comme suit :

  1. Choisissez Fichier > Ouvrir. Cliquez sur l’icône Parcourir l’URL.

  2. Sélectionnez le nom du serveur dans le panneau de droite, accédez au dossier, puis cliquez deux fois sur le fichier pour l’ouvrir.

    Vous pouvez également spécifier le chemin HTTP complet du fichier et cliquer sur Ouvrir.

Pour ouvrir un fichier DTD depuis un serveur WebDAV, procédez comme suit :

  1. Sélectionnez Structure > DTD > Ouvrir DTD. Cliquez sur l’icône Parcourir l'URL.

  2. Sélectionnez le nom du serveur dans le panneau de droite, accédez au dossier, puis cliquez deux fois sur le fichier pour l’ouvrir.

    Vous pouvez également spécifier le chemin HTTP complet du fichier DTD et cliquer sur Ouvrir.

Pour ouvrir un schéma XML depuis un serveur WebDAV, procédez comme suit :

  1. Sélectionnez Structure > Schéma > Ouvrir le schéma et cliquez sur l’icône Parcourir l’URL.

  2. Sélectionnez le nom du serveur dans le panneau de droite, accédez au dossier, puis cliquez deux fois sur le fichier pour l’ouvrir.

    Vous pouvez également spécifier le chemin HTTP complet du fichier de schéma et cliquer sur Ouvrir.

Pour enregistrer un fichier sur un serveur WebDAV, procédez comme suit :

Vous pouvez télécharger automatiquement les modifications sur le serveur WebDAV. Pour ce faire, vous devez préalablement sélectionner l’option Télécharger les fichiers HTTP à l’enregistrement dans la boîte de dialogue Préférences.

  1. Sélectionnez Fichier > Enregistrer sous. Cliquez sur l’icône Parcourir l’URL.

  2. Sélectionnez le nom du serveur dans le panneau de droite et accédez au dossier. Cliquez sur Enregistrer.

Pour enregistrer un DTD, procédez comme suit :

  1. Sélectionnez Structure > DTD > Enregistrer au format DTD. Cliquez sur l’icône Parcourir l'URL.

  2. Sélectionnez le nom du serveur dans le panneau de droite et accédez au dossier. Cliquez sur Enregistrer.

Pour importer un fichier depuis un serveur WebDAV, procédez comme suit :

Importation d’un fichier :

Sélectionnez Fichier > Importer > Fichier. Cliquez sur l’icône Parcourir l’URL.

Importation d’une DTD :

Sélectionnez Structure > DTD > Importer DTD. Cliquez sur l’icône Parcourir l'URL.

Importation d’un schéma :

Sélectionnez Structure > Schéma > Importer un schéma. Cliquez sur l’icône Parcourir l’URL.

Importation d’un fichier CSS :

Sélectionnez Structure > Importer les styles CSS. Cliquez sur l’icône Parcourir l’URL.

Pour fermer un fichier ouvert depuis un serveur WebDAV, procédez comme suit :

Par défaut, un fichier est automatiquement archivé lors de sa fermeture.

Association d’un modèle à un dossier de livres (WebDAV)

Vous pouvez spécifier le chemin HTTP du modèle lors de son association à un dossier dans un livre hiérarchique.

  1. Dans la fenêtre du livre, cliquez avec le bouton droit de la souris sur le dossier pour lequel vous souhaitez définir un modèle. Cliquez sur Propriétés. La boîte de dialogueCaractéristiques du conteneur s’affiche.

  2. Sélectionnez l’option Chemin du modèle, puis cliquez sur le bouton d’ajout de modèle (« ... ») pour accéder au fichier souhaité.

  3. Spécifiez le chemin HTTP complet dans la zone de texte Nom de fichier ou cliquez sur Parcourir l’URL pour accéder au fichier sur le serveur.

  4. Cliquez successivement sur OK, Ouvrir et Définir pour associer un modèle au dossier sélectionné.

Parent topic: WebDAV


Création de scripts dans FrameMaker

Découvrez comment créer et exécuter des scripts ExtendScript pour automatiser des tâches répétitives dans Adobe FrameMaker.

Dans ce sujet

  • Qu’est-ce que la création de scripts ?

  • Pourquoi utiliser la création de scripts ?

  • Prise en main de la création de scripts

  • Créer des scripts

  • Exécution de scripts

Qu’est-ce que la création de scripts ?

La création de scripts est un outil puissant pour contrôler et d’automatiser un grand nombre de fonctions d’Adobe FrameMaker. La création de scripts dans FrameMaker repose sur Adobe ExtendScript. Il s’agit d’une variante de la norme ECMAScript 3 et, par conséquent, il ressemble à JavaScript.

Pourquoi utiliser la création de scripts ?

Votre travail est caractérisé par la créativité, contrairement à la plupart des tâches pratiques. Vous passez probablement un temps considérable à répéter sans cesse des procédures similaires. Ne serait-ce pas idéal de disposer d’un assistant heureux d’accomplir les tâches abrutissantes, qui suit vos instructions avec une cohérence parfaite et prévisible, est disponible à tout moment lorsque vous avez besoin d’aide, fonctionne à une vitesse vertigineuse et n’envoie jamais aucune facture ? La création de scripts peut représenter cet assistant. Avec un investissement temporel réduit, vous pouvez apprendre à créer des scripts pour les tâches simples et répétitives qui prennent tout votre temps. Toutefois, malgré leur facilité de prise en main, les scripts FrameMaker proposent la profondeur nécessaire pour gérer des travaux sophistiqués. Au fur et à mesure du développement de vos compétences en matière de création de scripts, vous pouvez passer à des scripts plus complexes qui fonctionnent toute la nuit pendant votre sommeil.

Prise en main de la création de scripts

Un script correspond à une série d’instructions indiquant à une application d’exécuter une série de tâches. L’astuce consiste à écrire les instructions dans une langue compréhensible pour les applications. FrameMaker prend en charge ExtendScript comme langage de script.

Il existe deux manières d’exécuter des scripts : à partir de FrameMaker et en utilisant ExtendScript Toolkit (ESTK).

Créer des scripts

FrameMaker comprend une entrée de menu qui facilite la création d’un script avec le jeu d'outils ExtendScript Toolkit (ESTK).

Pour créer un script :

  1. Cliquez sur Fichier > Script > Nouveau script.

  2. Composez votre script dans le jeu d’outils ExtendScript ToolKit (ESTK) ouvert.

  3. Enregistrez le script. Exécutez le script depuis ESTK ou à partir de FrameMaker.

Exécution de scripts

FrameMaker comprend une entrée de menu destinée à faciliter la gestion et l’exécution des scripts.

Pour exécuter un script :

  1. Cliquez sur Fichier > Script > Exécuter. La boîte de dialogue Choisir un script... s’affiche.

  2. Dans la boîte de dialogue Choisir un script..., sélectionnez le type de script (*.jsx, *.js, *.jsxbin) à afficher dans la liste de fichiers.

  3. Sélectionnez le script à exécuter.

  4. Cliquez sur Ouvrir. FrameMaker exécute le script.

  • Gestion des scripts
    Découvrez comment gérer des scripts dans Adobe FrameMaker.
  • Utilisation d’ExtendScript Toolkit
    Découvrez comment utiliser ExtendScript ToolKit (ESTK) pour développer et déboger des scripts dans FrameMaker.


Gestion des scripts

Découvrez comment gérer des scripts dans Adobe FrameMaker.

Dans ce sujet

  • #topic_managing-scripts__section_introduction

  • Gestion des scripts favoris

  • Gestion des scripts à lancement automatique

  • Gestion des scripts enregistrés (de notification)

  • Affichage et suppression de scripts rompus

  • Sélection, modification et exécution d’un script à partir du catalogue

FrameMaker comprend un catalogue de scripts permettant de gérer facilement les scripts.

Sélectionnez Fichier > Script > Catalogue pour ouvrir la Bibliothèque de script.

Figure 1. Bibliothèque de scripts
Gestion des scripts dans FrameMaker à l’aide de la Bibliothèque de scripts

Le catalogue vous permet de gérer les scripts favoris, les scripts à lancement automatique et les scripts enregistrés (de notification).

Sélectionnez l’option Favoris dans le catalogue pour gérer vos scripts préférés.

Vous pouvez effectuer les opérations suivantes depuis cet écran :

  • Pour ajouter un script en tant que favori, cliquez sur Ajouter. Sélectionnez le script dans le navigateur de scripts et cliquez sur Sélectionner. Le script est alors ajouté aux favoris.

  • Pour supprimer un script de la liste des favoris, sélectionnez-le et cliquez sur Supprimer.

  • Cliquez sur Actualiser pour actualiser la liste des scripts favoris.

  • Pour marquer un script comme script à lancement automatique, sélectionnez-le et cliquez sur Déplacer vers le lancement automatique. FrameMaker copie le script de son emplacement existant vers le dossier de lancement utilisateur FrameMaker (%appdata%\Adobe\FrameMaker\xx\startup\).

Gestion des scripts favoris

Sélectionnez l’option Favoris dans le catalogue pour gérer vos scripts préférés.

Vous pouvez effectuer les opérations suivantes depuis cet écran :

  • Pour ajouter un script en tant que favori, cliquez sur Ajouter. Sélectionnez le script dans le navigateur de scripts et cliquez sur Sélectionner. Le script est alors ajouté aux favoris.

  • Pour supprimer un script de la liste des favoris, sélectionnez-le et cliquez sur Supprimer.

  • Cliquez sur Actualiser pour actualiser la liste des scripts favoris.

  • Pour marquer un script comme script à lancement automatique, sélectionnez-le et cliquez sur Déplacer vers le lancement automatique. FrameMaker copie le script de son emplacement existant vers le dossier de lancement utilisateur FrameMaker (%appdata%\Adobe\FrameMaker\xx\startup\).

Gestion des scripts à lancement automatique

Sélectionnez l’option Lancement automatique dans le catalogue pour gérer vos scripts à lancement automatique.

Les scripts à lancement automatique sont exécutés automatiquement à chaque démarrage de FrameMaker. Tout script placé dans les répertoires suivants devient un script à lancement automatique.

  • <Fm_install_location>\startup

  • %appdata%\Adobe\FrameMaker\xx\startup

Tous les scripts sont exécutés dans l’ordre alphabétique.

Vous pouvez effectuer les opérations suivantes :

  • Pour ajouter un script en tant que script à lancement automatique, cliquez sur Ajouter. Sélectionnez le script dans le navigateur de scripts et cliquez sur Sélectionner. FrameMaker copie le script de son emplacement existant vers le dossier de lancement automatique FrameMaker (%appdata%\Adobe\FrameMaker\xx\startup\) et ajoutez le script à la liste AutoRun.

  • Pour supprimer un script de la liste de lancement automatique, sélectionnez-le et cliquez sur Supprimer.

  • Cliquez sur Actualiser pour actualiser la liste des scripts favoris.

Gestion des scripts enregistrés (de notification)

Sélectionnez l’option Enregistré dans le catalogue pour gérer vos scripts enregistrés. Les scripts enregistrés sont également appelés scripts de notification. Ces scripts sont exécutés lors du déclenchement des événements pour lesquels ils sont enregistrés.

Une notification correspond au mécanisme interne par lequel un script enregistré pour un événement particulier est exécuté lorsque cet événement est déclenché.

Tout script enregistré pour être exécuté lors du déclenchement d’un événement s’affiche dans la liste de notifications du catalogue.

Pour annuler l’enregistrement d’un script de notification, sélectionnez-le, puis cliquez sur Annuler l’enregistrement. L’enregistrement du script est alors annulé. Dès lors que l’enregistrement d’un script est annulé, le script n’est pas exécuté lors du déclenchement de l’événement pour lequel il était enregistré.

Note: Pour ajouter un script de notification, voir la section concernant les notifications dans l’annexe.

Affichage et suppression de scripts rompus

Lorsqu’un script déjà ajouté au catalogue est supprimé ou déplacé à partir de son emplacement actuel dans le système de fichiers, il est appelé script rompu.

Pour afficher ces scripts, sélectionnez l’option Afficher uniquement les rompus du catalogue. Le catalogue affiche alors tous les scripts rompus.

Vous pouvez ensuite supprimer ces scripts du catalogue. Lorsque vous supprimez un script, il est supprimé uniquement du catalogue et non de son emplacement dans le système de fichiers.

Sélection, modification et exécution d’un script à partir du catalogue

Pour exécuter un script à partir du catalogue, sélectionnez-le dans la liste et cliquez sur Exécuter.

Pour exécuter un script à partir du catalogue, sélectionnez-le dans la liste et cliquez sur Modifier. Le script est ouvert dans l’éditeur ExtendScript Toolkit.

Pour exécuter un nouveau script (pas encore ajouté au catalogue), sélectionnez l’option marquée Nouveau et cliquez sur Exécuter. Ensuite, sélectionnez le script dans le navigateur de scripts et cliquez sur Ouvrir.

Parent topic: Création de scripts dans FrameMaker


Utilisation d’ExtendScript Toolkit

Découvrez comment utiliser ExtendScript ToolKit (ESTK) pour développer et déboger des scripts dans FrameMaker.

FrameMaker inclut ExtendScript Toolkit (ESTK). Il s’agit d’un outil de développement et de débogage pour les scripts ExtendScript.

ESTK comprend de nombreuses fonctionnalités qui rendent son utilisation plus simple que celle d’un éditeur de texte, y compris un vérificateur de syntaxe intégré qui identifie l’emplacement des problèmes dans le script et tente d’expliquer la manière de les résoudre, ainsi que la possibilité d’exécuter vos scripts directement à partir d’ESTK sans enregistrer le fichier.

Tous les scripts ExtendScript sont de type JavaScript. ESTK comprend également un débogueur JavaScript qui permet d’effectuer les opérations suivantes :

  • Parcours pas à pas des scripts JavaScript (fichiers JS ou JSX) à l’intérieur d’une application.

  • Inspection de toutes les données pour un script en cours d’exécution.

  • Définition et exécution de points d’arrêt.

Note: Pour plus d’informations sur ESTK, consultez Référence API ExtendScript.
Parent topic: Création de scripts dans FrameMaker


Annexe

Connaissez les raccourcis clavier de FrameMaker, comment modifier le contenu dans Adobe FrameMaker.

  • Raccourcis clavier
  • Jeux de caractères
    Découvrez la prise en charge des jeux de caractères dans Adobe FrameMaker.
  • Ressources supplémentaires
    Cette annexe répertorie les ressources supplémentaires vous permettant d’en savoir plus sur des champs spécifiques d’Adobe FrameMaker.


Raccourcis clavier

  • A propos des raccourcis clavier
  • Navigation dans les documents
  • Commandes liées aux livres
  • Documents
  • Boîtes de dialogue
  • Conception des documents
  • Utilitaires de document
  • Dessin
  • Ajout de couleurs
  • Modification d’objets
  • Edition de texte
  • Saisie de caractères spéciaux
  • panneau Équations
  • Filtrage par attribut
  • Rechercher et modifier
  • Touches de fonction
  • Insertion hiérarchique d’éléments
  • Marqueurs et variables
  • Commandes de menu
  • Modes d’affichage de l’écran
  • Sélection
  • Tableaux
  • Texte
  • Formatage de texte
  • Suivi des modifications du texte
  • Vues
  • Utilisation des structures
  • Autres raccourcis utiles
Parent topic: Annexe


A propos des raccourcis clavier

Vous pouvez réaliser de nombreuses tâches à l’aide des raccourcis clavier.

Le signe plus (+) indique que vous devez appuyer simultanément sur chacune des touches. Par exemple, ctrl+z signifie que vous devez appuyez sur la touche « Ctrl » et sur la touche « z » en même temps.

Si la combinaison de touches n’inclut pas le signe plus (+), appuyez sur les touches dans l’ordre indiqué par le raccourci. Par exemple, pour Echap m+p, appuyez une fois sur la touche Echap (échappement), puis sur la touche « m », puis sur la touche « p ».

  • Conventions et touches de fonction
Parent topic: Raccourcis clavier


Conventions et touches de fonction

Pour utiliser les raccourcis clavier, vous devez désactiver le verrouillage des majuscules et, sauf indication contraire, activer une fenêtre de document.

Le tableau suivant répertorie les termes utilisés pour désigner les touches spéciales :

Notation | Appuyez sur
touche fléchée | Touches haut, bas, droite ou ← touches
Echap | La touche Echap
ctrl | La touche Ctrl ou Control
Alt | La touche alt
Maj | La touche Maj
F2 | La touche de fonction F2
espace | La barre d’espacement
+ | La touche portant un signe plus (+)
- | La touche portant un tiret (-)
. | La touche portant un point (.)
, | La touche portant une virgule (,)
0 | La touche portant le chiffre 0
1 | La touche portant le chiffre 1
win | Touche avec le logo Windows
  • Séquences de raccourci clavier
  • Touches de fonction
  • Souris
Parent topic: A propos des raccourcis clavier


Séquences de raccourci clavier

Le tableau suivant explique les conventions typographiques utilisées pour les séquences et les combinaisons de touches. Si le raccourci comprend une lettre majuscule, utilisez la la touche maj lors de la saisie de la lettre.

Lorsqu’une opération peut être réalisée à l’aide de plusieurs raccourcis, ceux-ci sont séparés par des points-virgules. Par exemple, la notation : Ctrl+n, Maj+↓. Vous pouvez effectuer l’opération soit à l’aide du raccourci Ctrl+n, soit à l’aide du raccourci Maj+↓.

Séquence de raccourci clavier | Action
Echap Maj+t r | Appuyez successivement sur ces touches (en les relâchant à chaque fois) : Echap, T majuscule, puis r minuscule
Ctrl+e | Appuyez sur la touche Ctrl et saisissez la lettre e
Ctrl+Maj+- | Appuyez sur les touches Maj et Ctrl et saisissez un -
Parent topic: Conventions et touches de fonction


Touches de fonction

Le tableau suivant illustre le résultat obtenu lorsque vous appuyez sur une touche de fonction ou que vous appuyez simultanément sur une touche de fonction et la la touche ctrl, maj ou alt simultanément.

Touche | Fonction | ctrl | Maj | Alt
F1 | Aide | Aligner en haut |  |
F2 | Texte simple | Aligner au milieu |  |
F3 | Souligné | Aligner en bas | Surligné |
F4 | Gras |  | Cascade | Quitter
F5 | Italique |  | Mosaïque |
F6 | Répétition de la dernière opération |  |  |
F7 | Ouvrir Recherche de commande |  |  |
F8 | Choisir un style de caractères en tapant |  | Remplacer les paramètres de la boîte de dialogue par Tel que |
F9 | Choisir un style de paragraphes en tapant | Transposer des caractères | Remplacer les paramètres de la boîte de dialogue par ceux du texte en cours |
F10 |  |  | Afficher un menu contextuel |
Parent topic: Conventions et touches de fonction


Souris

Le tableau ci-dessous répertorie la terminologie utilisée pour la manipulation de la souris.

Instruction | Action
Cliquez sur | Appuyez sur le bouton gauche de la souris
Cliquez avec le bouton droit | Appuyez sur le bouton droit de la souris
Cliquez deux fois | Appuyez rapidement deux fois de suite sur le bouton gauche de la souris sans la déplacer
Cliquez trois fois | Appuyez rapidement trois fois de suite sur le bouton gauche de la souris sans la déplacer
Maj-clic | Maintenez la touche Maj enfoncée et appuyez sur le bouton gauche de la souris
Parent topic: Conventions et touches de fonction


Navigation dans les documents

Pour atteindre | Raccourci clavier
Le dernier document affiché et ouvert | Ctrl+Tab
La page précédente | esc p p Page préc.
Page suivante | échap p n Page suiv.
Première page | échap p f alt+Page préc. maj et cliquez sur le bouton Page précédente
Dernière page | échap p l alt+Page suiv. maj et cliquez sur le bouton Page suivante
La boîte de dialogue Aller à la page | Echap v p, ctrl+g
La source d’une référence croisée | Alt+ctrl et clic sur une zone active
Une page spécifique | Appuyez sur Ctrl+g ou cliquez sur la zone État de la page, puis tapez le numéro de page.
La page contenant le point d’insertion | Appuyez sur Ctrl+g ou cliquez sur la zone État de la page, puis sur Page contenant le point d’insertion.
Au début d’un mot | Ctrl+←
A la fin d’un mot | Ctrl+→
Au début du mot suivant | Echap b w
Au début d’une phrase | Ctrl+Origibe
A la fin d’une phrase | Ctrl+Fin
Au début d’un paragraphe | Ctrl+↑
A la fin du paragraphe en cours | Ctrl+↓
Au début du paragraphe suivant | Echap b p
En haut d’une colonne | Ctrl+Page préc.
En bas d’une colonne | Ctrl+Page suiv.
Au début d’un enchaînement | Alt+Maj+Page préc.
A la fin d’un enchaînement | Alt+Maj+Page suiv.
Au début d’une ligne | Ctrl+Page préc.
A la fin d’une ligne | Ctrl+Page suiv.
Parent topic: Raccourcis clavier


Commandes liées aux livres

Tâche | Raccourci clavier
Nouveau livre | Echap f Maj+n
Enregistrer le livre | échap f s ctrl+s
Renommer le fichier | échap f e F2
boîte de dialogue Mettre à jour le livre | échap e maj+u échap f g
Afficher les noms de fichiers (dans la fenêtre du livre) | Echap Maj+v Maj+m
Afficher les titres de paragraphes (dans la fenêtre du livre) | Echap Maj+v Maj+x
Supprimer le fichier du livre | Echap f x
Sélectionner tous les fichiers | Echap e a
Enregistrer tous les fichiers d’un livre | Echap f Maj+s
Fermer tous les fichiers d’un livre | Echap f Maj+c
Sélectionner tous les fichiers FrameMaker | Echap e Maj+a Maj+f
Sélectionner tous les fichiers FrameMaker non générés | Echap e Maj+a Maj+n
Sélectionner tous les fichiers FrameMaker générés | Echap e Maj+a Maj+g
Sélectionner un groupe de fichiers | Maj+clic
Sélectionner des fichiers non voisins | Ctrl+clic
Monter d’un fichier dans un livre | Echap m u
Déplacer un document vers le bas dans le livre | Echap m d
Impression de livre | échap f p ctrl+p
Imprimer les fichiers sélectionnés du livre | Echap f Maj+f
Parent topic: Raccourcis clavier


Documents

  • Aide
  • Ouvrir
  • Enregistrement et fermeture
  • Abandon et annulation de commande
  • Navigation dans un document
  • Réaffichage de documents
  • Zoom
  • Documents hypertexte
Parent topic: Raccourcis clavier


Aide

Tâche | Raccourci clavier
Afficher l’aide en ligne | échap f h F1
Accéder à Adobe Online | Echap w w w
Afficher l’aide sur l’utilisation des modèles fournis avec FrameMaker | Appuyez sur Ctrl+n, puis cliquez sur Explorer les modèles standard.
Parent topic: Documents


Ouvrir

Ouvrir | Raccourci clavier
Un document dans un fichier livre | Cliquez deux fois sur le nom du fichier dans la fenêtre de livre.
Tous les fichiers dans une fenêtre de livre active | échap f maj+o Ou sélectionnez Fichier > Ouvir tous les fichiers du livre dans le menu.
Un fichier MIF ou MML en tant que fichier texte | Appuyez sur Ctrl et cliquez sur Ouvrir dans la boîte de dialogue Ouvrir.
Parent topic: Documents


Enregistrement et fermeture

Tâche | Raccourci clavier
Afficher la boîte de dialogue Enregistrer le document | Echap f a
Enregistrer le document ou le livre | échap f s ctrl+s
Enregistrer tous les fichiers ouverts | échap f maj+s Ou sélectionnez Fichier > Enregistrer tous les fichiers ouverts dans le menu.
Enregistrer tous les fichiers ouverts dans une fenêtre de livre active | échap f shift+s Ou sélectionnez Fichier > Enregistrer tous les fichiers dans le livre dans le menu.
Fermer tous les fichiers ouverts | échap f maj+c Ou sélectionnez Fichier > Fermer tous les fichiers ouverts dans le menu.
Fermer tous les fichiers ouverts dans une fenêtre de livre active | échap f maj+c Ou appuyez sur et sélectionnez Fichier > Fermer tous les fichiers ouverts dans le menu.
Parent topic: Documents


Abandon et annulation de commande

Tâche | Raccourci clavier
Abandonner l’exécution de certaines commandes FrameMaker | Echap
Annuler certaines commandes FrameMaker | échap e u ctrl+z
Parent topic: Documents


Navigation dans un document

Affichage | Raccourci clavier
La page précédente | échap p p Page préc.
Page suivante | échap p n Page suiv.
Première page | échap p f alt+Page préc. Ou appuyez et cliquez sur le bouton Page précédente.
Dernière page | échap p l, alt+Page suiv. Ou appuyez et cliquez sur le bouton Page suivante.
La boîte de dialogue Aller à la page | Ctrl+g
Parent topic: Documents


Réaffichage de documents

Tâche | Raccourci clavier
Afficher à nouveau un document | échap w r ctrl+l
Parent topic: Documents


Zoom

Zoom | Raccourci clavier
Effectuer un zoom avant | Echap z i
Effectuer un zoom arrière | Echap z o
Adapter la page à la fenêtre | Echap z p
Adapter la fenêtre à la page | Echap z w
Adapter la fenêtre à la zone de texte | Echap z f
Effectuer un zoom à 100 % | Echap z z
Parent topic: Documents


Documents hypertexte

Tâche | Raccourci clavier
Aller à l’emplacement précédent de la pile hypertexte | Echap v Maj+p
Aller à l’emplacement suivant de la pile hypertexte | Echap v Maj+n
Activer une commande hypertexte sans verrouiller un document | Appuyez sur ctrl+alt et cliquez sur une zone activée
Verrouiller ou déverrouiller un document | Echap Maj+f l k
Ouvrir la boîte de dialogue Hypertexte | Echap s h
Activer la boîte de dialogue Hypertexte | Echap Maj+f i h
Fermer la boîte de dialogue Hypertexte | Echap Maj+c h
Valider une commande hypertexte | Echap v h
Basculer en mode d’affichage verrouillé FluidView | Echap Maj+v Maj+f
Parent topic: Documents


Boîtes de dialogue

  • Saisie dans les boîtes de dialogue
  • Manipulation des fenêtres
  • Affichage et activation
  • Navigation dans les boîtes de dialogue
  • Boutons de commande
  • Boutons radio et cases à cocher
  • Menus contextuels
  • Listes de sélection
  • Menus personnalisés
Parent topic: Raccourcis clavier


Saisie dans les boîtes de dialogue

Dans certains cas, vous devez saisir une séquence de caractères commençant par une barre oblique inverse (\) pour entrer un caractère dans une boîte de dialogue. La séquence s’affiche dans celle-ci, mais seul le caractère apparaît dans le document. Le tableau suivant présente les séquences à entrer dans une boîte de dialogue.

Toutes les séquences décrites ici commencent par une barre oblique inverse (\). Pour indiquer littéralement une telle barre dans une boîte de dialogue, entrez deux barres obliques inverses (\\). Dans de rares cas, vous avez le choix entre deux séquences de barre oblique inverse pour un caractère. Les séquences sont alors séparées par un point-virgule.

Nom du caractère | Graphique | Séquence de barre oblique inverse
Puce |  | \b
Accent circonflexe |  | \@
Croix | † | \d
Double croix | ‡ | \Maj+d
Tiret cadratin |  | \m
Tiret demi-cadratin |  | \=
Points de suspension | … | \e
Florin | ƒ | \Maj+f
Retour forcé |  | \r
Fraction | ∕ | \ /
Accent grave | ` | \{
Chevron gauche | ‹ | \(
Chevron droit | › | \)
Trémas hongrois | ˝ | \&
Tiret de césure (facultative) | - | \-
Tiret (insécable) | - | \+
Ligature Œ | Œ | \Maj+o Maj+e
Ligature œ | œ | \oe
Symbole pour mille | ‰ | \%
Guillemet simple bas | ‘ | \ ,
Guillemet double en bas | „ | \g
Guillemet double gauche | “ | \`
Guillemet double droit | ” | \'
Apostrophe | ’ | \"
Espace cadratin |  | \sm \ Maj+m
Espace demi-cadratin |  | \sn \ Maj+n
Espace insécable |  | \espace
Espace numérique |  | \s#, \#
Espace fin |  | \st, \i
Césure insécable |  | \_ (tiret de soulignement)
Tabulation |  | \t
Empattement marque commerciale |  | \ Maj+t Maj+m
Y tréma |  | \ Maj+y :
Parent topic: Boîtes de dialogue


Manipulation des fenêtres

Pour utiliser les raccourcis suivants, cliquez dans une fenêtre FrameMaker.

Tâche | Raccourci clavier
Afficher à nouveau une fenêtre de document | échap w r ctrl+l
Fermer la boîte de dialogue non modale ou la fenêtre active | Alt+F4
Fermer la fenêtre de document | échap f q échap f c ctrl+F4 ctrl+w ctrl+maj+w
Réduire la fenêtre du document | Echap w c
Parent topic: Boîtes de dialogue


Affichage et activation

Utilisez ces raccourcis pour afficher une fenêtre ou une boîte de dialogue et la rendre active. Si la fenêtre est déjà ouverte mais cachée derrière une autre, ces raccourcis la font passer au premier plan.

Pour afficher et activer la fenêtre | Raccourci clavier
Fenêtre de document en cours | échap maj+f i d maj+F7
Chercher/Remplacer | Echap Maj+f i f
boîte de dialogue Hypertexte | Echap Maj+f i h
Marqueur | Echap Maj+f i m
vérificateur orthographique | Echap Maj+f i s
Configuration de paragraphes | Echap Maj+f i p
Configuration de caractères | Echap Maj+f i o
Texte conditionnel | Echap Maj+f i o
Ombrage et trait personnalisés | Echap Maj+f i r
configuration de tableaux, | Echap Maj+f i t
vue Structure | Echap Maj+f i v
Validation d’éléments | Echap Maj+f i w
Parent topic: Boîtes de dialogue


Navigation dans les boîtes de dialogue

Les raccourcis suivants permettent de passer d’un paramètre à un autre dans les boîtes de dialogue et les panneaux. Lorsque vous utilisez un raccourci clavier dans une boîte de dialogue ou une fenêtre, l’effet de celui-ci dépend du paramètre activé. Ce paramètre est affiché en surbrillance et/ou dans un cadre en pointillés.

Tâche | Raccourci clavier
Passer au paramètre suivant | Tab
Passer au paramètre précédent | Maj+Tab
Parent topic: Boîtes de dialogue


Boutons de commande

Tâche | Raccourci clavier
Cliquer sur le bouton par défaut | return
Cliquer sur le bouton actif | espace
Fermer une boîte de dialogue (pas pour une fenêtre) | Echap
Parent topic: Boîtes de dialogue


Boutons radio et cases à cocher

Tâche | Raccourci clavier
Passer d’un bouton radio du groupe à un autre pour activer l’un d’entre eux. | Touches de direction
Afficher les différents états d’une case à cocher (désactivé, activé, tel que) | espace
Parent topic: Boîtes de dialogue


Menus contextuels

Tâche | Raccourci clavier
Passer à l’élément de menu précédent | ↑
Passer à l’élément de menu suivant | ↓
Rechercher vers le bas et sélectionner un élément commençant par la lettre saisie | Touche sans Maj
Parent topic: Boîtes de dialogue


Listes de sélection

Tâche | Raccourci clavier
Passer à l’élément précédent dans une liste | ↑
Passer à l’élément suivant dans une liste | ↓
Rechercher vers le bas et sélectionner un élément commençant par la lettre saisie | Touche sans Maj
Déplacer un élément d’une liste de sélection vers la liste opposée | Cliquez deux fois sur l’élément.
Déplacer tous les éléments d’une liste de sélection vers la liste opposée | Appuyez sur Maj et cliquez sur les flèches affichées entre les listes.
Parent topic: Boîtes de dialogue


Menus personnalisés

Tâche | Raccourci clavier
Afficher une barre de menus personnalisée | Echap v m u
Parent topic: Boîtes de dialogue


Conception des documents

  • Maquettes et pages de référence
  • Mise en page
  • Importation de formats
  • Zone de titre de marge
  • Enchaînements de texte
Parent topic: Raccourcis clavier


Maquettes et pages de référence

Tâche | Raccourci clavier
Renommer la maquette ou la page de référence (affichez celle-ci avant d’utiliser le raccourci) | Echap p Maj+n
Créer une maquette (affichez la page courante ou la maquette avant d’utiliser le raccourci) | échap o m p échap p m
Parent topic: Conception des documents


Mise en page

Tâche | Raccourci clavier
Mettre à jour les mises en page (affichez une page courante avant d’utiliser le raccourci) | Echap o u p
Parent topic: Conception des documents


Importation de formats

Tâche | Raccourci clavier
Importer les formats d’un autre document | Echap f i o
Parent topic: Conception des documents


Zone de titre de marge

Tâche | Raccourci clavier
Activer ou désactiver la zone de titre de marge | Echap j p Maj+s
Parent topic: Conception des documents


Enchaînements de texte

Tâche | Raccourci clavier
Diviser une zone de texte sous le point d’insertion | Echap Maj+c Maj+s
Séparer la zone de texte contenant le point d’insertion de la zone précédente dans un enchaînement | Echap Maj+c Maj+p
Séparer la zone de texte contenant le point d’insertion de la zone suivante dans un enchaînement | Echap Maj+c Maj+n
Séparer la zone de texte contenant le point d’insertion des zones précédente et suivante | Echap Maj+c Maj+b
Connecter deux zones de texte sélectionnées | Echap Maj+c Maj+c
Parent topic: Conception des documents


Utilitaires de document

  • vérificateur orthographique
  • Thésaurus
  • Comparaison de documents
  • Rapports sur les documents
  • Exportation HTML et PDF
  • Mise à jour des références
Parent topic: Raccourcis clavier


vérificateur orthographique

Tâche | Raccourci clavier
Vérifier l’orthographe du texte ou du mot contenant le point d’insertion | échap l s Ou appuyez sur ctrl et cliquez sur Démarrer la vérification dans la boîte de dialogue Vérificateur d’orthographe
Vérifier tout le document | Echap l e
Vérifier la page actuelle | Echap l p
Corriger un mot | Echap l c w
Ajouter un mot au dictionnaire personnel (Ajouter le mot) | Echap l a p
Ajouter un mot au dictionnaire du document | Echap l a d
Ajouter un mot aux corrections automatiques | Echap l a c
Supprimer un mot du dictionnaire personnel (Supprimer le mot) | Echap l x p
Supprimer un mot du dictionnaire du document | Echap l x d
Annuler les corrections automatiques | Echap l c a
Afficher la boîte de dialogue Options de vérification orthographique | Echap l Maj+o
Afficher la boîte de dialogue Fonctions Dictionnaire | Echap l c d
Créer un fichier des mots inconnus | Echap l b
Marquer tous les paragraphes pour une nouvelle vérification | Echap l r
Afficher un mot - ation | Echap l -
Re- mangé un document | Echap l Maj+r
Remplacer un mot mal orthographié | Cliquez deux fois sur le mot dans la liste Correction de la boîte de dialogue Orthographe.
Parent topic: Utilitaires de document


Thésaurus

Pour utiliser ce raccourci, vous devez activer la fenêtre du document et non celle du Thésaurus.

Tâche | Raccourci clavier
Remplacer l’élément sélectionné par celui qui est sélectionné dans le Thésaurus | Echap Maj+t r
Parent topic: Utilitaires de document


Comparaison de documents

Tâche | Raccourci clavier
Afficher la boîte de dialogue Comparaison de documents | Echap f t c
Parent topic: Utilitaires de document


Rapports sur les documents

Tâche | Raccourci clavier
Afficher la boîte de dialogue Rapports sur les documents | Echap f t r
Parent topic: Utilitaires de document


Exportation HTML et PDF

Tâche | Raccourci clavier
Créer et appliquer des formats | Echap f t f
Ouvrir la boîte de dialogue Configuration HTML | Echap f t h
Ouvrir la boîte de dialogue Configuration PDF | Echap o d a
Parent topic: Utilitaires de document


Mise à jour des références

Tâche | Raccourci clavier
Afficher la boîte de dialogue Annuler la mise à jour automatique | Echap e Maj+s
Parent topic: Utilitaires de document


Dessin

Outil | Raccourci clavier
Arc | Echap 1 a
Cadre graphique | Echap 1 m
Dessin à main levée Adobe | Echap 1 f
Dernier outil sélectionné | Echap 1 1
Ligne | Echap 1 l
Sélection d’objet | Echap 1 o
Ovale | Echap 1 e
Polygone | Echap 1 p g
Ligne brisée | Echap 1 p l
Rectangle | Echap 1 r
Rectangle arrondi | Echap 1 Maj+r
Outil de sélection intelligent | Echap 1 s
Zone de texte | Echap 1 t f
Ligne de texte | Echap 1 t l
Une ligne verticale, horizontale ou diagonale | Appuyez sur maj et tracez une ligne
Un carré | Appuyez sur maj et tracez un rectangle
Un cercle | Appuyez sur maj et tracez une ellipse
Un arc de cercle | Appuyez sur maj et tracez un arc
Afficher la Boîte à outils | échap 1 w échap g maj+t
Garder un outil actif après son utilisation | Appuyez sur maj et cliquez sur un outil de dessin
Revenir à l’outil Sélection d’objet après le dessin | Appuyez sur maj et cliquez sur un outil Sélection d’objet
  • Motifs de trait
  • Motifs de remplissage
  • Epaisseurs de trait
  • Styles de lignes
Parent topic: Raccourcis clavier


Motifs de trait

Les mentions « premier », « dernier », « suivant » et « précédent » font référence aux positions du motif dans la liste déroulante Trait.

Pour définir le motif sur | Raccourci clavier
Le premier motif de trait (uni) | Echap 0 p
Le dernier motif de trait (aucun) | Echap 9 p
le motif de trait suivant (si le dernier motif est actif, le raccourci n’a aucun effet) | Echap + p
Le motif de trait précédent (si le premier motif est actif, le raccourci n’a aucun effet) | Echap - p
Parent topic: Dessin


Motifs de remplissage

Les mentions « premier », « dernier », « suivant » et « précédent » font référence aux positions du motif dans la liste déroulante Fond.

Pour définir le motif sur | Raccourci clavier
Le premier motif de remplissage (uni) | Echap 0 f
Le dernier motif de remplissage (aucun) | Echap 9 f
Le motif de remplissage suivant (si le dernier motif est actif, le raccourci n’a aucun effet) | Echap + f
Le motif de remplissage précédent (si le premier motif est actif, le raccourci n’a aucun effet) | Echap - f
Parent topic: Dessin


Epaisseurs de trait

Les mentions « suivante » et « précédente » font référence aux positions de l’épaisseur dans la liste déroulante Epaisseurs de trait.

Pour définir l’épaisseur sur | Raccourci clavier
L’épaisseur de trait la plus fine | Echap 0 w
L’épaisseur de trait la plus large | Echap 9 w
L’épaisseur de trait suivante | Echap + w
L’épaisseur de trait précédente | Echap - w
Parent topic: Dessin


Styles de lignes

La liste déroulante Styles de lignes permet de modifier le style de ligne d’un objet.

Pour définir le style de ligne en pointillés appliqué, utilisez la boîte de dialogue Options de ligne en pointillés. Les mentions « premier », « dernier », « suivant » et « précédent » font référence aux positions du type de pointillés dans cette boîte de dialogue.

Tâche | Raccourci clavier
Appliquer le style de ligne continue à un objet | Echap 1 d s
Appliquer le style de ligne en pointillés à un objet | Echap 1 d d
Afficher la boîte de dialogue Options de ligne en pointillés | Echap 1 d i
Passer au premier motif de ligne en pointillés | Echap 0 d
Passer au dernier motif de ligne en pointillés | Echap 9 d
Passer au motif de ligne en pointillés suivant (s’il s’agit du dernier motif, ce raccourci n’aura aucun effet) | Echap + d
Passer au motif de ligne en pointillés précédent (s’il s’agit du premier motif, ce raccourci n’aura aucun effet) | Echap - d
Parent topic: Dessin


Ajout de couleurs

  • Sélection de couleur
  • Vues en couleur
Parent topic: Raccourcis clavier


Sélection de couleur

Tâche | Raccourci clavier
Garder une couleur sélectionnée après l’avoir utilisée | Appuyez sur maj et choisissez une couleur dans la liste déroulante Couleur
Attribuer une couleur à tous les objets d’un document, y compris du texte | Appuyez sur alt+maj et sélectionnez une couleur dans la liste déroulante Couleur de la boîte à outils
Afficher la boîte de dialogue Définitions des couleurs | Appuyez sur Echap v c d
Parent topic: Ajout de couleurs


Vues en couleur

Tâche | Raccourci clavier
Afficher la boîte de dialogue Définir les vues en couleur | Appuyez sur Echap v c v
Choisir un numéro de vue (1, 2, 3, 4, 5 ou 6) dans la boîte de dialogue Définir les vues en couleur | Appuyez sur échap v et puis le numéro
Parent topic: Ajout de couleurs


Modification d’objets

  • Sélection d’objets
  • Manipulation d’objets
  • Déplacement d’objets
  • Alignement d’objets
  • Rotation d’objets
  • Cadres graphiques
Parent topic: Raccourcis clavier


Sélection d’objets

Les raccourcis suivants permettent de sélectionner des objets sur la page active.

Tâche | Raccourci clavier
Sélectionner une ligne ou une zone de texte | Appuyez sur ctrl et cliquez sur la ligne ou la zone de texte
Etendre ou réduire la sélection | Appuyez sur Maj et cliquez sur un objet.
Faire apparaître la bordure de sélection (lorsqu’il est impossible de l’obtenir en faisant glisser le pointeur après avoir cliqué en dehors de tout objet) | Appuyez sur ctrl+ et faites glisser en diagonale
Sélectionner le premier objet dessiné | Echap o Maj+f
Sélectionner l’objet dessiné suivant | Echap o n
Etendre la sélection à l’objet dessiné suivant | Echap o e
Désélectionner une zone ou une ligne de texte et placer le point d’insertion dans celle-ci | Cliquez deux fois dans la zone ou la ligne de texte.
Parent topic: Modification d’objets


Manipulation d’objets

Tâche | Raccourci clavier
Déplacer un objet horizontalement ou verticalement | Appuyez sur Maj et cliquez sur l’objet.
Redimensionner l’objet en conservant ses proportions | Appuyez sur Maj et faites glisser une poignée d’angle.
Choisir les caractéristiques de l’objet sélectionné dans la Boîte à outils | échap g maj+o Ou appuyez et choisissez Choisir caract. objet dans le menu Graphiques
Afficher la poignée de transformation et les points de contrôle pour la ligne, la ligne brisée, le polygone ou la courbe à main levée sélectionné(e) | échap g r ctrl+r ctrl+maj+r
Déplacer le point de contrôle horizontalement ou verticalement | Appuyez sur Maj et faites glisser le point de contrôle.
Modifier une courbe sur un seul côté de la poignée de transformation (étirement) | Faites glisser le point de contrôle à l’aide du bouton droit de la souris.
Habiller un graphique avec du texte (en suivant le contour du graphique sélectionné) | Echap g w
Habiller un graphique avec du texte (en suivant le cadre du graphique sélectionné) | Echap g Maj+w
Désactiver l’habillage du texte autour du graphique sélectionné | Echap g q
Copier rapidement l’objet sélectionné | Appuyez sur Alt et faites glisser l’objet
Activer ou désactiver l’affichage des graphiques | Echap v v
Ajouter une poignée de transformation et des points de contrôle | Appuyez sur ctrl et cliquez sur une ligne, une ligne brisée, un polygone ou une courbe à main levée avec des poignées de transformations et des points de contrôle sont actuellement affichés
Supprimer une poignée de transformation | Appuyez sur ctrl et cliquez sur la pognée de transformation
Faire glisser des objets d’une application ouverte à une autre | Faites glisser (en appuyant sur ctrl pour copier)
Parent topic: Modification d’objets


Déplacement d’objets

Les raccourcis suivants permettent de déplacer des objets sélectionnés.

Pour déplacer des objets | Raccourci clavier
D’un point dans une direction donnée (pour un zoom à 100 %) | Alt+flèche
De six points dans une direction donnée (pour un zoom à 100 %) | Alt+Maj+flèche
Parent topic: Modification d’objets


Alignement d’objets

Si un seul objet est sélectionné, il est aligné sur la page ou le cadre ancré ou graphique qui le contient.

Pour aligner le long des | Raccourci clavier
Parties supérieures | échap j t ctrl+F1
Centres des bords inférieurs/supérieurs | échap j m ctrl+F2
Parties inférieures | échap j b ctrl+F3
Bords gauches | Echap j l
Centres des bords gauches/droits | Echap j c
Bords droits | Echap j r
Parent topic: Modification d’objets


Rotation d’objets

Tâche | Raccourci clavier
Appliquer une rotation de 90° dans le sens des aiguilles d’une montre | Echap g +
Appliquer une rotation de 90° dans le sens inverse des aiguilles d’une montre | Echap g -
Appliquer une rotation précise en utilisant la boîte de dialogue Rotation d’objets sélectionnés | Echap g t
Appliquer une nouvelle rotation | Echap g x
Rétablir l’orientation initiale de l’objet (zéro degré) | Echap g 0
Appliquer à nouveau à l’objet son orientation précédente (avec rotation) | Echap g 1
Définir la position actuelle de l’objet comme étant son orientation initiale | Echap g 9
Appliquer une rotation à un objet de façon arbitraire | Appuyez sur Alt et faites glisser une poignée d’angle ou de transformation.
Appliquer une rotation par incréments de 45° | Appuyez sur alt et faites glisser une poignée d’angle ou de transformation
Faire pivoter une page dans le sens des aiguilles d’une montre | Echap p Maj+o
Faire pivoter une page dans le sens inverse des aiguilles d’une montre | Echap p o
Annuler la rotation d’une page | Echap p Maj+u
Parent topic: Modification d’objets


Cadres graphiques

Tâche | Raccourci clavier
Réduire un cadre ancré aux dimensions d’un objet et le placer au point d’insertion | Echap m p
Supprimer l’enchaînement d’un cadre graphique (élargir le cadre) | Echap m e
Renommer le cadre de référence sélectionné | Cliquez sur le nom du cadre dans la barre d’état.
Parent topic: Modification d’objets


Edition de texte

Tâche | Raccourci clavier
Couper | échap e x maj+suppr ctrl+x
Copier | échap e c ctrl+c
Coller | échap e p ctrl+y ctrl+v
Annuler/Répéter | échap e u ctrl+maj+z ctrl+z
Copier rapidement du texte | Cliquez à l’endroit auquel vous souhaitez insérer le texte, appuyez sur alt et faites glisser le curseur sur le texte
Transposer des caractères | Cliquez entre les caractères et appuyez sur Ctrl+F9
Mettre le texte sélectionné en minuscules | Alt+Ctrl+l
Mettre le texte sélectionné en majuscules | Alt+Ctrl+u
Mettre une majuscule au début des mots du texte sélectionné | Alt+Ctrl+c
Sélectionner un mot | Cliquez deux fois dessus
Sélectionner un mot, puis les suivants | Cliquez deux fois sur le mot et faites glisser le curseur, double-clic dessus et Maj-clic
Sélectionner la phrase en cours, puis la suivante | Appuyez sur échap h s Appuyez sur ctrl+Maj+fin
Sélectionner la phrase en cours, puis la précédente | Appuyez sur échap maj+h maj+s Appuyez sur ctrl+ maj+accueil
Sélectionner un paragraphe | Cliquez trois fois dessus.
Sélectionner un paragraphe, puis les suivants | Cliquez trois fois dessus et faites glisser le curseur ; cliquez trois fois dessus, puis Maj-clic
Supprimer le caractère précédent | retour arrière
Supprimer tous les caractères précédents jusqu’au début du mot précédent | Echap k b
Supprimer tous les caractères précédents jusqu’à la fin de la phrase précédente | Echap k a
Supprimer le caractère suivant | Suppr
Supprimer tous les caractères suivants jusqu’à la fin d’un mot | échap k f ctrl+suppr.
Supprimer tous les caractères suivants jusqu’à la fin d’une ligne | Ctrl+Maj+Suppr
Supprimer tous les caractères suivants jusqu’au début de la phrase suivante | Echap k s
Parent topic: Raccourcis clavier


Saisie de caractères spéciaux

Caractères | Raccourci clavier
(bullet) | Ctrl+q %
† (dagger) | Ctrl+q espace
‡ (double croix) | Ctrl+q `
™ (marque commerciale) | Ctrl+q *
© (copyright) | Ctrl+q )
® (marque déposée) | Ctrl+q (
¶ (symbole de paragraphe) | Ctrl+q &
§ (symbole de section) | Ctrl+q $
… (points de suspension) | Ctrl+q Maj+i
(tiret cadratin) | Ctrl+q Maj+q
(tiret demi-cadratin) | Ctrl+q Maj+p
‘ | Ctrl+'
" | Echap "
(option Guillemets ouvrants/fermants désactivée) | Ctrl+q Maj+t
(option Guillemets ouvrants/fermants désactivée) | Ctrl+q Maj+u
(option Guillemets ouvrants/fermants désactivée) | ctrl+q maj+r alt+ctrl+´
(option Guillemets ouvrants/fermants désactivée) | ctrl+q maj+s alt+ctrl+'
Espace cadratin | échap espace m ctrl+maj+espace
Insérer | Raccourci clavier
Une espace demi-cadratin | échap espace n alt+ctrl+espace
Espace insécable | échap espace h ctrl+espace
Une espace numérique | Echap espace 1
Une espace fine | Echap espace t
Tiret insécable | Echap - h
Symbole de césure insécable | Echap n s
Tiret de césure facultatif | échap - maj+d ctrl+-
Retour forcé | Maj+Entrée
Accent | Appuyez sur échap, puis saisissez ce qui suit | Suivi de l’un de ces caractères | Exemple
´ (accent aigu) | ' (apostrophe) | a, A, e, E, i, I, o, O, u, U | É, é
` (accent grave) | ` (guillemet ouvrant) | a, A, e, E, i, I, o, O, u, U | È, è
˜ (tilde) | ~ (tilde) | a, A, n, N, o, O | Ñ, ñ
¨ (tréma) | % (pourcentage) | a, A, e, E, i, I, o, O, u, U, y, Y | Ü, ü
ˆ (accent circonflexe) | ^ (caret) | a, A, e, E, i, I, o, O, u, U | Ê, ê
° (degré) | * (astérisque) | a, A | Å, å
¸ (cédille) | , (comma) | c, C | Ç, ç
Parent topic: Raccourcis clavier


panneau Équations

  • Liste déroulante Equations
  • Page Symboles
  • Page Opérateurs
  • Page Grands
  • Page Délimiteurs
  • Page Relations
  • Page Calcul
  • Page Matrices
  • Page Fonctions
  • Positionnement des pages
  • Navigation dans une équation
Parent topic: Raccourcis clavier


Liste déroulante Equations

Commande | Raccourci clavier
Nouvelle petite équation | Echap m s
Nouvelle moyenne équation | Echap m m
Nouvelle grande équation | Echap m l
Equation réduite | Echap m p
Equation développée | Echap m e
Tailles d’équations | Echap p e
Polices d’équations | Echap m f
Insérer élément mathématique | Echap m i
Ajouter au catalogue de définitions | Echap m c
Mise à jour d’une définition | Echap m Maj+u
Parent topic: panneau Équations


Page Symboles

Lettres grecques

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Menus d’ élément | Raccourci clavier | Séquence de barre oblique inverse
 | Ctrl+Alt+a | \alpha
 | Ctrl+Alt+b | \beta
 | Ctrl+Alt+Maj+g | \Gamma
 | Ctrl+Alt+g | \gamma
 | Ctrl+Alt+Maj+d | \Delta
 | Ctrl+Alt+d | \delta
 | Ctrl+Alt+e | \epsilon
 | Ctrl+Alt+z | \zeta
 | Ctrl+Alt+h | \eta
 | Ctrl+Alt+Maj+q | \Theta
 | Ctrl+Alt+q | \theta
 | Ctrl+Alt+Maj+j | \vartheta
 | Ctrl+Alt+i | \iota
 | Ctrl+Alt+k | \kappa
 | Ctrl+Alt+Maj+l | \Lambda
 | Ctrl+Alt+l | \lambda
 | Ctrl+Alt+m | \mu
 | Ctrl+Alt+n | \nu
 | Ctrl+Alt+Maj+x | \Xi
 | Ctrl+Alt+x | \\x
 | Ctrl+Alt+Maj+p | \Pi
 | Ctrl+Alt+p | \pi
 | Ctrl+Alt+r | \rho
 | Ctrl+Alt+Maj+s | \Sigma
 | Ctrl+Alt+s | \sigma
 | Ctrl+Alt+Maj+e | \varsigma
 | Ctrl+Alt+t | \tau
 | Ctrl+Alt+Maj+u | \Upsilon
 | Ctrl+Alt+u | \upsilon
 | Ctrl+Alt+Maj+f | \Phi
 | Ctrl+Alt+f | \phi
 | Ctrl+Alt+j | \varphi
 | Ctrl+Alt+x | \chi
 | Ctrl+Alt+Maj+y | \Psi
 | Ctrl+Alt+y | \psi
 | Ctrl+Alt+Maj+o | \Omega
 | Ctrl+Alt+o | \omega
 | Ctrl+Alt+Maj+i | \varpi
 | Ctrl+Alt+7 | \cpartial

Autres symboles spéciaux

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Menus d’ élément | Raccourci clavier | Séquence de barre oblique inverse
 | Ctrl+Alt+1 | \infty
 | Ctrl+Alt+2 | \bot
... | Ctrl+g . | \ldots
 | Ctrl+Alt+3 | \aleph
 | Ctrl+Alt+4 | \Im
 | Ctrl+m $ | \Re
 | Ctrl+Alt+5 | \wp
 | Ctrl+Alt+0 | \emptyset
 | Ctrl+Alt+6 | \nabla
° | Ctrl+m ) | \degree
‘ | Ctrl+Alt+` | \prime
“ | Ctrl+m " | \pprime

Chaînes

Commande | Raccourci clavier
Début de chaîne | ' ou "
Fin de chaîne | return

Signes diacritiques

Menus d’ élément | Raccourci clavier
 | `
 | ~
 | Ctrl+g -
 | Ctrl+Alt+Maj+v
 | Ctrl+g ^
 | .
 | Ctrl+g ~
 | Ctrl+g _
 | Ctrl+g →
 | Ctrl+g @
Parent topic: panneau Équations


Page Opérateurs

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Elément ou commande | Raccourci clavier | Séquence de barre oblique inverse
+ | + | \plus
_ | - (après un opérande) |
?x? | Ctrl+m * | \cross
 | Ctrl+m . | \cdot
 | Ctrl+8 | \bullet
Basculer format | ctrl+maj+t échap m T |
 | Ctrl+Alt+/ | \fract
 | Ctrl+m / | \div
 | / | \over
?=? | = | \equal
 | Ctrl+g = | \uequal
 | Ctrl+j | \jotdot
?,? | , | \comma
 | <Utiliser la séquence de barre oblique inverse> | \otimes
 | <Utiliser la séquence de barre oblique inverse> | \oplus
 | <Utiliser la séquence de barre oblique inverse> | \wedge
 | <Utiliser la séquence de barre oblique inverse> | \vee
 | Ctrlm i | \cap
 | Ctrl+m u | \cup
 | Ctrl+m , | \ucomma
 | ; | \point-virgule
 | Ctrl+m n | \neg
- | Ctrl+- | \minus
 | Ctrl+m 1 | \mp
 | ctrl+q 1 | \pm
 | <Utiliser la séquence de barre oblique inverse> | \grad
 | Ctrl+q Maj+q (et ajouter un opérande) |
 | Ctrl+m Ctrl+d | \change
 | Ctrl+m x | \box
 | Ctrl+m o | \boxdot
 | Ctrl+m 2 | \box2
 | Ctrl+m m | \forall
 | Ctrl+m e | \exist
 | Ctrl+m t | \therefore
 | ctrl+a échap m v l | \atop (L minuscule)
 | Ctrl+m ; | \list esc m h l
 | * | \times
 | Ctrl+g | (bar) | \abs
 | Echap m ^ |
 | Echap m Ctrl+Maj - |
 | Ctrl+m Ctrl+^ |
 | Ctrl+m Ctrl+ Maj - |
 | Ctrl+r | \sqrt
 | Ctrl+r (et ajouter un opérande) |
 | Ctrl+Maj+e | \sn
 | ^ | \power
 | Ctrl+m d | \dagger
 | ! | \fact
 | Ctrl+m s | \ast
 | Ctrl+q Maj+p | \angle
Parent topic: panneau Équations


Page Grands

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Utilisez ces raccourcis pour saisir chaque élément sur une grande page avec un seul opérande. Ensuite, utilisez Ajouter opérande et Basculer format selon le cas.

Elément ou commande | Raccourci clavier | Séquence de barre oblique inverse
 | Ctrl+Maj+s | \sum
 | Ctrl+Maj+p | \prod
 | Ctrl+i | \int
 | S.O. | \oint
 | Ctrl+m Maj+i | \bigcap
 | Ctrl+m Maj+u | \bigcup
Ajouter opérande | ctrl+maj+n esc m n |
Basculer format | ctrl+maj+t échap m maj+t |
Parent topic: panneau Équations


Page Délimiteurs

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Elément ou commande | Raccourci | Séquence de barre oblique inverse
( ? ) | ( | \id
[ ? ] | [ (crochet gauche) |
? } | { (accolade gauche) |
? | | | (barre) | \substitution
< ? > | Ctrl+m < | \dangle
|?| | Ctrl+g | (bar) | \abs
( ? | Ctrl+m ( | \lparen
[ ? | Ctrl+m [ (crochet gauche) |
{ ? | Ctrl+m { (accolade gauche) |
? | | | (barre) (et ajouter opérande) |
|? > | Ctrl+m k | \ket
||?|| | Ctrl+m | (barre) | \norm
? ) | ) | \rparen
? ] | ] (crochet droit) |
? } | } (accolade droite) |
? | | | (barre) (et ajouter deux opérandes) |
< ? | | Ctrl+m b | \bra
 | Ctrl+q i | \ceil
( ?, ? ) | Ctrl+m Maj+n | \inprod
[ ?, ? ] | Ctrl+m Maj+c | \cmut
{ ?, ? } | Ctrl+m Maj+a | \acmut
 | _ (souligné) | \overline
< ? | ?> | Ctrl+m Maj+c | \bket
 | Ctrl+q k | \floor
 | Ctrl+m h | \choice
 | Ctrl+m Maj+d | \downbrace
 | Ctrl+m Maj+p | \upbrace
Basculer format | ctrl+maj+t échap m T |
Supprimer les parenthèses | Echap m r p |
Parent topic: panneau Équations


Page Relations

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Menus d’ élément | Raccourci | Séquence de barre oblique inverse
? < ? | < | \lessthan
? > ? | > | \greaterthan
? = ? | = | \equal
? ~ ? | Ctrl+m ~ | \sim
 | Ctrl+q Maj+l | \subset
 | Ctrl+q Maj+i | \supset
 | Ctrl+q , | \leftarrow
 | Ctrl+q . | \rightarrow
 | Ctrl+q + | \lrarrow
 | Ctrl+m r | \perp
 | Ctrl+g < | \leq
 | Ctrl+g > | \geq
 | Ctrl+q : | \equiv
 | Ctrl+q ; | \approx
 | Ctrl+q Maj+j | \subseteq
 | Ctrl+q Maj+m | \supseteq
 | Ctrl+q \ | \Leftarrow
 | Ctrl+q ^ | \Rightarrow
 | Ctrl+q [ | \LRarrow
 | Ctrl+m p | \parallel
 | Ctrl+q l | \ll
 | Ctrl+q g | \gg
 | Ctrl+q = | \notequal
 | @ | \cong
 | Ctrl+q Maj+n | \in
 | Ctrl+' | \ni
 | Ctrl+q Maj+o |
= ? | Ctrl+g = | \uequal
 | Ctrl+q Maj+k | \notsubset
 | ctrl+q 5 | \propto
Parent topic: panneau Équations


Page Calcul

Appuyez sur Entrée pour valider la séquence de barre oblique inverse de la troisième colonne.

Utilisez ces raccourcis pour saisir chaque élément sur une grande page avec un seul opérande. Ensuite, utilisez Ajouter opérande et Basculer format selon le cas.

Elément ou commande | Raccourci | Séquence de barre oblique inverse
 | Ctrl+i | \int
 | Ctrl+Maj+i | \oint
Ajouter opérande | ctrl+maj+n esc m n |
Basculer format | ctrl+maj+t échap m T |
 | Ctrl+g t | \optotal
 | Ctrl+g Maj+t |
 | Ctrl+g p | \oppartial
 | Ctrl+g Maj+p |
 | Ctrl+g t (et ajouter un opérande) |
 | Ctrl+g Maj+t (et ajouter un opérande) |
 | Ctrl+g p (et ajouter un opérande) |
 | Ctrl+g Maj+p (et ajouter un opérande) |
 | Ctrl+Alt+d | \var
 | Ctrl+q Maj+q | \grad
 | Ctrl+d | \diff
 | Ctrl+m c | \curl
 | Ctrl+Maj+d | \partial
 | Ctrl+m v | \diver
 | Ctrl+Maj+l | \lim
 | Ctrl+m l | \lap
Parent topic: panneau Équations


Page Matrices

Pour insérer une matrice, quelle que soit sa taille, commencez par une matrice 1 x 1. Ensuite, ajoutez les lignes et les colonnes une par une.

Commande | Raccourci
Ajouter/Enlever crochets | Ctrl+Maj+t

Liste déroulante Commandes matricielles

Commande | Raccourci
Créer matrice 1 x 1 | Echap x m
Ajouter ligne | Echap x r
Ajouter colonne | échap x c ctrl+maj+c
Transposition | Echap x t
Calcul algébrique | Echap x a

Liste déroulante Hauteur de ligne des matrices

Commande | Raccourci
Basculer entre Toutes égales et Proportionnelle | Echap m t r

Liste déroulante Largeur de colonne des matrices

Commande | Raccourci
Basculer entre Toutes égales et Proportionnelle | Echap m t c
Parent topic: panneau Équations


Page Fonctions

Pour insérer une fonction (hormis la fonction générale et la limite) à partir du clavier, saisissez son nom comme indiqué ci-dessous.

Menus d’ élément | Raccourci | Séquence de barre oblique inverse
? ( ? ) | Ctrl+f | \function
 | Ctrl+Maj+l | \lim

Liste déroulante des ajouts

Commande | Raccourci
Ajouter fractions | Echap m a a
Ordon. pol. décroissant | Echap m a o
Ordon. pol. croissant | Echap m a Maj+o

Liste déroulante Multiplication

Commande | Raccourci clavier
Mise en facteur | Echap m u f
Mise en facteur partielle | Echap m u Maj+f
Développer | Echap m u m
Développer une fois | Echap m u Maj+m
Répartir | Echap m u d
Répartir sur égalité | Echap m u Maj+d

Liste déroulante de la division

Commande | Raccourci clavier
Division longue | Echap m d l
Enlever division | Echap m d d
Enlever division 1er niveau | Echap m d Maj+d
Enlever puissances négatives | Echap m d n
Enlever puissances négatives 1er niveau | Echap m d Maj+n

Liste déroulante Evaluation

Commande | Raccourci clavier
Calculer en virgule flottante | Echap m v n
Afficher tous les chiffres | Echap m c .
Calculer | Echap m v e
Calculer après substitution | Echap m v s
Calculer les intégrales | Echap m v i
Calculer les dérivées | Echap m v d
Calculer dérivées 1er niveau | Echap m v Maj+d

Liste déroulante des règles

Commande | Raccourci clavier
Entrer règle | Echap m r e
Appliquer règle | Echap m r a
Désigner pseudo-variable | Echap m r d

Menu déroulant Reformulation

Commande | Raccourci clavier
Simplifier | Echap m o s
Simplifier partie | Echap m o Maj+s
Isoler terme | Echap m o i
Dévelop. 1er terme | Echap m o e
Dévelop. tous termes | Echap m o Maj+e
Parent topic: panneau Équations


Positionnement des pages

Micropositionnement

Le nombre de points indiqué dans ce tableau est basé sur un zoom à 100 %.

Tâche | Raccourci clavier
Monter d’un point | Alt+↑
Descendre d’un point | Alt+↓
Déplacer d’un point vers la gauche | Alt+←
Déplacer d’un point vers la droite | Alt+→
Monter de six points | Alt+Maj+↑
Descendre de six points | Alt+Maj+↓
Déplacer de six points vers la gauche | Alt+Maj+←
Déplacer de six points vers la droite | Alt+Maj+→
Supprimer le micropositionnement | Alt+origine

Liste déroulante (alignement) Gauche/Droite

Commande | Raccourci clavier
Vers la gauche | Echap m a l
Centre | Echap m a c
Vers la droite | Echap m a r
A gauche de = | Echap m a +
A droite de = | Echap m a =
Manuel | Echap m a s
Annuler | Echap m a d
Rétablir alignement | Echap m a Maj+r

Liste déroulante (alignement) Haut/Bas

Commande | Raccourci clavier
Haut | Echap m a t
Ligne de base | Echap m a Maj+b
Bas | Echap m a b

Liste déroulante Saut de ligne

Commande | Raccourci clavier
Manuel | Echap m b s
Annuler | Echap m b c
Parent topic: panneau Équations


Navigation dans une équation

Déplacement du point d’insertion

Déplacer | Raccourci clavier
Vers la gauche | ←
Vers la droite | →
D’une fraction au numérateur | ↓

Modification de la sélection

Tâche | Raccourci clavier
Sélectionner l’invite (point d’interrogation) suivante | Tab
Augmenter la sélection | espace
Sélectionner l’élément suivant sur la gauche | ←
Sélectionner l’élément suivant sur la droite | →

Déplacement d’éléments mathématiques en conservant l’équivalence algébrique

Déplacer | Raccourci clavier
Vers la gauche | Maj+←
Vers la droite | Maj+→
Vers le haut | Maj+↑
Vers le bas | Maj+↓
Le plus loin à gauche | Ctrl+Alt+←
Le plus loin à droite | Ctrl+Alt+→
A gauche dans l’expression | Ctrl+Maj+←
A droite dans l’expression | Ctrl+Maj+→

Déplacement d’éléments mathématiques sans conserver l’équivalence algébrique

Basculer | Raccourci clavier
Avec l’élément de gauche | Ctrl+m Ctrl+←
Avec l’élément de droite | Ctrl+m Ctrl+→
Parent topic: panneau Équations


Filtrage par attribut

Tâche | Raccourci clavier
Ouvrir la boîte de dialogue Gérer les expressions d’attribut | Echap a c
Parent topic: Raccourcis clavier


Rechercher et modifier

Tâche | Raccourci clavier
Rechercher vers le bas | échap f i n échap e maj+f ctrl+maj+f alt+ctrl+s
Rechercher vers le haut | échap f i p alt+ctrl+f alt+ctrl+r
Remplacer la sélection actuelle | Echap r o
Remplacer toutes les occurrences du texte recherché dans le document | Echap r g
Remplacer et poursuivre la recherche | Echap r a
Remplacer les paramètres des boîtes de dialogue Chercher format de caractères et Remplacer par format de caractères par Tel que | Maj+F8
Remplacer les paramètres des boîtes de dialogue Chercher format de caractères et Remplacer par format de caractères par ceux du texte sélectionné | Maj+F9
Afficher la boîte de dialogue Définir les paramètres de recherche/remplacement | Echap f i s
Rechercher | Chaîne de caractères
Symbole de tabulation | \t
Retour forcé | \r
Un symbole de fin de paragraphe | \p
Un début de paragraphe | \P
Espace insécable | \ (espace)
Une espace fine | \i, \st
Rechercher | Chaîne de caractères
Une espace demi-cadratin | \N, \sn
Espace cadratin | \M, \sm
Une espace numérique | \#, \s#
Un symbole de fin d’enchaînement | \f
` (accent grave) | \{
\ (barre oblique inverse) | \\
Tiret de césure facultative | \-
Un trait d’union insécable | \+
Un symbole de césure insécable | \_
Le début d’un mot | \<
La fin d’un mot | \>
Avec l’option Utiliser des caractères génériques activée
Un nombre quelconque de caractères | *
Des espaces ou une ponctuation | | (barre)
Un caractère quelconque | ?
Le début d’une ligne | ^
La fin d’une ligne | $
L’un des caractères ab entre crochets | [ab]
Un caractère quelconque sauf ab | [^ab]
N’importe quel caractère de a à f | [a-f]
Parent topic: Raccourcis clavier


Touches de fonction

Touche | Fonction | Ctrl | Maj | Alt
F1 | Aide | Aligner en haut |  |
F2 | Texte simple | Aligner au milieu |  |
F3 | Souligné | Aligner en bas | Surligné |
F4 | Gras |  | Cascade | Quitter
F5 | Italique |  | Mosaïque |
F6 |  |  |  |
F7 |  |  | Pointer sur la fenêtre de document |
F8 | Choisir un style de caractères en tapant |  | Remplacer les paramètres de la boîte de dialogue par Tel que |
F9 | Choisir un style de paragraphes en tapant | Transposer des caractères | Remplacer les paramètres de la boîte de dialogue par ceux du texte en cours |
F10 |  |  | Afficher un menu contextuel |
Parent topic: Raccourcis clavier


Insertion hiérarchique d’éléments

Touche/action de touche | Type de navigation/d’action
Placez le curseur dans un élément, puis appuyez sur la touche Entrée. | Afficher le catalogue rapide
→ | Afficher les éléments disponibles au sein de l’élément sélectionné
← | Masque un niveau de hiérarchie des éléments
Tab | Faire défiler vers le bas
Maj+Tab | Faire défiler vers le haut
Lettre/combinaison de lettres | Saisissez une lettre ou une combinaison de lettres pour sélectionner un élément. Par exemple, appuyez sur C pour sélectionner Corps et tapez R,U pour accéder à Rubrique.
Parent topic: Raccourcis clavier


Marqueurs et variables

  • Insertion d’un marqueur
  • Insertion d’une variable
Parent topic: Raccourcis clavier


Insertion d’un marqueur

Tâche | Raccourci clavier
Insérer un marqueur | Echap m k
Insérer un marqueur hypertexte | Echap m h
Ouvrir la boîte de dialogue Modifier les types de marqueurs | Echap e m t
Parent topic: Marqueurs et variables


Insertion d’une variable

Tâche | Raccourci clavier
Insérer une variable en saisissant les premiers caractères de son nom et en appuyant sur Entrée | échap q v ctrl+0
Parent topic: Marqueurs et variables


Commandes de menu

  • Menus contextuels
  • Menu Fichier (fenêtre de document)
  • Menu Fichier (fenêtre de livre)
  • Menu Edition (fenêtre de document)
  • Menu Edition (fenêtre de livre)
  • Menu Ajouter (fenêtre de livre)
  • Menu Elément
  • Menu Format
  • Menu Affichage (fenêtre de document)
  • Menu Affichage (fenêtre de livre)
  • Menu Spécial
  • Menu Graphiques
  • Menu Tableau
  • Menu structure
  • Menu DITA
  • Menu Fenêtre
Parent topic: Raccourcis clavier


Menus contextuels

Tâche | Action
Afficher une liste déroulante des commandes s’appliquant à la sélection ou au contexte | Cliquez avec le bouton droit sur un objet, dans la marge d’un document ou dans une fenêtre de livre.
Parent topic: Commandes de menu


Menu Fichier (fenêtre de document)

Tâche | Raccourci clavier
Nouveau > Document | échap f n ctrl+n
Nouveau > Livre | Echap f Maj+n
Ouvrir | échap f o ctrl+o
Fermer | échap f c échap f q ctrl+w ctrl+F4 ctrl+maj+w
Fermer fichiers ouverts | échap f maj+c échap f maj+q
Enregistrer | échap f s ctrl+s
Enreg. fichiers ouverts | Echap f Maj+s
Enregistrer sous | Echap f a
Enregistrer au format PDF | Echap f w p
Enregistrer au format XML | Echap f w x
Version précédente | Echap f r
Importer > Fichier | Echap f i f
Importer > Formats | Echap f i o
Importer > Objet | Echap f i b
Importer > Définitions d’éléments | Echap f i e
Impression | échap f p ctrl+p
Configuration de l’impression | Ctrl+Maj+p
Envoyer | Echap f m
Envoyer tous les fichiers ouverts | Echap f Maj+m
Utilitaires > Comparaison de documents | Echap f t c
Utilitaires > Rapports sur les documents | Echap f t r
Utilitaires > Configuration HTML | Echap f t h
Utilitaires > Créer et appliquer des formats | Echap f t f
Utilitaires > Entrée hexadécimale | win h
Utilitaires > Palette Caractères | win i
boîte de dialogue Préférences | Echap f Maj+p
Quitter | Alt+F4
Parent topic: Commandes de menu


Menu Fichier (fenêtre de livre)

Tâche | Raccourci clavier
Nouveau document | échap f n ctrl+n
Nouveau livre | Echap f Maj+n
Ouvrir | échap f o ctrl+o
Ouvrir tous les fichiers du livre | Echap f Maj+o
Fermer livre | échap f c ctrl+w
Fermer tous les fichiers du livre | Echap f Maj+s
Enregistrer le livre | échap f s ctrl+s
Enreg. fichiers du livre | Echap f Maj+s
Enregistrer le livre sous | Echap f a
Version précédente du livre | Echap f r
Importer > Formats | Echap f i o
Importer > Définitions d’éléments | Echap f i e
Imprimer les fichiers sélectionnés | Echap f Maj+f
Impression de livre | échap f p ctrl+p
Configuration de l’impression | Ctrl+Maj+p
Utilitaires > Comparer les livres | Echap f b
boîte de dialogue Préférences | Echap f Maj+p
Quitter | Alt+F4
Parent topic: Commandes de menu


Menu Edition (fenêtre de document)

Tâche | Raccourci clavier
Annuler/Répéter | échap e u ctrl+z ctrl+maj+z
Couper | échap e x ctrl+x maj+suppr
Copier | échap e c ctrl+c ctrl+ins
Coller | échap e p ctrl+v maj+ins
Coller (spécial) | Ctrl+ Maj+v
Supprimer | Echap e b
Copier (spécial) > Valeurs d’attributs | Echap e y a
Copier (spécial) > Format paragraphes | Echap e y p
Copier (Spécial) > Format caractères | Echap e y c
Copier (spécial) > Paramètres de condition | Echap e y d
Copier (spécial) > Largeur de colonne | Echap e y w
Sélect. enchaînement | échap e a ctrl+a
Chercher/Remplacer | échap e f ctrl+f
Suivant | échap f i n échap e maj+f ctrl+maj+f
vérificateur orthographique | Echap e s
Thésaurus | Echap e t
panneau Caractéristiques | Echap e i
Mettre à jour les références | Echap e Maj+u
Historique | ctrl+K échap e h
Vérification orthographique automatique activée/désactivée | Echap a u s
Répéter | F6
Liens | Echap e k
Objet | Aucun raccourci disponible
Parent topic: Commandes de menu


Menu Edition (fenêtre de livre)

Tâche | Raccourci clavier
Annuler/Répéter | échap e u ctrl+z ctrl+maj+z
Historique | Echap e h
Couper | échap e x ctrl+x maj+suppr
Copier | échap e c ctrl+c
Coller | échap e p ctrl+v
Supprimer | Echap e b
Copier (spécial) > Valeurs d’attributs | Echap e y a
Sélectionner > Tout | Echap e a
Sélectionner > Fichiers générés | Echap e Maj+a Maj+g
Sélectionner > Fichiers non générés | Echap e Maj+a Maj+n
Sélectionner > Fichiers FrameMaker | Echap e Maj+a Maj+f
Sélectionner > Composants exclus | Echap e Maj+a Maj+e
Sélectionner > Composants non exclus | Echap e Maj+n Maj+e
Sélectionner > Composants de chapitre | Echap c l
Sélectionner > Composants de section | Echap s l
Sélectionner > Composants de sous-section | Echap s s l
Chercher/Remplacer | échap e f ctrl+f
Suivant | échap f i n échap e maj+f ctrl+maj+f
vérificateur orthographique | Echap e s
Configurer le fichier généré | Echap f d
Renommer | échap f e F2
Supprimer | Echap f x
Annuler la mise à jour automatique des références | Echap e Maj+s
boîte de dialogue Mettre à jour le livre | échap e maj+u échap f g
Parent topic: Commandes de menu


Menu Ajouter (fenêtre de livre)

Commande de menu | Raccourci clavier
Fichiers | Echap f f
Table des matières | Echap t o c
Liste de > Figures | Echap l o f
Liste de > Tableaux | Echap l o t
Liste de > Eléments et paragraphes | Echap l o p
Liste de > Eléments et paragraphes (Alphabétique) | Echap l o Maj+p
Liste de > Marqueurs | Echap l o m
Liste de > Marqueurs (Alphabétique) | Echap l o Maj+m
Liste de > Références | Echap l o r
Index standard | Echap i x
Index de > Auteurs | Echap i o a
Index de > Thèmes | Echap i o s
Index de > Marqueurs | Echap i o m
Index de > Références | Echap i o r
Parent topic: Commandes de menu


Menu Elément

Tâche | Raccourci clavier
Insérer un élément | Ctrl+1
Enchaîner élément | Ctrl+2
Modifier l’élément | Ctrl+3
Supprimer enchaînement | Echap+E+u
Modifier les attributs | Echap+E+A
Espaces de noms | Echap+E+N
Fusionner | Echap+E+m
Fusionner dans le dernier | Echap+E+M
Diviser | Echap+E+s
Promouvoir l’élément | Echap+E+P
Rétrograder l’élément | Echap+E+D
Basculer la réduction de l’élément | Echap+E+x
Basculer la réduction de tous les frères de l’élément | Echap+E+X
Transposer au précédent | Echap+E+T
Transposer au suivant | Echap+E+t
Répéter la dernière commande Elément | Echap+e+e
Passer à l’élément suivant | Echap+s+D
Passer à l’élément précédent | Echap+s+U
Passer à l’enfant suivant | Echap+s+N
Passer au début de l’élément | Echap+s+S
Passer à la fin de l’élément | Echap+s+E
Passer avant l’élément | Echap+s+B
Lancer le marqueur de fichier de configuration | Echap+C+F+M
Options d’affichage des attributs | Echap+v+A
Options d’affichage du catalogue | Echap+E+O+C
Options de nouvel élément | Echap+E+O+I
Parent topic: Commandes de menu


Menu Format

Commande de menu | Raccourci clavier
Police | Aucun raccourci disponible
Taille | Aucun raccourci disponible
Style > Normal | échap c p F2
Style > Gras | échap c b F4 ctrl+b ctrl+maj+b
Style > Italique | échap c i F5 ctrl+i
Style > Souligné | échap c u ctrl+u ctrl+maj+u
Style > Double souligné | Echap c d
Style > Surligné | Echap c o
Style > Barré | échap c s ctrl+/
Style > Barre de modif. | échap c h ctrl+maj+h
Style > Exposant | Echap c +
Style > Indice | Echap c -
Style > Petites capitales | échap c m ctrl+e
Caractères > Configuration | échap o c d ctrl+d
Caractères > Catalogue | Echap o c c
Caractères > Police de paragraphe par défaut | Echap o c p
Paragraphes > Configuration | échap o p d ctrl+m ctrl+maj+m
Paragraphes > Catalogue | Echap o p c
Mise en page > Aspect des colonnes | Echap o c l
Mise en page > Alignement vertical des paragraphes | Echap o l l
Mise en page > Format de page | Echap o p s
Mise en page > Pagination | Echap o p i
Mise en page > Usage de la maquette | Echap o m u
Mise en page > Nouvelle maquette | Echap o m p
Mise en page > Mise à jour aspect des colonnes | Echap o u p
Personnalisation de la mise en page > Personnalisation de la zone de texte | Echap o c f
Personnalisation de la mise en page > Connecter zones de texte | Echap Maj+c Maj+c
Personnalisation de la mise en page > Déconnecter de la zone précédente | Echap Maj+c Maj+p
Personnalisation de la mise en page > Déconnecter de la zone suivante | Echap Maj+c Maj+n
Personnalisation de la mise en page > Déconnecter zones suivante et précédente | Echap Maj+c Maj+b
Personnalisation de la mise en page > Diviser la zone de texte | Echap Maj+c Maj+s
Personnalisation de la mise en page > Rotation page vers l’avant | Echap p Maj+o
Personnalisation de la mise en page > Rotation page vers l’arrière | Echap p o
Personnalisation de la mise en page > Annuler rotation page | Echap p Maj+o u
Personnalisation de la mise en page > Polices combinées | Echap o c o
Document > Numérotation | échap o d n échap e n
Document > Barres de modification | Echap o b
Document > Caractéristiques des notes | Echap o f
Document > Options de texte | Echap o t o
Document > Configuration PDF | Echap o d a
Document > Caractéristiques Rubi | Echap o r
En-têtes et pieds de pages > Insérer numéro de page | Echap o h p
En-têtes et pieds de pages > Insérer nombre de pages | Echap o h c
En-têtes et pieds de pages > Insérer date courante | Echap o h d
En-têtes et pieds de pages > Insérer autre | Echap o h o
Parent topic: Commandes de menu


Menu Affichage (fenêtre de document)

Commande de menu | Raccourci clavier
Barre d’accès rapide | Echap v q
Barre de formatage de paragraphe | Echap V p a
Barre de formatage de texte | Echap V t e
Barre de formatage de tableau | Echap V t a
Alignement d'objets | Echap V o a
Barre de caractéristiques d’objets | Echap V o p
Barre de suivi des modifications du texte | Echap Maj+v e
Bordures | Echap v b
Symboles de texte | Echap v t
Règles | Echap v r
Grille | Echap v g
Limites d’éléments | Echap v Maj+e
Limites d’éléments (en tant que balises) | Echap v Maj+t
Options | Echap v o
Options d’affichage des attributs | Echap v Maj+a
Aller à la page | échap v p ctrl+g ctrl+maj+g
Pages courantes | Echap v Maj+b
Maquettes | Echap v Maj+m
Pages de référence | Echap v Maj+r
Couleur > Vues | Echap v c v
Couleur > Définition | Echap v c d
Menus > Courts | Echap v m q
Menus > Longs | Echap v m c
Menus > Modifier | Echap v m m
Parent topic: Commandes de menu


Menu Affichage (fenêtre de livre)

Commande de menu | Raccourci clavier
Barre d’accès rapide | Echap v q
Formatage de texte | Echap V t e
Formatage de tableau | Echap V t a
Formatage de paragraphe | Echap V p a
Alignement d'objets | Echap V o a
Caractéristiques de l’objet | Echap V o p
Suivi des modifications du texte | Echap Maj+v e
Bordures | Echap Maj+v b s
Masquer les bordures | Echap Maj+v b h
Afficher les symboles de texte | Echap Maj+v t s
Masquer les symboles de texte | Echap Maj+v t h
Afficher les règles | Echap Maj+v r s
Masquer les règles | Echap Maj+v r h
Afficher la grille | Echap Maj+v g s
Masquer la grille | Echap Maj+v g h
Afficher les graphiques | Echap Maj+v v s
Masquer les graphiques | Echap Maj+v v h
Filtrage par attribut | Echap a c
Afficher les limites d’éléments | Echap Maj+v Maj+e s
Masquer les limites d’éléments | Echap Maj+v Maj+e h
Afficher les limites d’éléments (balises) | Echap Maj+v Maj+t s
Options | Echap v o
Options d’affichage des attributs | Echap v Maj+a
Zoom > Agrandir | Echap z i
Zoom > Réduire | Echap z o
Zoom > Par défaut | Echap z z
Couleur > Vues | Echap v c v
Couleur > Définition | Echap v c d
Menus > Courts | Echap v m q
Menus > Longs | Echap v m c
Menus > Modifier | Echap v m m
Parent topic: Commandes de menu


Menu Spécial

Commande de menu | Raccourci clavier
Saut de page | Echap s p b
Cadre ancré | Echap s a
Note | Echap s f
Référence croisée | Echap s c
Variable | Echap s v
boîte de dialogue Hypertexte | Echap s h
Marqueur | Echap s m
panneau Équations | Echap s e
Filtrage par attribut | Echap a c
Texte conditionnel | Echap s Maj+c
Gérer la condition | Echap m Maj+c
Appliquer le texte conditionnel | Echap s Maj+c
Afficher/Masquer le texte conditionnel | Echap v Maj+c
Afficher l’indicateur de condition | Echap Maj+v Maj+o s
Masquer l’indicateur de condition | Echap Maj+v Maj+o h
Activer/Désactiver les indicateurs conditionnels | Echap v Maj+o
Afficher une étiquette de condition | Echap q Maj+s
Sélectionner les mêmes étiquettes de condition | Echap h Maj+c
Afficher la condition appliquée au texte sur lequel est placé le curseur | Echap q Maj+c
Focus dans le texte conditionnel | Echap Maj+f i o
Boîte de dialogue Fermer Texte conditionnel | Echap Maj+c o
Activer ou désactiver la fonction de suivi des modifications | Echap s t o
Afficher la suivante | Echap s t n
Afficher la précédente | Echap s t p
Accepter la modification | Echap s t a
Refuser la modification | Echap s t r
Accepter tout | Echap s t Maj+a
Refuser tout | Echap s t Maj+r
Aperçu final | Echap s t Maj+f
Aperçu original | Echap s t Maj+o
Aperçu désactivé | Echap s p o
Texte Rubi | Echap s r
Table des matières | Echap t o c
Liste de > Figures | Echap l o f
Liste de > Tableaux | Echap l o t
Liste de > Eléments et paragraphes | Echap l o p
Liste de > Eléments et paragraphes (Alphabétique) | Echap l o Maj+p
Liste de > Marqueurs (Alphabétique) | Echap l o m
Liste de > Marqueurs | Echap l o Maj+m
Liste de > Références | Echap l o r
Index standard | Echap i x
Index de > Auteurs | Echap i o a
Index de > Thèmes | Echap i o s
Index de > Marqueurs | Echap i o m
Index de > Références | Echap i o r
Ajouter des pages non connectées | Echap s p a
Supprimer des pages | Echap s p d
Retirer la structure de l’enchaînement | Echap s s f
Parent topic: Commandes de menu


Menu Graphiques

Commande de menu | Raccourci clavier
Outils | échap g maj+t échap 1 w
Grouper | Echap g g
Dissocier | Echap g u
Devant | Echap g f
Derrière | Echap g b
Aligner | Echap g a
Répartir | Echap g d
Transformer | Echap g r
Lisser | Echap g s
Rendre brut | Echap g m
Inverser H/B | Echap g v
Inverser G/D | Echap g h
Rotation | Echap g t
Redimension | Echap g z
Nombre côtés | Echap g n
Joindre courbes | Echap g j
Caractéristiques de l’objet | Echap g o
Choisir caract. objet | Echap g Maj+o
Caractéristiques d’habillage | Echap g Maj+r
Gravité | Echap g y
Magnétisme | Echap g p
Menu 3D - Option de couleur d’arrière-plan | Alt+g+e+b
Menu 3D - Option d’éclairage | Alt+g+e+l
Lumières du fichier | Alt+g+e+l+l+l
Pas de lumières | Alt+g+e+l+n
Lumières blanches | Alt+g+e+l+w
Lumières diurnes | Alt+g+e+l+d
Lumières vives | Alt+g+e+l+b
Lumières couleurs primaires | Alt+g+3+l+p
Lumières nocturnes | Alt+g+3+l+i
Lumières bleues | Alt+g+3+l+u
Lumières rouges | Alt+g+3+l+r
Blocs lumineux cubiques | Alt+g+3+l+c
Lumières optimisées DAO | Alt+g+3+l+o
Projecteur | Alt+g+3+l+h
Afficher les vues existantes | Alt+g+3+s
Mode de rendu | Alt+g+3+r
Cadre | Alt+g+3+r+b
Cadre transparent | Alt+g+3+r+t
Contour de cadre transparent | Alt+g+3+r+o
Sommets | Alt+g+3+r+v
Sommets ombrés | Alt+g+3+r+s
Structure filaire | Alt+g+3+r+w
Structure filaire ombrée | Alt+g+3+r+h
Plein | Alt+g+3+r+l
Transparent | Alt+g+3+r+r
Structure filaire pleine | Alt+g+3+r+i
Structure filaire transparente | Alt+g+3+r+a
Illustration | Alt+g+3+r+d
Contour plein | Alt+g+3+r+d
Illustration ombrée | Alt+g+3+r+e
Structure filaire masquée | Alt+g+3+r+n
Parent topic: Commandes de menu


Menu Tableau

Tâche | Raccourci clavier
Insérer un tableau | Echap t i
configuration de tableaux, | échap t d ctrl+t ctrl+maj+t
Format ligne | Echap t r
Ombrage et trait personnalisés | Echap t x
Ajouter lignes ou colonnes | Echap t a
Redimensionner colonnes | Echap t z
Fusionner/Rediviser | Echap t l
Convertir en tableau/Convertir en paragraphes | Echap t v
Tri | Echap t s
Parent topic: Commandes de menu


Menu structure

Commande de menu | Raccourci clavier
Structure > Définir l’application structurée | échap f+maj+a alt+r+u
Structure > Utilitaires | Alt+r+l
Structure > Utilitaires > Convertir les documents structurés | échap f+t+s alt+r+l+c
Structure > Utilitaires > Convertir les documents au format structuré | échap f+t+d alt+r+l+d
Structure > Utilitaires > Structurer le document en cours | échap f+t+maj+x alt+r+l+s
Structure > Utilitaires > Structurer les documents | échap f+t+maj+d alt+r+l+t
Structure > Nouvelle EDD | Echap f Maj+d Maj+n
Structure > Exporter Catalogue d’éléments en tant qu’EDD | Echap f Maj+d Maj+x
Structure > Importer les styles CSS | Echap f Maj+d Maj+j
Structure > Afficher le contexte de l’élément | Echap f Maj+d Maj+e
Structure > Ouvrir DTD | Echap f Maj+d Maj+o
Structure > Importer DTD | Echap f Maj+d Maj+m
Structure > Enregistrer en tant que DTD | Echap f Maj+d Maj+s
Structure > Ouvrir le schéma | Echap f Maj+d Maj+y
Structure > Importer le schéma | Echap f Maj+d Maj+z
Structure > Modifier les définitions d’application | Echap f Maj+d Maj+a
Structure > Lire les définitions d’application | Echap f Maj+d Maj+r
Structure > Nouvelles règles de lecture/écriture | Echap f Maj+d Maj+w
Structure > Vérifier les règles de lecture/écriture | Echap f Maj+d Maj+c
Structure > Analyser le document structuré | Echap f Maj+d Maj+p
Structure > Générer tableau de conversion | Echap f Maj+d Maj+g
Structure > Générer CSS2 | Echap f Maj+d Maj+h
Parent topic: Commandes de menu


Menu DITA

Commande de menu | Raccourci clavier
Fchier>Nouveau>DITA><map> <map> désigne un élément dont l’attribut de classe commence par map/map et est suivi d’un caractère compris entre 1 et i | Echap Maj+n Maj+m i
Fichier>Nouveau>DITA><topic> Fichier>Nouveau>DITA><concept> Fichier>Nouveau>DITA><task> Fichier>Nouveau>DITA><reference> <topic> désigne un élément dont l’attribut de classe commence par topic/topic. | échap maj+n maj+t 1 échap maj+n maj+t 2 échap maj+n maj+t i
DITA > Nouveau fichier DITA > Actualiser le menu | Echap Maj+r Maj+m
DITA > Insérer Conref | Echap Maj+i Maj+c
DITA > Assigner un ID à l’élément | Echap Maj+a Maj+i
DITA > Mettre à jour les références | Echap Maj+u Maj+r
DITA > Ouvrir toutes les références de rubrique | Echap Maj+o Maj+a
DITA > Insérer une référence de rubrique | Echap Maj+i Maj+t
DITA > Générer le document FM à partir de DitaMap | Echap Maj+g Maj+d
DITA > Options DITA | Echap Maj+d Maj+o
Parent topic: Commandes de menu


Menu Fenêtre

Commande de menu | Raccourci clavier
Cascade | Maj+F4
Mosaïque | Maj+F5
Consolider | Maj+F6
Actualiser | Ctrl+l
Parent topic: Commandes de menu


Modes d’affichage de l’écran

Tâche | Raccourci clavier
Mode d’écran standard | Echap S M s
Plein écran avec interface utilisateur | Echap S M u
Mode Plein écran | Echap S M f
Changer le mode d’écran | Echap S M t
Parent topic: Raccourcis clavier


Sélection

Les raccourcis suivants permettent de sélectionner des objets sur la page active.

Tâche | Raccourci clavier
Sélectionner une ligne ou une zone de texte | Appuyez sur ctrl et cliquez sur la ligne ou la zone de texte
Etendre ou réduire la sélection | Appuyez sur maj et cliques sur un objet
Faire apparaître la bordure de sélection (lorsqu’il est impossible de l’obtenir en faisant glisser le pointeur après avoir cliqué en dehors de tout objet) | Appuyez sur ctrl+Maj et faites glisser le pointeur en diagonale
Sélectionner le premier objet dessiné | Echap o Maj+f
Sélectionner l’objet dessiné suivant | Echap o n
Etendre la sélection à l’objet dessiné suivant | Echap o e
Désélectionner une zone ou une ligne de texte et placer le point d’insertion dans celle-ci | Cliquez deux fois dans la zone ou la ligne de texte.
Parent topic: Raccourcis clavier


Tableaux

  • Sélection dans les tableaux
  • Navigation dans les tableaux
  • Caractères de tabulation dans les cellules
  • Manipulation de lignes et de colonnes
  • Remplacement de lignes et de colonnes
  • Alignement vertical dans les cellules
  • Largeur de colonne
  • configuration de tableaux,
  • Formats de tableaux
Parent topic: Raccourcis clavier


Sélection dans les tableaux

Opération | Raccourci clavier
Une cellule | Appuyez sur ctrl et cliquez sur la cellule
Une ligne | Appuyez sur ctrl et cliquez deux fois sur la bordure verticale dans la ligne
Une colonne | Appuyez sur ctrl et cliquez deux fois sur la bordure horizontale dans la ligne
Texte de la cellule située au-dessus de la cellule active | Echap t m u a
Texte de la cellule située en dessous de la cellule active | Echap t m d a
Tout le texte de la cellule en cours | Echap t h a
La cellule en cours, puis la suivante | Echap t h e
La ligne en cours, puis la suivante | Echap t h r
La colonne en cours, puis la suivante | Echap t h c
Les cellules courantes dans la colonne actuelle, puis les cellules courantes suivantes | Echap t h b
Le tableau en cours | échap t h t Ou appuyez sur ctrl et cliquez trois fois sur une cellule.
Etendre ou réduire la sélection | Appuyez sur ctrl + - et cliquez sur la dernière cellule que vous souhaitez sélectionner
Parent topic: Tableaux


Navigation dans les tableaux

Les raccourcis suivants permettent de passer à la cellule indiquée.

Pour passer | Raccourci clavier
A la cellule de droite | Echap t m r
A la cellule de gauche | Echap t m l
A la cellule inférieure | Echap t m d
A la cellule supérieure | Echap t m u
A la dernière cellule de la ligne en cours | Echap t m e
A la première cellule de la ligne en cours | Echap t m a
A la première cellule de la colonne en cours | Echap t m t
A la dernière cellule de la colonne en cours | Echap t m b
A la cellule sélectionnée en haut à gauche | échap t m s échap t h 0
A la cellule en haut à gauche | Echap t m Maj+t
Au début de la cellule | Ctrl+Page préc.
A la fin de la cellule | Ctrl+Page suiv.
A la cellule suivante et sélectionner tout le texte qui s’y trouve | tab échap t m n
A la cellule précédente et sélectionner tout le texte qui s’y trouve | maj+tab échap t m p
A la cellule en dessous et sélectionner tout le texte qui s’y trouve | Ctrl+Alt+Tab
A la cellule au-dessus et sélectionner tout le texte qui s’y trouve | Ctrl+Alt+Maj+Tab
Au point d’ancrage du tableau | Echap t Maj+i
Parent topic: Tableaux


Caractères de tabulation dans les cellules

Opération | Raccourci clavier
Saisir un caractère de tabulation dans une cellule | Echap Tab
Parent topic: Tableaux


Manipulation de lignes et de colonnes

FrameMaker ajoute ou supprime le nombre de lignes ou de colonnes qui se trouvent dans la sélection en cours.

Tâche | Raccourci clavier
Ajouter des lignes au-dessus de la première ligne sélectionnée | Echap t Maj+r a
Ajouter des lignes en dessous de la dernière ligne sélectionnée | échap t maj+r b ctrl+retour ctrl+j
Ajouter des colonnes à gauche de la colonne la plus à gauche sélectionnée | Echap t c l
Ajouter des colonnes à droite de la colonne la plus à droite sélectionnée | Echap t c r
Supprimer le contenu des lignes ou des colonnes sélectionnées, mais conserver les cellules du tableau | Echap t c e
Supprimer les lignes ou les colonnes sélectionnées du tableau | Echap t c x
Tri des lignes et des colonnes | Echap t s
Parent topic: Tableaux


Remplacement de lignes et de colonnes

Si le Presse-papiers ne contient pas de colonnes ni de lignes entières, les raccourcis suivants remplacent toujours les cellules sélectionnées.

Pour coller des lignes ou des colonnes entières | Raccourci clavier
En remplaçant les lignes ou les colonnes sélectionnées | Echap t p r
Avant la sélection en cours (au-dessus de la première ligne sélectionnée ou à gauche de la première colonne sélectionnée) | Echap t p b
Après la sélection en cours (en dessous de la dernière ligne sélectionnée ou à droite de la dernière colonne sélectionnée) | Echap t p a
Parent topic: Tableaux


Alignement vertical dans les cellules

Pour utiliser ces raccourcis, cliquez dans le premier paragraphe d’une cellule.

Alignement | Raccourci clavier
Aligner en haut | échap j t ctrl+F1
Aligner au milieu | échap j m ctrl+F2
Aligner en bas | échap j b ctrl+F3
Parent topic: Tableaux


Largeur de colonne

Pour redimensionner | Raccourci clavier
Des colonnes afin qu’aucun paragraphe ne dépasse des cellules sélectionnées | Echap t w
Une colonne sélectionnée sans modifier la largeur du tableau | Appuyez sur alt et faites glisser la poignée de la cellule sélectionnée
Copier la largeur de colonne dans le Presse-papiers | Echap e y w
Parent topic: Tableaux


configuration de tableaux,

Pour utiliser les raccourcis suivants, cliquez dans la fenêtre Configuration de tableaux.

Tâche | Raccourci clavier
Remplacer tous les paramètres par Tel que | Maj+F8
Remplacer tous les paramètres par ceux du tableau sélectionné | Maj+F9
Afficher la page de caractéristiques précédente | Page préc.
Afficher la page de caractéristiques suivante | Page suiv.
N’appliquer que le groupe de caractéristiques en cours | Appuyez sur ctrl et cliquez sur Appliquer
Parent topic: Tableaux


Formats de tableaux

Tâche | Raccourci clavier
Appliquer le format du tableau en cours au catalogue et aux tableaux possédant la même étiquette | Echap t u t
Afficher la boîte de dialogue Modifier le style de trait | Echap t e
Parent topic: Tableaux


Texte

  • Déplacement du point d’insertion
  • Placement du point d’insertion
  • Sélection de texte
  • Modification du texte
  • Texte asiatique
  • Suppression de texte
  • Casse
Parent topic: Raccourcis clavier


Déplacement du point d’insertion

Les raccourcis suivants permettent de déplacer le point d’insertion.

Pour passer | Raccourci clavier
Au caractère suivant | →
Au caractère précédent | ←
Au début d’un mot | Ctrl+←
A la fin d’un mot | Ctrl+→
Au début du mot suivant | Echap b w
Au début d’une ligne | origine
A la fin d’une ligne | fin
A la ligne précédente | ↑
A la ligne suivante | ↓
Au début d’une phrase | Ctrl+origine
A la fin d’une phrase | Ctrl+fin
Au début de la phrase suivante | Echap b s
Au début d’un paragraphe | Ctrl+↑
A la fin du paragraphe en cours | Ctrl+↓
Au début du paragraphe suivant | Echap b p
En haut d’une colonne | Ctrl+Page préc.
En bas d’une colonne | Ctrl+Page suiv.
Au début d’un enchaînement | Alt+Maj+Page préc.
A la fin d’un enchaînement | Alt+Maj+Page suiv.
Au début du premier enchaînement de texte visible | Ctrl+Maj+i
Parent topic: Texte


Placement du point d’insertion

Les raccourcis suivants permettent de placer le point d’insertion dans une zone de texte non pivotée sur la page en cours. L’ordre de dessin est l’ordre dans lequel FrameMaker affiche les objets sur une page : le premier objet dans l’ordre de dessin est celui qui se trouve à l’arrière-plan.

Pour placer le point d’insertion dans | Raccourci clavier
La première colonne de la première zone de texte selon l’ordre de dessin | Echap b f
La colonne suivante dans l’ordre de dessin des zones de texte | Echap b n
Parent topic: Texte


Sélection de texte

Avant d’utiliser les raccourcis suivants, cliquez dans le texte. Si vous activez un raccourci lorsque du texte est sélectionné, FrameMaker étend la sélection.

Opération | Raccourci clavier
Au caractère suivant | échap h c échap maj+h c maj+→
Au caractère précédent | échap maj+h maj+c maj+←
Le mot en cours, puis le suivant | échap h w échap maj+h w ctrl+maj+→
Le mot en cours, puis le précédent | échap maj+h maj+w ctrl+maj+←
La phrase en cours, puis la suivante | échap h s échap maj+h s ctrl+shift+fin
La phrase en cours, puis la précédente | échap maj+h maj+s ctrl+maj+accueil
La ligne en cours, puis la suivante | Echap Maj+h l Echap h l
La ligne en cours, puis la précédente | Echap Maj+h Maj+l
Le paragraphe en cours, puis le suivant | échap h p échap maj+h p ctrl+maj+↓
Le paragraphe en cours, puis le précédent | échap maj+h maj+p ctrl+maj+↑
La largeur de ligne de texte à partir du point d’insertion | échap h d maj+↓
La largeur de ligne de texte jusqu’au point d’insertion | échap h u maj+↑
Jusqu’en haut d’une colonne | échap h t maj+Page préc.
Jusqu’en bas d’une colonne | échap h m maj+Page suiv.
Jusqu’au début d’un enchaînement | échap h g ctrl+maj+Page préc.
Jusqu’à la fin d’un enchaînement | échap h n ctrl+maj+Page suiv.
Tout le texte autour du point d’insertion et comportant le même style de caractères | Echap h+Maj+f
Pour déplacer la sélection | Raccourci clavier
Un caractère vers la droite | Echap h f
Un caractère vers la gauche | Echap h b
Opération | Raccourci clavier
Etendre ou réduire la sélection | Appuyez sur Maj et cliquez à l’endroit auquel la sélection doit commencer ou se terminer.
Supprimer la mise en surbrillance | Echap h 0
Sélectionner un mot | Cliquez deux fois sur le mot.
Sélectionner un mot, puis les suivants | Cliquez deux fois sur le mot et faites glisser le curseur.
Désélectionner une zone ou une ligne de texte et y placer le point d’insertion | Cliquez deux fois dans la zone ou la ligne de texte.
Parent topic: Texte


Modification du texte

Opération | Raccourci clavier
Sélectionner un paragraphe | Cliquez trois fois dans le paragraphe.
Sélectionner un paragraphe, puis les suivants | Cliquez trois fois dans le paragraphe et faites glisser le curseur.
Transposer des caractères | Ctrl+F9
Couper | échap e x ctrl+x maj+suppr
Copier | échap e c ctrl+c
Coller du texte coupé ou copié | échap e p ctrl+v ctrl+y
Copier rapidement du texte | Cliquez à l’endroit auquel vous souhaitez insérer le texte. Puis appuyez sur alt et faites glisser le curseur sur le texte à copier.
Parent topic: Texte


Texte asiatique

Opération | Raccourci clavier
Saisir du texte Rubi | Echap s r
Afficher la boîte de dialogue Caractéristiques Rubi | Echap o r
Définir une police combinée de caractères occidentaux et japonais | Echap o c o
Parent topic: Texte


Suppression de texte

Pour supprimer | Raccourci clavier
Au caractère précédent | Ret. arr.
Tous les caractères précédents jusqu’à la fin du mot précédent | Ctrl+h
Tous les caractères précédents jusqu’à la fin de la phrase précédente | Echap k a
Au caractère suivant | Suppr
Tous les caractères suivants jusqu’à la fin d’un mot | échap k f ctrl+suppr.
Tous les caractères suivants jusqu’à la fin d’une ligne | Ctrl+Maj+Suppr
Tous les caractères suivants jusqu’au début de la phrase suivante | Echap k s
Parent topic: Texte


Casse

Les raccourcis suivants permettent de modifier la casse du texte sélectionné.

Tâche | Raccourci clavier
Mettre le mot en cours en minuscules | ctrl+alt+l ctrl+alt+maj+l
Mettre le mot en cours en majuscules | ctrl+alt+u ctrl+alt+maj+u
Mettre la première lettre du mot en cours en majuscule | Ctrl+Alt+c
Afficher la boîte de dialogue Casse | Echap e Maj+c
Parent topic: Texte


Formatage de texte

  • Configuration de caractères et de paragraphes
  • Formatage de paragraphe
  • Formats de caractères
  • Styles d’objet
Parent topic: Raccourcis clavier


Configuration de caractères et de paragraphes

Tâche | Raccourci clavier
Remplacer tous les paramètres par Tel que | Maj+F8
Remplacer tous les paramètres par ceux du texte sélectionné | Maj+F9
Afficher le groupe de caractéristiques précédent | Page préc.
Afficher le groupe de caractéristiques suivant | Page suiv.
N’appliquer que le groupe de caractéristiques en cours | Appuyez sur ctrl et cliquez sur Appliquer
Parent topic: Formatage de texte


Formatage de paragraphe

Les raccourcis suivants permettent d’appliquer un format aux paragraphes sélectionnés ou au paragraphe contenant le point d’insertion.

Tâche | Raccourci clavier
Appliquer un style de paragraphe en saisissant les premiers caractères de son nom et en appuyant sur Entrée | échap q p F9 ctrl+9
Centrer un paragraphe | Echap j c
Aligner un paragraphe sur la gauche | Echap j l
Aligner un paragraphe sur la droite | Echap j r
Justifier un paragraphe (à gauche et à droite) | Echap j f
Positionner le paragraphe en cours dans la colonne, sans formatage de fusion et d’intertitre | Echap j p n
Changer le paragraphe en cours en intertitre | Echap j p r
Changer le paragraphe en cours en titre de marge | Echap j p s
Fusionner le paragraphe en cours entre toutes les colonnes | Echap j p t
Fusionner le paragraphe en cours entre toutes les colonnes et la zone de titre de marge | Echap j p Maj+t
Appliquer un interligne simple | Echap j 1
Appliquer un interligne 1½ | Echap j /
Appliquer un interligne double | Echap j 2
Appliquer un interligne fixe (taille de la police par défaut plus interligne) | Echap j x
Appliquer un interligne flottant (taille de la plus grande police plus interligne) | Echap j o
Augmenter l’interligne d’un point | échap j + échap + 1
Réduire l’interligne d’un point | échap j - échap - 1
Appliquer le format du paragraphe en cours aux paragraphes portant son style et à la définition du catalogue de paragraphes (unifier) | Echap j Maj+u
Commencer un paragraphe n’importe où | Echap j Maj+j
Commencer un paragraphe en haut d’une colonne | Echap j Maj+c
Commencer un paragraphe en haut d’une page | Echap j Maj+jp
Commencer un paragraphe en haut d’une page de gauche | Echap j Maj+l
Commencer un paragraphe en haut d’une page de droite | Echap j Maj+r
Activer la césure | Echap j h
Désactiver la césure | Echap j n
Répéter la dernière commande relative aux paragraphes | Echap j j
Afficher le Catalogue de paragraphes | Echap o p c
Afficher la boîte de dialogue Mise à jour des formats de paragraphes | Echap o p u
Afficher la boîte de dialogue Espace entre les paragraphes | Echap j w
Afficher la boîte de dialogue Interligne personnalisé | Echap j u
Parent topic: Formatage de texte


Formats de caractères

Les raccourcis suivants permettent de modifier le style des caractères du texte sélectionné ou du texte que vous allez saisir.

Tâche | Raccourci clavier
Appliquer un style de caractères en saisissant les premiers caractères de son nom et en appuyant sur Entrée | échap q c F8 ctrl+8
Appliquer la police de paragraphe par défaut au texte, supprimer le style de caractère du texte dans une ligne de texte | Echap o c p
Activer ou désactiver le style Gras | échap c b F4 ctrl+b ctrl+maj+b
Activer ou désactiver le style Italique | échap c i F5 ctrl+i
Activer ou désactiver le style Souligné | échap c u F3 ctrl+u ctrl+maj+u
Activer ou désactiver le style Double souligné | Echap c d
Activer ou désactiver le style Souligné numérique | Echap c 2
Activer ou désactiver le style Barré | échap c s ctrl+/
Activer ou désactiver le style Surligné | échap c o maj+F3
Appliquer le format de texte simple au texte | échap c p F2
Afficher le texte en Exposant/Normal | Echap c +
Afficher le texte en Indice/Normal | Echap c -
Placer le texte sur la ligne de base | Echap c =
Changer le texte en petites capitales | échap c m ctrl+e
Activer ou désactiver les barres de modification | échap c h ctrl+maj+h
Activer ou désactiver le crénage par paire | Echap c k
Appliquer manuellement au texte un crénage d'un point dans une direction donnée (pour un zoom à 100 %) | Alt+flèche
Appliquer manuellement au texte un crénage de six points dans une direction donnée (pour un zoom à 100 %) | Alt+Maj+flèche
Supprimer tout le crénage manuel | Alt+origine
Augmenter la taille d’un point | Echap F5 ]
Réduire la taille d’un point | Echap c [
Réduire de 20 % un espace cadratin | Echap [ Maj+d
Elargir de 20 % un espace cadratin | Echap [ Maj+c
Définir un étirement de police de 100 % | Echap [ n
Réduire l’étirement de la police de 5 % | Echap [ c
Réduire l’étirement de la police de 5 % | Echap [ e
Répéter la dernière commande relative à la police | Echap c c
Activer/Désactiver la police Tsume | Echap c t
Afficher le Catalogue de caractères | Echap o c c
Parent topic: Formatage de texte


Styles d’objet

Action

Raccourci

Lancement de Configuration de style d’objet avec toutes les propriétés, tout en conservant la sélection

Lancement de Configuration de style d’objet avec uniquement les propriétés de l’objet. La configuration de style d’objet n’affiche pas le style d’objet. La liste déroulante Style d’objet est désactivée.

Echap g o

Lancement de Configuration de style d’objet avec juste le style associé à l’objet sélectionné

échap g i

ctrl y

Affichage du catalogue de style

Echap g e
Parent topic: Formatage de texte


Suivi des modifications du texte

Tâche | Raccourci clavier
Activer ou désactiver la fonction de suivi des modifications | Echap s t o
Afficher la modification suivante | Echap s t n
Afficher la modification précédente | Echap s t p
Accepter la modification | Echap s t a
Refuser la modification | Echap s t r
Accepter tout | Echap s t Maj+a
Refuser tout | Echap s t Maj+r
Aperçu final | Echap s t Maj+f
Aperçu original | Echap s t Maj+o
Aperçu désactivé | Echap s p o
  • Affichage de texte conditionnel
  • Fenêtre Texte conditionnel
  • Etiquettes de condition
Parent topic: Raccourcis clavier


Affichage de texte conditionnel

Tâche | Raccourci clavier
Afficher la boîte de dialogue Afficher/Masquer le texte conditionnel | Echap v Maj+c
Activer ou désactiver l’affichage des indicateurs de condition | Echap v Maj+o
Sélectionner tout le texte situé autour du point d’insertion et contenant les mêmes étiquettes conditionnelles | Echap v Maj+c
Parent topic: Suivi des modifications du texte


Fenêtre Texte conditionnel

Pour utiliser les raccourcis suivants, vous devez cliquer dans la fenêtre Texte conditionnel.

Tâche | Raccourci clavier
Déplacer toutes les étiquettes conditionnelles dans la liste de sélection Tel que | Maj+F8
Modifier les listes de sélection pour qu’elles correspondent aux étiquettes conditionnelles du texte sélectionné | Maj+F9
Déplacer une étiquette conditionnelle entre les listes Dans et Pas dans | Cliquez deux fois sur l’étiquette.
Déplacer une étiquette conditionnelle à partir de la liste de sélection Tel que | Cliquez deux fois sur l’étiquette dans la liste Tel que.
Parent topic: Suivi des modifications du texte


Etiquettes de condition

Utilisez les raccourcis suivants pour modifier les étiquettes conditionnelles du texte ou des lignes de tableau sélectionnées.

Tâche | Raccourci clavier
Appliquer une étiquette conditionnelle au texte sélectionné en saisissant les premiers caractères de l’étiquette et en appuyant sur Entrée | échap q maj+c ctrl+4
Supprimer une étiquette conditionnelle du texte sélectionné en saisissant les premiers caractères de l’étiquette et en appuyant sur Entrée | échap q maj+d ctrl+5
Rendre le texte sélectionné inconditionnel | échap q maj+u ctrl+6
Parent topic: Suivi des modifications du texte


Vues

Affichage | Raccourci clavier
Vue WYSIWYG | Echap S 1
Vue XML | Echap S 3
Parent topic: Raccourcis clavier


Utilisation des structures

Déplacement du point d’insertion | Raccourci clavier
Au début de l’élément en cours | Echap s Maj+s
A la fin de l’élément en cours | Echap s Maj+e
Après l’élément suivant | échap s maj+d alt+ctrl+↓
Avant l’élément précédent | échap s maj+u alt+ctrl+↑
Avant le parent de l’élément en cours | échap s maj+b alt+ctrl+←
Au début du contenu de l’élément suivant | échap s maj+n alt+ctrl+→
Pour sélectionner | Raccourci clavier
L’élément en cours | Echap h Maj+e
L’élément suivant | échap h maj+n alt+ctrl+maj+↓
L’élément précédent | échap h maj+p alt+ctrl+maj+↑
Les éléments frères de l’élément en cours | Echap h Maj+s
L’élément parent de l’élément en cours | échap h e maj+p alt+ctrl+maj+←
D’un élément vers le haut | Alt+Ctrl+Maj+↑
D’un élément vers le bas | Alt+Ctrl+↓
Vue de la structure | Raccourci clavier
Développer/Réduire tous les éléments situés sous l’élément sélectionné | Echap E r
Développer/Réduire l’élément sélectionné | Echap E x
Développer/Réduire tous les éléments frère | Echap E X
Tâche | Raccourci clavier
Inclure l’élément parent | Alt+Ctrl+Maj+←
Insérer un élément | échap maj+e i ctrl+1
Enchaîner un élément | échap maj+e w ctrl+2
Supprimer l’enchaînement d’un élément | Echap Maj+e u
Modifier un élément | échap maj+e c ctrl+3
Fusionner avec le premier élément | Echap Maj+e m
Fusionner avec le dernier élément | Echap Maj+e Maj+m
Déplacer l’élément d’un niveau vers le haut | Echap Maj+e Maj+p
Déplacer l’élément d’un niveau vers le bas | Echap Maj+e Maj+d
Transposer l’élément avec le précédent | Echap Maj+e Maj+t
Transposer l’élément avec le suivant | Echap Maj+e t
Diviser l’élément | Echap Maj+e s
Modifier la valeur d’un attribut | ctrl+7
Répéter la dernière commande Catalogue d’éléments | Echap e e
Activer/Désactiver l’affichage des limites d’éléments (sous forme de crochets) | Echap v Maj+e
Activer/Désactiver l’affichage des limites d’éléments (sous forme d’étiquettes) | Echap v Maj+t
Validation d’un document | Echap Maj+e v
Afficher la Vue de la structure | Echap Maj+e Maj+v
Parent topic: Raccourcis clavier


Autres raccourcis utiles

Tâche | Raccourci clavier
Actualiser l’affichage d’un document | Ctrl+l
Copier rapidement l’objet sélectionné | Appuyez sur Alt et faites glisser l’objet.
Appliquer une rotation à un objet de façon arbitraire | Appuyez sur Alt et faites glisser une poignée d’angle ou de transformation à l’aide du bouton gauche ou droit de la souris.
Déplacer un objet le long de l’axe vertical ou horizontal | Maj et faites glisser l’objet.
Déplacer un objet de 1 point/6 points | alt+flèche alt+maj+flèche
Adapter la page à la fenêtre | Echap z p
Adapter la fenêtre à la page | Echap z w
Zoom à 100 % | Echap z z
Verrouiller ou déverrouiller un document ou un livre | Echap Maj+f l k
Parent topic: Raccourcis clavier


Jeux de caractères

Découvrez la prise en charge des jeux de caractères dans Adobe FrameMaker.

FrameMaker prend en charge le jeu de caractères Unicode et utilise le codage UTF-8 pour offrir la prise en charge du codage Unicode. Pour de plus amples informations sur les jeux de caractères Unicode, consultez le site www.unicode.org.

Lorsque vous travaillez sur un document FrameMaker, vous pouvez insérer des caractères de différentes langues à l'aide de l'éditeur IME de la langue concernée. Pour insérer un caractère spécifique, vous pouvez utiliser :

  • Utilitaire de palette de caractères (Sélectionnez Fichier > Utilitaires > Palette de caractères)
  • Palette Entrée hexadécimale (Sélectionnez Fichier > Utilitaires > Entrée hexadécimale)
  • Utilitaire Table de caractères Windows (Sélectionnez Programmes > Accessoires > Outils système > Table des caractères)

Si un glyphe de caractère n’est pas disponible pour la police sélectionnée, FrameMaker affiche un point d'interrogation (?) à la place. Toutefois, étant donné que FrameMaker conserve le point de code d'origine, le glyphe s'affiche lorsque la police correcte est appliquée.

Important: Pour taper des caractères en police Symbol ou Dingbats, sélectionnez la police souhaitée et saisissez le contenu.

Etant donné que certains caractères spéciaux ne peuvent plus être représentés par leur nom de caractère dans les documents MIF, vous devez saisir les points de code UTF-8 correspondant à ces caractères. Pour plus d'informations, voir Guide de référence MIF FrameMaker ou Guide du programmeur de FDK.

FrameMaker utilise des points de code ci-dessous (de type ‘\x20’) (également appelés codes de contrôle) pour une utilisation en interne. Ces codes permettent de contrôler la mise en forme du texte environnant.

  • Prise en charge des raccourcis clavier
    Découvrez la prise en charge des raccourcis clavier dans Adobe FrameMaker.
  • Utilisation des séquences de touches
    Découvrez comment utiliser des séquences de touches pour insérer des caractères spéciaux dans Adobe FrameMaker.
  • Jeux de caractères Windows
    Découvrez comment utiliser des séquences de touches pour insérer des caractères spéciaux dans Adobe FrameMaker.
  • Jeu de caractères Standard
  • Jeux de caractères Symbol et ZapfDingbats
  • Prise en charge du jeu de caractères FrameMaker 7.x
Parent topic: Annexe


Prise en charge des raccourcis clavier

Découvrez la prise en charge des raccourcis clavier dans Adobe FrameMaker.

Jeu de caractères Standard

Tous les raccourcis clavier sont pris en charge dans FrameMaker 9 et version supérieure.

Jeux de caractères des polices Symbol et Dingbats

Les raccourcis clavier dont le code hexadécimal est inférieur à 127 sont pris en charge dans FrameMaker 9 et version ultérieure. Les raccourcis clavier avec un code hexadécimal supérieur à 127 ne sont pas pris en charge dans FrameMaker 9 et version ultérieure.

Note: Pour de plus amples informations, voir Jeu de caractères Standard et Jeux de caractères Symbol et ZapfDingbats.
Parent topic: Jeux de caractères


Utilisation des séquences de touches

Découvrez comment utiliser des séquences de touches pour insérer des caractères spéciaux dans Adobe FrameMaker.

De nombreux caractères sont générés à l'aide d'une séquence de plusieurs touches. Cette séquence utilise souvent la touche ctrl, échap ou la méta-clé. Ce document utilise les conventions suivantes pour les séquences de touches :

Exemple | Action
ctrl+q | Maintenez la touche Ctrl enfoncée tout en appuyant sur la lettre q.
Ctrl+q Maj+a | Maintenez la touche Ctrl enfoncée tout en appuyant sur la lettre q, relâchez les deux touches, puis maintenez la touche Maj enfoncée tout en appuyant sur la lettre a.
Echap ~ Maj+a | Appuyez sur la touche Echap, puis relâchez-la, appuyez sur la touche ~ (tilde), puis relâchez-la, maintenez ensuite la touche Maj enfoncée tout en appuyant sur la lettre a.

Sous Windows, vous pouvez également saisir un caractère dans un document en utilisant son code ANSI, comme décrit ci-après :

  1. Appuyez sur la touche Verr Num pour activer le pavé numérique.

  2. Maintenez la touche Alt enfoncée pendant que vous tapez le code ANSI (préfixe zéro inclus) à l'aide des touches du pavé numérique.

Par exemple, pour saisir le caractère « point d'interrogation inversé » (¿) à l'aide de son numéro ANSI, maintenez la touche Alt enfoncée tout en tapant 0191 sur le pavé numérique, puis relâchez la touche Alt. Veillez à bien inclure le zéro du début.

Parent topic: Jeux de caractères


Jeux de caractères Windows

Découvrez comment utiliser des séquences de touches pour insérer des caractères spéciaux dans Adobe FrameMaker.

Le jeu de caractères Windows est basé sur le jeu de caractères ANSI et inclut des caractères supplémentaires qui ne figurent pas dans le jeu ANSI.

Les tableaux de cette section répertorient les jeux de caractères pris en charge, et des raccourcis clavier non pris en charge dans FrameMaker 7.x et FrameMaker 8 et version ultérieure.

Jeu de caractères Standard pour les tirets, espaces, retours et les caractères non affichés

Le tableau suivant répertorie les tirets spéciaux, les espaces, les retours, et les caractères non affichés pris en charge dans FrameMaker 7.x ou version ultérieure.

Tirets, espaces, retours spéciaux et caractères non affichés
Jeu de caractères Standard |  |  |  | Jeux de caractères des polices Symbol et Dingbats
Code hexadécimal | Touche ou séquence de touches | Jeu de caractères standard : graphique et nom |  | Code hexadécimal | Touche ou séquence de touches | Jeu de caractères standard : graphique et nom |  | ZapfDingbats : graphique
\x04 | Echap - Maj+d ou Ctrl+- |  | tiret de césure facultative | \x04 | Echap - Maj+d ou Ctrl+- |  | tiret de césure facultative |
\x05 | Echap n s |  | césure insécable | \x05 | Echap n s |  | césure insécable |
\x15 | Echap - h |  | tiret insécable | \x15 | Echap - h |  | tiret insécable |
\x08 | Tabulation |  | Tab | \x08 | Tabulation |  | Tab |
\x09 | Maj+Entrée |  | retour forcé | \x09 | Maj+Entrée |  | retour forcé |
\x0a | Entrée |  | fin de paragraphe | \x0a | Entrée |  | fin de paragraphe |
\x10 | Echap espace 1 |  | espace numérique | \x10 | Echap espace 1 |  | espace numérique |
\x11 | Echap espace h ou Ctrl+espace |  | espace insécable | \x11 | Echap espace h ou Ctrl+espace |  | espace insécable |
\x12 | Echap espace t |  | espace fin | \x12 | Echap espace t |  | espace fin |
\x13 | Echap espace n ou Alt+Ctrl+espace |  | espace demi–cadratin | \x13 | Echap espace n ou Alt+Ctrl+espace |  | espace demi–cadratin |
\x14 | Echap espace m ou Ctrl+Maj+espace |  | espace cadratin | \x14 | Echap espace m ou Ctrl+Maj+espace |  | espace cadratin |
\x27 | Ctrl+' | ' | apostrophe simple | \x27 | Ctrl+' |  | ‘ tel que | '
\x60 | Ctrl+` | ` | accent grave | \x60 | Ctrl+' |  | ‘ radiclex | `
\xda | Ctrl+q Maj+z | / | fraction | \xda |  |  |  |
\xde | Ctrl+q Maj+w | Þ | réservé | \xde |  |  |  |
\xdf | Ctrl+q ´ | ß | réservé | \xdf |  |  |  |
\xf5 | Ctrl+q Maj+m | õ | réservé | \xf5 |  |  |  |
\xf9 | Ctrl+q t | ù | réservé | \xf9 |  |  |  |
\xfa | Ctrl+q r | ú | réservé | \xfa |  |  |  |
\xfe | Ctrl+q Maj+j | þ | réservé | \xfe |  |  |  |
\xfd | Ctrl+q Maj+f | ý | tréma hongrois | \xfd |  |  |  |
Parent topic: Jeux de caractères


Jeu de caractères Standard

Le tableau suivant répertorie le jeu de caractères standard pris en charge :

Note: La liste est triée avec le nombre ANSI.
Jeu de caractères Standard
N° ANSI | Code hexadécimal | Touche ou séquence de touches | Jeu de caractères standard : graphique et nom
032 | \x20 | espace |  | espace
033 | \x21 | ! | ! | point d’exclamation
034 | \x22 | " (option Guillemets ouvrants/fermants désactivée) | " | quotedbl
035 | \x23 | # | # | dièse
036 | \x24 | $ | $ | dollar
037 | \x25 | % | % | pourcentage
038 | \x26 | & | & | esperluette
040 | \x28 | ( | ( | parenthèse gauche
041 | \x29 | ) | ) | parenthèse droite
042 | \x2a | * | * | astérisque
043 | \x2b | + | + | plus
044 | \x2c | , (comma) | , | comma
045 | \\ | - (tiret) | - | tiret
046 | \x2e | . (point) | . | point
047 | \x2f | / | / | barre oblique
048 | \x30 | 0 | 0 | zéro
049 | \x31 | 1 | 1 | un
050 | \x32 | 2 | 2 | deux
051 | \x33 | 3 | 3 | trois
052 | \x34 | 4 | 4 | quatre
053 | \x35 | 5 | 5 | cinq
054 | \x36 | 6 | 6 | six
055 | \x37 | 7 | 7 | sept
056 | \x38 | 8 | 8 | huit
057 | \x39 | 9 | 9 | neuf
058 | \x3a | : | : | deux-points
059 | \x3b | ; | ; | point-virgule
060 | \x3c | < | < | moins
061 | \x3d | = | = | equal
062 | \x3e | > | > | supérieur à
063 | \x3f | ? | ? | point d’interrogation
064 | \x40 | @ | @ | arobase
065 | \x41 | A | A | A
066 | \x42 | B | B | B
067 | \x43 | C | C | C
068 | \x44 | D | D | D
069 | \x45 | E | E | E
070 | \x46 | F | F | F
071 | \x47 | G | G | G
072 | \x48 | H | H | H
073 | \x49 | I | I | I
074 | \x4a | J | J | J
075 | \x4b | K | K | K
076 | \x4c | L | L | L
077 | \x4d | M | M | M
078 | \x4e | N | N | N
079 | \x4f | O | O | O
080 | \x50 | P | P | P
081 | \x51 | Q | Q | Q
082 | \x52 | R | R | R
083 | \x53 | S | S | S
084 | \x54 | T | T | T
085 | \x55 | U | U | U
086 | \x56 | V | V | V
087 | \x57 | W | W | W
088 | \x58 | X | X | X
089 | \x59 | Y | Y | Y
090 | \x5a | Z | Z | Z
091 | \x5b | [ | [ | crochet gauche
092 | \x5c | \ | \ | barre oblique inverse
093 | \x5d | ] | ] | crochet droit
094 | \x5e | ^ | ^ | circonflexe ascii
095 | \x5f | _ (souligné) | _ | tiret de soulignement
097 | \x61 | a |  |
098 | \x62 | b | b | b
099 | \x63 | c | c | c
0100 | \x64 | d | d | d
0101 | \x65 | e | t | t
0102 | \x66 | f | f | f
0103 | \x67 | g | g | g
0104 | \x68 | h | h | h
0105 | \x69 | i | i | i
0106 | \x6a | j | j | j
0107 | \x6b | k | k | k
0108 | \x6c | l | l | l
0109 | \x6d | m | m | m
0110 | \x6e | n | n | n
0111 | \x6f | o | o | o
0112 | \x70 | p | p | p
0113 | \x71 | q | q | q
0114 | \x72 | r | r | r
0115 | \x73 | s | s | s
0116 | \x74 | t | t | t
0117 | \x75 | u | u | u
0118 | \x76 | v | v | v
0119 | \x77 | w | w | w
0120 | \x78 | x | x | x
0121 | \x79 | y | y | y
0122 | \x7a | z | z | z
0123 | \x7b | { | { | accolade gauche
0124 | \x7c | | | | | barre
0125 | \x7d | } | } | accolade droite
0126 | \x7e | ~ | ~ | tilde ascii
0130 | \xe2 | Ctrl+q ~ | ‚ | guillemet simple en bas
0131 | \xc4 | Ctrl+q Maj+d | ƒ | florin
0132 | \xe3 | Ctrl+q c | „ | guillemet double en bas
0133 | \xc9 | Ctrl+q Maj+i) | … | points de suspension
0134 | \xa0 | Ctrl+q espace | † | dagger
0135 | \xe0 | Ctrl+q ` | ‡ | double croix
0136 | \xf6 | Ctrl+q v | ˆ | accent circonflexe
0137 | \xe4 | Ctrl+q d | ‰ | pour mille
0138 | \xb3 | ctrl+q 3 | š | réservé
0139 | \xdc | Ctrl+q \ | ‹ | guillemet simple gauche
0140 | \xce | ctrl+q } Maj+n | Œ | OE
0145 | \xd4 | ctrl+q Maj+t ou ` | ‘ | apostrophe gauche
0146 | \xd5 | Ctrl+q Maj+u | ’ | apostrophe droite
0147 | \xd2 | Alt+ctrl+` ou ctrl+q Maj+r | “ | guillemet double gauche
0148 | \xd3 | ctrl+Alt+' ou ctrl+q Maj+s | ” | guillemet double droite
0149 | \xa5 | Ctrl+q % | • | bullet
0150 | \xd0 | Ctrl+q Maj+p | – | tiret demi-cadratin
0151 | \xd1 | Ctrl+q Maj+q | — | tiret cadratin
0152 | \xf7 | Ctrl+q w | ~ | tilde
0153 | \xaa | Ctrl+q * | ™ | marque commerciale
0154 | \xf0 | Ctrl+q p | š | réservé
0155 | \xdd | Ctrl+q ] | › | guillemet simple droite
0156 | \xcf | Ctrl+q Maj+o | œ | oe
0159 | \xd9 | Echap % Maj+y | Ÿ | Y tréma
0161 | \xc1 | Ctrl+q Maj+a | ¡ | point d’exclamation vers le bas
0162 | \xa2 | Ctrl+q " | ¢ | cent
0163 | \xa3 | Ctrl+q # | £ | livre sterling
0164 | \xdb | Ctrl+q [ | ¤ | devise
0165 | \xb4 | ctrl+q 4 | ¥ | yen
0166 | \xad | Ctrl+q - | ¦ | barre verticale discontinue
0167 | \xa4 | Ctrl+q $ | § | section
0168 | \xac | Ctrl+q , | ¨ | tréma
0169 | \xa9 | Ctrl+q ) | © | copyright
0170 | \xbb | Ctrl+q ; | ª | indicateur ordinal féminin
0171 | \xc7 | Ctrl+q Maj+g | « | guillemet gauche
0172 | \xc2 | Ctrl+q Maj+b | ¬ | signe négation
0173 | \x2d | - | - | tiret
0174 | \xa8 | Ctrl+q ( | ® | marque déposée
0175 | \xf8 | Ctrl+q x | ¯ | macron
0176 | \xfb | Ctrl+q { | ° | degré
0177 | \xb1 | ctrl+q 1 | ± | signe plus ou moins
0178 | \xb7 | ctrl+q 7 | 2 | réservé
0179 | \xb8 | ctrl+q 8 | 3 | réservé
0180 | \xab | Ctrl+q + | ´ | accent aigu
0181 | \xb5 | ctrl+q 5 | µ | réservé
0182 | \xa6 | Ctrl+q & | ¶ | paragraphe
0183 | \xe1 | Ctrl+q a | · | point médian
0184 | \xfc | Ctrl+q ¦ | ¸ | cédille
0185 | \xb6 | ctrl+q 6 | 1 | réservé
0186 | \xbc | Ctrl+q < | º | indicateur ordinal masculin
0187 | \xc8 | Ctrl+q Maj+h | » | guillemet droit
0188 | \xb9 | ctrl+q 9 | ¼ | réservé
0189 | \xba | Ctrl+q : | ½ | réservé
0190 | \xbd | Ctrl+q = | ¾ | réservé
0191 | \xc0 | Ctrl+q @ | ¿ | point d’interrogation renversé
0192 | \xcb | Echap ` Maj+a | À | A majuscule à accent grave
0193 | \xe7 | Echap ' Maj+a | Á | A majuscule à accent aigu
0194 | \xe5 | Echap ^ Maj+a | Â | A majuscule à accent circonflexe
0195 | \xcc | Echap ~ Maj+a | Ã | A majuscule à tilde
0196 | \x80 | Echap % Maj+a | Ä | A majuscule à tréma
0197 | \x81 | Echap * Maj+a | Å | A majuscule à rond en chef
0198 | \xae | Ctrl+q . | Æ | AE
0199 | \x82 | Echap , Maj+c | Ç | C cédille majuscule
0200 | \xe9 | Echap ` Maj+e | È | E majuscule à accent grave
0201 | \x83 | Echap ' Maj+e | É | E majuscule à accent aigu
0202 | \xe6 | Echap ^ Maj+e | Ê | E majuscule à accent circonflexe
0203 | \xe8 | Echap % Maj+e | Ë | E majuscule à tréma
0204 | \xed | Echap ` Maj+i | Ì | I majuscule à accent grave
0205 | \xea | Echap i Maj+i | Í | I majuscule à accent aigu
0206 | \xeb | Echap ^ Maj+i | Î | I majuscule à accent circonflexe
0207 | \xec | Echap % Maj+i | Ï | I majuscule à tréma
0208 | \xc3 | Ctrl+q Maj+c | Ð | réservé
0209 | \x84 | Echap ~ Maj+n | Ñ | N majuscule à tilde
0210 | \xf1 | Echap ` Maj+o | Ò | O majuscule à accent grave
0211 | \xee | Echap ' Maj+o | Ó | O majuscule à accent aigu
0212 | \xef | Echap ^ Maj+o | Ô | O majuscule à accent circonflexe
0213 | \xcd | Echap ~ Maj+o | Õ | O majuscule à tilde
0214 | \x85 | Echap % Maj+o | Ö | O majuscule à tréma
0215 | \xb0 | ctrl+q 0 | × | réservé
0216 | \xaf | Ctrl+1 / | Ø | O majuscule barré obliquement
0217 | \xf4 | Echap ` Maj+u | Ù | U majuscule à accent grave
0218 | \xf2 | Echap ' Maj+u | Ú | U majuscule à accent aigu
0219 | \xf3 | Echap ^ Maj+u | Û | U majuscule à accent circonflexe
0220 | \x86 | Echap % Maj+u | Ü | U majuscule à tréma
0221 | \xc5 | Ctrl+q Maj+e | Ý | réservé
0222 | \xd7 | Ctrl+q Maj+w | Þ | réservé
0223 | \xa7 | Ctrl+q ' | ß | s dur allemand (eszett)
0224 | \x88 | Echap ` a | à | a minuscule à accent grave
0225 | \x87 | Echap ' a | á | a minuscule à accent aigu
0226 | \x89 | Echap ^ a | â | a minuscule à accent circonflexe
0227 | \x8b | Echap ~ a | ã | a minuscule à tilde
0228 | \x8a | Echap % a | ä | a minuscule à tréma
0229 | \x8c | Echap * a | å | a minuscule à rond en chef
0230 | \xbe | Ctrl+q > | æ | ae
0231 | \x8d | Echap , c | ç | c cédille minuscule
0232 | \x8f | Echap ` e | è | e minuscule à accent grave
0233 | \x8e | Echap ' e | é | e minuscule à accent aigu
0234 | \x90 | Echap ^ e | ê | e minuscule à accent circonflexe
0235 | \x91 | Echap % e | ë | e minuscule à tréma
0236 | \x92 | Echap ` i | ì | i minuscule à accent grave
0237 | \x93 | Echap ' i | í | i minuscule à accent aigu
0238 | \x94 | Echap ^ i | î | i minuscule à accent circonflexe
0239 | \x95 | Echap % i | ï | i minuscule à tréma
0240 | \xb2 | ctrl+q 2 | ð | réservé
0241 | \x96 | Echap ~ n | ñ | n tilde
0242 | \x98 | Echap ` o | ò | o minuscule à accent grave
0243 | \x97 | Echap ' o | ó | o minuscule à accent aigu
0244 | \x99 | Echap ^ o | ô | o minuscule à accent circonflexe
0245 | \x9b | Echap ~ o | õ | o tilde
0246 | \x9a | Echap % o | ö | o minuscule à tréma
0247 | \xd6 | Ctrl+q Maj+v | ÷ | réservé
0248 | \xbf | Ctrl+q ? | ø | o minuscule barré obliquement
0249 | \x9d | Echap ` u | ù | u minuscule à accent grave
0250 | \x9c | Echap ' u | ú | u minuscule à accent aigu
0251 | \x9e | Echap ^ u | û | u minuscule à accent circonflexe
0252 | \x9f | Echap % u | ü | u minuscule à tréma
0253 | \xc6 | Ctrl+q Maj+f | ý | réservé
0254 | \xca | Ctrl+q Maj+j | þ | réservé
0255 | \xd8 | Echap % y | ÿ | y minuscule à tréma
Parent topic: Jeux de caractères


Jeux de caractères Symbol et ZapfDingbats

Le tableau suivant répertorie les jeux de caractères Symbol et Dingbats pris en charge par les versions plus anciennes de FrameMaker ainsi que par FrameMaker 9 et version supérieure, dans leur ordre hexadécimal.

Jeux de caractères Symbol et ZapfDingbats
N° ANSI | Code hexadécimal | Touche ou séquence de touches | Jeu de symboles : graphique et nom |  | ZapfDingbats : graphique
032 | \x20 | espace |  | espace |
033 | \x21 | Maj+! | ! | point d’exclamation | ✁
034 | \x22 | Maj+" | ∀ | universel | ✂
035 | \x23 | Maj+# | # | dièse | ✃
036 | \x24 | Maj+$ | ∃ | existentiel | ✄
037 | \x25 | Maj+% | % | pourcentage | ☎
038 | \x26 | Maj+& | & | esperluette | ✆
040 | \x28 | Maj+( | ( | parenthèse gauche | ✈
041 | \x29 | Maj+) | ) | parenthèse droite | ✉
042 | \x2a | Maj+* | ∗ | signe astérisque mathématique | ☛
043 | \x2b | Maj++ | + | plus | ☞
044 | \x2c | , | , | comma | ✌
045 | \x2d | - (tiret) | − | minus | ✍
046 | \x2e | . (point) | . | point | ✎
047 | \x2f | / | / | barre oblique | ✏
048 | \x30 | 0 | 0 | zéro | ✐
049 | \x31 | 1 | 1 | un | ✑
050 | \x32 | 2 | 2 | deux | ✒
051 | \x33 | 3 | 3 | trois | ✓
052 | \x34 | 4 | 4 | quatre | ✔
053 | \x35 | 5 | 5 | cinq | ✕
054 | \x36 | 6 | 6 | six | ✖
055 | \x37 | 7 | 7 | sept | ✗
056 | \x38 | 8 | 8 | huit | ✘
057 | \x39 | 9 | 9 | neuf | ✙
058 | \x3a | : | : | deux-points | ✚
059 | \x3b | ; | ; | point-virgule | ✛
060 | \x3c | , | < | moins | ✜
061 | \x3d | = | = | equal | ✝
062 | \x3e | > | > | supérieur à | ✞
063 | \x3f | ? | ? | point d’interrogation | ✟
064 | \x40 | @ | ≅ | congru | ✠
065 | \x41 | A | Α | Alpha majuscule | ✡
066 | \x42 | B | Β | Bêta majuscule | ✢
067 | \x43 | C | Χ | Chi majuscule | ✣
068 | \x44 | D | Δ | Delta | ✤
069 | \x45 | E | Ε | Epsilon majuscule | ✥
070 | \x46 | F | Φ | Phi | ✦
071 | \x47 | G | Γ | Gamma | ✧
072 | \x48 | H | Η | Eta majuscule | ★
073 | \x49 | I | Ι | Iota majuscule | ✩
074 | \x4a | J | ϑ | thêta1 | ✪
075 | \x4b | K | Κ | Kappa majuscule | ✫
076 | \x4c | L | Λ | Lambda | ✬
077 | \x4d | M | Μ | Mu majuscule | ✭
078 | \x4e | n | Ν | Nu majuscule | ✮
079 | \x4f | O | Ο | Omicron majuscule | ✯
080 | \x50 | P | Π | Pi | ✰
081 | \x51 | Q | Θ | Theta | ✱
082 | \x52 | R | Ρ | Rho majuscule | ✲
083 | \x53 | S | Σ | Sigma | ✳
084 | \x54 | T | Τ | Tau majuscule | ✴
085 | \x55 | U | Υ | Upsilon | ✵
086 | \x56 | V | ς | sigma1 | ✶
087 | \x57 | W | Ω | Omega | ✷
088 | \x58 | X | Ξ | Xi | ✸
089 | \x59 | Y | Ψ | Psi | ✹
090 | \x5a | Z | Ζ | Dzêta | ✺
091 | \x5b | [ | [ | crochet gauche | ✻
092 | \x5c | \ | ∴ | therefore | ✼
093 | \x5d | ] | ] | crochet droit | ✽
094 | \x5e | ^ | ⊥ | perpendiculaire | ✾
095 | \x5f | _ | _ | tiret de soulignement | ✿
097 | \x61 | a | α | alpha | ❁
098 | \x62 | b | β | beta | ❂
099 | \x63 | c | χ | chi | ❃
100 | \x64 | d | δ | delta | ❄
101 | \x65 | e | ε | epsilon | ❅
102 | \x66 | f | φ | phi | ❆
103 | \x67 | g | γ | gamma | ❇
104 | \x68 | h | η | eta | ❈
105 | \x69 | i | ι | iota | ❉
106 | \x6a | j | ϕ | phil | ❊
107 | \x6b | k | κ | kappa | ❋
108 | \x6c | l | λ | lambda | ●
109 | \x6d | m | μ | mu | ❍
110 | \x6e | n | ν | nu | ■
111 | \x6f | o | ο | omicron minuscule | ❏
112 | \x70 | p | π | pi | ❐
113 | \x71 | q | θ | theta | ❑
114 | \x72 | r | ρ | rho | ❒
115 | \x73 | s | σ | sigma | ▲
116 | \x74 | t | τ | tau | ▼
117 | \x75 | u | υ | upsilon | ◆
118 | \x76 | v | ϖ | omega1 | ❖
119 | \x77 | w | ω | omega | ◗
120 | \x78 | x | ξ | xi | ❘
121 | \x79 | y | ψ | psi | ❙
122 | \x7a | z | ζ | zeta | ❚
123 | \x7b | { | { | accolade gauche | ❛
124 | \x7c | | | | | barre | ❜
125 | \x7d | } | } | accolade droite | ❝
126 | \x7e | ~ | ∼ | similaire | ❞

Raccourcis clavier non pris en charge pour le jeu de caractères Symbol et Dingbats

Le tableau suivant répertorie le jeu de caractères Symbol et Dingbats pris en charge dans les versions plus anciennes de FrameMaker. Dans FrameMaker 9, vous pouvez insérer les caractères Unicode correspondants, mais les raccourcis clavier ne sont plus pris en charge :

Jeu de caractères Symbol et Dingbats
N° ANSI | Code hexadécimal | Touche ou séquence de touches | Jeu de symboles : graphique et nom |  | Dingbats : graphiques
0130 |  |  |  | réservé |
0131 |  |  |  | réservé |
0132 |  |  |  | réservé |
0133 |  |  |  | réservé |
0134 |  |  |  | réservé |
0135 |  |  |  | réservé |
0136 |  |  |  | réservé |
0137 |  |  |  | réservé |
0138 |  |  |  | réservé |
0139 |  |  |  | réservé |
0140 |  |  |  | réservé |
0145 |  |  |  | réservé |
0146 |  |  |  | réservé |
0147 |  |  |  | réservé |
0148 |  |  |  | réservé |
0149 |  |  |  | réservé |
0150 |  |  |  | réservé |
0151 |  |  |  | réservé |
0152 |  |  |  | réservé |
0153 |  |  |  | réservé |
0154 |  |  |  | réservé |
0155 |  |  |  | réservé |
0156 |  |  |  | réservé |
0157 |  |  |  | réservé |
0158 |  |  |  | réservé |
0159 |  |  |  | réservé |
0161 | \xa1 | Ctrl+q ! | ϒ | Upsilon1 | ❡
0162 | \xa2 | Ctrl+q " | ′ | minute | ❢
0163 | \xa3 | Ctrl+q # | ≤ | inférieur ou égal | ❣
0164 | \xa4 | Ctrl+q $ | ⁄ | fraction | ❤
0165 | \xa5 | Ctrl+q % | ∞ | infini | ❥
0166 | \xa6 | Ctrl+q & | ƒ | florin | ❦
0167 | \xa7 | Ctrl+q ' | ♣ | trèfle | ❧
0168 | \xa8 | Ctrl+q ( | ♦ | losange | ♣
0169 | \xa9 | Ctrl+q ) | ♥ | cœur | ♦
0170 | \xaa | Ctrl+q * | ♠ | pique | ♥
0171 | \xab | Ctrl+q + | ↔ | flèche à double sens | ♠
0172 | \xac | Ctrl+q , | ← | flèche vers la gauche | ①
0173 | \xad | Ctrl+q - | ↑ | flèche vers le haut | ②
0174 | \xae | Ctrl+q - | → | flèche vers la droite | ③
0175 | \xaf | Ctrl+q / | ↓ | flèche vers le bas | ④
0176 | \xb0 | ctrl+q 0 | ° | degree | ⑤
0177 | \xb1 | ctrl+q 1 | ± | signe plus ou moins | ⑥
0178 | \xb2 | ctrl+q 2 | ″ | seconde | ⑦
0179 | \xb3 | ctrl+q 3 | ≥ | supérieur ou égal | ⑧
0180 | \xb4 | ctrl+q 4 | × | multiplication | ⑨
0181 | \xb5 | ctrl+q 5 | ∝ | proportionnel | ⑩
0182 | \xb6 | ctrl+q 6 | ∂ | diff. partielle | ⑩
0183 | \xb7 | ctrl+q 7 | • | bullet | ❷
0184 | \xb8 | ctrl+q 8 | ÷ | division | ❸
0185 | \xb9 | ctrl+q 9 | ≠ | notequal | ❹
0186 | \xba | Ctrl+q : | ≡ | équivalence | ❺
0187 | \xbb | Ctrl+q ; | ≈ | égalité approximative | ❻
0188 | \xbc | Ctrl+q < | … | points de suspension | ❼
0189 | \xbd | Ctrl+q = |  | barre verticale | ❽
0190 | \xbe | Ctrl+q > |  | barre horizontale | ❾
0191 | \xbf | Ctrl+q ? | ↵ | retour chariot | ❿
0192 | \xc0 | Ctrl+q @ | ℵ | aleph | ➀
0193 | \xc1 | Ctrl+q Maj+a | ℑ | I fraktur | ➁
0194 | \xc2 | Ctrl+q Maj+b | ℜ | R fraktur | ➂
0195 | \xc3 | Ctrl+q Maj+c | ℘ | weierstrass | ➃
0196 | \xc4 | Ctrl+q Maj+d | ⊗ | rond avec signe multiplication | ➄
0197 | \xc5 | Ctrl+q Maj+e | ⊕ | rond avec signe plus | ➅
0198 | \xc6 | Ctrl+q Maj+f | ∅ | emptyset | ➆
0199 | \xc7 | Ctrl+q Maj+g | ∩ | intersection | ➇
0200 | \xc8 | Ctrl+q Maj+h | ∪ | union | ➈
0201 | \xc9 | Ctrl+q Maj+i | ⊃ | sur ensemble de | ➉
0202 | \xca | Ctrl+q Maj+j | ⊇ | sur ensemble ou égal à | ➊
0203 | \xcb | Echap ` Maj+a | ⊄ | notsubset | ➋
0204 | \xcc | Echap ~ Maj+a | ⊂ | sous-ensemble de | ➌
0205 | \xcd | Echap ~ Maj+o | ⊆ | sous-ensemble ou égal à | ➍
0206 | \xce | Ctrl+q Maj+n | ∈ | élément | ➎
0207 | \xcf | Ctrl+q Maj+o | ∉ | n'appartient pas | ➏
0208 | \xd0 | Ctrl+q Maj+p | ∠ | angle | ➐
0209 | \xd1 | Ctrl+q Maj+q | ∇ | gradient | ➑
0210 | \xd2 | Ctrl+q Maj+r | ® | marque déposée | ➒
0211 | \xd3 | Ctrl+q Maj+s | © | copyright | ➓
0212 | \xd4 | Ctrl+q Maj+t | ™ | marque commerciale | ➔
0213 | \xd5 | Ctrl+q Maj+u | ∏ | product | →
0214 | \xd6 | Ctrl+q Maj+v | √ | radical | ↔
0215 | \xd7 | Ctrl+q Maj+w | ⋅ | point mathématique | ↕
0216 | \xd8 | Echap % y | ¬ | signe négation | ➘
0217 | \xd9 | Echap % Maj+y | ∧ | et logique | ➙
0218 | \xda | Ctrl+q Maj+z | ∨ | ou logique | ➚
0219 | \xdb | Ctrl+q [ | ⇔ | flèche double à deux sens | ➛
0220 | \xdc | Ctrl+q \ | ⇐ | flèche double à gauche | ➜
0221 | \xdd | Ctrl+q ] | ⇑ | flèche double vers le haut | ➝
0222 | \xde | Ctrl+q ^ | ⇒ | flèche double à droite | ➞
0223 | \xdf | Ctrl+q _ | ⇓ | flèche double vers le bas | ➟
0224 | \xe0 | Ctrl+q ` | ⋄ | losange | ➠
0225 | \xe1 | Ctrl+q a | 〈 | angle à gauche | ➡
0226 | \xe2 | Ctrl+q b |  | marque déposée | ➢
0227 | \xe3 | Ctrl+q c |  | copyright | ➣
0228 | \xe4 | Ctrl+q d |  | marque commerciale | ➤
0229 | \xe5 | Echap ^ Maj+a | ∑ | somme | ➥
0230 | \xe6 | Echap ^ Maj+e |  | parenthèse gauche haut | ➦
0231 | \xe7 | Echap ' Maj+a |  | parenthèse gauche centre | ➧
0232 | \xe8 | Echap % Maj+e |  | parenthèse gauche bas | ➨
0233 | \xe9 | Echap ` Maj+e |  | crochet gauche haut | ➩
0234 | \xea | Echap ' Maj+i |  | crochet gauche centre | ➪
0235 | \xeb | Echap ^ Maj+i |  | crochet gauche bas | ➫
0236 | \xec | Echap % Maj+i |  | accolade gauche haut | ➬
0237 | \xed | Echap ` Maj+i |  | accolade gauche milieu | ➭
0238 | \xee | Echap ' Maj+o |  | accolade gauche bas | ➮
0239 | \xef | Echap ^ Maj+o |  | accolade centre | ➯
0240 | \xf0 |  |  | réservé |
0241 | \xf1 | Echap ` Maj+o | 〉 | angle à droite | ➱
0242 | \xf2 | Echap ' Maj+u | ∫ | intégrale | ➲
0243 | \xf3 | Echap ^ Maj+u | ⌠ | intégrale haut | ➳
0244 | \xf4 | Echap ` Maj+u |  | intégrale centre | ➴
0245 | \xf5 | Ctrl+q u | ⌡ | intégrale bas | ➵
0246 | \xf6 | Ctrl+q v |  | parenthèse droite haut | ➶
0247 | \xf7 | Ctrl+q w |  | parenthèse droite centre | ➷
0248 | \xf8 | Ctrl+q x |  | parenthèse droite bas | ➸
0249 | \xf9 | Ctrl+q y |  | crochet droit haut | ➹
0250 | \xfa | Ctrl+q z |  | crochet droit centre | ➺
0251 | \xfb | Ctrl+q { |  | crochet droit bas | ➻
0252 | \xfc | Ctrl+q ¦ |  | accolade droite haut | ➼
0253 | \xfd | Ctrl+q } |  | accolade droite milieu | ➽
0254 | \xfe | Ctrl+q ~ |  | accolade droite bas | ➾
0255
Parent topic: Jeux de caractères


Prise en charge du jeu de caractères FrameMaker 7.x

Lorsque vous ouvrez un document FrameMaker 7.x dans FrameMaker 8 ou ultérieur, le codage des polices est utilisé pour convertir les caractères en codage Unicode.

Dans FrameMaker 7.x ou les versions précédentes, si vous ouvrez un document sur une plate-forme (système d'exploitation et environnement linguistique) différente de celle sur laquelle le document a été créé, une case rectangulaire s'affiche à la place des caractères qui ne sont pas disponibles dans le jeu de caractères ANSI. Cependant, étant donné que FrameMaker préserve les codes de caractères, le caractère correct apparaît lorsque vous rouvrez le document sur la plate-forme utilisée pour le créer.

Si vous ouvrez un document FrameMaker 7.x ou version antérieure dans FrameMaker 9 ou ultérieure, il convertit les caractères non disponibles en Unicode et suppose que les caractères convertis s'affichent correctement.

La version 9 de FrameMaker et ultérieures prennent en charge 3 jeux de caractères : ZapfDingbats (Dingbats), Symbol, et Standard (le jeu de caractères par défaut dépendant de la plate-forme). Certains raccourcis clavier utilisés pour entrer des caractères de ces deux jeux sont toujours pris en charge dans FrameMaker 9 et versions ultérieures.

Le présent document fournit pour chaque jeu de caractères des tableaux répertoriant les raccourcis clavier pris en charge. Les valeurs de code hexadécimales correspondantes sont également indiquées. Le « code hexadécimal » est utilisé pour représenter chaque caractère en interne.

Les instructions incluant la saisie de guillemets et d'apostrophes partent du principe que les guillemets ouvrants/fermants (courbés) sont désactivés. Pour de plus amples informations sur les guillemets ouvrants/fermants, consultez le Guide de l'utilisateur FrameMaker.

Parent topic: Jeux de caractères


Ressources supplémentaires

Cette annexe répertorie les ressources supplémentaires vous permettant d’en savoir plus sur des champs spécifiques d’Adobe FrameMaker.

Dans ce sujet

  • Création de contenu structuré

  • Serveur de publication FrameMaker

  • Référence INI et MIF

  • Programmation et création de scripts

Création de contenu structuré

Ressource | URL
Intégration d’une Spécialisation DITA avec FrameMaker | http://help.adobe.com/fr_FR/framemaker/dita/index.html
Développement d’applications structurées avec Adobe FrameMaker (PDF) | http://help.adobe.com/fr_FR/framemaker/pdfs/Structure_Dev_Guide.pdf
Guide de référence du développeur d’applications structurées (PDF) | http://help.adobe.com/en_US/framemaker/pdfs/Structure_Dev_Reference.pdf

Serveur de publication FrameMaker

Ressource | URL
Serveur de publication FrameMaker | https://help.adobe.com/en_US/framemaker/server/index.html

Référence INI et MIF

Ressource | URL
Guide de référence INI | http://www.adobe.com/go/learn_fm_ini_ref_fr
Guide de référence MIF (PDF) | http://help.adobe.com/fr_FR/framemaker/mifreference/mifref.pdf

Programmation et création de scripts

Ressource | URL
Guide d’installation du FDK (PDF) | http://help.adobe.com/fr_FR/framemaker/pdfs/fdkinstallguide.pdf
Guide du programmeur de FDK (PDF) | http://help.adobe.com/fr_FR/framemaker/pdfs/fdkprogrammerguide.pdf
Référence du programmeur de FDK (PDF) | http://help.adobe.com/fr_FR/framemaker/pdfs/fdkreference.pdf
Guide de création des scripts de FrameMaker | https://help.adobe.com/fr_FR/framemaker/pdfs/framemaker_scripting.pdf
Pôle de développement FrameMaker | https://developer.adobe.com/console/servicesandapis
Parent topic: Annexe


Informations juridiques

Pour consulter les informations juridiques, visitez la page Informations juridiques.


Références croisées

Voyez ce que sont les références croisées et apprenez à utiliser le panneau Références croisées dans FrameMaker.

Vous pouvez fournir aux lecteurs des liens d’un document à un autre ou d’une partie d’un document à une autre. FrameMaker permet de créer des liens à l’aide des références croisées. Dans FrameMaker, les références croisées sont basées sur les marqueurs, si la position d’une référence croisée dans le document change, le lien reste intact tant que le marqueur est conservé. Par exemple, imaginons que vous créez une référence croisée pour un en-tête d’un document, puis incluez ou supprimez le contenu avant l’en-tête. La référence croisée reste intacte, même si l’emplacement de l’en-tête de destination a changé.

Pour ouvrir le panneau Références croisées :

  • Dans le menu Affichage, sélectionnez Panneaux > Références croisées.

Panneau Références croisées
Panneau Références croisées dans FrameMaker

Le panneau Références croisées affiche la liste des références croisées du document en cours.

Pour trier la liste, cliquez sur un en-tête de colonne de la liste. La liste est triée selon l’en-tête sur lequel vous cliquez.

Pour redimensionner une colonne :

  1. Passez le pointeur de la souris entre deux colonnes jusqu’à ce que le curseur change pour une flèche bidirectionnelle.

  2. Maintenez le bouton gauche de la souris enfoncé, faites glisser, puis relâchez le bouton de la souris lorsque la largeur de la colonne correspond au besoin.

Utilisez le panneau Références croisées pour :

A (Rechercher) :

Recherche de références croisées dans la liste. La fonctionnalité SAYT (recherche lors de la saisie) fonctionne sur toutes les colonnes dans la liste.

B (Insérer) :

Insérez une référence croisée dans le document. Voir Insertion de références croisées.

C (Modifier) :

Ouvrez la boîte de dialogue des références croisées pour modifier une référence croisée. Voir Modification des références croisées dans un document.

D (Supprimer) :

Supprimer une référence croisée sélectionnée Voir Suppression des références croisées dans un document.

E (Aller à l’emplacement) :

Accédez à la référence croisée sélectionnée dans le document en cours.

F (Convertir en texte) :

Convertit la référence croisée sélectionnée en texte modifiable.

Note: Le texte visible de la référence croisée est converti en texte modifiable. Par exemple, si vous choisissez d’inclure le numéro de page dans le texte de référence croisée, celui-ci est conservé comme texte modifiable. Pour plus d’informations sur les formats de référence croisée, voir Gestion des formats de références croisées.
G (Filtrer) :

Filtrez les références croisées sur la base du document ou du type de références. Dans la liste Document, sélectionnez l’une des options suivantes :

  • En cours

  • Documents ouverts

  • Sélectionner un document dans la liste

Pour le type de références, sélectionnez l’une des options suivantes :

  • Toutes les références croisées

  • Références croisées externes. Voir Suppression des références croisées dans un document.

  • Références croisées non résolues. Voir Gestion des références croisées non résolues

H (Actualiser) :

Actualisation de la liste des références croisées disponibles.

Insertion de références croisées

Comprendre comment insérer des références croisées dans les documents FrameMaker.

Vous pouvez insérer la référence croisée dans un document pour pointer sur une autre section du document en cours, ou sur une section d’un autre document. Vous pouvez Insérer des références croisées dans des documents ou Insertion d’une référence croisée à un élément dans des documents structurés.

Boîte de dialogue Références croisées

La boîte de dialogue Références croisées permet d’insérer une référence croisée dans un document.

Boîte de dialogue Références croisées
Insertion de références croisées avec la boîte de dialogue Références croisées

Dans la boîte de dialogue Références croisées:

Document

Sélectionnez le document contenant l’emplacement de destination de la référence croisée.

Note: Si la référence croisée pointe sur emplacement d’un autre document, vous devez ouvrir ce document.
Aller à la source

Accédez à l’emplacement de la référence croisée. Si la référence croisée se trouve dans un autre document, ouvrez le document et accédez à la balise du paragraphe sélectionné.

Type de source

Sélectionnez le type de contenu de l’emplacement de destination :

Paragraphe

Opération Insertion d’une référence croisée à un paragraphe d’un document

Marqueurs de référence croisée

Opération Insertion d’une référence croisée pour un marqueur RC dans un document

Éléments répertoriés dans l’ordre/Éléments répertoriés par ID

Opération Insertion d’une référence croisée à un élément dans des documents structurés.

Vous pouvez choisir de lister les éléments du document dans l’ordre dans lequel ceux-ci apparaissent dans le document. Sinon, vous pouvez répertorier les éléments par leur ID.

Listes Type de source

Selon le type de source sélectionné ci-dessus, la liste de gauche ci-dessous affiche les balises de paragraphe, les références croisées ou les types d’éléments du document sélectionné.

La zone de liste de droite affiche les paragraphes, les références croisées ou les éléments spécifiques.

Balise d’élément

Sélectionnez la balise d’élément (par exemple XRef) à utiliser pour la référence croisée. Pour plus de détails, reportez-vous à la section Insertion d’une référence croisée à un élément dans des documents structurés.

Format

Sélectionnez un format pour afficher la référence croisée dans le document en cours. Pour plus de détails, reportez-vous à la section Gestion des formats de références croisées.

Modifier un format

Par défaut, FrameMaker fournit la liste des formats de références croisées. Sélectionnez cette option pour ajouter, modifier ou supprimer dans cette liste. Pour plus de détails, reportez-vous à la section Gestion des formats de références croisées.

Convertir en texte

Affiche la boîte de dialogue de conversion des références croisées texte.

Cette boîte de dialogue permet de convertir en texte modifiable :

  • des références croisées sélectionnées ;

  • des références croisées avec un format spécifique ;

  • des références croisées avec une balise Elément spécifique ;

  • toutes les références croisées du document en cours.

Insérer / Remplacer

Insère une référence croisée à l’emplacement spécifié. Voir Insérer des références croisées dans des documents. Si vous sélectionnez une référence croisée existante, l’option Remplacer permet de mettre à jour la référence croisée. Voir Mise à jour des références croisées dans un document.

Insérer des références croisées dans des documents

Il est possible d’insérer une référence croisée pour un paragraphe (par exemple, des en-têtes) dans un document ou des encarts de texte au sein d’un document.

De la même manière, il est possible d’insérer une référence croisée pour un mot ou à une expression d’un document. Dans un document structuré, il est également possible d’insérer des références croisées à des éléments de la hiérarchie structurée.

Insertion d’une référence croisée à un paragraphe d’un document

  1. Placez le point d’insertion à l’endroit du document en cours où vous souhaitez insérer la référence croisée.

  2. Cliquez sur Insérer dans le panneau Références croisées.

    Sinon, sélectionnez le menu Insérer > Référence croisée.

    La Boîte de dialogue Références croisées s’affiche.

  3. Dans la liste déroulante Document, sélectionnez le document contenant le paragraphe de destination.

    Important: Pour insérer une référence croisée dans un autre document, vous devez ouvrir le document de destination dans FrameMaker.

  4. Sélectionnez le texte de paragraphe et le paragraphe spécifique.

  5. Dans la liste Format, sélectionnez le format d'affichage de la référence croisée.

    Par exemple, le format See Heading & Page (Voir en-tête et page) donne l’affichage :

    See “Creating cross-references” on page 1

  6. Cliquez sur Insérer.

Si vous déplacez le paragraphe d’un document à un autre, FrameMaker utilise le marqueur Résolution de références croisées non résolues dans un document.

Tip: Pour conserver les références croisées que déplacez sur un document, vous devez également déplacer les marqueurs RC.
Important: Si le paragraphe de destination existe dans un document distinct, vous devez vérifier que vous disposez des autorisations en écriture sur ce document. Par exemple, si vous utilisez un système de gestion de contenu, vous pourriez être amené à extraire les documents source et de destination.

Insertion d’une référence croisée à un paragraphe dans un encart de texte

Si vous avez un document comportant une référence d’encarts de texte à un autre document, vous pouvez insérer une référence croisée aux paragraphes contenus dans les encarts de texte. Si un utilisateur suit le lien de la référence croisée dans le document principal, celui-ci est redirigé vers l’encart de texte du document proprement dit.

  1. Placez le point d’insertion à l’endroit du document en cours où vous souhaitez insérer la référence croisée.

  2. Cliquez sur Insérer dans le panneau Références croisées.

    Sinon, sélectionnez le menu Insérer > Référence croisée.

    La Boîte de dialogue Références croisées s’affiche.

  3. Dans la liste déroulante Document, sélectionnez le document qui est référencé dans l’encart de texte contenant le paragraphe de destination.

    Important: Pour insérer une référence croisée dans un autre document, vous devez ouvrir le document de destination dans FrameMaker.

  4. Sélectionnez le texte de paragraphe et le paragraphe spécifique.

  5. Dans la liste Format, sélectionnez le format d'affichage de la référence croisée.

    Par exemple, le format See Heading & Page (Voir en-tête et page) donne l’affichage :

    See “Creating cross-references” on page 1

  6. Cliquez sur Insérer.

Si vous insérez une référence croisée de paragraphe dans un encart de texte, le marqueur de cette référence croisée risque d’être perdu lors de la mise à jour de l’encart. Pour empêcher la perte du marqueur, insérez tout d’abord une référence croisée au paragraphe dans le document source de l’encart de texte.

  1. Ouvrez la source de l’encart en cliquant deux fois sur ce dernier, puis en cliquant sur Ouvrir source dans le panneau Caractéristiques de l’encart de texte.

  2. Insérez une référence croisée vers le paragraphe à n’importe quel endroit dans le document source.

  3. Supprimez le texte de la référence croisée. Le marqueur est toujours présent.

  4. Enregistrez le document source, puis mettez à jour l’encart de texte à l’aide de la commande Edition > Mettre à jour les références dans le document contenant l’encart de texte.

  5. Insérez une référence croisée localisée, cette fois dans le document contenant l’encart. La référence croisée utilise le marqueur dans l’encart mis à jour.

Insertion d’une référence croisée pour un marqueur RC dans un document

Vous pouvez insérer une référence croisée pour n’importe quel emplacement d’un document à l’aide du marqueur de type RC. Le marqueur RC permet d’établir un lien à un mot ou à une expression dans un paragraphe ou un cadre ancré, et même au texte d’une cellule d’un tableau. Vous pouvez établir un lien à tout emplacement d’un document où il est possible d’insérer un marqueur RC.

  1. Placez le point d’insertion à l’emplacement de destination, puis ouvrez la boîte de dialogue Marqueur (Insérer > Marqueur).

  2. Dans la boîte de dialogue Marqueur, sélectionnez le type de marqueur RC.

  3. Spécifiez le texte du marqueur, puis cliquez sur Nouveau marqueur.

    Le texte du marqueur peut être un intitulé quelconque que vous spécifiez pour le nom. Sélectionnez cette boîte de dialogue Référence croisée lorsque vous insérez la référence croisée.

    Un nouveau marqueur est inséré à l’emplacement de destination.

  4. Placez le point d’insertion à l’emplacement pour créer la référence croisée.

    Note: Les emplacements des références croisées et des marqueurs peuvent être dans les mêmes documents ou des documents distincts.

  5. Ouvrez la boîte de dialogue Boîte de dialogue Références croisées.

  6. Dans la liste déroulante Type de source, sélectionnez Marqueurs de référence croisée.

  7. Dans la liste Type de marqueur, sélectionnez RC (Cross-Ref).

  8. Dans la liste Marqueurs de référence croisée, sélectionnez le marqueur (par nom) que vous avez créé dans les étapes 1 à 3.

Pour insérer la référence croisée, exécutez le reste des étapes selon la procédure décrite dans Insertion d’une référence croisée à un paragraphe d’un document.

Important: Si la référence croisée de destination existe dans un document distinct, vous devez vérifier que vous disposez des autorisations en écriture sur ce document. Par exemple, si vous utilisez un système de gestion de contenu, vous pourriez être amené à extraire les documents source et de destination.

Insertion d’une référence croisée à un élément dans des documents structurés

Dans un document structuré, outre les références croisées renvoyant aux paragraphes et les marqueurs RC (Cross-ref), vous pouvez également insérer des références croisées renvoyant à des éléments dans le document en cours ou d’autres documents structurés.

  1. Placez le point d’insertion à l’endroit du document en cours où vous souhaitez insérer les références croisées.

  2. Cliquez sur Insérer dans le panneau Références croisées.

    Sinon, sélectionnez le menu Insérer > Référence croisée.

    La boîte de dialogue Insérer une référence croisée s’affiche.

    Insérez la boîte de dialogue Références croisées dans FrameMaker

  3. Sélectionnez l’élément DITA à utiliser pour insérer la référence croisée.

    Note: Les éléments de cette liste dépendent des éléments de référence croisée définis dans l’application structurée.

  4. Dans la zone Cible, choisissez si le fichier, l’espace de touche ou ces deux éléments contiennent l’élément de destination.

    Note: Si vous sélectionnez Fichier, sélectionnez le fichier contenant la destination cible. Si vous sélectionnez Clé, sélectionnez la clé cible. Si vous choisissez les deux éléments, vous devez sélectionner la source de votre référence croisée dans la liste déroulante Paramètres pour. Vous pouvez également rechercher l’élément requis en réalisant une saisie dans la zone de texte Filtre.

  5. Sélectionnez l’élément cible dans la liste.

    La liste contient des informations concernant le type d’élément, l’ID et le contenu à l’emplacement où l’élément est utilisé.

  6. Dans la zone Affichage entrez le texte de la référence croisée, ou sélectionnez le format dans la liste déroulante.

    Par exemple, le format See_Title_and_Page (Voir en-tête et page) donne l’affichage :

    See “Creating cross-references” on page 1

  7. Cliquez sur Insérer.

Lorsque vous insérez une référence croisée renvoyant à un élément d’un document structuré, FrameMaker utilise les attributs ID et IDRef des éléments de destination et sources, respectivement.

Si vous insérez une référence croisée renvoyant à un élément dont l’attribut ID n’a pas actuellement de valeur affectée, FrameMaker affecte une valeur unique à l’attribut. Cependant, si l’attribut ID n’est pas en lecture seule, vous pouvez définir manuellement la valeur d’attribut.

Vous devez vérifier que l’élément de destination contient l’attribut ID défini. Dans le cas contraire, vous devez utiliser un autre élément ou la définition d’application structurée doit être modifiée.

Important: Si l’élément de destination existe dans un document distinct, vous devez vérifier que vous disposez des autorisations en écriture sur ce document. Par exemple, si vous utilisez un système de gestion de contenu, vous pourriez être amené à extraire les documents source et de destination.

Gestion des références croisées

Apprenez à gérer, à modifier, à supprimer et à mettre à jour des références croisées dans FrameMaker, à travailler avec des formats de références croisées ainsi qu'à identifier et à gérer des références croisées non résolues.

Vous pouvez modifier (voir Modification des références croisées dans un document) ou supprimer (voir Suppression des références croisées dans un document) les références croisées existantes dans un document. Vous pouvez également, modifier les formats des références croisées pour changer la façon dont la référence croisée apparaît dans la sortie du document. Par exemple, vous pouvez choisir de n’afficher que le texte de l’intitulé, sans inclure le numéro de page dans la référence croisée. Pour plus de détails, reportez-vous à la section Gestion des formats de références croisées. Vous pouvez mettre à jour les références croisées du document. Par exemple, si le contenu de destination est modifié. Voir Mise à jour des références croisées dans un document. En outre, les modifications apportées au contenu de destination peuvent provoquer la rupture des références croisées dans le document en cours. Pour identifier et gérer des références croisées non résolues, voir Gestion des références croisées non résolues.

Modification des références croisées dans un document

La boîte de dialogue Références croisées permet de modifier n’importe quelle propriété associée à une référence croisée existante, y compris la destination de la référence croisée.

Modification de la référence croisée dans un document

  1. Pour une référence croisée existante, cliquez deux fois sur la référence croisée dans le document.

    Alternativement, sélectionnez le panneau Référence croisée (Affichage > Panneaux > Références croisées), sélectionnez la référence croisée dans le panneau et cliquez sur Modifier.

    La boîte de dialogue Référence croisée apparaît.

  2. Elle permet de mettre à jour :

    • Le document de destination et le paragraphe, la référence croisée ou l’élément ;

    • Balise d’élément - si la référence croisée est un élément d’un document structuré ;

    • Le format de la référence croisée

      Cliquez sur Modifier un format pour ouvrir leBoîte de dialogue Modifier le format de référence croisée. Cette boîte de dialogue permet d’ajouter, de modifier ou de supprimer des formats de références croisées. Pour plus de détails, reportez-vous à la section Gestion des formats de références croisées.

    • Convertir des références croisées du document en texte.

  3. Pour mettre à jour la référence croisée, cliquez sur Remplacer.

Suppression des références croisées dans un document

Si vous supprimez une référence croisée d’un document, à l’instar du texte, la référence croisée est supprimée. Par exemple, si la référence croisée suivante est insérée dans un document :

See “Creating cross-references” on page 1

Si vous supprimez la référence croisée, celle-ci est supprimée du catalogue du document et le texte (Voir « Création de références croisées » à la page 1) est supprimé du document.

Suppression d’une référence croisée dans un document

  1. Ouvrez le panneau Références croisées (Affichage > Panneaux > Références croisées).

  2. Sélectionnez la référence croisée dans le panneau, cliquez sur Supprimer.

Vous pouvez également sélectionner la référence croisée dans le document, puis appuyer sur la touche Suppr. du clavier. A noter que dans ce cas, vous risquez de également de supprimer accidentellement n’importe quel texte contigu.

Gestion des formats de références croisées

Lorsque vous insérez une référence croisée dans un document, vous devez sélectionner un format à associer au document.

Par exemple, le format See Heading & Page (Voir en-tête et page) donne l’affichage :

See “Creating cross-references” on page 1

La liste déroulante Format affiche les formats disponibles. Vous pouvez choisir l’un des formats lorsque vous insérez une référence croisée dans un document. Vous pouvez également modifier ces formats ou en créer d’autres. Les formats de référence croisée sont spécifiques du document FrameMaker. Cependant, vous pouvez utiliser les formats mis à jour dans un autre document via Importation de formats de référence croisée.

Boîte de dialogue Modifier le format de référence croisée

La boîte de dialogue Modifier le format de référence croisée permet de créer, modifier ou supprimer des formats de référence croisée dans le document en cours.

Boîte de dialogue Modifier le format de référence croisée
Modifier la boîte de dialogue Références croisées dans FrameMaker

Utilisez la boîte de dialogue Modifier le format de référence croisée pour :

Nom:

Mettre à jour le nom d’un format existant ou spécifier un nom pour un nouveau format.

Définition :

Définir le format de référence croisée.

Pour définir un format, vous pouvez entrer n’importe quel texte fixe (par exemple : Illustration qui s’affichera lorsque vous spécifiez le texte dans la définition). Vous pouvez également utiliser la liste Composantes des définitions pour afficher des informations contextuelles.

Par exemple, le format Heading & Page par défaut est défini comme :

“<$paratext>” on page\ <$pagenum>

Les parties composantes de la définition sont incluses entre des chevrons (<>) et précédées d’un signe dollar ($). Lorsque FrameMaker rencontre cette nomenclature dans un format de référence croisée, il interprète cela en fonction des définitions de composantes. Dans l’exemple ci-dessus, FrameMaker interprète :

<$textepara>

Texte de paragraphe du paragraphe en référence croisée

<$numpage>

Numéro de page du paragraphe en référence croisée

La référence croisée résultante apparaît comme :

“Inserting cross-references” on page 25

Pour plus de détails, reportez-vous à la section Composantes du format de référence croisée.

Si la définition contient des caractères qui ne sont pas selon la nomenclature des composantes, ces caractères s’affichent tels qu’ils sont saisis dans la définition. Disons que dans l’exemple ci-dessus, vous ayez défini le format En-tête et page de la forme suivante :

“<$paratext>” on page\ <$PageNum>

La référence croisée résultante apparaît comme :

“Inserting cross-references” on page <$PageNum>
Ajoutez des éléments

Création d’un format. Voir Création de formats de références croisées.

Modifier

Modification d’un format existant. Voir Modification des formats de références croisées.

Supprimer

Suppression d’un format existant. Voir Suppression des formats de référence croisée.

Création de formats de références croisées

Vous pouvez créer des formats de référence croisée, puis les utiliser dans le document en cours. Pour utiliser les nouveaux formats dans un autre document, voir Importation de formats de référence croisée.

  1. Dans Boîte de dialogue Modifier le format de référence croisée, attribuez un nom à la référence croisée dans le champ Nom.

  2. Dans le champ Définition, définissez le format de référence croisée.

    Pour définir le format, vous pouvez saisir n’importe quel texte (lettres, caractères ou nombres) qui s’affiche tel quel dans la référence croisée.

    Utilisez les composantes pour afficher des informations contextuelles dans la référence croisée.

    Pour ajouter une composante à la définition, placez le point d’insertion à l’emplacement approprié, puis cliquez sur la définition dans la liste Composantes.

    Vous pouvez également saisir la définition de composante en incluant la définition entre chevrons (<>) et en faisant précéder la définition du signe dollar ($).

    Pour plus de détails, reportez-vous à la section Composantes du format de référence croisée.

  3. Pour créer un format de référence croisée, cliquez sur Ajouter.

Modification des formats de références croisées

Vous pouvez modifier des formats de référence croisée existants, puis les utiliser dans le document en cours. Pour utiliser les formats mis à jour dans un autre document, voir Importation de formats de référence croisée.

  1. Dans Boîte de dialogue Modifier le format de référence croisée, sélectionnez un format existant dans la liste Formats.

    Note: Vous pouvez modifier le nom du format dans le champ Nom.

  2. Dans le champ Définition, modifiez la définition du format de référence croisée.

    Vous pouvez saisir n’importe quel texte (lettres, caractères ou nombres) qui s’affiche tel quel dans la référence croisée.

    Utilisez les composantes pour afficher des informations contextuelles dans la référence croisée.

    Pour ajouter une composante à la définition, placez le point d’insertion à l’emplacement approprié, puis cliquez sur la définition dans la liste Composantes.

    Vous pouvez également saisir la définition de composante en incluant la définition entre chevrons (<>) et en faisant précéder la définition du signe dollar ($).

    Pour plus de détails, reportez-vous à la section Composantes du format de référence croisée.

  3. Cliquez sur Modifier, et pour mettre à jour le format de référence croisée sélectionné, cliquez sur Terminé.

    La boîte de dialogue Mettre à jour les références croisées apparaît.

  4. Si vous mettez à jour la définition de format, vous devez mettre à jour les références :

    • Dans le document actif

    • Dans tous les documents ouverts référencés par des références croisées dans le document en cours

    • Dans tous les documents référencés par des références croisées dans le document en cours

    Ou cliquez sur Annuler pour ne pas tenir compte des modifications apportées aux formats dans chacune des références croisées.

Suppression des formats de référence croisée

Vous pouvez choisir de supprimer des formats de référence croisée non utilisés dans le document. Vous pouvez également décider de supprimer des formats de référence croisée actuellement utilisés. Si vous supprimez un format de référence croisée utilisé dans le document en cours, vous êtes alors averti que toutes les références croisées qui utilisent le format seront converties en texte modifiable.

  1. Dans Boîte de dialogue Modifier le format de référence croisée, sélectionnez un format existant dans la liste Formats.

  2. Cliquez sur Supprimer et pour supprimer du catalogue du document le format de référence croisée sélectionné, cliquez sur Terminé.

    Vous êtes invité à changer en texte modifiable toutes les références croisées qui utilisent le format supprimé.

Importation de formats de référence croisée

Les formats de référence croisée que vous ajoutez ou modifiez sont utilisables dans le document en cours. Vous devez importer les formats pour rendre les accessibles dans d’autres documents.

  1. Ouvrez le document contenant le format de référence croisée à importer dans d’autres documents.

  2. Ouvrez le document dans lequel vous devez importer les formats.

    Assurez-vous que le document dans lequel vous devez importer les formats est actuellement sélectionné.

  3. Ouvrez la boîte de dialogue Importer des formats (Fichier > Importer > Formats).

  4. Dans la liste déroulante Importer du document, sélectionnez le document source et vérifiez que seule la case à cocher Formats de références croisées est sélectionnée.

    Vous pouvez commencer par utiliser le bouton Tout désélectionner pour désactiver toutes les cases à cocher et sélectionner ensuite la case à cocher Formats de références croisées.

  5. Pour importer les formats de références croisées, cliquez sur Importer.

Composantes du format de référence croisée

Lorsque vous ajoutez ou modifiez un format de référence croisée, les composantes permettent d’afficher des informations contextuelles dans la référence croisée. Les sections suivantes décrivent les composantes utilisables pour créer des formats de référence croisée.

Composantes d’informations de fichier source

Les composantes suivantes fournissent des informations sur le fichier source du document contenant la référence croisée :

Composante | Description
<$filename> | Nom du document source.
<$fullfilename> | Chemin d’accès complet au document source.
<$volnum> | Numéro de volume du document contenant le paragraphe source
<$chapnum> | Numéro de chapitre du document contenant le paragraphe source
Paragraphe source

Les composantes suivantes fournissent des informations sur le paragraphe source référencé par la référence croisée :

Composante | Description
<$pagenum> | Numéro de page du paragraphe source
<$paratext> | Texte du paragraphe source, sans son numéro automatique. Si le format de caractère du texte du paragraphe source a été modifié par l’application d’un format du Catalogue de caractères, les familles de polices ainsi que les caractéristiques d’exposant et d’indice sont conservées dans le texte de la référence croisée.
<$paratag> | Etiquette du paragraphe source.
<$paranum> | Numéro automatique complet du paragraphe source, incluant tout texte figurant dans le format de numéro automatique
<$paranumonly> | Compteurs de numéros automatiques du paragraphe source, incluant tous les caractères situés entre ceux-ci
Paragraphe précédant le paragraphe source

Une référence croisée à une sous-section identifie souvent la section qui la contient. Par exemple, cette référence croisée à un sous-intitulé identifie l’intitulé principal sous lequel il se trouve : Voir « Types de limites des plaques » dans « Tectonique des plaques ». Dans cet exemple, Types de limites des plaques constitue le paragraphe source et Tectonique des plaques l’intitulé principal sous lequel se trouve le paragraphe source.

Dans chaque composante, remplacez etiq (entre crochets) par l’étiquette du paragraphe auquel vous souhaitez faire référence, mais ne supprimez pas les crochets. Par exemple, pour faire référence au texte du paragraphe précédent étiqueté EnTête1, utilisez la formulation <$textepara[EnTête1]>.

Composante | Description
<$pagenum[tag]> | Numéro de page du paragraphe précédent avec l’étiquette spécifiée.
<$paratext[tag]> | Texte du paragraphe précédent avec l’étiquette spécifiée, sans son numéro automatique. Si le format de caractère du texte du paragraphe source a été modifié par l’application d’un format du Catalogue de caractères, les familles de polices ainsi que les caractéristiques d’exposant et d’indice sont conservées dans le texte de la référence croisée.
<$paratag[tag]> | Etiquette du paragraphe précédent avec l’étiquette spécifiée.
<$paranum[tag]> | Numéro automatique complet du paragraphe précédent avec l’étiquette spécifiée, y compris tout texte figurant dans le format de numéro automatique.
<$paranumonly[tag]> | Compteurs de numéros automatiques du paragraphe précédent avec l’étiquette spécifiée, y compris tous les caractères situés entre ceux-ci.
Important: n’utilisez pas d’étiquette de paragraphe comportant des crochets ([ ]).
Eléments de documents structurés

Utilisez les composantes suivantes pour créer des formats de références croisées qui se rapportent à des éléments de document structurés.

Composante | Description
<$elempagenum> | Numéro de page de l’élément source
<$elemtext> | Texte de l’élément source (jusqu’au premier saut de paragraphe) sans son numéro automatique, mais avec tout préfixe et suffixe spécifié dans la définition de l’élément.
<$elemtextonly> | Texte de l’élément source (jusqu’au premier saut de paragraphe) sans son numéro automatique ni préfixe ou suffixe spécifié dans la définition de l’élément.
<$elemtag> | Etiquette de l’élément source.
<$elemparanum> | Numéro automatique complet du premier paragraphe de l’élément source (ou du paragraphe contenant l’élément source), y compris tout texte figurant dans le format de numéro automatique.
<$elemparanumonly> | Compteurs de numéros automatiques du premier paragraphe de l’élément source (ou du paragraphe contenant l’élément source), y compris tous les caractères situés entre ceux-ci
<$attribute[name]> | Valeur de l’attribut avec le nom spécifié (ou valeur par défaut si aucune valeur n’est spécifiée)

Mise à jour des références croisées dans un document

Si le contenu source des références croisées est mis à jour, vous devez mettre à jour les références croisées dans le document en cours. Par exemple, si vous créez une référence croisée de paragraphe pour un intitulé et modifiez ensuite le texte de l’intitulé, vous devez mettre à jour la référence croisée dans le document contenant la référence croisée.

Les références croisées du document sont mises à jour chaque fois qu’un document est ouvert. Vous pouvez également mettre à jour manuellement les références dans un document déjà ouvert. En outre, vous pouvez empêcher FrameMaker de mettre à jour les références croisées à chaque ouverture d’un document.

Mise à jour des références croisées d’un document

  1. Dans le menu Edition, sélectionnez Mettre à jour les références.

  2. Dans la boîte de dialogue qui s’ouvre, vérifiez les références croisées, puis cliquez sur Mettre à jour.

Si FrameMaker ne parvient pas à résoudre les références croisées, la zone de dialogue Mettre à jour les références croisées non résolues s’affiche. Pour plus d’informations sur les références croisées non résolues, voir Gestion des références croisées non résolues.

Suppression de la mise à jour automatique des références croisées

Par défaut, FrameMaker met à jour les références croisées d’un document chaque fois que le document est ouvert. Cependant, si un document contient un grand nombre de références croisées, la validation des références croisées dans le document peut entraîner un accroissement important du temps de chargement du document.

Pour empêcher FrameMaker de mettre à jour les références croisées à l’ouverture d’un document :

  1. Sélectionnez Modifier > Mettre à jour les références.

  2. Dans la boîte de dialogue Mettre à jour les références, ouvrez la liste déroulante Commandes dans le coin supérieur droit et sélectionnez Annuler la mise à jour automatique.

  3. Dans la boîte de dialogue Annuler la mise à jour automatique des références, cochez Annuler la mise à jour automatique de toutes les références croisées et cliquez sur Définir.

Gestion des références croisées non résolues

Si la source de la référence croisée est modifiée sans que FrameMaker soit en mesure de mettre à jour la référence à la destination, FrameMaker signale la référence croisée comme non résolue. Cela peut se produire, par exemple, si le document source ou le contenu est supprimé.

FrameMaker signale une référence croisée comme non résolue si :

  • Le marqueur ou la source de la référence croisée ont été déplacés dans un autre fichier ou le fichier source lui-même a été déplacé ou renommé.

  • La source a été supprimée ou, s’il s’agit d’un paragraphe ou d’un marqueur de référence croisée, le marqueur indiquant la source a été supprimé.

  • Le fichier contenant le marqueur est actuellement ouvert par un autre utilisateur.

  • La valeur de l’attribut d’identification de l’élément source ou de l’attribut d'ID des références croisées (@IDRef) a été modifiée ou supprimée.

Identification des références croisées non résolues dans un document

Vous pouvez afficher la liste des références croisées non résolues dans un document dans le panneau:

  1. Ouvrez le panneau Références croisées (Affichage > Panneau > Références croisées).

  2. Dans la liste déroulante Références, sélectionnez Références croisées non résolues.

La liste affiche les références croisées non résolues. Utilisez la boîte de dialogue Mettre à jour les références pour Résolution de références croisées non résolues dans un document.

Vous avez également la possibilité de générer une liste des références croisées non résolues d’un document :

  1. Sélectionnez Insérer > Liste de > Références.

  2. Choisissez de créer la liste en tant qu’index autonome des références ou d’ajouter l’index dans un nouveau livre.

  3. Déplacez l’outil Références croisées non résolues vers la liste Inclure références et cliquez sur Définir.

La liste générée comprend le numéro de page de chaque référence croisée non résolue et indique si la source manquante est interne (dans le document en cours) ou externe (dans un autre document). Cette liste comporte des informations supplémentaires, comme la balise et le texte du paragraphe source, par exemple (pour les documents non structurés), ou l’ID, la balise d’élément et le texte de l’élément source (pour les documents structurés). Pour les références croisées du marqueur de références croisées, la liste inclut le texte des marqueurs.

Note: La balise et le texte ne sont pas toujours précis, car ils ne sont pas mis à jour après la première insertion de la référence croisée.

Résolution de références croisées non résolues dans un document

Pour résoudre les références croisées externes non résolues d’un document :

  1. Ouvrez la boîte de dialogue Mettre à jour les références (Modifier > Mettre à jour les références).

  2. Cliquez sur la liste déroulante Commandes et sélectionnez Mettre à jour les références croisées non résolues.

    La boîte de dialogue Mettre à jour les références croisées non résolues apparaît.

  3. Dans la liste de sélection Total de références croisées non résolues, sélectionnez le fichier qui contenait précédemment la source de la référence croisée non résolue. Le texte sous la liste indique le nombre de références croisées au fichier sélectionné non résolues.

  4. Accédez au document alternatif contenant la référence croisée, et sélectionnez-le.

  5. Pour résoudre les références croisées à n’importe quel autre fichier répertorié dans la liste de sélection Total de références croisées non résolues, répétez les étapes 3 et 4, puis cliquez sur Terminé.

Pour résoudre les références croisées pour le marqueur RC (Cross-Ref), vous devez recréer le marqueur RC (Cross-Ref) et la référence croisée. Pour plus de détails, reportez-vous à la section Insertion d’une référence croisée pour un marqueur RC dans un document.

De même, pour résoudre des références croisées pour des éléments dans des documents structurés, vous devez recréer la référence croisée. Pour plus de détails, reportez-vous à la section Insertion d’une référence croisée à un élément dans des documents structurés.


Création de contenu structuré à l’aide de DITA

Découvrez comment la création de contenu structuré applique une structure à un document que vous créez dans FrameMaker.

La création de contenu structuré applique une structure à la création de documents. Lorsque vous créez un document structuré dans FrameMaker, il est nécessaire de sélectionner une application structurée sur laquelle vous souhaitez créer le document. L’application structurée définit les règles de structure et de formatage qui sont appliquées lors de la création de votre document. L’architecture DITA (Darwin Information Typing Architecture, Architecture darwinienne d’information typée) est une norme XML ouverte applicable pour une création structurée. Lors de la création dans DITA, vous pouvez également utiliser le Jeu d’outils Open Toolkit DITA (DITA-OT) pour publier la sortie. Voir Jeu d’outils Open Source DITA.

Rubriques DITA

Les rubriques DITA sont les unités les plus granulaires du contenu DITA. Chaque rubrique doit être écrite autour d’un sujet de contenu unique. Pour plus de détails, reportez-vous à la section Rubriques DITA.

Consultez les spécifications des rubriques DITA.

Saisie d’informations

La saisie des informations consiste à identifier des types de rubriques qui contiennent des types d’informations distincts, comme des concepts, des tâches et des informations de référence. Les rubriques qui répondent à différents types de questions peuvent être classées comme différents types d’informations. Les types de rubrique de base fournis par DITA (une rubrique générique, plus concept, tâche et référence) fournissent un jeu de démarrage utilisable pouvant être adopté immédiatement pour l’écriture. Pour plus de détails, reportez-vous à la section Rubriques DITA.

Consultez les spécifications de la saisie d’informations.

Mappages DITA

Le mappage DITA est comparable à une table des matières, qui répertorie et lie les rubriques pour une sortie spécifique. Les mappages DITA rassemblent les rubriques sous une séquence et une hiérarchie définies selon le type d’informations à gérer. Plusieurs mappages peuvent être utilisés, chacun d’entre eux organisant les rubriques en fonction des besoins, selon qu’il s’agisse d’un manuel de référence, d’un didacticiel ou d’une aide en ligne. Le fichier de mappage DITA a pour extension .ditamap

Pour plus de détails, reportez-vous à la section Mappages DITA.

Consultez les spécifications des mappages DITA.

Plans d’ouvrage

Un plan d’ouvrage est la spécialisation d’un mappage DITA. Vous pouvez enregistrer un mappage DITA en tant que plan d’ouvrage. Dans un plan d’ouvrage, les éléments <topicref> de plus haut niveau dans le mappage DITA deviennent des chapitres dans le livre FrameMaker et contiennent tous les éléments <topicref> imbriqués. Leur formatage est déterminé en fonction de l’application structurée que vous avez sélectionnée pour les livres dans la boîte de dialogue Options DITA.

Pour plus de détails, reportez-vous à la section Plans d’ouvrage DITA.

Consultez les spécifications des plans d’ouvrage.


Plans d’ouvrage DITA

Familiarisez-vous avec les plans d’ouvrage dans FrameMaker et avec la manière dont ils vous aident à organiser et à imprimer des rubriques DITA sous forme de livres.

Un plan d’ouvrage est un mappage DITA spécialisé qui vous permet d’organiser et d’imprimer vos rubriques DITA sous la forme d’un livre. Un plan d’ouvrage définit des éléments comme un <chapitre> et une <annexe>. Un mappage DITA n’impose pas de règles de structure compte tenu de la séquence des références de rubriques. Cependant, pour conserver une structure de livre, le plan d’ouvrage définit des règles comme l’interdiction d’un élément de chapitre après l’élément d’annexe.

Consultez les spécifications des plans d’ouvrage.

Les éléments de l’interface utilisateur de FrameMaker pour un plan d’ouvrage sont identiques à ceux relatifs à un mappage DITA. Par exemple, par défaut, le bookmap s’ouvre dans le Gestionnaire de ressources.

  1. Sélectionnez Fichier > Nouveau > DITA > <bookmap>.

  2. Les éléments <chapter>, <part>, <appendix> et <appendices> sont des éléments référencés.

    Pour ajouter ces éléments, suivez la procédure utilisée pour Insertion d’un élément de référence de rubrique dans un mappage DITA.

  3. Vous pouvez inclure des tableaux de relations dans un plan d’ouvrage.

    Pour plus d’informations sur les tableaux de relations, voir Tableaux de relations DITA.


Références contextuelles DITA

Familiarisez-vous avec les références contextuelles dans un document structuré et découvrez comment les utiliser pour créer une référence au contenu d’une autre rubrique DITA.

Une référence contextuelle (conref) permet de créer une référence à un contenu (éléments) à partir d’une rubrique DITA ou d’un mappage DITA dans une autre rubrique DITA. Une référence contextuelle (conref) permet de réutiliser un contenu (éléments) sur plusieurs rubriques DITA. Une conref est basée sur l’Attribut ID DITA assignée à l’élément. Cela signifie que si la position d’un élément dans la rubrique change, la référence reste intacte tant que l’ID demeure intact.

Vous pouvez utiliser un référencement direct pour pointer directement sur la rubrique DITA (fichier .xml) contenant les rubriques ou éléments cibles. Vous pouvez également utiliser le référencement indirect pour pointer sur des touches définies dans des espaces de touche. Pour plus d’informations, voir Référencement DITA.

Vous pouvez créer des références contextuelles (conrefs) pour pratiquement n’importe quel élément du catalogue des éléments DITA. Créez des références contextuelles (conrefs) pour une rubrique DITA afin de rendre une rubrique entière réutilisable. Vous pouvez également créer une référence contextuelle pour un <mot-clé> ou pour un élément <ph> à lier à un terme ou même à un mot. <> La seule exigence pour la création d’une référence contextuelle (conref) est que l’élément doit définir l’Attribut ID DITA.

Configuration d’une rubrique pour utiliser des références contextuelles (conref)

Apprenez à configurer une rubrique pour utiliser des références contextuelles (conref) dans FrameMaker.

Pour créer une référence contextuelle (conref) dans vos rubriques DITA, vous devez d’abord créer une rubrique DITA (référencement direct) ou un mappage DITA (référencement indirect) contenant le contenu (éléments) que vous prévoyez de réutiliser. Par exemple, vous prévoyez de réutiliser un tableau, une liste ordonnée et une image sur plusieurs rubriques. Vous devez ajouter ces éléments à la rubrique source. Si vous utilisez un référencement indirect, la rubrique est alors ajoutée au mappage DITA. En outre, pour rendre un élément réutilisable, vous devez lui affecter un ID unique. Pour plus d’informations sur la façon de rendre un contenu DITA réutilisable, voir Configurer un contenu de référence.

Boîte de dialogue Référence contextuelle DITA

Apprenez à ajouter des références contextuelles directes et indirectes à du contenu DITA dans FrameMaker à l’aide de la boîte de dialogue Référence contextuelle DITA.

La boîte de dialogue Référence contextuelle DITA permet d’ajouter des références contextuelles (conref) directes et indirectes au contenu DITA.

Pour ouvrir la boîte de dialogue Référence contextuelle DITA, procédez comme suit :

  • Sélectionnez Insérer > Conref.

Boîte de dialogue Référence contextuelle DITA
Ajout de références contextuelles (conref) directes et indirectes au contenu DITA à l’aide de la boîte de dialogue Référence contextuelle DITA

La boîte de dialogue Référence contextuelle DITA permet de :

A (Cible > Fichier) :

Sélectionnez cette option pour insérer une conref via Référencement DITA. Voir Créer une référence contextuelle (conref).

B (Cible > Touche) :

Sélectionnez cette option pour insérer une conref via Référencement DITA. Voir Création d’un lien DITA.

C (Cible > Les deux) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement direct ou indirect.

D (Fichier/Paramètres de touche) :

Si la cible est définie sur Fichier, sélectionnez une rubrique DITA dans la liste des rubriques actuellement ouvertes pour des références directes. Vous pouvez également sélectionner une rubrique qui n’est pas déjà ouverte.

Si la cible est définie sur Touche, sélectionnez une touche pour référence indirecte. Vous pouvez également ouvrir la boîte de dialogue Gestionnaire d’espace de touche DITA. Cette boîte de dialogue permet la Création d’un espace de touche et la définition de l’espace de touche par défaut pour la rubrique actuelle.

E (Filtrer texte) :

Recherchez la rubrique ou la touche requise vers laquelle vous souhaitez créer un lien. Cette recherche dynamique filtre les éléments lorsque vous commencez à saisir le nom dans la zone Filtrer texte. Vous pouvez filtrer le contenu à partir de la balise, de l’ID ou de texte de l’élément (contenu).

Une fois que vous avez trouvé la rubrique requise, sélectionnez un élément à inclure en tant que lien. L’élément de lien définit une relation à une autre rubrique.

F (Élément de fin de référence contextuelle) :

Sélection d’un élément comme dernier élément de la plage des éléments en référence contextuelle (conref). Pour plus de détails, reportez-vous à la section Création d’une référence contextuelle (conref) pour une plage d’éléments.

Utilisation des références contextuelles (conref)

Apprenez à utiliser les références contextuelles et à créer ou mettre à jour des références contextuelles dans Adobe FrameMaker.

Vous pouvez créer une référence contextuelle dans une rubrique ou un mappage DITA avec Boîte de dialogue Référence contextuelle DITA.

Cette section traite des rubriques suivantes :

  • Créer une référence contextuelle (conref)

  • Création d’une référence contextuelle (conref) pour une plage d’éléments

  • Mise à jour des références contextuelles (conrefs)

Créer une référence contextuelle (conref)

Pour créer une référence contextuelle pour une rubrique ou un mappage DITA dans Configurer un contenu de référencevotre rubrique ou mappage actuel, vous devez d’abord dans les rubriques ou mappages cible.

Ensuite vous créez une référence directe ou indirecte au contenu DITA cible.

  1. Placez le point d’insertion à l’emplacement pour insérer la référence contextuelle (conref) dans une rubrique ou un mappage.

    Pour insérer une référence contextuelle (conref) dans un emplacement de la rubrique, vous devez placer le point d’insertion pertinent pour l’élément de référence contextuelle (conref) :

    Un élément conref <li> (élément de liste) doit être placé dans une liste <ol> ou <ul>.

    Une <ligne> de tableau doit être placée dans un <tableau> ou un <tableau simple>.

    Dans le cas d’une <entrée> de tableau, vous ne pouvez pas placer le point d’insertion dans la <ligne> du tableau ; vous devez sélectionner une <entrée> existante à remplacer.

  2. Sélectionnez Insérer > Conref.

    La Boîte de dialogue Référence contextuelle DITA s’affiche.

  3. Vous pouvez ajouter un lien comme référence directe ou indirecte au contenu cible. Pour plus de détails, reportez-vous à la section Référencement DITA.

    Pour créer une référence directe au contenu cible, procédez comme suit :

    1. Sélectionnez l’option Fichier pour Cible, puis sélectionnez le fichier contenant la rubrique de référence.

    2. Vous pouvez sélectionner une rubrique de référence dans la rubrique actuelle, toute rubrique actuellement ouverte, ou utiliser le bouton Parcourir pour sélectionner une rubrique non ouverte.

    3. Après avoir sélectionné la rubrique DITA, la liste d’éléments affiche les éléments auxquels des ID uniques sont affectés.

      Les éléments figurant dans la rubrique DITA de la balise d’éléments sélectionnée qui ont un ID unique affecté apparaissent dans la liste d’éléments. Si un élément n’a pas d’ID unique affecté, vous pouvez Attribution d’un ID unique à un élément.

    4. Sélectionnez un élément à insérer comme référence contextuelle (conref) dans la rubrique actuelle.

      La liste présente également l’ID et le contenu (dans le cas d’éléments de texte) des éléments.

    Si vous apportez des modifications à un élément de référence contextuelle (conref) dans la rubrique source, vous devez enregistrer la rubrique source et mettre à jour la rubrique du conteneur pour afficher les mises à jour.<>

    Pour créer une référence indirecte au contenu cible, procédez comme suit :

    1. Sélectionnez l’option Touche pour Cible, puis cliquez sur Gestionnaire d’espace de touche.

    2. Dans la boîte de dialogue Gestionnaire d’espace de touche DITA, sélectionnez la clé dans la liste Touches définies, puis cliquez sur OK.

      Pour plus d’informations sur la façon d’ajouter des références de touche, voir Utilisation des espaces de touche pour gérer des références de touche DITA.

      Après avoir sélectionné la touche, la liste de balises d’éléments affiche les types de rubrique DITA intégrés dans l’espace de touche. Pour en savoir plus sur ce sujet, voir Création d’un espace de touche.

    3. Sélectionnez une balise d’élément.

      Les éléments figurant dans la rubrique DITA de la balise d’éléments sélectionnée qui ont un ID unique affecté apparaissent dans la liste d’éléments. Si un élément n’a pas d’ID unique affecté, vous pouvez Attribution d’un ID unique à un élément.

    4. Sélectionnez un élément à insérer comme référence contextuelle (conref), puis cliquez sur OK.

  4. Cliquez sur Insérer.

Création d’une référence contextuelle (conref) pour une plage d’éléments

Vous pouvez créer une référence contextuelle (conref) pour une plage d’éléments. Par exemple, vous disposez de plusieurs éléments <p> (paragraphes) que vous souhaitez référencer contextuellement (conref) dans une plage. Vous pouvez alors créer une référence contextuelle (conref) pour tous les éléments <p>.

Note: Pour spécifier une plage de référence pour le contenu, les éléments au sein de la plage doit être du même type. Les éléments de début et de fin (au minimum) doivent avoir des identificateurs (ID) uniques.

  1. Pour sélectionner le premier élément d’une plage, exécutez les étapes décrites dans la section Créer une référence contextuelle (conref) <, mais ne cliquez pas sur Insérer>.

  2. Dans la liste déroulante Elément de fin de référence contextuelle, sélectionnez le dernier élément de la plage à inclure dans la référence contextuelle (conref).

  3. Cliquez sur Insérer.

Mise à jour des références contextuelles (conrefs)

Si vous mettez à jour un élément réutilisable après l’avoir référencé dans une autre rubrique, vous devez mettre à jour les références contextuelles (conref) dans la rubrique pour afficher les mises à jour.

Pour mettre à jour les références contextuelles (conref) dans une rubrique :

  1. Sélectionnez Structure > DITA > Mettre à jour les références.

    La boîte de dialogue Références de mise à jour DITA s’affiche.

  2. Sélectionnez Mettre à jour toutes les références contextuelles du fichier.

  3. Cliquez sur OK.

Toutes les références contextuelles (conref) de la rubrique actuelle sont mises à jour.


Mappages DITA

Familiarisez-vous avec les mappages DITA et apprenez à les utiliser dans FrameMaker.

Un mappage DITA permet d’organiser les rubriques DITA en une structure hiérarchique. Vous pouvez ensuite créer une sortie pour votre contenu organisé selon différents formats de sortie.

Utilisation de mappages DITA pour organiser les rubriques DITA en une structure hiérarchique

Pour plus d’informations sur la génération de sortie DITA, voir Publication DITA.

Vous pouvez également utiliser des mappages DITA pour créer des espaces de touche utilisables pour un référencement indirect.

Voir Utilisation des espaces de touche pour gérer des références de touche DITA.

Consultez les spécifications des mappages DITA.

Création d’un mappage DITA

Apprenez à créer un mappage DITA dans FrameMaker.

  1. Sélectionnez Fichier > Nouveau > DITA > <mappage>.

    Vous pouvez aussi sélectionner Fichier > Nouveau > XML. Dans la boîte de dialogue Nouveau XML, allez sur l’onglet DITA, sélectionnez le mappage.

  2. Par défaut, un mappage DITA est ouvert dans le Gestionnaire de ressources.

    Le Gestionnaire de ressources vous permet d’effectuer les tâches suivantes :

    • Insérer des rubriques dans le mappage DITA ;

    • Enregistrez le mappage DITA

    • Basculer sur la vue Document pour afficher le contenu du mappage DITA.

  3. Vous pouvez utiliser les outils FrameMaker disponibles, comme la Vue de la structure et le panneau Eléments, pour travailler avec un mappage DITA.

  4. Vous pouvez également inclure des tables de relation avec un mappage DITA.

    Pour plus de détails, reportez-vous à la section Tableaux de relations DITA.

Insertion d’un élément de référence de rubrique dans un mappage DITA

Apprenez à insérer des éléments de référence de rubrique dans un mappage DITA.

Vous pouvez ajouter des rubriques à un mappage DITA à l’aide des éléments de référence de rubrique (topicref) du catalogue Eléments. <> Vous pouvez également ajouter des rubriques à l’aide de la fonction Insérer enfant dans le Gestionnaire de ressources.

FrameMaker prend en charge les éléments de référence de rubrique (<topicref>) suivants que vous pouvez insérer dans un mappage DITA :

topicref

Identifie des rubriques comme dita, topic (rubrique), concept, task (tâche), reference (référence), glossary entry (entrée du glossaire) et glossary group (groupe de glossaire). Un élément de référence de rubrique (topicref) peut également contenir d’autres éléments de référence de rubrique (topicref) pour créer une structure hiérarchique.

Consultez les spécifications des éléments topicref.

mapref

Un élément de commodité qui équivaut à un élément de <topicref> avec l’attribut de format défini sur « ditamap ».

Consultez les spécifications relatives aux éléments mapref.

topicset

Ensemble d’éléments de référence de rubrique (topicref) réutilisables dans des mappages DITA et autres éléments d’ensemble de rubrique (topicset).<>

Consultez les spécifications des éléments d’ensemble de rubrique.

keydef

Elément de commodité utilisé pour définir des touches sans avoir les autres effets se produisant lors de l’utilisation d’un élément de référence de rubrique (topicref) : aucun contenu n’est inclus dans une sortie, aucun titre n’est inclus dans la table des matières et aucune liaison ni aucune relation n’est définie.<>

Consultez les spécifications des éléments keydef.

topicsetref

Fait référence à un élément d’ensemble de rubrique (topicset).<>

Consultez les spécifications des éléments d’ensemble de rubrique.

Pour insérer un élément <topicref> dans un mappage DITA :

  1. Dans la Vue de la structure, placez le point d’insertion au niveau racine de l’élément de mappage.

  2. Sélectionnez Structure > DITA > Insérer Topicref.

  3. Si vous sélectionnez topicref, mapref, topicset ou keydef, la boîte de dialogue Insérer un élément s’affiche :

    Insertion d’éléments dans un mappage DITA à l’aide de la boîte de dialogue Insérer un élément
    Insertion d’éléments dans un mappage DITA à l’aide de la boîte de dialogue Insérer un élément

  4. Pour utiliser la référence de rubrique (topicref) insérée comme référence de touche, saisissez un nom de touche.

    Pour plus de détails, reportez-vous à la section Utilisation des espaces de touche pour gérer des références de touche DITA.

  5. Dans la zone HRef, saisissez l’emplacement de la rubrique à référencer. Ou cliquez sur Parcourir pour rechercher et sélectionner la rubrique. La rubrique est ajoutée en tant que référence directe.

    Si vous avez défini un espace de touche pour la rubrique actuelle, vous pouvez aussi sélectionner une référence de touche dans la liste déroulante KeyRef. La rubrique est ajoutée en tant que référence indirecte.

    Pour plus d’informations sur les références de touches et le référencement indirect, voir Utilisation des espaces de touche pour gérer des références de touche DITA.

Affichage du contenu d’un mappage DITA

Apprenez à afficher le contenu d’un mappage DITA et à afficher ou masquer la prévisualisation des éléments de référence de rubrique (topicref) à l’aide de FrameMaker.

Après avoir inséré une ou plusieurs références de rubrique (topicref) dans un mappage DITA, vous pouvez choisir d’afficher le contenu des rubriques référencées dans la vue Document.

Vous pouvez également ouvrir les rubriques DITA référencées en tant que documents séparés dans FrameMaker.

Affichage ou masquage de la prévisualisation du contenu des éléments de référence de rubrique (topicref)

  1. Pour prévisualiser le contenu sur un élément de référence unique, dans la Vue de la Structure, sélectionnez l’élément de référence de rubrique (topicref).

    Pour prévisualiser le contenu de tous les éléments de référence, cliquez n’importe où dans la rubrique en vous assurant qu’aucun élément n’est sélectionné. Vous êtes invité à afficher le contenu de toutes les références de rubrique. En outre, vous pouvez choisir d’afficher les cartes référencées enfants.

  2. Pour prévisualiser le contenu, sélectionnez Structure > DITA > Résoudre la/les référence(s) de rubrique > Afficher le contenu.

  3. Pour masquer la prévisualisation, sélectionnez Structure > DITA > Résoudre la/les référence(s) de rubrique > Masquer le contenu.

Tip: Pour afficher ou masquer la prévisualisation pour un élément unique, vous pouvez également cliquer avec le bouton droit sur l’élément et sélectionner Résoudre la/les référence(s) de rubrique > Afficher le contenu ou Résoudre la/les référence(s) de rubrique > Masquer le contenu.
Note:

Si une carte DITA contient des références aux cartes enfant, les options d’affichage et de masquage de la carte DITA permettent d’afficher ou de masquer les rubriques référencées dans les cartes enfants.

Dans la vue Document, FrameMaker affiche > pour indiquer qu’une rubrique est une rubrique de niveau supérieur dans le mappage DITA. >>indique qu’une rubrique est une rubrique de deuxième niveau et >>> indique qu’une rubrique est de niveau 3 et (et plus) dans le mappage DITA.

Niveaux de rubrique signalés par >, >> et >>>
Niveaux de rubrique signalés par >, >> et >>> dans la vue Document

Ouverture de toutes les rubriques référencées dans un mappage DITA

Si un mappage DITA contient des références à une ou plusieurs rubriques, vous pouvez ouvrir toutes les rubriques référencées dans FrameMaker.

  1. Vérifiez que le mappage DITA est sélectionné.

  2. Appuyez sur la touche Maj, puis sélectionnez Fichier > Ouvrir tous les fichiers du fichier ditamap.

    Dans le mappage DITA, sélectionnez Structure > DITA > Ouvrir tous les Topicrefs.

    Pour fermer toutes les références de rubrique, appuyez sur la touche Maj et sélectionnez Fichier > Fermer tous les fichiers du fichier ditamap.

Note: Pour ouvrir une seule rubrique, cliquez deux fois sur la rubrique dans le mappage DITA.

Enregistrement d’un mappage DITA

Apprenez à enregistrer un mappage DITA dans FrameMaker.

La fonctionnalité Enregistrer Ditamap sous de FrameMaker (Fichier > Enregistrer Ditamap sous) vous permet d’enregistrer le mappage DITA dans plusieurs sorties. Lorsque vous enregistrez un mappage DITA en tant que livre, vous pouvez profiter des caractéristiques hiérarchiques du livre FrameMaker comme les dossiers et les groupes. Vous pouvez utiliser les fonctionnalités du livre de FrameMaker comme le numéro de page et la table des matières.

La liste des sorties suivantes fournit une fonctionnalité spécifique :

Document composite <Version> (*.fm)

Fichier de document FrameMaker autonome unique (.fm). Le document contient tout le contenu du mappage DITA. Par exemple, les références de rubrique. Les références de rubrique sont incorporées dans le document. Cela implique que toute modification apportée aux fichiers de rubrique n’est pas répercutée dans le document composite. Si vous partagez ce document avec un autre auteur, l’auteur ne requiert pas les documents de rubrique référencés. Cependant, vous pouvez continuer à travailler sur le document composite à l’aide des outils de structure disponibles dans FrameMaker.

Livre <Version> (*.book)

Le mappage DITA est enregistré comme fichier .book, qui inclut chaque fichier de rubrique référencrée comme un document au sein du livre.

Livre <version> avec composants FM (*.book)

Le mappage DITA est enregistré comme une fichier .book. Chaque fichier de rubrique référencée est converti en fichier .fm.

Lorsque vous enregistrez un mappage DITA comme document composite ou comme livre avec des composants FrameMaker, vous pouvez utiliser la fonctionnalité de sortie conditionnelle DITAVAL. Dans la boîte de dialogue Enregistrer le document, si vous sélectionnez l’option Demander le fichier DitaVal, l’utilisation d’un fichier DITAVAL est proposée pour générer de manière conditionnelle le contenu au format de sortie sélectionné. Pour plus d’informations sur DITAVAL, voir DITAVAL.

Important: Vous ne pouvez pas faire des allers-retours entre le mappage DITA et la conversion en livre. Cela signifie qu’aucune modification que vous apportez dans le livre ne peut être reportée dans le mappage DITA.

Référencement DITA

Familiarisez-vous avec le référencement DITA dans FrameMaker et apprenez à configurer du contenu de référence et à mettre à jour les références DITA.

Un référencement DITA (également appelé adressage DITA) permet de référencer ou de créer des liens parmi des éléments DITA et entre des éléments DITA et des ressources non DITA.

Référencez le contenu DITA par Références contextuelles DITA. Vous pouvez créer des liens vers des ressources DITA ou non DITA, en utilisant des références croisées DITA à un contenu source unique. Vous pouvez également utiliser des liens DITA pour Ajouter des liens au contenu associé.

Les spécifications DITA définissent deux types de référencement :

Référencement Direct (adressage URI)

Les références sont établies par pointage direct sur la cible. Par exemple, dans FrameMaker, lorsque vous créez une référence contextuelle (conref) par le biais d’un référencement direct, vous recherchez et sélectionnez la rubrique DITA (fichier .xml). De même, vous pointez directement sur la rubrique DITA (fichier .xml) pour créer un lien DITA ou une référence croisée DITA. Un référencement direct requiert des auteurs de sélectionner explicitement le fichier contenant le contenu à référencer ou lier. Cela peut s’avérer laborieux et déroutant si le nombre de contenus associés est important. Un référencement direct est préférable avec un nombre de documents en référence ou en lien peu important.

Consultez les spécifications de l’adressage URI (direct).

Référencement indirect (adressage par des touches)

Les références sont établies globalement au niveau du mappage DITA par le biais de touches. Par exemple, dans FrameMaker, lorsque vous créez une référence contextuelle (conref) avec un référencement indirect, vous ne pointez pas directement sur la rubrique DITA. Au lieu de cela, vous pointez sur une touche qui est définie en Utilisation des espaces de touche pour gérer des références de touche DITA. Le référencement indirect requiert des auteurs de sélectionner des touches définies par l’utilisateur lors de la création de références ou de liens. Lors de la configuration des espaces de touche, il convient d’utiliser une nomenclature clairement définie pour nommer les touches. Un référencement indirect est recommandé si vous écrivez dans un ensemble important de contenus associés.

Consultez les spécifications de l’adressage via des touches.

Configurer un contenu de référence

Pour créer une référence contextuelle (conref) dans vos rubriques DITA, vous devez d’abord créer une rubrique DITA (référencement direct) ou un mappage DITA (référencement indirect) contenant le contenu (éléments) que vous prévoyez de réutiliser. Par exemple, vous prévoyez de réutiliser un tableau, une liste ordonnée et une image sur plusieurs rubriques. Vous devez ajouter ces éléments à la rubrique source. Si vous utilisez un référencement indirect, la rubrique est alors ajoutée au mappage DITA. Pour plus de détails, reportez-vous à la section Utilisation des espaces de touche pour gérer des références de touche DITA.

Pour rendre un élément réutilisable, vous devez affecter un ID unique à l’élément. Pour plus de détails, reportez-vous à la section Attribut ID DITA. FrameMaker utilise cet ID unique pour différencier les éléments de référence contextuelle (conref). Par exemple, si vous mettez à jour l’élément source, FrameMaker utilise l’ID unique pour identifier les éléments dans des rubriques de conteneur qui doivent être mises à jour.

Attribut ID DITA

L’attribut ID DITA fournit une méthode permettant d’identifier de façon unique le contenu (rubriques ou éléments) à référencer.

Dans une rubrique DITA, vous pouvez affecter un ID unique à un élément afin d’utiliser l’élément lorsque vous créez des références contextuelles (Références contextuelles DITA) ou des références croisées (Références croisées) à l’élément d’une autre rubrique. Par défaut, FrameMaker affecte un ID unique à la rubrique lors de la procédure suivante : Création d’une rubrique DITA.

Consultez les spécifications des attributs d’ID.

Attribution d’un ID unique à un élément

  1. Dans la Vue de la structure, sélectionnez un élément de la rubrique de source.

  2. Sélectionnez Structure > Assigner un ID à l’élément.

    Sinon, cliquez avec le bouton droit sur l’élément et choisissez Assigner un ID à l’élément dans le menu déroulant.

Pour vérifier si un ID est affecté à un élément, dans la vue de la structure, cliquez sur le signe flèche situé à droite de l’élément.

ID unique affecté à l’élément d’entrée (cellule de tableau)
Attribution d’un ID unique à un élément

Si vous affectez un ID unique à un élément auquel un ID a été affecté précédemment, vous êtes invité à remplacer l’ID existant

Attribution d’un ID à toutes les occurrences d’un élément

  1. Sélectionnez une instance de l’élément auquel vous souhaitez attribuer un ID.

  2. Sélectionnez Structure > Assigner un ID aux éléments pour ouvrir la boîte de dialogue Assigner un ID.

    1. Par défaut, l’élément sélectionné avant de sélectionner Attribuer un ID aux éléments est sélectionné dans la liste déroulante.

    2. Sélectionnez l’option Inclure des spécialisations pour attribuer des ID à des spécialisations de l’élément sélectionné. Si vous êtes dans un mappage DITA, sélectionnez Traiter les références de rubrique dans Ditamap pour attribuer des ID à toutes les occurrences de l’élément sélectionné dans les rubriques contenues dans le mappage DITA.

    3. Si vous avez plusieurs fichiers ouverts, sélectionnez Tous les fichiers ouverts pour attribuer des ID à toutes les occurrences de l’élément sélectionné dans tous les fichiers ouverts.

    4. Cliquez sur Assigner.

Utilisation des espaces de touche pour gérer des références de touche DITA

Dans une rubrique DITA, vous pouvez référencer directement un contenu en spécifiant le fichier de rubrique DITA (.xml). Par exemple, pour ajouter des liens dans la section des liens associés d’une rubrique DITA, vous pouvez sélectionner les fichiers de rubrique à référencer (voir Ajouter des liens au contenu associé).

Toutefois, DITA fournit également les spécifications d’utilisation des touches permettant de référencer indirectement un contenu. Consultez les spécifications de l’adressage via des touches.

A l’aide des touches, ajoute un degré d’adressage indirect au contenu référencé. En utilisant des touches, l’auteur ne fait pas référence aux fichiers de rubrique directement. Il dispose d’un espace de touche, une collection de touches définies par l’utilisateur, à référencer. L’espace de touche référence en interne un certain nombre de rubriques. L’auteur n’est alors concerné que par les touches fournies dans l’espace de touche. En outre, puisque les touches sont définies par l’utilisateur, elles peuvent être nommées de manière appropriée pour permettre à l’auteur de les identifier facilement.

Les http://docs.oasis-open.org/dita/v1.2/os/spec/langref/keydef.htmléléments keydef permettent de créer des keymaps puisque, par défaut, ces éléments ne sont pas générés dans une sortie DITA.

Création d’un espace de touche

Un espace de touche est créé via un mappage. Pour créer un mappage DITA à utiliser comme espace de touche, vous devez ajouter des éléments de définition de touche (keydef) au mappage DITA.

  1. Création d’un mappage DITA.

  2. Ajoutez des éléments keydef au mappage DITA. <> Pour plus de détails, reportez-vous à la section Insertion d’un élément de référence de rubrique dans un mappage DITA.

    L’attribut de touches permet d’identifier une définition de touche (keydef) spécifique dans un espace de touche. Puisque l’attribut @touches est obligatoire pour un élément de définition de touche (<keydef>), vous pouvez spécifier la valeur d’attribut dans la boîte de dialogue Attributs pour nouveaux éléments ou dans le champ Nom de touche de la boîte de dialogue Insérer un élément.

    Avec l’espace de touche, au lieu de se référer directement aux rubriques DITA associées, un auteur se référera uniquement aux noms des touches. C’est pourquoi vous devez spécifier des valeurs de touches qui indiquent clairement le contenu de la rubrique (sous-jacente) référencée.

  3. Enregistrer le mappage DITA

Gestion des espaces de touche

Pour utiliser une référence de touche dans votre rubrique DITA, vous devez charger les espaces de touche du conteneur dans l’environnement de création FrameMaker.

  1. Ouvrez la boîte de dialogue Gestionnaire d’espace de touche DITA (Structure > DITA > Gérer les espaces de touche).

    Boîte de dialogue Gestionnaire d’espace de touche DITA
    Gestion des espaces de touche à l’aide de la boîte de dialogue Gestionnaire d’espace de touche DITA

  2. Dans la liste déroulante Espace de touche, sélectionnez un mappage DITA qui est défini comme espace de touche. Pour plus de détails, reportez-vous à la section Création d’un espace de touche.

    Par défaut, la première touche dans la liste est toujours sélectionnée. Les mappages DITA ouverts dans la session en cours sont affichés dans la liste déroulante Espace de touche. Vous pouvez rechercher un espace de touche en saisissant les premiers caractères de la touche.

    Si le mappage DITA requis n’est pas disponible dans la liste, cliquez sur Charger l’espace de touche, puis sélectionnez le fichier du mappage DITA. Les références de touches définies dans l’espace de touche s’affichent dans la liste Touches définies.

    Si vous apportez des modifications à l’espace de touche (mappage DITA) après le chargement de l’espace de touche dans l’environnement actuel, cliquez sur l’icône Actualiser pour afficher les modifications apportées aux références de touches.

    Cliquez sur OK pour appliquer l’espace de touche sélectionné à tous les mappages DITA ouverts.

    Pour choisir un autre espace de touche pour un document particulier, utilisez le gestionnaire d’espace de touche défini. Vous pouvez définir un espace de touche à partir de plusieurs chemins, tels que des références croisées DITA, des liens DITA et des références contextuelles d’insertion.

Mise à jour des références DITA

Vous pouvez créer des références dans des rubriques ou des mappages DITA, en suivant l’une des méthodes ci-dessous :

  • Références contextuelles (voir Références contextuelles DITA)

  • Références croisées (voir Références croisées)

  • Références de rubrique (voir Insertion d’un élément de référence de rubrique dans un mappage DITA)

Si vous mettez à jour le contenu référencé, les références de la rubrique actuelle ne sont pas immédiatement mises à jour. Par exemple, si un mappage DITA référence une rubrique spécifique et que le titre de la rubrique est modifiée, le titre mis à jour n’apparaît pas immédiatement dans le mappage DITA.

Pour mettre à jour les références dans une rubrique ou un mappage sélectionné, utilisez la boîte de dialogue Références de mise à jour DITA :

  1. Sélectionnez Structure > DITA > Mettre à jour les références.

    La boîte de dialogue Références de mise à jour DITA apparaît:

    Boîte de dialogue Références de mise à jour DITA
    Mise à jour de références DITA à l’aide de la boîte de dialogue Références de mise à jour DITA

  2. Pour mettre à jour les références de la rubrique actuelle ou du mappage actuel, vérifiez les options spécifiques, puis cliquez sur OK.

Trouver des références

Vous pouvez effectuer une recherche dans un document ou de manière récursive sur plusieurs fichiers d’un dossier pour trouver des liens tels qu’une référence contextuelle, une référence de rubrique, un lien ou une référence croisée. Par défaut, la boîte de dialogue Trouver des références renseigne l’ID de la rubrique en cours et de l’élément, si un élément est sélectionné. En règle générale, vous sélectionnez l’élément référencé ailleurs, puis appelez cette option.

  1. Sélectionnez Structure > DITA > Trouver des références. Ou, pour trouver la référence de l’élément en cours, cliquez avec le bouton droit de la souris au sein de l’élément, puis sélectionnez Trouver des références. L’ID de l’élément est renseigné automatiquement.

  2. Dans la boîte de dialogue Trouver des références, entrez l’ID de l’élément si nécessaire.

  3. Si vous le souhaitez, pour limiter la recherche à un espace de touche, sélectionnez l’espace de touche du document en cours.

  4. Définissez l’étendue de la recherche. Si vous sélectionnez un dossier, vous pouvez lancer la recherche de manière récursive pour trouver les références de l’élément dans tous les fichiers contenus dans le dossier.

  5. Cliquez sur Rechercher.


Rubriques DITA

Familiarisez-vous avec les rubriques DITA dans FrameMaker.

DITA utilise une approche axée sur les rubriques pour l’écriture. Une rubrique de DITA est l’entité la plus granulaire des informations. Selon les spécifications DITA, une rubrique doit être suffisamment courte pour être facilement lisible, mais suffisamment longue pour pouvoir être comprise sans autre contexte.

Pour couvrir un contenu distinct comme des concepts, des tâches et des références, la norme DITA spécifie différents types d’informations. Chaque type d’information définit des éléments structurés facilitant l’écriture de contenu pertinent. Par exemple, le type de tâches définit des éléments comme <contexte>, <exemple>, <étapes> et <résultat>.

Création d’une rubrique DITA

Apprenez à créer et à gérer une rubrique DITA dans FrameMaker.

  1. Dans le menu Fichier, accédez à Nouveau > DITA.

    Le sous-menu DITA affiche les types de rubriques DITA et les types de mappage que vous pouvez créer.

    FrameMaker prend en charge les types de rubrique DITA suivants :

    rubrique

    Pour du contenu spécifique, utilisez les types task, concept, reference, glossentry ou glossgroup.

    Consultez les spécifications des rubriques DITA.

    task

    Pour un contenu associé à une tâche comme des explications de type « comment faire » ou des procédures.

    Consultez les spécifications des rubriques de tâche.

    concept

    Pour un contenu comme « En quoi consiste ? ». Cela couvre les informations conceptuelles relatives à une fonctionnalité ou une fonction.

    Voir les spécifications des rubriques de concept.

    référence

    Pour un contenu de référence. Par exemple, des spécifications du produit, une référence API et des listes d’équipements ou de pièces.

    Consultez les spécifications des rubriques de référence.

    glossentry

    Pour un terme de glossaire et une définition uniques.

    Consultez les spécifications des rubriques d’entrée du glossaire.

    glossgroup

    Pour un groupe d’éléments glossentry.

    Glossgroup peut aussi contenir d’autres éléments glossgroup pour créer une structure de glossaire hiérarchique.

    Consultez les spécifications des rubriques de groupes du glossaire.

    ditabase

    Elément de conteneur de niveau supérieur qui peut inclure les types de rubrique décrits ci-dessus.

    Consultez les spécifications du conteneur DITA.

  2. Sélectionnez un type de rubrique.

  3. Pour afficher la structure hiérarchique de la rubrique créée, sélectionnez Structure > Vue de la structure.

  4. Une rubrique DITA est un document structuré. Cela signifie que dans FrameMaker, vous utilisez la structure de rubrique DITA de la même manière que vous utilisez des documents structurés fondés sur d’autres applications structurées.

    Pour plus d’informations sur la création d’un contenu dans une rubrique structurée, voir frm_structauth_sa.html#WS053b9687b4c35b124e2fd7a146eb68148c-8000.

Ajouter des liens au contenu associé

Apprenez à ajouter des liens vers du contenu associé à l’aide de la boîte de dialogue Lien DITA dans FrameMaker.

Boîte de dialogue Lien DITA

Utilisez la boîte de dialogue Lien DITA pour insérer un lien direct et indirect au contenu DITA.

Boîte de dialogue Lien DITA
Insertion de liens directs ou indirects vers du contenu DITA à l’aide de la boîte de dialogue Lien DITA

La boîte de dialogue Lien DITA vous permet d’effectuer les tâches suivantes :

A (Élément DITA) :

Sélectionnez l’élément de lien à utiliser.

Par défaut, l’élément est <link>.

Consultez les spécifications des liens.

B (Cible > Fichier) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement direct.

Voir Création d’un lien DITA.

C (Cible > Touche) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement indirect et sélectionnez une touche dans la liste déroulante Paramètres de touche.

Voir Création d’un lien DITA.

D (Cible > Les deux) :

Sélectionnez cette option pour créer un lien à l’aide d’un référencement direct ou indirect.

E (Fichier/Paramètres de touche) :

Si la cible est définie sur Fichier, sélectionnez une rubrique DITA dans la liste des rubriques actuellement ouvertes pour des références directes. Vous pouvez également sélectionner une rubrique qui n’est pas déjà ouverte.

Si la cible est définie sur Touche, sélectionnez une touche pour référence indirecte. Vous pouvez également ouvrir la boîte de dialogue Gestionnaire d’espace de touche DITA. Cette boîte de dialogue permet la Création d’un espace de touche et la définition de l’espace de touche par défaut pour la rubrique actuelle.

F (Filtrer texte) :

Recherchez la rubrique ou la touche requise vers laquelle vous souhaitez créer un lien. Cette recherche dynamique filtre les éléments lorsque vous commencez à saisir le nom dans la zone Filtrer texte. Vous pouvez filtrer le contenu à partir de la balise, de l’ID ou de texte de l’élément (contenu).

Une fois que vous avez trouvé la rubrique requise, sélectionnez un élément à inclure en tant que lien. L’élément de lien définit une relation à une autre rubrique.

G (Afficher avec) :

Sélectionnez l’élément qui fournit l’étiquette ou la ligne de texte d’un lien.

Par défaut, l’élément est <linktext>.

Consultez les spécifications des textes de lien.

H (Afficher avec) :

Sélectionnez l’élément qui fournit l’étiquette ou la ligne de texte d’un lien.

Par défaut, l’élément est <linktext>.

Consultez les spécifications des textes de lien.

H (Texte)

Spécifiez le texte du lien à afficher comme texte.

I (Format)

Sélectionnez Format et choisissez un format de lien dans la liste déroulante :

Format DITA par défaut

Affichage du titre de la rubrique de référence.

See_Title_and_Page

Afficher Voir <titre de rubrique> à la page <numéro de page>.

Title_and_Page

Afficher <titre de rubrique> dans <page>

J (Lien externe) :

Insertion d’un lien vers une ressource externe (non DITA). Dans la boîte de dialogue Lien externe DITA, indiquez la source pour le lien externe. Reportez-vous au champ Touche ou Cible du lien (href).

Si vous le souhaitez, vous pouvez spécifier un texte pour le lien. Sinon, le lien saisi dans le champ Cible du lien (href) est utilisé pour le texte du lien. Vous pouvez également insérer un lien externe via le menu principal ( Insérer > Références externesou le menu contextuel.

Création d’un lien DITA

  1. Si vous insérez le premier lien dans l’élément de liens associés, placez le point d’insertion à droite de l’élément de liens associés.

    Placement du point d’insertion à droite de l’élément de liens associés
    Placement du point d’insertion à droite de l’élément de liens associés

  2. À partir du panneau Elément (Affichage > Panneaux > Catalogue d’éléments), insérez l’élément <link>.

    La Boîte de dialogue Lien DITA s’affiche.

  3. Sélectionnez l’élément de lien DITA à utiliser.

  4. Sélectionnez une cible du lien.

    Vous pouvez ajouter un lien comme référence directe ou indirecte au contenu cible. Pour plus de détails, reportez-vous à la section Référencement DITA.

    Pour ajouter un lien direct, sélectionnez la rubrique DITA (fichier .xml) pour laquelle vous souhaitez créer un lien :

    1. Sélectionnez l’option Fichier pour Cible, puis sélectionnez le fichier contenant la rubrique de référence.

      Vous pouvez sélectionner une rubrique de référence dans la rubrique actuelle, toute rubrique actuellement ouverte, ou utiliser le bouton Parcourir pour sélectionner une rubrique non ouverte.

    2. Dans la liste Éléments, sélectionnez la rubrique à référencer.

    Pour ajouter un lien indirect, vous devez utiliser des références de touche DITA. Pour plus d’informations sur les références de touche, voir Utilisation des espaces de touche pour gérer des références de touche DITA.

    1. Sélectionnez l’option Touche pour Cible, puis cliquez sur Gestionnaire d’espace de touche.

    2. Dans la boîte de dialogue Gestionnaire d’espace de touche DITA, sélectionnez la touche dans la liste Touches définies, puis cliquez sur OK.

  5. Dans la liste déroulante Afficher avec, sélectionnez l’élément pour afficher le texte du lien.

  6. Spécifiez le texte ou le format à afficher dans le lien.

  7. Cliquez sur Insérer.


DITAVAL

Familiarisez-vous avec les fichiers DITAVAL et apprenez à les utiliser pour générer une sortie conditionnelle dans FrameMaker.

Dans FrameMaker, un fichier DITAVAL permet de générer une sortie conditionnelle. Écrivez un document unique avec du contenu conditionnel (en utilisant des attributs d’élément).

Créez ensuite un fichier DITAVAL dans lequel vous spécifiez le contenu afin de créer plusieurs versions de sorties du document selon les attributs appliqués.

Configuration de rubriques DITA pour utiliser DITAVAL

Apprenez à configurer des rubriques DITA pour utiliser les fichiers DITAVAL et à appliquer des attributs conditionnels à des éléments.

Vous pouvez rendre des éléments d’un document DITA conditionnels en appliquant des attributs de condition aux éléments. Définissez ensuite dans un fichier DITAVAL les éléments à exclure ou inclure de la sortie en fonction des attributs de condition.

Avant de créer des documents avec un contenu conditionnel, vous devez d’abord prévoir les critères pour la sortie. Par exemple, supposons qu’un document possède un contenu destiné conditionnellement à des administrateurs et à des utilisateurs finaux. Dans le document, appliquez les attributs de condition selon le public cible du contenu (voir Application d’attributs de condition à des éléments). Ensuite, créez un fichier DITAVAL dans lequel vous spécifiez les éléments à inclure et à exclure selon la valeur d’attribut définie dans le document. Voir Création d’un fichier DITAVAL pour créer une sortie conditionnelle.

Application d’attributs de condition à des éléments

Pour autoriser FrameMaker à traiter conditionnellement des éléments dans un document DITA, vous devez spécifier les éléments à inclure ou exclure pour la sortie. Dans le document, appliquez un ou plusieurs des attributs conditionnels suivants aux éléments que vous devez traiter conditionnellement :

audience :

Exemple : administrateurs, auteurs ou utilisateurs finaux.

platform :

Exemple : Windows, Mac ou Linux

product :

Exemple : FrameMaker, RoboHelp ou Captivate.

otherprops :

Utilisez cet attribut pour définir toute autre propriété que vous devez utiliser pour activer un traitement conditionnel pour le document, par exemple :

sortie

Exemple : Impression, PDF ou Web

modèle

Exemple : coupé, berline ou break

Vous pouvez appliquer plusieurs attributs à un élément. Par exemple, vous pouvez appliquer les attributs @audience="administrateur" et @platform="windows" à un élément. Vous pouvez également ajouter plusieurs valeurs (chacune séparée par un espace) à un attribut unique. Par exemple, vous pouvez définir@platform="windows linux" pour le contenu ciblé pour Windows et Linux.

Important: Les attributs énumérés ci-dessus sont recommandés lors de l’utilisation de DITAVAL avec un contenu de source unique. Cependant, vous n’êtes pas uniquement limité à ces attributs. Vous pouvez utiliser tout attribut défini pour l’élément sélectionné dans un document.

Pour appliquer des attributs de condition à un élément

  1. Sélectionnez un élément dans la Vue de la structure du document.

  2. Ouvrez le panneau Attributs (Elément > Modifier les attributs).

    Mise à jour d’un ou plusieurs des attributs suivants :

    • audience

    • platform

    • product

    • otherprops

  3. Spécifiez la condition ci-dessus pour chaque élément du document qui doit être traité conditionnellement.

Après avoir appliqué les attributs aux éléments spécifiques du document, sortez conditionnellement le contenu dans votre document selon le mode de configuration de votre fichier DITAVAL.

Création d’un fichier DITAVAL pour créer une sortie conditionnelle

Après avoir configuré votre contenu à l’aide des attributs de condition (audience, platform, product et otherprops) pour définir les éléments que FrameMaker traite de manière conditionnelle pour la sortie, vous devez créer un fichier DITAVAL. Dans un fichier DITAVAL, définissez selon une paire <nom d’attribut> – <valeur> le traitement conditionnel de votre document. Par exemple, vous pouvez spécifier que le contenu destiné aux administrateurs doit être exclu du contenu de sortie destiné aux utilisateurs finaux ou aux auteurs.

Pour créer un fichier DITAVAL :

  1. Ouvrez la boîte de dialogue Nouveau XML (Fichier > Nouveau > XML).

  2. Dans la section Applications structurées, sélectionnez DITA_<version>_DITAVAL, puis cliquez sur OK.

    L’élément supérieur d’un fichier DITAVAL est l’élément <val>.

    Pour définir des conditions, vous devez créer des éléments <prop>.

  3. Ajoutez un ou plusieurs éléments <prop> :

    cliquez deux fois sur l’élément <propo> dans le panneau Elément (Affichage > Panneaux > Catalogue d’éléments).

    Ou appuyez sur Ctrl+1 pour afficher le Catalogue dynamique , sélectionnez prop puis appuyez sur Entrée.

    La boîte de dialogue Attributs du nouvel élément s’affiche.
    Boîte de dialogue Attributs du nouvel élément
    Boîte de dialogue Attributs du nouvel élément dans le panneau Catalogue d’éléments

  4. Dans la boîte de dialogue Attributs du nouvel élément, spécifiez les attributs suivants :

    @action

    Choisissez d’inclure ou d’exclure l’attribut spécifié (@att, ci-dessous) de la sortie.

    @att

    Le nom de l’attribut de condition a été appliqué à l’élément dans votre document.

    Entrez le nom d’attribut exactement tel qu’il est défini dans l’élément du document.

    @val

    La valeur de l’attribut de condition (@att) telle que définie dans l’élément.

    Entrez la valeur exactement comme vous la spécifiez pour l’attribut dans l’élément.

    Par exemple, imaginons que vous appliquiez l’attribut @audience à un élément pour une sortie conditionnelle et que vous définissiez la valeur sur admin. Vous devez saisir audience dans le champ @attr pour l’élément prop dans le fichier DITAVAL. En outre, vous devez entrer admin dans le champ @val. Pour exclure l’élément avec l’attribut audience défini sur admin@, spécifiez l’action sur exclude.

  5. Cliquez sur Insérer un élément, puis enregistrez le fichier DITAVAL.

  6. Enregistrez le document avec l’extension .ditaval.

Génération d’une sortie conditionnelle

Apprenez à générer une sortie conditionnelle pour des rubriques DITA dans FrameMaker.

Cette section décrit, avec un exemple de cas d’utilisation, les étapes permettant de générer une sortie PDF contenant un contenu conditionnel.

Note: L’exemple utilisé dans cette section inclut un contenu uniquement dans des balises de paragraphe (p). Vous pouvez cependant créer une sortie conditionnelle à partir de n’importe quel élément DITA d’un document.

  1. Créez une rubrique DITA avec quatre éléments de paragraphe (<p>) :

    1. Contenu destiné UNIQUEMENT à des administrateurs.

      @Définissez l’attribut audience à admin.

    2. Contenu destiné UNIQUEMENT aux auteurs.

      @Définissez l’attribut audience à author.

    3. Contenu pour les administrateurs et les auteurs

      Définissez l’attribut @audience sur admin author.

    4. Contenu destiné aux utilisateurs finaux et aux auteurs.

      @Définissez l’attribut audience à end_user author.

  2. Enregistrez le document.

  3. Créez un fichier DITAVAL avec quatre éléments prop :

    1. @attr: audience

      @val: admin

      @action: include

    2. @attr:audience

      @val:author

      @action: exclude

    3. @attr:audience

      @val:end_user

      @action: exclude

    Le fichier DITAVAL ci-dessus fournira une sortie reprenant tous les contenus destinés aux administrateurs.

  4. Créez un mappage DITA et incluez le document ci-dessus, puis enregistrez le mappage DITA en tant que PDF (Fichier > Enregistrer en tant que PDF).

  5. Dans la boîte de dialogue Enregistrer le document, sélectionnez l’option Demander le fichier DitaVal et cliquez sur Enregistrer.

    La boîte de dialogue Choisir le fichier DitaVal s’affiche.

  6. Sélectionnez le fichier DITAVAL créé à l’étape 4, puis cliquez sur Sélectionner.

    L’option Appliquer comme condition génère l’intégralité du contenu. Cependant, le contenu marqué comme exclu dans le fichier DITAVAL sort barré. Sélectionnez cette option pour la révision du document. Par exemple, cette option permet d’indiquer à un réviseur le contenu étant marqué comme exclu.

  7. Dans la boîte de dialogue Configuration PDF, cliquez sur Définir.

Le fichier PDF de sortie inclut et exclut un contenu selon les attributs configurés dans le document et le fichier DITAVAL correspondant.


Publication DITA

Apprenez à générer une sortie pour votre contenu DITA à l’aide des processus de publication depuis FrameMaker.

FrameMaker permet d’utiliser les procédures suivantes pour générer une sortie pour votre contenu DITA.

  • Enregistrer au format PDF

  • Publication multicanaux

  • Jeu d’outils Open Source DITA

Enregistrer au format PDF

Apprenez à générer une rubrique DITA ou un mappage DITA (y compris un plan d’ouvrage) au format PDF à l’aide de la fonctionnalité Enregistrer au format PDF de FrameMaker.

La fonction Enregistrer au format PDF de FrameMaker permet de générer une rubrique DITA ou un mappage DITA (y compris un plan d’ouvrage) au format PDF. La sortie PDF qui est créée utilise l’affichage de la vue WYSIWYG. En d’autres termes, les règles de formatage d’applications structurées appliquées à la rubrique ou au mappage sont générées au format PDF.

Pour créer une sortie PDF d’une rubrique DITA, sélectionnez Fichier > Enregistrer au format PDF.

Si vous utilisez la fonction Enregistrer au format PDF pour créer une sortie PDF d’un mappage, dans la boîte de dialogue Enregistrer le document, vous pouvez sélectionner l’option Demander le fichier DitaVal.

La fonction DITAVAL permet de générer de manière conditionnelle le contenu des rubriques dans le mappage. Pour plus de détails, reportez-vous à la section DITAVAL.

Publication multicanaux

Apprenez à générer une rubrique ou un mappage DITA dans différents formats de sortie à l’aide de la fonction Publication multicanaux de FrameMaker.

La fonction Publication multicanaux de FrameMaker permet de générer une rubrique ou un mappage DITA aux formats de sortie suivants :

  • Responsive HTML5

  • App mobile

  • EPUB

  • Kindle

  • Microsoft HTML Help

  • Adobe Experience Manager Mobile

  • HTML de base

Jeu d’outils Open Source DITA

Familiarisez-vous avec le jeu d’outils Open Source DITA et apprenez à vous en servir pour générer une sortie dans FrameMaker.

Le jeu d'outils Open Source DITA (DITA OT) est un ensemble d'outils open source basés sur Java, offrant un traitement pour des contenus de mappages DITA et le contenu des rubriques. FrameMaker intègre le jeu d’outils Open Toolkit DITA 3.0 et 2.3 (DITA-OT) pour transformer le contenu DITA (mappages et rubriques) en formats livrables.

Par défaut, FrameMaker vous permet de publier votre contenu DITA dans les formats de sortie suivants :

  1. PDF2

  2. XHTML

  3. CHM (installez HTML Help Workshop pour générer des CHM)

  4. Personnalisé

Vous pouvez également générer une sortie pour des formats comme Docbook, Java help et RTF. Pour activer d’autres formats de sortie, voir Modification de la liste des types de sortie.

Génération de sortie avec DITA OT

  1. Avec le fichier DITA adéquat sélectionné, sélectionnezStructure > DITA > Générer la sortie DITA-OT.

    La boîte de dialogue Générer la sortie DITA-OT s’affiche.

    Boîte de dialogue Générer la sortie DITA-OT
    Boîte de dialogue Générer la sortie DITA-OT dans FrameMaker

  2. Sélectionnez un type de sortie.

  3. Sélectionnez l’option Afficher le fichier journal si vous souhaitez lancer le fichier journal une fois la publication terminée.

    Par défaut, DITA-OT est installée en même temps que FrameMaker. Cependant, si vous avez installé séparément le jeu d’outils, vous pouvez spécifier l’emplacement d’installation dans le champ Répertoire DITA-OT. La modification dans le champ ne s’applique que pour la sortie actuelle. Lors de la prochaine ouverture de la boîte de dialogue Générer la sortie DITA-OT, le répertoire est réinitialisé à la valeur par défaut de FrameMaker. Pour modifier le répertoire par défaut, voir Utilisation d’un package DITA-OT différent.

  4. Sélectionnez l’option Ouvrir le dossier de sortie pour ouvrir le dossier de sortie dans l’explorateur Windows. Le dossier de sortie est affiché dans l’explorateur Windows une fois la publication terminée.

  5. Sélectionnez l’option Laisser cette fenêtre ouverte après génération afin de conserver cette boîte de dialogue ouverte une fois la publication terminée.

  6. Sélectionnez un fichier DITAVAL pour spécifier le filtrage conditionnel du contenu avec des paires attribut/valeur définies dans le fichier DITAVAL. Pour plus d’informations sur l’utilisation des fichiers DITAVAL, voir DITAVAL.

    Si vous envisagez d’utiliser le même fichier DITAVAL lorsque vous générez plusieurs documents, vous pouvez spécifier le nom de fichier et l’emplacement dans ditafm.ini. Dans ce cas, vous n’avez pas besoin de sélectionner un fichier DITAVAL à chaque fois que vous générez la sortie.

    Note: Si vous spécifiez un fichier DITAVAL dans les deux emplacements (ditafm.ini et boîte de dialogue Générer la sortie DITA-OT), le fichier sélectionné dans la boîte de dialogue Générer la sortie DITA-OT a la priorité.

  7. Cliquez sur Générer.

FrameMaker appelle DITA-OT et génère la sortie dans le même dossier que celui de la rubrique ou du mappage source.

Modification de la liste des types de sortie

Par défaut, FrameMaker permet d’utiliser DITA-OT pour générer la sortie pour PDF2, XHTML et l’aide HTML. Cependant, le jeu d’outils permet également de générer une sortie pour plusieurs autres formats. Pour générer une sortie dans d’autres formats, vous devez mettre à jour le fichier ditafm.ini.

Important: La procédure suivante nécessite des modifications à apporter au fichier ditafm.ini. Préalablement à toute modification, nous recommandons d’effectuer une sauvegarde de ce fichier.

  1. Ouvrez le fichier ditafm.ini dans le dossier Appdata de l’utilisateur actuel :%appdata%\Adobe\FrameMaker\xx\ditafm.ini

  2. Recherchez le texte suivant dans le fichier :

    Count=3
1=xhtml
2=htmlhelp
3=pdf
    Note: La liste numérotée ci-dessus est identique à la liste des formats de sortie disponibles dans la boîte de dialogue Générer la sortie DITA-OT.

  3. Pour ajouter ou supprimer des types de sortie de la boîte de dialogue Générer la sortie DITA-OT, vous devez spécifier Count comme le nombre de types à afficher dans la liste.

  4. La liste suivante répertorie tous les types de sortie disponibles que vous pouvez inclure. Pour inclure un ou plusieurs des types suivants, vous devez les ajouter à la liste numérotée et vous assurer que la séquence des nombres est conservée :

    • docbook

    • eclipsecontent

    • eclipsehelp

    • htmlhelp

    • javahelp

    • net.sourceforge

    • html

    • odt

    • pdf

    • tocjs

    • troff

    • wordrtf

    • xhtml

    Note: Les entrées de type output (sortie) dans le fichier ditafm.ini respectent la casse. Vous devez rendre les entrées comme la liste ci-dessus.

    L’exemple suivant ajoute les formats d’aide d’Eclipse et RTF de MS Word à la liste existante.

    Count=5
1=xhtml
2=htmlhelp
3=pdf2
4=eclipsehelp
5=wordrtf
    Note: Vous pouvez modifier complètement la liste pour inclure n’importe quel ensemble de types de sortie.

  5. Redémarrez FrameMaker pour que les modifications prennent effet.

Utilisation d’un package DITA-OT différent

FrameMaker a intégré DITA-OT 2.3. Si vous avez déjà installé une autre version du jeu d’outils DITA Open Toolkit, vous pouvez personnaliser son chemin d’accès en modifiant le fichier d’initialisation de DITA ou à partir de la boîte de dialogue Personnaliser DITA-OT.

Pour une modification unique, vous pouvez modifier le chemin d’accès au répertoire lorsque vous générez la sortie à l’aide du jeu d’outils Jeu d’outils Open Source DITA.

Pour modifier le répertoire DITA-OT par défaut de FrameMaker via le fichier d’initialisation DITA :

  1. Ouvrez le fichier ditafm.ini dans le dossier Appdata de l’utilisateur actuel :

    %appdata%\Adobe\FrameMaker\xx\ditafm.ini

  2. Recherchez le texte suivant dans le fichier :

    DitaDir=%FMHOME%\fminit\ditafm\DITA-OT

  3. Modifiez la valeur de DitaDir pour désigner l’autre dossier DITA-OT.

    Par exemple, C:\DITA-OT_3.1.2.

  4. Relancez FrameMaker.

    Le nouveau chemin d’accès de DITA OT est renseigné dans la boîte de dialogue Sortie DITA générée.

Pour modifier le répertoire DITA-OT par défaut de FrameMaker via la boîte de dialogue Personnaliser DITA-OT :

  1. Sélectionnez Structure > DITA > Générer la sortie DITA-OT pour ouvrir la boîte de dialogue Générer la sortie DITA-OT.

  2. Cliquez sur le bouton Personnaliser pour ouvrir la boîte de dialogue Personnaliser DITA-OT.

    Boîte de dialogue Personnalisation de DITA-OT
    Boîte de dialogue Personnalisation de DITA-OT dans FrameMaker

  3. Dans cette boîte de dialogue, renseignez les informations ci-dessous :

    Répertoire DITA-OT

    Spécifiez le chemin du dossier dans lequel le fichier DITA-OT.zip est enregistré. Vous pouvez utiliser la variable %FMHOME% qui se rapporte à l’emplacement d’installation de FrameMaker. Ce chemin est enregistré dans la variable DITA_DIR, qui peut être utilisée pour indiquer le chemin d’accès d’autres dossiers correspondants.

    Commande Ant

    Spécifiez le chemin du dossier du script Ant. Ce chemin est relatif au répertoire DITA-OT dans votre système de fichiers.

    Ant Home

    Spécifiez le chemin du dossier d’installation Ant.

    Classpath

    Spécifiez le chemin des bibliothèques Java.

    Build File

    Spécifiez le chemin du fichier de script de génération ANT build.xml. Ce chemin est relatif au répertoire DITA-OT.

    Extra Params

    Spécifiez tous les paramètres supplémentaires requis par votre module externe personnalisé DITA-OT.


Tableaux de relations DITA

Familiarisez-vous avec les concepts de rubriques associées dans un document structuré et avec la manière dont un tableau de relations permet de créer des liens pour les rubriques associées dans FrameMaker.

Dans un ensemble de rubriques DITA, vous avez certainement des rubriques qui sont reliées les unes aux autres. Dans ce cas, vous pourriez souhaiter inclure un ensemble de liens (Voir aussi) associés à la fin de chaque rubrique. Les lecteurs bénéficient ainsi de davantage de références de lecture, si nécessaire.

Par exemple, si vous traitez les options Enregistrer sous comme des rubriques distinctes dans FrameMaker :

  • Enregistrer sous

  • Enregistrer au format PDF

  • Enregistrer en tant que PDF de révision

  • Enregistrer au format XML

Dans ce cas, à la fin de chacune de ces sections, vous pouvez inclure des liens associés aux trois autres rubriques.

Utilisation des mappages DITA

Dans FrameMaker, les tableaux de relations permettent de créer des liens associés dans des rubriques DITA. Utilisez des tableaux de relations avec des mappages DITA. Cela signifie que vous devez créer un mappage DITA, puis inclure les rubriques dans votre rubrique définie dans le mappage DITA. Ajoutez ensuite les tableaux de relations au mappage. Dans les tableaux de relations, définissez les rubriques associées contenues dans le mappage DITA.

Types de rubrique DITA à ajouter

Vous pouvez ajouter les types de rubrique DITA suivants à un tableau de relations :

  • Rubrique

  • Tâche

  • Concept

  • Référence

Ajout de rubriques associées à une ligne du tableau de relations

Pour spécifier que dans un mappage DITA deux rubriques ou plus sont associées, vous devez ajouter ces éléments à une seule ligne du tableau de relations. Pour les étapes de création d’un tableau de relations, voir Création d’un tableau de relations.

Par exemple, pour indiquer que les rubriques Enregistrer sous, Enregistrer au format PDF, Enregistrer en tant que PDF de révision et Enregistrer au format XML sont les rubriques associées :

Tableau de relations dans la vue Document

Note: Dans FrameMaker, lorsqu’il apparaît dans la vue Document, le tableau de relations a le même aspect qu’un tableau FrameMaker que vous incluez comme faisant partie de votre contenu.

Vous pouvez ajouter un nombre quelconque de lignes à un tableau de relations. FrameMaker traite toutes les rubriques d’une ligne comme associées.

Vous pouvez ajouter un nombre quelconque de tableaux de relations à un mappage DITA. Ce procédé permettrait ainsi de regrouper des ensembles de rubriques associées.

Spécification de l’ordre des rubriques associées dans une ligne du tableau de relations

L’ordre des rubriques associées dans une ligne du tableau définit la séquence d’affichage des rubriques dans la section Liens associés de la sortie du mappage DITA.

Dans l’exemple suivant, la section Liens associés de la rubrique Enregistrer au format PDF doit apparaître comme suit :

  • Enregistrer sous

  • Enregistrer en tant que PDF de révision

  • Enregistrer au format XML

Tableau de relations dans la vue Document
Tableau de relations dans la vue Document de FrameMaker

Cela signifie que si vous changez l’ordre des rubriques dans le tableau, la séquence dans la section Liens associés s’affiche différemment.

Création d’un tableau de relations

Apprenez à créer un tableau de relations dans FrameMaker et découvrez un exemple de flux de tableau de relations.

  1. Dans la Vue de la structure d’un mappage DITA, placez le point d’insertion à la fin de la rubrique et au même niveau que les éléments de référence de rubrique (topicref).

  2. Pour afficher le Catalogue dynamique, appuyez sur Ctrl+1, puis sélectionnez reltable (tableau de relations).

    La boîte de dialogue Insérer un tableau s’affiche.

  3. Spécifiez le nombre de colonnes et de lignes.

    Le nombre de colonnes dépend du nombre de rubriques associées que vous envisagez de regrouper.

    Le nombre de lignes dépend du nombre de groupes de rubriques associées que vous envisagez de créer.

    Note: Vous pouvez également créer plusieurs tableaux de relation pour plusieurs groupes de rubriques associées.

  4. Cliquez sur Insérer.

    Un tableau de relation est ajouté au mappage DITA.

  5. Pour afficher le tableau de relations dans une vue tabulaire, accédez à la vue Document.

    Vous pouvez ajouter des rubriques à un tableau de relations à partir de la Vue de la structure, mais la vue tabulaire est plus pratique à utiliser.

    Tableau de relations par défaut (comprenant 4 colonnes et 1 ligne courante)
    Tableau de relations par défaut (comprenant 4 colonnes et 1 ligne courante) dans FrameMaker

    Dans chaque cellule d’en-tête du tableau de relations, spécifiez le type de rubrique DITA des rubriques associées que vous envisagez d’inclure dans les cellules courantes de la colonne.

    FrameMaker permet d’ajouter les types de rubrique DITA suivants dans un tableau de relations :

    • Rubrique

    • Tâche

    • Concept

    • Référence

    Note: Par défaut, FrameMaker prend en charge le type Rubrique. Ainsi, si vous envisagez de n’inclure que les types Rubrique dans le tableau, il n’est pas nécessaire de définir l’attribut type.

  6. Pour ajouter un type Rubrique DITA spécifique dans une colonne du tableau :

    1. Placez le point d’insertion dans la cellule d’en-tête du tableau.

    2. Ouvrez la boîte de dialogue Attributs (Elément > Modifier les attributs).

    3. Indiquez le type de la rubrique DITA dans l’attribut@type :

      Type de rubrique - valeur de l’attribut : topic

      Type de tâche - valeur de l’attribut : task

      Type de concept - valeur de l’attribut : concept

      Type de référence -valeur de l’attribut : reference

      Important: Les valeurs d’attributs respectent à la casse.

      Si vous définissez un attribut Type comme décrit ci-dessus, l’en-tête de colonne est mis à jour :

      Attributs de type mis à jour

  7. Dans chaque cellule d’une ligne du tableau de relations, ajoutez une référence de rubrique des rubriques associées. Cela signifie qu’il faut inclure un ensemble de rubriques associées dans les cellules d’une ligne du tableau.

    Pour ajouter des références de rubrique aux rubriques associées dans les cellules courantes du tableau, procédez comme suit :

    1. Placez le point d’insertion dans la cellule d’une ligne. Dans le catalogueEléments (Elément > Catalogue d’éléments), cliquez deux fois sur l’élément de référence de rubrique (topicref) pour l’ajouter à la cellule.

      La boîte de dialogue Insérer un élément apparaît.

      Le catalogue dynamique permet également d’insérer l’élément de référence de rubrique (topicref).

      Appuyez sur Ctrl+1 pour afficher le catalogue dynamique. Sélectionnez et ajoutez l’élément de référence de rubrique (topicref).

    2. Dans le champ HRef, saisissez le chemin d’accès à un fichier de rubrique, puis cliquez sur OK.

      Sinon, recherchez et sélectionnez la rubrique à l’aide du bouton Parcourir.

      La référence de rubrique est ajoutée à la ligne du tableau.

      Tip: Si vous ne pouvez pas ajouter de référence de rubrique à une cellule du tableau, sélectionnez le type de rubrique spécifié dans l’en-tête de colonne.

    3. Ajoutez une référence de rubrique (à une rubrique associée) à chaque cellule de la ligne du tableau.

Si le tableau comprend plusieurs lignes, vous pouvez ajouter plusieurs groupes de rubriques associées (références) à chaque ligne.

Exemple de flux de table de relations

Pour tester la sortie après Création d’un tableau de relations dans un mappage DITA, vous pouvez utiliser l’option Enregistrer au format PDF de FrameMaker.

  1. Vérifiez que le mappage DITA est sélectionné.

  2. Sélectionnez Fichier > Enregistrer au format PDF.

  3. Dans la boîte de dialogue Configuration PDF, cliquez sur Définir.

La sortie PDF du mappage DITA affiche les sections Liens associés pour les rubriques que vous incluez dans les cellules des tableaux de relations du mappage DITA.

Important: La fonctionnalité Enregistrer au format PDF est utilisée dans cette section à titre d’exemple. Vous pouvez également publier le mappage DITA aux formats de sortie disponibles dans la fonction Publication multicanaux de FrameMaker.

Les rubriques apparaissent dans le même ordre que celui que vous avez spécifié dans les cellules de la ligne du tableau.

En outre, les rubriques associées qui s’affichent n’incluent pas la rubrique actuelle. Dans l’exemple de tableau des relations décrit ci-dessous :

Tableau de relations dans la vue Document
Tableau de relations dans la vue Document dans FrameMaker

La section Liens associés de la rubrique Enregistrer sous affiche :

  • Enregistrer au format PDF

  • Enregistrer en tant que PDF de révision

  • Enregistrer au format XML

Elle n’affiche pas la rubrique Enregistrer sous (en cours).